/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2017, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "parser/parse_expr.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 264 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    FCONST = 259,
    SCONST = 260,
    BCONST = 261,
    XCONST = 262,
    Op = 263,
    ICONST = 264,
    PARAM = 265,
    TYPECAST = 266,
    DOT_DOT = 267,
    COLON_EQUALS = 268,
    EQUALS_GREATER = 269,
    LESS_EQUALS = 270,
    GREATER_EQUALS = 271,
    NOT_EQUALS = 272,
    ABORT_P = 273,
    ABSOLUTE_P = 274,
    ACCESS = 275,
    ACTION = 276,
    ADD_P = 277,
    ADMIN = 278,
    AFTER = 279,
    AGGREGATE = 280,
    ALL = 281,
    ALSO = 282,
    ALTER = 283,
    ALWAYS = 284,
    ANALYSE = 285,
    ANALYZE = 286,
    AND = 287,
    ANY = 288,
    ARRAY = 289,
    AS = 290,
    ASC = 291,
    ASSERTION = 292,
    ASSIGNMENT = 293,
    ASYMMETRIC = 294,
    AT = 295,
    ATTACH = 296,
    ATTRIBUTE = 297,
    AUTHORIZATION = 298,
    BACKWARD = 299,
    BEFORE = 300,
    BEGIN_P = 301,
    BETWEEN = 302,
    BIGINT = 303,
    BINARY = 304,
    BIT = 305,
    BOOLEAN_P = 306,
    BOTH = 307,
    BY = 308,
    CACHE = 309,
    CALLED = 310,
    CASCADE = 311,
    CASCADED = 312,
    CASE = 313,
    CAST = 314,
    CATALOG_P = 315,
    CHAIN = 316,
    CHAR_P = 317,
    CHARACTER = 318,
    CHARACTERISTICS = 319,
    CHECK = 320,
    CHECKPOINT = 321,
    CLASS = 322,
    CLOSE = 323,
    CLUSTER = 324,
    COALESCE = 325,
    COLLATE = 326,
    COLLATION = 327,
    COLUMN = 328,
    COLUMNS = 329,
    COMMENT = 330,
    COMMENTS = 331,
    COMMIT = 332,
    COMMITTED = 333,
    CONCURRENTLY = 334,
    CONFIGURATION = 335,
    CONFLICT = 336,
    CONNECTION = 337,
    CONSTRAINT = 338,
    CONSTRAINTS = 339,
    CONTENT_P = 340,
    CONTINUE_P = 341,
    CONVERSION_P = 342,
    COPY = 343,
    COST = 344,
    CREATE = 345,
    CROSS = 346,
    CSV = 347,
    CUBE = 348,
    CURRENT_P = 349,
    CURRENT_CATALOG = 350,
    CURRENT_DATE = 351,
    CURRENT_ROLE = 352,
    CURRENT_SCHEMA = 353,
    CURRENT_TIME = 354,
    CURRENT_TIMESTAMP = 355,
    CURRENT_USER = 356,
    CURSOR = 357,
    CYCLE = 358,
    DATA_P = 359,
    DATABASE = 360,
    DAY_P = 361,
    DEALLOCATE = 362,
    DEC = 363,
    DECIMAL_P = 364,
    DECLARE = 365,
    DEFAULT = 366,
    DEFAULTS = 367,
    DEFERRABLE = 368,
    DEFERRED = 369,
    DEFINER = 370,
    DELETE_P = 371,
    DELIMITER = 372,
    DELIMITERS = 373,
    DEPENDS = 374,
    DESC = 375,
    DETACH = 376,
    DICTIONARY = 377,
    DISABLE_P = 378,
    DISCARD = 379,
    DISTINCT = 380,
    DO = 381,
    DOCUMENT_P = 382,
    DOMAIN_P = 383,
    DOUBLE_P = 384,
    DROP = 385,
    EACH = 386,
    ELSE = 387,
    ENABLE_P = 388,
    ENCODING = 389,
    ENCRYPTED = 390,
    END_P = 391,
    ENUM_P = 392,
    ESCAPE = 393,
    EVENT = 394,
    EXCEPT = 395,
    EXCLUDE = 396,
    EXCLUDING = 397,
    EXCLUSIVE = 398,
    EXECUTE = 399,
    EXISTS = 400,
    EXPLAIN = 401,
    EXTENSION = 402,
    EXTERNAL = 403,
    EXTRACT = 404,
    FALSE_P = 405,
    FAMILY = 406,
    FETCH = 407,
    FILTER = 408,
    FIRST_P = 409,
    FLOAT_P = 410,
    FOLLOWING = 411,
    FOR = 412,
    FORCE = 413,
    FOREIGN = 414,
    FORWARD = 415,
    FREEZE = 416,
    FROM = 417,
    FULL = 418,
    FUNCTION = 419,
    FUNCTIONS = 420,
    GENERATED = 421,
    GLOBAL = 422,
    GRANT = 423,
    GRANTED = 424,
    GREATEST = 425,
    GROUP_P = 426,
    GROUPING = 427,
    HANDLER = 428,
    HAVING = 429,
    HEADER_P = 430,
    HOLD = 431,
    HOUR_P = 432,
    IDENTITY_P = 433,
    IF_P = 434,
    ILIKE = 435,
    IMMEDIATE = 436,
    IMMUTABLE = 437,
    IMPLICIT_P = 438,
    IMPORT_P = 439,
    IN_P = 440,
    INCLUDING = 441,
    INCREMENT = 442,
    INDEX = 443,
    INDEXES = 444,
    INHERIT = 445,
    INHERITS = 446,
    INITIALLY = 447,
    INLINE_P = 448,
    INNER_P = 449,
    INOUT = 450,
    INPUT_P = 451,
    INSENSITIVE = 452,
    INSERT = 453,
    INSTEAD = 454,
    INT_P = 455,
    INTEGER = 456,
    INTERSECT = 457,
    INTERVAL = 458,
    INTO = 459,
    INVOKER = 460,
    IS = 461,
    ISNULL = 462,
    ISOLATION = 463,
    JOIN = 464,
    KEY = 465,
    LABEL = 466,
    LANGUAGE = 467,
    LARGE_P = 468,
    LAST_P = 469,
    LATERAL_P = 470,
    LEADING = 471,
    LEAKPROOF = 472,
    LEAST = 473,
    LEFT = 474,
    LEVEL = 475,
    LIKE = 476,
    LIMIT = 477,
    LISTEN = 478,
    LOAD = 479,
    LOCAL = 480,
    LOCALTIME = 481,
    LOCALTIMESTAMP = 482,
    LOCATION = 483,
    LOCK_P = 484,
    LOCKED = 485,
    LOGGED = 486,
    MAPPING = 487,
    MATCH = 488,
    MATERIALIZED = 489,
    MAXVALUE = 490,
    METHOD = 491,
    MINUTE_P = 492,
    MINVALUE = 493,
    MODE = 494,
    MONTH_P = 495,
    MOVE = 496,
    NAME_P = 497,
    NAMES = 498,
    NATIONAL = 499,
    NATURAL = 500,
    NCHAR = 501,
    NEW = 502,
    NEXT = 503,
    NO = 504,
    NONE = 505,
    NOT = 506,
    NOTHING = 507,
    NOTIFY = 508,
    NOTNULL = 509,
    NOWAIT = 510,
    NULL_P = 511,
    NULLIF = 512,
    NULLS_P = 513,
    NUMERIC = 514,
    OBJECT_P = 515,
    OF = 516,
    OFF = 517,
    OFFSET = 518,
    OIDS = 519,
    OLD = 520,
    ON = 521,
    ONLY = 522,
    OPERATOR = 523,
    OPTION = 524,
    OPTIONS = 525,
    OR = 526,
    ORDER = 527,
    ORDINALITY = 528,
    OUT_P = 529,
    OUTER_P = 530,
    OVER = 531,
    OVERLAPS = 532,
    OVERLAY = 533,
    OVERRIDING = 534,
    OWNED = 535,
    OWNER = 536,
    PARALLEL = 537,
    PARSER = 538,
    PARTIAL = 539,
    PARTITION = 540,
    PASSING = 541,
    PASSWORD = 542,
    PLACING = 543,
    PLANS = 544,
    POLICY = 545,
    POSITION = 546,
    PRECEDING = 547,
    PRECISION = 548,
    PRESERVE = 549,
    PREPARE = 550,
    PREPARED = 551,
    PRIMARY = 552,
    PRIOR = 553,
    PRIVILEGES = 554,
    PROCEDURAL = 555,
    PROCEDURE = 556,
    PROGRAM = 557,
    PUBLICATION = 558,
    QUOTE = 559,
    RANGE = 560,
    READ = 561,
    REAL = 562,
    REASSIGN = 563,
    RECHECK = 564,
    RECURSIVE = 565,
    REF = 566,
    REFERENCES = 567,
    REFERENCING = 568,
    REFRESH = 569,
    REINDEX = 570,
    RELATIVE_P = 571,
    RELEASE = 572,
    RENAME = 573,
    REPEATABLE = 574,
    REPLACE = 575,
    REPLICA = 576,
    RESET = 577,
    RESTART = 578,
    RESTRICT = 579,
    RETURNING = 580,
    RETURNS = 581,
    REVOKE = 582,
    RIGHT = 583,
    ROLE = 584,
    ROLLBACK = 585,
    ROLLUP = 586,
    ROW = 587,
    ROWS = 588,
    RULE = 589,
    SAVEPOINT = 590,
    SCHEMA = 591,
    SCHEMAS = 592,
    SCROLL = 593,
    SEARCH = 594,
    SECOND_P = 595,
    SECURITY = 596,
    SELECT = 597,
    SEQUENCE = 598,
    SEQUENCES = 599,
    SERIALIZABLE = 600,
    SERVER = 601,
    SESSION = 602,
    SESSION_USER = 603,
    SET = 604,
    SETS = 605,
    SETOF = 606,
    SHARE = 607,
    SHOW = 608,
    SIMILAR = 609,
    SIMPLE = 610,
    SKIP = 611,
    SMALLINT = 612,
    SNAPSHOT = 613,
    SOME = 614,
    SQL_P = 615,
    STABLE = 616,
    STANDALONE_P = 617,
    START = 618,
    STATEMENT = 619,
    STATISTICS = 620,
    STDIN = 621,
    STDOUT = 622,
    STORAGE = 623,
    STRICT_P = 624,
    STRIP_P = 625,
    SUBSCRIPTION = 626,
    SUBSTRING = 627,
    SYMMETRIC = 628,
    SYSID = 629,
    SYSTEM_P = 630,
    TABLE = 631,
    TABLES = 632,
    TABLESAMPLE = 633,
    TABLESPACE = 634,
    TEMP = 635,
    TEMPLATE = 636,
    TEMPORARY = 637,
    TEXT_P = 638,
    THEN = 639,
    TIME = 640,
    TIMESTAMP = 641,
    TO = 642,
    TRAILING = 643,
    TRANSACTION = 644,
    TRANSFORM = 645,
    TREAT = 646,
    TRIGGER = 647,
    TRIM = 648,
    TRUE_P = 649,
    TRUNCATE = 650,
    TRUSTED = 651,
    TYPE_P = 652,
    TYPES_P = 653,
    UNBOUNDED = 654,
    UNCOMMITTED = 655,
    UNENCRYPTED = 656,
    UNION = 657,
    UNIQUE = 658,
    UNKNOWN = 659,
    UNLISTEN = 660,
    UNLOGGED = 661,
    UNTIL = 662,
    UPDATE = 663,
    USER = 664,
    USING = 665,
    VACUUM = 666,
    VALID = 667,
    VALIDATE = 668,
    VALIDATOR = 669,
    VALUE_P = 670,
    VALUES = 671,
    VARCHAR = 672,
    VARIADIC = 673,
    VARYING = 674,
    VERBOSE = 675,
    VERSION_P = 676,
    VIEW = 677,
    VIEWS = 678,
    VOLATILE = 679,
    WHEN = 680,
    WHERE = 681,
    WHITESPACE_P = 682,
    WINDOW = 683,
    WITH = 684,
    WITHIN = 685,
    WITHOUT = 686,
    WORK = 687,
    WRAPPER = 688,
    WRITE = 689,
    XML_P = 690,
    XMLATTRIBUTES = 691,
    XMLCONCAT = 692,
    XMLELEMENT = 693,
    XMLEXISTS = 694,
    XMLFOREST = 695,
    XMLNAMESPACES = 696,
    XMLPARSE = 697,
    XMLPI = 698,
    XMLROOT = 699,
    XMLSERIALIZE = 700,
    XMLTABLE = 701,
    YEAR_P = 702,
    YES_P = 703,
    ZONE = 704,
    NOT_LA = 705,
    NULLS_LA = 706,
    WITH_LA = 707,
    POSTFIXOP = 708,
    UMINUS = 709
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 202 "gram.y" /* yacc.c:355  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs		*objwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	InferClause			*infer;
	OnConflictClause	*onconflict;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	struct ImportQual	*importqual;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;
	PartitionElem		*partelem;
	PartitionSpec		*partspec;
	PartitionRangeDatum	*partrange_datum;
	RoleSpec			*rolespec;

#line 803 "gram.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 831 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  789
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   95792

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  472
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  657
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2658
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5297

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   709

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   461,     2,     2,
     466,   467,   459,   457,   470,   458,   468,   460,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   471,   469,
     453,   455,   454,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   464,     2,   465,   462,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   456,   463
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   777,   777,   793,   805,   815,   816,   817,   818,   819,
     820,   821,   822,   823,   824,   825,   826,   827,   828,   829,
     830,   831,   832,   833,   834,   835,   836,   837,   838,   839,
     840,   841,   842,   843,   844,   845,   846,   847,   848,   849,
     850,   851,   852,   853,   854,   855,   856,   857,   858,   859,
     860,   861,   862,   863,   864,   865,   866,   867,   868,   869,
     870,   871,   872,   873,   874,   875,   876,   877,   878,   879,
     880,   881,   882,   883,   884,   885,   886,   887,   888,   889,
     890,   891,   892,   893,   894,   895,   896,   897,   898,   899,
     900,   901,   902,   903,   904,   905,   906,   907,   908,   909,
     910,   911,   912,   913,   914,   915,   916,   917,   918,   919,
     920,   921,   922,   923,   924,   925,   926,   927,   928,   929,
     930,   931,   932,   933,   934,   935,   936,   937,   938,   939,
     940,   941,   943,   953,   964,   965,   966,   975,   976,   980,
     981,   985,   990,   994,  1004,  1012,  1016,  1020,  1025,  1029,
    1077,  1079,  1083,  1087,  1091,  1095,  1109,  1127,  1138,  1139,
    1143,  1151,  1169,  1181,  1202,  1209,  1226,  1233,  1250,  1268,
    1279,  1280,  1292,  1299,  1316,  1326,  1336,  1351,  1369,  1370,
    1374,  1381,  1389,  1390,  1391,  1392,  1393,  1394,  1408,  1414,
    1420,  1429,  1437,  1445,  1449,  1457,  1465,  1472,  1481,  1482,
    1490,  1501,  1509,  1517,  1528,  1536,  1544,  1551,  1560,  1570,
    1571,  1575,  1576,  1579,  1581,  1585,  1586,  1587,  1588,  1592,
    1593,  1594,  1600,  1612,  1616,  1620,  1635,  1642,  1643,  1644,
    1648,  1649,  1650,  1654,  1655,  1659,  1663,  1664,  1671,  1678,
    1688,  1695,  1705,  1706,  1711,  1712,  1717,  1723,  1729,  1735,
    1741,  1751,  1761,  1762,  1766,  1767,  1775,  1790,  1796,  1802,
    1808,  1814,  1833,  1842,  1851,  1860,  1869,  1880,  1891,  1900,
    1909,  1920,  1931,  1940,  1949,  1958,  1967,  1976,  1985,  1996,
    2010,  2011,  2016,  2029,  2044,  2053,  2062,  2071,  2080,  2089,
    2097,  2105,  2114,  2123,  2132,  2141,  2158,  2167,  2176,  2185,
    2195,  2208,  2223,  2232,  2240,  2255,  2263,  2273,  2283,  2290,
    2297,  2305,  2313,  2320,  2327,  2335,  2343,  2351,  2358,  2365,
    2373,  2380,  2387,  2395,  2403,  2411,  2419,  2427,  2435,  2445,
    2452,  2460,  2468,  2476,  2484,  2492,  2499,  2506,  2513,  2519,
    2529,  2530,  2534,  2535,  2536,  2540,  2548,  2552,  2553,  2557,
    2564,  2571,  2578,  2588,  2591,  2592,  2596,  2597,  2602,  2606,
    2610,  2615,  2622,  2624,  2629,  2633,  2637,  2648,  2656,  2668,
    2682,  2683,  2684,  2688,  2689,  2694,  2695,  2700,  2710,  2730,
    2743,  2744,  2749,  2758,  2768,  2778,  2804,  2810,  2843,  2872,
    2894,  2895,  2899,  2900,  2909,  2910,  2911,  2914,  2915,  2920,
    2921,  2925,  2929,  2933,  2937,  2941,  2945,  2949,  2953,  2957,
    2961,  2965,  2969,  2973,  2977,  2986,  2990,  2994,  2998,  3002,
    3006,  3010,  3011,  3016,  3020,  3027,  3034,  3035,  3036,  3037,
    3038,  3042,  3046,  3054,  3065,  3082,  3100,  3119,  3138,  3157,
    3189,  3190,  3191,  3192,  3193,  3200,  3207,  3208,  3212,  3213,
    3217,  3218,  3222,  3226,  3233,  3237,  3244,  3245,  3246,  3250,
    3251,  3254,  3276,  3295,  3317,  3318,  3322,  3329,  3330,  3331,
    3362,  3369,  3376,  3387,  3398,  3410,  3419,  3428,  3446,  3447,
    3466,  3473,  3480,  3487,  3498,  3508,  3509,  3510,  3514,  3515,
    3516,  3517,  3518,  3519,  3520,  3529,  3536,  3540,  3553,  3568,
    3582,  3597,  3611,  3629,  3650,  3651,  3655,  3656,  3660,  3661,
    3664,  3670,  3674,  3682,  3687,  3693,  3694,  3698,  3703,  3710,
    3711,  3721,  3723,  3725,  3727,  3730,  3733,  3736,  3740,  3741,
    3742,  3743,  3744,  3747,  3748,  3752,  3753,  3756,  3768,  3769,
    3772,  3773,  3776,  3787,  3798,  3812,  3813,  3814,  3815,  3818,
    3819,  3820,  3821,  3824,  3825,  3828,  3829,  3832,  3850,  3874,
    3887,  3903,  3917,  3918,  3919,  3931,  3944,  3960,  3973,  3974,
    3986,  4006,  4016,  4029,  4037,  4048,  4049,  4052,  4053,  4056,
    4057,  4060,  4064,  4068,  4072,  4076,  4080,  4084,  4088,  4092,
    4096,  4100,  4105,  4109,  4113,  4119,  4120,  4124,  4125,  4130,
    4133,  4134,  4146,  4158,  4173,  4174,  4182,  4183,  4187,  4188,
    4192,  4193,  4197,  4198,  4202,  4212,  4225,  4226,  4236,  4247,
    4248,  4261,  4268,  4285,  4293,  4304,  4307,  4311,  4315,  4319,
    4323,  4335,  4345,  4348,  4352,  4365,  4374,  4383,  4392,  4401,
    4410,  4419,  4428,  4437,  4446,  4455,  4464,  4473,  4482,  4491,
    4500,  4509,  4518,  4527,  4536,  4545,  4554,  4563,  4572,  4581,
    4590,  4608,  4619,  4620,  4621,  4622,  4626,  4627,  4631,  4632,
    4642,  4650,  4662,  4663,  4667,  4671,  4679,  4683,  4687,  4694,
    4698,  4703,  4708,  4715,  4722,  4727,  4737,  4749,  4764,  4765,
    4770,  4771,  4775,  4776,  4786,  4795,  4803,  4820,  4840,  4860,
    4881,  4912,  4921,  4942,  4957,  4958,  4962,  4970,  4985,  4994,
    5006,  5007,  5019,  5027,  5044,  5068,  5085,  5099,  5100,  5104,
    5105,  5109,  5110,  5114,  5115,  5119,  5133,  5137,  5138,  5142,
    5143,  5144,  5145,  5146,  5156,  5174,  5195,  5221,  5222,  5223,
    5227,  5229,  5251,  5253,  5255,  5257,  5259,  5264,  5265,  5269,
    5270,  5274,  5285,  5286,  5290,  5299,  5303,  5307,  5312,  5322,
    5323,  5327,  5328,  5332,  5333,  5337,  5338,  5339,  5343,  5347,
    5348,  5349,  5353,  5354,  5359,  5360,  5387,  5388,  5389,  5390,
    5391,  5392,  5405,  5415,  5429,  5431,  5436,  5441,  5443,  5448,
    5458,  5459,  5460,  5461,  5473,  5493,  5515,  5525,  5536,  5546,
    5556,  5567,  5576,  5583,  5590,  5599,  5608,  5617,  5626,  5635,
    5645,  5654,  5666,  5669,  5670,  5673,  5677,  5684,  5685,  5686,
    5687,  5688,  5689,  5692,  5695,  5696,  5704,  5711,  5712,  5715,
    5717,  5728,  5739,  5750,  5761,  5774,  5775,  5791,  5806,  5807,
    5811,  5823,  5833,  5841,  5850,  5859,  5860,  5863,  5864,  5867,
    5868,  5869,  5872,  5886,  5891,  5901,  5910,  5922,  5923,  5927,
    5935,  5947,  5957,  5970,  5980,  6002,  6012,  6030,  6040,  6050,
    6060,  6070,  6080,  6090,  6100,  6110,  6120,  6130,  6140,  6154,
    6155,  6156,  6157,  6158,  6159,  6160,  6161,  6162,  6163,  6164,
    6165,  6166,  6171,  6172,  6173,  6174,  6175,  6176,  6177,  6182,
    6183,  6184,  6188,  6189,  6192,  6193,  6196,  6198,  6203,  6204,
    6214,  6225,  6226,  6227,  6261,  6269,  6277,  6285,  6293,  6301,
    6309,  6317,  6325,  6338,  6346,  6354,  6362,  6370,  6378,  6386,
    6394,  6406,  6407,  6408,  6409,  6410,  6411,  6412,  6413,  6414,
    6415,  6416,  6417,  6418,  6419,  6424,  6425,  6426,  6427,  6428,
    6429,  6430,  6431,  6432,  6433,  6434,  6435,  6439,  6440,  6454,
    6464,  6474,  6484,  6494,  6504,  6514,  6526,  6527,  6532,  6533,
    6534,  6535,  6536,  6537,  6542,  6543,  6544,  6545,  6546,  6547,
    6548,  6549,  6552,  6553,  6563,  6569,  6577,  6585,  6593,  6601,
    6609,  6617,  6625,  6633,  6641,  6649,  6657,  6665,  6673,  6681,
    6689,  6697,  6707,  6708,  6711,  6712,  6722,  6738,  6752,  6778,
    6780,  6782,  6784,  6791,  6800,  6801,  6804,  6811,  6818,  6825,
    6839,  6847,  6855,  6863,  6871,  6879,  6887,  6895,  6903,  6911,
    6919,  6927,  6935,  6943,  6951,  6959,  6971,  6972,  6976,  6977,
    6982,  6983,  6993,  7006,  7016,  7028,  7029,  7032,  7033,  7043,
    7053,  7054,  7058,  7062,  7066,  7077,  7090,  7104,  7121,  7122,
    7123,  7124,  7125,  7137,  7163,  7192,  7193,  7197,  7198,  7202,
    7203,  7207,  7208,  7211,  7212,  7220,  7231,  7242,  7255,  7256,
    7259,  7260,  7263,  7264,  7265,  7268,  7269,  7270,  7286,  7298,
    7311,  7326,  7327,  7330,  7331,  7335,  7336,  7340,  7341,  7346,
    7358,  7365,  7372,  7387,  7388,  7392,  7393,  7408,  7417,  7426,
    7435,  7444,  7456,  7457,  7458,  7459,  7460,  7466,  7470,  7485,
    7486,  7492,  7502,  7506,  7511,  7519,  7560,  7564,  7568,  7572,
    7580,  7581,  7585,  7595,  7596,  7602,  7603,  7610,  7614,  7618,
    7622,  7626,  7630,  7634,  7638,  7642,  7646,  7650,  7654,  7658,
    7662,  7666,  7671,  7678,  7682,  7686,  7690,  7694,  7700,  7701,
    7708,  7709,  7713,  7714,  7717,  7729,  7733,  7748,  7759,  7760,
    7765,  7766,  7781,  7791,  7804,  7814,  7827,  7837,  7850,  7858,
    7860,  7862,  7867,  7869,  7874,  7875,  7880,  7898,  7907,  7908,
    7912,  7916,  7928,  7939,  7950,  7963,  7964,  7965,  7969,  7981,
    7982,  7992,  8004,  8008,  8012,  8016,  8023,  8043,  8052,  8061,
    8070,  8081,  8082,  8085,  8086,  8087,  8090,  8091,  8094,  8104,
    8113,  8130,  8139,  8148,  8157,  8166,  8175,  8184,  8193,  8202,
    8211,  8220,  8229,  8238,  8248,  8258,  8267,  8276,  8285,  8294,
    8304,  8314,  8324,  8334,  8344,  8354,  8364,  8374,  8384,  8394,
    8404,  8414,  8425,  8436,  8447,  8458,  8468,  8478,  8489,  8500,
    8510,  8520,  8528,  8537,  8546,  8555,  8564,  8573,  8582,  8591,
    8600,  8609,  8623,  8624,  8627,  8628,  8638,  8646,  8655,  8663,
    8680,  8689,  8698,  8707,  8716,  8725,  8734,  8743,  8752,  8761,
    8770,  8779,  8788,  8797,  8806,  8815,  8824,  8833,  8842,  8851,
    8860,  8869,  8878,  8887,  8896,  8914,  8923,  8924,  8927,  8929,
    8935,  8936,  8937,  8938,  8939,  8948,  8956,  8964,  8972,  8980,
    8988,  8996,  9004,  9012,  9020,  9028,  9036,  9044,  9052,  9060,
    9068,  9076,  9084,  9092,  9100,  9108,  9116,  9134,  9153,  9154,
    9158,  9162,  9182,  9189,  9197,  9205,  9222,  9235,  9239,  9246,
    9255,  9264,  9273,  9282,  9292,  9302,  9312,  9330,  9338,  9354,
    9371,  9372,  9373,  9378,  9384,  9393,  9394,  9395,  9396,  9397,
    9401,  9402,  9405,  9406,  9407,  9408,  9412,  9413,  9414,  9426,
    9436,  9437,  9440,  9449,  9455,  9474,  9481,  9488,  9495,  9502,
    9509,  9516,  9524,  9532,  9540,  9548,  9556,  9563,  9570,  9579,
    9580,  9581,  9585,  9588,  9591,  9594,  9597,  9604,  9606,  9608,
    9613,  9615,  9627,  9640,  9653,  9671,  9692,  9693,  9694,  9695,
    9705,  9721,  9731,  9732,  9736,  9737,  9741,  9745,  9749,  9767,
    9768,  9769,  9770,  9771,  9772,  9773,  9780,  9781,  9792,  9799,
    9806,  9817,  9834,  9841,  9857,  9874,  9880,  9896,  9909,  9918,
    9926,  9934,  9943,  9954,  9965,  9975,  9976,  9987,  9997, 10008,
   10019, 10030, 10041, 10050, 10062, 10063, 10077, 10100, 10108, 10117,
   10128, 10129, 10141, 10155, 10169, 10181, 10189, 10202, 10203, 10207,
   10208, 10209, 10210, 10211, 10224, 10234, 10247, 10248, 10252, 10253,
   10256, 10257, 10260, 10261, 10265, 10266, 10279, 10286, 10296, 10303,
   10313, 10314, 10315, 10316, 10317, 10318, 10319, 10320, 10321, 10325,
   10329, 10336, 10343, 10344, 10348, 10349, 10350, 10360, 10370, 10371,
   10375, 10376, 10377, 10378, 10388, 10395, 10413, 10414, 10424, 10430,
   10436, 10442, 10458, 10476, 10480, 10488, 10494, 10501, 10507, 10514,
   10523, 10524, 10528, 10530, 10535, 10546, 10556, 10566, 10572, 10581,
   10590, 10596, 10597, 10608, 10622, 10623, 10634, 10645, 10646, 10649,
   10650, 10651, 10652, 10653, 10654, 10655, 10656, 10659, 10660, 10664,
   10665, 10666, 10677, 10695, 10696, 10700, 10705, 10729, 10740, 10741,
   10751, 10762, 10765, 10766, 10767, 10768, 10769, 10772, 10773, 10774,
   10822, 10823, 10827, 10828, 10843, 10844, 10851, 10859, 10867, 10875,
   10883, 10891, 10902, 10903, 10930, 10944, 10959, 10960, 10979, 10983,
   10987, 11004, 11011, 11018, 11028, 11029, 11032, 11044, 11045, 11049,
   11061, 11069, 11074, 11079, 11084, 11089, 11097, 11105, 11110, 11115,
   11122, 11123, 11127, 11128, 11129, 11136, 11137, 11141, 11142, 11146,
   11147, 11151, 11155, 11156, 11159, 11168, 11181, 11182, 11183, 11184,
   11188, 11189, 11193, 11195, 11205, 11210, 11213, 11218, 11219, 11227,
   11237, 11238, 11239, 11247, 11251, 11252, 11255, 11256, 11281, 11282,
   11286, 11287, 11291, 11292, 11293, 11294, 11295, 11299, 11312, 11319,
   11326, 11333, 11334, 11338, 11339, 11343, 11344, 11348, 11349, 11353,
   11364, 11365, 11366, 11367, 11371, 11372, 11382, 11388, 11406, 11407,
   11411, 11412, 11418, 11423, 11431, 11438, 11446, 11452, 11459, 11494,
   11519, 11523, 11549, 11553, 11565, 11578, 11592, 11603, 11618, 11624,
   11629, 11635, 11642, 11643, 11651, 11655, 11659, 11665, 11672, 11677,
   11678, 11679, 11680, 11684, 11685, 11697, 11698, 11703, 11710, 11717,
   11724, 11735, 11736, 11749, 11753, 11760, 11773, 11786, 11787, 11802,
   11812, 11824, 11829, 11830, 11833, 11834, 11837, 11838, 11843, 11844,
   11849, 11850, 11858, 11863, 11864, 11868, 11872, 11878, 11903, 11913,
   11926, 11927, 11931, 11945, 12002, 12016, 12018, 12023, 12025, 12027,
   12029, 12034, 12036, 12041, 12049, 12069, 12074, 12081, 12086, 12092,
   12097, 12106, 12108, 12111, 12115, 12116, 12117, 12118, 12119, 12120,
   12125, 12145, 12146, 12147, 12148, 12159, 12165, 12173, 12174, 12180,
   12185, 12190, 12195, 12200, 12205, 12210, 12215, 12221, 12227, 12233,
   12240, 12262, 12271, 12275, 12283, 12287, 12295, 12307, 12328, 12332,
   12338, 12342, 12355, 12363, 12373, 12375, 12377, 12379, 12381, 12383,
   12388, 12389, 12396, 12405, 12413, 12422, 12433, 12441, 12442, 12443,
   12447, 12449, 12451, 12453, 12455, 12457, 12459, 12464, 12469, 12475,
   12483, 12488, 12495, 12502, 12506, 12510, 12546, 12547, 12549, 12557,
   12572, 12574, 12576, 12578, 12580, 12582, 12584, 12586, 12588, 12590,
   12592, 12594, 12596, 12598, 12601, 12603, 12605, 12608, 12610, 12612,
   12614, 12617, 12622, 12630, 12635, 12643, 12648, 12656, 12661, 12670,
   12678, 12686, 12694, 12712, 12720, 12728, 12736, 12744, 12760, 12768,
   12776, 12784, 12792, 12800, 12808, 12812, 12816, 12820, 12824, 12832,
   12840, 12848, 12856, 12876, 12898, 12909, 12916, 12932, 12937, 12943,
   12968, 12970, 12972, 12974, 12976, 12978, 12980, 12982, 12984, 12986,
   12988, 12990, 12992, 12994, 12996, 12998, 13000, 13002, 13004, 13006,
   13010, 13014, 13018, 13022, 13027, 13043, 13044, 13045, 13060, 13094,
   13096, 13098, 13109, 13133, 13144, 13155, 13162, 13172, 13182, 13191,
   13195, 13201, 13208, 13215, 13225, 13232, 13260, 13295, 13306, 13307,
   13314, 13320, 13324, 13328, 13332, 13336, 13340, 13344, 13348, 13352,
   13356, 13360, 13364, 13368, 13372, 13376, 13380, 13382, 13386, 13395,
   13400, 13407, 13422, 13429, 13433, 13437, 13441, 13445, 13452, 13460,
   13468, 13472, 13476, 13480, 13484, 13488, 13494, 13498, 13507, 13511,
   13515, 13520, 13534, 13536, 13540, 13542, 13544, 13547, 13550, 13553,
   13554, 13557, 13565, 13575, 13576, 13579, 13580, 13581, 13586, 13590,
   13594, 13598, 13609, 13610, 13614, 13615, 13623, 13624, 13628, 13629,
   13634, 13642, 13644, 13658, 13661, 13688, 13689, 13692, 13693, 13704,
   13722, 13729, 13738, 13755, 13800, 13808, 13816, 13824, 13832, 13853,
   13854, 13855, 13858, 13859, 13862, 13865, 13866, 13867, 13870, 13871,
   13874, 13875, 13876, 13877, 13878, 13879, 13880, 13881, 13882, 13883,
   13884, 13885, 13888, 13890, 13895, 13897, 13902, 13904, 13906, 13908,
   13910, 13912, 13924, 13928, 13935, 13939, 13945, 13949, 13958, 13969,
   13970, 13973, 13977, 13981, 13987, 13988, 13993, 13997, 14004, 14005,
   14006, 14007, 14008, 14009, 14010, 14011, 14021, 14025, 14032, 14039,
   14040, 14056, 14060, 14065, 14069, 14084, 14089, 14093, 14096, 14099,
   14100, 14101, 14104, 14111, 14121, 14135, 14136, 14140, 14151, 14152,
   14155, 14156, 14159, 14163, 14170, 14174, 14178, 14186, 14197, 14198,
   14202, 14203, 14207, 14208, 14211, 14212, 14222, 14223, 14227, 14228,
   14231, 14247, 14255, 14263, 14285, 14286, 14297, 14301, 14328, 14330,
   14335, 14338, 14341, 14343, 14345, 14347, 14357, 14359, 14370, 14374,
   14378, 14382, 14386, 14395, 14402, 14434, 14438, 14444, 14451, 14455,
   14459, 14465, 14466, 14468, 14469, 14470, 14474, 14504, 14531, 14535,
   14541, 14543, 14560, 14561, 14562, 14567, 14568, 14569, 14574, 14575,
   14576, 14577, 14583, 14584, 14585, 14586, 14587, 14607, 14608, 14609,
   14610, 14611, 14612, 14613, 14614, 14615, 14616, 14617, 14618, 14619,
   14620, 14621, 14622, 14623, 14624, 14625, 14626, 14627, 14628, 14629,
   14630, 14631, 14632, 14633, 14634, 14635, 14636, 14637, 14638, 14639,
   14640, 14641, 14642, 14643, 14644, 14645, 14646, 14647, 14648, 14649,
   14650, 14651, 14652, 14653, 14654, 14655, 14656, 14657, 14658, 14659,
   14660, 14661, 14662, 14663, 14664, 14665, 14666, 14667, 14668, 14669,
   14670, 14671, 14672, 14673, 14674, 14675, 14676, 14677, 14678, 14679,
   14680, 14681, 14682, 14683, 14684, 14685, 14686, 14687, 14688, 14689,
   14690, 14691, 14692, 14693, 14694, 14695, 14696, 14697, 14698, 14699,
   14700, 14701, 14702, 14703, 14704, 14705, 14706, 14707, 14708, 14709,
   14710, 14711, 14712, 14713, 14714, 14715, 14716, 14717, 14718, 14719,
   14720, 14721, 14722, 14723, 14724, 14725, 14726, 14727, 14728, 14729,
   14730, 14731, 14732, 14733, 14734, 14735, 14736, 14737, 14738, 14739,
   14740, 14741, 14742, 14743, 14744, 14745, 14746, 14747, 14748, 14749,
   14750, 14751, 14752, 14753, 14754, 14755, 14756, 14757, 14758, 14759,
   14760, 14761, 14762, 14763, 14764, 14765, 14766, 14767, 14768, 14769,
   14770, 14771, 14772, 14773, 14774, 14775, 14776, 14777, 14778, 14779,
   14780, 14781, 14782, 14783, 14784, 14785, 14786, 14787, 14788, 14789,
   14790, 14791, 14792, 14793, 14794, 14795, 14796, 14797, 14798, 14799,
   14800, 14801, 14802, 14803, 14804, 14805, 14806, 14807, 14808, 14809,
   14810, 14811, 14812, 14813, 14814, 14815, 14816, 14817, 14818, 14819,
   14820, 14821, 14822, 14823, 14824, 14825, 14826, 14827, 14828, 14829,
   14830, 14831, 14832, 14833, 14834, 14835, 14836, 14837, 14838, 14839,
   14840, 14841, 14842, 14843, 14844, 14845, 14846, 14847, 14848, 14849,
   14850, 14851, 14852, 14853, 14854, 14855, 14856, 14857, 14858, 14859,
   14860, 14861, 14862, 14863, 14864, 14865, 14866, 14867, 14868, 14869,
   14870, 14871, 14872, 14873, 14874, 14875, 14876, 14877, 14878, 14879,
   14880, 14881, 14882, 14883, 14884, 14885, 14886, 14887, 14888, 14902,
   14903, 14904, 14905, 14906, 14907, 14908, 14909, 14910, 14911, 14912,
   14913, 14914, 14915, 14916, 14917, 14918, 14919, 14920, 14921, 14922,
   14923, 14924, 14925, 14926, 14927, 14928, 14929, 14930, 14931, 14932,
   14933, 14934, 14935, 14936, 14937, 14938, 14939, 14940, 14941, 14942,
   14943, 14944, 14945, 14946, 14947, 14948, 14949, 14950, 14951, 14965,
   14966, 14967, 14968, 14969, 14970, 14971, 14972, 14973, 14974, 14975,
   14976, 14977, 14978, 14979, 14980, 14981, 14982, 14983, 14984, 14985,
   14986, 14987, 14997, 14998, 14999, 15000, 15001, 15002, 15003, 15004,
   15005, 15006, 15007, 15008, 15009, 15010, 15011, 15012, 15013, 15014,
   15015, 15016, 15017, 15018, 15019, 15020, 15021, 15022, 15023, 15024,
   15025, 15026, 15027, 15028, 15029, 15030, 15031, 15032, 15033, 15034,
   15035, 15036, 15037, 15038, 15039, 15040, 15041, 15042, 15043, 15044,
   15045, 15046, 15047, 15048, 15049, 15050, 15051, 15052, 15053, 15054,
   15055, 15056, 15057, 15058, 15059, 15060, 15061, 15062, 15063, 15064,
   15065, 15066, 15067, 15068, 15069, 15070, 15071, 15072, 15073
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS", "NOT_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COLUMNS", "COMMENT", "COMMENTS", "COMMIT",
  "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONFLICT", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE", "CURRENT_P",
  "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA",
  "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE",
  "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P",
  "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER",
  "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC", "DETACH",
  "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P",
  "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING",
  "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE",
  "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION",
  "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P",
  "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE",
  "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GENERATED", "GLOBAL", "GRANT",
  "GRANTED", "GREATEST", "GROUP_P", "GROUPING", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE",
  "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL",
  "NCHAR", "NEW", "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY",
  "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "OLD", "ON", "ONLY",
  "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OUT_P",
  "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED", "OWNER",
  "PARALLEL", "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD",
  "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING", "PRECISION",
  "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES",
  "PROCEDURAL", "PROCEDURE", "PROGRAM", "PUBLICATION", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REFERENCING", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME",
  "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP",
  "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETS",
  "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP", "SMALLINT",
  "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P",
  "STRIP_P", "SUBSCRIPTION", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P",
  "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK", "WRAPPER",
  "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES", "XMLPARSE", "XMLPI",
  "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P", "YES_P", "ZONE",
  "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'", "'='", "POSTFIXOP", "'+'",
  "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('", "')'",
  "'.'", "';'", "','", "':'", "$accept", "stmtblock", "stmtmulti", "stmt",
  "CreateRoleStmt", "opt_with", "OptRoleList", "AlterOptRoleList",
  "AlterOptRoleElem", "CreateOptRoleElem", "CreateUserStmt",
  "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "alter_table_cmd", "alter_column_default", "opt_drop_behavior",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "alter_identity_column_option_list", "alter_identity_column_option",
  "ForValues", "partbound_datum", "partbound_datum_list",
  "range_datum_list", "PartitionRangeDatum", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_strategy", "part_params", "part_elem", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "AlterForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type_any_name", "drop_type_name",
  "drop_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type_any_name", "comment_type_name", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type_any_name",
  "security_label_type_name", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterOwnerStmt",
  "CreatePublicationStmt", "opt_publication_for_tables",
  "publication_for_tables", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "publication_name_list",
  "publication_name_item", "AlterSubscriptionStmt", "DropSubscriptionStmt",
  "RuleStmt", "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterCollationStmt", "AlterSystemStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "any_with", "CreateConversionStmt",
  "ClusterStmt", "cluster_index_specification", "VacuumStmt",
  "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_target",
  "insert_rest", "override_kind", "insert_column_list",
  "insert_column_item", "opt_on_conflict", "opt_conf_expr",
  "returning_clause", "DeleteStmt", "using_clause", "LockStmt", "opt_lock",
  "lock_type", "opt_nowait", "opt_nowait_or_skip", "UpdateStmt",
  "set_clause_list", "set_clause", "set_target", "set_target_list",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "all_or_distinct", "distinct_clause", "opt_all_clause",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "SignedIconst", "RoleId", "RoleSpec", "role_list",
  "ColId", "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,    60,    62,    61,   708,    43,    45,    42,
      47,    37,    94,   709,    91,    93,    40,    41,    46,    59,
      44,    58
};
# endif

#define YYPACT_NINF -4727

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4727)))

#define YYTABLE_NINF -2565

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2565)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    7424,    52, 16562, -4727, -4727,    52, -4727, 65101,    41,   740,
    1071,   151, 17923, 65548, 72253,   501,   338, 14817,    52, 72253,
    1579, 49903, 61972,   862, 72253,  1242,   974, 49903, 72253, 72700,
    1095,  1235,   814, 73147, 65995, 60631,  1119, 72253,  1414,   365,
   73594, 66442,  1260, 66889,   974, 46355,   123,  1167, 74041, 72253,
    1986,  1731,  1269, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727,    41, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727,  1380, -4727,   810,  1577,  1311,   887,  1278, -4727,
   -4727, -4727, 58396, 72253, 72253, 72253,  1457, 72253,  1395, 72253,
     245, 58396, 53926, 67336,  1658,  1509, 42773, 74488, -4727, 72253,
   52585, 72253, 72253, 74935, 72253, 72253, 72253,   120, 63313, 72253,
    1643, 72253, 72253, 54373, 75382,  1784,  1221, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, 72253, 15417,  1242,
   -4727, -4727,  1986, 72253,  1780, 58396, 72253,  1560, 75829,  1641,
   72253, -4727, 72253,  1652, 76276,   309,  1778, 53926,  1800,  1856,
   43221,  1738, 72253, 72253, 53926, 76723, 77170, 72253, 72253, -4727,
   -4727,  1734, 72253, 72253, -4727,  1865, 54820,    75,  1873,  1704,
    1993,  1928,  1222, -4727, 67783, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, 57502,   338, -4727, -4727,  1884, 58843, 72253,
    1953, -4727, -4727, 77617, 92745,  1746, -4727,   738, 59290, 55267,
    2088,  1758, 43669,  2134, -4727, -4727, 55714, -4727, -4727, -4727,
   -4727, -4727, 78064, -4727, 78511,  1852,  1953, -4727, 93178, 56161,
   -4727,  2003, 78958, 79405, 79852, -4727,  1755,  1588,  1067, 38717,
   -4727, -4727, -4727,    41, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727,   344,  1622,   210,   196,   217, -4727, -4727,   201,
     204,   208,   344,  2213,  2213, -4727, 72253, -4727, -4727,  1622,
     674,  1783,  1783,  1783,  1977,  1006, -4727,  1783,  1895, -4727,
   -4727, -4727, -4727, 66889, -4727,  1786,  1242,  1794,  2208,  1859,
   -4727, -4727, -4727, -4727, -4727,  1876, 72253, 72253, 72253, -4727,
   -4727,  2254,  1864,  2093,  1840, -4727, -4727, -4727,  2045,  2086,
    2080,   130,  1242,  1967, -4727,  2206, -4727,  2107, 27272, 27272,
    1242, 68230, 80299,   343, 57502,  1242, 68677,  1929,  1399,  2114,
   -4727, -4727, -4727,   521, -4727,  2347,  1945,  2191,  1840,  1221,
   40066, -4727,  1952,  1642, 66889, -4727, -4727, -4727,   385,  2243,
   29128, 72253,  1946, -4727,  1956,  1946,  1975,  1980,  1311, -4727,
    7424, 72253,   384,   384,  2415,   384,  1478,  1767, -4727,  2017,
   -4727,  2307,  2276, 66889,  2018,   233, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,  1680,
    2028,  1642, -4727,   259, -4727,  1644,  2019,  1691,   827, -4727,
   -4727,   749, 72253,   231,  2074, 69124,  3577,  2047,  1642,  2051,
   -4727, -4727, -4727,  2200,  1309, -4727, -4727, -4727, -4727,  2356,
    2383,  5635,   311, 69571, -4727, -4727, -4727, -4727, 72253, 72253,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,  2076,
     136, -4727, -4727,  2090,  2412,  2308,   921,  2394,  2270,   727,
    2333,   704,  2453,  7976,  1052,  1730,  1629, 70018, 72253,  2424,
    2469,  4742,  1614,   274,  2358,   865,  2462,  2310,  1683,  2487,
    7752, 72253, -4727,  2420,  2535,   834, -4727,   228, -4727,  2249,
    2400,   735,  2431, 58396,  2212, -4727, -4727, 72253, -4727, -4727,
   93611,  2328, -4727,   739, 58396, -4727,  2473,  2320, 44117, 72253,
   -4727, -4727, 72253, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
    2421,  2597, 72253, 93611, -4727,  2547, 72253, 72253, -4727,  2298,
   -4727, -4727, -4727, -4727,  1783, 72253,  2300,  2705, 93611,  2524,
     116, 72253,  1407,  2747, 72253,  2538,  1407,  2360, 80746, -4727,
   -4727,  1407, -4727,  2660, -4727, -4727, 72253, 72253,  2348,  1760,
    2543,  2661,  1407,  2576,  2785,  2790,  2586,  2442,  2771,  2598,
     756,  1231,   179,   287,  1407,  2466, 81193, 81640, 72253,  2476,
   72253, 72253,  2826, 58396, 72253,  2750, -4727,  2608, -4727, -4727,
    1308, -4727, -4727, -4727, -4727, -4727,  2764, -4727,   171,   820,
    2766,  2446,  2768, -4727, -4727, -4727,  2495, -4727,  2495,  2495,
    2450,  2450,  2624,  2454,  2778, -4727, -4727, -4727,  1827,  2495,
    2450, -4727, 94477, -4727,  1653,  1695, -4727,   212, -4727,  2897,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,  2461, -4727,
    1005,  1867, -4727, -4727,  2499, -4727,  2788,   234, -4727,  2789,
   -4727,  2465, 82087, -4727, 82534, 82981,  2793,   282, -4727, 53926,
    2795,  2465,  2796,   820,  2800, -4727,   859,  2794,  2801,   212,
    2809,   829,  2465, 57949,  2813,   294, -4727,  2815,   324, -4727,
    2816,  2696, 29128, -4727,  2589, -4727,  1167, -4727,  1368, -4727,
   49009, -4727,  1067,  1622, -4727, 72253,  1622, 72253,  1622, 72253,
    1622, 72253,  1622, 72253, 72253, 72253,  1622, -4727, -4727, -4727,
   72253,  2497, 72253, 72253, -4727, -4727, -4727, 62419, 53926, 62866,
   -4727, 72253, -4727,   370,  1242, -4727, -4727, 93611,  2931, 53926,
    2826, -4727,  1681, -4727, -4727, -4727, -4727, -4727, -4727,  2748,
   72253,  2810,  2812, 62419, 53926, -4727, 83428, 57502,  2704,  2505,
   -4727, -4727, -4727, -4727, -4727,  1878,  2967,   206,  2968, 29128,
    2508,   206,   206,  2509,  2820, -4727, -4727, -4727,   266,  2513,
    2514, -4727,   215,   215, -4727,  2515,  2516, -4727,   223,  2518,
    2520,  2982,  2984,   226,  2525,  2526,  2527,  1827,   206, 29128,
   -4727,  2528,   215,  2530,  2531,  2532,  2994,  2536, -4727,  2996,
    2537,   200,   292,  2539,  2542, -4727,  2515, -4727,   269,  2549,
    2550,  2551,  2553,  2554,  2562,  2563,  2566, 29128, 29128, 29128,
   -4727, 25880,  1642,  1242, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727,   270,  6149, -4727,  2574, -4727, -4727,  2736, -4727,
   -4727, 29128, -4727, -4727,    91, -4727,   276, -4727, -4727, -4727,
    1642,  2829,  2567, -4727, -4727,  1034,  2568, -4727,  1985, -4727,
   -4727, -4727, -4727, -4727, -4727, 56608,  2999, -4727,   342,  1242,
     228,  1436,  2945, 48115, 48562, -4727, -4727,  2823, -4727, 72253,
   -4727, -4727, 29128, 45908, -4727,  1642,   132, -4727, -4727, -4727,
   -4727,  1742, -4727, -4727, -4727,    41, 14493,  1765,  1946, 72253,
   72253,  3009, -4727, -4727, -4727,  1956, -4727, -4727,  1311,  1311,
   29128,  1311,  1267,  1453, 27736, 29128,  2888,  2783,  1323,   235,
    2891, -4727,  2792,  1478,  1767, 66889, 72253, 83875,  2701, 29128,
    2669,  2670,  2722, 47249, -4727,  1642,  2672,  2640,  2675,  2727,
   50797,  2599,  2677,  2679,  2733, -4727,  2850, -4727, -4727,  2686,
    2687, 84322, -4727, -4727,   993, -4727, -4727, -4727,   993, -4727,
    2620,  1528,   821,   279,  2689,   291,   199,  2995, -4727,  1115,
   -4727, -4727,  2741, -4727,  5663, 72253,  2934,  8246,  2817,   311,
    2819,  2740, -4727, -4727,  2865,  2699, 72253,  2700,  2832,   311,
     286, 84769, -4727, -4727, -4727, -4727, -4727, -4727,  5130, 25013,
   -4727,  1722,  2702,  2684,  2711, 72253, 59737,   373,  2828,  2831,
    1462,  1433,   186,  2763, 72253,   280,  2841, 72253,  2633,  2716,
    2718,  2930,  2643,   924,  3030,  2646, -4727, -4727, -4727,  1965,
    2836, -4727,  2933,  2975,  6802,  2713,  2714, 91446, -4727,  2734,
      56, 44565, 72253, 72253,  2749,  2754,  2745,  2746,    57,  3039,
    1459,  2760, -4727, -4727, -4727,  1459, 72253,  2761,  2765, 72253,
   94477,   311, -4727,  3097,   311,   311,  1563,  3100,  2767,   374,
    2913,  1621,  1407,  2646,  2587, -4727,  2774,  2775,   298, -4727,
    2894,  2779,  2780,  2834,  1242, -4727, -4727,  2781,  2862,  2784,
     559, -4727, -4727,   930,  2797, 66889,  2887,  2889,   395,  1894,
    2646, -4727,  2786,  2791,  2643,  2643, 72253, 72253, 72253, 72253,
   72253,   214,  3133,  3135,  2798,   197,  2853,  2723, -4727, 53032,
    2807, 80299, -4727, -4727, 72253,  2808,  1905,  2646,  1065,  1661,
   -4727, -4727, -4727,  1221, -4727, 72253, -4727, 72253, -4727,  2990,
   93611,  2932,  2993, -4727,  2772, -4727,  3000,   311, -4727, 72253,
   72253,  3001,  2935,  2942,   904, 93611,  2943,  3004, -4727,  3005,
    3006,  2830,  2787,  2803, 47682, -4727,  2348,  2752,  3178,  3070,
   72253, 50797, -4727,  3196,   993, -4727, 93611,  2956,  3078, -4727,
   72253,  2974,   581, -4727, -4727,  3115,  2821, -4727, -4727,  1013,
   72253,   257,  2804, -4727, -4727,  3082, 53926,  1518,  3085,  1242,
    2811,  1242, 53926,  3007, 72253, 72253, 72253, 72253, -4727, -4727,
    2973,  1091,   115, -4727, 53032,  2985, -4727, 72253,  2986,  2587,
    2987,  3204,   637,  1783, 85216,  1956,  3084, -4727, 85663,  2776,
    3208, 93611,  3033, -4727,  1992, -4727,  2908, -4727, 58396, -4727,
   -4727, 58396, -4727, -4727, -4727, 93611, 72253, -4727,  2782, -4727,
   -4727, 29128, -4727, -4727, -4727,  2213, -4727, 93611,  2495,  2495,
   -4727, -4727,  3216,  2866,  2867,  2213, -4727,  2213, -4727, 93611,
   -4727,  2799,  2814,  2213,  2869,  2872,  2873, -4727,  2802,  2874,
    2213, -4727, -4727,  1969, -4727, -4727, 58396, 58396, -4727, 53926,
   53926,  3108,   294,  3109,  2852,  3127,  2863, 44565, 44565, -4727,
     379, 53926, 72253, -4727, 72253, -4727, -4727, -4727, -4727, 93611,
   93611, -4727, 53926, 53032,  3130,  3131,   820, 72253, 72253, -4727,
   72253, 72253, -4727, 72253, 72253,  1777, 86110,  1067, 57055, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, 72253, -4727, 72253,
   -4727, 72253, -4727, 72253, -4727, 72253, -4727, -4727, -4727, 72253,
   -4727, 72253,  1828, -4727, -4727,  1835,   787, 72253, 72253,   733,
   58396, 72253,  3021, 72253, 72253, 72253, 72253, 72253,  2896,  2568,
    1191, -4727,   755,   828, 66889,  3029, -4727, -4727,  1836,  1986,
    1157, 72253,   882,  1876, -4727, -4727, 62866, 61972,  3124,    98,
   72253, -4727, -4727,  4820, 29128,  1642, 26808, -4727, -4727, 14493,
    2868, 29128, 29128,  2822,  2213,  2213, -4727,   246, 29128, 29128,
   29128,  2213,  2213,  9600, 29128, 44565, 29128, 33304, 23183, 29128,
   29128, 26344, -4727, 29128,  3045, 34226, 29128,  1436,  3048, 29128,
    1436,  9600,  3280,  3280,   950,  6788,  2824,  1642, -4727,  2213,
    1064, -4727,   281, 93611, 29128, 29128, 29128, 29128, 50797,  2907,
     218, 72253, 29128,  2833,  1572, -4727, 29128, -4727,  2835, 29128,
    2909,   330, 29128, 29128, 29128, 29128, 29128, 29128, 29128, 29128,
   29128, -4727, 35573,   372,  3132,  3142,    35,   466, 70465, 27272,
    3136, 22253, -4727,   289,  3136, -4727, -4727, -4727, 72253,  2999,
   -4727, -4727,  2915, -4727, -4727, -4727, -4727, -4727,   284, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727,  2839, -4727, -4727, -4727,
   -4727,  2839, -4727,  2843, 12045,  2837, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727,  3141,  3143,   820, 72253,   385, 63760, -4727, 29128,
   -4727,  1849,  2847, -4727,  3112, -4727,  2854, -4727, 12334,  3112,
   -4727, -4727,   317,  2971,  3117,  3058, -4727, -4727, -4727,  2858,
   14493, -4727,  1570, 14493,  1609, -4727, -4727, -4727, -4727, -4727,
   -4727,  1099, -4727, 72253,   998,  2888,   235,  2920,  1521,  3296,
   72253, -4727, 40515,  1870, 53926, 72253, 72253,  3059, -4727,  3279,
   -4727, 94477, -4727,  2870, -4727, 94044, 90133, -4727, -4727,   574,
   -4727,   799, 53926, -4727, 72253, 72253, -4727, 50797, 53926, 72253,
   72253, -4727, 53926, 72253, 72253, -4727, -4727, -4727, -4727, -4727,
   49456,   915, 61972,  2998, 61078, -4727, -4727,  2875, 72253,  2925,
    3128,  3129,    15, -4727, -4727, 86557, -4727,  3088, 53926, 72253,
   72253, 29128,  3089, 72253, 72253, -4727,   248,  2953,  2960, -4727,
   72253,  2961,  3114, 58396,  2885, 72253, 72253, 93611,  2962,   771,
   58396,  2936, 45013, 72253, 72253, 72253, 72253,  3014,  3198, 93611,
   72253,  3151,   127, 66889,   232,  2095,  2646,  3110, -4727,  3217,
     815, -4727, 53926, -4727, 72253,  3099, -4727, -4727, -4727, 70912,
    3325,  3011, -4727, -4727, 87004, -4727, -4727, -4727,  1881, -4727,
   53926, 53926, 72253,  8893, 87451,  1238,  3119, -4727, -4727, 93611,
   -4727, 72253, 72253, 72253,  3224,  3152, 72253, 64207, 87898, 88345,
    1411,  1417,  3153, 72253, 64654,  3154, -4727,  3046, 72253, -4727,
   -4727, 51244, 53926, 72253,   861, 50797, -4727, -4727, 72253, -4727,
    3113,   265, -4727, 72253,  2634, -4727,  2989,  3002, 72253,  3116,
     255,  2098,  2646, 72253, 72253,  2914,  1902, 53926, 72253, 50797,
   -4727,  3125,  1283, 66889, 66889, 53926, 72253, 66889, -4727, 72253,
   -4727, 53926,  1053, -4727,  3065, 53926, 72253,  9911, -4727, -4727,
   -4727,   311, -4727, -4727, -4727, -4727, -4727, 72253, 72253,   311,
   72253, 72253,   311,  1350, -4727, 53926, 72253, -4727, -4727, -4727,
   53926, 72253, 72253, -4727, 53926,  2804, 72253, 50797, -4727, 72253,
    6178, 72253, 72253, 72253, 72253, 72253, 72253, 53926, 72253, -4727,
   -4727,   913,  1038,  1031,  1322,   773, 72253,  3206, 72253, 88792,
   53926, 72253, 72253,  1242, 72253,  1316, -4727,  3047, -4727, 53926,
    1053, 10189, 72253, 72253,  3003,  3008,   187,  3090, -4727, -4727,
   -4727, -4727, -4727, -4727,   316,  3359, 89239,   316, -4727,   316,
    3191,  2991,  2992,   316, 72253, 72253, -4727, -4727, -4727, -4727,
    3187, 72253,   316,   316,   316,  3098,  3139,   169,  3218,  2949,
    1917, -4727, -4727, 29128, 93611, 72253, -4727,  1926, -4727,  2950,
    1091, -4727, -4727, 50797, 72253,   213,   145,  3262,  3147, 60184,
    2142,  3253, 72253,  2997, 72253,  3376,  3035, 66889,  2348, -4727,
    2142, 72253, -4727,  1548, 61972, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, 72253, -4727, -4727,  3254,  3122, -4727,  1242,  2348,
    2348,  2348,  2348, -4727, -4727, -4727, -4727,  3155,  1726, -4727,
    2951,  2348, 72253,  3069,  3273,  2142,  2964,  3281, -4727,  2587,
    3286,   997, 72253,  3171, 60184,  2044,  3010,  3182,  3399,  1783,
    3169,  1242,  3185,  3174, -4727, 25446,  6140,  3177,  3225, 57502,
    3269,  3272,  3290, -4727,   171, -4727,  3414, -4727, 29128,  1931,
    2983,   212, -4727, -4727,  2988,  2814,  3012,  3013,  3020,  3022,
   -4727,  2213,   189,  3023,  1139,   670,  3118,  2213,  3213,  3024,
   -4727,   234, -4727,  2465, -4727, 72253, -4727, 72253, 72253, 72253,
   72253,   282, -4727, -4727,  2465,   820, -4727,  3242,   212,  2465,
    3120,  3298, 57502, -4727,   294, -4727,   324, -4727,  3193,   820,
   -4727,  3209,  1783, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727,  1938, -4727, 72253, -4727,  3278,  3282,  3283,  3018,  3025,
    3031, 72253,  3026,  3018,   311,  3018,  2568,  2568,  3018,  3025,
   53479,  3434,  3302, -4727,  3091,  3015,  3303,   181, -4727,   192,
      67,  3236, -4727, -4727, -4727, -4727, 93611, -4727, 53926,  3050,
   72253, 72253, -4727,   340,  3210,  3027, 53479,  3424,   820, -4727,
   58396, -4727, -4727, 93611,  3101,  3104, 58396,  3238,  3077, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, 93611, -4727,  3288, 72253,
   72253,  1939, -4727, -4727,  1657, -4727,  1684, 29128,   152, -4727,
   13016,  1943, 29128,  3040,  3041, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727,  3042,  3349, -4727,  1950,  1966,  1979,  3049,  3052,
    5279,  3053, 13308,  3054,  3056, 33304, 33304, 25880,   853, -4727,
   33304,  3060,  3235,  1981, 12546,  3055,  3064, 13366, 28200, 29128,
   28200, 28200, 13898,  3055,  3066,  2015, 50797,  3229, 13947,  2021,
   -4727, 29128, 50797,  5402, 29128, -4727, 29128,  3067, -4727, -4727,
    2681,  2681,  2681,  9600, -4727,  3086, -4727, 33304, 33304, -4727,
    2432, 25880, -4727, -4727,  3374, -4727, -4727,  1343, -4727,  3072,
   -4727, -4727,  2564, 44565,  8997, 29128,   263, 29128,  2833, 29128,
    3156,  2681,  2681,  2681,   357,   357,   333,   333,   333,  1489,
     466, -4727, -4727, -4727,  3074,  3075,  3076,  3268,  3079, 29128,
   -4727,  2118,  2168, 72253,  2838,  4202,  5226, -4727, -4727, -4727,
   36472,  3121, 29128, 29128, 29128,  3081, -4727,  2189, 14493,   602,
   -4727,   293,  3121, -4727,  1221,  2213,  1064, 49009, -4727, -4727,
   29128, -4727, -4727, -4727,  1956, -4727, -4727, -4727, 14493, -4727,
    1986, 29128, -4727, -4727,  2004,  3095, 29128,  1570, -4727, -4727,
    3144, -4727, 29128, -4727, -4727, -4727,  2568, -4727,  3319, -4727,
   -4727, -4727, 36472,  3134,  3137,    62, 39616,  3284, -4727, 72253,
   -4727, 72253,   350, -4727,  3096, -4727, -4727, -4727, -4727, -4727,
   -4727, 90133,  1867, -4727, 94044, -4727, 94044, -4727,  1867,  3502,
   -4727, 90133,  1702, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, 53926, 53926,  3292, 72253,
    3287,  3293, 29128,   268, 72253,  3138,  3140,  1244,  3373, 72253,
   -4727,  3417,   820, -4727, -4727,  3180, -4727, 14493, -4727, -4727,
   -4727, -4727, -4727, 53926, 72253, -4727, 57502, -4727, 72253, -4727,
   93611, -4727, -4727, -4727, 72253,  3145, 72253, -4727, 72253, 72253,
   72253, -4727, -4727, -4727, -4727, -4727,   966, 93611, -4727, -4727,
   72253, 72253,   146,  3188,  3190, 72253, -4727,  1088,  2894, 10215,
   72253, 72253, 72253,  3378, 72253, -4727, -4727, -4727, -4727,  3324,
   -4727, -4727, 90133, -4727,  2465,  1326,  3194,  2646,  3332, -4727,
    3439,  3316, -4727,   241, -4727, 72253,  3246, -4727, -4727, -4727,
   -4727,  3443,   820,  3445,   820, 72253, 72253, 72253, 72253,  3250,
   -4727, -4727, -4727, -4727,  3252,  3375, -4727, 50797, 50797, 50797,
    2025, -4727, -4727,  1242, -4727, -4727, -4727, -4727, -4727, -4727,
    3408, -4727,  2026, -4727,   916, -4727, -4727, -4727, -4727, -4727,
   -4727, 53926, 72253, 10941,  3450, 72253, 72253, 72253,  1795, -4727,
    1098, 93611, -4727, 91879, -4727, -4727,  2035, -4727,  3146, 72253,
    3211, 53926,  3189,  3149,  3149, -4727, -4727,  3149, -4727, -4727,
   -4727,  3380,  3318, -4727,   320,  3326, 53926,  3207, -4727,  3234,
   -4727, -4727,  3237,  2154,  2646,  2587, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727,   919, -4727, -4727,  1415,   420,  2161,  2646, -4727,  3446,
   -4727,  3240, -4727,  3241, -4727, -4727, -4727,  3384,  3390,  3391,
    3243,  3244,  3299,  3247,  3249,  3301, -4727,  3251,  3304,  3255,
    3305,  3381,  3263,   820, 93611,  1242,  3300,  3506,   820, -4727,
    3267, -4727,  3270, -4727,  3613, -4727, 72253, -4727,  3274,  2350,
    2646, -4727, -4727, 53926, 72253, -4727, -4727, -4727, -4727, -4727,
   -4727, 93611, 72253,  3452, -4727, -4727,   316, 72253, 72253, -4727,
    3457,  3462, 72253,  3463, -4727, -4727, -4727, -4727,   261, -4727,
   -4727, -4727,  3098,  3483, 41865, -4727,  3667,  7524,  3212,   296,
   -4727, 50797, 41865,  1962,  1678,   160,  1407, -4727, 57502, 72253,
   57502, -4727,   145,  3316, 72253, 72253, 72253,  3214,  3201, -4727,
   -4727, -4727, -4727, 53926,  1030, 53926,  2213, -4727, -4727,  3276,
   -4727, 72253,  1783,  3672,  3517, -4727,  3149, -4727,  3634,  2790,
    1518,  3360,  1667,  2442,  3578, 50797,  3010, -4727, -4727, -4727,
   -4727, 72253, 72253,  1091,  1242, -4727,  3219,  3215, -4727, 72253,
    3527, 72253, 72253, 72253, 72253,  3050,  3221, 72253,  3222, 93611,
      72,  3426,  3422,  2643,  3656,  3547,  1986,  3010, 29128,  3306,
    3549, 72253, -4727,  2041,   137, -4727,  1242, 57502, 91013,  3538,
   -4727,  5779, -4727, -4727,   842, 72253,  3524, -4727, -4727,  1986,
   -4727, 93611,  2042, -4727, -4727, -4727,  2213, -4727, -4727,  1504,
    1504,  3239, -4727,  3258, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727,  3232, -4727, -4727, -4727,   294,  3291,   820,  3295,   820,
   -4727, -4727, 72253, -4727, 72253, 53032,   820, -4727, -4727, 72253,
   -4727,  3555, -4727, -4727,  3366,  3367,  3370, 72253,  3018, -4727,
    3248, 53926,  1334, -4727, -4727,  3438, -4727, -4727, 66889,  3362,
   -4727, -4727, -4727, -4727,  3571,  3574, -4727, -4727, -4727,  1094,
   -4727, -4727, -4727, 53926, 62419,   472, 53926, -4727,  3513,  3514,
   -4727, -4727,  3520,   311, -4727,  3528, -4727,  3529,  3530, -4727,
   -4727, -4727,  3277, 14475, 29128, -4727,  3601, 93611, -4727,  7596,
   -4727, -4727, -4727, 29128, -4727, -4727, -4727, -4727, -4727, 29128,
   -4727, 29128,  3580, -4727, 23648,  3732,  3732,  3275, 93611, 33304,
   33304, 33304, 33304,  1605,  2530, 33304, 33304, 33304, 33304, 33304,
   33304, 33304, 33304, 33304, 33768,   603, -4727,  3467, 29128, 29128,
    3597,  3580, -4727, 93611,  3294,  3055,  3297,  3307, 29128, -4727,
   -4727,  2052, 34675,  3308, 50797, -4727, 29128, 12658,  2085,  3334,
   14017,  1642,  7955,  1242, 29128,  1219,  1809, 29128,  2089, 29128,
    3594, -4727, -4727, -4727,  3310, -4727, -4727, 93611, 29128,  3311,
    3044, 33304, 33304,  3271, -4727,  3289, 29128, 25880, -4727,  3485,
    3336, 40964, -4727, 24113,  3309,   974,   974,   974,   974, -4727,
   72253, 72253, 72253, 36921,  3596,  3314, 36022, 71359,  3313,  1892,
   -4727, 71359, 71806, 71359, -4727,  3315, -4727,  3320,  1642, 29128,
    3589,   759,   759,  3485, -4727, 29128, 29128, 28664,  3317, -4727,
    3589,   228,  3321, -4727, -4727, 14493,  3312, -4727,  3322, -4727,
    3330, -4727,  3095,  1223, -4727,  8081,  3496, -4727, -4727, -4727,
    3313, 29592,  3440, -4727, -4727, -4727,  3351,  2096, -4727, -4727,
    3687,  3440, -4727, -4727,  2101, 40515,  3134, 29128,  1642,  2106,
    1728, -4727, -4727, 90133, -4727,  3372,  2465,  2465,  1247,  3018,
    3614,  1247,  8446, -4727, -4727, 37370, 72253, 72253, -4727, 72253,
    2117,  1354, 72253, -4727, 72253, -4727, -4727, -4727, -4727,  3737,
   -4727, 72253, -4727, -4727,  3371,  3377, 72253, 72253, 72253, 72253,
    3573, -4727, -4727,  2019, -4727, -4727, 53926, 72253, -4727, -4727,
   -4727,   264,  2390,  2646, -4727,  3403, -4727, -4727, -4727,  3595,
   -4727,  3739,  3418, 72253,  3657, 72253,  3335, -4727,  1354,  3637,
    1173,  2643,   374,  4893, -4727,  1603, -4727, -4727,  3407, -4727,
   -4727, 72253, -4727, 72253, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727,  3464, -4727, -4727, -4727, -4727, 51244, -4727, -4727, 72253,
   -4727, 50797, 41865, 50797, -4727,  1426,   448,  2411,  2646, 72253,
   -4727,  3425, -4727,  3428,  3429,  3475,   158,   769,  3432,  3435,
    3477,  3354,  3356,  3357, -4727, 50797, 42325,  3507, 72253,  2465,
    3363,  3397,   344,  1242, -4727, -4727,  1242,  2465,  1242, 72253,
   72253, 72253,  2804,  3516, 50797,  3779,  3454, 72253, 72253, 72253,
   72253,  3421, -4727, 72253, 72253,  3685,   809,  1674, 53926, 72253,
   72253, 53926, 72253, 72253, 72253, 72253, 72253, 72253,  3696, 72253,
   -4727,  3774,  2012,  3742,  3453, 72253, -4727, 72253,  1242,  2894,
   72253, 72253, -4727, -4727,  3385,  3641,   316, -4727,  3645,  3647,
     316,   316,  3650,   316, -4727, -4727,  1407, -4727,   261, 72253,
   -4727,  3330,  2213,  1965, -4727, -4727, -4727, -4727, -4727, -4727,
    2949, -4727, -4727,  2149, 72253, -4727, -4727, -4727, 72253,  3394,
   72253, 72253, 33304, -4727,   414,  1218,  1164, -4727,  3651, 72253,
    2804, -4727, -4727, -4727,  3562, 72253, -4727, -4727, -4727, -4727,
   -4727,   651,  3221, -4727,  3673, 60184,  2465, 53926, 53926,  2465,
   -4727, 93611,  3400,  3010, -4727,   224,  3480, 53926,  1518,  1256,
   89686,  2811,  3436,  1403, -4727,  3398,  3557, -4727,  3404,  3402,
   -4727, -4727, 72253,  3316, 53032,  2119,  2587,  3839,   743,  1755,
   -4727, 61525,  3590,  3221,  3673, -4727, -4727, -4727,  3799,  3498,
   -4727,  1986, 72253,  3050,  3498,   352,  1242, 72253,  2925, -4727,
   90133, 29128, 29128, -4727,  3409, -4727,  3412,  6296, -4727,  3486,
    3410, -4727, -4727, -4727, -4727, -4727, -4727,  3495,  3419, 72253,
   -4727,  3420, -4727,  3423, -4727, -4727, -4727, -4727, -4727, -4727,
   72253, -4727, 72253, -4727,   820, -4727,  3540, -4727,   820, 72253,
   72253, 72253, 72253,  3018,   311, -4727,  3716, 53479, -4727, -4727,
    2136, 72253, -4727, -4727, -4727,  3787,    98,  3730, -4727, -4727,
     860,   860,   860,  3691,   860,   860,   860, -4727, 29128, 14493,
   -4727,  3431, -4727, 14493,  8513, 14493,  3597, -4727,  2138, 29128,
   -4727,  1606,  1606,  1606,  2277,  3731, -4727,  1589,  3441,  1606,
    1606,  1606,   319,   319,   198,   198,   198,  3732,   603, 14493,
   14493, -4727, -4727,  3437, -4727, -4727, -4727,  3055, -4727, 30056,
    3591,  3856, -4727, -4727, -4727,  3484,  3487,  3448, -4727, 29128,
   30520,  3442, 94477,  3636, -4727,  1307, 29128, 29128,  4176, -4727,
   11820, 29128, 93611,  2143,  4176,   447, 29128,  2077,  4092, 29128,
   29128,  4339,  8602,  3449, 29128, 90566, -4727, -4727, -4727,  2148,
   29128, 72253, 72253, 72253, 72253, -4727, -4727, -4727, 71359, 71806,
   71359,  3451, 35124, 24563,  1892,  3456, 72253, -4727, -4727,  3458,
   36472,  3710,  3653, -4727, 36472,  3653,  1920,  3653,  3721,  3553,
   41413, -4727, -4727,  3459, -4727,  3659, -4727, 22253,  1722, 14493,
    3881,  3761, 29128,  3469,  3472,  3473, 14493, 14493, 29128, -4727,
    1242,  3761,  1242, -4727, -4727, 44565, -4727, -4727, -4727, -4727,
   -4727,  3680, 14493, 27272, -4727,  1986,  1948, 72253,  1642,    66,
   -4727,  3488, 72253, -4727,  3440, 14493, -4727,  3548,  2159, -4727,
   -4727, -4727, -4727, -4727, -4727,  3560, 61972,  3782, -4727, 29128,
    2163, -4727,  3519,  3878,   162,  2167,  2177,  1354, -4727,  2804,
   -4727,  1475,  3760,   183, -4727,   820, -4727, 93611, -4727, 72253,
   72253, -4727, -4727, -4727, -4727, 72253,  2599, -4727, -4727, 72253,
   72253, 72253, 72253, -4727, 53926, 72253, -4727, 72253, -4727, 50797,
    1678,   414,  3772,  3697, -4727,   311, -4727,   414,  3699,   344,
   72253, -4727, -4727,  2596, -4727, 93611,   820,   820, -4727, -4727,
   -4727, -4727, -4727,  3497,  3903,  3579, 72253, 72253, 72253, -4727,
   72253, 53926, 72253, 72253,  2213,  2213, 93611,  3489, -4727,  2213,
    2213,  3490, -4727, 53926, 72253, 72253, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727,  3570, -4727, 29128,
    3897, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, 53926, 72253,  3582, -4727,  3584, -4727,  1721, -4727,
   -4727, 72253, 72253, 72253, 72253,  3819, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727, 72253, -4727, 72253, -4727,
    1242,  1242, 93611,   820,   820, -4727, -4727, -4727, -4727,  3759,
     316, -4727,   316,   316, -4727, -4727,   316, -4727,  3500,   424,
   -4727,  1354,  1590,  3808, -4727,  3811, 29128, -4727,  1008,  2277,
   -4727,  3864,  3943, -4727, -4727, -4727, -4727,  2804,  1783,  3569,
   58396,  1452, -4727,  3795,   213,  3720, 60184,  3446,   288,  3521,
    3639, -4727,  2465,  2465,  3572, 72253,  3948, -4727, -4727, -4727,
   -4727, -4727, -4727, 53926,  3189, -4727,  3735,   750,  3829, 72253,
   -4727,  1294,  3835, -4727,  1242, -4727, -4727,  3648,  3010, -4727,
    1986, 72253,  3734, 60184,  3050,  2182, -4727, -4727, -4727,  3567,
    3945,  2044, -4727,  3446,  3590,   938, 72253, -4727,  3581,  3965,
   -4727, -4727, 36472,  3845,  3743,  3542, -4727, 14493, 14493,  1242,
   94910,  5779, 93611,  3858, 72253,   693,  3823,   820, -4727,   820,
     820, -4727, 72253, -4727,  3018,  3018,  3018, -4727,  3756, -4727,
   -4727,  3830, -4727,   820, 53479, -4727, -4727, -4727, -4727, -4727,
     860, -4727, -4727, -4727, 14493, -4727, -4727, -4727, -4727,  8818,
   33304,  3865, -4727,  3575, 93611, -4727,  3576,  2187,  2188, 34226,
    3722, -4727, -4727, -4727,  9082,  3621, 14493,  3675,  3586,  3593,
    4176,  4176, 11820,  2193, -4727,  4176, 29128, 29128,  4176,  4176,
   29128, -4727, -4727,  9284,  3753, -4727, -4727,  9543, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, 51691,  3585,  3229, 71359,  3592,
   72253,  1892, 36472, -4727, -4727,  1474, -4727, 36472,  3831, -4727,
   36472, 58396, -4727, 72253,  3608, 72253, -4727,   602, 30984, 29128,
    3611, -4727, -4727, -4727,  3485, -4727,  3611, -4727,  3609, 72253,
    2567, -4727,    62, -4727, -4727,  3960, 37370,  3918, 29128, -4727,
   -4727, -4727, -4727, 53479,  3780, 53479,  1354, 10059,  2804, 37370,
   45461, 72253, 72253, 72253,  3733,  2804,  3569, -4727, -4727, -4727,
   -4727, -4727, -4727,  3610, -4727, -4727, -4727, -4727,  3669, -4727,
   -4727,    70,  3029, -4727,  2194, -4727,  4022,  3916, -4727, -4727,
   -4727, -4727, -4727, -4727,  3774, -4727, -4727, 41865, 53926, 72253,
   -4727,  3676, -4727, -4727, -4727, -4727, -4727, 39167, 44565, -4727,
     158,  3612,  3617,   769, -4727, -4727, -4727, 72253, 10230,  3619,
     932,  3029, 72253, 72253,  3620,  3622,  1552,  1190,  1493,  3018,
    3922, -4727, -4727, -4727, -4727,  3774, -4727, -4727,   316, -4727,
   -4727, -4727, -4727, 50797, -4727,  2893, -4727,  1407,  3962, 58396,
    4052,  4052, 72253, -4727, 10541,  3834, -4727, -4727,  3914,  3569,
    3861,  3907, -4727,  3630, 72253,  3796,  3633, 72253,  3643,  3755,
    1514,  1514, 72253, 72253, 72253,  2198,  1986,  2465,  3397,  1518,
    3959, 60184,  4008,  3316, -4727, -4727,  1294, -4727,   100,  3983,
    3690, -4727, 72253,  4082,  3050,  3221, 72253,  3654, -4727, -4727,
   61525,  3848,  1678, 95343,  3422,  3590,  2044,  3789, -4727,  3790,
   -4727,   300, -4727,  1986,  3313, 72253, 72253, 37370, -4727, 94044,
   -4727,  2205, -4727, -4727, -4727,  3728,  3121,  3769,  3770,  3664,
   72253,    90, -4727, -4727, -4727, -4727, -4727, 72253, -4727,   472,
   -4727, -4727,  4188, 33304, 93611,  2207, 29128, -4727, 29128, -4727,
    4081, -4727, -4727, -4727,   605, -4727, -4727, -4727,  4176,  4176,
    4176, -4727,  4086,  3485, -4727, -4727,  2209,  4105, 32376,  4077,
   -4727, 72253,  2217, -4727, 29128,  3686, -4727, -4727, 36472,  1474,
    3692,  2224, 72253,  2234, 93611,  3689,  3693,    50,  3694, 22718,
    3683, -4727, -4727, -4727, -4727, -4727, 14493, 14493, 72253, -4727,
    3698, -4727, -4727, -4727,  3748, 72253,  2241, -4727,   619, 14493,
    1334,  1247,   472,  3878,  3569, -4727,  3703, -4727, -4727, -4727,
     367,   367, 72253,  3569, -4727, -4727, 72253,  3778, -4727, -4727,
   50797,  3993, -4727,  3762, -4727,   949,  3029, 72253, 93611, -4727,
     105,  4016, -4727, 93611, 93611, -4727, -4727, -4727, 29128,  3797,
   -4727, -4727, -4727,   355,   402, -4727, -4727, 72253, 72253, 72253,
   72253, 72253,   820, -4727,  2242, -4727, 38268, -4727, -4727,  2747,
    1242,  2747,  1592, -4727, -4727,  2747, -4727,  2747, -4727,  3500,
    1242,  4052,  1214, -4727, -4727, -4727,  1846,  3925,  3709, -4727,
     695,  3911,  3800,  3711, -4727, 58396,  4175,  3221,  3673, 72253,
   -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,  2246,
    3316,  4030,  3010,  3581, -4727, 72253,  3749, -4727, -4727, -4727,
   -4727,  2747, -4727,  1428,  3717,  4041,  3316,  1986, -4727,  3590,
    3221,  3673, -4727, -4727, -4727,  3723, -4727,  3498,  2044,  3422,
   -4727, -4727,  4121,  3919,  4125,  3050, -4727,  2925,  2247, -4727,
    6296, 94910, 93611,  4065,  3763,  3764, -4727, -4727,  3781, 72253,
   -4727, -4727,  3316, -4727,  4188,  2255, -4727,  2257,  2291,  3883,
    3785, -4727, 29128,   627,  3315, 51691,  3741, -4727, 33304,  2317,
   -4727,  3111, 72253,  2324, -4727, 14493, 72253, -4727, -4727, 29128,
   -4727,  2332, -4727, -4727, 29128,  3745, 29128, -4727, 30984,  3744,
   -4727,  4166, -4727,  1986, -4727,  3121, 37370, -4727,  3860, -4727,
    4051, -4727, 72253,  3791, 44565,  3095,  3095,  1783, -4727,  1354,
   -4727, 72253, -4727,  3709, 29128, -4727,  3836, -4727, -4727,  2337,
    1467,  3912,  3912,  2343,  2353, 10827, 72253, -4727, -4727, -4727,
    2359, -4727, -4727, -4727, -4727,  2374,  3025,  1493,  3025, -4727,
    3018, -4727, -4727, 50797, -4727, 52138, -4727, -4727, -4727,  1242,
   -4727,  1242,  3964, 72253, 46802,  1242,  1242, -4727, -4727, -4727,
   -4727, -4727,  4091,  4034, -4727,  2587, -4727, -4727, -4727, -4727,
     431, -4727,  3961,  3963, 72253, -4727,  3766, -4727,  2376,  3446,
    3879,  3316, -4727, -4727, 72253,  4195,  4198, -4727,   925, 72253,
   72253, -4727, -4727, -4727, 29128,  3935, -4727,  3581,  2044,  3446,
    3590,  1678, 37819, -4727,  3422,  3498,  3968, -4727,  3969, -4727,
    3773,  3010,  5779, -4727, -4727,   986,  4076,  4079, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727,  3055, 31448, 31448,  3777,
   -4727, -4727, 72253,  2277,  3771, 32376, 50797,  2381, -4727, 92312,
   -4727,  2382,  2387, -4727,  2388, 30984,  2392, -4727, 72253,  3783,
   -4727, -4727, -4727, 40515, 53479,   367,  3784, -4727,  3792, -4727,
   -4727,  3861,  1354,  3029, -4727, 14493, 72253, 58396,  4192, -4727,
   -4727, -4727, -4727, -4727, -4727, -4727,  3029,  3867,   355, -4727,
     402, 72253, -4727, -4727,  2393, -4727, -4727, -4727, 72253,  3398,
   -4727,  3398, -4727, -4727,  3920, -4727,  1711,   976,   976,  4132,
   -4727,  3843, -4727, -4727,  3794, -4727,  4251,  3921, 72253, -4727,
   -4727,   158,  1986, 60184,  3316, -4727, -4727, 10950, 58396, -4727,
    3422,  3590,  2044, 29128,  2398, -4727,  3878,   162,  3498, -4727,
   -4727, -4727, 37370,  3498, -4727, -4727, -4727,  1923, 58396, 58396,
   32840,  3930,   726, 12838, -4727, -4727, -4727, -4727,  2402, 34226,
   -4727, -4727, -4727, 72253,  3984,  1109, -4727,  3947, -4727,  2403,
   -4727, -4727, -4727,  1185,   472,  3095, 29128,  1354, -4727,  3911,
   -4727,  3029, -4727, 72253, -4727,  3798, -4727, -4727, -4727, -4727,
   52138,  3398,  3690, -4727, -4727,  4247, -4727,   780, -4727, -4727,
   -4727, -4727, 72253,  3316,  3489,  3581, -4727, -4727,  3803,  3498,
    2044,  3422, 11072, -4727, 37819, 72253, 72253, -4727,  2404,  3121,
   -4727,  1788, -4727, -4727, -4727, -4727, -4727, -4727, -4727,  3801,
    3802,  4242, -4727, -4727, -4727, -4727, -4727, -4727,  3229, -4727,
   -4727, 33304, 33304,  4020, -4727,  1109, -4727,  3814, -4727, -4727,
   -4727, -4727, -4727, 11435, -4727, -4727, -4727,   355, -4727,  4137,
   -4727, -4727, -4727,  3316, -4727, -4727, 50350, -4727,  3422,  3498,
    3878, -4727, -4727, -4727,  3010, -4727,  2169, -4727, -4727,  2216,
    1980,  3895,  4122, 31912,  4209,  2277,  2277, -4727, -4727, 29128,
   -4727,  1354,  2408,  3986, -4727, -4727,  2414, -4727, -4727, -4727,
   -4727,  3498, -4727, 72253,  3498, -4727,  1788,  3928,  3929, -4727,
   72253, 11473, -4727, 58396, -4727, 50350, -4727, -4727,  3121, -4727,
    3862,  3870,  2430, -4727,  3827, -4727, -4727,  4136,  4139, -4727,
   50350, 58396, 58396,  2436, -4727, -4727, -4727
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1618,  1401,   617,  1487,  1486,  1401,   256,     0,  1489,     0,
    1401,   416,  1092,     0,     0,     0,     0,   617,  1401,     0,
    1618,     0,     0,     0,     0,     0,  1631,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1401,     0,     0,  1638,
       0,     0,     0,     0,  1631,     0,  1491,     0,     0,     0,
       0,     0,     2,     4,    73,    74,    31,    30,    37,    36,
      94,    95,    56,    18,    85,    64,   129,   128,   130,    43,
      39,    81,    26,    28,    40,    44,    66,    68,    46,    57,
     107,    65,    24,    63,    89,    69,    92,    51,    12,    13,
      52,    14,    53,    15,    54,    16,   103,    75,    96,    35,
      62,    23,    45,    71,    72,     5,    47,    83,    79,    11,
      58,    59,    61,    86,    87,    88,   112,    90,   124,    42,
     121,   100,   101,   118,   102,   119,     9,   104,    55,    17,
     115,   114,   116,    82,    48,    84,    70,    93,   113,    27,
     117,    19,    20,    22,    21,    60,    29,    67,    32,    91,
     120,   110,   106,   125,   123,   131,   108,    76,     7,     8,
      97,     6,    25,    50,    10,    34,    33,    49,    41,   127,
      38,  1489,    99,   111,    98,    77,   105,    80,   109,   126,
      78,   122,  1591,  1590,  1640,  1594,  1617,     0,  1606,  1400,
    1399,  1385,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   616,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1411,  2212,  2227,  2228,
    2229,  2230,  2231,  2232,  2233,  2234,   387,  2235,  2236,  2237,
    2238,  2239,  2240,  2241,  2242,  2243,  2244,  2245,  2509,  2510,
    2511,  2512,  2246,  2247,  2248,  2249,  2250,  2251,  2252,  2513,
    2514,  2253,  2254,  2255,  2256,  2257,  2515,  2258,  2259,  2260,
    2261,  2262,  2263,  2264,  2265,  2266,  2267,  2268,  2269,  2270,
    2271,  2272,  2273,  2274,  2275,  2276,  2277,  2278,  2279,  2280,
    2516,  2517,  2281,  2282,  2283,  2284,  2285,  2286,  2287,  2288,
    2289,  2290,  2291,  2292,  2293,  2294,  2295,  2296,  2297,  2298,
    2299,  2300,  2301,  2302,  2303,  2304,  2305,  2306,  2307,  2518,
    2308,  2309,  2310,  2519,  2311,  2312,  2313,  2520,  2314,  2315,
    2316,  2317,  2318,  2319,  2320,  2321,  2521,  2522,  2322,  2323,
    2324,  2325,  2326,  2327,  2328,  2329,  2330,  2331,  2332,  2333,
    2334,  2335,  2336,  2337,  2338,  2523,  2339,  2340,  2341,  2342,
    2524,  2525,  2526,  2343,  2344,  2345,  2346,  2347,  2348,  2349,
    2350,  2527,  2351,  2352,  2353,  2354,  2355,  2356,  2357,  2358,
    2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,
    2369,  2370,  2528,  2529,  2371,  2372,  2373,  2530,  2374,  2375,
    2376,  2531,  2377,  2532,  2378,  2379,  2380,  2381,  2382,  2383,
    2384,  2385,  2386,  2533,  2387,  2534,  2388,  2389,  2390,  2391,
    2392,  2393,  2394,  2395,  2396,  2397,  2398,  2535,  2399,  2536,
    2402,  2400,  2401,  2403,  2404,  2405,  2406,  2407,  2408,  2409,
    2410,  2411,  2537,  2412,  2413,  2414,  2415,  2416,  2417,  2418,
    2419,  2420,  2421,  2422,  2423,  2424,  2425,  2426,  2427,  2428,
    2429,  2430,  2431,  2432,  2538,  2433,  2434,  2435,  2436,  2437,
    2438,  2439,  2440,  2441,  2442,  2443,  2444,  2445,  2446,  2447,
    2448,  2539,  2449,  2450,  2451,  2452,  2540,  2453,  2454,  2455,
    2456,  2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,  2465,
    2541,  2466,  2467,  2468,  2469,  2470,  2471,  2472,  2473,  2542,
    2543,  2474,  2475,  2544,  2476,  2545,  2477,  2478,  2479,  2480,
    2481,  2482,  2483,  2484,  2485,  2486,  2487,  2488,  2489,  2490,
    2491,  2492,  2493,  2546,  2547,  2494,  2495,  2496,  2497,  2498,
    2499,  2500,  2501,  2502,  2503,  2504,  2505,  2548,  2549,  2550,
    2551,  2552,  2553,  2554,  2555,  2556,  2557,  2558,  2506,  2507,
    2508,   386,  1581,  2180,  2213,  2214,  1488,  1468,   617,     0,
    1388,   415,  1618,     0,     0,     0,     0,     0,     0,     0,
       0,   845,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   179,     0,     0,     0,   441,
     440,     0,     0,     0,  1065,   446,     0,     0,     0,     0,
       0,     0,   605,  1530,  2400,  1528,  1582,   257,   260,   261,
     258,   259,  2202,     0,  1187,  1188,  1190,     0,     0,     0,
    1200,   885,   886,     0,     0,     0,   894,     0,     0,     0,
     883,     0,     0,     0,   899,   896,     0,   900,   897,   880,
     898,   887,     0,   879,     0,     0,  1200,   901,     0,     0,
     881,     0,     0,     0,     0,  1389,  1527,   447,  1618,     0,
    1505,  1506,  1507,  1489,  1496,  1508,  1501,  1503,  1502,  1504,
    1500,  2201,  2228,  1005,  1005,  1005,  1005,  1002,  1003,  1005,
    1005,  1005,  2419,     0,     0,   984,     0,   986,  2203,  1005,
    1010,   507,   507,   507,     0,  1009,  1014,   507,     0,  1382,
    1420,  2185,  1630,     0,   985,  1381,  2474,  1519,     0,     0,
    1215,  1211,  1213,  1214,  1212,     0,     0,     0,  2435,  1393,
     241,  2446,  2542,  2474,   240,   235,   236,   209,  2232,     0,
       0,  1009,     0,  1390,  1391,   967,  1637,  1635,     0,  2167,
    2251,  2266,  2354,   232,  2430,  2436,  2446,  2542,  2474,  2505,
     188,   198,   193,     0,   250,  2446,  2542,  2474,   246,  1411,
       0,  1607,  1737,  2176,     0,  1384,  1383,  1490,     0,  1493,
       0,  2414,  1611,  1614,  1495,  1612,  1603,     0,     0,     1,
    1618,  1484,  1634,  1634,     0,  1634,     0,  1595,  1603,  1598,
    1602,     0,     0,     0,     0,  2212,  2559,  2560,  2561,  2562,
    2563,  2564,  2565,  2566,  2567,  2568,  2569,  2570,  2571,  2572,
    2573,  2574,  2575,  2576,  2577,  2578,  2579,  2580,  2581,     0,
       0,     0,  2186,  2213,  2217,     0,   904,     0,  1423,  2181,
    1051,     0,     0,     0,     0,     0,     0,     0,  1101,  1100,
    2218,  2208,  2209,     0,  2206,  2207,  2219,  2220,  2221,     0,
    2327,     0,     0,     0,  2078,  2089,  2090,  2091,  2255,  2311,
    2086,  2087,  2088,  2080,  2081,  2082,  2083,  2084,  2085,     0,
       0,  1182,  2079,     0,  2327,     0,     0,   158,     0,   136,
       0,     0,  2327,     0,     0,     0,     0,     0,     0,     0,
    2327,     0,     0,     0,     0,     0,  2359,     0,   136,  2327,
       0,     0,  1405,     0,     0,     0,  1407,  1410,  1386,  1471,
       0,  2176,     0,     0,     0,   938,   931,     0,   939,   946,
       0,     0,   948,     0,     0,   932,     0,     0,     0,     0,
     951,   952,     0,   953,   933,   954,   934,   955,   935,   956,
       0,     0,     0,     0,   936,     0,     0,     0,  1397,     0,
    1521,  1523,  1522,  1520,   507,     0,     0,     0,     0,  2327,
       0,     0,   136,  1456,     0,  2327,   136,     0,     0,   445,
     444,   136,  2206,     0,   443,   442,  2255,  2311,     0,  1091,
       0,  1339,   136,  2327,     0,   181,  2327,   689,     0,   620,
       0,     0,   800,  2359,   136,     0,     0,     0,     0,     0,
       0,     0,  1068,     0,     0,     0,   604,   617,  1531,  1529,
       0,  1191,   234,   233,  1189,   892,  2327,  1133,   344,   344,
       0,     0,  2327,  1442,  2215,  1812,  1841,  1819,  1841,  1841,
    1808,  1808,  2295,  1821,  2327,  1809,  1810,  1846,     0,  1841,
    1808,  1813,     0,  1811,  1849,  1849,  1836,   344,   908,  1793,
    1794,  1795,  1796,  1822,  1823,  1797,  1828,  1829,  1833,  1798,
    1863,  1808,  2216,   893,     0,   884,  2327,   344,  1097,  2327,
    2210,   172,     0,   882,  2255,  2311,  2327,   344,  1184,     0,
    2327,   164,  2327,   344,  2327,   621,     0,     0,  2327,   344,
    2327,  2359,   166,     0,  2327,   344,   902,  2327,   344,  2178,
    2327,     0,     0,  1524,     0,  1498,  2546,  1513,     0,  1509,
    1516,  1512,  1618,  1005,  1004,     0,  1005,     0,  1005,     0,
    1005,     0,  1005,     0,     0,     0,  1005,  2204,  2205,   987,
       0,  1011,     0,     0,  1018,  1017,  1016,     0,     0,     0,
    1019,     0,  1741,  1558,     0,  1379,  1396,     0,     0,     0,
    1068,  1218,     0,  1216,  1207,  1208,  1392,   239,   237,     0,
       0,     0,     0,     0,     0,  1398,     0,     0,     0,     0,
    2189,  2191,  2192,  2092,  2162,     0,  2510,  2511,  2512,  2151,
       0,  2513,  2514,  2515,  2561,  1994,  1981,  1990,  1995,  1982,
    1984,  1991,  2516,  2517,  1929,  2518,  2519,  2199,  2520,  2521,
    2522,  2524,  2525,  2526,  2527,  1986,  1988,  2528,  2529,     0,
    2200,  2531,  2532,  2383,  2534,  2535,  2537,  2538,  1992,  2540,
    2541,  2542,  2543,  2544,  2545,  2198,     0,  1993,  2547,  2549,
    2550,  2551,  2552,  2554,  2555,  2556,  2557,     0,     0,     0,
    2173,     0,  1961,     0,  1801,  1802,  1824,  1825,  1803,  1830,
    1831,  1804,     0,  2172,  1866,  2043,  1960,  1977,     0,  1966,
    1967,     0,  1959,  1955,  1620,  2168,     0,  1956,  2188,  2190,
    2152,  1620,  2166,   201,   252,     0,   253,  2174,  2446,   189,
     231,   203,   230,   204,   202,     0,  2253,   190,     0,     0,
     191,     0,     0,     0,     0,   249,   247,     0,  1387,     0,
    1739,  1738,  2159,     0,  2160,  2177,   913,  1483,  1481,  1482,
    1480,     0,  1477,  1479,  1492,  1489,  2102,     0,  1613,     0,
       0,     0,  1593,  1592,     3,  1495,  1632,  1633,     0,     0,
       0,     0,     0,     0,     0,     0,  1686,  1648,  1649,  1651,
    1683,  1687,  1695,     0,  1599,     0,     0,  1743,     0,     0,
       0,     0,     0,     0,  1132,  2187,     0,     0,     0,     0,
       0,   905,     0,     0,     0,  1429,     0,  1431,  1432,  1433,
       0,     0,  1434,  1435,  1423,   243,  1441,  1439,  1422,  1424,
    1437,     0,     0,     0,     0,     0,     0,     0,  1448,     0,
     170,   171,     0,   633,   617,     0,  2327,     0,     0,     0,
       0,     0,  1140,  1147,     0,     0,     0,     0,     0,     0,
       0,     0,  1141,  1139,  1142,   245,  1151,  1168,  1171,     0,
    1099,  1102,     0,     0,     0,     0,     0,  1273,     0,     0,
       0,  1273,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   268,   280,   339,   597,     0,
       0,   599,     0,  2327,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   134,   135,   140,     0,     0,     0,     0,     0,
       0,     0,   583,   596,     0,     0,     0,     0,     0,   593,
       0,     0,   136,   272,   573,   579,     0,     0,     0,   696,
     695,     0,     0,     0,     0,  1356,  1355,     0,     0,     0,
       0,  1446,  1445,     0,     0,     0,     0,     0,  1273,     0,
     262,   264,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   379,   380,     0,
       0,     0,   140,   163,     0,     0,     0,   274,     0,     0,
    1406,  1403,  1404,     0,  1409,     0,  1467,     0,   945,     0,
       0,     0,     0,   947,     0,   940,     0,     0,   937,  2255,
    2311,     0,     0,     0,     0,     0,     0,     0,   950,     0,
       0,     0,   418,     0,     0,   797,     0,     0,     0,     0,
       0,     0,   808,     0,  1423,  1455,     0,     0,     0,   626,
       0,  2327,     0,   138,   835,   846,     0,   798,   446,     0,
       0,     0,  1163,  1338,   138,     0,     0,   175,     0,     0,
     693,     0,     0,     0,     0,     0,     0,     0,   738,   737,
       0,     0,     0,   799,     0,     0,   138,     0,  2327,   576,
    2327,     0,   507,   507,     0,  1495,     0,  1067,  1070,     0,
       0,     0,     0,  1585,  1587,  1586,     0,  1584,     0,   342,
     343,     0,  1174,   795,  1199,     0,     0,  1840,  1827,  1835,
    1834,     0,  1817,  1816,  1815,     0,  1814,     0,  1841,  1841,
    1839,  1818,  1793,     0,     0,     0,  1845,     0,  1843,     0,
     875,  1789,  1785,     0,  1852,  1853,  1854,  1851,  1864,  1850,
       0,  1799,  1855,  1808,  1805,   895,     0,     0,  1172,     0,
       0,  2327,   344,  2327,     0,  2327,     0,     0,     0,  1176,
     344,     0,     0,  1357,     0,   891,   889,   888,   890,     0,
       0,   873,     0,     0,     0,  2327,   344,     0,     0,   868,
       0,     0,   870,     0,     0,     0,     0,  1618,     0,   220,
     221,   219,  1514,   222,  1515,  1511,  1497,     0,   995,     0,
     999,     0,   990,     0,   996,     0,   991,   988,   989,     0,
     994,     0,     0,   508,   510,     0,     0,  2278,  2294,     0,
    2317,  2347,  2348,  2436,  2442,     0,  2469,  2479,     0,  1020,
    1046,  1015,   707,     0,     0,  1568,  1380,  2109,     0,  1618,
       0,     0,     0,     0,   238,   210,     0,     0,     0,  1048,
    2435,  1395,   966,   617,     0,  1957,     0,  1964,  1965,  2150,
       0,     0,     0,     0,     0,     0,  1963,  2117,     0,     0,
       0,     0,     0,  1889,     0,     0,     0,  2130,     0,  2136,
       0,     0,  1926,     0,     0,     0,     0,     0,     0,     0,
       0,  1890,  1870,  1871,  1961,  2102,     0,  1962,  2195,     0,
    1863,  2171,  2092,     0,  2089,  2090,  2091,     0,     0,     0,
    2165,     0,  2100,     0,     0,  1904,  2098,  1906,     0,     0,
       0,     0,  2086,  2087,  2088,  2080,  2081,  2082,  2083,  2084,
    2085,  2096,  1886,     0,     0,  2045,     0,  1885,     0,     0,
    1699,     0,  2193,  2153,  1699,   254,   255,   251,     0,     0,
     206,   205,     0,   224,   228,   229,   200,   227,     0,   223,
     208,  2034,  2033,   207,   199,   196,   194,   211,   213,   214,
     197,   195,   248,     0,  2158,     0,  2222,  2582,  2583,  2584,
    2585,  2586,  2587,  2588,  2589,  2590,  2591,  2592,  2593,  2594,
    2595,  2596,  2597,  2598,  2599,  2600,  2601,  2602,  2603,  2604,
    2605,  2606,  2607,  2608,  2609,  2610,  2611,  2612,  2613,  2614,
    2615,  2616,  2617,  2618,  2619,  2620,  2621,  2622,  2623,  2624,
    2625,  2626,  2627,  2628,  2629,  2630,  2631,  2632,  2633,  2634,
    2635,  2636,  2637,  2638,  2639,  2640,  2641,  2642,  2643,  2644,
    2645,  2646,  2647,  2648,  2649,  2650,  2651,  2652,  2653,  2654,
    2655,  2656,  2657,  2658,  2155,  2154,  2183,  2223,  2224,  2225,
    2226,  2161,     0,     0,   344,  1475,     0,  1472,  1696,     0,
    1615,     0,     0,  1485,  1610,  1609,  1641,  1642,  1084,  1608,
    1666,  1667,  1662,     0,     0,     0,  1692,  1690,  1658,  1652,
    1657,  1655,     0,  1659,  1866,  1685,  1597,  1646,  1647,  1650,
    1596,     0,  1688,     0,  1571,  1686,  1651,  1555,     0,  1533,
       0,  1744,     0,     0,     0,     0,     0,  1112,  1114,     0,
    1113,     0,  1116,     0,  1125,     0,     0,  1111,  1130,     0,
    1119,  1117,     0,  1444,     0,     0,   906,     0,     0,     0,
       0,  1430,     0,     0,  2469,   242,  1433,  1438,  1425,  1436,
       0,     0,     0,     0,     0,  1050,  1049,     0,     0,  1072,
       0,     0,     0,  1451,   496,     0,   341,     0,     0,     0,
       0,     0,     0,     0,     0,   793,   790,     0,     0,   789,
       0,   631,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   669,     0,  1273,     0,   701,     0,  1149,     0,
       0,  1148,     0,  1152,     0,     0,  1150,  1145,  1146,  2436,
    2446,  2474,   244,  1170,     0,  1169,  1167,  1094,     0,  1095,
       0,     0,     0,     0,     0,  2304,  2327,   284,   303,     0,
    1272,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   326,     0,     0,   329,
     328,     0,     0,     0,     0,     0,   333,   312,     0,   313,
       0,     0,   332,     0,     0,   598,     0,     0,     0,     0,
    1273,     0,   276,     0,     0,     0,     0,     0,     0,     0,
    1183,     0,   724,     0,     0,     0,     0,     0,  1342,     0,
     161,     0,   157,   160,     0,     0,     0,     0,   581,   582,
     595,     0,   586,   587,   584,   588,   589,     0,     0,     0,
       0,     0,     0,     0,   580,     0,     0,   691,   690,   694,
       0,     0,     0,  1351,     0,  1163,     0,     0,  1350,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1220,
    1219,     0,     0,     0,     0,     0,     0,   836,     0,     0,
       0,     0,     0,     0,     0,     0,   711,     0,   710,     0,
     162,     0,     0,     0,     0,     0,     0,     0,   218,  1402,
    1408,  1470,  2184,  1469,     0,     0,     0,     0,   949,     0,
       0,     0,     0,     0,     0,     0,   941,   942,   943,   944,
       0,     0,     0,     0,     0,   393,     0,     0,     0,  2215,
       0,   824,   796,     0,     0,     0,   810,     0,   813,   816,
       0,  1421,   465,     0,     0,   623,   669,     0,     0,   449,
     168,     0,     0,     0,     0,   726,     0,     0,     0,  1337,
     133,   179,   181,   447,     0,   180,   182,   184,   185,   186,
     183,   187,     0,   688,   692,     0,     0,   619,     0,     0,
       0,     0,     0,   739,   743,   742,   746,   744,     0,   740,
       0,     0,  1764,     0,     0,   156,     0,     0,   571,   575,
       0,     0,     0,     0,   449,   548,   355,  2327,     0,   507,
       0,     0,  2327,     0,  1069,     0,     0,     0,     0,     0,
       0,     0,     0,  1583,   344,  1134,     0,  1443,     0,     0,
       0,   344,  1838,  1837,  1790,  1786,     0,     0,     0,     0,
     909,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1806,   344,  1098,   173,  2211,     0,   877,     0,     0,     0,
       0,   344,  1185,   865,   165,   344,   622,     0,   344,   167,
       0,     0,     0,   614,   344,   903,   344,  2179,     0,   344,
    1526,  2327,   507,  1499,  1510,   992,  1001,  1000,   998,   997,
     993,     0,  1012,     0,   506,     0,     0,     0,  1026,  1027,
       0,     0,  1025,  1028,     0,  1030,  1022,  1021,  1031,  1032,
       0,     0,  1048,   705,     0,     0,     0,     0,  1565,     0,
    1563,     0,  1742,  1567,  1556,  1518,     0,  1517,     0,   564,
       0,     0,  1217,     0,     0,  1009,     0,     0,   344,  1394,
       0,   968,   974,     0,     0,     0,     0,     0,     0,   977,
     978,   979,   970,   980,   971,   981,     0,   972,     0,     0,
       0,     0,  2163,  2113,     0,  2114,     0,     0,  2149,  2145,
       0,     0,     0,     0,     0,  2118,  2121,  2122,  2123,  2120,
    2124,  2119,     0,     0,  2125,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2538,     0,     0,     0,     0,  1930,
       0,     0,  2073,     0,  2102,  2135,     0,     0,     0,     0,
       0,     0,  2102,  2141,     0,     0,     0,     0,  2032,     0,
    2029,     0,     0,     0,     0,  2162,     0,     0,  2196,  1867,
    1881,  1882,  1883,  1887,  2170,     0,  2164,     0,     0,  1868,
    1895,     0,  2142,  1922,     0,  1927,  1910,     0,  1903,     0,
    1908,  1912,  1891,     0,  1888,     0,  2165,  2101,     0,  2099,
       0,  1878,  1879,  1880,  1872,  1873,  1874,  1875,  1876,  1877,
    1884,  2077,  2075,  2076,     0,     0,     0,  2053,     0,     0,
    1907,  2320,  2354,     0,  1631,  1631,  1631,  1619,  1629,  2169,
       0,  1759,     0,     0,     0,     0,  1969,     0,  2106,  1640,
    2104,  1117,  1759,  2175,     0,     0,  1863,     0,  1740,  2156,
    2159,   911,   912,   910,  1495,  1478,  1474,  1473,  2103,  1494,
    1618,     0,  1082,  1083,     0,  1087,     0,     0,  1660,  1693,
       0,  1684,     0,  1664,  1665,  1656,  1694,  1569,     0,  1689,
    1601,  1600,     0,  1762,     0,     0,     0,  1547,  1535,     0,
    1745,     0,  1699,  1573,     0,  2162,  1697,  1315,  1221,  1280,
    1115,     0,  1808,  1126,     0,  1110,     0,  1109,  1808,     0,
    1127,     0,  1808,  1316,  1222,  1281,   907,  1317,  1223,  1282,
    1318,  1224,  1440,  1428,  1427,  1426,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     774,  2327,   344,  1449,  1319,     0,  1225,   340,  1450,  1283,
    1454,   792,   791,     0,     0,  1284,     0,   632,     0,   636,
       0,   638,   639,   640,     0,     0,     0,   641,     0,  2255,
    2311,   643,   646,   653,   658,   648,     0,     0,   660,   654,
       0,     0,     0,     0,     0,     0,   666,   671,     0,     0,
       0,     0,     0,     0,     0,  1143,  1144,  1320,  1228,     0,
    1285,  1093,     0,  1229,   169,     0,     0,   269,  2327,   286,
       0,   673,   774,  1275,   310,     0,     0,   325,   320,   321,
     319,  2327,   344,  2327,   344,     0,     0,     0,     0,     0,
     322,   317,   318,   314,     0,     0,   327,  2231,  2296,  2447,
       0,   677,   679,     0,   684,   330,  1247,   351,   350,   349,
       0,   334,     0,   356,   359,   331,   308,   311,   309,   305,
     281,     0,     0,     0,     0,     0,     0,     0,     0,  2182,
       0,     0,  1178,     0,  1323,  1286,     0,  1306,     0,     0,
       0,     0,   718,  1343,  1345,  1335,  1235,  1344,   159,  1262,
     149,     0,     0,   145,     0,     0,     0,     0,   139,     0,
    1326,  1236,     0,     0,   273,   574,   585,   590,  1241,   594,
     591,  1296,   592,  1333,  1237,  1329,  1265,  1291,  1336,  1352,
    1238,     0,  1347,  1349,     0,  1273,     0,   263,   265,     0,
     283,     0,  1239,     0,  1289,  1328,  1264,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1457,     0,     0,     0,
       0,     0,     0,   344,     0,     0,  1275,  2327,   344,  1327,
       0,  1270,     0,  1304,     0,   381,     0,  1263,     0,     0,
     275,  1243,  1298,     0,     0,   216,   215,   217,   958,   918,
     957,     0,  2294,     0,   917,   919,     0,     0,     0,   920,
       0,     0,     0,     0,   916,   914,   915,   392,     0,   417,
     390,   391,   393,     0,     0,   823,     0,     0,     0,     0,
     812,     0,     0,     0,  1447,     0,   136,   630,     0,     0,
       0,   625,   668,   673,     0,     0,     0,     0,   448,   452,
     456,   457,   458,     0,     0,     0,     0,   150,   137,     0,
     854,     0,   507,     0,   728,  1341,  1340,  1162,     0,   181,
     174,     0,     0,   689,     0,     0,   355,   807,   805,   804,
     806,     0,     0,     0,   828,   803,     0,  1763,  1765,     0,
       0,     0,     0,     0,     0,   564,   451,     0,     0,   510,
       0,     0,   552,     0,     0,     0,     0,   355,     0,     0,
       0,     0,  1104,     0,  1122,  1105,     0,     0,     0,     0,
    1156,  1163,  1157,  1135,     0,     0,   602,  1588,  1589,     0,
    1175,     0,     0,  1807,  1820,   876,     0,  1848,  1847,  1849,
    1849,     0,  1791,     0,  1832,  1857,  1858,  1859,  1860,  1861,
    1862,     0,  1856,  1800,  1173,   344,     0,   344,     0,   344,
    1177,  1358,     0,   874,     0,     0,   344,   867,   869,     0,
     871,     0,  1013,   509,     0,     0,     0,     0,  1024,   600,
    1029,     0,  1041,  1036,  1038,     0,  1042,   704,     0,     0,
    1566,  1559,  1561,  1560,     0,     0,  1557,  2110,   866,     0,
     570,  1209,  1210,     0,     0,   344,     0,  1043,     0,     0,
     975,   969,     0,     0,   973,     0,   976,     0,     0,  1636,
    2111,  2112,     0,     0,     0,  2146,     0,     0,  2007,     0,
    1983,  1985,  1997,     0,  2008,  1968,  2009,  1987,  1989,     0,
    2093,     0,     0,  1998,     0,  1932,  1933,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1948,  1947,  1999,  2072,     0,     0,
    2133,  2134,  2000,     0,     0,  2140,     0,     0,     0,  2005,
    2010,     0,     0,     0,     0,  2016,     0,  2037,     0,     0,
       0,  1958,  2103,     0,     0,     0,     0,     0,     0,     0,
       0,  1928,  1911,  1905,     0,  1909,  1913,     0,     0,     0,
    1899,     0,     0,  1897,  1923,  1893,     0,     0,  1924,     0,
       0,     0,  1976,     0,     0,  1631,  1631,  1631,  1631,  1628,
       0,     0,     0,     0,  2433,  2558,     0,  1723,  1698,  1700,
    1710,  1723,  1728,  1723,  1978,  1757,  1979,     0,  2176,     0,
    1669,  1640,  1640,  1640,  1975,     0,     0,     0,     0,  1639,
    1669,   192,     0,   225,   212,  2158,     0,  1476,     0,  1643,
       0,  2094,  1087,     0,  1645,     0,     0,  1691,  1653,  1570,
    1554,     0,  1552,  1539,  1541,  1540,     0,     0,  1542,  2162,
       0,  1552,  1534,  1578,     0,     0,  1762,     0,  1577,     0,
    1808,  1107,  1108,     0,  1131,     0,  1053,  1054,     0,  1052,
       0,     0,     0,   495,  1071,     0,     0,     0,   774,     0,
       0,   499,     0,  1452,     0,  1334,  1261,   634,   635,     0,
     647,     0,   656,   655,     0,     0,     0,     0,     0,     0,
       0,   642,   662,   606,   663,   665,     0,     0,   664,   667,
     670,  1273,     0,   702,  1249,     0,  1302,  1137,  1276,     0,
    1096,     0,     0,     0,     0,     0,     0,   465,   304,     0,
       0,     0,   364,     0,   288,   296,   362,   302,     0,  1279,
     336,     0,   307,     0,   300,   323,   315,   324,   316,   335,
     337,     0,   681,   682,   680,   676,     0,   683,   685,     0,
     353,     0,     0,     0,  1322,     0,  1273,     0,   277,     0,
    1245,     0,  1300,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1305,     0,     0,     0,     0,   723,
       0,   720,     0,     0,   142,   141,     0,   148,     0,     0,
       0,     0,  1163,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   282,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     382,   346,   831,     0,     0,     0,   384,     0,     0,     0,
       0,     0,  1321,  1230,     0,     0,     0,   929,     0,     0,
       0,     0,     0,     0,   395,   396,   136,   394,     0,     0,
     822,  2383,  2080,  2081,   820,   826,   817,   819,   821,   818,
       0,   825,   774,     0,     0,   809,   814,   815,     0,     0,
       0,     0,     0,   480,     0,     0,     0,   471,     0,     0,
    1163,   464,   467,   468,     0,     0,   626,   629,   627,   628,
     661,     0,   451,   487,   534,     0,   152,     0,     0,   153,
     151,     0,     0,   355,   725,     0,   722,     0,   177,   447,
       0,   693,     0,  1163,   618,   745,   748,   741,     0,   827,
     829,   801,     0,   673,     0,     0,   576,     0,   507,  1527,
     559,     0,   536,   451,   534,   546,   545,   547,     0,   554,
     354,     0,     0,   564,   554,     0,     0,     0,  1072,  1103,
       0,     0,     0,  1153,  1158,  1154,     0,     0,  1118,     0,
    1155,  1136,  1090,  1374,  1375,  1372,  1373,     0,     0,     0,
    1580,     0,  1826,     0,  1844,  1842,  1787,  1792,  1865,   878,
       0,   861,     0,   863,   344,   712,     0,   615,   344,     0,
       0,     0,     0,  1023,     0,  1039,     0,     0,  1006,  1045,
       0,     0,  1564,  1562,   562,     0,  1048,     0,  1007,  1047,
       0,     0,     0,     0,     0,     0,     0,  2115,     0,  2148,
    2144,     0,  1980,  2116,     0,  2128,  2127,  2073,     0,     0,
    1931,  1943,  1944,  1945,  2129,     0,  1953,     0,     0,  1940,
    1941,  1942,  1934,  1935,  1936,  1937,  1938,  1939,  1946,  2138,
    2137,  2131,  2132,     0,  2002,  2003,  2004,  2139,  2011,     0,
    2246,  2038,  2015,  2031,  2030,     0,     0,     0,  2018,     0,
       0,  2027,     0,  2074,  2197,  1869,     0,     0,  1896,  2143,
    1914,     0,     0,     0,  1892,  2093,     0,     0,     0,     0,
       0,  1901,     0,     0,     0,  2056,  2051,  2052,  2070,     0,
       0,     0,     0,     0,     0,  1622,  1621,  1627,  1723,  1728,
    1723,     0,     0,  1603,     0,  1710,     0,  1722,  1708,  1721,
       0,     0,  1734,  1732,     0,  1734,     0,  1734,     0,  1702,
       0,  1724,  1704,  1721,  1706,     0,  1749,     0,  2177,  1758,
       0,  1682,     0,     0,     0,     0,  2107,  2108,     0,  2105,
    1970,  1682,     0,  2157,  1616,     0,  1644,  1085,  1086,  1661,
    1654,  2274,  1760,     0,  1553,     0,     0,     0,  1544,  1550,
    1532,     0,     0,  1574,  1552,  1575,  1128,     0,     0,  1120,
    1059,  1062,  1060,  1058,  1061,     0,     0,     0,   774,     0,
       0,   515,     0,  1079,  1079,     0,     0,   501,   557,  1163,
     777,     0,     0,     0,   775,   344,  1226,     0,   657,     0,
       0,   652,   650,   649,   651,     0,   607,  1332,  1227,     0,
       0,     0,     0,  1138,     0,     0,  1248,     0,   285,     0,
     461,     0,   297,     0,   293,     0,  1274,     0,     0,     0,
       0,   292,   366,     0,   363,     0,   344,   344,   338,   678,
     352,   357,   358,   361,     0,     0,     0,     0,     0,  1278,
       0,     0,     0,     0,     0,     0,     0,   855,   838,     0,
       0,   856,   857,     0,     0,     0,  1180,  1181,  1179,  1307,
    1308,  1313,  1310,  1309,  1312,  1314,  1311,     0,  1233,     0,
       0,   716,   146,   143,   144,   147,  1259,  1242,  1297,  1353,
    1354,  1348,     0,     0,     0,  1240,     0,  1290,     0,  1255,
    1251,     0,     0,     0,     0,     0,  1331,  1269,  1295,  1330,
    1267,  1293,  1266,  1292,  1268,  1294,     0,  1260,     0,  1767,
       0,     0,     0,   344,   344,   834,   714,  1244,  1299,     0,
       0,   921,     0,     0,   923,   924,     0,   926,   400,   420,
     734,   794,     0,     0,   811,   773,     0,   469,     0,   475,
     478,     0,     0,   482,   483,   481,   470,  1163,   507,   556,
       0,     0,   784,     0,   624,     0,   449,     0,   484,     0,
       0,   453,   155,   154,     0,     0,     0,   729,   733,   731,
     730,   732,   727,     0,   718,   181,  2327,     0,     0,     0,
    1346,     0,   758,   802,     0,  1766,   708,     0,   355,   572,
       0,     0,     0,   449,   564,     0,   454,   459,   460,   465,
       0,   548,   535,     0,   536,     0,     0,   561,  1419,     0,
     565,   567,     0,     0,     0,     0,  1106,  1123,  1124,     0,
       0,  1163,     0,     0,     0,     0,   609,   344,  1788,   344,
     344,  1206,     0,   872,  1035,  1034,  1033,   601,     0,  1037,
     706,     0,   563,   344,     0,   983,   963,   982,   962,   964,
       0,   961,   959,   960,  2147,  1996,  2006,  2126,  2072,  2103,
       0,     0,  1954,     0,     0,  2001,  2548,     0,     0,     0,
       0,  2035,  2036,  2017,     0,  2373,  2022,     0,     0,     0,
    1920,  1918,  1915,     0,  1916,  1900,     0,     0,  1898,  1894,
       0,  1925,  2042,     0,  2058,  2055,  2069,  2103,  1626,  1625,
    1624,  1623,  1709,  1705,  1707,     0,  2553,     0,  1712,  1719,
       0,  1701,     0,  1733,  1729,     0,  1730,     0,     0,  1731,
       0,     0,  1703,     0,  1719,     0,  1756,  1640,     0,     0,
    2047,  1973,  1974,  1971,  1640,  2194,  2047,   226,     0,     0,
    1551,  1536,     0,  1537,  1543,     0,     0,     0,     0,  1579,
    1572,  1121,  1129,     0,     0,     0,   497,     0,  1163,     0,
       0,     0,  1081,  1081,     0,  1163,   556,   779,   778,   781,
     776,   780,  1453,     0,   644,   645,   659,  1250,     0,  1303,
    1257,     0,  1568,   287,     0,   674,     0,     0,   289,   365,
     367,   290,   291,   294,   346,   306,   299,     0,     0,     0,
    1246,     0,  1301,  1253,  1324,  1231,  1287,     0,     0,   844,
       0,     0,     0,     0,  1325,  1232,  1288,     0,     0,     0,
       0,  1568,     0,     0,     0,     0,     0,     0,     0,  1462,
       0,  1277,   345,   833,   832,   346,   383,  1271,     0,   922,
     927,   928,   925,     0,   389,   397,   421,   136,     0,     0,
    1197,  1197,     0,   774,     0,     0,   466,   479,     0,   556,
     514,     0,   472,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   721,   720,   176,
       0,   449,     0,   673,   752,   753,   747,   749,     0,   760,
     764,   830,     0,     0,   564,   451,     0,     0,  1525,   450,
       0,     0,   462,     0,   552,   536,   548,     0,   549,     0,
     553,     0,  1412,     0,   558,     0,     0,     0,  1159,     0,
    1165,     0,  1117,  1088,  1160,     0,  1759,     0,     0,     0,
       0,   613,  1198,   862,   864,   713,  1040,     0,  1044,   344,
     965,  2074,  1949,     0,     0,     0,     0,  2012,     0,  2013,
    2040,  2039,  2019,  2023,     0,  2020,  2021,  1917,  1921,  1919,
    1902,  2044,     0,  1640,  2071,  1752,     0,  1755,     0,     0,
    1711,     0,     0,  1713,     0,     0,  1715,  1717,     0,     0,
       0,     0,     0,     0,  2180,     0,  2273,  2522,  2432,     0,
    1668,  1670,  1673,  1675,  1674,  1676,  1672,  1681,     0,  1605,
       0,  1604,  2095,  1761,     0,     0,     0,  1073,     0,  1576,
    1041,     0,   344,  1079,   556,   516,  2383,   517,  1078,  1080,
    1084,  1084,     0,   556,   774,   637,     0,     0,   270,   672,
       0,     0,   298,   348,   360,     0,  1568,     0,     0,   842,
     851,   851,   839,     0,     0,   858,  1234,   717,     0,     0,
     266,  1256,  1252,     0,     0,  1464,  1465,     0,     0,     0,
       0,     0,   344,   930,     0,   423,   430,   401,   406,  1456,
       0,  1456,     0,   403,   407,  1456,   402,  1456,   399,   400,
       0,  1197,     0,  1194,  1193,   772,     0,   505,   578,   473,
       0,   525,     0,     0,   785,     0,     0,   451,   534,     0,
     494,   493,   489,   488,   490,   491,   492,   486,   485,     0,
     673,   848,   355,  1419,   715,     0,     0,   686,   750,   755,
     754,  1456,   759,     0,     0,     0,   673,     0,   560,   536,
     451,   534,   455,   465,   538,     0,   539,   554,   548,   552,
     550,   551,     0,     0,     0,   564,  1466,  1072,     0,  1164,
       0,     0,     0,     0,     0,     0,  1201,   608,     0,     0,
     612,   603,   673,  1008,  1950,     0,  1951,     0,     0,     0,
    2025,  2024,     0,  2061,  1757,     0,     0,  1751,     0,     0,
    1781,     0,     0,     0,  1720,  1736,     0,  1716,  1714,     0,
    1725,     0,  1727,  1970,     0,     0,     0,  1677,     0,  2046,
    2048,     0,  1972,     0,  1549,  1759,     0,  1546,     0,  1055,
       0,  1056,  1081,   520,     0,  1087,  1087,   507,   774,   498,
    1258,     0,   675,   578,     0,   301,     0,   278,  1254,     0,
       0,   853,   853,     0,     0,     0,     0,   372,   377,   378,
       0,   375,   371,   370,   373,     0,  1458,     0,  1459,  1460,
    1463,   385,   398,     0,   428,     0,   426,   425,   427,     0,
     414,     0,     0,     0,     0,     0,     0,   388,   419,  1192,
    1196,  1195,     0,     0,   474,     0,   476,   511,   512,   513,
       0,   477,   521,   522,     0,   782,     0,   787,     0,     0,
       0,   673,   533,   697,     0,     0,     0,  1413,     0,     0,
       0,   761,   762,   757,     0,     0,   709,  1419,   548,     0,
     536,   463,     0,   436,   552,   554,     0,  1416,     0,   566,
       0,   355,  1163,  1166,  1161,  1378,     0,     0,   611,   610,
     703,  1952,  2028,  2014,  2041,  2026,  2057,     0,     0,     0,
    1750,  1753,     0,  1784,     0,     0,     0,     0,  1770,     0,
    1718,     0,     0,  1726,     0,     0,     0,  1671,     0,     0,
    1538,  1548,  1074,     0,     0,  1084,     0,   774,     0,  1076,
    1075,   514,   500,  1568,   295,   347,     0,     0,     0,   849,
     852,   840,   841,   860,   859,   719,  1568,     0,     0,   368,
       0,     0,   424,   433,     0,   431,   404,   409,     0,   413,
     411,   410,   405,   408,     0,   504,     0,     0,     0,     0,
     523,     0,   524,   555,     0,   786,     0,     0,     0,   699,
     847,     0,     0,   449,   673,   751,   756,     0,     0,  1414,
     552,   536,   548,     0,     0,   540,  1079,  1079,   554,   434,
    1417,  1418,     0,   554,  1089,  1377,  1376,  1618,     0,     0,
    2509,  2274,  2481,     0,  2059,  2062,  2060,  2054,     0,     0,
    1782,  1783,  1768,     0,     0,  1772,  1735,  1748,  1679,     0,
    1678,  2049,  2050,  1759,   344,  1087,     0,   502,   518,   525,
     271,  1568,   843,     0,   267,     0,   376,   374,  1461,   429,
       0,   412,   764,   577,   530,     0,   529,     0,   527,   526,
     783,   788,     0,   673,   837,  1419,   687,   763,     0,   554,
     548,   552,     0,   537,     0,  1081,  1081,   438,     0,  1759,
    1360,  1618,  1359,  1361,  1369,  1366,  1368,  1367,  1365,  1204,
    1205,     0,  2066,  2065,  2064,  2068,  2067,  1754,     0,  1771,
    1774,     0,     0,     0,  1780,  1773,  1775,     0,  1746,  1680,
    1545,  1057,  1077,     0,   774,   279,   850,     0,   432,     0,
     528,   532,   531,   673,   698,  1415,   767,   437,   552,   554,
    1079,   541,   543,   542,   355,  1063,     0,  1370,  1364,  1603,
    1590,     0,     0,     0,     0,  1777,  1778,  1779,  1776,     0,
     519,   503,     0,     0,   700,   769,     0,   765,   768,   770,
     771,   554,   435,  1081,   554,  1362,  1618,     0,     0,  2063,
       0,     0,   369,     0,   735,     0,   439,   544,  1759,  1363,
       0,     0,     0,  1747,     0,   766,  1064,     0,     0,  1769,
     767,     0,     0,     0,  1202,  1203,   736
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4727, -4727, -4727,  3511, -4727,  -889,   401,  2744, -1851, -4727,
   -4727, -4727,  3396, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
    3455, -4727, -4727,  1893, -2318, -4727, -4727,   144,  3413, -1260,
     119,  3019,  1549, -4727, -1115, -4727, -4727,  -584,   107, -4727,
    3415,  -719, -4727, -4727, -4727, -4727, -4727, -4727, -4727, -4727,
    -694,  1995,  2063,  1387,  -817, -2608, -4727, -4727, -1363, -3081,
   -4727,   722, -4727,   751, -4038, -4415, -4727,  -902,  -730, -4727,
   -4727,  1984, -4727, -4727, -4727,  1210,   636,  -414, -4727, -4727,
   -4727, -4727, -4727, -4727, -4727,  -586, -4727, -4727,  -820,   157,
      47, -2365, -3586, -4727, -4727,   596,  -228, -1396, -4727, -3430,
   -4727,   138, -2232, -4727, -4727, -4727,  -197, -1368,  1495, -4727,
    -671, -1125,  1797,  -690, -4727,   -75, -4727,  -794,  -595,  -593,
    -717, -3633, -4113, -4727, -4727, -4727,  -822, -4118, -4327, -3703,
   -3233,  1506, -4727,   159, -3001, -3063,   163,   573, -4727,   164,
     165, -4727,   591,  -525,  -883, -1481, -4727,  -804, -4727, -4727,
   -4727, -2795, -4727, -4727, -4727, -4727,    76, -4727, -4727, -4727,
   -4727,   639, -4727, -4727, -4727, -4727, -4727, -4727, -2046,  1970,
    1972, -4727, -3042, -4727,  -861, -4727,   776, -2843,  1421, -4727,
   -4727,  1208,  3478,   623, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -1565, -4727, -4727, -4727, -4727,   141,  -160, -4727, -4727,
   -4727, -4727, -4727, -4727,   166, -4727,  1990,  1209, -4727, -4727,
    -165, -4727, -4727, -4727, -4727, -4727, -4727,  -769,  -906,  -888,
   -4727, -2855, -4727, -4727, -4727,  -135, -4727, -4727, -4727, -4727,
   -4727, -4727,  -877, -4727,  1270, -3009, -4727, -4727,  1272, -4727,
   -4727, -4727,  2066, -4727,  -691,   -74,  2805, -4727,  -306,  -493,
   -4727, -4727, -4727,   -73, -4727, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -1041,  6321,  -810,  -521, -4727, -4727, -4727, -4727,
   -4727, -2275, -4727, -4727, -4727, -4727, -3543, -4727,  4375,  2081,
     308,   167, -4727,   -24,    55,  3256, -1101, -2535,   566,  -263,
   -4727, -4727, -4727, -2443, -4727, -4727, -4727, -4727, -3369,   173,
   -4727,  3257, -4727, -3653, -4380, -3410, -3901, -4273, -4422, -3352,
   -4727, -4727, -4727, -4727, -1302,  -189, -4727, -4727, -1365,  2312,
   -1854, -4727, -2030,   621,  1591,  3447, -2630,  -136,  2751, -3657,
    -663, -3106, -4727, -4727, -2263,  -402, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727,  -572,  2688,  -198, -4727, -4727,  3805,
   -4727, -4210, -4727,  3758, -4727, -4727, -4727, -4727,  2604,  2606,
   -4727,  2609, -4727, -4727, -1370,  1357, -4727, -4727, -4727, -4727,
     817, -4727, -4727, -4727, -4727, -4727, -4727, -4727,  1265,   791,
   -4727, -4727, -4727, -4727, -4727,  -674,  -832, -4727, -4727,   174,
   -4727, -4727, -4727, -4727,  2240,  -869,  -683,  3666,   175, -4543,
   -4727, -4727, -1061, -4727,  3051, -4727, -4727, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -2552, -4727, -4727, -4243, -4727, -4727,
   -4727, -4727, -4727,  2407,  2401,    60,   -35, -4727, -4727, -1221,
   -4727,  -534, -4727,  2690, -4727, -4727, -4727, -4727, -1671,   177,
     676, -4727,     2, -4727, -4727,    44, -4727,   440, -4727, -4727,
   -3287,     3, -4727, -4727, -4727, -4727, -4257, -4727,     7,  -574,
     965, -2670, -4727,   180,    -1, -4727, -4727,    25,   156,   -46,
     -47,   -42,     1,   139,  3123, -4727,  3170, -4727,   -29,  1900,
   -4727, -4727,  -761,  -162, -4727,  1682,  -610,  2378,  3107,  3126,
   -4727,  1675, -4727, -4727,  1685, -4727,  1009,  -557,  -397, -4727,
   -4727, -4727, -4727,   473,  -605,  2391, -4727,  3148, -4727, -4727,
   -4727, -1769, -2675, -3303,  1041, -3290, -3199,   520,   504, -1167,
    -168,    11,  -725,  3150, -4727, -4727,  1049,  -360, -4727, -4727,
    -358, -2709,   992, -4727, -4193, -2214,  1056,  -789,  -640, -4727,
    -718, -4727,  -519,  5758,  2818, -1025, -4727, -4727,  -980, 14249,
   -4727, -4727, -4727, 14811, 15835, -4727, -4727, 15878, 16414, -4727,
    -836, 16471, 13932,  -977, -1722,  -174, 12686, -1773,   796, -2505,
   -4727, -3377, -2486, -4727, -4727, -4727,  -118,  1113,   705, -4727,
   -4215, -4727, -4727,    94, -4727,  -527, -4727,  -526, -4727, -4727,
   -4727,  -504, -4726,  2590, -4727, -4727, -4727,  -178, -4727, 17021,
   -2625, -4727,  -743, -2613, -2620, -3276, -1718, -4727, -4727, -4727,
   -4727, -4727, -4727, -4727, -1673, -3165, -2198,  1787, -4727, -4727,
    1879, -4727, -4727, -4727, -1263,  1740,  -728, -2520,  1798, -4727,
    -729,  2594,  -737,  5620,  -628,  6256,  -479, -2181, -1201, -1496,
   -4727,  -146, -4727,    23,   -16,    26,  -147,  3671,  -550,  2173,
   13826,  -607, -1284,  9038, 12549, 11547, -2996
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    51,    52,    53,    54,  1484,  2400,  2272,  3147,  3148,
      55,    56,  1480,    57,    58,    59,    60,    61,    62,    63,
    1404,    64,    65,   994,  1627,  2415,    66,  2115,   761,   762,
     763,  1936,  1937,  2349,  1938,  1926,  1291,  1763,  1425,   735,
     736,  1386,  1426,    68,    69,  1285,  1917,    70,    71,    72,
    1455,  1531,  1456,  1398,  1672,  4169,  4885,  2961,  2242,  3194,
    2962,  2963,  3565,  3566,  3642,  4899,  4905,  4900,  4901,    73,
    1547,  1548,    74,    75,  3112,  3108,  3686,  4504,  4505,  4738,
     573,  2377,  4507,  4508,  4724,  4725,  4917,  5054,  5055,  2416,
    1619,  3188,  3772,  3138,  4255,  3139,  4256,  3140,  4257,  3124,
    3721,  3722,  4202,  3723,  3141,  4218,  4767,  3142,  2134,  4934,
    2455,  1785,  1783,  4751,  4030,  4031,  5027,  4941,  4942,  4943,
    5158,  4220,  4261,  4262,  4795,  5094,  5095,  3192,  3779,  4267,
    4522,  2850,    77,   670,  1651,  3290,   671,  2458,   608,   672,
    2417,    82,  2448,  4936,  2449,  1505,  2281,  4902,  3270,    83,
    1017,  3532,  4591,  4820,  4821,    84,   225,    85,  1633,    86,
      87,  2395,  3131,    88,  2151,  2867,    89,    90,  2896,  2897,
    2898,    91,  3557,  4444,  1457,  2950,  2951,  2952,  2953,  3587,
      92,  1630,  2424,  2425,    93,    94,    95,    96,  2565,  2566,
      97,  2337,    98,    99,   100,   101,  3621,  4131,  4234,  2992,
    3154,  3746,  4232,   102,  2418,  1641,  2438,  2439,  4242,  4546,
    4547,  4548,  4781,  5085,  4550,  4783,  4963,  4785,  5256,  5257,
    4513,  3511,  4044,   104,  4211,  4212,  4948,   105,  2149,   106,
     107,   108,  1602,  2387,  2388,  3695,  1595,  2380,  2381,  3758,
    3759,   109,   609,   110,  4107,  4108,   610,  4955,  4891,  5041,
     111,   112,  4111,  4112,   113,   114,   115,   116,   117,   662,
     663,   664,  1105,  1106,  2822,  1057,   118,  2034,   119,   956,
     957,  3089,   120,  1178,  2609,  2610,  4306,   121,   695,  1124,
    1125,  2419,   123,   704,  2585,   706,  1798,  3272,  3273,  3838,
     124,   125,  2562,  2588,   126,  1391,  2125,  2126,  4025,  2420,
     611,  1658,  2463,  2845,  4666,  4667,  4422,  4680,  2775,  3464,
     128,   612,  1430,  2198,  1077,  1078,  2466,  3203,  2094,  2095,
    2096,  3797,  2097,  3205,  2098,  1364,  2099,  1027,  1028,  3211,
    3212,  3213,  3793,  3800,  2409,  4580,  4581,   129,  1428,  2196,
     130,   131,   132,  1468,   879,  1087,  1088,   133,   624,   625,
     134,  4743,   135,  1031,   136,  4589,   137,   138,   726,   727,
    1162,  1163,   139,   140,  2212,  3568,   141,   142,   143,  2986,
    2987,  4123,   144,   145,  1622,  1623,   146,   147,  3031,  3032,
     148,   149,   150,  5182,  5236,  5237,  5238,  3807,  5107,  5184,
    1155,   152,   153,   154,   191,   916,   917,   918,  2421,  4572,
     156,   157,  1387,  1388,  1389,  1390,  2120,   158,   159,   160,
     161,   162,   163,   164,  1606,   165,   166,  4717,   167,   168,
    1566,   169,  1321,  1322,   170,   171,   567,   779,  1325,  1331,
     172,   674,  1118,  1119,  1120,  1765,   173,  1158,   959,   675,
    1113,   175,   676,  2078,  2797,  3476,  3477,  3478,  3481,  4407,
    4004,   677,  2793,   178,  1805,  2571,  2574,  2789,   678,  2802,
    2803,  2804,  3484,   679,   697,  1020,  2472,   680,  1252,   183,
     184,   185,   788,   782,   783,   187,  1910,  2737,   713,  1338,
     748,   749,   796,  3449,  2046,  2047,  2069,  2070,  1347,  1348,
    2059,  2061,  2777,  2062,  2785,  2052,  3981,  4650,  4651,  4652,
    4653,  4654,  4655,  4390,  2065,  2066,  1350,  1351,  1352,  2074,
     188,  2741,  3428,  3429,  3430,  3957,  3958,  3972,  3968,  4374,
    4636,  3431,  1153,  1358,  4382,  5208,  3432,  4625,  4626,  4837,
    3976,  3440,  3472,  3176,  3177,  3178,  3433,  5007,  5008,  5205,
    5206,  4839,  4840,  2100,  1702,  1059,  1253,  1060,  1714,  1254,
    1686,  1062,  1255,  1256,  1257,  1065,  1258,  1259,  1260,  1068,
    1678,  1261,  1262,  1696,  1711,  1712,  1326,  4841,  1264,  1265,
    1266,  3435,  1267,  3911,  4338,  4327,  2669,  2670,  1933,  3907,
    3373,  1905,  2727,  4659,  4859,  4860,  3412,  3936,  4354,  4623,
    4999,  5114,  5115,  1268,  1269,  1270,  2724,  1901,   882,  1271,
    3697,  1903,  2663,  2749,  2750,  1808,  1828,  2616,  2632,  2633,
    2643,  3332,  2651,  2656,  3360,  3361,  2664,  2693,  1272,  2618,
    2619,  3316,  1830,  1273,  1314,  1945,  1365,  1825,  2688,  1281,
    1274,  1275,  1799,   772,  4632,  1109,   838,  2978,  2025,   920,
     710,  1276,  1277,  1278,  1279,  1461,   853,  1080,  1081,   563,
     832,   855,  2954,   564,   565,   834,  2030
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     626,   186,   176,   177,   787,  1762,   561,   179,   880,   711,
    1504,   740,   846,   616,  1286,   774,  1023,  1782,   988,  1552,
    1282,   186,   797,  2294,  2133,   181,  1371,  1692,   881,  2026,
    1144,  1145,  1146,  1509,  3137,  1108,  1150,  1327,  1353,  1021,
    2207,  1722,  3029,  3450,   698,  1315,   830,   699,  1564,  1316,
     698,  3295,  2031,   699,   771,   847,   829,  2747,  1460,   607,
    1682,  1683,  1121,   888,  2199,  2815,  2817,  3558,  2208,  2351,
    1691,  2219,  1818,  2980,  2648,  1300,   907,   705,  1698,  2443,
     673,  4271,  3094,  1604,  3095,  3754,  2026,  1609,  3099,  2236,
     741,  3730,  1613,   661,  3160,  4032,  1091,  3104,  3105,  3106,
    3538,   972,  2031,  1624,  3582,  3801,  3584,    67,  2615,  1102,
    3996,  1617,  3063,  3707,  2043,  1646,  3784,  3470,  3699,  3276,
    1431,  3923,  3770,  3954,  3443,  1643,  3699,  4070,  4033,  3441,
    3442,  3483,  4027,  4423,  1115,  4275,   791,  1099,  2577,   799,
    4281,  4264,  3971,  4564,   800,  2752,  4217,  1023,  2678,  3462,
    4681,  4566,  4629,   734,  1033,  3381,   182,    76,  2315,    78,
     768,  2192,  2464,    79,    80,    81,   103,   122,  2031,  2106,
    1293,  2319,  2320,   127,   151,   155,   182,   174,  2520,  4529,
     180,  3489,  3767,  1427,   760,  4688,  1346,  4263,   785,  1553,
    4641,  1349,  4643,  1315,  4010,  3891, -2313,  4808,   681,  1503,
     571, -2349,  1679,  1680, -2372, -1849,   786,  1530, -2403,  3338,
   -2243, -1841,  1673,  1690,  1642,  2220,  1557, -2316,  2032,   681,
   -1808,  3150,  1682,  1683,  4710,  4565,   681,  1669, -1821,   901,
    4957, -1846,  3969,  4421,  3974,  3434,  1126,  4797, -2215,  2331,
    1700,  2814,  1691,  1130,  4719,  4720, -2215, -2215,  3791,  2625,
    4227,   622,  2440,  1400,  3436,  1698,  2326,  2686,  4875,  4876,
    1718,  1713,  4890,  3559, -2216,  3085,   622,  2587,  1669,  3127,
    1729, -2564, -2216, -2216, -1836,   622,  1733,  2861,  1600, -2564,
   -2564,   622,  1741,  2406,  3314,  3488,   777,  3434,  1749,   622,
    1669,  1752,  1174,  1592, -2187,  1908,  4430, -1849, -2186,  4904,
    2891,  4744,  2686,   622,  3724,  2210,  3436, -2078,  4308,  4309,
    2141,  4311,  4312,  4313, -2078,  1458,  1764,  2389,  2891,  3534,
     681,   622,  4104,  2117,  3280,   622,   681,  3247,  2210,  3249,
    3338,  3110,  4405,  2127,  2967,  3282,  3775,  2210,  1669,  4818,
    4228,   912,   798,   622,  1873,  1923,  1458,   622,   622,   844,
    1669,   681,  2626,   681,  1536,  1679,  1680,  4802,   687,  1458,
     622,  1401,  2135,   687,   681,  4803,   687,  2728,  1873,  1755,
     687,  3560,   687,  1879,  2139,  3128,  2892,  2706,  -136,   687,
    1669,   688,  1690,  -136,  5191,  1005,   688,  1342,  1317,   688,
    2136,   746,  2258,   688,  2892,   688,  1537,  1879,  2721,  3284,
    4855,  2187,   688,  2772,  1881,  2722,  1458,   622,  2893,  2129,
    1336,   681,   881,   977,  2501,     3,     4,  1469,  1006,  4687,
    2441,  3008,  4229,  2627,  5089,  2848,  4105,  2130,  1881,   966,
    4530,  1564,  4779,  2267,  2460,  1669,   913,  3474,  2227,  4887,
     981,   189,   897,  4200,  1644,  2894,  2210,   992,  4799,  4851,
    2142,  1007,  4798,  1924,  1290,  2033,  2211,  1344,  3704,  1004,
    3364,   566,  3366,  3367,   881,  2278,  1645,  4201,  2210,   898,
    2228,  3475,  4975, -2097,  4531,  3285,  4780,  1873,  2313,   914,
   -2097,  2849,   830,  2628,   190,  1470,  2629,  2773,  2552,  3008,
     747,  2188,   847,  2210,  1927,  1670,  1023,  1008,  1345,  1939,
    1939,  2729,  3293,  3637,  4819, -2370,  1879,  2221,  1866,  1337,
    2707,  1448,  2740,  1023,  4272,  2708,  1839,  5269,  2222,  1746,
    2223,  2210,  2259,  1601,  1867,  4804,  4106,   617,  1669,  2968,
    2137,  4929,  4406,  3281,   915,  2143,  1670,  1881,  2235,  1730,
    1720,  2895,  -422,  2391,  3283,  1047,  1318,  5067,  1319,  3129,
     623,  2709,  1913,   958,  2297,  1803,  3111,  1538,  1670,  2895,
    3535,  1909,  2612,  3561,  3562,  2131,  4230,  1925,  1720,  2862,
    1023,  1467,  3088,   186,   960,   961,  3624,  2617,  2224,   962,
    1402,  2442,  1601,  4092,  2332,  3725,  2630,  3086,  1766,   778,
    3563,  2687,  3792,  1822,  2684,  4431,  3699,   963,  1800,  5025,
    1149,  2268,  1804,  5135,  2031,  2178,  1670,  1022,   626,  1810,
    2289,  4897,  2333,  2292,  3338,  2186,  2083,   572,  1670,  2900,
    4126,   845,  5225,   787,  1819,  1677,  1312,  3684,  3685,  2327,
    1313,  1693,  4231,  2407,  3130,  5147,  3401,  1354,  1122,  1403,
   -2078,  1671,  2975,  2308,   955,  1601,  4343,  5098,  1670,  2299,
    2031,  4059,  1694,  4037,  3232,  1539,  2541,  4371,  4897,  3971,
    3353,  4375,  4226,  3504,  5051, -2313,  1695,   693,   694,   186,
   -2349,  2132, -1841, -2372,   693,   694,  4968, -2403,  2140, -2243,
    4974,  1681,  1699,  1302,  2710,   978, -2316,  2279,  1023,  1685,
    2282,  2283, -1846,  2631,  2350,  1139,  1023,  1023,  1563, -2215,
    1156,  4317,  2041,  1670,  1717,   698,  2524,   698,  1123,   698,
    1128,  1921,  1132,  2176,  1114,   698,  1137,  1138,  1136,  2382,
    4270,  4246,  5178,  1693,  1152, -2216,  1175,  4410,   182,  1117,
   -2370,  2723, -2564,  2500,  1283, -1836,  1869,  1292,  1022,  1294,
    1581,   799,  1911,  2075,  1694,  1576,   800,  2549,  2076,  4362,
    2755,  4364,  1728,  1312,  4898, -2187,  2559,  1313,  1697, -2186,
     881,  2270,  1601,  5169,  1748,  2195,  2273,  4600,   693,  1459,
    2252,  1392,  4872,  2360,   693,   694,  5140,   830,  3350,  3351,
    3352,  3353,  2314,  2776,  3491,  1152,  3492,  1569,   847,  5144,
     618,   186,   176,   177,  1751,  1900,  1670,   179, -2370,   693,
    1459,   693,   694,  1482,  2901,  1320, -2097,  3638,  2919,  5118,
    1149, -2370,   693,  1459,  1357,   181,  1897,  1898,  1899,  1900,
    3485,  3677,  2039,  2026,   182,   786,  1483,  3989,  3767,  4562,
    1375,  -136,  -136, -1808,  4506,  4096,  1634,  2550,  1323,  5068,
    1804,  3748,  1074,  1574,  5229,   619,  2819,  4191,  2567,  1720,
    5090,  3539,  2482,  2483,  4830,  4587,  1407,  5092,  4937,   693,
    1459,  1183,  2307,  4018,  3338,   622,  2398,  1659,  3339,  3340,
    3341,  4867,  3335,  3336,   794,  2875,  1669,  3355,  1635,  1393,
    2976,   620,  5193,   621,  5215,   698,  2127,  1541,  2747,  2747,
    2747,  5221,  3061,  1542,  4190,  2563,  1289,    67,  2452,  2260,
    1297,  5261,  5232,  5233,  2128,  2506,  2826,  3238,  1303,  1376,
   -1808,  5077,  1479,  2513,  3385,  3386,  3678,  3679,  3434,   720,
    1328,  3434,  2453,  1895,  1896,  1897,  1898,  1899,  1900,  2523,
    2905,  5091,  4997,  4109,  2192,  3047,  4215,  3436,  2479,  1735,
    3436,  3048,  3837,  1474,   798,  1385,   182,    76,  3802,    78,
     792,  2964,  2545,    79,    80,    81,   103,   122,  3803,  4008,
    4998,  1377,  2129,   127,   151,   155,  4152,   174,  2294,  4789,
     180,  2568,  2957,  1141,  5171,  2988,  1304,  2564,  5170,  4938,
    2130,  1736,  2456,  5244,  2366,  1487,  1743,   720,  4627,  1170,
    5277,  4124,  1127,  1129,  1131,  1543,  1375,  1133,  1134,  1135,
    3434, -2184,   721,   801,  4251,  2834,   568,  1140,  1744,  4032,
    1708,  2452,   793,  5105,  4286,  1385,   734,  1523,  5194,  3436,
    2906,   708,  1488,  3033,  2958,  1601,  2367,  4868,  4252,  4033,
    1394,   794,  5154,  3486,  3453,  2453,  5222,  4110,  3342,  1636,
    3804,  2820,  4033,  3049,  2821, -2206,  3526,  2399,  4605,  -158,
    4939,  1475,  5228,  4831,  4567,  1378,  3000,  2556,  2557,  3343,
    3348,  3349,  3350,  3351,  3352,  3353,  1692,  1395,  4568,  4633,
     721, -1808,  3447,  3709,  4637,  1376,  -158,  4639,  4630,  2551,
    4588,  2611,   794,  2614,  3696,   802,  3539,  1022,  3527,  2621,
   -1603,  3062,  3696,  1662,  4973,  2635,  2636,  2637,  1396,  3458,
    3204,  1561, -1603,  2454,  1022,  2653,  2655, -1603,  1379,  3125,
    2665,  1704,  5201,  2959,  1075,  1575,  4305,  4216,  2131,  3712,
    3606,  3344,  2526,   186,  1768,  4950,  1770,  1377,  1772,  4153,
    1774,  2546,  1776,  1777,  1778,  3001,  1867,  1637,  1806,  1780,
    1142,  3184,  1737,   698,  1670,  1380,  1544,  2876,  1915,    34,
     722,  1121, -1603,  4982,  4980,  2237,  1482,   667,  4970,  2548,
    2569,  1022,  1397,  2553,  2547,  2555,  2481,  4553,  2558,  2503,
    1704,  4949, -1603,  4416,  3714,  3801,  1381,    14,  3798,  1483,
    2570,  2514,  1705,  1545,  3805,  5106,  4251,  2368,  3002,   723,
     724,  4558,  2519,  4684,  3050,  5175,  5176,  2477,  3844,  1312,
    4033,  3737,  1476,  1313,  4969,   787,  1382,  2434,  1383,  4253,
    4252,    19,   795, -1603,  1546,  1916,  4541,  2763,   722,  2518,
    5202,  1378, -1603,  2533,  2132,  5155,  4445,  1183,  3607,  3982,
    3338,  3051,  4569,  3632,  3339,  3340,  3341,  1868,  2145,  1477,
    1738,  1705,  1706,  3003,  2836,  1707,  1870,   622,  2146,  3528,
    3806,  3916,  4930,  2787, -1808,  1638,  1384,   723,   724,  4515,
    1912,  2891,  3052, -1808,  3717,  1681, -1808,  1370,  1562, -1808,
    1478,  2960,  5099,  2641,  2116,  3633,  1639,  4205,   182,  1022,
     725,  4709,  1929,  1930,  2136,  2369,  4749,  1022,  1022,  2435,
    2037,  2044,  2045,   881,  2049,   803,   800,   800,  4886,   800,
    5156,  1706,  4870,  2238,  1707,  3718,  3345,  3346,  3347,  2053,
    3348,  3349,  3350,  3351,  3352,  3353,  3235,  1303,  1873,  3053,
    3719,   698,  1448,  2403,  2837,  5157,   698,   698,  4825,  5263,
    2239,  1400,  4203,  1506,   912,  4847,  2786,  2892,  3074,    39,
    3004,  1827,  4409,  3845,  1542,  1708,  2344,  3529,  2054,  3057,
     712,  4072, -1603,  2240,  2788,  2241,  3054,  1663,  -668,  3738,
    5203,  1836,  3989,  4971,  4387,  5204,  1357,   569,  4394,  4139,
    1507,  3592,  1382,    43,  1383,   718,  3236,  3997,  1881,  3608,
    3058,    31,  3371,  2345,  3593,  1304,  1013,  3055,  3378,  3634,
    2235,  5083,  1852,  1148,  3015,  5177,  2147,  4931,  1170,  4204,
    5179,  4181,  1720,  4303,  1708,  4184,  4185,  1864,  4187,    39,
    1664,  3720,  4020,    47,  1312,   742,  3609,  1332,  1313,  1720,
    4206,  2050,  4889,   586,  4073,  3343,    48,  4893,  4894,   913,
    1640,  1767,   698,  2148,  1769,  2404,  1771,  3998,  1773,  1401,
    1775,  4873,   698,    43,  1779,  3056,  1543,  3610,  4694,    49,
    4878,  2056,  1709,  2284,  3005,  3434,  5022,  4209,  4627,  3434,
     189,  3699,  3006,    50,  3245,  3007,  5227,  4040,  3390,   719,
    3391,  1710,   914,  1508,  3436,  1342,  1149,  3016,  3436,  1708,
    2171,   589,  1138,    47,  4524,  3019,  2436,  3344,  3022,  4033,
    4240,  4788,  2298,  3392,   798,   798,    48,   798,  2303,  2437,
    1873,  4777,  2895,   190,  1601,  1665,  2210,  2057,   189,  2917,
    4718,  1709,   912,  1023,   698,  2051,  2218,   698,   698,    49,
   -1603,  1931,   830,  5029,  5030,   830,  5262,   915,  2502,  1879,
    2512,  3157, -1603,    50,  2294,  2475,  2310, -1603,  2993,  2994,
    4760,  4544,  2997,  3457,  2578,  1344,  4041,  3550,  4245,   881,
     881,   190,  3167,  3168,  3169,  3170,  1014,  1666,  5276,  4545,
    1881,  5278,  3696,  1932,  3175,  3961,  3871,  3872,  3873,  3874,
     847,   847,  3879,  3880,  3881,  3882,  3883,  3884,  3885,  3886,
    3887,  3888, -1603,  3014,  4021,  2285,  4122,  1385,  2286,  4427,
    4761,  4022,  1385,  2747,  3857,  5096,  4525,  4574,  4762,  3393,
     698,  2990, -1603,  4042,  3394,  4043,  3551,   913,  2413,     3,
       4,  3439,  1015,  2423,  1183,  2426,  3037,  3338,  1016,  4715,
    2561, -2565, -2565, -2565,  4023,   745,  4763,  1720,  3927,  3928,
    1342,   579,  2794,   780,  2831,  1343,   599,  3962,   600,  4289,
    3059,  4290,  4716, -1603,   847,  4024,  1667,  3080,  2844,   769,
     914,  2914, -1603,    39,  2848,  3485,  4428,  3220,  4746,  3866,
    1751,  1720,  1618,  2053,  3225,  3639,  2284,   881,  3963,   667,
    2991,  3060,  3345,  3346,  3347,  3552,  3348,  3349,  3350,  3351,
    3352,  3353,  3156,  3964,  3244,  2121,  2414,    43,  3892,    14,
    3826,  4956,  4764,  3965,  3250,  3635,  2122,  2694,  3251,  2695,
    1344,  3253,  2054,  4765, -1072,   915,  4094,  3257,  2480,  3258,
    3507,  1514,  3260,  2123,  4321,   586,  4322, -1602,  2488,  3966,
    2489,  2227,  2696,    19,  3510,  4033,  2493,    47,  4953, -1602,
    3875,   789,  3876,  2499, -1602,  3222, -1066,  3395,   790,  5038,
    4634,  1345,  4979,  3709,  4966,  2935,  1490,  3396,   804,  3710,
    3269,  2937,  1515,  2228,  4509,   586,   840,  1299,   186,  2055,
    4961,  3711,  1516,  3836,  3636,  1491,  2535,  3434,  2536,  4599,
    2537,  3297,  2538,   589,  2539,  4095,  4426,    50,  2540, -1602,
    4990,    34, -1603,  5212,   687,  4510,  3436,   842,  3197,  3712,
    2998,  3713,  4962,  2584,  2215,  4817,  2216,  5096,  2285, -1602,
    2795,  2286,  3967,  2936,  3837,  2056,  5039,   688,  1551,  2938,
     186,   960,   961,   589,  1492,  2572,   962,  1183,  1117,  3161,
    3338,  2634,  -569,  2697,  3339,  3340,  3341,  3776,  2698,  4879,
    3780,  4154,  2408,  2699,   963,  1757,  1482,  2389,  1758,  4446,
   -1602,  3917,  2500,  4922,  3714,  4450,  4693,  4882,  4923, -1602,
    4323,  4528,  2237,  4155,  2217,  2124,  3877,  2623,  2624,  1483,
    3434,  2057,  1023,    39,  2638,  2639,  3878,  3434,  4434,  4435,
    3715,  2583,  3434,  3634,  3344,  3434,  3801,  4813,  4670,  3436,
    4672,  3033,  4766,  4484,  4635,  3216,  3436,  4722,  4557,  1688,
    1689,  3436,  2677,    31,  3436,  1532,  4924,    43,  1493,  2608,
    5103,  3434,  2783,  2784,  3337,  4499,  4485,  4500,  4501,  5079,
    1517,  4502,  2756,   182,  3434,  1023,  3365,  4539,   862, -1639,
    3436,    39,  4715,  3268, -1639,  1366,  3562,   586,   599,  3716,
     600,   863,  1533,  3436,  3717,  1693,  1534,    47,  3256,  4199,
     602, -1663, -1663,  1518,  4519,  4716,  1494,  1519,  3388,  1495,
      48,   604,  4083,  1939,  1618,    43,  1694,  2291,  1367,  4040,
    2293,  1360,  1368,  1535,  2881,   182,  2700,  2346,   599,  2245,
     600,  2877,  1372,    49,   681,  3718,  2701,  1005,  1520, -1602,
    2347,  4715,   903,  3961,   881,   589,  3414,  2796,  3448, -1639,
    3719,  1497,  3172,  1369,   605,    47,   911,  3173,  1361,   668,
    2238, -2206,  3490,  4932,  4716,    34,  2348,   830,    48,  1373,
    1006,  1511,   864,  4038,   847,  3343,   965,  2869,  4583,   865,
     866,   867,  1751,  5032,  4989,  2410,   968,  2239,  1295,  1362,
   -1639,    49,  1551,   971,  1499,  3513,  4170,  3540,  4041,  2692,
    1374,    28,  5166,  3750,   974,   669,  3755,  2445,  1512,  1919,
    2240,   983,  2241,  2913,  1500,  3962,  3765,  4171,   989, -2565,
   -2565, -2565,  3567,  3348,  3349,  3350,  3351,  3352,  3353,  1010,
    -447,  3451,  3434,  1000,  1502,   698,  3603,  3344,  2778,  1513,
    1011,  3720,  4082,  3962,  1693,  1183,  3963,  2235,  3338,  1008,
    3903,  3436,  3339,  3340,  3341,  4042,  1323,  4043,  2838,  -568,
    2841,  3964,   696,  2798,  1022,  1694,  1312,  1009,   696,  4346,
    1313,  3965,  1482,  3604,  3963,  3572,  1012,  3574,  2612,  1695,
    1025,  5224,  3310,  2747,  2999,  2237,  1693,  2039,  2747,  4377,
      39,  3399,  1030,  3434,  2747,  1483,  2237,  3966,  1073,  3965,
     599,  2064,   600,   698,  3605,  3000,  2835,  1694,  1812,  3311,
    1023,  1813,  3436,  5264,  3312,  4674,  5021,   792,   979,  4068,
     980,  1697,  4683,  3495,    43,  3143,  1618,  1082,  1681, -1640,
    2107,  4060,  5137,  1294, -1640,  5180,    28,  4919,  5153,  4921,
    1083,  5254,  -447,  4925,  2899,  4926,  1312,  1089, -2187,  4017,
    1313,  1096,  3077,  3847,  1681,   707,  2107,   709,  4074,  4247,
    4081,   715,  3445,  3446,    47,  3543,   729,   737,   707,  2035,
     744,  3499,  2036,   737,   737,  1103,   773,    48,   776,   793,
    3967,  1112,   681,  4723,  3001,  2612,  4097,  4402,  3708,  4960,
    2316,  1151,  2038,  3173,   182,  2039,   984,  3726,   985, -1640,
      49,  2343,  3705,  1147,  2530,   226,  3660,  2039,  3967,  1143,
     570,  3666,  3814,  3815,    50, -1371,  1154, -1371,   665,  1023,
    1157,  1159,  3345,  3346,  3347,    39,  3348,  3349,  3350,  3351,
    3352,  3353,  3460,  2238,  1152,  1152,   743,  3002,  1152,  3598,
   -1640,  1160,  3517,  3343,  2238,  1183,  3496,  3497,  3338,   794,
      39,  4274,  3339,  3340,  3341,  2542,  1161,  1167,  2543,    43,
    2239,  1169,  2544,  2575,   698,  2543,  2576,  2964,  1170,  4093,
    3694,  2239,   698,  1168,  1171,   698,  2769,  3072,  3694,  1751,
    3237,  3239,  3240,  2240,    43,  2241,  2237,  3144,    39,  2237,
    3434,  2988,  3003,  1681,  2240,  1370,  2241,  2806,  3090,    47,
    2039,  3090,  1826,  3090,    50,  3344,  1173,  3090,  2911,  3436,
    3033,  2912,    48,  4771,  1176,  1172,  3090,  3090,  3090,  5251,
    2235,  3434,    43,  1177,    47,   831,   836,   836,   839,  2982,
     836,  2235,  2983,  1179,   848,    49,   773,    48,  1298,   883,
    3436,  4035,  4036,  1301,  3115,  2237,   773,  3116,   836,  5181,
    1305,   773,  2237,  3120,  1306,   836,  3121,   773,  3223,  1307,
      49,  2039,    47,  4258,  1324,  3262,  3309,  3302,  2543,  2039,
    3318,  1311,  3166,  2039,    50,    48,  1329,  3324,  1152,   795,
    2039,  2470,  1330,  2471,  5210,  3204,  4579,  3696,  3819,  3004,
    3821,  2902,  3823,  3325,  2977,  1681,  2039,  2107,    49,  3827,
    1872,  3619,  1332,  1873,   830,  3199,  3326,  1333,  3357,  2039,
     847,  2039,    50,  1022,  3298,  3785,  3627,   870,   871,   872,
    3162,   873,   874,   875,   876,   877,   878,  3434,  1340,  1355,
    5235,  3145,  1879,  3190,  2238,  3191,  3185,  2238,  3848, -2565,
    1356,  3743,  3370,  3343,  1359,  2039,  3436,  1370,  3375,  5134,
    3631,  3376,  3585,  3590,  1363,  3586,  3591,  3640,  3415,  3853,
    3416,  2239,  3614,  1881,  2239,  3615,  1022,  1405,  3789,  3812,
    2500,  3790,  2039,  1429,  3231,  3233,  3146, -2217,  1432,  3898,
    3241,  1023,  3899,  1023,  2240,   881,  2241,  2240,  1435,  2241,
    3345,  3346,  3347,  2238,  3348,  3349,  3350,  3351,  3352,  3353,
    2238,  1434,  1467,  3005,  3727,  3344,  3729,  4602,  3417,  4809,
    3418,  3006,  3908,  3840,  3007,  3909,  3919,  1472,  1471,  2039,
    2239,  2235,  2671,  4006,  2235,  2674,  4007,  2239,  4011,  5286,
    3387,  4012,  1872,  4016,  1473,  1873,  2821,   698,  4192,  1479,
    4193,  2237,  1564,  2240,  4039,  2241,  4248,  2543,  1481,  2543,
    2240,  3868,  2241,  3736,  3437,  3739,  3461,  3434,  1489,  1486,
    1023,   787,  4082,  4300,  1879,  4318,  1804,   182,  2039,  1524,
    4344, -2565, -2565,  2576,  1525,  4356,  3436, -2565,  2039,  1549,
    2235,  2237,  1490,  3795,  1540,  3897,  4412,  2235,  1550,  2821,
    4418,  1490,  1554,  4419,  4424,  1881,  5265,  2543,  5266,  3833,
    1559,  1491,  2237,  2649,  4425,   787,  3437,  2543,  1560,  4559,
    1491,  2667,  4560, -2565,  4607,  4609,  1436,  4608,  2039,  1565,
    4617,  4689,  1437,  2576,  4690,  4772,  1567,  1568,  2543,  3434,
    3939,  4443,  4810,  4075,  4826,  4811,  4834,  2576,  1570,  4835,
    3983,  3984,  3985,  1332,  4844, -1591,  3671,  1751,  3436,  1872,
    1492,  4850,  1873,  1339,  3762,  1341, -2565, -2565, -2565,  1492,
    1888,  4852,  3398,  1438,  3762,  3420,  3421,  3422,  4865,  4912,
    3978,  4866,  4913,  4952,  4981,  2031,  1918,  4866,  4557,  5104,
    1573,  1879,  4991,  4056,  4992,  2576,  4061,  3376,  1880,  2238,
    3345,  3346,  3347,  1577,  3348,  3349,  3350,  3351,  3352,  3353,
     921,  1022,  1578,  3846, -2565,  2612,   773,  4098,   831, -2565,
     787,   836,  1881,   839,  1585,   836,  2239,  1440,  4993,  1588,
    1584,  2039,  4077,   883,  1441,  1591,  1594,  1442,   995,  2238,
    1597,   186,   960,   961,  1493,  1599,   836,   962,  3452,  2240,
     698,  2241,  1605,  1493,  5004, -2565, -2565,  5005,  3694,  1608,
    2238,  5010,  1443,  1610,  1751,   963,  2239,  4188,  4376,  5013,
    4379,   831,  3762,  1864,  5037,  1614,   839,  2576,  4176,  1620,
    5043,   848,  4121,  2576,  1601,   883,  2235,  2239,  1621,  2240,
    5044,  2241,  1494,  2576,  1444,  1495,  5047,  1625,  1626,  5048,
    4824,  1494,  1888,  -178,  1495,   836,  2293,  1628, -2470,  1629,
    2240,  5049,  2241,  5075,  5050,  2293,  5076,  1864,  5122,  5126,
    1022,  5123,  1751,  1631,  5127,  5128,  2235,  2039,  2039,  5130,
    5149,  1882,  2039,  5150,  2692,  5173,  1883,  1497,  5174,  5197,
    5209,  5234,  3762,  4858,  4866,  5272,  1497,  2235,  5048,  1632,
    3408,  5274, -2565,  1445,  5275,  1446,   773,  4339,  1647,  1895,
    1896,  1897,  1898,  1899,  1900,  1447,  3427,  5289,  1654,   773,
    5123,  1166,  1886,  5296,  1448,  1657,  5275,  1661,   208,  1668,
    1499,  1674,  1675,  1676,  1677,  1449,  1681,  1684, -2565,  1499,
    1685,  1280,  1280,  1687,   773,   737,   182,  1703, -2470,   737,
    1500,  1701,  1715,  1716,  1719,  1720,  3461,  3588,  1727,  1500,
    1731,  1732,  4727,   773,  3461,  1734,  1740,   773,  3427,  1888,
    1502,  1739,   786,  1280,  1742,  1451,  1452,  4579,  1747,  1502,
    1750,  1753,  1754,  1781,   773,  1756,  1809,  1816,  1814,  1817,
    1823,  1824, -1812, -1819,  1831,  1832,   773,  1833, -2470,  1834,
    1835,    50,  1837,  1453,  1838,  4728,  1839, -1809,  3625, -1810,
   -2470,  1840,  1841,  1842,  1844, -2470,  1845,  1846,  1847, -1813,
   -2470, -1811,  1848,  1849,  1904,  1850, -2470,  4291,  1851, -2470,
    4729,  4293, -2470,  1906, -2565,  1853,  1854,  1855,   773,  1856,
    1857,  1895,  1896,  1897,  1898,  1899,  1900,  4730,  1858,  1859,
    4297,  4731,  1860,  1908,  1922,  1890,   773,  1909,  1918,  1934,
   -2470,   836,   836,  1942,  2042,  1343,  1345,  1454,  2071,  3662,
    2082,  4732,  1872,  2073,  4733,  1873,  2084,  2085,  2086,  2102,
   -2470,  2103,  2104,  2105,  2108,  5003,  2109,  2107,  4734,  2110,
     737,   737,  2111,  2112,  2113,  2119,  2138,  2150,  2144,  2173,
    3090,  2180,  2181,  2177,  1879,  2179,  2182,  2184,  2185,  2200,
    2202, -2565,  3687,  2201,  2213,  2225,   831,  2214,  3698,  2231,
    4535, -2470,  2229,  2232, -2470,  2233,  3698,   848,  2234,  2235,
   -2470,   883,  1022,  2243,  1022,  1881,  2244,  2246,  2247,  1183,
    2248,  2257,  3338,  2253,  2254,  2263,  3339,  3340,  3341,   836,
    2264,  1891,  2265,  2266, -2565, -2565, -2565,   698,  1895,  1896,
    1897,  1898,  1899,  1900,  2269,   698,  5006,  2271,  2275,  4735,
    2280,   773,  2276,  2287,  2288,  2290,  4328,  4736,  3760,   836,
     836,  2295,  2296, -2470,  1448,  2305,  2300,  2301,  2304,  3740,
    2302,  2306,  2311,  2317,  2312,  2328,  2309,  2329,  2318,   773,
     773,   773,  3926,   836,   836,  2330,   831,  4222,  4223,  2334,
    3794,  1022,  4258,  2335,  2339,  2342,  2354,  4737,  2356,  2357,
    2378,  2364,  4294,  4295,  4296,  2358,  2359,  2363,  2365,  2371,
    2372,  2373,  2374,  2384,   712,  2385,  2376,  2375,  2383,  4726,
    2390,  3783,  2393,  2394, -2565,  2397,   581,  2411,  4432, -2565,
    2422,  2402,  1508,  2408,  2433,  2428,  2444,  2447,  2450,  2451,
   -2470,  2461,  2465,  2467,  3810,  2469,  2473,  3933,  2478,  3813,
    2484,  2486,  2487,  2505,  2507,   836,  2494,   836,   836,  2495,
    2496,  2498,  2508,  2491, -2470, -2565, -2470, -2470,  2497,  4455,
    4456,  4449,  2509,  2510,  4400,  2521,  2522,  3437,  2492,  1872,
    3437,  2554,  1873,  2560,  2573,  1280,  2586,  2666,  2622,  1152,
    2672,  1873,  2685,  2617,  2676,  2726,  2705,  1872,  2740,  2691,
    1873,  2703, -2470,  2725,  2754, -2470, -2470, -2470,  2760,  2757,
    2758,  1879,  1888,  2770,   793,  1784,  1784,  3343, -2565,  2761,
     773,  2762,   707,  2779,  2771,  2781,   698,  2780,  2782,  1879,
    2792,  2799,  2811,  2810,  2839,  2844, -2565,  2813,  2846,  2847,
    2863,  2842,  1881,  1815,  2853,  2858,   773,  2864,  2866,  1821,
    2868,  2870,   182,  2886,  2874,  2887,  4496,  4497,  2878,  3437,
    1881,   787,  1280,  2890,  2904,  2909,  2903,  3914,  1295,  1299,
    2920,  2925,  2926,  2939,  2944,   182,  2971,  2966,  2945,  3344,
     787,  2972,  2974,  3009,  2981,   588,  3941,  3942,  3943,  3944,
    3083,  2989,  1280,  3076,  3091,  3084,  3087,  3096, -2565,  3102,
    3107,  3097,  3098,  3109,  3114,  3122,  3113,  3134,  3135,  3929,
    3149,  3153,  3155,  3164,  3461,  3179,  3171,  3174,  3180,  3151,
    1280,  1280,  1280,  4398,  1280,  3165,  3182,  3930,  5245,  5246,
    3181,  3183,  3187,  3195,  3196,  3198,  3200,  3215,  3461,  3193,
    3201,  2649,  2649,  3214,  1280,  3217,  2649,  3219,  3218,  3221,
    3224, -2565,  3226,  3242,  3252,  3255, -2565,  3275,  1708,  3259,
    3261,  3227,  3228,  3264,  3267,  3279,  3254,  3265,  3266, -2565,
    4592,  2587,  4593,  4594, -2565,  3286,  3294,  3296,  3277,  3289,
    3301,  3278,   773,  2649,  2649,  1280,  4598,  3229,  1751,  3230,
    3234,  3243, -2565,  3300, -2565,  1748,  1717,  1149,  3303,  3304,
    3306,  1895,  1896,  1897,  1898,  1899,  1900,  3320,  3321,  3322,
   -2565,  3323, -2070,  1280,  4441,  3372,  3327,  1280,  1280,  3328,
    3330,  3333,  3334,  4486,  4487,  2039,  4489,  3356,   773,   773,
    2081,  3362,  1280,  3369,  3383,  3384,  3389,  4520,  3397,  1888,
    3407,  3409,  3410,  3406,  3411,  3413,  3463,  3439,  3444,  3469,
    3480,  3487,  3467,  3473,   737,  3493,  3500,  1888,  3498,  3501,
    3471,  3509,  3512,  1864,  3345,  3346,  3347,  3514,  3348,  3349,
    3350,  3351,  3352,  3353,  3547,  3536,  3698,  3537,  3521,  3948,
    3549,  3553,  3953,  3554,  3555,  2294,  3556,  3570,  3571,  2183,
    3573,  3579,  4480,  3580,   737,  3581,  3589,  3599,  3618,  3620,
    4125,  3616,  3622,  3641,  3505,  3623,  3506,  4133,   773,  2209,
    4134,  4916,  4135,  3626,  3628,   698,  3645,   773,  4739,  1804,
     836,  3629,  3646,  3647,  3630, -2565,  4645,  3643,  3644,  4726,
    3648,  3649,  1408,  4660,  3651,  3650,  3652,  3653,  3654,   698,
    3655,  3657,  3656, -2565,   883,   698,   773,  3658,  4132,  3663,
    3659,  3665,  4175,  3694,  3667,  2326,  3689,  3668,  3676,   773,
    3090,  3670,   773,  3680,  3090,  3090,  1409,  3090,  3681,  3683,
    3700,  3735,  3687,  3741,  3745,  3744,  4906,  3747,  4908,  3703,
    3749,  3734,  3752,  4537,  3764,  3762,  3761,  3771,  3778,  3774,
    3777,  3781,  3782,  3786,  3787,  3799,  1410,  3809,   773,  3818,
    3829,  3820,  3830,  3831,  3816,  3822,  3832,  3839,  3841,   836,
     836,   836,   836,   773,  3842,  1137,  1138,  3843,  3834,  3850,
    3851, -2565,  5121,  3817,   737,  1411,  3852,   773,  1895,  1896,
    1897,  1898,  1899,  1900,  3854,  3855,  3856,  3860,  2352, -2565,
     773,  1826,  3359,  3338, -2069,  3869,  1895,  1896,  1897,  1898,
    1899,  1900,   836,   836,  3358,  3910,  3921,   794,  3951,  1412,
    3980,  3894,  3934,  4000,  3895,  4003,  4005,  3975,  4009,  4019,
    4273,  4026,  4047,   836,  3896,  3902,  3922,  3993,  3925,  3940,
    3952,  4049,  4823,  3960,  3990,  4055,  3977,  4050,  3992,  3994,
    4062,  4063,  4064,   773,  1413,  4769,  3995,  4065,  5059,  5061,
    5053,  4069,  4067,  4071,  4085,  4088,  4268,   836,   836,   836,
     836,  4103,  4100,  4115,  3437,  4101,  4102,   881,  3437,  4113,
     773,  4116,  4114,  4117,  4118,  4127,  4130,   773,  1414,  4129,
    4140,  2352,  4142,  4143,  4307,  4307,  4307,  4148,  4307,  4307,
    4307,   831,  4151,  4166,   831,  4168,  4076,  4180,  4677,   839,
    4172,  4182,  4179,  4183,  1280,  4871,  4186,   698,  1415,  1416,
    4196,  4207,  4833,  4210,  4219,  4828,  4225,  4233,  2543,  4239,
    4241,  4243,  4244,   854,  4250,  4260,  4265,  4266,  4280,  4279,
    4283,   889,  4284,  4282,  4298,  4285,  4292,  4287,  4288,   848,
     848,  4302,  4304,  4320,   908,  1417,  4700,  4310,  4315,    34,
     883,   883,  4329,  1418,  4325,  4911,  1866,  4324,  4695,  4330,
    1419,  4331,  4337, -2071,  4332,  4333,  4352,  4365,  1420,  4372,
     836,   836,  4918,  4368,  4370,  4385,  1421,   836,  4373,   773,
    4380,  4381,  4386,  5151,  4388,  4389,  4391,   182,  1422,  4392,
    4393,  4399,  5260,  4408,  4415,  4411,  1423,  4413,  4420,  4421,
    4429,  4447,  4457,  4448,  1784,  4451,  4458,  4477,  4459,  4470,
    4473,   836,  4479,   848,  4490,  4498,  4503,   773,   773,  4482,
     836,  4483,  4511,  4512,  4395,  4517,  4397,   773,  4518,  4521,
    4526,  4527,  4534,  4536,   773,  4533,  4540,  4532,  4542,   707,
     707,  5260,  4549,  2589,  4552,  4556,  4561,  1280,  4563,  1280,
    4573,  1424,  4414,  4843,  1280,  1280,  5260,  4575,  4577,  4576,
    4571,  1280,  1280,  1280,  4843,  4585,  4590,  1280,   883,  1280,
    1280,  1280,  1280,  1280,  1280,  4596,  1280,  4603,  1280,  1280,
    4401,  4403,  1280,  4611,  4597,  5053,  4613,  4614,  4622,  4658,
    4638,  4604,  4606,  4665,  4668,  4682,  4671,  1280,  1280,  1280,
    1280,  4628,  5066,  4615,   836,  1280,  4686,  4691,  4631,  1280,
    4616,  4692,  1280,  4697,  4523,  1280,  1280,  1280,  1280,  1280,
    1280,  1280,  1280,  1280,  4642,  1280,  4662,  4685,  4703,  4721,
    4740,   773,  1280,  4704,  1280,  4708,  4713,  4742,  4714,  4996,
    4206,   773,  4748,  4910,  4750,  4752,  4753,  4755,   698,  4756,
    1183,  4759,   698,  3338,  4775,  4452,  5012,  3339,  3340,  3341,
    4758,  5014,  4776,  5016,  4782,  4784,  3427,  4787,  4793,  1023,
    3427,  4791,  4800,  4801,  4347,  4812,  3437,  4467,  4468,  4814,
    4815,  4816,  4471,  4472,  4829,  2649,  2649,  2649,  2649,  4832,
    4836,  2649,  2649,  2649,  2649,  2649,  2649,  2649,  2649,  2649,
    2649,  4842,  4846,  4858,  4493,  4494,  4853,  4881,  4849,  4854,
    4856,   182,   182,  4863,  3090,  4862,  3090,  3090,  3901,  4874,
    3090,  4883,  4884,  4890,  4933,  4935,  4896,  4940,  4945,  4944,
    4947,  4954,  4959,  4964,  1872,  4965,  4976,  1873,  4977,  4972,
    4978,  4985,  4986,  4987,  4994,  4988,  1183,  2649,  2649,  3338,
    4995,  5019, -2472,  3339,  3340,  3341,  5031,  5002,   773,  5023,
     773,  5015,  1280,  5024,  5018,  5036,  1879,  5026,  5011,  3437,
    5058,  5040,  5064, -2565,  5065,  5078,  3437,  5069,  4551,  5071,
    5081,  3437,  5074,  5082,  3437,  4640,  5088,  5100,  5101,  5102,
    5108,  5119,   881,  5109,  5117,  5143,   773,  1881,  5067,  3935,
    5136,  5068,  5152,  2800,  5145,  2805,  5161,  5200,   982,  5138,
    3437,  5160,  5192,  4578,  5217,   982,  5207,  5162,  5220,  5226,
    4701,  5241,  5242,  3437,  5243,  4554,  5247,   982,  4699,  3461,
    5249,  5253,  5267,  5270,  5268,  1485,   839,  5273,  5280,  5281,
     881,  5287, -2472,  5290,  4307,   707,  2340,   707,  3343,  5288,
    5291,  1334,  5028,  5292,  3158,  3038,  3454,  2970,  1023,  1433,
    3564,  1522,  1521,  4091,  1280,  5252,  4084,  5211,  5146,  3075,
    4741,   847,  3688,  1941,  4189,  4927,   831,  5052,   836,   836,
    5218,  4221,  4792,   848,  4768,   883,  4516,   836,  3503,   836,
    3263,  5139, -2472,   836,  4675,  5214,   773,  1872,  5072,  5070,
    1873,  5159,  5231,  3508, -2472,  4269, -2565,  4249,  5034, -2472,
    3344, -2565,  4089,   847, -2472,  4214,  3132,   737,  3133,  3583,
   -2472,  3751,  1510, -2472,  4238,  4538, -2472,  2209,  4774,  1879,
    3123,  4778,  3757,  5219,  5293,  2923, -2565,  5285,  3701,  4754,
    5164,  3706,  2934,  3065, -2565,  4892,  4702, -2565,  4663,  5042,
    4705,   773,   714,  4299, -2472,  1801,   182,  4869,  2816,  4983,
    1881,  4276,  3494,  1596,  1097,  2511,  2580,  1811,  2581,  2474,
    2401,   773,  2582,  3664, -2472,  4141,  2979,  2979,  3427,  1024,
    3753,  3437,  4119,  5183,  5279,  1308,   773,   773,  2766,  2118,
     773,  3698,   839,  2765,  1888,  4254,  4664,  4404,  2534,  5133,
    4013,  1914,  2040,  3459,  2791,  2068,  3344,  3468,  5129,  3991,
     836,  5017,  3466,   836,  4396, -2472,  2790,  3955, -2472,  4363,
    4378,  4848,  3949,  2067, -2472,  5001,  5000,  4350,  4014,  3950,
     698,  5282,  3090,  5199,   773,   773,  5120,  5248,  4827,  3904,
    4661,  5131,  3437,  5132,  5116,  3404,  2730,  3315,  2072,  3064,
    3456,  3066,  3068,  2739,  3402,  2077,     0,     0,  2649,     0,
    2485,     0,     0,     0,     0,     0,     0,     0,     0, -2565,
       0,     0,     0,     0, -2565,     0,     0, -2472,  3427,   836,
   -2565,     0,     0,  3427,     0,     0,  3427,   836,   836,     0,
       0,     0,     0,  1023,   836,  3345,  3346,  3347,     0,  3348,
    3349,  3350,  3351,  3352,  3353,     0,  1280,     0,   836,     0,
   -2565,  4773,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2209,     0,     0,  2979,     0,   773,   712,     0,
     773,     0,     0,     0,  3159,     0,     0,   707,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4805,     0,
       0,     0,     0,   787, -2472,     0,     0,  1888,     0,  4946,
       0,     0,     0,     0,     0,  3064,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   836, -2565,  3189, -2472,     0,
   -2472, -2472,     0,  1895,  1896,  1897,  1898,  1899,  1900,     0,
       0,  3345,  3346,  3347,     0,  3348,  3349,  3350,  3351,  3352,
    3353,  1280,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2472,     0,     0, -2472,
   -2472, -2472,     0,     0,     0,     0,     0,     0,   836,     0,
     836,  2979,   836,  2979,     0,     0,     0,     0,     0,  3437,
       0,     0,   182, -2565,     0,     0,   881,  4903,  4903,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1022,     0,     0,     0,  4920,     0,  1784,     0,     0,     0,
    3437,     0,     0,     0,  4928,     0,     0,     0,     0,   182,
       0,     0,     0,     0,     0,     0,   698,   698,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4367,   698,
       0,     0,     0,   773,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   831,  1436,     0,     0,     0,     0,   848,
    1437,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   836,  1526,     0,     0,     0,     0,     0, -2565,
    1280,     0,     0,     0,  3427,  1280,  1895,  1896,  1897,  1898,
    1899,  1900,     0,     0,     0,  1864,     0,     0,     0,     0,
       0,  1438,  4967,     0,     0,     0,     0,     0,  1280,  1280,
    1280,     0,     0,  1280,     0,     0,  3437,     0,     0,     0,
       0,  1280,  1280,  1280,  1280,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1280,  2590,     0,  1280,  5142,  1280,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1280,  1280,     0,  1527,  1280,  1440,     0,     0,     0,     0,
       0,     0,  1441,     0,     0,  1442,   883,     0,  1280,     0,
    1280,     0,  1280,     0,     0,     0,     0,     0,  5020,     0,
       0,   847,     0,  2591,     0,     0,     0,     0,     0,  1022,
    1443,     0,  1280,  5056,     0,  5057,   773,     0,     0,  5062,
    5063,     0,     0,  3438,     0,  1280,  1280,  1280,     0,  5189,
    5190,     0,     0,     0,     0,  2592,     0,     0,  1490,     0,
       0,     0,  1444,  1280,     0,     0,     0,     0,     0,     0,
       0,     0,  5168,   182,  1280,     0,     0,  1491,  2593,  1280,
       0,     0,     0,     0,     0,  1280,  3437,     0,     0,  2594,
       0,     0,   847,   847,     0,  3438,     0,     0,     0,  3479,
       0,     0,  3482,     0,  2805,     0,     0,     0,     0,  2595,
       0,     0,     0,     0,  2596,     0,     0,     0,     0,     0,
       0,  1445,     0,  1446,     0,     0,  1492,  4076,     0,     0,
       0,     0,     0,  1447,  2141,     0,     0,     0,     0,     0,
       0,     0,  1448,     0,     0,  1280,     0,  2979,     0,   182,
       0,     0,  1784,  1449,     0,     0,     0,     0,  3437,     0,
       0,     0,  4903,  2597,  4903,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   836,
       0,   836,   836,   836,  2598,     0,     0,     0,     0,  4077,
    1528,     0,     0,  1451,  1452,     0,     0,     0,     0,     0,
       0,   698,     0,   698,     0,     0,     0,     0,     0,     0,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1529,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5294,  5295,     0,     0,     0,  5165,   186,  5185,
    5186,     0,     0,     0,  5187,     0,  2649,     0,     0,     0,
     208,     0,     0,  2599,     0,  4610,     0,  5284,  1494,     0,
       0,  1495,  5188,     0,  1022,  5240,     0,     0,     0,     0,
       0,     0,  2293,     0,  4078,   847,   847,     0,     0,  2600,
       0,     0,     0,     0,     0,  1454,  2601,     0,     0,     0,
       0,     0,   773,  2602,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1497,     0,     0,     0,     0,     0,     0,
       0,     0,   186,  5185,  5186,  1408,     0,     0,  5187,     0,
       0,  2603,     0,     0,     0,     0,  2604,     0,     0,  2605,
       0,  4903,     0,     0,     0,     0,  5188,     0,     0,     0,
    5259,     0,     0,     0,     0,     0,  1499,  2606,     0,  1409,
    2338,     0,     0,     0,     0,     0, -2486,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1500,     0,   182,     0,
     698,     0,  2607,     0,     0,     0,     0,     0,     0,  5258,
       0,     0,     0,     0,     0,     0,  1502,     0,  4079,  5259,
       0,  4080,     0,   182,     0,   836,     0,   186,  5185,  5186,
    2979,  2979,     0,  5187,  5259,     0,     0,     0,  1411,     0,
       0,     0,     0,     0,     0,     0,     0,  1872,     0,     0,
    1873,  5188,     0,     0,  1874,  1875,  1876,  2412,  5258,     0,
       0,     0,     0,  2427,     0,     0,     0,   773,   773,   773,
       0,  1877,  1412,  5258,     0,  2338, -2486,     0,     0,  1879,
       0,     0,     0,     0,   773,     0,  1880,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5239,     0,     0,
       0,     0,     0,     0,  1784,   773,     0,  1413,     0,     0,
    1881,     0,     0,     0,  1784,   773,   773,     0,     0,  2235,
     773,     0,     0,     0,     0,     0, -2486,     0,     0,     0,
       0,  1280,     0,     0,   773,     0,     0,     0, -2486,     0,
       0,  1414,     0, -2486,     0,     0,     0,     0, -2486,     0,
       0,  2504,     0,     0, -2486,     0,     0, -2486,     0,  2649,
   -2486,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1872,     0,  1416,  1873,  2338,     0,     0,  1874,  1875,  1876,
       0,     0,   182,     0,  2649,     0,     0,     0, -2486,     0,
       0,     0,   836,     0,  1877,     0,     0,     0,     0,     0,
       0,     0,  1879,     0,     0,     0,     0,     0, -2486,  1880,
       0,   773,    34,     0,  2193,     0,  1418,     0,     0,  1882,
       0,     0,     0,  1419,  1883,     0,     0,   773,     0,     0,
       0,  1420,     0,  1881,     0,     0,     0,     0,     0,  2194,
       0,     0,     0,     0,     0,  1884,  1885,  1280,     0, -2486,
       0,  1422, -2486,     0,     0,     0,  1280,     0, -2486,  1423,
    1886,     0,  1280,     0,  1280,     0,     0,  1280,     0,     0,
       0,     0,  1280,  1280,  1280,  1280,     0,     0,  1280,  1280,
    1280,  1280,  1280,  1280,  1280,  1280,  1280,  1280,     0,     0,
       0,  1280,  1280,  1887,     0,     0,     0,     0,     0,     0,
       0,  1280,     0,     0,     0,  1280,     0,  1888,     0,  1280,
    1889, -2486,     0,     0,  1424,     0,     0,  1280,     0,     0,
    1280,     0,  1280,     0,     0,     0,     0,     0,     0,     0,
       0,  1280,     0,     0,  1280,  1280,     0,     0,     0,  1280,
    1280,     0,  1882,     0,  3937,     0,  1280,  1883,     0,     0,
       0,     0,     0,   773,   773,   773,   831,     0,     0,  3438,
    3959,     0,   712,     0,  3959,  3973,  3959,     0,  1884,  1885,
       0,     0,  1280,     0,     0,     0,     0,     0,  1280,  1280,
    1280,     0,     0,  1886,     0,     0,     0,     0, -2486,     0,
       0,     0,     0,  1890,  2649,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1280,     0,     0,     0,     0,     0,
       0,     0, -2486,     0, -2486, -2486,  1887,  1436,  2805,     0,
    1280,     0,     0,  1437,     0,     0,     0,     0,     0,     0,
    1888,     0,     0,  1889,     0,     0,     0,     0,  4034,  1784,
    1784,     0,  2352,  2152,     0,     0,     0,     0,  2153,     0,
   -2486,     0,     0, -2486, -2486, -2486,     0,     0,     0,   836,
     836,   836,   836,     0,  1438,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2154,     0,     0,     0,     0,     0,  2209,  1891,
       0,     0,  1892,  1893,  1894,  2155,  1895,  1896,  1897,  1898,
    1899,  1900,     0,     0,     0,     0,  4087,     0,     0,  3329,
    2156,     0,     0,     0,  1439,  2807,  1890,     0,  1440,     0,
       0,     0,     0,     0,     0,  1441,     0,     0,  1442,     0,
       0,     0,     0,  2823,     0,     0,     0,     0,     0,  2827,
       0,     0,     0,  2830,     0,     0,     0,     0,     0,     0,
       0,  2157,     0,  1443,     0,     0,     0,     0,     0,     0,
       0,  2649,  2158,     0,     0,     0,     0,     0,     0,  2854,
       0,     0,     0,     0,  3206,     0,     0,     0,     0,     0,
       0,     0,  2159,   861,     0,  1444,     0,  2160,     0,     0,
       0,     0,     0,   893,  1408,     0,     0,     0,  4173,     0,
       0,     0,     0,     0,   910,     0,     0,     0,     0,     0,
       0,     0,  1891,  2907,     0,  1892,  1893,  1894,     0,  1895,
    1896,  1897,  1898,  1899,  1900,     0,     0,     0,  1409,     0,
       0,   982,  3379,     0,     0,     0,     0,   836,     0,     0,
       0,   773,     0,   836,  1445,  1280,  1446,     0,     0,     0,
       0,     0,   773,     0,     0,     0,  1447,  2161,  4213,     0,
       0,     0,     0,  2955,     0,  1448,     0,     0,  2209,     0,
       0,     0,     0,     0,     0,  5198,  1449,     0,     0,     0,
       0,     0,     0,   773,     0,     0,     0,  1411,  2984,     0,
       0,  2162,     0,     0,     0,  3064,  2995,     0,     0,     0,
       0,     0,   982,     0,  4259,     0,  3010,     0,     0,     0,
       0,     0,     0,  1450,     0,   773,  1451,  1452,     0,     0,
    2352,  1412,     0,   208,  1280,  1280,  3023,     0,     0,     0,
       0,  3025,     0,     0,     0,  3028,     0,     0,     0,     0,
       0,     0,     0,     0,  1453,     0,     0,     0,  3045,     0,
       0,  3207,     0,  2979,     0,  2979,  1413,  2649,  2649,  2163,
       0,  3069,   773,     0,     0,     0,  2164,     0,     0,  2165,
     982,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1414,  1280,     0,     0,     0,     0,     0,     0,     0,  2166,
       0,     0,  1280,     0,     0,     0,  2167,     0,  1454,     0,
       0,     0,     0,  2168,     0,     0,     0,     0,     0,     0,
    2169,  1416,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1280,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1280,  1280,     0,  2170,     0,     0,     0,  1280,
    1280,     0,     0,     0,  1280,     0,     0,     0,     0,  1280,
       0,    34,  1280,  1280,     0,  1418,     0,  1280,  4355,     0,
       0,     0,  1419,  1280,   773,   773,   773,   773,     0,     0,
    1420,  3959,  3973,  3959,     0,  1280,  3959,     0,  2194,  4369,
       0,     0,     0,  3438,     0,     0,     0,  3438,     0,     0,
    1422,     0,     0,  4384,     0,     0,     0,     0,  1423,     0,
    1280,     0,  1871,     0,     0,  1280,     0,  1872,     0,     0,
    1873,  1280,     0,     0,  1874,  1875,  1876,     0,   883,  3209,
       0,     0,     0,     0,     0,  3206,  1280,     0,     0,     0,
    3479,  1877,     0,     0,  1878,  2805,     0,   919,     0,  1879,
       0,     0,     0,   964,     0,  1408,  1880,     0,     0,   707,
    1436,     0,  1280,  1424,     0,     0,  1437,  3210,  2408,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1526,
    1881,     0,  2979,  2979,     0,     0,     0,     0,     0,  1409,
       0,  3274,     0,     0,     0,     0,     0,     0,     0,     0,
    2209,     0,     0,     0,     0,     0,     0,  1438,     0,  3288,
       0,     0,     0,  4453,     0,     0,     0,  3274,     0,     0,
       0,     0,     0,   562,     0,     0,     0,     0,     0,   615,
     562,     0,     0,     0,     0,   666,     0,   562,     0,     0,
       0,     0,     0,   562,     0,   717,     0,     0,  1411,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1527,
       0,  1440,  1280,     0,   784,   784,     0,     0,  1441,     0,
       0,  1442,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1412,     0,     0,     0,   836,     0,     0,  1882,
       0,  3206,     0,     0,  1883,     0,  1443,     0,     0,     0,
       0,   836,     0,     0,     0,     0,  1164,     0,     0,     0,
       0,  1408,  3207,     0,     0,  1884,  1885,  1413,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1444,  1280,
    1886,  1287,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   831,     0,  1409,     0,     0,     0,  2209,
    1310,  1414,  1058,     0,     0,     0,     0,     0,  1784,     0,
       0,     0,     0,  1887,     0,     0,     0,     0,     0,     0,
       0,  1335,     0,     0,     0,     0,  1058,  1888,     0,     0,
    1889,     0,  1416,     0,   836,     0,  3189,  1445,     0,  1446,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1447,
       0,     0,     0,     0,  1411,  3438,     0,     0,  1448,     0,
       0,     0,     0,     0,     0,   843,     0,   773,     0,  1449,
       0,     0,    34,   885,     0,   886,  3208,   890,   891,     0,
     894,     0,   896,  1419,     0,   902,     0,   904,  1412,     0,
       0,  1420,     0,  1464,     0,     0,     0,     0,     0,  2194,
       0,     0,     0,  1280,     0,     0,  3035,     0,     0,  1451,
    1452,  1422,  1280,  1890,     0,     0,     0,     0,  3207,  1423,
       0,     0,     0,  1413,   835,   837,     0,     0,   841,  1280,
    1280,     0,     0,  1280,     0,     0,     0,  3036,     0,     0,
    3209,     0,     0,     0,  3515,     0,   895,     0,   831,     0,
       0,  3959,     0,   905,     0,  3438,     0,  1414,     0,     0,
    3438,     0,     0,  3438,   831,     0,  3064,     0,  4644,     0,
       0,  1280,  1280,     0,  1424,     0,     0,     0,  3210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1416,  4034,
       0,  1280,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1454,  4034,   883,   836,   836,   836,     0,  1612,  1891,
       0,     0,  1892,  1893,  1894,     0,  1895,  1896,  1897,  1898,
    1899,  1900,     0,     0,     0,     0,     0,     0,    34,     0,
       0,     0,  1418,     0,     0,     0,  1649,  1652,  1653,  1419,
       0,     0,     0,     0,     0,     0,     0,  1420,     0,     0,
     848,   883,  3594,     0,     0,  2194,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1422,     0,     0,
       0,     0,     0,     0,     0,  1423,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   848,     0,     0,   773,  3209,     0,  1572,     0,
       0,     0,     0,     0,     0,     0,     0,  4213,     0,     0,
     773,     0,     0,     0,     0,   773,     0,  2979,     0,     0,
       0,  1587,     0,     0,  2209,     0,     0,     0,     0,     0,
    1424,     0,     0,     0,  3210,     0,  1598,     0,     0,   773,
       0,     0,     0,  4259,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   836,   773,
    4034,     0,     0,     0,  3672,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1287,     0,     0,
       0,     0,     0,     0,     0,     0,  1280,     0,     0,  1280,
       0,  1280,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1287,     0,     0,  1872,     0,     0,  1873,
       0,  1280,     0,  1874,  1875,  1876,     0,  1280,     0,     0,
       0,  3438,     0,     0,     0,  4644,     0,     0,     0,     0,
    1877,     0,  1280,     0,  1436,     0,     0,     0,  1879,     0,
    1437,  4861,   967,     0,     0,  1880,     0,     0,     0,     0,
     976,     0,     0,     0,     0,     0,     0,     0,   990,   991,
       0,     0,   997,   998,   999,   773,     0,     0,  1001,  1881,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1019,  1438,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1280,     0,     0,     0,  1029,     0,     0,     0,     0,
     836,   836,   836,   836,     0,     0,     0,     0,     0,   970,
       0,     0,     0,   973,     0,     0,     0,     0,  1093,     0,
    1095,     0,     0,     0,     0,  1807,     0,     0,     0,     0,
    1111,  2249,     0,     0,  1002,  1440,  2338,     0,   831,  1943,
       0,     0,  1441,     0,     0,  1442,     0,     0,     0,     0,
       0,     0,  3835,     0,     0,     0,     0,     0,   773,     0,
       0,     0,   562,     0,     0,     0,     0,     0,     0,     0,
    1443,     0,     0,     0,     0,     0,     0,  3849,  1882,     0,
       0,     0,     0,  1883,     0,     0,  2079,     0,     0,     0,
       0,     0,     0,  1165,     0,     0,     0,     0,     0,     0,
       0,     0,  1444,     0,  1884,  1885,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1280,     0,     0,   831,  1886,
       0,  1280,     0,     0,     0,  5009,     0,     0,     0,     0,
       0,     0,  1280,     0,     0,     0,     0,  1280,     0,  1280,
       0,  1280,     0,     0,     0,     0,     0,   784,     0,  4034,
       0,     0,  1887,     0,     0,   836,     0,   883,     0,     0,
       0,  1445,     0,  1446,     0,  2203,  1888,  1280,     0,  1889,
       0,     0,     0,  1447,  2226,     0,     0,     0,     0,     0,
       0,     0,  1448,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1449,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2262,     0,     0,  1784,  1784,  1399,     0,
       0,     0,     0,     0,     0,     0,  2274,     0,     0,  2277,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2250,     0,     0,  1451,  1452,     0,     0,   836,     0,     0,
       0,     0,     0,  5086,     0,     0,     0,  1280,     0,     0,
       0,     0,  1890,     0,     0,  5097,     0,     0,     0,     0,
       0,  2251,     0,     0,     0,     0,     0,     0,     0,     0,
    2325,     0,     0,     0,     0,     0,     0,  1558,     0,     0,
    1280,  1280,     0,     0,  2341,  3064,     0,     0,  1280,     0,
       0,     0,     0,  1571,     0,     0,     0,  2353,  1280,  1465,
    1466,  4861,     0,     0,     0,  1582,  2805,     0,  1583,     0,
       0,     0,     0,     0,     0,     0,     0,  4057,  1586,     0,
     848,     0,     0,  1590,     0,  1454,     0,     0,     0,     0,
       0,  1593,     0,     0,   836,  2256,     0,  1603,     0,     0,
    1607,  1784,     0,     0,     0,     0,     0,     0,  1891,     0,
    2405,  1892,  1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,
    1900,     0,     0,     0,     0,  2675,  2209,     0,     0,     0,
       0,   831,     0,     0,     0,     0,  1280,  2446,     0,     0,
    1660,     0,     0,     0,  2459,  4034,     0,  1589,     0,     0,
       0,   848,   848,  1280,     0,     0,     0,     0,     0,     0,
       0,     0,  1280,     0,     0,     0,  5009,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1615,  1616,  1280,
       0,     0,     0,     0,     0,     0,   836,     0,     0,  4156,
       0,     0,  4159,     0,     0,     0,     0,     0,  2355,     0,
       0,  1655,  1656,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2370,     0,     0,     0,  5097,   836,   836,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2392,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1280,  1280,  2532,     0,     0,     0,
       0,   562,     0,   562,     0,   562,     0,   562,     0,   562,
     562,   562,     0,     0,     0,     0,   562,     0,     0,     0,
       0,     0,     0,     0,     0,  1724,  1726,  1802,     0,     0,
       0,     0,     0,     0,  1287,  1287,  1280,     0,  4235,  2468,
       0,     0,  1280,     0,  -132,     0,     0,     0,     0,     0,
       0,  2579,     0,  2476,     0,  2338,   836,     0,     0,     0,
       0,     0,     1,  5009,     0,  1058,   831,     0,     0,     0,
       0,     0,     2,     0,     3,     4,     0,  2490,     0,     0,
       0,     0,     0,     0,   848,   848,     0,     0,     0,     0,
       5,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       6,     0,     7,     8,     0,     0,     0,  2517,  1058,     9,
       0,    10,     0,     0,     0,     0,     0,     0,  3274,     0,
       0,     0,    11,     0,    12,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2738,     0,
       0,    13,  1872,     0,    14,  1873,     0,     0,  2753,  1874,
    1875,  1876,     0,     0,     0,     0,     0,     0,    15,     0,
      16,     0,     0,     0,    17,     0,  1877,     0,     0,     0,
      18,     0,     0,     0,  1879,     0,     0,     0,    19,     0,
      20,  1880,     0,     0,     0,     0,    21,     0,     0,     0,
       0,     0,     0,     0,     0,   784,     0,     0,     0,     0,
       0,     0,    22,     0,     0,  1881,     0,     0,     0,     0,
       0,     0,     0,     0,  1872,     0,     0,  1873,    23,     0,
       0,  1874,  1875,  1876,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1877,     0,
       0,  2679,     0,     0,     0,     0,  1879,     0,     0,     0,
       0,     0,     0,  1880,     0,     0,     0,    24,    25,     0,
       0,     0,     0,    26,     0,  2764,     0,  2767,     0,     0,
       0,  2172,     0,     0,     0,    27,     0,  1881,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    28,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1287,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1882,     0,     0,     0,     0,  1883,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    29,
       0,     0,     0,     0,     0,     0,     0,     0,  2261,     0,
    1884,  1885,    30,     0,     0,     0,     0,     0,    31,    32,
       0,    33,     0,     0,     0,  1886,    34,     0,     0,     0,
       0,    35,     0,     0,    36,     0,     0,     0,     0,    37,
       0,     0,     0,     0,     0,    38,    39,     0,  2230,     0,
       0,     0,  4464,    40,  1436,     0,  1882,    41,  1887,     0,
    1437,  1883,     0,     0,  4474,     0,     0,    42,     0,     0,
       0,     0,  1888,     0,     0,  1889,     0,     0,     0,     0,
      43,     0,  1884,  1885,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1886,     0,    44,
       0,  1438,     0,     0,     0,     0,     0,     0,     0,    45,
       0,     0,     0,     0,     0,    46,     0,     0,     0,     0,
      47,     0,     0,     0,     0,     0,     0,     0,  2946,     0,
    1887,     0,     0,    48,     0,     0,     0,  2321,  2322,  2323,
    2324,     0,     0,     0,  1888,     0,  2396,  1889,  2973,     0,
       0,     0,     0,     0,     0,  1440,    49,     0,  1890,     0,
       0,     0,  1441,     0,     0,  1442,     0,     0,     0,     0,
      50,     0,     0,  -132,     0,     0,     0,     0,     0,     0,
    2361,  2362,     0,     0,     0,     0,     0,     0,     0,     0,
    1443,     0,     0,     0,     0,  2873,     0,     0,     0,     0,
       0,  2386,     0,     0,     0,     0,     0,  2888,     0,     0,
       0,  3039,  3040,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1444,     0,     0,     0,     0,     0,     0,     0,
    1890,     0,     0,     0,     0,  2429,  2430,  2431,  2432,     0,
       0,     0,     0,  1872,     0,     0,  1873,  2921,     0,     0,
    1874,  1875,  1876,     0,  1891,  3274,     0,  1892,  1893,  1894,
       0,  1895,  1896,  1897,  1898,  1899,  1900,  1877,  2515,     0,
    2516,  3702,     0,     0,     0,  1879,     0,     0,  1436,     0,
       0,  1445,  1880,  1446,  1437,     0,     0,  2527,     0,  2528,
       0,  1490,     0,  1447,     0,     0,     0,     0,     0,     0,
       0,     0,  1448,   562,  3152,   562,  1881,   562,     0,   562,
    1491,   562,     0,  1449,     0,   562,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,  1891,     0,     0,  1892,
    1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,  1900,     0,
       0,     0,     0,  3862,     0,     0,     0,     0,     0,  2525,
    1555,     0,     0,  1451,  1452,  2529,     0,     0,     0,  1492,
       0,     0,     0,     0,  3274,     0,  3274,     0,     0,  1872,
       0,     0,  1873,     0,     0,     0,  1874,  1875,  1876,  1440,
       0,  1556,     0,     0,     0,     0,  1441,     0,     0,  1442,
       0,     0,     0,  1877,     0,     0,     0,     0,     0,     0,
       0,  1879,     0,     0,     0,     0,     0,     0,  1880,     0,
       0,     0,     0,     0,  1443,  1882,     0,     0,     0,     0,
    1883,     0,  3118,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1881,     0,     0,     0,     0,     0,     0,     0,
       0,  1884,  1885,  1493,     0,  1454,  1444,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1886,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3291,     0,  2689,     0,     0,     0,     0,     0,     0,  1887,
       0,  1494,     0,     0,  1495,     0,     0,     0,     0,     0,
       0,     0,     0,  1888,     0,  1496,  1889,  1446,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1447,     0,     0,
       0,     0,     0,     0,     0,     0,  1448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,  1449,     0,     0,
       0,  1882,     0,     0,     0,     0,  1883,     0,  1436,     0,
       0,     0,     0,     0,  1437,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1884,  1885,     0,
       0,     0,     0,     0,  1498,     0,     0,  1451,  1452,  1499,
       0,     0,  1886,     0,     0,     0,     0,     0,     0,  1890,
       0,     0,     0,     0,     0,  1438,     0,     0,     0,  1500,
       0,     0,     0,     0,     0,  1501,     0,     0,     0,     0,
       0,     0,     0,     0,  3287,  1887,     0,     0,     0,  1502,
       0,  2808,  2809,     0,     0,     0,     0,     0,     0,  1888,
       0,  3299,  1889,  3419,     0,     0,     0,     0,     0,     0,
    2824,  2825,     0,     0,  3305,  2828,  2829,     0,     0,  1440,
    2832,     0,     0,     0,     0,     0,  1441,     0,     0,  1442,
       0,     0,     0,     0,  2843,     0,     0,     0,     0,  1454,
       0,  2852,     0,     0,     0,  2855,  2856,     0,     0,  2859,
    2860,     0,     0,     0,  1443,  1891,  2865,     0,  1892,  1893,
    1894,     0,  1895,  1896,  1897,  1898,  1899,  1900,     0,  2882,
       0,  2884,  3913,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1890,  1444,     0,     0,     0,
    2908,     0,     0,     0,     0,  2910,     0,     0,     0,     0,
       0,     0,     0,     0,  1872,     0,     0,  1873,  2915,     0,
       0,  1874,  1875,  1876,     0,     0,     0,  2922,     0,  2924,
       0,     0,  2927,  2930,  2932,     0,  2871,  2872,  1877,  2940,
    2943,     0,     0,     0,     0,  2883,  1879,  2885,     0,  2956,
       0,  2889,     0,  1880,  2965,  1445,     0,  1446,     0,  2969,
       0,     0,     0,     0,     0,     0,     0,  1447,     0,     0,
       0,     0,     0,     0,  2985,     0,  1448,  1881,     0,     0,
       0,  1872,  2996,     0,  1873,     0,     0,  1449,  1874,  1875,
    1876,  1891,  3011,     0,  1892,  1893,  1894,     0,  1895,  1896,
    1897,  1898,  1899,  1900,  3018,  1877,     0,  3021,  3999,     0,
       0,     0,  3024,  1879,     0,     0,     0,  3026,  3027,     0,
    1880,     0,  3030,     0,  2174,  3034,     0,  1451,  1452,  3041,
    3042,  3043,  3044,     0,  3046,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1881,     0,     0,  3070,  3071,     0,
    3073,     0,     0,     0,     0,  2175,     0,     0,  3081,  3082,
       0,     0,     0,     0,     0,     0,     0,     0,  3017,  3617,
    1872,  3020,     0,  1873,     0,     0,     0,  1874,  1875,  1876,
       0,     0,     0,     0,     0,     0,  1882,     0,  3519,     0,
       0,  1883,     0,     0,  1877,     0,     0,     0,     0,     0,
       0,     0,  1879,     0,     0,  3530,     0,     0,     0,  1880,
    3126,     0,  1884,  1885,     0,     0,     0,     0,     0,  1454,
       0,     0,     0,     0,     0,     0,     0,  1886,     0,     0,
       0,     0,     0,  1881,     0,     0,     0,  3093,  3163,     0,
       0,     0,     0,     0,     0,  3100,  3101,     0,     0,     0,
       0,     0,  3103,  1882,     0,  3274,     0,     0,  1883,     0,
    1887,     0,     0,     0,     0,     0,  3119,     0,     0,     0,
       0,     0,     0,     0,  1888,     0,     0,  1889,     0,  1884,
    1885,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1886,     0,     0,     0,     0,  3611,
       0,  3613,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3731,  3732,  3733,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1887,     0,     0,
       0,  3742,     0,  3186,     0,     0,     0,     0,     0,     0,
       0,  1888,  1882,     0,  1889,     0,     0,  1883,     0,     0,
       0,     0,  3756,     0,     0,     0,     0,     0,     0,     0,
    1890,     0,  3766,  3768,     0,     0,     0,  3773,  1884,  1885,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3788,  3661,  1886,     0,     0,  1872,     0,  3246,  1873,
    3248,     0,     0,  1874,  1875,  1876,     0,  3292,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3674,
    1877,     0,     0,     0,     0,     0,  1887,     0,  1879,     0,
       0,     0,     0,     0,     0,  1880,  3308,  1890,     0,     0,
    1888,     0,     0,  1889,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1881,
       0,     0,     0,     0,     0,     0,  1891,     0,     0,  1892,
    1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,  1900,     0,
       0,     0,     0,  4028,  1287,  1436,     0,     0,     0,     0,
       0,  1437,     0,     0,     0,     0,     0,     0,     0,     0,
    3307,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2921,     0,     0,
       0,     0,     0,     0,     0,     0,  1890,     0,     0,     0,
       0,     0,  1438,  1891,     0,     0,  1892,  1893,  1894,     0,
    1895,  1896,  1897,  1898,  1899,  1900,     0,     0,     0,  3811,
    4316,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1882,     0,
       0,     0,     0,  1883,     0,  1872,     0,     0,  1873,     0,
       0,     0,  1874,  1875,  1876,     0,  1440,     0,     0,     0,
       0,     0,     0,  1441,  1884,  1885,  1442,     0,     0,  1877,
       0,     0,     0,     0,     0,     0,     0,  1879,     0,  1886,
    3945,  3946,  3947,     0,  1880,     0,     0,     0,     0,     0,
       0,  1443,  1891,     0,     0,  1892,  1893,  1894,     0,  1895,
    1896,  1897,  1898,  1899,  1900,     0,     0,     0,  1881,  4351,
       0,     0,  1887,     0,     0,  3861,     0,     0,     0,     0,
       0,     0,     0,  1444,     0,     0,  1888,     0,     0,  1889,
    1872,     0,     0,  1873,     0,     0,  3870,  1874,  1875,  1876,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1877,     0,     0,     0,     0,     0,
    3516,  3893,  1879,     0,  3518,     0,     0,     0,     0,  1880,
    3520,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1445,     0,  1446,     0,  3531,  3533,     0,     0,
       0,  3533,     0,  1881,  1447,  1807,  3544,  3545,  3546,     0,
    3548,     0,     0,  1448,     0,     0,     0,     0,     0,     0,
       0,     0,  1890,     0,  1449,     0,     0,  1882,     0,     0,
       0,  3569,  1883,     0,     0,     0,     0,     0,     0,     0,
       0,  3575,  3576,  3577,  3578,     0,     0,  3522,     0,  3523,
    3524,  3525,     0,  1884,  1885,     0,     0,     0,     0,     0,
       0,  2916,     0,     0,  1451,  1452,     0,     0,  1886,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3595,     0,
     833,  3600,  3601,  3602,     0,     0,     0,     0,     0,   833,
     856,     0,  1453,     0,     0,     0,     0,     0,   856,     0,
       0,  1887,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   856,  1882,     0,     0,  1888,     0,  1883,  1891,     0,
       0,  1892,  1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,
    1900,     0,     0,     0,     0,  4601,     0,     0,  1884,  1885,
       0,     0,  1872,     0,     0,  1873,     0,     0,     0,  1874,
    1875,  1876,     0,  1886,     0,     0,  1454,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1877,     0,     0,     0,
       0,     0,     0,     0,  1879,     0,     0,     0,  4195,     0,
       0,  1880,  3669,     0,     0,     0,  1887,     0,     0,  4208,
    3673,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1888,  1890,     0,  1889,     0,  1881,     0,     0,  3682,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4237,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3728,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2459,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3675,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3763,  1890,     0,     0,     0,
    3769,     0,     0,     0,     0,     0,     0,  1891,     0,  2532,
    1892,  1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,  1900,
       0,     0,     0,     0,  1882,     0,     0,     0,     0,  1883,
       0,  3808,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1884,  1885,     0,     0,     0,     0,     0,     0,     0,  4224,
       0,     0,     0,     0,     0,  1886,     0,     0,  3824,     0,
    3825,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1891,     0,     0,  1892,  1893,  1894,  1887,  1895,
    1896,  1897,  1898,  1899,  1900,     0,     0,     0,     0,  4612,
       0,  1872,  1888,     0,  1873,  1889,     0,     0,  1874,  1875,
    1876,  4358,  4359,  4360,  4361,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1877,     0,     0,     0,     0,
    3828,     0,     0,  1879,     0,     0,     0,     0,     0,     0,
    1880,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1872,     0,
       0,  1873,     0,   833,  1881,  1874,  1875,  1876,     0,     0,
       0,     0,     0,     0,     0,   856,     0,     0,     0,     0,
       0,     0,   856,     0,     0,     0,     0,     0,  1890,     0,
    1879,     0,     0,     0,   856,     0,     0,  1880,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   856,     0,     0,     0,     0,   833,     0,     0,     0,
       0,  1881,  1072,     0,     0,     0,   833,   856,     0,     0,
    1807,     0,     0,     0,   856,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1072,   856,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   856,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1882,     0,     0,     0,     0,  1883,     0,
       0,     0,     0,     0,  1891,     0,     0,  1892,  1893,  1894,
       0,  1895,  1896,  1897,  1898,  1899,  1900,     0,     0,  1884,
    1885,  4621,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1886,     0,     0,     0,  4045,     0,
    4046,     0,     0,     0,     0,     0,     0,  4048,     0,     0,
    1882,     0,     0,     0,     0,  1883,   833,   833,     0,     0,
       0,     0,   856,  4058,     0,     0,     0,  1887,     0,     0,
       0,     0,     0,     0,     0,  4433,  1884,  1885,     0,  4066,
       0,  1888,     0,     0,  1889,     0,     0,     0,   833,     0,
       0,  1886,     0,     0,     0,     0,     0,  4086,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4454,     0,  4090,     0,  4051,  4052,  4053,
    4054,     0,     0,     0,  1887,  4099,     0,     0,     0,     0,
       0,     0,     0,     0,  4469,     0,     0,     0,  1888,     0,
       0,     0,     0,     0,  4128,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4136,  4137,  4138,     0,     0,
       0,     0,     0,  4144,  4145,  4146,  4147,  1890,     0,  4149,
    4150,     0,     0,     0,  4586,  4157,  4158,     0,  4160,  4161,
    4162,  4163,  4164,  4165,     0,  4167,     0,     0,     0,     0,
       0,     0,     0,  4174,     0,     0,  4177,  4178,     0,     0,
    4495,     0,     0,  1436,     0,     0,     0,     0,     0,  1437,
       0,     0,     0,     0,     0,  3533,  1490,     0,     0,     0,
       0,     0,     0,     0,  1890,     0,     0,     0,     0,     0,
       0,   833,     0,     0,     0,  1491,     0,  4198,  1072,     0,
       0,     0,   833,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1072,     0,  1891,     0,     0,  1892,  1893,  1894,     0,
    1895,  1896,  1897,  1898,  1899,  1900,  1072,     0,     0,     0,
    4624,     0,     0,     0,  1492,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4194,     0,     0,     0,     0,
       0,  4197,     0,     0,  1440,     0,     0,     0,     0,     0,
    4584,  1441,     0,     0,  1442,     0,     0,     0,     0,     0,
    1891,   833,     0,  1892,  1893,  1894,     0,  1895,  1896,  1897,
    1898,  1899,  1900,     0,     0,  3533,     0,  1872,     0,  1443,
    1873,     0,     0,     0,  1874,  1875,  1876,     0,     0,     0,
       0,     0,  1807,     0,     0,     0,     0,     0,     0,     0,
    1072,  1877,     0,     0,     0,     0,     0,  4301,  1493,  1879,
       0,  1444,     0,     0,     0,     0,  1880,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   856,     0,     0,
    1881,     0,  4745,     0,     0,     0,     0,     0,     0,     0,
       0,   856,     0,     0,     0,     0,  1494,  4757,     0,  1495,
     833,     0,  1287,     0,     0,     0,     0,     0,   856,     0,
    1496,     0,  1446,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1447,     0,     0,     0,  4790,     0,     0,     0,
       0,  1448,     0,     0,     0,     0,   856,     0,     0,     0,
       0,  1497,  1449,     0,     0,  1072,  4807,   856,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1436,   856,     0,     0,   856,     0,  1437,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   833,     0,  3012,
       0,     0,  1451,  1452,  1499,     0,     0,  1436,  1872,  1882,
       0,  1873,     0,  1437,  1883,  1874,  1875,  1876,     0,     0,
       0,     0,     0,     0,  1500,     0,     0,   833,  1438,     0,
    3013,     0,  1877,     0,     0,  1884,  1885,     0,     0,     0,
    1879,     0,     0,     0,  1502,     0,     0,  1880,     0,     0,
    1886,     0,     0,     0,  1438,   833,   833,   833,     0,   833,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1881,  4877,     0,     0,     0,     0,     0,     0,   833,
       0,  4436,  1440,  1887,     0,  4437,  4438,  4439,  4440,  1441,
       0,  4442,  1442,     0,  1454,     0,     0,  1888,     0,     0,
    1889,     0,     0,   856,     0,     0,     0,     0,  1440,     0,
       0,   856,   856,     0,     0,  1441,     0,  1443,  1442,     0,
     833,  2027,  4460,  4461,  4462,     0,  4463,     0,  4465,  4466,
       0,     0,  1807,     0,     0,     0,     0,     0,     0,     0,
    4475,  4476,     0,  1443,     0,     0,     0,     0,   833,  1444,
       0,     0,   833,   833,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4958,     0,   833,     0,  4481,
       0,  1072,  3661,     0,     0,  1444,     0,     0,  2027,     0,
    1882,     0,     0,  1890,     0,  1883,     0,     0,     0,     0,
       0,     0,  4491,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1884,  1885,  1445,     0,
    1446,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1447,  1886,     0,     0,     0,     0,  1807,     0,     0,  1448,
       0,  1807,  1807,     0,  1445,     0,  1446,  1072,     0,     0,
    1449,     0,     0,     0,  4488,     0,  1447,     0,     0,     0,
       0,     0,     0,     0,  1887,  1448,     0,     0,     0,  4492,
       0,     0,     0,     0,     0,  4543,  1449,     0,  1888,     0,
       0,  1889,     0,     0,     0,  1072,     0,  3078,     0,  1891,
    1451,  1452,  1892,  1893,  1894,     0,  1895,  1896,  1897,  1898,
    1899,  1900,  4570,     0,     0,     0,  4673,     0,  1072,     0,
       0,     0,     0,  3541,     0,     0,  1451,  1452,  3079,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4595,  1872,
       0,     0,  1873,     0,     0,     0,  1874,  1875,  1876,     0,
       0,     0,     0,     0,  3542,     0,     0,     0,     0,     0,
    4984,     0,  4555,  1877,     0,     0,     0,     0,     0,     0,
       0,  1879,     0,     0,  1890,     0,     0,   856,  1880,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1454,     0,     0,     0,     0,     0,  1072,     0,
       0,     0,  1881,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1072,     0,     0,     0,     0,  1454,     0,
       0,     0,  1072,     0,     0,     0,     0,     0,     0,  2027,
       0,     0,     0,     0,  1072,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   562,     0,     0,     0,     0,
       0,     0,     0,     0,   856,     0,     0,     0,     0,     0,
     856,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1891,     0,   856,  1892,  1893,  1894,     0,  1895,  1896,  1897,
    1898,  1899,  1900,     0,     0,     0,     0,  4707,     0,  1072,
       0,     0,     0,     0,     0,     0,   833,     0,     0,   833,
       0,     0,     0,  1072,     0,  4696,     0,     0,     0,   833,
       0,  1882,     0,     0,     0,  1072,  1883,     0,     0,     0,
       0,     0,     0,  4706,     0,     0,     0,  1072,  4711,  4712,
       0,     0,  4678,  4679,  4679,     0,     0,  1884,  1885,     0,
       0,     0,     0,     0,   833,   833,     0,   856,   856,     0,
       0,     0,  1886,     0,     0,     0,     0,  5125,     0,   856,
       0,     0,     0,     0,     0,     0,     0,  1072,  1072,     0,
     856,   856,     0,     0,     0,     0,     0,     0,     0,  4770,
       0,     0,     0,     0,     0,  1887,   856,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4786,  1888,
       0,     0,  1889,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   833,     0,
       0,     0,     0,     0,     0,  1872,     0,     0,  1873,     0,
       0,     0,  1874,  1875,  1876,     0,  3533,     0,     0,     0,
       0,     0,     0,  4822,     0,     0,     0,     0,     0,  1877,
       0,     0,   833,     0,   833,     0,     0,  1879,     0,   833,
     833,     0,     0,     0,  1880,     0,   833,   833,   833,     0,
       0,     0,   833,     0,   833,   833,   833,   833,   833,   833,
       0,   833,     0,   833,   833,  1890,  4806,   833,  1881,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1072,   833,   833,   833,   833,  2027,     0,     0,     0,
     833,  4864,     0,     0,   833,     0,     0,   833,     0,     0,
     833,   833,   833,   833,   833,   833,   833,   833,   833,     0,
     833,     0,  4880,     0,     0,     0,     0,   833,     0,   833,
       0,     0,     0,  4888,     0,     0,     0,     0,  1872,     0,
       0,  1873,     0,  1436,     0,  1874,  1875,  1876,     0,  1437,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1877,     0,     0,     0,     0,     0,     0,     0,
    1879,  1891,     0,     0,  1892,  1893,  1894,  1880,  1895,  1896,
    1897,  1898,  1899,  1900,     0,     0,     0,  1882,  4747,     0,
    1438,     0,  1883,     0,     0,  4951,     0,     0,     0,     0,
       0,  1881,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1884,  1885,     0,     0,     0,     0,  4907,
       0,  4909,     0,     0,     0,     0,     0,     0,  1886,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1440,     0,     0,     0,     0,     0,
       0,  1441,     0,     0,  1442,  3533,     0,   833,     0,     0,
    1872,  1887,     0,  1873,     0,     0,     0,  1874,  1875,  1876,
       0,     0,     0,     0,     0,  1888,     0,     0,  1889,  1443,
       0,     0,     0,     0,  1877,     0,     0,     0,     0,     0,
       0,     0,  1879,     0,     0,     0,     0,     0,     0,  1880,
       0,     0,   856,     0,     0,     0,     0,     0,     0,  1072,
    1882,  1444,     0,  1072,  1072,  1883,     0,  5033,     0,     0,
     856,     0,     0,  1881,     0,  2027,   856,     0,     0,     0,
     856,     0,  5046,     0,     0,     0,  1884,  1885,   856,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1886,     0,     0,     0,     0,   856,     0,     0,   833,
       0,  1890,     0,     0,     0,     0,     0,     0,     0,     0,
    1445,   833,  1446,  4679,     0,  1072,     0,     0,   833,     0,
    5073,     0,  1447,     0,  1887,     0,     0,  1072,     0,     0,
       0,  1448,     0,     0,     0,  5084,     0,     0,  1888,     0,
     856,  1889,  1449,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   856,   856,
       0,     0,     0,     0,     0,     0,     0,  1072,     0,     0,
       0,     0,  1882,     0,     0,     0,     0,  1883,     0,  3596,
       0,     0,  1451,  1452,     0,     0,     0,     0,     0,  2027,
     856,     0,     0,  2027,     0,  5080,     0,  1891,  1884,  1885,
    1892,  1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,  1900,
    3597,     0,  5141,  1886,  5045,   856,     0,  2027,     0,     0,
       0,     0,     0,   856,  1890,     0,     0,     0,     0,   856,
       0,     0,     0,   856,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1887,     0,     0,     0,
       0,     0,     0,   856,  5163,     0,     0,     0,   856,     0,
    1888,     0,   856,  1889,     0,  2027,     0,     0,     0,     0,
       0,     0,     0,     0,  1454,   856,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   856,     0,
       0,     0,  5148,     0,     0,     0,     0,   856,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1891,     0,     0,  1892,  1893,  1894,     0,  1895,  1896,  1897,
    1898,  1899,  1900,     0,     0,     0,     0,  5167,  5223,     0,
       0,   833,  1072,     0,     0,     0,  1890,     0,     0,     0,
       0,  2027,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1872,     0,     0,  1873,     0,     0,     0,
    1874,  1875,  1876,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5216,     0,     0,  1877,     0,     0,
       0,     0,     0,     0,     0,  1879,     0,     0,     0,     0,
       0,  1872,  1880,     0,  1873,     0,     0,     0,  1874,  1875,
    1876,     0,     0,     0,     0,     0,  4679,  4679,     0,     0,
       0,     0,     0,  1072,     0,  1877,  1881,   856,     0,     0,
       0,     0,     0,  1879,     0,     0,   833,     0,     0,     0,
    1880,     0,  1891,     0,     0,  1892,  1893,  1894,     0,  1895,
    1896,  1897,  1898,  1899,  1900,     0,     0,     0,     0,  5230,
       0,     0,     0,     0,  1881,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     856,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4679,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   856,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1072,  1882,   856,     0,     0,     0,
    1883,     0,     0,     0,   856,     0,     0,     0,   833,     0,
       0,  1072,     0,     0,   833,     0,     0,     0,     0,     0,
       0,  1884,  1885,     0,  1072,     0,     0,     0,     0,     0,
       0,     0,     0,  1882,     0,   833,  1886,     0,  1883,     0,
     833,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1884,
    1885,     0,     0,   833,   833,   833,     0,     0,   833,  1887,
       0,     0,     0,     0,  1886,     0,   833,   833,   833,   833,
       0,     0,     0,  1888,  2027,     0,  1889,     0,     0,   833,
    2027,     0,   833,     0,   833,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   833,   833,  1887,     0,   833,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1888,     0,   833,  1889,   833,     0,   833,   849,   858,
       0,     0,     0,     0,     0,     0,     0,   858,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   833,     0,     0,
     858,     0,     0,     0,     0,     0,     0,     0,   833,     0,
     833,   833,   833,     0,     0,     0,     0,     0,     0,  1890,
       0,     0,     0,     0,     0,   856,     0,     0,   833,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   833,
       0,     0,     0,     0,   833,     0,     0,     0,     0,     0,
     833,     0,     0,     0,     0,     0,     0,  1890,  1872,     0,
     833,  1873,     0,     0,     0,  1874,  1875,  1876,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1072,
       0,     0,  1072,     0,  1072,     0,     0,     0,     0,  1072,
    1879,     0,     0,     0,     0,     0,     0,  1880,     0,     0,
       0,     0,     0,     0,   856,   856,     0,     0,     0,     0,
     833,     0,     0,     0,     0,  1891,     0,     0,  1892,  1893,
    1894,  1881,  1895,  1896,  1897,  1898,  1899,  1900,     0,     0,
       0,   856,  5250,     0,   856,     0,     0,     0,  1072,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1891,     0,  1072,  1892,  1893,  1894,     0,
    1895,  1896,  1897,  1898,  1899,  1900,     0,     0,     0,     0,
    5283,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1072,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2027,  2027,  2027,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1882,     0,     0,     0,     0,  1883,     0,     0,     0,   856,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1072,
       0,  1072,     0,     0,     0,     0, -2565, -2565,     0,   856,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1886,     0,     0,   856,     0,     0,     0,     0,     0,
       0,     0,     0,  1872,     0,     0,  1873,     0,     0,     0,
    1874,  1875,  1876,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2565,     0,     0,  1877,     0,     0,
       0,     0,     0,     0,     0,  1879,     0,     0,  1888,     0,
       0,     0,  1880,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1072,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1881,     0,     0,     0,
       0,   856,     0,     0,     0,     0,     0,     0,     0,  1072,
       0,     0,     0,     0,   858,     0,     0,     0,     0,     0,
       0,   858,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1072,   858,     0,     0,     0,     0,     0,  2027,
    1072,     0,     0,     0,     0,     0,   856,     0,   856,     0,
     858,     0,     0,     0,  1890,     0,     0,     0,     0,     0,
       0,   856,     0,   856,     0,   849,   858,     0,     0,     0,
       0,     0,     0,   858,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2027,     0,     0,   858,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   858,     0,     0,     0,
       0,     0,     0,     0,     0,  1882,     0,  1072,     0,     0,
    1883,     0,     0,     0,     0,     0,   833,     0,     0,     0,
       0,     0,     0,     0,     0,   856,  1072,     0,     0,     0,
       0,  1884,  1885,     0,     0,     0,     0,     0,     0,  1072,
       0,     0,     0,     0,     0,     0,  1886,     0,     0,     0,
    1891,     0,     0,  1892,  1893,  1894,     0,  1895,  1896,  1897,
    1898,  1899,  1900,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   856,     0,     0,     0,     0,     0,  1887,
       0,   858,     0,     0,     0,     0,     0,     0,     0,   856,
       0,     0,     0,  1888,     0,     0,  1889,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   856,     0,     0,   856,     0,     0,     0,     0,     0,
       0,     0,  1872,     0,     0,  1873,     0,     0,     0,  1874,
    1875,  1876,   833,     0,     0,  1072,     0,     0,     0,     0,
       0,   833,     0,     0,     0,     0,  1877,   833,     0,   833,
    2772,     0,   833,     0,  1879,     0,  1072,   833,   833,   833,
     833,  1880,     0,   833,   833,   833,   833,   833,   833,   833,
     833,   833,   833,     0,     0,     0,   833,   833,     0,  1890,
       0,  1072,     0,     0,     0,  1881,   833,     0,     0,     0,
     833,     0,  2027,     0,   833,     0,     0,     0,     0,     0,
       0,     0,   833,     0,     0,   833,     0,   833,     0,     0,
       0,     0,     0,     0,     0,  1072,   833,     0,     0,   833,
     833,     0,     0,     0,   833,   833,     0,     0,     0,     0,
       0,   833,     0,     0,  2773,     0,     0,     0,     0,     0,
       0,   833,     0,     0,   833,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   833,     0,     0,
       0,   849,     0,   833,   833,   833,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1891,     0,     0,  1892,  1893,
    1894,     0,  1895,  1896,  1897,  1898,  1899,  1900,     0,   833,
    2759,     0,     0,     0,  1882,     0,     0,     0,     0,  1883,
       0,     0,     0,     0,     0,   833,     0,     0,     0,     0,
       0,  1072,     0,     0,     0,     0,     0,     0,     0,     0,
    1884,  1885,     0,   833,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1872,  1886,     0,  1873,     0,     0,
       0,  1874,  1875,  1876,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   856,     0,     0,     0,  1877,     0,
       0,     0,     0,     0,     0,     0,  1879,     0,  1887,     0,
       0,     0,     0,  1880,     0,     0,     0,     0,     0,     0,
       0,     0,  1888,     0,     0,  1889,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1881,     0,     0,
       0,     0,     0,     0,  2027,     0,     0,     0,     0,  2027,
    1072,  2027,     0,     0,     0,     0,   858,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     858,     0,     0,  2027,  1072,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1872,   858,     0,  1873,
       0,     0,  2027,  1874,  1875,  1876,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   856,     0,  1890,   856,
    1877,     0,     0,     0,     0,   858,     0,     0,  1879,     0,
       0,     0,     0,  3358,     0,  1880,   858,     0,  3359,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   858,     0,     0,   858,     0,  1882,     0,     0,  1881,
       0,  1883,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2774,     0,     0,     0,     0,     0,
     833,   857,  1884,  1885,     0,     0,     0,     0,     0,   857,
       0,     0,     0,     0,     0,     0,     0,  1886,     0,     0,
       0,     0,   857,     0,     0,   856,   856,     0,     0,  1072,
       0,     0,     0,     0,  1891,   856,     0,  1892,  1893,  1894,
       0,  1895,  1896,  1897,  1898,  1899,  1900,     0,     0,     0,
    1887,     0,   856,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1888,     0,     0,  1889,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1072,   833,
     833,     0,     0,     0,     0,     0,     0,     0,  1882,     0,
       0,     0,   858,  1883,     0,     0,  1872,     0,     0,  1873,
     858,   858,     0,  1874,  1875,  1876,     0,     0,     0,     0,
    2029,     0,     0,     0,  1884,  1885,     0,     0,     0,     0,
    1877,     0,     0,     0,     0,   856,     0,     0,  1879,  1886,
       0,     0,     0,     0,     0,  1880,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   833,     0,     0,     0,
    1890,     0,     0,     0,     0,     0,     0,   833,     0,  1881,
       0,     0,  1887,     0,     0,     0,     0,  2029,     0,     0,
       0,     0,     0,     0,     0,     0,  1888,     0,     0,  1889,
       0,     0,     0,     0,     0,     0,     0,   833,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   833,   833,     0,
    1072,     0,  3905,     0,   833,   833,     0,     0,     0,   833,
    1072,     0,     0,     0,   833,     0,     0,   833,   833,     0,
       0,     0,   833,     0,     0,     0,     0,     0,   833,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     833,     0,     0,     0,  5195,     0,  1891,     0,   833,  1892,
    1893,  1894,   833,  1895,  1896,  1897,  1898,  1899,  1900,     0,
       0,     0,  1890,     0,     0,   833,     0,     0,  1882,     0,
     833,     0,     0,  1883,  1872,     0,   833,  1873,  3906,     0,
       0,  1874,  1875,  1876,     0,     0,     0,     0,     0,     0,
       0,   833,     0,     0,  1884,  1885,     0,     0,  1877,     0,
       0,  3317,     0,     0,     0,     0,  1879,     0,     0,  1886,
       0,     0,     0,  1880,     0,     0,     0,   833,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1072,     0,  1881,     0,     0,
       0,     0,  1887,     0,     0,     0,   858,     0,     0,     0,
       0,     0,   856,     0,     0,     0,  1888,  2027,  1891,  1889,
       0,  1892,  1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,
    1900,     0,     0,  1072,     0,     0,     0,     0,     0,     0,
    5196,     0,     0,     0,     0,     0,   857,     0,     0,   856,
       0,     0,     0,   857,  1072,     0,     0,     0,  2029,     0,
       0,   856,     0,     0,     0,   857,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   833,     0,     0,
       0,     0,   857,   858,     0,     0,     0,     0,     0,   858,
     856,     0,     0,     0,     0,     0,     0,     0,   857,     0,
       0,   858,  1890,     0,     0,   857,  1882,     0,     0,     0,
       0,  1883,     0,     0,     0,     0,     0,     0,   857,     0,
    1072,     0,     0,     0,     0,     0,     0,     0,   857,     0,
       0,     0,  1884,  1885,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   833,     0,     0,  1886,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   833,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   849,   849,     0,   858,   858,     0,     0,
    1887,   856,     0,     0,     0,     0,     0,     0,   858,     0,
       0,     0,     0,     0,  1888,     0,     0,  1889,  1891,   858,
     858,  1892,  1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,
    1900,     0,     0,   857,     0,   858,     0,     0,     0,     0,
     833,     0,     0,     0,     0,     0,  1872,     0,  1072,  1873,
    1072,     0,     0,  1874,  1875,  1876,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   849,     0,     0,
    1877,     0,   856,     0,     0,     0,     0,     0,  1879,     0,
       0,     0,     0,     0,     0,  1880,     0,     0,   833,     0,
       0,     0,  1072,     0,     0,     0,     0,   833,     0,     0,
    1890,     0,     0,     0,  1872,     0,     0,  1873,     0,  1881,
       0,  1874,  1875,  1876,   833,   833,     0,     0,   833,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1877,     0,
       0,  3363,     0,   833,     0,     0,  1879,     0,     0,     0,
     833,     0,     0,  1880,     0,   833,     0,     0,   833,   833,
       0,     0,     0,     0,     0,  2029,   833,   833,     0,     0,
       0,     0,     0,     0,  1263,  1263,     0,  1881,     0,     0,
       0,     0,     0,     0,   833,     0,   833,     0,     0,     0,
       0,   856,     0,   856,     0,     0,     0,   833,     0,     0,
       0,     0,     0,     0,     0,     0,  1891,     0,     0,  1892,
    1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,  1900,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1882,     0,
       0,     0,     0,  1883,     0,  1072,   856,     0,     0,     0,
       0,     0,     0,     0,     0,   833,     0,     0,     0,     0,
       0,     0,     0,     0,  1884,  1885,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2027,     0,     0,     0,     0,  1882,   833,     0,     0,
       0,  1883,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1887,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1884,  1885,     0,     0,  1888,     0,     0,  1889,
       0,     0,     0,     0,     0,     0,     0,  1886,     0,     0,
       0,     0,     0,     0,     0,     0,  3331,     0,     0,     0,
       0,  4796,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   833,     0,  1072,     0,     0,
    1887,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   858,     0,     0,  1888,     0,     0,  1889,   857,     0,
       0,   833,  1072,     0,   833,     0,   833,     0,     0,   858,
       0,     0,   857,     0,  2029,   858,     0,     0,     0,   858,
       0,     0,  1890,     0,     0,     0,   833,   858,     0,   857,
       0,     0,   833,     0,     0,     0,   833,     0,     0,     0,
       0,     0,  1072,     0,     0,   858,     0,   833,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   857,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   849,   857,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1890,     0,     0,   857,     0,     0,   857,     0,  2027,   858,
       0,     0,     0,     0,     0,     0,  1072,     0,     0,     0,
       0,  1072,  1072,     0,     0,     0,   833,   858,   858,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1891,     0,
       0,  1892,  1893,  1894,   856,  1895,  1896,  1897,  1898,  1899,
    1900,     0,     0,     0,     0,     0,     0,     0,  2029,   858,
       0,     0,  2029,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   833,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   858,     0,  2029,     0,     0,     0,
       0,     0,   858,     0,     0,     0,  1891,     0,   858,  1892,
    1893,  1894,   858,  1895,  1896,  1897,  1898,  1899,  1900,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   858,     0,   857,     0,     0,   858,     0,  1072,
    1072,   858,   857,   857,  2029,     0,     0,     0,     0,     0,
       0,     0,  2028,     0,   858,     0,     0,     0,     0,     0,
     833,     0,     0,   833,     0,  1829,   833,   858,     0,     0,
       0,     0,     0,     0,     0,     0,   858,   833,     0,     0,
       0,     0,   833,     0,   833,     0,   833,     0,     0,     0,
       0,     0,     0,     0,   833,  1843,  1872,     0,     0,  1873,
       0,     0,     0,  1874,  1875,  1876,     0,     0,     0,  2028,
       0,     0,   833,     0,     0,     0,     0,     0,     0,     0,
    1877,     0,     0,  1861,  1862,  1863,     0,  1865,  1879,     0,
    2029,     0,     0,     0,     0,  1880,     0,     0,     0,     0,
       0,  2027,     0,   856,     0,  1872,     0,  1907,  1873,     0,
       0,     0,  1874,  1875,  1876,     0,     0,     0,     0,  1881,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1877,
       0,     0,  3374,     0,     0,     0,     0,  1879,     0,     0,
       0,     0,     0,     0,  1880,     0,     0,     0,  1944,     0,
       0,     0,   833,     0,     0,     0,     0,     0,     0,     0,
     833,     0,     0,     0,     0,     0,   858,     0,  1881,     0,
       0,     0,     0,     0,     0,  1872,  2048,     0,  1873,     0,
    2060,  2063,  1874,  1875,  1876,   833,   833,     0,     0,     0,
       0,     0,     0,   833,  2027,     0,     0,  1072,     0,  1877,
       0,     0,  3912,   833,     0,     0,     0,  1879,     0,     0,
    3368,     0,   856,     0,  1880,     0,     0,     0,     0,   858,
       0,     0,     0,     0,     0,   833,     0,     0,  1882,     0,
       0,     0,     0,  1883,     0,     0,     0,     0,  1881,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   857,     0,
       0,     0,     0,     0,  1884,  1885,     0,   858,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1886,
       0,     0,     0,     0,     0,   858,   833,  1882,     0,     0,
       0,   833,  1883,   858,     0,     0,     0,     0,     0,     0,
     833,     0,     0,   849,     0,     0,   833,   833,   833,     0,
    2028,     0,  1887,  1884,  1885,     0,     0,   833,     0,     0,
       0,     0,     0,     0,     0,     0,  1888,     0,  1886,  1889,
       0,     0,     0,     0,   833,   857,     0,     0,     0,     0,
       0,   857,     0,     0,     0,     0,     0,     0,   856,     0,
       0,     0,     0,   857,     0,     0,     0,  1882,     0,     0,
       0,  1887,  1883,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   833,  2029,     0,  1888,     0,     0,  1889,  2029,
       0,     0,     0,  1884,  1885,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1886,   833,
     833,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1890,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2027,     0,     0,     0,   857,   857,
       0,  1887,     0,     0,     0,     0,     0,     0,     0,     0,
     857,   833,     0,     0,     0,  1888,     0,   833,  1889,     0,
       0,   857,   857,     0,     0,     0,     0,     0,     0,     0,
       0,  1890,     0,     0,   858,     0,     0,   857,     0,     0,
       0,   833,     0,  2027,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2027,   833,
     833,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1891,     0,
       0,  1892,  1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,
    1900,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1890,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   858,   858,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1891,     0,     0,
    1892,  1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,  1900,
     858,     0,     0,   858,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2028,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1071,     0,     0,     0,     0,     0,     0,  1891,     0,     0,
    1892,  1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,  1900,
       0,     0,     0,  1872,  1071,     0,  1873,     0,     0,     0,
    1874,  1875,  1876,     0,  2029,  2029,  2029,     0,     0,     0,
       0,  1872,     0,     0,  1873,     0,     0,  1877,  1874,  1875,
    1876,     0,     0,     0,     0,  1879,     0,  2620,   858,     0,
       0,     0,  1880,     0,     0,  1877,     0,     0,     0,     0,
    2640,     0,  2642,  1879,     0,  2654,  2657,  2662,   858,     0,
    1880,     0,  2668,     0,     0,  2673,  1881,     0,     0,     0,
       0,     0,     0,   858,     0,     0,     0,     0,     0,     0,
    2680,  2681,  2682,  2683,  1881,     0,  1070,     0,  2690,     0,
       0,     0,  2702,     0,     0,  2704,     0,     0,  2711,  2712,
    2713,  2714,  2715,  2716,  2717,  2718,  2719,     0,  2720,     0,
    1070,     0,     0,     0,     0,  1263,     0,  2748,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     858,     0,     0,   857,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   857,     0,     0,     0,  1882,  2028,   857,     0,     0,
    1883,   857,     0,     0,     0,     0,     0,     0,  2029,   857,
       0,     0,     0,  1882,     0,   858,     0,   858,  1883,     0,
       0,  1884,  1885,     0,     0,     0,     0,   857,     0,     0,
     858,     0,   858,     0,     0,     0,  1886,     0,     0,  1884,
    1885,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2029,     0,  1886,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2768,     0,     0,     0,  1887,
       0,   857,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1888,     0,     0,  1889,  1887,     0,   857,
     857,     0,     0,     0,   858,     0,  1071,     0,     0,     0,
       0,  1888,     0,     0,  1889,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1071,
    2028,   857,     0,     0,  2028,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1071,     0,     0,     0,     0,     0,
       0,     0,   858,     0,     0,     0,   857,     0,  2028,     0,
       0,     0,     0,     0,   857,     0,     0,     0,   858,     0,
     857,     0,     0,     0,   857,     0,     0,  2857,     0,  1890,
       0,     0,     0,     0,     0,     0,     0,   627,     0,     0,
     858,     0,   628,   858,   857,     0,     0,  1890,     0,   857,
       0,     0,     0,   857,   629,     0,  2028,     0,     0,  3858,
       0,     0,  1070,     0,     0,     0,   857,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   630,     0,  1071,   857,
       0,     0,     0,  1061,     0,  1070,     0,     0,   857,   631,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1070,     0,     0,     0,   632,     0,     0,  1061,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2029,   633,     0,     0,  1891,     0,     0,  1892,  1893,
    1894,     0,  1895,  1896,  1897,  1898,  1899,  1900,     0,     0,
       0,     0,  2028,  1891,     0,   634,  1892,  1893,  1894,     0,
    1895,  1896,  1897,  1898,  1899,  1900,   635,     0,     0,     0,
       0,     0,     0,     0,   636,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   637,     0,     0,     0,
       0,   638,     0,  1071,  1070,     0,     0,     0,   639,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   640,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   857,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   641,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3117,
       0,   857,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   858,     0,   642,     0,     0,     0,  1070,
       0,     0,     0,     0,     0,     0,     0,   643,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   644,     0,   857,
       0,     0,     0,     0,     0,     0,     0,   208,     0,     0,
     645,     0,     0,     0,     0,     0,     0,   857,     0,     0,
       0,     0,     0,  2029,     0,   857,     0,     0,  2029,     0,
    2029,     0,     0,     0,     0,     0,   646,     0,     0,     0,
       0,   647,     0,   648,     0,     0,     0,     0,     0,     0,
     649,     0,  2029,   650,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1061,
       0,  2029,   651,     0,     0,     0,     0,     0,   652,  2101,
       0,     0,     0,   653,     0,   858,   654,     0,   858,     0,
     655,     0,  1061,     0,     0,     0,     0,   656,     0,   657,
       0,     0,     0,     0,   658,  2028,     0,  1061,     0,     0,
       0,  2028,     0,     0,     0,     0,   659,     0,     0,     0,
    1928,     0,     0,     0,     0,     0,     0,     0,     0,   660,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2101,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   858,   858,     0,     0,     0,     0,
       0,     0,     0,  1071,   858,  1070,     0,     0,     0,     0,
       0,  1061,     0,  3313,     0,     0,   857,     0,  3319,     0,
       0,   858,     0,     0,     0,     0,  1071,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1865,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2662,     0,  2662,  2662,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3377,     0,     0,
    3380,  1070,  3382,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   858,   857,   857,     0,     0,     0,
       0,  3400,     0,  3403,     0,  3405,  1071,     0,     0,  1070,
       0,     0,     0,     0,     0,     0,  1061,     0,     0,     0,
       0,  1071,   857,     0,     0,   857,     0,     0,     0,     0,
    2101,     0,  1070,     0,     0,     0,     0,     0,  2748,  2748,
    2748,     0,  1071,     0,     0,     0,     0,   922,     0,     0,
       0,     0,   923,     0,     0,  1063,  3455,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2048,     0,     0,
       0,     0,  3465,     0,     0,     0,     0,     0,  2063,  1063,
       0,     0,     0,     0,     0,     0,   924,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1071,     0,   925,
     926,     0,     0,     0,     0,     0,  2028,  2028,  2028,     0,
     927,  1071,  1070,     0,   928,     0,     0,     0,     0,     0,
       0,     0,     0,  1071,     0,     0,     0,  1070,     0,     0,
     857,     0,   929,     0,     0,  1071,  1070,     0,  3502,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1070,     0,
     857,     0,     0,     0,     0,   930,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   857,   931,     0,     0,     0,
       0,     0,     0,     0,   932,  1071,  1071,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   933,     0,     0,     0,
       0,   934,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1070,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   935,     0,  1070,     0,     0,
       0,   858,  1061,     0,     0,     0,  2029,     0,     0,  1070,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     936,  1070,   857,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   858,     0,
       0,   937,     0,     0,     0,     0,     0,     0,     0,     0,
     858,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2028,  1070,  1070,     0,     0,     0,     0,   857,  1061,   857,
       0,     0,     0,     0,     0,   938,     0,     0,     0,   858,
       0,     0,   857,     0,   857,     0,     0,     0,     0,  1071,
       0,     0,     0,     0,     0,     0,     0,   939,     0,     0,
       0,     0,     0,     0,  2028,     0,  1061,   208,     0,     0,
     940,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2751,     0,  1061,
       0,  1063,     0,     0,     0,     0,   941,     0,     0,     0,
       0,   942,     0,   943,     0,     0,   857,     0,     0,     0,
     944,     0,     0,   945,  1063,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1063,
     858,     0,   946,     0,     0,     0,     0,     0,   947,     0,
       0,     0,     0,   948,     0,     0,   949,     0,     0,     0,
     950,     0,     0,     0,   857,  1070,     0,   951,     0,   952,
       0,     0,     0,     0,   953,     0,     0,     0,     0,  1061,
     857,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1061,     0,     0,     0,     0,   954,
       0,     0,   857,  1061,     0,   857,     0,     0,     0,     0,
       0,   858,     0,     0,     0,  1061,     0,     0,     0,     0,
       0,     0,     0,  1063,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1061,     0,     0,     0,     0,     0,     0,  2812,     0,     0,
       0,  2101,  2818,  2028,  1061,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1061,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1061,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     858,     0,   858,     0,     0,     0,     0,     0,  1063,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1071,     0,     0,     0,     0,  1061,  1061,
       0,     0,     0,     0,     0,  1071,     0,     0,     0,     0,
    3859,     0,     0,     0,     0,   858,     0,     0,     0,  3863,
       0,     0,     0,     0,   849,  3864,     0,  3865,     0,     0,
       0,     0,     0,  1070,     0,     0,     0,  1070,  1070,     0,
       0,     0,     0,     0,     0,  1071,     0,     0,     0,     0,
       0,     0,     0,     0,  3889,  3890,     0,     0,     0,     0,
    2029,     0,     0,     0,     0,     0,   849,     0,     0,     0,
       0,     0,  2668,     0,     0,     0,     0,     0,     0,     0,
    3915,     0,     0,  3918,     0,  3920,     0,     0,     0,     0,
       0,     0,     0,     0,  3924,   857,     0,     0,     0,  1070,
       0,     0,  3931,  3932,     0,     0,     0,     0,     0,     0,
       0,  1070,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1061,     0,     0,  3979,     0,     0,     0,     0,
       0,  3986,  3987,  2748,     0,  2028,     0,     0,     0,     0,
    2028,  1070,  2028,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4002,     0,     0,
       0,     0,     0,     0,  2028,     0,     0,     0,     0,     0,
       0,     0,     0,  4015,  1063,     0,     0,     0,     0,     0,
       0,     0,     0,  2028,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   857,     0,     0,
     857,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1071,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2029,     0,     0,
    1063,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   858,     0,     0,     0,     0,  1063,     0,
       0,     0,     0,     0,     0,     0,   857,   857,     0,     0,
       0,  2101,     0,     0,     0,     0,   857,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   857,     0,     0,  1070,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1061,     0,     0,     0,  1061,  1061,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,   857,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1063,  1070,     0,     0,
       0,     0,  1071,     0,     0,  1063,  1061,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1063,  1061,  1071,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1071,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1061,     0,
    2029,     0,   858,     0,     0,     0,     0,     0,     0,  1064,
       0,     0,  1063,     0,     0,     0,     0,  4277,  4278,     0,
       0,     0,     0,     0,     0,     0,  1063,     0,     0,     0,
       0,     0,     0,  1064,     0,     0,     0,     0,  1063,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1070,     0,
    1063,     0,  1066,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1070,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1066,     0,  1070,     0,
       0,     0,     0,     0,  4314,     0,     0,     0,     0,     0,
    1063,  1063,     0,  2029,     0,  4319,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2751,  2751,
    2751,   858,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   849,     0,     0,   192,     0,     0,
       0,     0,     0,     0,     0,  4334,  4336,     0,     0,     0,
       0,     0,  4340,  4341,     0,     0,     0,  4342,     0,     0,
       0,     0,  4345,   857,     0,  4348,  4349,     0,  2028,     0,
    4353,     0,     0,     0,     0,     0,  4357,     0,     0,     0,
       0,     0,     0,  1061,   193,     0,     0,  2101,     0,     0,
    2818,     0,  2818,     0,     0,     0,     0,  2101,     0,   194,
     857,     0,     0,     0,     0,   849,   849,     0,     0,     0,
       0,     0,   857,  2748,     0,     0,     0,   195,  2748,     0,
       0,     0,     0,   196,  2748,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1063,     0,     0,     0,     0,  1263,
     197,   857,     0,     0,     0,     0,  1071,   858,     0,     0,
       0,   198,     0,     0,     0,     0,     0,     0,     0,   199,
       0,     0,     0,  1071,  1061,  4417,     0,     0,     0,     0,
       0,   200,     0,     0,     0,     0,   201,     0,     0,     0,
       0,     0,     0,   202,     0,     0,     0,     0,  2101,     0,
       0,     0,     0,  1070,     0,     0,  1070,     0,  1070,     0,
     203,     0,     0,  1070,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1064,     0,     0,     0,     0,
       0,     0,     0,  2029,     0,   204,     0,     0,     0,     0,
       0,     0,   857,     0,     0,     0,     0,     0,  1064,     0,
       0,     0,     0,     0,     0,     0,   205,     0,     0,     0,
       0,     0,  1070,  1064,     0,     0,     0,  1071,  1066,  1071,
       0,     0,     0,     0,     0,  4478,     0,     0,     0,  1070,
       0,     0,  2029,     0,     0,  1061,     0,     0,     0,     0,
     206,  1066,     0,     0,     0,     0,     0,  2029,   849,   849,
       0,     0,  1061,     0,  1070,     0,  1066,     0,     0,     0,
       0,     0,   207,   857,     0,  1061,     0,     0,     0,     0,
       0,     0,   208,     0,     0,   209,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4514,     0,     0,     0,     0,  1064,     0,     0,
    1071,   210,     0,     0,     0,     0,   211,     0,   212,     0,
       0,     0,  1063,     0,     0,   213,  1063,  1063,   214,     0,
       0,     0,     0,  1070,     0,  1070,     0,  1071,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   215,     0,     0,
    1066,     0,     0,   216,     0,     0,     0,   217,   218,     0,
    2818,   219,     0,     0,     0,   220,     0,     0,  2818,     0,
       0,     0,     0,     0,   221,     0,     0,     0,     0,   222,
       0,     0,   857,     0,   857,     0,     0,     0,  1063,     0,
       0,   223,     0,     0,     0,     0,     0,     0,     0,     0,
    1063,     0,     0,     0,   224,     0,     0,     0,     0,     0,
       0,     0,  1064,     0,     0,     0,  1070,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   857,     0,     0,
       0,     0,     0,     0,     0,  1071,     0,     0,     0,     0,
    1063,     0,     0,  1070,     0,     0,     0,     0,     0,     0,
       0,     0,  4618,  4619,  2818,  1066,  4620,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1070,  1071,  1067,     0,
       0,     0,  2028,     0,  1070,     0,     0,     0,     0,     0,
    1061,     0,     0,  1061,     0,  1061,     0,     0,     0,     0,
    1061,     0,  1067,     0,  4656,  4657,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4669,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1069,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1061,
       0,  1070,     0,     0,     0,     0,     0,     0,     0,  1069,
       0,     0,     0,     0,     0,     0,  1061,     0,     0,     0,
    1070,     0,     0,  1071,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1070,     0,     0,     0,     0,     0,     0,
       0,  1061,     0,     0,  1071,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1071,
       0,     0,     0,     0,     0,  1063,     0,     0,  1064,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1071,     0,     0,     0,     0,     0,     0,
    1061,     0,  1061,     0,     0,     0,     0,     0,     0,  2028,
       0,  1066,     0,     0,     0,     0,     0,     0,     0,  1070,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1064,     0,     0,     0,     0,     0,
    1070,     0,     0,  2751,     0,   857,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2668,     0,     0,  1070,     0,     0,     0,     0,
       0,     0,  1064,     0,     0,     0,     0,  1066,     0,     0,
       0,     0,     0,  1061,     0,     0,     0,     0,     0,  2101,
    4845,     0,     0,     0,     0,  1064,     0,     0,     0,  1070,
       0,     0,     0,     0,     0,  1865,     0,     0,     0,     0,
    1061,     0,     0,     0,  1067,  1066,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1061,     0,     0,     0,  1067,  1066,     0,
       0,  1061,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1067,     0,     0,     0,     0,  1063,     0,     0,
       0,     0,     0,     0,  4895,     0,     0,     0,     0,     0,
       0,  1069,     0,     0,  1063,  1064,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1063,  2818,     0,
    1064,     0,     0,     0,  1069,  1070,     0,     0,     0,  1064,
       0,     0,     0,     0,     0,     0,     0,     0,  1061,  1069,
       0,  1064,  2818,     0,     0,     0,     0,     0,  1066,     0,
       0,     0,     0,     0,     0,     0,     0,  1061,     0,     0,
       0,     0,  2028,  1066,   857,     0,  1067,     0,     0,     0,
    1061,     0,  1066,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1064,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1064,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1064,  1069,  1070,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1064,     0,     0,     0,     0,  1066,
       0,     0,     0,     0,  4656,     0,     0,     0,  1070,     0,
       0,     0,     0,  1066,     0,  2028,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1066,  1061,  1071,     0,     0,
    5035,  1067,     0,   857,  1064,  1064,     0,  1066,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1061,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1061,     0,     0,     0,  2101,  1066,  1066,     0,
       0,     0,  1063,     0,     0,  1063,     0,  1063,  1069,     0,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1061,     0,     0,     0,
    5087,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1070,     0,     0,     0,     0,     0,     0,
       0,  1063,     0,  5113,  5113,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1063,   857,
       0,  4656,     0,     0,     0,     0,     0,     0,  1064,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1070,  1063,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1071,     0,
       0,     0,  1061,     0,     0,     0,     0,     0,  1071,     0,
       0,  1066,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2028,     0,  1067,     0,  5172,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1063,     0,  1063,     0,  5113,     0,     0,     0,
       0,     0,     0,  2751,     0,     0,     0,     0,  2751,     0,
       0,     0,     0,     0,  2751,     0,     0,     0,     0,     0,
       0,     0,  5213,     0,  2028,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1069,     0,     0,     0,     0,  2028,
       0,  1061,     0,  1067,  1070,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1070,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1061,     0,     0,     0,     0,
       0,     0,     0,  1071,     0,  1063,     0,     0,     0,     0,
       0,  1067,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1069,     0,  1063,     0,  1067,     0,     0,     0,     0,     0,
       0,  1071,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1063,  1064,     0,     0,  5113,
    1064,  1064,  1071,  1063,     0,  5271,     0,     0,  1069,     0,
       0,     0,     0,   574,     0,     0,     0,     0,   575,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     576,  1069,     0,     0,     0,     0,     0,     0,     0,  1066,
       0,     0,     0,  1066,  1066,     0,     0,     0,     0,  1070,
       0,     0,   577,     0,  1067,     0,     0,     0,     0,     0,
    1061,     0,  1064,     0,     0,   578,     0,     0,  1071,  1067,
    1063,     0,     0,     0,  1064,     0,   579,     0,  1067,     0,
    -846,     0,     0,     0,     0,     0,     0,  1070,     0,  1063,
    1067,     0,     0,     0,     0,     0,     0,     0,   580,     0,
       0,     0,  1063,     0,   581,  1066,     0,     0,  1070,  1061,
       0,  1069,     0,     0,  1064,     0,     0,  1066,     0,     0,
       0,   582,     0,     0,     0,     0,  1069,     0,     0,     0,
       0,     0,   583,     0,     0,  1069,     0,     0,     0,     0,
     584,     0,     0,     0,     0,  1067,     0,  1069,     0,     0,
       0,     0,   585,     0,     0,     0,     0,  1066,     0,  1067,
     586,     0,     0,     0,   587,     0,     0,     0,     0,     0,
       0,  1067,   588,     0,  1070,     0,  4582,     0,  1071,     0,
       0, -1066,     0,  1067,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1063,     0,
       0,     0,  1069,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1069,     0,   589,  1063,
    1071,     0,     0,  1067,  1067,     0,     0,  -569,  1069,     0,
       0,  1061,     0,     0,     0,     0,     0,     0,     0,     0,
    1069,  1061,     0,     0,  1063,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   590,     0,     0,   591,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1063,     0,
    1069,  1069,     0,   592,  1070,     0,     0,     0,     0,  1064,
       0,     0,     0,     0,     0,     0,   593,     0,     0,     0,
       0,     0,     0,  -447,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   594,     0,     0,     0,  1070,     0,     0,   595,
       0,     0,  1066,     0,     0,     0,  -447,     0,     0,   596,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2818,  1902,     0,     0,  1067,  -836,     0,
       0,     0,     0,     0,   597,     0,  1061,     0,     0,  -447,
    1064,     0,   598,   599,  1063,   600,   601,     0,     0,     0,
       0,     0,     0,     0,     0,   602,     0,     0,     0,     0,
     603,     0,     0,     0,     0,     0,   604,     0,     0,   605,
       0,     0,   606,     0,  1061,     0,     0,     0,     0,     0,
       0,     0,     0,  1066,  1069,  -447,     0,  1902,     0,     0,
       0,     0,     0,     0,     0,  1061,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1070,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1063,     0,  2818,     0,     0,     0,     0,
       0,  1064,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1061,     0,     0,     0,     0,     0,  1063,  1064,     0,
    1071,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1064,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1071,  1066,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1067,     0,     0,     0,  1067,
    1067,  1070,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1071,     0,     0,     0,     0,  1071,
    1071,  1061,     0,     0,     0,     0,  1070,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1069,     0,     0,     0,  1069,  1069,     0,     0,
       0,  1067,     0,  1061,     0,     0,  1070,     0,     0,     0,
       0,     0,     0,  1067,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1067,     0,     0,     0,     0,  1069,     0,
    1070,     0,     0,     0,     0,  1070,  1070,  4582,  1071,     0,
    1069,     0,     0,     0,     0,     0,  1064,     0,     0,  1064,
       0,  1064,     0,     0,     0,     0,  1064,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1069,     0,     0,     0,     0,     0,     0,     0,     0,  1066,
       0,     0,  1066,     0,  1066,     0,     0,     0,     0,  1066,
       0,     0,     0,     0,     0,  1064,  1061,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1064,  1063,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1063,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1070,     0,     0,  1064,  1066,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1066,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1066,     0,     0,     0,     0,     0,     0,     0,  1067,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1064,     0,  1064,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1061,     0,
       0,     0,     0,     0,     0,  1071,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1902,     0,     0,  1061,     0,  1069,     0,     0,  1063,  1066,
       0,  1066,     0,     0,  1902,     0,     0,     0,  2650,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1067,
       0,     0,  1902,  1902,  1902,     0,  1902,     0,     0,     0,
       0,     0,     0,  1061,     0,     0,  1063,     0,     0,  1064,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1063,     0,     0,
       0,     0,     0,     0,     0,     0,  1064,     0,  1902,     0,
       0,     0,     0,     0,     0,     0,  1069,     0,     0,     0,
       0,  1070,  1066,     0,     0,     0,     0,  1061,     0,  1064,
       0,     0,  1061,  1061,     0,     0,     0,  1064,     0,     0,
       0,     0,     0,     0,     0,  1902,     0,     0,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1063,     0,     0,     0,     0,     0,     0,
    1067,     0,  1066,     0,     0,     0,     0,     0,     0,     0,
    1066,     0,     0,     0,     0,     0,     0,  1067,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1067,     0,     0,     0,  1064,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1064,     0,     0,     0,  1069,     0,     0,
       0,     0,     0,     0,     0,     0,  1064,     0,     0,     0,
       0,  1061,     0,     0,  1069,     0,     0,  1066,     0,  1902,
       0,     0,     0,     0,     0,     0,     0,  1069,     0,     0,
       0,  1902,     0,     0,  1902,     0,  1066,     0,     0,     0,
       0,     0,     0,  1063,     0,     0,     0,     0,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1063,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1064,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1064,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1066,     0,     0,  1064,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1066,     0,     0,     0,
       0,     0,     0,     0,     0,  1067,     0,     0,  1067,     0,
    1067,     0,  1064,     0,     0,  1067,     0,     0,     0,     0,
       0,  1066,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1061,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1063,     0,
       0,     0,     0,     0,     0,  1066,     0,     0,     0,     0,
       0,     0,  1069,     0,  1067,  1069,     0,  1069,     0,     0,
       0,     0,  1069,     0,     0,     0,     0,     0,     0,     0,
       0,  1067,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1067,     0,  1064,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1069,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1069,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1066,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1069,     0,     0,     0,     0,     0,     0,
    1063,     0,     0,     0,     0,  1067,     0,  1067,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1063,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1064,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1064,  1069,     0,  1069,  1063,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1066,     0,     0,     0,     0,     0,     0,     0,  1067,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1067,     0,     0,     0,  1063,
       0,     0,     0,     0,  1063,  1063,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1067,     0,
       0,     0,     0,     0,     0,  1069,  1067,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1069,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1064,     0,     0,     0,
       0,     0,     0,     0,     0,  1069,     0,     0,     0,     0,
       0,     0,     0,  1069,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1067,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1066,
       0,     0,  1067,  1063,     0,  1064,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1067,     0,     0,     0,     0,
       0,  1902,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1069,  1902,     0,  1902,     0,     0,  2650,  2650,  1066,  3354,
       0,  2650,     0,     0,     0,  1902,     0,     0,  1902,  1069,
       0,     0,     0,  1902,     0,     0,     0,     0,     0,  1902,
       0,     0,  1069,     0,  1902,     0,     0,     0,     0,     0,
       0,  1902,  1902,  1902,  1902,     0,     0,     0,  2650,  2650,
       0,  1902,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1902,     0,  1902,     0,     0,     0,     0,
       0,  1067,  1902,  1902,  1902,  1902,  1902,  1902,  1902,  1902,
    1902,  1902,     0,     0,     0,     0,     0,  1064,     0,     0,
       0,     0,  1067,     0,     0,     0,     0,  1064,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1902,
       0,     0,     0,     0,     0,     0,     0,  1067,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1069,  1902,
    1066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1066,     0,     0,     0,     0,     0,     0,     0,     0,  1069,
       0,  1067,     0,     0,     0,     0,     0,     0,     0,     0,
    1063,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1069,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1069,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1902,     0,
       0,     0,  1064,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1067,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1064,     0,     0,     0,     0,  1066,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1064,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1066,  1069,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1067,  1064,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1067,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1069,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1069,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1064,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1902,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1067,     0,     0,     0,  1064,
    1066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1066,     0,  1067,     0,     0,     0,     0,     0,
       0,     0,  1069,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1069,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1064,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1067,     0,     0,     0,
       0,     0,     0,     0,  1902,  1066,  1067,     0,     0,     0,
    1902,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3354,  3354,     0,     0,
    2650,  2650,  2650,  2650,     0,     0,  2650,  2650,  2650,  2650,
    2650,  2650,  2650,  2650,  2650,  2650,  3354,     0,     0,     0,
       0,     0,     0,  1069,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1069,     0,     0,     0,     0,  1902,     0,
       0,  1902,     0,  1902,     0,     0,  3354,  3354,     0,     0,
       0,     0,     0,     0,  1064,     0,     0,     0,     0,     0,
       0,  1902,  2650,  2650,  1902,     0,  1902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1064,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1066,     0,     0,
       0,  1067,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1902,     0,     0,  1064,
       0,     0,  1066,     0,     0,     0,  1902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1067,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1069,     0,
    1067,     0,  1066,  1902,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1064,     0,     0,     0,     0,  1064,  1064,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1069,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1066,  1069,     0,     0,
       0,  1066,  1066,     0,     0,     0,  1067,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1069,     0,     0,     0,  1064,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1066,     0,     0,     0,     0,     0,  1067,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2650,     0,     0,     0,     0,  1067,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1069,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1069,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1064,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1067,     0,     0,     0,     0,     0,     0,     0,     0,
    1902,     0,     0,     0,  1902,  1902,  1902,  1066,     0,     0,
       0,     0,  3354,  3354,  3354,  3354,     0,     0,     0,     0,
    3354,  3354,  3354,  3354,  3354,  3354,  3354,  3354,  3354,  3354,
    1902,  1902,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1069,     0,
       0,     0,     0,     0,     0,     0,  1902,     0,     0,  1902,
       0,  1902,     0,     0,     0,  1902,     0,     0,  3354,  3354,
       0,     0,  1902,  1902,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1067,     0,     0,     0,     0,     0,     0,
    1902,     0,     0,     0,     0,     0,     0,  1902,  1902,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1067,     0,
       0,     0,     0,  1902,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1069,     0,     0,     0,     0,     0,     0,     0,  1067,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1069,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1067,     0,     0,  1069,     0,  1067,  1067,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1069,
       0,     0,     0,     0,  1069,  1069,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3354,     0,     0,     0,     0,     0,  1067,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1069,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1902,  1902,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1902,     0,     0,     0,     0,
    1902,  2650,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1902,     0,  1902,     0,     0,
       0,  1902,  1902,  1902,     0,     0,  1902,     0,     0,  1902,
    1902,     0,     0,     0,  1902,     0,     0,     0,  1902,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1067,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1902,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1069,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1902,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1902,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3354,  2650,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1902,
    1902,  1902,     0,     0,     0,     0,     0,     0,     0,  2650,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1902,  1902,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1902,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3354,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2650,
       0,     0,  3354,     0,     0,     0,  1902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3354,     0,  2650,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1902,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1902,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1902,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2650,  2650,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1902,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   805,  1180,   622,  1181,
    1182,  1183,   681,  1184,     0,     0,  3354,  3354,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,  2742,
     237,   238,   239,     0,     0,     0,     0,  1185,     0,     0,
     240,   241,  1902,   242,   243,   244,   806,   245,   246,   247,
     248,  1186,   807,  1187,  1188,     0,   252,   253,   254,   255,
     256,  1189,  1190,   257,   258,  1191,  1192,   261,     0,   262,
     263,   264,   265,  1193,     0,  1194,     0,   267,   268,   269,
     270,   271,   809,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,   810,   281,   282,   283,  1195,  1196,
    1197,  1198,  1199,  1200,  1201,   284,   285,   286,   287,   288,
     289,  1202,  1203,   292,  1204,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,  2743,     0,
     304,   305,  1042,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,  1205,   320,
     321,   322,  1206,  1207,   324,     0,   325,   326,  1208,   328,
       0,   329,     0,   330,   812,     0,   813,   331,   332,   333,
     334,     0,   335,  1209,     0,  1210,   338,     0,   339,   340,
     341,   342,   343,   814,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,   815,   355,   356,
     357,   358,   359,  1211,  1212,     0,  1213,     0,   363,   816,
     817,   364,   818,   365,   366,   367,   368,   369,     0,     0,
     370,  1214,   819,   372,   820,     0,   373,   374,   375,  1215,
    1216,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,  1217,   821,  1218,
     394,   395,   396,   397,  1219,   398,   399,   822,   400,  1220,
    1221,   402,  1222,   404,   405,   406,     0,   407,   408,     0,
       0,  1223,   410,   411,     0,     0,   412,   413,   823,   414,
     824,  1224,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,  1225,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1226,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   825,   461,   462,   463,  1227,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,  1228,   479,   480,   481,   482,   483,   826,   484,   485,
    1229,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,  1230,     0,   501,   502,     0,
     503,   827,   504,   505,   506,   507,   508,     0,  1231,  1232,
       0,     0,   511,   512,  1233,   514,  1234,  1235,   516,   517,
     518,   519,   520,   521,   522,     0,  1236,   523,   524,   525,
     526,   527,  1237,     0,   528,   529,   530,   531,   532,   533,
    1238,  2744,   535,   828,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
    1239,  1240,  1241,  1242,   552,  1243,  1244,  1245,  1246,   557,
     558,   559,   560,  1247,     0,     0,     0,     0,     0,     0,
    1248,  1249,  2745,     0,     0,     0,     0,     0,     0,  1251,
    2746,   805,  1180,   622,  1181,  1182,  1183,   681,  1184,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,  1185,     0,     0,   240,   241,     0,   242,   243,
     244,   806,   245,   246,   247,   248,  1186,   807,  1187,  1188,
       0,   252,   253,   254,   255,   256,  1189,  1190,   257,   258,
    1191,  1192,   261,     0,   262,   263,   264,   265,  1193,     0,
    1194,     0,   267,   268,   269,   270,   271,   809,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,   810,
     281,   282,   283,  1195,  1196,  1197,  1198,  1199,  1200,  1201,
     284,   285,   286,   287,   288,   289,  1202,  1203,   292,  1204,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,  1042,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,  1205,   320,   321,   322,  1206,  1207,   324,
       0,   325,   326,  1208,   328,     0,   329,     0,   330,   812,
       0,   813,   331,   332,   333,   334,     0,   335,  1209,     0,
    1210,   338,     0,   339,   340,   341,   342,   343,   814,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,   815,   355,   356,   357,   358,   359,  1211,  1212,
       0,  1213,     0,   363,   816,   817,   364,   818,   365,   366,
     367,   368,   369,     0,     0,   370,  1214,   819,   372,   820,
       0,   373,   374,   375,  1215,  1216,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,  1217,   821,  1218,   394,   395,   396,   397,  1219,
     398,   399,   822,   400,  1220,  1221,   402,  1222,   404,   405,
     406,     0,   407,   408,     0,     0,  1223,   410,   411,     0,
       0,   412,   413,   823,   414,   824,  1224,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,  1225,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1226,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   825,   461,   462,   463,
    1227,   465,   466,   467,   468,   469,   470,   471,   472,   473,
      39,   474,   475,   476,   477,   478,  1228,   479,   480,   481,
     482,   483,   826,   484,   485,  1229,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
    1230,     0,   501,   502,    43,   503,   827,   504,   505,   506,
     507,   508,     0,  1231,  1232,     0,     0,   511,   512,  1233,
     514,  1234,  1235,   516,   517,   518,   519,   520,   521,   522,
       0,  1236,   523,   524,   525,   526,   527,  1237,     0,   528,
     529,   530,   531,   532,  1116,  1238,     0,   535,   828,   536,
     537,   538,   539,     0,     0,   540,     0,    48,   541,   542,
     543,   544,   545,   546,   547,  1239,  1240,  1241,  1242,   552,
    1243,  1244,  1245,  1246,   557,   558,   559,   560,  1247,     0,
      49,     0,     0,     0,     0,  1248,  1249,     0,     0,     0,
       0,     0,     0,     0,  1251,  4857,   805,  1180,   622,  1181,
    1182,  1183,   681,  1184,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,  1185,     0,     0,
     240,   241,     0,   242,   243,   244,   806,   245,   246,   247,
     248,  1186,   807,  1187,  1188,     0,   252,   253,   254,   255,
     256,  1189,  1190,   257,   258,  1191,  1192,   261,     0,   262,
     263,   264,   265,  1193,     0,  1194,     0,   267,   268,   269,
     270,   271,   809,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,   810,   281,   282,   283,  1195,  1196,
    1197,  1198,  1199,  1200,  1201,   284,   285,   286,   287,   288,
     289,  1202,  1203,   292,  1204,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,  1042,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,  1205,   320,
     321,   322,  1206,  1207,   324,     0,   325,   326,  1208,   328,
       0,   329,     0,   330,   812,     0,   813,   331,   332,   333,
     334,     0,   335,  1209,     0,  1210,   338,     0,   339,   340,
     341,   342,   343,   814,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,   815,   355,   356,
     357,   358,   359,  1211,  1212,     0,  1213,     0,   363,   816,
     817,   364,   818,   365,   366,   367,   368,   369,     0,     0,
     370,  1214,   819,   372,   820,     0,   373,   374,   375,  1215,
    1216,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,  1217,   821,  1218,
     394,   395,   396,   397,  1219,   398,   399,   822,   400,  1220,
    1221,   402,  1222,   404,   405,   406,     0,   407,   408,     0,
       0,  1223,   410,   411,     0,     0,   412,   413,   823,   414,
     824,  1224,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,  1225,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1226,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   825,   461,   462,   463,  1227,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,  1228,   479,   480,   481,   482,   483,   826,   484,   485,
    1229,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,  1230,     0,   501,   502,     0,
     503,   827,   504,   505,   506,   507,   508,     0,  1231,  1232,
       0,     0,   511,   512,  1233,   514,  1234,  1235,   516,   517,
     518,   519,   520,   521,   522,     0,  1236,   523,   524,   525,
     526,   527,  1237,     0,   528,   529,   530,   531,   532,   533,
    1238,     0,   535,   828,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
    1239,  1240,  1241,  1242,   552,  1243,  1244,  1245,  1246,   557,
     558,   559,   560,  1247,     0,     0,     0,     0,     0,     0,
    1248,  1249,     0,     0,     0,     0,     0,     0,     0,  1251,
    2652,   805,  1180,   622,  1181,  1182,  1183,   681,  1184,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,  1185,     0,     0,   240,   241,     0,   242,   243,
     244,   806,   245,   246,   247,   248,  1186,   807,  1187,  1188,
       0,   252,   253,   254,   255,   256,  1189,  1190,   257,   258,
    1191,  1192,   261,     0,   262,   263,   264,   265,  1193,     0,
    1194,     0,   267,   268,   269,   270,   271,   809,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,   810,
     281,   282,   283,  1195,  1196,  1197,  1198,  1199,  1200,  1201,
     284,   285,   286,   287,   288,   289,  1202,  1203,   292,  1204,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,  1042,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,  1205,   320,   321,   322,  1206,  1207,   324,
       0,   325,   326,  1208,   328,     0,   329,     0,   330,   812,
       0,   813,   331,   332,   333,   334,     0,   335,  1209,     0,
    1210,   338,     0,   339,   340,   341,   342,   343,   814,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,   815,   355,   356,   357,   358,   359,  1211,  1212,
       0,  1213,     0,   363,   816,   817,   364,   818,   365,   366,
     367,   368,   369,     0,     0,   370,  1214,   819,   372,   820,
       0,   373,   374,   375,  1215,  1216,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,  1217,   821,  1218,   394,   395,   396,   397,  1219,
     398,   399,   822,   400,  1220,  1221,   402,  1222,   404,   405,
     406,     0,   407,   408,     0,     0,  1223,   410,   411,     0,
       0,   412,   413,   823,   414,   824,  1224,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,  1225,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1226,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   825,   461,   462,   463,
    1227,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,  1228,   479,   480,   481,
     482,   483,   826,   484,   485,  1229,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
    1230,     0,   501,   502,     0,   503,   827,   504,   505,   506,
     507,   508,     0,  1231,  1232,     0,     0,   511,   512,  1233,
     514,  1234,  1235,   516,   517,   518,   519,   520,   521,   522,
       0,  1236,   523,   524,   525,   526,   527,  1237,     0,   528,
     529,   530,   531,   532,   533,  1238,     0,   535,   828,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,  1239,  1240,  1241,  1242,   552,
    1243,  1244,  1245,  1246,   557,   558,   559,   560,  1247,     0,
       0,     0,     0,     0,     0,  1248,  1249,     0,     0,     0,
       0,     0,     0,     0,  1251,  3867,   805,  1180,   622,  1181,
    1182,  1183,   681,  1184,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,  1185,     0,     0,
     240,   241,     0,   242,   243,   244,   806,   245,   246,   247,
     248,  1186,   807,  1187,  1188,     0,   252,   253,   254,   255,
     256,  1189,  1190,   257,   258,  1191,  1192,   261,     0,   262,
     263,   264,   265,  1193,     0,  1194,     0,   267,   268,   269,
     270,   271,   809,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,   810,   281,   282,   283,  1195,  1196,
    1197,  1198,  1199,  1200,  1201,   284,   285,   286,   287,   288,
     289,  1202,  1203,   292,  1204,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,  1042,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,  1205,   320,
     321,   322,  1206,  1207,   324,     0,   325,   326,  1208,   328,
       0,   329,     0,   330,   812,     0,   813,   331,   332,   333,
     334,     0,   335,  1209,     0,  1210,   338,     0,   339,   340,
     341,   342,   343,   814,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,   815,   355,   356,
     357,   358,   359,  1211,  1212,     0,  1213,     0,   363,   816,
     817,   364,   818,   365,   366,   367,   368,   369,     0,     0,
     370,  1214,   819,   372,   820,     0,   373,   374,   375,  1215,
    1216,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,  1217,   821,  1218,
     394,   395,   396,   397,  1219,   398,   399,   822,   400,  1220,
    1221,   402,  1222,   404,   405,   406,     0,   407,   408,     0,
       0,  1223,   410,   411,     0,     0,   412,   413,   823,   414,
     824,  1224,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,  1225,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1226,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   825,   461,   462,   463,  1227,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,  1228,   479,   480,   481,   482,   483,   826,   484,   485,
    1229,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,  1230,     0,   501,   502,     0,
     503,   827,   504,   505,   506,   507,   508,     0,  1231,  1232,
       0,     0,   511,   512,  1233,   514,  1234,  1235,   516,   517,
     518,   519,   520,   521,   522,     0,  1236,   523,   524,   525,
     526,   527,  1237,     0,   528,   529,   530,   531,   532,   533,
    1238,     0,   535,   828,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
    1239,  1240,  1241,  1242,   552,  1243,  1244,  1245,  1246,   557,
     558,   559,   560,  1247,     0,     0,   227,     0,     0,     0,
    1248,  1249,     0,     0,     0,     0,     0,     0,     0,  1251,
    3938,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,  3956,     0,
     240,   241,     0,   242,   243,   244,     0,   245,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,     0,     0,     0,   267,   268,   269,
     270,   271,     0,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0, -1723,   281,   282,   283,     0,     0,
       0,     0,     0,     0,     0,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
       0,   329,     0,   330,     0,     0, -1723,   331,   332,   333,
     334,     0,   335,   336,     0,   337,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354, -1723,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,     0,
       0,   364, -1723,   365,   366,   367,   368,   369,     0,     0,
     370,   371, -1723,   372,     0,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392, -1723,   393,
     394,   395,   396,   397,     0,   398,   399,     0,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,   413,     0,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460, -1723,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,     0,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,     0,   501,   502,     0,
     503,     0,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,     0,     0,     0,  1034,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1332,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,   806,   245,   246,   247,
       0,  1035,   807,  1036,  1037,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,  1038,  1039,   261,     0,   262,
     263,   264,   265,     0,     0,   808,     0,   267,   268,   269,
     270,   271,   809,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,   810,   281,   282,   283,     0,     0,
       0,   811,     0,     0,     0,   284,   285,   286,   287,   288,
     289,  1040,  1041,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,  1042,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,     0,   320,
     321,   322,     0,     0,   324,     0,   325,   326,  1043,   328,
       0,   329,     0,   330,   812,     0,   813,   331,   332,   333,
     334,     0,   335,     0,     0,     0,   338,     0,   339,   340,
     341,   342,   343,   814,   344,   345,   346,   347,  2087,   348,
     349,   350,   351,   352,   353,     0,   354,   815,  2088,   356,
     357,   358,   359,  1045,  1046,     0,  1047,     0,   363,   816,
     817,   364,   818,   365,   366,   367,   368,   369,     0,     0,
     370,     0,   819,   372,   820,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,  1048,   821,  1049,
     394,   395,   396,     0,     0,   398,   399,   822,   400,     0,
       0,   402,  1050,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,  2090,   823,   414,
     824,     0,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   428,     0,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1051,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   825,   461,   462,   463,     0,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,  2091,   482,   483,   826,   484,   485,
    1053,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,     0,   501,   502,     0,
     503,   827,   504,   505,   506,   507,   508,     0,  1054,  1055,
       0,     0,   511,   512,     0,   514,     0,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,     0,
    1056,  2092,   535,   828,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,  1034,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     558,   559,   560,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
    2197,     0,     0,   240,   241,     0,   242,   243,   244,   806,
     245,   246,   247,     0,  1035,   807,  1036,  1037,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,  1038,  1039,
     261,     0,   262,   263,   264,   265,     0,     0,   808,     0,
     267,   268,   269,   270,   271,   809,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,   810,   281,   282,
     283,     0,     0,     0,   811,     0,     0,     0,   284,   285,
     286,   287,   288,   289,  1040,  1041,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,  1042,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,     0,   320,   321,   322,     0,     0,   324,     0,   325,
     326,  1043,   328,     0,   329,     0,   330,   812,     0,   813,
     331,   332,   333,   334,     0,   335,     0,     0,     0,   338,
       0,   339,   340,   341,   342,   343,   814,   344,   345,   346,
     347,  2087,   348,   349,   350,   351,   352,   353,     0,   354,
     815,  2088,   356,   357,   358,   359,  1045,  1046,     0,  1047,
       0,   363,   816,   817,   364,   818,   365,   366,   367,   368,
     369,     0,     0,   370,     0,   819,   372,   820,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
    1048,   821,  1049,   394,   395,   396,     0,     0,   398,   399,
     822,   400,     0,     0,   402,  1050,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
    2090,   823,   414,   824,     0,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   428,     0,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1051,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   825,   461,   462,   463,     0,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,  2091,   482,   483,
     826,   484,   485,  1053,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,     0,
     501,   502,     0,   503,   827,   504,   505,   506,   507,   508,
       0,  1054,  1055,     0,     0,   511,   512,     0,   514,     0,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,     0,  1056,  2092,   535,   828,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,     0,   805,  1180,   622,  1181,  1182,  1183,   681,
    1184,     0,     0,   558,   559,   560,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,  3202,  1185,     0,     0,   240,   241,     0,
     242,   243,   244,   806,   245,   246,   247,   248,  1186,   807,
    1187,  1188,     0,   252,   253,   254,   255,   256,  1189,  1190,
     257,   258,  1191,  1192,   261,     0,   262,   263,   264,   265,
    1193,     0,  1194,     0,   267,   268,   269,   270,   271,   809,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,   810,   281,   282,   283,  1195,  1196,  1197,  1198,  1199,
    1200,  1201,   284,   285,   286,   287,   288,   289,  1202,  1203,
     292,  1204,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,  1042,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,  1205,   320,   321,   322,  1206,
    1207,   324,     0,   325,   326,  1208,   328,     0,   329,     0,
     330,   812,     0,   813,   331,   332,   333,   334,     0,   335,
    1209,     0,  1210,   338,     0,   339,   340,   341,   342,   343,
     814,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,   815,   355,   356,   357,   358,   359,
    1211,  1212,     0,  1213,     0,   363,   816,   817,   364,   818,
     365,   366,   367,   368,   369,     0,     0,   370,  1214,   819,
     372,   820,     0,   373,   374,   375,  1215,  1216,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,  1217,   821,  1218,   394,   395,   396,
     397,  1219,   398,   399,   822,   400,  1220,  1221,   402,  1222,
     404,   405,   406,     0,   407,   408,     0,     0,  1223,   410,
     411,     0,     0,   412,   413,   823,   414,   824,  1224,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,  1225,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,  1226,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   825,   461,
     462,   463,  1227,   465,   466,   467,   468,   469,   470,   471,
     472,   473,    39,   474,   475,   476,   477,   478,  1228,   479,
     480,   481,   482,   483,   826,   484,   485,  1229,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,  1230,     0,   501,   502,    43,   503,   827,   504,
     505,   506,   507,   508,     0,  1231,  1232,     0,     0,   511,
     512,  1233,   514,  1234,  1235,   516,   517,   518,   519,   520,
     521,   522,     0,  1236,   523,   524,   525,   526,   527,  1237,
       0,   528,   529,   530,   531,   532,  1116,  1238,     0,   535,
     828,   536,   537,   538,   539,     0,     0,   540,     0,    48,
     541,   542,   543,   544,   545,   546,   547,  1239,  1240,  1241,
    1242,   552,  1243,  1244,  1245,  1246,   557,   558,   559,   560,
    1247,     0,    49,     0,     0,     0,     0,  1248,  1249,     0,
       0,     0,     0,     0,     0,     0,  1251,   805,  1180,   622,
    1181,  1182,  1183,   681,  1184,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,  1185,     0,
       0,   240,   241,     0,   242,   243,   244,   806,   245,   246,
     247,   248,  1186,   807,  1187,  1188,  2658,   252,   253,   254,
     255,   256,  1189,  1190,   257,   258,  1191,  1192,   261,     0,
     262,   263,   264,   265,  1193,     0,  1194,     0,   267,   268,
     269,   270,   271,   809,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,   810,   281,   282,   283,  1195,
    1196,  1197,  1198,  1199,  1200,  1201,   284,   285,   286,   287,
     288,   289,  1202,  1203,   292,  1204,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,  1042,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,  1205,
     320,   321,   322,  1206,  1207,   324,     0,   325,   326,  1208,
     328,     0,   329,     0,   330,   812,  2659,   813,   331,   332,
     333,   334,     0,   335,  1209,     0,  1210,   338,     0,   339,
     340,   341,   342,   343,   814,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,   815,   355,
     356,   357,   358,   359,  1211,  1212,     0,  1213,     0,   363,
     816,   817,   364,   818,   365,   366,   367,   368,   369,     0,
    2660,   370,  1214,   819,   372,   820,     0,   373,   374,   375,
    1215,  1216,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,  1217,   821,
    1218,   394,   395,   396,   397,  1219,   398,   399,   822,   400,
    1220,  1221,   402,  1222,   404,   405,   406,     0,   407,   408,
       0,     0,  1223,   410,   411,     0,     0,   412,   413,   823,
     414,   824,  1224,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,  1225,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,  1226,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   825,   461,   462,   463,  1227,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,  1228,   479,   480,   481,   482,   483,   826,   484,
     485,  1229,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,  1230,     0,   501,   502,
       0,   503,   827,   504,   505,   506,   507,   508,     0,  1231,
    1232,     0,  2661,   511,   512,  1233,   514,  1234,  1235,   516,
     517,   518,   519,   520,   521,   522,     0,  1236,   523,   524,
     525,   526,   527,  1237,     0,   528,   529,   530,   531,   532,
     533,  1238,     0,   535,   828,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,  1239,  1240,  1241,  1242,   552,  1243,  1244,  1245,  1246,
     557,   558,   559,   560,  1247,     0,     0,     0,     0,     0,
       0,  1248,  1249,     0,     0,     0,     0,     0,     0,     0,
    1251,   805,  1180,   622,  1181,  1182,  1183,   681,  1184,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,  1185,     0,     0,   240,   241,     0,   242,   243,
     244,   806,   245,   246,   247,   248,  1186,   807,  1187,  1188,
       0,   252,   253,   254,   255,   256,  1189,  1190,   257,   258,
    1191,  1192,   261,     0,   262,   263,   264,   265,  1193,     0,
    1194,     0,   267,   268,   269,   270,   271,   809,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,   810,
     281,   282,   283,  1195,  1196,  1197,  1198,  1199,  1200,  1201,
     284,   285,   286,   287,   288,   289,  1202,  1203,   292,  1204,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,  1042,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,  1205,   320,   321,   322,  1206,  1207,   324,
       0,   325,   326,  1208,   328,     0,   329,     0,   330,   812,
       0,   813,   331,   332,   333,   334,     0,   335,  1209,     0,
    1210,   338,     0,   339,   340,   341,   342,   343,   814,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,   815,   355,   356,   357,   358,   359,  1211,  1212,
       0,  1213,     0,   363,   816,   817,   364,   818,   365,   366,
     367,   368,   369,     0,     0,   370,  1214,   819,   372,   820,
       0,   373,   374,   375,  1215,  1216,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,  1217,   821,  1218,   394,   395,   396,   397,  1219,
     398,   399,   822,   400,  1220,  1221,   402,  1222,   404,   405,
     406,     0,   407,   408,     0,     0,  1223,   410,   411,     0,
       0,   412,   413,   823,   414,   824,  1224,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,  1225,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1226,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   825,   461,   462,   463,
    1227,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,  1228,   479,   480,   481,
     482,   483,   826,   484,   485,  1229,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
    1230,     0,   501,   502,     0,   503,   827,   504,   505,   506,
     507,   508,     0,  1231,  1232,     0,     0,   511,   512,  1233,
     514,  1234,  1235,   516,   517,   518,   519,   520,   521,   522,
       0,  1236,   523,   524,   525,   526,   527,  1237,     0,   528,
     529,   530,   531,   532,   533,  1238,     0,   535,   828,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,  1239,  1240,  1241,  1242,   552,
    1243,  1244,  1245,  1246,   557,   558,   559,   560,  1247,     0,
       0,     0,     0,     0,     0,  1248,  1249,     0,     0,     0,
       0,     0,  1826,  2613,  1251,   805,  1180,   622,  1181,  1182,
    1183,   681,  1184,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,  1185,     0,     0,   240,
     241,     0,   242,   243,   244,   806,   245,   246,   247,   248,
    1186,   807,  1187,  1188,     0,   252,   253,   254,   255,   256,
    1189,  1190,   257,   258,  1191,  1192,   261,     0,   262,   263,
     264,   265,  1193,     0,  1194,     0,   267,   268,   269,   270,
     271,   809,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,   810,   281,   282,   283,  1195,  1196,  1197,
    1198,  1199,  1200,  1201,   284,   285,   286,   287,   288,   289,
    1202,  1203,   292,  1204,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,  1042,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,  1205,   320,   321,
     322,  1206,  1207,   324,     0,   325,   326,  1208,   328,     0,
     329,     0,   330,   812,     0,   813,   331,   332,   333,   334,
       0,   335,  1209,     0,  1210,   338,     0,   339,   340,   341,
     342,   343,   814,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,   815,   355,   356,   357,
     358,   359,  1211,  1212,     0,  1213,     0,   363,   816,   817,
     364,   818,   365,   366,   367,   368,   369,     0,     0,   370,
    1214,   819,   372,   820,     0,   373,   374,   375,  1215,  1216,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,  1217,   821,  1218,   394,
     395,   396,   397,  1219,   398,   399,   822,   400,  1220,  1221,
     402,  1222,   404,   405,   406,     0,   407,   408,     0,     0,
    1223,   410,   411,     0,     0,   412,   413,   823,   414,   824,
    1224,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,  1225,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,  1226,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     825,   461,   462,   463,  1227,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
    1228,   479,   480,   481,   482,   483,   826,   484,   485,  1229,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,  1230,     0,   501,   502,     0,   503,
     827,   504,   505,   506,   507,   508,     0,  1231,  1232,     0,
       0,   511,   512,  1233,   514,  1234,  1235,   516,   517,   518,
     519,   520,   521,   522,     0,  1236,   523,   524,   525,   526,
     527,  1237,     0,   528,   529,   530,   531,   532,   533,  1238,
       0,   535,   828,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,  1239,
    1240,  1241,  1242,   552,  1243,  1244,  1245,  1246,   557,   558,
     559,   560,  1247,     0,     0,     0,     0,     0,     0,  1248,
    1249,  1250,     0,     0,     0,     0,     0,     0,  1251,   805,
    1180,   622,  1181,  1182,  1183,   681,  1184,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,  2058,   237,   238,   239,     0,     0,     0,     0,
    1185,     0,     0,   240,   241,     0,   242,   243,   244,   806,
     245,   246,   247,   248,  1186,   807,  1187,  1188,     0,   252,
     253,   254,   255,   256,  1189,  1190,   257,   258,  1191,  1192,
     261,     0,   262,   263,   264,   265,  1193,     0,  1194,     0,
     267,   268,   269,   270,   271,   809,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,   810,   281,   282,
     283,  1195,  1196,  1197,  1198,  1199,  1200,  1201,   284,   285,
     286,   287,   288,   289,  1202,  1203,   292,  1204,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,  1042,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,  1205,   320,   321,   322,  1206,  1207,   324,     0,   325,
     326,  1208,   328,     0,   329,     0,   330,   812,     0,   813,
     331,   332,   333,   334,     0,   335,  1209,     0,  1210,   338,
       0,   339,   340,   341,   342,   343,   814,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
     815,   355,   356,   357,   358,   359,  1211,  1212,     0,  1213,
       0,   363,   816,   817,   364,   818,   365,   366,   367,   368,
     369,     0,     0,   370,  1214,   819,   372,   820,     0,   373,
     374,   375,  1215,  1216,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
    1217,   821,  1218,   394,   395,   396,   397,  1219,   398,   399,
     822,   400,  1220,  1221,   402,  1222,   404,   405,   406,     0,
     407,   408,     0,     0,  1223,   410,   411,     0,     0,   412,
     413,   823,   414,   824,  1224,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,  1225,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1226,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   825,   461,   462,   463,  1227,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,  1228,   479,   480,   481,   482,   483,
     826,   484,   485,  1229,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,  1230,     0,
     501,   502,     0,   503,   827,   504,   505,   506,   507,   508,
       0,  1231,  1232,     0,     0,   511,   512,  1233,   514,  1234,
    1235,   516,   517,   518,   519,   520,   521,   522,     0,  1236,
     523,   524,   525,   526,   527,  1237,     0,   528,   529,   530,
     531,   532,   533,  1238,     0,   535,   828,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,  1239,  1240,  1241,  1242,   552,  1243,  1244,
    1245,  1246,   557,   558,   559,   560,  1247,     0,     0,     0,
       0,     0,     0,  1248,  1249,     0,     0,     0,     0,     0,
       0,     0,  1251,   805,  1180,   622,  1181,  1182,  1183,   681,
    1184,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,     0,  1185,     0,     0,   240,   241,     0,
     242,   243,   244,   806,   245,   246,   247,   248,  1186,   807,
    1187,  1188,     0,   252,   253,   254,   255,   256,  1189,  1190,
     257,   258,  1191,  1192,   261,     0,   262,   263,   264,   265,
    1193,     0,  1194,     0,   267,   268,   269,   270,   271,   809,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,   810,   281,   282,   283,  1195,  1196,  1197,  1198,  1199,
    1200,  1201,   284,   285,   286,   287,   288,   289,  1202,  1203,
     292,  1204,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,  1042,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,  1205,   320,   321,   322,  1206,
    1207,   324,     0,   325,   326,  1208,   328,     0,   329,     0,
     330,   812,  2659,   813,   331,   332,   333,   334,     0,   335,
    1209,     0,  1210,   338,     0,   339,   340,   341,   342,   343,
     814,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,   815,   355,   356,   357,   358,   359,
    1211,  1212,     0,  1213,     0,   363,   816,   817,   364,   818,
     365,   366,   367,   368,   369,     0,     0,   370,  1214,   819,
     372,   820,     0,   373,   374,   375,  1215,  1216,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,  1217,   821,  1218,   394,   395,   396,
     397,  1219,   398,   399,   822,   400,  1220,  1221,   402,  1222,
     404,   405,   406,     0,   407,   408,     0,     0,  1223,   410,
     411,     0,     0,   412,   413,   823,   414,   824,  1224,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,  1225,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,  1226,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   825,   461,
     462,   463,  1227,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,  1228,   479,
     480,   481,   482,   483,   826,   484,   485,  1229,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,  1230,     0,   501,   502,     0,   503,   827,   504,
     505,   506,   507,   508,     0,  1231,  1232,     0,     0,   511,
     512,  1233,   514,  1234,  1235,   516,   517,   518,   519,   520,
     521,   522,     0,  1236,   523,   524,   525,   526,   527,  1237,
       0,   528,   529,   530,   531,   532,   533,  1238,     0,   535,
     828,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,   547,  1239,  1240,  1241,
    1242,   552,  1243,  1244,  1245,  1246,   557,   558,   559,   560,
    1247,     0,     0,     0,     0,     0,     0,  1248,  1249,     0,
       0,     0,     0,     0,     0,     0,  1251,   805,  1180,   622,
    1181,  1182,  1183,   681,  1184,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,  1185,     0,
       0,   240,   241,     0,   242,   243,   244,   806,   245,   246,
     247,   248,  1186,   807,  1187,  1188,     0,   252,   253,   254,
     255,   256,  1189,  1190,   257,   258,  1191,  1192,   261,     0,
     262,   263,   264,   265,  1193,     0,  1194,     0,   267,   268,
     269,   270,   271,   809,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,   810,   281,   282,   283,  1195,
    1196,  1197,  1198,  1199,  1200,  1201,   284,   285,   286,   287,
     288,   289,  1202,  1203,   292,  1204,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,  1042,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,  1205,
     320,   321,   322,  1206,  1207,   324,     0,   325,   326,  1208,
     328,     0,   329,     0,   330,   812,     0,   813,   331,   332,
     333,   334,     0,   335,  1209,     0,  1210,   338,     0,   339,
     340,   341,   342,   343,   814,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,   815,   355,
     356,   357,   358,   359,  1211,  1212,     0,  1213,     0,   363,
     816,   817,   364,   818,   365,   366,   367,   368,   369,     0,
       0,   370,  1214,   819,   372,   820,     0,   373,   374,   375,
    1215,  1216,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,  1217,   821,
    1218,   394,   395,   396,   397,  1219,   398,   399,   822,   400,
    1220,  1221,   402,  1222,   404,   405,   406,     0,   407,   408,
       0,     0,  1223,   410,   411,     0,     0,   412,   413,   823,
     414,   824,  1224,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,  1225,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,  1226,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   825,   461,   462,   463,  1227,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,  1228,   479,   480,   481,   482,   483,   826,   484,
     485,  1229,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,  1230,     0,   501,   502,
       0,   503,   827,   504,   505,   506,   507,   508,     0,  1231,
    1232,     0,     0,   511,   512,  1233,   514,  1234,  1235,   516,
     517,   518,   519,   520,   521,   522,     0,  1236,   523,   524,
     525,   526,   527,  1237,     0,   528,   529,   530,   531,   532,
     533,  1238,  3988,   535,   828,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,  1239,  1240,  1241,  1242,   552,  1243,  1244,  1245,  1246,
     557,   558,   559,   560,  1247,     0,     0,     0,     0,     0,
       0,  1248,  1249,     0,     0,     0,     0,     0,     0,     0,
    1251,   805,  1180,   622,  1181,  1182,  1183,   681,  1184,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,  1185,     0,     0,   240,   241,     0,   242,   243,
     244,   806,   245,   246,   247,   248,  1186,   807,  1187,  1188,
       0,   252,   253,   254,   255,   256,  1189,  1190,   257,   258,
    1191,  1192,   261,     0,   262,   263,   264,   265,  1193,     0,
    1194,     0,   267,   268,   269,   270,   271,   809,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,   810,
     281,   282,   283,  1195,  1196,  1197,  1198,  1199,  1200,  1201,
     284,   285,   286,   287,   288,   289,  1202,  1203,   292,  1204,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,  1042,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,  1205,   320,   321,   322,  1206,  1207,   324,
       0,   325,   326,  1208,   328,     0,   329,     0,   330,   812,
       0,   813,   331,   332,   333,   334,     0,   335,  1209,     0,
    1210,   338,     0,   339,   340,   341,   342,   343,   814,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,   815,   355,   356,   357,   358,   359,  1211,  1212,
       0,  1213,     0,   363,   816,   817,   364,   818,   365,   366,
     367,   368,   369,     0,     0,   370,  1214,   819,   372,   820,
       0,   373,   374,   375,  1215,  1216,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,  1217,   821,  1218,   394,   395,   396,   397,  1219,
     398,   399,   822,   400,  1220,  1221,   402,  1222,   404,   405,
     406,     0,   407,   408,     0,     0,  1223,   410,   411,     0,
       0,   412,   413,   823,   414,   824,  1224,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,  1225,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1226,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   825,   461,   462,   463,
    1227,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,  1228,   479,   480,   481,
     482,   483,   826,   484,   485,  1229,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
    1230,     0,   501,   502,     0,   503,   827,   504,   505,   506,
     507,   508,     0,  1231,  1232,     0,     0,   511,   512,  1233,
     514,  1234,  1235,   516,   517,   518,   519,   520,   521,   522,
       0,  1236,   523,   524,   525,   526,   527,  1237,     0,   528,
     529,   530,   531,   532,   533,  1238,     0,   535,   828,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,  1239,  1240,  1241,  1242,   552,
    1243,  1244,  1245,  1246,   557,   558,   559,   560,  1247,     0,
       0,     0,     0,     0,     0,  1248,  1249,     0,     0,     0,
       0,     0,     0,     0,  1251,   805,  1180,   622,  1181,  1182,
    1183,   681,  1184,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,  1185,     0,     0,   240,
     241,     0,   242,   243,   244,   806,   245,   246,   247,   248,
    1186,   807,  1187,  1188,     0,   252,   253,   254,   255,   256,
    1189,  1190,   257,   258,  1191,  1192,   261,     0,   262,   263,
     264,   265,  1193,     0,  1194,     0,   267,   268,   269,   270,
     271,   809,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,   810,   281,   282,  4001,  1195,  1196,  1197,
    1198,  1199,  1200,  1201,   284,   285,   286,   287,   288,   289,
    1202,  1203,   292,  1204,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,  1042,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,  1205,   320,   321,
     322,  1206,  1207,   324,     0,   325,   326,  1208,   328,     0,
     329,     0,   330,   812,     0,   813,   331,   332,   333,   334,
       0,   335,  1209,     0,  1210,   338,     0,   339,   340,   341,
     342,   343,   814,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,   815,   355,   356,   357,
     358,   359,  1211,  1212,     0,  1213,     0,   363,   816,   817,
     364,   818,   365,   366,   367,   368,   369,     0,     0,   370,
    1214,   819,   372,   820,     0,   373,   374,   375,  1215,  1216,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,  1217,   821,  1218,   394,
     395,   396,   397,  1219,   398,   399,   822,   400,  1220,  1221,
     402,  1222,   404,   405,   406,     0,   407,   408,     0,     0,
    1223,   410,   411,     0,     0,   412,   413,   823,   414,   824,
    1224,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,  1225,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,  1226,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     825,   461,   462,   463,  1227,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
    1228,   479,   480,   481,   482,   483,   826,   484,   485,  1229,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,  1230,     0,   501,   502,     0,   503,
     827,   504,   505,   506,   507,   508,     0,  1231,  1232,     0,
       0,   511,   512,  1233,   514,  1234,  1235,   516,   517,   518,
     519,   520,   521,   522,     0,  1236,   523,   524,   525,   526,
     527,  1237,     0,   528,   529,   530,   531,   532,   533,  1238,
       0,   535,   828,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,  1239,
    1240,  1241,  1242,   552,  1243,  1244,  1245,  1246,   557,   558,
     559,   560,  1247,     0,     0,     0,     0,     0,     0,  1248,
    1249,     0,     0,     0,     0,     0,     0,     0,  1251,   805,
    1180,   622,  1181,  1182,  1183,   681,  1184,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
    1185,     0,     0,   240,   241,     0,   242,   243,   244,   806,
     245,   246,   247,   248,  1186,   807,  1187,  1188,     0,   252,
     253,   254,   255,   256,  1189,  1190,   257,   258,  1191,  1192,
     261,     0,   262,   263,   264,   265,  1193,     0,  1194,     0,
     267,   268,   269,   270,   271,   809,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,   810,   281,   282,
     283,  1195,  1196,  1197,  1198,  1199,  1200,  1201,   284,   285,
     286,   287,   288,   289,  1202,  1203,   292,  1204,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,  1042,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,  1205,   320,   321,   322,  1206,  1207,   324,     0,   325,
     326,  1208,   328,     0,   329,     0,   330,   812,     0,   813,
     331,   332,   333,   334,     0,   335,  1209,     0,  1210,   338,
       0,   339,   340,   341,   342,   343,   814,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
     815,   355,   356,   357,   358,   359,  1211,  1212,     0,  1213,
       0,   363,   816,   817,   364,   818,   365,   366,   367,   368,
     369,     0,     0,   370,  1214,   819,   372,   820,     0,   373,
     374,   375,  1215,  1216,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
    1217,   821,  1218,   394,   395,   396,   397,  1219,   398,   399,
     822,   400,  1220,  1221,   402,  1222,   404,   405,   406,     0,
     407,   408,     0,     0,  1223,   410,   411,     0,     0,   412,
     413,   823,   414,   824,  1224,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,  1225,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1226,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   825,   461,   462,   463,  1227,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,  1228,   479,   480,   481,   482,   483,
     826,   484,   485,  1229,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,  1230,     0,
     501,   502,     0,   503,   827,   504,   505,   506,   507,   508,
       0,  1231,  1232,     0,     0,   511,   512,  1233,   514,  1234,
    1235,   516,   517,   518,   519,   520,   521,   522,     0,  1236,
     523,   524,   525,   526,   527,  1237,     0,   528,   529,   530,
     531,   532,   533,  1238,     0,   535,   828,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,  4326,  1239,  1240,  1241,  1242,   552,  1243,  1244,
    1245,  1246,   557,   558,   559,   560,  1247,     0,     0,     0,
       0,     0,     0,  1248,  1249,     0,     0,     0,     0,     0,
       0,     0,  1251,   805,  1180,   622,  1181,  1182,  1183,   681,
    1184,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,     0,  1185,     0,     0,   240,   241,     0,
     242,   243,   244,   806,   245,   246,   247,   248,  1186,   807,
    1187,  1188,     0,   252,   253,   254,   255,   256,  1189,  1190,
     257,   258,  1191,  1192,   261,     0,   262,   263,   264,   265,
    1193,     0,  1194,     0,   267,   268,   269,   270,   271,   809,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,   810,   281,   282,   283,  1195,  1196,  1197,  1198,  1199,
    1200,  1201,   284,   285,   286,   287,   288,   289,  1202,  1203,
     292,  1204,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,  1042,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,  1205,   320,   321,   322,  1206,
    1207,   324,     0,   325,   326,  1208,   328,     0,   329,     0,
     330,   812,     0,   813,   331,   332,   333,   334,     0,   335,
    1209,     0,  1210,   338,     0,   339,   340,   341,   342,   343,
     814,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,   815,   355,   356,   357,   358,   359,
    1211,  1212,     0,  1213,     0,   363,   816,   817,   364,   818,
     365,   366,   367,   368,   369,     0,     0,   370,  1214,   819,
     372,   820,     0,   373,   374,   375,  1215,  1216,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,  1217,   821,  1218,   394,   395,  4335,
     397,  1219,   398,   399,   822,   400,  1220,  1221,   402,  1222,
     404,   405,   406,     0,   407,   408,     0,     0,  1223,   410,
     411,     0,     0,   412,   413,   823,   414,   824,  1224,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,  1225,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,  1226,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   825,   461,
     462,   463,  1227,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,  1228,   479,
     480,   481,   482,   483,   826,   484,   485,  1229,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,  1230,     0,   501,   502,     0,   503,   827,   504,
     505,   506,   507,   508,     0,  1231,  1232,     0,     0,   511,
     512,  1233,   514,  1234,  1235,   516,   517,   518,   519,   520,
     521,   522,     0,  1236,   523,   524,   525,   526,   527,  1237,
       0,   528,   529,   530,   531,   532,   533,  1238,     0,   535,
     828,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,   547,  1239,  1240,  1241,
    1242,   552,  1243,  1244,  1245,  1246,   557,   558,   559,   560,
    1247,     0,     0,     0,     0,     0,     0,  1248,  1249,     0,
       0,     0,     0,     0,     0,     0,  1251,   805,  1180,   622,
    1181,  1182,  1183,   681,  1184,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,  1185,     0,
       0,   240,   241,     0,   242,   243,   244,   806,   245,   246,
     247,   248,  1186,   807,  1187,  1188,     0,   252,   253,   254,
     255,   256,  1189,  1190,   257,   258,  1191,  1192,   261,     0,
     262,   263,   264,   265,  1193,     0,  1194,     0,   267,   268,
     269,   270,   271,   809,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,   810,   281,  4646,   283,  1195,
    1196,  1197,  1198,  1199,  1200,  1201,   284,   285,   286,   287,
     288,   289,  1202,  1203,   292,  1204,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,  1042,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,  1205,
     320,   321,   322,  1206,  1207,   324,     0,   325,   326,  1208,
     328,     0,   329,     0,   330,   812,     0,   813,   331,   332,
     333,   334,     0,   335,  1209,     0,  4647,   338,     0,   339,
     340,   341,   342,   343,   814,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,   815,   355,
     356,   357,   358,   359,  1211,  1212,     0,  1213,     0,   363,
     816,   817,   364,   818,   365,   366,   367,   368,   369,     0,
       0,   370,  1214,   819,   372,   820,     0,   373,   374,   375,
    1215,  1216,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,  1217,   821,
    1218,   394,   395,   396,   397,  1219,   398,   399,   822,   400,
    1220,  1221,   402,  1222,   404,   405,   406,     0,   407,   408,
       0,     0,  1223,   410,   411,     0,     0,   412,   413,   823,
     414,   824,  1224,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,  1225,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,  1226,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   825,   461,   462,  4648,  1227,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,  1228,   479,   480,   481,   482,   483,   826,   484,
     485,  1229,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,  1230,     0,   501,   502,
       0,   503,   827,   504,   505,   506,   507,   508,     0,  1231,
    1232,     0,     0,   511,   512,  1233,   514,  1234,  1235,   516,
     517,   518,   519,   520,   521,   522,     0,  1236,   523,   524,
     525,   526,   527,  1237,     0,   528,   529,   530,   531,   532,
     533,  1238,     0,   535,   828,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,  1239,  1240,  1241,  1242,   552,  1243,  1244,  1245,  1246,
     557,   558,   559,   560,  1247,     0,     0,     0,     0,     0,
       0,  1248,  1249,     0,     0,     0,     0,     0,     0,     0,
    4649,   805,  1180,   622,  1181,  1182,  1183,   681,  1184,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,  1185,     0,     0,   240,   241,     0,   242,   243,
     244,   806,   245,   246,   247,  5110,  1186,   807,  1187,  1188,
       0,   252,   253,   254,   255,   256,  1189,  1190,   257,   258,
    1191,  1192,   261,     0,   262,   263,   264,   265,  1193,     0,
    1194,     0,   267,   268,   269,   270,   271,   809,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,   810,
     281,   282,  5111,  1195,  1196,  1197,  1198,  1199,  1200,  1201,
     284,   285,   286,   287,   288,   289,  1202,  1203,   292,  1204,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,  1042,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,  1205,   320,   321,   322,  1206,  1207,   324,
       0,   325,   326,  1208,   328,     0,   329,     0,   330,   812,
       0,   813,   331,   332,   333,   334,     0,   335,  1209,     0,
    1210,   338,     0,   339,   340,   341,   342,   343,   814,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,   815,   355,   356,   357,   358,   359,  1211,  1212,
       0,  1213,     0,   363,   816,   817,   364,   818,   365,   366,
     367,   368,   369,     0,     0,   370,  1214,   819,   372,   820,
       0,   373,   374,   375,  1215,  1216,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,  1217,   821,  1218,   394,   395,   396,   397,  1219,
     398,   399,   822,   400,  1220,  1221,   402,  1222,   404,   405,
     406,     0,   407,   408,     0,     0,  1223,   410,   411,     0,
       0,   412,   413,   823,   414,   824,  1224,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,  1225,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1226,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   825,   461,   462,   463,
    1227,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,  1228,   479,   480,   481,
     482,   483,   826,   484,   485,  1229,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
    1230,     0,   501,   502,     0,   503,   827,   504,   505,   506,
     507,   508,     0,  1231,  1232,     0,     0,   511,   512,  1233,
     514,  1234,  1235,   516,   517,   518,   519,  5112,   521,   522,
       0,  1236,   523,   524,   525,   526,   527,  1237,     0,   528,
     529,   530,   531,   532,   533,  1238,     0,   535,   828,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,  1239,  1240,  1241,  1242,   552,
    1243,  1244,  1245,  1246,   557,   558,   559,   560,  1247,     0,
       0,     0,     0,     0,     0,  1248,  1249,     0,     0,     0,
       0,     0,     0,     0,  1251,   805,  1180,   622,  1181,  1182,
    1183,   681,  1184,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,  1185,     0,     0,   240,
     241,     0,   242,   243,   244,   806,   245,   246,   247,   248,
    1186,   807,  1187,  1188,     0,   252,   253,   254,   255,   256,
    1189,  1190,   257,   258,  1191,  1192,   261,     0,   262,   263,
     264,   265,  1193,     0,  1194,     0,   267,   268,   269,   270,
     271,   809,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,   810,   281,   282,  5111,  1195,  1196,  1197,
    1198,  1199,  1200,  1201,   284,   285,   286,   287,   288,   289,
    1202,  1203,   292,  1204,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,  1042,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,  1205,   320,   321,
     322,  1206,  1207,   324,     0,   325,   326,  1208,   328,     0,
     329,     0,   330,   812,     0,   813,   331,   332,   333,   334,
       0,   335,  1209,     0,  1210,   338,     0,   339,   340,   341,
     342,   343,   814,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,   815,   355,   356,   357,
     358,   359,  1211,  1212,     0,  1213,     0,   363,   816,   817,
     364,   818,   365,   366,   367,   368,   369,     0,     0,   370,
    1214,   819,   372,   820,     0,   373,   374,   375,  1215,  1216,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,  1217,   821,  1218,   394,
     395,   396,   397,  1219,   398,   399,   822,   400,  1220,  1221,
     402,  1222,   404,   405,   406,     0,   407,   408,     0,     0,
    1223,   410,   411,     0,     0,   412,   413,   823,   414,   824,
    1224,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,  1225,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,  1226,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     825,   461,   462,   463,  1227,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
    1228,   479,   480,   481,   482,   483,   826,   484,   485,  1229,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,  1230,     0,   501,   502,     0,   503,
     827,   504,   505,   506,   507,   508,     0,  1231,  1232,     0,
       0,   511,   512,  1233,   514,  1234,  1235,   516,   517,   518,
     519,  5112,   521,   522,     0,  1236,   523,   524,   525,   526,
     527,  1237,     0,   528,   529,   530,   531,   532,   533,  1238,
       0,   535,   828,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,  1239,
    1240,  1241,  1242,   552,  1243,  1244,  1245,  1246,   557,   558,
     559,   560,  1247,     0,     0,     0,     0,     0,     0,  1248,
    1249,     0,     0,     0,     0,     0,     0,     0,  1251,   805,
    1180,   622,  1181,  1182,  1183,   681,  1184,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
    1185,     0,     0,   240,   241,     0,   242,   243,   244,   806,
     245,   246,   247,   248,  1186,   807,  1187,  1188,     0,   252,
     253,   254,   255,   256,  1189,  1190,   257,   258,  1191,  1192,
     261,     0,   262,   263,   264,   265,  1193,     0,  1194,     0,
     267,   268,   269,   270,   271,   809,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,   810,   281,   282,
     283,  1195,  1196,  1197,  1198,  1199,  1200,  1201,   284,   285,
     286,   287,   288,   289,  1202,  1203,   292,  4838,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,  1042,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,  1205,   320,   321,   322,  1206,  1207,   324,     0,   325,
     326,  1208,   328,     0,   329,     0,   330,   812,     0,   813,
     331,   332,   333,   334,     0,   335,  1209,     0,  1210,   338,
       0,   339,   340,   341,   342,   343,   814,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
     815,   355,   356,   357,   358,   359,  1211,  1212,     0,  1213,
       0,   363,   816,   817,   364,   818,   365,   366,   367,   368,
     369,     0,     0,   370,  1214,   819,   372,   820,     0,   373,
     374,   375,  1215,  1216,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
    1217,   821,  1218,   394,   395,   396,   397,     0,   398,   399,
     822,   400,  1220,  1221,   402,  1222,   404,   405,   406,     0,
     407,   408,     0,     0,  1223,   410,   411,     0,     0,   412,
     413,   823,   414,   824,  1224,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,  1225,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1226,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   825,   461,   462,   463,  2644,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,  1228,   479,   480,   481,   482,   483,
     826,   484,   485,  1229,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,  1230,     0,
     501,   502,     0,   503,   827,   504,   505,   506,   507,   508,
       0,  1231,  1232,     0,     0,   511,   512,  1233,   514,  1234,
    1235,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,  1237,     0,   528,   529,   530,
     531,   532,   533,  1238,     0,   535,   828,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,  1239,  1240,  1241,  1242,   552,  1243,  1244,
    1245,  1246,   557,   558,   559,   560,     0,     0,     0,     0,
       0,     0,     0,  2645,  2646,     0,     0,     0,     0,     0,
       0,     0,  2647,   805,  1180,   622,  1181,  1182,  1183,   681,
    1184,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,     0,  1185,     0,     0,   240,   241,     0,
     242,   243,   244,   806,   245,   246,   247, -2565,  1186,   807,
    1187,  1188,     0,   252,   253,   254,   255,   256,  1189,  1190,
     257,   258,  1191,  1192,   261,     0,   262,   263,   264,   265,
    1193,     0,  1194,     0,   267,   268,   269,   270,   271,   809,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,   810,   281,   282,  5111,  1195,  1196,  1197,  1198,  1199,
    1200,  1201,   284,   285,   286,   287,   288,   289,  1202,  1203,
     292,  1204,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,  1042,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,  1205,   320,   321,   322,  1206,
    1207,   324,     0,   325,   326,  1208,   328,     0,   329,     0,
     330,   812,     0,   813,   331,   332,   333,   334,     0,   335,
    1209,     0,  1210,   338,     0,   339,   340,   341,   342,   343,
   -2565,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,   815,   355,   356,   357,   358,   359,
    1211,  1212,     0,  1213,     0,   363,     0,     0,   364,   818,
     365,   366,   367,   368,   369,     0,     0,   370,  1214,   819,
     372, -2565,     0,   373,   374,   375,  1215,  1216,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,  1217,   821,  1218,   394,   395,   396,
     397,  1219,   398,   399,     0,   400,  1220,  1221,   402,  1222,
     404,   405,   406,     0,   407,   408,     0,     0,  1223,   410,
     411,     0,     0,   412,   413,   823,   414,   824,  1224,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,  1225,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,  1226,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   825,   461,
     462,   463,  1227,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,  1228,   479,
     480,   481,   482,   483, -2565,   484,   485,  1229,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,  1230,     0,   501,   502,     0,   503,   827,   504,
     505,   506,   507,   508,     0,  1231,  1232,     0,     0,   511,
     512,  1233,   514,  1234,  1235,   516,   517,   518,   519,  5112,
     521,   522,     0,  1236,   523,   524,   525,   526,   527,  1237,
       0,   528,   529,   530,   531,   532,   533,  1238,     0,   535,
     828,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,   547,  1239,  1240,  1241,
    1242,   552,  1243,  1244,  1245,  1246,   557,   558,   559,   560,
   -2565,     0,     0,     0,     0,     0,     0,  1248,  1249,     0,
       0,     0,     0,     0,     0,     0,  1251,   805,  1180,   622,
    1181,  1182,  1183,   681,  1184,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,  1185,     0,
       0,   240,   241,     0,   242,   243,   244,   806,   245,   246,
     247,   248,  1186,   807,  1187,  1188,     0,   252,   253,   254,
     255,   256,  1189,  1190,   257,   258,  1191,  1192,   261,     0,
     262,   263,   264,   265,  1193,     0,  1194,     0,   267,   268,
     269,   270,   271,   809,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,   810,   281,   282,   283,  1195,
    1196,  1197,  1198,  1199,  1200,  1201,   284,   285,   286,   287,
     288,   289,  1202,  1203,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,  1042,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,  1205,
     320,   321,   322,  1206,  1207,   324,     0,   325,   326,  1208,
     328,     0,   329,     0,   330,   812,     0,   813,   331,   332,
     333,   334,     0,   335,  1209,     0,  1210,   338,     0,   339,
     340,   341,   342,   343,   814,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,   815,   355,
     356,   357,   358,   359,  1211,  1212,     0,  1213,     0,   363,
     816,   817,   364,   818,   365,   366,   367,   368,   369,     0,
       0,   370,  1214,   819,   372,   820,     0,   373,   374,   375,
    1215,  1216,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,  1217,   821,
    1218,   394,   395,   396,   397,     0,   398,   399,   822,   400,
    1220,  1221,   402,  1222,   404,   405,   406,     0,   407,   408,
       0,     0,  1223,   410,   411,     0,     0,   412,   413,   823,
     414,   824,  1224,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,  1225,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,  1226,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   825,   461,   462,   463,  2644,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,  1228,   479,   480,   481,   482,   483,   826,   484,
     485,  1229,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,  1230,     0,   501,   502,
       0,   503,   827,   504,   505,   506,   507,   508,     0,  1231,
    1232,     0,     0,   511,   512,  1233,   514,  1234,  1235,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,  1237,     0,   528,   529,   530,   531,   532,
     533,  1238,     0,   535,   828,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,  1239,  1240,  1241,  1242,   552,  1243,  1244,  1245,  1246,
     557,   558,   559,   560,     0,     0,     0,     0,     0,     0,
       0,  2645,  2646,     0,     0,     0,     0,     0,     0,     0,
    2647,   805,  1180,   622,  1181,  1182,  1183,   681,  1184,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,  1185,     0,     0,   240,   241,     0,   242,   243,
     244,   806,   245,   246,   247,   248,  1186,   807,  1187,  1188,
       0,   252,   253,   254,   255,   256,  1189,  1190,   257,   258,
    1191,  1192,   261,     0,   262,   263,   264,   265,  1193,     0,
    1194,     0,   267,   268,   269,   270,   271,   809,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,   810,
     281,   282,   283,  1195,  1196,  1197,  1198,  1199,  1200,  1201,
     284,   285,   286,   287,   288,   289,  1202,  1203,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,  1042,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,  1205,   320,   321,   322,  1206,  1207,   324,
       0,   325,   326,  1208,   328,     0,   329,     0,   330,   812,
       0,   813,   331,   332,   333,   334,     0,   335,  1209,     0,
    1210,   338,     0,   339,   340,   341,   342,   343,   814,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,   815,   355,   356,   357,   358,   359,  1211,  1212,
       0,  1213,     0,   363,     0,   817,   364,   818,   365,   366,
     367,   368,   369,     0,     0,   370,  1214,   819,   372,   820,
       0,   373,   374,   375,  1215,  1216,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,  1217,   821,  1218,   394,   395,   396,   397,     0,
     398,   399,   822,   400,  1220,  1221,   402,  1222,   404,   405,
     406,     0,   407,   408,     0,     0,  1223,   410,   411,     0,
       0,   412,   413,   823,   414,   824,  1224,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,  1225,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1226,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   825,   461,   462,   463,
    2644,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,  1228,   479,   480,   481,
     482,   483,   826,   484,   485,  1229,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
    1230,     0,   501,   502,     0,   503,   827,   504,   505,   506,
     507,   508,     0,  1231,  1232,     0,     0,   511,   512,  1233,
     514,  1234,  1235,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,  1237,     0,   528,
     529,   530,   531,   532,   533,  1238,     0,   535,   828,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,  1239,  1240,  1241,  1242,   552,
    1243,  1244,  1245,  1246,   557,   558,   559,   560,     0,     0,
       0,     0,     0,     0,     0,  2645,  2646,     0,     0,   805,
    1180,   622,  1181,  1182,  2647,   681,  1184,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
    1185,     0,     0,   240,   241,     0,   242,   243,   244,   806,
     245,   246,   247,   248,  1186,   807,  1187,  1188,     0,   252,
     253,   254,   255,   256,  1189,  1190,   257,   258,  1191,  1192,
     261,     0,   262,   263,   264,   265,  1193,     0,  1194,     0,
     267,   268,   269,   270,   271,   809,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,   810,   281,   282,
     283,  1195,  1196,  1197,  1198,  1199,  1200,  1201,   284,   285,
     286,   287,   288,   289,  1202,  1203,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,  1042,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,  1205,   320,   321,   322,  1206,  1207,   324,     0,   325,
     326,  1208,   328,     0,   329,     0,   330,   812,     0,   813,
     331,   332,   333,   334,     0,   335,  1209,     0,  1210,   338,
       0,   339,   340,   341,   342,   343,   814,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
     815,   355,   356,   357,   358,   359,  1211,  1212,     0,  1213,
       0,   363,   816,   817,   364,   818,   365,   366,   367,   368,
     369,     0,     0,   370,  1214,   819,   372,   820,     0,   373,
     374,   375,  1215,  1216,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
    1217,   821,  1218,   394,   395,   396,   397,     0,   398,   399,
     822,   400,  1220,  1221,   402,  1222,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,   823,   414,   824,  1224,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,  1225,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1226,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   825,   461,   462,   463,  2644,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,  1228,   479,   480,   481,   482,   483,
     826,   484,   485,  1229,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,  1230,     0,
     501,   502,     0,   503,   827,   504,   505,   506,   507,   508,
       0,  1231,  1232,     0,     0,   511,   512,  1233,   514,  1234,
    1235,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,  1237,     0,   528,   529,   530,
     531,   532,   533,  1238,     0,   535,   828,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,  1239,  1240,  1241,  1242,   552,  1243,  1244,
    1245,  1246,   557,   558,   559,   560,     0,     0,   805,  1180,
     622,  1181,  1182,     0,   681,  1184,     0,     0,     0,     0,
       0,     0,  2647,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,  1185,
       0,     0,   240,   241,     0,   242,   243,   244,   806,   245,
     246,   247,   248,  1186,   807,  1187,  1188,     0,  3900,   253,
     254,   255,   256,  1189,  1190,   257,   258,  1191,  1192,   261,
       0,   262,   263,   264,   265,  1193,     0,  1194,     0,   267,
     268,   269,   270,   271,   809,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,   810,   281,   282,   283,
    1195,  1196,  1197,  1198,  1199,  1200,  1201,   284,   285,   286,
     287,   288,   289,  1202,  1203,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,  1042,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
    1205,   320,   321,   322,  1206,  1207,   324,     0,   325,   326,
    1208,   328,     0,   329,     0,   330,   812,     0,   813,   331,
     332,   333,   334,     0,   335,  1209,     0,  1210,   338,     0,
     339,   340,   341,   342,   343,   814,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,   815,
     355,   356,   357,   358,   359,  1211,  1212,     0,  1213,     0,
     363,   816,   817,   364,   818,   365,   366,   367,   368,   369,
       0,     0,   370,  1214,   819,   372,   820,     0,   373,   374,
     375,  1215,  1216,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,  1217,
     821,  1218,   394,   395,   396,   397,     0,   398,   399,   822,
     400,  1220,  1221,   402,  1222,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
     823,   414,   824,  1224,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,  1225,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,  1226,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   825,   461,   462,   463,  2644,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,  1228,   479,   480,   481,   482,   483,   826,
     484,   485,  1229,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,  1230,     0,   501,
     502,     0,   503,   827,   504,   505,   506,   507,   508,     0,
    1231,  1232,     0,     0,   511,   512,  1233,   514,  1234,  1235,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,  1237,     0,   528,   529,   530,   531,
     532,   533,  1238,     0,   535,   828,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,  1239,  1240,  1241,  1242,   552,  1243,  1244,  1245,
    1246,   557,   558,   559,   560,     0,     0,   805,  1180,   622,
    1181,  1182,     0,   681,  1184,     0,     0,     0,     0,     0,
       0,  2647,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,  1185,     0,
       0,   240,   241,     0,   242,   243,   244,   806,   245,   246,
     247,   248,  1186,   807,  1187,  1188,     0,   252,   253,   254,
     255,   256,  1189,  1190,   257,   258,  1191,  1192,   261,     0,
     262,   263,   264,   265,  1193,     0,  1194,     0,   267,   268,
     269,   270,   271,   809,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,   810,   281,   282,   283,  1195,
    1196,  1197,  1198,  1199,  1200,  1201,   284,   285,   286,   287,
     288,   289,  1202,  1203,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,  1042,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,  1205,
     320,   321,   322,  1206,  1207,   324,     0,   325,   326,  1208,
     328,     0,   329,     0,   330,   812,     0,   813,   331,   332,
     333,   334,     0,   335,  1209,     0,  1210,   338,     0,   339,
     340,   341,   342,   343,   814,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,   815,   355,
     356,   357,   358,   359,  1211,  1212,     0,  1213,     0,   363,
     816,   817,   364,   818,   365,   366,   367,   368,   369,     0,
       0,   370,  1214,   819,   372,   820,     0,   373,   374,   375,
    1215,  1216,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,  1217,   821,
    1218,   394,   395,   396,   397,     0,   398,   399,   822,   400,
    1220,  1221,   402,  1222,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,   413,   823,
     414,   824,  1224,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,  1225,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,  1226,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   825,   461,   462,   463,  2644,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,  1228,   479,   480,   481,   482,   483,   826,   484,
     485,  1229,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,  1230,     0,   501,   502,
       0,   503,   827,   504,   505,   506,   507,   508,     0,  1231,
    1232,     0,     0,   511,   512,  1233,   514,  1234,  1235,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,  1237,     0,   528,   529,   530,   531,   532,
     533,  1238,     0,   535,   828,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,  1239,  1240,  1241,  1242,  4366,  1243,  1244,  1245,  1246,
     557,   558,   559,   560,     0,     0,   805,  1180,   622,  1181,
    1182,  1183,   681,  1184,     0,     0,     0,     0,     0,     0,
    2647,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,  1185,     0,     0,
     240,   241,     0,   242,   243,   244,   806,   245,   246,   247,
       0,  1186,   807,  1187,  1188,     0,   252,   253,   254,   255,
     256,  1189,  1190,   257,   258,  1191,  1192,   261,     0,   262,
     263,   264,   265,  1193,     0,  1194,     0,   267,   268,   269,
     270,   271,   809,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,   810,   281,   282,   283,  1195,  1196,
    1197,  1198,  1199,  1200,  1201,   284,   285,   286,   287,   288,
     289,  1202,  1203,   292,  1204,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,  1042,   307,   308,     0,   309,   310,   311,     0,
     312,     0,   314,     0,   315,   316,   317,   318,  1205,   320,
     321,   322,  1206,  1207,   324,     0,   325,   326,  1208,   328,
       0,   329,     0,   330,   812,     0,   813,   331,   332,   333,
     334,     0,   335,  1209,     0,  1210,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,   815,   355,   356,
     357,   358,   359,  1211,  1212,     0,  1213,     0,   363,     0,
       0,   364,   818,   365,   366,   367,   368,   369,     0,     0,
     370,  1214,   819,   372,     0,     0,   373,   374,   375,  1215,
    1216,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,  1217,   821,  1218,
     394,   395,   396,   397,  1219,   398,   399,     0,   400,  1220,
    1221,   402,  1222,   404,   405,   406,     0,   407,   408,     0,
       0,  1223,   410,   411,     0,     0,   412,   413,   823,   414,
     824,  1224,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,  1225,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1226,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   825,   461,   462,   463,  1227,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,  1228,   479,   480,   481,   482,   483,     0,   484,   485,
    1229,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,  1230,     0,   501,   502,     0,
     503,   827,   504,   505,   506,   507,   508,     0,  1231,  1232,
       0,     0,   511,   512,  1233,   514,  1234,  1235,   516,   517,
     518,   519,   520,   521,   522,     0,  1236,   523,   524,   525,
     526,   527,  1237,     0,   528,   529,   530,   531,   532,   533,
    1238,     0,   535,   828,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
    1239,  1240,  1241,  1242,   552,  1243,  1244,  1245,  1246,   557,
     558,   559,   560,     0,     0,   805,     0,     0,     0,     0,
    1248,  1249,     0,     0,     0,     0,     0,     0,     0,  1251,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,   806,   245,   246,   247,   248,
     249,   807,   250,   251,     0,   252,   253,   254,   255,   256,
       0,  1190,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,  1193,     0,  1194,     0,   267,   268,   269,   270,
     271,   809,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,   810,   281,   282,   283,  1195,  1196,  1197,
    1198,  1199,  1200,  1201,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,  1206,     0,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,   812,     0,   813,   331,   332,   333,   334,
       0,   335,  1209,     0,   337,   338,     0,   339,   340,   341,
     342,   343,   814,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,   815,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,   816,   817,
     364,   818,   365,   366,   367,   368,   369,  3423,     0,   370,
    1214,   819,   372,   820,     0,   373,   374,   375,  1215,  1216,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   821,   393,   394,
     395,   396,   397,     0,   398,   399,   822,   400,     0,  1221,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   770,
     409,   410,   411,     0,     0,   412,   413,   823,   414,   824,
    1224,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,  1225,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     825,   461,   462,   463,   464,  3424,   466,   467,   468,   469,
     470,   471,   472,   473,    39,   474,   475,   476,   477,   478,
    1228,   479,   480,   481,   482,   483,   826,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,  1230,     0,   501,   502,    43,   503,
     827,   504,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,  1233,   514,  1234,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,  1237,     0,   528,   529,   530,   531,   532,  1116,   534,
       0,   535,   828,   536,   537,   538,   539,     0,     0,   540,
       0,    48,   541,   542,   543,   544,   545,   546,   547,  1239,
    1240,  1241,  1242,   552,  1243,  1244,  1245,  1246,  3425,   558,
     559,   560,     0,     0,    49,   805,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3426,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,   806,   245,   246,   247,   248,
     249,   807,   250,   251,     0,   252,   253,   254,   255,   256,
       0,  1190,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,  1193,     0,  1194,     0,   267,   268,   269,   270,
     271,   809,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,   810,   281,   282,   283,  1195,  1196,  1197,
    1198,  1199,  1200,  1201,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,  1206,     0,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,   812,     0,   813,   331,   332,   333,   334,
       0,   335,  1209,     0,   337,   338,     0,   339,   340,   341,
     342,   343,   814,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,   815,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,   816,   817,
     364,   818,   365,   366,   367,   368,   369,  3423,     0,   370,
    1214,   819,   372,   820,     0,   373,   374,   375,  1215,  1216,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   821,   393,   394,
     395,   396,   397,     0,   398,   399,   822,   400,     0,  1221,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   770,
     409,   410,   411,     0,     0,   412,   413,   823,   414,   824,
    1224,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,  1225,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     825,   461,   462,   463,   464,  3424,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
    1228,   479,   480,   481,   482,   483,   826,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,  1230,     0,   501,   502,     0,   503,
     827,   504,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,  1233,   514,  1234,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,  1237,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   828,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,  1239,
    1240,  1241,  1242,   552,  1243,  1244,  1245,  1246,  3425,   558,
     559,   560,     0,     0,   805,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3426,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,   806,   245,   246,   247,   248,   249,
     807,   250,   251,     0,   252,   253,   254,   255,   256,     0,
    1190,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,  1193,     0,  1194,     0,   267,   268,   269,   270,   271,
     809,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,   810,   281,   282,   283,  1195,  1196,  1197,  1198,
    1199,  1200,  1201,   284,   285,   286,   287,   288,   289,   290,
     291,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
    1206,     0,   324,     0,   325,   326,   327,   328,     0,   329,
       0,   330,   812,     0,   813,   331,   332,   333,   334,     0,
     335,  1209,     0,   337,   338,     0,   339,   340,   341,   342,
     343,   814,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,   815,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,   816,   817,   364,
     818,   365,   366,   367,   368,   369,     0,     0,   370,  1214,
     819,   372,   820,     0,   373,   374,   375,  1215,  1216,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   821,   393,   394,   395,
     396,   397,     0,   398,   399,   822,   400,     0,  1221,   402,
     403,   404,   405,   406,     0,   407,   408,     0,     0,   409,
     410,   411,     0,     0,   412,   413,   823,   414,   824,  1224,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,  1225,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   825,
     461,   462,   463,   464,  3424,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,  1228,
     479,   480,   481,   482,   483,   826,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,  1230,     0,   501,   502,     0,   503,   827,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,  1233,   514,  1234,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
    1237,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   828,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,  1239,  1240,
    1241,  1242,   552,  1243,  1244,  1245,  1246,  3425,   558,   559,
     560,     0,     0,   805,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    50,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,   806,   245,   246,   247,   248,   249,   807,
     250,   251,     0,   252,   253,   254,   255,   256,     0,  1190,
     257,   258,   259,   260,   261,     0,   262,   263,   264,   265,
    1193,     0,  1194,     0,   267,   268,   269,   270,   271,   809,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,   810,   281,   282,   283,  1195,  1196,  1197,  1198,  1199,
    1200,  1201,   284,   285,   286,   287,   288,   289,   290,   291,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,   319,   320,   321,   322,  1206,
       0,   324,     0,   325,   326,   327,   328,     0,   329,     0,
     330,   812,     0,   813,   331,   332,   333,   334,     0,   335,
    1209,     0,   337,   338,     0,   339,   340,   341,   342,   343,
     814,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,   815,   355,   356,   357,   358,   359,
     360,   361,     0,   362,     0,   363,   816,   817,   364,   818,
     365,   366,   367,   368,   369,     0,     0,   370,  1214,   819,
     372,   820,     0,   373,   374,   375,  1215,  1216,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   821,   393,   394,   395,   396,
     397,     0,   398,   399,   822,   400,     0,  1221,   402,   403,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,   413,   823,   414,   824,  1224,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,  1225,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   825,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,  1228,   479,
     480,   481,   482,   483,   826,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,  1230,     0,   501,   502,     0,   503,   827,   504,
     505,   506,   507,   508,     0,   509,   510,     0,     0,   511,
     512,  1233,   514,  1234,     0,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,   527,  1237,
       0,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     828,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,   547,  1239,  1240,  1241,
    1242,   552,  1243,  1244,  1245,  1246,   557,   558,   559,   560,
       0,     0,   805,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4029,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,   806,   245,   246,   247,   248,   249,   807,   250,
     251,     0,   252,   253,   254,   255,   256,     0,  1190,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,  1193,
       0,  1194,     0,   267,   268,   269,   270,   271,   809,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
     810,   281,   282,   283,  1195,  1196,  1197,  1198,  1199,  1200,
    1201,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,  1206,     0,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
     812,     0,   813,   331,   332,   333,   334,     0,   335,  1209,
       0,   337,   338,     0,   339,   340,   341,   342,   343,   814,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,   815,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,   816,   817,   364,   818,   365,
     366,   367,   368,   369,     0,     0,   370,  1214,   819,   372,
     820,     0,   373,   374,   375,  1215,  1216,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   821,   393,   394,   395,   396,   397,
       0,   398,   399,   822,   400,     0,  1221,   402,   403,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,   823,   414,   824,  1224,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
    1225,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   825,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,  1228,   479,   480,
     481,   482,   483,   826,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,  1230,     0,   501,   502,     0,   503,   827,   504,   505,
     506,   507,   508,     0,   509,   510,     0,     0,   511,   512,
    1233,   514,  1234,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,  1237,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,   828,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,  1239,  1240,  1241,  1242,
     552,  1243,  1244,  1245,  1246,   557,   558,   559,   560,     0,
       0,   850,  1458,   622,     0,     0,     0,   681,     0,     0,
       0,     0,     0,     0,     0,  5093,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,   806,   245,   246,   247,   248,   249,   807,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
     808,     0,   267,   268,   269,   270,   271,   809,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,   810,
     281,   282,   283,     0,     0,     0,   811,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,  1759,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,   812,
       0,   813,   331,   332,   333,   334,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,   343,   814,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,   815,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,   816,   817,   364,   818,   365,   366,
     367,   368,   369,     0,     0,   370,   371,   819,   372,   820,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   821,   393,   394,   395,   396,   397,     0,
     398,   399,   822,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,  1760,     0,   409,   410,   411,     0,
       0,   412,   413,   823,   414,   824,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   825,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   826,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,   827,   504,   505,   506,
     507,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,  1761,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   828,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,     0,     0,
     850,     0,     0,     0,     0,   693,  1459,  4914,     0,     0,
       0,     0,     0,     0,  4915,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     3,     4,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
     806,   245,   246,   247,   248,   249,   807,   250,   251,     0,
     252,   253,   254,   255,   256,     0,     0,   257,   258,   259,
     260,   261,     0,   262,   263,   264,   265,   266,     0,   808,
       0,   267,   268,   269,   270,   271,   809,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,   810,   281,
     282,   283,     0,     0,     0,   811,     0,     0,     0,   284,
     285,   286,   287,   288,   289,   290,   291,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,     0,   329,     0,   330,   812,     0,
     813,   331,   332,   333,   334,     0,   335,   336,     0,   337,
     338,     0,   339,   340,   341,   342,   343,   814,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,   815,   355,   356,   357,   358,   359,   360,   361,     0,
     362,     0,   363,   816,   817,   364,   818,   365,   366,   367,
     368,   369,     0,     0,   370,   371,   819,   372,   820,     0,
     373,   374,   375,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   821,   393,   394,   395,   396,   397,     0,   398,
     399,   822,   400,     0,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,   413,   823,   414,   824,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   825,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,    39,
     474,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,   826,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
       0,   501,   502,    43,   503,   827,   504,   505,   506,   507,
     508,     0,   509,   510,     0,     0,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,  1116,   534,     0,   535,   828,   536,   537,
     538,   539,     0,     0,   540,     0,    48,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,     0,     0,    49,
     805,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    50,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
     806,   245,   246,   247,   248,   249,   807,   250,   251,     0,
     252,   253,   254,   255,   256,     0,     0,   257,   258,   259,
     260,   261,     0,   262,   263,   264,   265,   266,     0,   808,
       0,   267,   268,   269,   270,   271,   809,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,   810,   281,
     282,   283,     0,     0,     0,   811,     0,     0,     0,   284,
     285,   286,   287,   288,   289,   290,   291,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,     0,   329,     0,   330,   812,     0,
     813,   331,   332,   333,   334,     0,   335,   336,     0,   337,
     338,     0,   339,   340,   341,   342,   343,   814,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,   815,   355,   356,   357,   358,   359,   360,   361,     0,
     362,     0,   363,   816,   817,   364,   818,   365,   366,   367,
     368,   369,     0,     0,   370,   371,   819,   372,   820,     0,
     373,   374,   375,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   821,   393,   394,   395,   396,   397,     0,   398,
     399,   822,   400,     0,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,   413,   823,   414,   824,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   825,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,   826,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
       0,   501,   502,     0,   503,   827,   504,   505,   506,   507,
     508,     0,   509,   510,     0,     0,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   533,   534,     0,   535,   828,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,     0,     0,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4698,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     369,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,    39,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,    43,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,  1116,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,    48,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,     0,     0,    49,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    50,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     369,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,     0,     0,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1309,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   245,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,     0,     0,   267,
     268,   269,   270,   271,     0,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,     0,   281,   282,   283,
       0,     0,     0,     0,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,     0,     0,     0,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,     0,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,     0,     0,   364,     0,   365,   366,   367,   368,   369,
       0,     0,   370,   371,     0,   372,     0,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,   394,   395,   396,   397,     0,   398,   399,     0,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
       0,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,     0,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,     0,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,     0,     0,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2801,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   245,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,     0,     0,   257,   258,   259,   260,   261,     0,
     262,   263,   264,   265,   266,     0,     0,     0,   267,   268,
     269,   270,   271,     0,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,     0,   281,   282,   283,     0,
       0,     0,     0,     0,     0,     0,   284,   285,   286,   287,
     288,   289,   290,   291,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,     0,   329,     0,   330,     0,     0,     0,   331,   332,
     333,   334,     0,   335,   336,     0,   337,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,     0,   355,
     356,   357,   358,   359,   360,   361,     0,   362,     0,   363,
       0,     0,   364,     0,   365,   366,   367,   368,   369,     0,
       0,   370,   371,     0,   372,     0,     0,   373,   374,   375,
       0,     0,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,     0,
     393,   394,   395,   396,   397,     0,   398,   399,     0,   400,
       0,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,   413,     0,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,     0,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,     0,   501,   502,
       0,   503,     0,   504,   505,   506,   507,   508,     0,   509,
     510,     0,     0,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,     0,     0,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3935,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   245,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,     0,     0,     0,   267,   268,   269,
     270,   271,     0,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,     0,   281,   282,   283,     0,     0,
       0,     0,     0,     0,     0,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
       0,   329,     0,   330,     0,     0,     0,   331,   332,   333,
     334,     0,   335,   336,     0,   337,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,     0,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,     0,
       0,   364,     0,   365,   366,   367,   368,   369,     0,     0,
     370,   371,     0,   372,     0,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,     0,   393,
     394,   395,   396,   397,     0,   398,   399,     0,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,   413,     0,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,     0,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,     0,   501,   502,     0,
     503,     0,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,     0,     0,     0,     0,     0,  1034,  1458,
     622,     0,     0,   864,   681,     0,     0,     0,     0,  4383,
     865,   866,   867,   228,   229,   230,   231,   232,   233,   234,
     235,  1947,   237,   238,   239,  1948,  1949,  1950,  1951,  1952,
    1953,  1954,   240,   241,  1955,   242,   243,   244,   806,   245,
     246,   247,     0,  1035,   807,  1036,  1037,  1956,   252,   253,
     254,   255,   256,  1957,  1958,   257,   258,  1038,  1039,   261,
    1959,   262,   263,   264,   265,     0,  1960,   808,  1961,   267,
     268,   269,   270,   271,   809,   272,   273,   274,  1962,   275,
     276,   277,   278,   279,   280,  1963,   810,   281,   282,   283,
    1964,  1965,  1966,   811,  1967,  1968,  1969,   284,   285,   286,
     287,   288,   289,  1040,  1041,   292,  1970,   293,  1971,   294,
     295,   296,   297,   298,   299,  1972,   300,   301,   302,   303,
    1973,  1974,   304,   305,  1042,   307,   308,  1975,   309,   310,
     311,  1976,   312,   313,   314,  1977,   315,   316,   317,   318,
       0,   320,   321,   322,     0,  1978,   324,  1979,   325,   326,
    1043,   328,  1980,   329,  1981,   330,   812,  1982,   813,   331,
     332,   333,   334,  1983,   335,     0,  1984,     0,   338,  1985,
     339,   340,   341,   342,   343,   814,   344,   345,   346,   347,
    1986,   348,   349,   350,   351,   352,   353,  1987,   354,   815,
       0,   356,   357,   358,   359,  1045,  1046,  1988,  1047,  1989,
     363,   816,   817,   364,   818,   365,   366,   367,   368,   369,
    1990,  1991,   370,     0,   819,   372,   820,  1992,   373,   374,
     375,  1993,  1994,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,  1048,
     821,  1049,   394,   395,   396,  3690,  1995,   398,   399,   822,
     400,  1996,     0,   402,  1050,   404,   405,   406,  1997,   407,
     408,  1998,  1999,  3691,   410,   411,  2000,  2001,   412,     0,
     823,   414,   824,     0,   416,   417,   418,   419,   420,   421,
     422,   423,   424,  2002,   425,   426,     0,   428,     0,   430,
     431,   432,  2003,   433,   434,   435,   436,   437,   438,   439,
     440,   441,  1051,   443,   444,   445,   446,  2004,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
    2005,   459,   460,   825,   461,   462,   463,     0,   465,   466,
     467,   468,   469,   470,   471,   472,   473,  2006,   474,   475,
     476,   477,   478,  2007,   479,   480,  2091,   482,   483,   826,
     484,   485,  1053,   487,  2008,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,  2009,   501,
     502,  2010,   503,   827,   504,   505,   506,   507,   508,  2011,
    1054,  1055,  2012,  2013,   511,   512,     0,   514,     0,  2014,
     516,   517,   518,   519,   520,   521,   522,  2015,  2016,   523,
     524,   525,   526,   527,  2017,  2018,   528,   529,   530,   531,
     532,     0,  1056,  2019,   535,   828,   536,   537,   538,   539,
    2020,  2021,   540,  2022,  2023,   541,   542,   543,   544,   545,
     546,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   558,   559,   560,     0,     0,     0,   870,   871,
     872,     0,  3692,  3693,   875,   876,   877,   878,  1034,  1458,
     622,     0,     0,   864,   681,     0,     0,     0,     0,     0,
     865,   866,   867,   228,   229,   230,   231,   232,   233,   234,
     235,  1947,   237,   238,   239,  1948,  1949,  1950,  1951,  1952,
    1953,  1954,   240,   241,  1955,   242,   243,   244,   806,   245,
     246,   247,     0,  1035,   807,  1036,  1037,  1956,   252,   253,
     254,   255,   256,  1957,  1958,   257,   258,  1038,  1039,   261,
    1959,   262,   263,   264,   265,     0,  1960,   808,  1961,   267,
     268,   269,   270,   271,   809,   272,   273,   274,  1962,   275,
     276,   277,   278,   279,   280,  1963,   810,   281,   282,   283,
    1964,  1965,  1966,   811,  1967,  1968,  1969,   284,   285,   286,
     287,   288,   289,  1040,  1041,   292,  1970,   293,  1971,   294,
     295,   296,   297,   298,   299,  1972,   300,   301,   302,   303,
    1973,  1974,   304,   305,  1042,   307,   308,  1975,   309,   310,
     311,  1976,   312,   313,   314,  1977,   315,   316,   317,   318,
       0,   320,   321,   322,     0,  1978,   324,  1979,   325,   326,
    1043,   328,  1980,   329,  1981,   330,   812,  1982,   813,   331,
     332,   333,   334,  1983,   335,     0,  1984,     0,   338,  1985,
     339,   340,   341,   342,   343,   814,   344,   345,   346,   347,
    1986,   348,   349,   350,   351,   352,   353,  1987,   354,   815,
       0,   356,   357,   358,   359,  1045,  1046,  1988,  1047,  1989,
     363,   816,   817,   364,   818,   365,   366,   367,   368,   369,
    1990,  1991,   370,     0,   819,   372,   820,  1992,   373,   374,
     375,  1993,  1994,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,  1048,
     821,  1049,   394,   395,   396,  4120,  1995,   398,   399,   822,
     400,  1996,     0,   402,  1050,   404,   405,   406,  1997,   407,
     408,  1998,  1999,  3691,   410,   411,  2000,  2001,   412,     0,
     823,   414,   824,     0,   416,   417,   418,   419,   420,   421,
     422,   423,   424,  2002,   425,   426,     0,   428,     0,   430,
     431,   432,  2003,   433,   434,   435,   436,   437,   438,   439,
     440,   441,  1051,   443,   444,   445,   446,  2004,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
    2005,   459,   460,   825,   461,   462,   463,     0,   465,   466,
     467,   468,   469,   470,   471,   472,   473,  2006,   474,   475,
     476,   477,   478,  2007,   479,   480,  2091,   482,   483,   826,
     484,   485,  1053,   487,  2008,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,  2009,   501,
     502,  2010,   503,   827,   504,   505,   506,   507,   508,  2011,
    1054,  1055,  2012,  2013,   511,   512,     0,   514,     0,  2014,
     516,   517,   518,   519,   520,   521,   522,  2015,  2016,   523,
     524,   525,   526,   527,  2017,  2018,   528,   529,   530,   531,
     532,     0,  1056,  2019,   535,   828,   536,   537,   538,   539,
    2020,  2021,   540,  2022,  2023,   541,   542,   543,   544,   545,
     546,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   558,   559,   560,     0,   227,     0,   870,   871,
     872,   864,  3692,  3693,   875,   876,   877,   878,   865,   866,
     867,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   245,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,   259,   260,   261,     0,   262,
     868,   264,   265,   266,     0,     0,     0,   267,   268,   269,
     270,   271,     0,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,     0,   281,   282,   283,     0,     0,
       0,     0,     0,     0,     0,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,   323,     0,   869,     0,   325,   326,   327,   328,
       0,   329,     0,   330,     0,     0,     0,   331,   332,   333,
     334,     0,   335,   336,     0,   337,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,     0,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,     0,
       0,   364,     0,   365,   366,   367,   368,   369,     0,     0,
     370,   371,     0,   372,     0,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,     0,   393,
     394,   395,   396,   397,     0,   398,   399,     0,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,   413,     0,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,     0,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,     0,   501,   502,     0,
     503,     0,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,     0,   227,     0,   870,   871,   872,   864,
     873,   874,   875,   876,   877,   878,   865,   866,   867,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   245,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,   259,   260,   261,     0,   262,   986,   264,
     265,   266,     0,     0,     0,   267,   268,   269,   270,   271,
       0,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,     0,   281,   282,   283,     0,     0,     0,     0,
       0,     0,     0,   284,   285,   286,   287,   288,   289,   290,
     291,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
     323,     0,   987,     0,   325,   326,   327,   328,     0,   329,
       0,   330,     0,     0,     0,   331,   332,   333,   334,     0,
     335,   336,     0,   337,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,     0,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,     0,     0,   364,
       0,   365,   366,   367,   368,   369,     0,     0,   370,   371,
       0,   372,     0,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,     0,   393,   394,   395,
     396,   397,     0,   398,   399,     0,   400,     0,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,     0,   409,
     410,   411,     0,     0,   412,   413,     0,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,     0,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,     0,   501,   502,     0,   503,     0,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,     0,   227,     0,   870,   871,   872,   864,   873,   874,
     875,   876,   877,   878,   865,   866,   867,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   245,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,   259,   260,   261,     0,   262,  1084,   264,   265,   266,
       0,     0,     0,   267,   268,   269,   270,   271,     0,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
       0,   281,   282,   283,     0,     0,     0,     0,     0,     0,
       0,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,     0,
    1085,     0,   325,   326,   327,   328,     0,   329,     0,   330,
       0,     0,     0,   331,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,  1086,     0,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,     0,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,     0,     0,   364,     0,   365,
     366,   367,   368,   369,     0,     0,   370,   371,     0,   372,
       0,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,     0,   393,   394,   395,   396,   397,
       0,   398,   399,     0,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,     0,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,     0,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,     0,   503,     0,   504,   505,
     506,   507,   508,     0,   509,   510,     0,     0,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,     0,
     227,     0,   870,   871,   872,   864,   873,   874,   875,   876,
     877,   878,   865,   866,   867,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   245,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,     0,     0,   257,   258,   259,
     260,   261,     0,   262,  1579,   264,   265,   266,     0,     0,
       0,   267,   268,   269,   270,   271,     0,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,     0,   281,
     282,   283,     0,     0,     0,     0,     0,     0,     0,   284,
     285,   286,   287,   288,   289,   290,   291,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,   319,   320,   321,   322,   323,     0,  1580,     0,
     325,   326,   327,   328,     0,   329,     0,   330,     0,     0,
       0,   331,   332,   333,   334,     0,   335,   336,     0,   337,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,     0,   355,   356,   357,   358,   359,   360,   361,     0,
     362,     0,   363,     0,     0,   364,     0,   365,   366,   367,
     368,   369,     0,     0,   370,   371,     0,   372,     0,     0,
     373,   374,   375,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,     0,   393,   394,   395,   396,   397,     0,   398,
     399,     0,   400,     0,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,   413,     0,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,     0,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
       0,   501,   502,     0,   503,     0,   504,   505,   506,   507,
     508,     0,   509,   510,     0,     0,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,     0,   227,     0,
     870,   871,   872,   864,   873,   874,   875,   876,   877,   878,
     865,   866,   867,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   245,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,     0,     0,   267,
     268,   269,   270,   271,     0,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,     0,   281,   282,   283,
       0,     0,     0,     0,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,     0,     0,     0,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,     0,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,     0,     0,   364,     0,   365,   366,   367,   368,   369,
       0,     0,   370,   371,     0,   372,     0,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,   394,   395,   396,   397,     0,   398,   399,     0,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
       0,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,     0,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,     0,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,     0,   227,     0,   870,   871,
     872,   864,   873,   874,   875,   876,   877,   878,   865,   866,
     867,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   245,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,   259,   260,   261,     0,   262,
    2879,   264,   265,   266,     0,     0,     0,   267,   268,   269,
     270,   271,     0,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,     0,   281,   282,   283,     0,     0,
       0,     0,     0,     0,     0,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,   323,     0,  2880,     0,   325,   326,   327,   328,
       0,   329,     0,   330,     0,     0,     0,   331,   332,   333,
     334,     0,   335,   336,     0,   337,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,     0,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,     0,
       0,   364,     0,   365,   366,   367,   368,   369,     0,     0,
     370,   371,     0,   372,     0,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,     0,   393,
     394,   395,   396,   397,     0,   398,   399,     0,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,   413,     0,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,     0,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,     0,   501,   502,     0,
     503,     0,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,     0,   227,     0,   870,   871,   872,   864,
     873,   874,   875,   876,   877,   878,   865,   866,   867,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   245,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,     0,     0,     0,   267,   268,   269,   270,   271,
       0,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,     0,   281,   282,   283,     0,     0,     0,     0,
       0,     0,     0,   284,   285,   286,   287,   288,   289,   290,
     291,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,     0,   329,
       0,   330,     0,     0,     0,   331,   332,   333,   334,     0,
     335,   336,     0,   337,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,     0,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,     0,     0,   364,
       0,   365,   366,   367,   368,   369,     0,     0,   370,   371,
       0,   372,     0,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,     0,   393,   394,   395,
     396,   397,     0,   398,   399,     0,   400,     0,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,     0,  4676,
     410,   411,     0,     0,   412,   413,     0,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,     0,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,     0,   501,   502,     0,   503,     0,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,  1946,     0,     0,   870,   871,   872,     0,   873,   874,
     875,   876,   877,   878,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,  1947,   237,   238,   239,  1948,  1949,
    1950,  1951,  1952,  1953,  1954,   240,   241,  1955,   242,   243,
     244,   806,   245,   246,   247,   248,   249,   807,   250,   251,
    1956,   252,   253,   254,   255,   256,  1957,  1958,   257,   258,
     259,   260,   261,  1959,   262,   263,   264,   265,   266,  1960,
     808,  1961,   267,   268,   269,   270,   271,   809,   272,   273,
     274,  1962,   275,   276,   277,   278,   279,   280,  1963,   810,
     281,   282,   283,  1964,  1965,  1966,   811,  1967,  1968,  1969,
     284,   285,   286,   287,   288,   289,   290,   291,   292,  1970,
     293,  1971,   294,   295,   296,   297,   298,   299,  1972,   300,
     301,   302,   303,  1973,  1974,   304,   305,   306,   307,   308,
    1975,   309,   310,   311,  1976,   312,   313,   314,  1977,   315,
     316,   317,   318,   319,   320,   321,   322,   323,  1978,   324,
    1979,   325,   326,   327,   328,  1980,   329,  1981,   330,   812,
    1982,   813,   331,   332,   333,   334,  1983,   335,   336,  1984,
     337,   338,  1985,   339,   340,   341,   342,   343,   814,   344,
     345,   346,   347,  1986,   348,   349,   350,   351,   352,   353,
    1987,   354,   815,   355,   356,   357,   358,   359,   360,   361,
    1988,   362,  1989,   363,   816,   817,   364,   818,   365,   366,
     367,   368,   369,  1990,  1991,   370,   371,   819,   372,   820,
    1992,   373,   374,   375,  1993,  1994,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   821,   393,   394,   395,   396,   397,  1995,
     398,   399,   822,   400,  1996,   401,   402,   403,   404,   405,
     406,  1997,   407,   408,  1998,  1999,   409,   410,   411,  2000,
    2001,   412,   413,   823,   414,   824,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,  2002,   425,   426,   427,
     428,   429,   430,   431,   432,  2003,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
    2004,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,  2005,   459,   460,   825,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
    2006,   474,   475,   476,   477,   478,  2007,   479,   480,   481,
     482,   483,   826,   484,   485,   486,   487,  2008,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,  2009,   501,   502,  2010,   503,   827,   504,   505,   506,
     507,   508,  2011,   509,   510,  2012,  2013,   511,   512,   513,
     514,   515,  2014,   516,   517,   518,   519,   520,   521,   522,
    2015,  2016,   523,   524,   525,   526,   527,  2017,  2018,   528,
     529,   530,   531,   532,   533,   534,  2019,   535,   828,   536,
     537,   538,   539,  2020,  2021,   540,  2022,  2023,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   227,     0,
       0,     0,     0,     0,     0,     0,     0,  2024,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   245,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,     0,     0,   267,
     268,   269,   270,   271,     0,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,     0,   281,   282,   283,
       0,     0,     0,     0,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,     0,     0,     0,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,     0,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,     0,     0,   364,     0,   365,   366,   367,   368,   369,
       0,     0,   370,   371,     0,   372,     0,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,   394,   395,   396,   397,     0,   398,   399,     0,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
       0,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,     0,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,     0,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   227,     0,     0,     0,     0,
       0,     0,     0,     0,   775,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   245,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,     0,     0,     0,   267,   268,   269,   270,
     271,     0,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,     0,   281,   282,   283,     0,     0,     0,
       0,     0,     0,     0,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,     0,     0,     0,   331,   332,   333,   334,
       0,   335,   336,     0,   337,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,     0,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,     0,     0,
     364,     0,   365,   366,   367,   368,   369,     0,     0,   370,
     371,     0,   372,     0,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,     0,   393,   394,
     395,   396,   397,     0,   398,   399,     0,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,   413,     0,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,     0,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,     0,   503,
       0,   504,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,  1034,     0,     0,     0,     0,     0,     0,     0,
       0,  5060,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,   806,   245,   246,   247,     0,  1035,   807,  1036,
    1037,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,  1038,  1039,   261,     0,   262,   263,   264,   265,     0,
       0,   808,     0,   267,   268,   269,   270,   271,   809,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
     810,   281,   282,   283,     0,     0,     0,   811,     0,     0,
       0,   284,   285,   286,   287,   288,   289,  1040,  1041,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,  1042,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,     0,   320,   321,   322,     0,     0,
     324,     0,   325,   326,  1043,   328,     0,   329,     0,   330,
     812,     0,   813,   331,   332,   333,   334,     0,   335,     0,
       0,     0,   338,     0,   339,   340,   341,   342,   343,   814,
     344,   345,   346,   347,  2087,   348,   349,   350,   351,   352,
     353,     0,   354,   815,  2088,   356,   357,   358,   359,  1045,
    1046,     0,  1047,     0,   363,   816,   817,   364,   818,   365,
     366,   367,   368,   369,     0,     0,   370,     0,   819,   372,
     820,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,  1048,   821,  1049,   394,   395,   396,     0,
       0,   398,   399,   822,   400,     0,     0,   402,  1050,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,  2089,   412,  2090,   823,   414,   824,     0,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   428,     0,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,  1051,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   825,   461,   462,
     463,     0,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,     0,   479,   480,
    2091,   482,   483,   826,   484,   485,  1053,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,     0,   501,   502,     0,   503,   827,   504,   505,
     506,   507,   508,     0,  1054,  1055,     0,     0,   511,   512,
       0,   514,     0,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,     0,  1056,  2092,   535,   828,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,  2379,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   558,   559,   560,     0,
     228,   229,   230,   231,   232,   233,   234,   235,  2093,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,   806,   245,   246,   247,     0,
    1035,   807,  1036,  1037,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,  1038,  1039,   261,     0,   262,   263,
     264,   265,     0,     0,   808,     0,   267,   268,   269,   270,
     271,   809,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,   810,   281,   282,   283,     0,     0,     0,
     811,     0,     0,     0,   284,   285,   286,   287,   288,   289,
    1040,  1041,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,  1042,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,     0,   320,   321,
     322,     0,     0,   324,     0,   325,   326,  1043,   328,     0,
     329,     0,   330,   812,     0,   813,   331,   332,   333,   334,
       0,   335,     0,     0,     0,   338,     0,   339,   340,   341,
     342,   343,   814,   344,   345,   346,   347,  2087,   348,   349,
     350,   351,   352,   353,     0,   354,   815,  2088,   356,   357,
     358,   359,  1045,  1046,     0,  1047,     0,   363,   816,   817,
     364,   818,   365,   366,   367,   368,   369,     0,     0,   370,
       0,   819,   372,   820,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,  1048,   821,  1049,   394,
     395,   396,     0,     0,   398,   399,   822,   400,     0,     0,
     402,  1050,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,  2089,   412,  2090,   823,   414,   824,
       0,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   428,     0,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,  1051,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     825,   461,   462,   463,     0,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
       0,   479,   480,  2091,   482,   483,   826,   484,   485,  1053,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,     0,   501,   502,     0,   503,
     827,   504,   505,   506,   507,   508,     0,  1054,  1055,     0,
       0,   511,   512,     0,   514,     0,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,     0,  1056,
    2092,   535,   828,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   850,  1458,
     622,     0,     0,     0,   681,     0,     0,     0,     0,   558,
     559,   560,     0,   228,   229,   230,   231,   232,   233,   234,
     235,  2093,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,   806,   245,
     246,   247,   248,   249,   807,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,   808,     0,   267,
     268,   269,   270,   271,   809,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,   810,   281,   282,   283,
       0,     0,     0,   811,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,  1935,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,  1759,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,   812,     0,   813,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,   343,   814,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,   815,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,   816,   817,   364,   818,   365,   366,   367,   368,   369,
       0,     0,   370,   371,   819,   372,   820,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     821,   393,   394,   395,   396,   397,     0,   398,   399,   822,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,  1760,     0,   409,   410,   411,     0,     0,   412,   413,
     823,   414,   824,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   825,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   826,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,   827,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,  1761,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,   828,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   850,  1458,   622,     0,     0,
       0,   681,   693,  1459,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,   806,   245,   246,   247,   248,
     249,   807,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,     0,   808,     0,   267,   268,   269,   270,
     271,   809,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,   810,   281,   282,   283,     0,     0,     0,
     811,     0,     0,     0,   284,   285,   286,   287,   288,   289,
     290,   291,   292,  1940,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,  1759,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,   812,     0,   813,   331,   332,   333,   334,
       0,   335,   336,     0,   337,   338,     0,   339,   340,   341,
     342,   343,   814,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,   815,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,   816,   817,
     364,   818,   365,   366,   367,   368,   369,     0,     0,   370,
     371,   819,   372,   820,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   821,   393,   394,
     395,   396,   397,     0,   398,   399,   822,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,  1760,     0,
     409,   410,   411,     0,     0,   412,   413,   823,   414,   824,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     825,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,   826,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,     0,   503,
     827,   504,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,   513,   514,   515,  1761,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   828,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   850,  1458,   622,     0,     0,     0,   681,   693,
    1459,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,   806,   245,   246,   247,   248,   249,   807,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,   808,     0,   267,   268,   269,   270,   271,   809,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
     810,   281,   282,   283,     0,     0,     0,   811,     0,     0,
       0,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,  1759,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
     812,     0,   813,   331,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,   343,   814,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,   815,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,   816,   817,   364,   818,   365,
     366,   367,   368,   369,     0,     0,   370,   371,   819,   372,
     820,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   821,   393,   394,   395,   396,   397,
       0,   398,   399,   822,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,  1760,     0,   409,   410,   411,
       0,     0,   412,   413,   823,   414,   824,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   825,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   826,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,     0,   503,   827,   504,   505,
     506,   507,   508,     0,   509,   510,     0,     0,   511,   512,
     513,   514,   515,  1761,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,   828,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   850,
       0,   622,     0,     0,     0,   681,   693,  1459,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,   806,
     245,   246,   247,   248,   249,   807,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,   808,     0,
     267,   268,   269,   270,   271,   809,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,   810,   281,   282,
     283,     0,     0,     0,   811,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,  2833,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,  1759,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,   812,     0,   813,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,   343,   814,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
     815,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,   816,   817,   364,   818,   365,   366,   367,   368,
     369,     0,     0,   370,   371,   819,   372,   820,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   821,   393,   394,   395,   396,   397,     0,   398,   399,
     822,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,  1760,     0,   409,   410,   411,     0,     0,   412,
     413,   823,   414,   824,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   825,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     826,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,   827,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
    1761,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   828,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   227,     0,     0,     0,
       0,     0,   681,   693,   694,     0,     0,     0,     0,     0,
       0,   228,   682,   230,   231,   232,   233,   234,   235,   683,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   684,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,     0,     0,     0,   267,   268,   269,
     270,   271,     0,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,     0,   281,   282,   283,     0,     0,
       0,     0,     0,     0,     0,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   685,   327,   328,
       0,   329,     0,   686,     0,   687,     0,   331,   332,   333,
     334,     0,   335,   336,     0,   337,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   688,   348,
     349,   350,   351,   352,   353,     0,   354,     0,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,     0,
       0,   364,     0,   365,   366,   367,   368,   689,     0,     0,
     370,   371,     0,   372,     0,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,     0,   393,
     394,   690,   396,   397,     0,   398,   399,     0,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,   413,     0,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   691,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   692,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,     0,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,     0,   501,   502,     0,
     503,     0,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,  1946,  5255,   622,     0,     0,     0,   681,
     693,   694,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,  1947,   237,   238,   239,
    1948,  1949,  1950,  1951,  1952,  1953,  1954,   240,   241,  1955,
     242,   243,   244,   806,   245,   246,   247,   248,   249,   807,
     250,   251,  1956,   252,   253,   254,   255,   256,  1957,  1958,
     257,   258,   259,   260,   261,  1959,   262,   263,   264,   265,
     266,  1960,   808,  1961,   267,   268,   269,   270,   271,   809,
     272,   273,   274,  1962,   275,   276,   277,   278,   279,   280,
    1963,   810,   281,   282,   283,  1964,  1965,  1966,   811,  1967,
    1968,  1969,   284,   285,   286,   287,   288,   289,   290,   291,
     292,  1970,   293,  1971,   294,   295,   296,   297,   298,   299,
    1972,   300,   301,   302,   303,  1973,  1974,   304,   305,   306,
     307,   308,  1975,   309,   310,   311,  1976,   312,   313,   314,
    1977,   315,   316,   317,   318,   319,   320,   321,   322,   323,
    1978,   324,  1979,   325,   326,   327,   328,  1980,   329,  1981,
     330,   812,  1982,   813,   331,   332,   333,   334,  1983,   335,
     336,  1984,   337,   338,  1985,   339,   340,   341,   342,   343,
     814,   344,   345,   346,   347,  1986,   348,   349,   350,   351,
     352,   353,  1987,   354,   815,   355,   356,   357,   358,   359,
     360,   361,  1988,   362,  1989,   363,   816,   817,   364,   818,
     365,   366,   367,   368,   369,  1990,  1991,   370,   371,   819,
     372,   820,  1992,   373,   374,   375,  1993,  1994,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   821,   393,   394,   395,   396,
     397,  1995,   398,   399,   822,   400,  1996,   401,   402,   403,
     404,   405,   406,  1997,   407,   408,  1998,  1999,   409,   410,
     411,  2000,  2001,   412,   413,   823,   414,   824,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,  2002,   425,
     426,   427,   428,   429,   430,   431,   432,  2003,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,  2004,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,  2005,   459,   460,   825,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,  2006,   474,   475,   476,   477,   478,  2007,   479,
     480,   481,   482,   483,   826,   484,   485,   486,   487,  2008,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,  2009,   501,   502,  2010,   503,   827,   504,
     505,   506,   507,   508,  2011,   509,   510,  2012,  2013,   511,
     512,   513,   514,   515,  2014,   516,   517,   518,   519,   520,
     521,   522,  2015,  2016,   523,   524,   525,   526,   527,  2017,
    2018,   528,   529,   530,   531,   532,   533,   534,  2019,   535,
     828,   536,   537,   538,   539,  2020,  2021,   540,  2022,  2023,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
    1946,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,  1947,   237,   238,   239,  1948,  1949,  1950,
    1951,  1952,  1953,  1954,   240,   241,  1955,   242,   243,   244,
     806,   245,   246,   247,   248,   249,   807,   250,   251,  1956,
     252,   253,   254,   255,   256,  1957,  1958,   257,   258,   259,
     260,   261,  1959,   262,   263,   264,   265,   266,  1960,   808,
    1961,   267,   268,   269,   270,   271,   809,   272,   273,   274,
    1962,   275,   276,   277,   278,   279,   280,  1963,   810,   281,
     282,   283,  1964,  1965,  1966,   811,  1967,  1968,  1969,   284,
     285,   286,   287,   288,   289,   290,   291,   292,  1970,   293,
    1971,   294,   295,   296,   297,   298,   299,  1972,   300,   301,
     302,   303,  1973,  1974,   304,   305,   306,   307,   308,  1975,
     309,   310,   311,  1976,   312,   313,   314,  1977,   315,   316,
     317,   318,   319,   320,   321,   322,   323,  1978,   324,  1979,
     325,   326,   327,   328,  1980,   329,  1981,   330,   812,  1982,
     813,   331,   332,   333,   334,  1983,   335,   336,  1984,   337,
     338,  1985,   339,   340,   341,   342,   343,   814,   344,   345,
     346,   347,  1986,   348,   349,   350,   351,   352,   353,  1987,
     354,   815,   355,   356,   357,   358,   359,   360,   361,  1988,
     362,  1989,   363,   816,   817,   364,   818,   365,   366,   367,
     368,   369,  1990,  1991,   370,   371,   819,   372,   820,  1992,
     373,   374,   375,  1993,  1994,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   821,   393,   394,   395,   396,   397,  1995,   398,
     399,   822,   400,  1996,   401,   402,   403,   404,   405,   406,
    1997,   407,   408,  1998,  1999,   409,   410,   411,  2000,  2001,
     412,   413,   823,   414,   824,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,  2002,   425,   426,   427,   428,
     429,   430,   431,   432,  2003,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,  2004,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,  2005,   459,   460,   825,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,  2006,
     474,   475,   476,   477,   478,  2007,   479,   480,   481,   482,
     483,   826,   484,   485,   486,   487,  2008,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
    2009,   501,   502,  2010,   503,   827,   504,   505,   506,   507,
     508,  2011,   509,   510,  2012,  2013,   511,   512,   513,   514,
     515,  2014,   516,   517,   518,   519,   520,   521,   522,  2015,
    2016,   523,   524,   525,   526,   527,  2017,  2018,   528,   529,
     530,   531,   532,   533,   534,  2019,   535,   828,   536,   537,
     538,   539,  2020,  2021,   540,  2022,  2023,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,  1946,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,  2947,   233,   234,   235,
    1947,   237,   238,   239,  1948,  1949,  1950,  1951,  1952,  1953,
    1954,   240,   241,  1955,   242,   243,   244,   806,   245,   246,
     247,   248,   249,   807,   250,   251,  1956,   252,   253,   254,
     255,   256,  1957,  1958,   257,   258,   259,   260,   261,  1959,
     262,   263,   264,   265,   266,  1960,   808,  1961,   267,   268,
     269,   270,   271,   809,   272,   273,   274,  1962,   275,   276,
     277,   278,   279,   280,  1963,   810,   281,   282,   283,  1964,
    1965,  1966,   811,  1967,  1968,  1969,   284,   285,   286,   287,
     288,   289,   290,   291,   292,  1970,   293,  1971,   294,   295,
     296,   297,   298,   299,  1972,   300,   301,   302,   303,  1973,
    1974,   304,   305,   306,  2948,   308,  1975,   309,   310,   311,
    1976,   312,   313,   314,  1977,   315,   316,   317,   318,   319,
     320,   321,   322,   323,  1978,   324,  1979,   325,   326,   327,
     328,  1980,   329,  1981,   330,   812,  1982,   813,   331,   332,
     333,   334,  1983,   335,   336,  1984,   337,   338,  1985,   339,
     340,   341,   342,   343,   814,   344,   345,   346,   347,  1986,
     348,   349,   350,   351,   352,   353,  1987,   354,   815,   355,
     356,   357,   358,   359,   360,   361,  1988,   362,  1989,   363,
     816,   817,   364,   818,   365,   366,   367,   368,   369,  1990,
    1991,   370,   371,   819,   372,   820,  1992,   373,   374,   375,
    1993,  1994,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   821,
     393,   394,   395,   396,   397,  1995,   398,   399,   822,   400,
    1996,   401,   402,   403,   404,   405,   406,  1997,   407,   408,
    1998,  1999,   409,   410,   411,  2000,  2001,   412,   413,   823,
     414,   824,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,  2002,   425,   426,   427,   428,   429,   430,   431,
     432,  2003,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,  2004,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,  2005,
     459,   460,   825,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,  2006,   474,   475,   476,
     477,   478,  2007,  2949,   480,   481,   482,   483,   826,   484,
     485,   486,   487,  2008,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,  2009,   501,   502,
    2010,   503,   827,   504,   505,   506,   507,   508,  2011,   509,
     510,  2012,  2013,   511,   512,   513,   514,   515,  2014,   516,
     517,   518,   519,   520,   521,   522,  2015,  2016,   523,   524,
     525,   526,   527,  2017,  2018,   528,   529,   530,   531,   532,
     533,   534,  2019,   535,   828,   536,   537,   538,   539,  2020,
    2021,   540,  2022,  2023,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   805,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,   806,   245,   246,   247,   248,   249,
     807,   250,   251,     0,   252,   253,   254,   255,   256,     0,
    1190,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,  1193,     0,  1194,     0,   267,   268,   269,   270,   271,
     809,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,   810,   281,   282,   283,  1195,  1196,  1197,  1198,
    1199,  1200,  1201,   284,   285,   286,   287,   288,   289,   290,
     291,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
    1206,     0,   324,     0,   325,   326,   327,   328,     0,   329,
       0,   330,   812,     0,   813,   331,   332,   333,   334,     0,
     335,  1209,     0,   337,   338,     0,   339,   340,   341,   342,
     343,   814,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,   815,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,   816,   817,   364,
     818,   365,   366,   367,   368,   369,     0,     0,   370,  1214,
     819,   372,   820,     0,   373,   374,   375,  1215,  1216,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   821,   393,   394,   395,
     396,   397,     0,   398,   399,   822,   400,     0,  1221,   402,
     403,   404,   405,   406,     0,   407,   408,     0,     0,   409,
     410,   411,     0,     0,   412,   413,   823,   414,   824,  1224,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,  1225,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   825,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,  1228,
     479,   480,   481,   482,   483,   826,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,  1230,     0,   501,   502,     0,   503,   827,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,  1233,   514,  1234,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
    1237,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   828,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,  1239,  1240,
    1241,  1242,   552,  1243,  1244,  1245,  1246,   557,   558,   559,
     560,   850,     0,   622,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,   806,   245,   246,   247,   248,   249,   807,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
     808,     0,   267,   268,   269,   270,   271,   809,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,   810,
     281,   282,   283,     0,     0,     0,   811,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,  1759,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,   812,
       0,   813,   331,   332,   333,   334,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,   343,   814,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,   815,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,   816,   817,   364,   818,   365,   366,
     367,   368,   369,     0,     0,   370,   371,   819,   372,   820,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   821,   393,   394,   395,   396,   397,     0,
     398,   399,   822,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,  1760,     0,   409,   410,   411,     0,
       0,   412,   413,   823,   414,   824,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   825,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   826,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,   827,   504,   505,   506,
     507,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,  1761,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   828,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   850,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,   887,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,   806,   245,
     246,   247,   248,   249,   807,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,   808,     0,   267,
     268,   269,   270,   271,   809,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,   810,   281,   282,   283,
       0,     0,     0,   811,     0,     0,   851,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,   812,     0,   813,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,   343,   814,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,   815,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,   816,   817,   364,   818,   365,   366,   367,   368,   369,
       0,     0,   370,   371,   819,   372,   820,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     821,   393,   394,   395,   396,   397,     0,   398,   399,   822,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
     823,   414,   824,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   825,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,   852,   479,   480,   481,   482,   483,   826,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,   827,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,   828,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   850,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,   806,   245,   246,   247,   248,
     249,   807,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,     0,   808,     0,   267,   268,   269,   270,
     271,   809,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,   810,   281,   282,   283,     0,     0,     0,
     811,     0,     0,   851,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,   812,     0,   813,   331,   332,   333,   334,
       0,   335,   336,     0,   337,   338,     0,   339,   340,   341,
     342,   343,   814,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,   815,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,   816,   817,
     364,   818,   365,   366,   367,   368,   369,     0,     0,   370,
     371,   819,   372,   820,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   821,   393,   394,
     395,   396,   397,     0,   398,   399,   822,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,   413,   823,   414,   824,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     825,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     852,   479,   480,   481,   482,   483,   826,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,     0,   503,
     827,   504,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,  2336,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   828,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   850,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,   806,   245,   246,   247,   248,   249,   807,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,   808,     0,   267,   268,   269,   270,   271,   809,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
     810,   281,   282,   283,     0,     0,     0,   811,     0,     0,
     851,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
     812,     0,   813,   331,   332,   333,   334,     0,   335,   336,
    3271,   337,   338,     0,   339,   340,   341,   342,   343,   814,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,   815,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,   816,   817,   364,   818,   365,
     366,   367,   368,   369,     0,     0,   370,   371,   819,   372,
     820,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   821,   393,   394,   395,   396,   397,
       0,   398,   399,   822,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,   823,   414,   824,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   825,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,   852,   479,   480,
     481,   482,   483,   826,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,     0,   503,   827,   504,   505,
     506,   507,   508,     0,   509,   510,     0,     0,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,   828,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   850,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,   806,
     245,   246,   247,   248,   249,   807,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,   808,     0,
     267,   268,   269,   270,   271,   809,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,   810,   281,   282,
     283,     0,     0,     0,   811,     0,     0,   851,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,   812,     0,   813,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,   343,   814,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
     815,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,   816,   817,   364,   818,   365,   366,   367,   368,
     369,     0,     0,   370,   371,   819,   372,   820,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   821,   393,   394,   395,   396,   397,     0,   398,   399,
     822,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,   823,   414,   824,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   825,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   852,   479,   480,   481,   482,   483,
     826,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,   827,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   828,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   850,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,   806,   245,   246,   247,
     248,   249,   807,   250,   251,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,     0,   808,     0,   267,   268,   269,
     270,   271,   809,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,   810,   281,   282,   283,     0,     0,
       0,   811,     0,     0,   851,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
       0,   329,     0,   330,   812,     0,   813,   331,   332,   333,
     334,     0,   335,   336,     0,   337,   338,     0,   339,   340,
     341,   342,   343,   814,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,   815,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,   816,
     817,   364,   818,   365,   366,   367,   368,   369,     0,     0,
     370,   371,   819,   372,   820,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   906,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   821,   393,
     394,   395,   396,   397,     0,   398,   399,   822,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,   413,   823,   414,
     824,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   825,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,   852,   479,   480,   481,   482,   483,   826,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,     0,   501,   502,     0,
     503,   827,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   828,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   850,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,   806,   245,   246,   247,   248,   249,   807,
     250,   251,     0,   252,   253,   254,   255,   256,     0,     0,
     257,   258,   259,   260,   261,     0,   262,   263,   264,   265,
     266,     0,   808,     0,   267,   268,   269,   270,   271,   809,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,   810,   281,   282,   283,     0,     0,     0,   811,     0,
       0,   851,   284,   285,   286,   287,   288,   289,   290,   291,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,     0,   329,     0,
     330,   812,     0,   813,   331,   332,   333,   334,     0,   335,
     336,     0,   337,   338,     0,   339,   340,   341,   342,   343,
     814,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,   815,   355,   356,   357,   358,   359,
     360,   361,     0,   362,     0,   363,   816,   817,   364,   818,
     365,   366,   367,   368,   369,     0,     0,   370,   371,   819,
     372,   820,     0,   373,   374,   375,     0,     0,   376,   377,
     378,   379,  1003,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   821,   393,   394,   395,   396,
     397,     0,   398,   399,   822,   400,     0,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,   413,   823,   414,   824,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   825,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   852,   479,
     480,   481,   482,   483,   826,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,     0,   501,   502,     0,   503,   827,   504,
     505,   506,   507,   508,     0,   509,   510,     0,     0,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     828,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     850,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
     806,   245,   246,   247,   248,   249,   807,   250,   251,     0,
     252,   253,   254,   255,   256,     0,     0,   257,   258,   259,
     260,   261,     0,   262,   263,   264,   265,   266,     0,   808,
       0,   267,   268,   269,   270,   271,   809,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,   810,   281,
     282,   283,     0,     0,     0,   811,     0,     0,   851,   284,
     285,   286,   287,   288,   289,   290,   291,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,     0,   329,     0,   330,   812,     0,
     813,   331,   332,   333,   334,     0,   335,   336,     0,   337,
     338,     0,   339,   340,   341,   342,  1079,   814,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,   815,   355,   356,   357,   358,   359,   360,   361,     0,
     362,     0,   363,   816,   817,   364,   818,   365,   366,   367,
     368,   369,     0,     0,   370,   371,   819,   372,   820,     0,
     373,   374,   375,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   821,   393,   394,   395,   396,   397,     0,   398,
     399,   822,   400,     0,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,   413,   823,   414,   824,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   825,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,   852,   479,   480,   481,   482,
     483,   826,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
       0,   501,   502,     0,   503,   827,   504,   505,   506,   507,
     508,     0,   509,   510,     0,     0,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   533,   534,     0,   535,   828,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   850,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,   806,   245,   246,
     247,   248,   249,   807,   250,   251,     0,   252,   253,   254,
     255,   256,     0,     0,   257,   258,   259,   260,   261,     0,
     262,   263,   264,   265,   266,     0,   808,     0,   267,   268,
     269,   270,   271,   809,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,   810,   281,   282,   283,     0,
       0,     0,   811,     0,     0,   851,   284,   285,   286,   287,
     288,   289,   290,   291,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,     0,   329,     0,   330,   812,     0,   813,   331,   332,
     333,   334,     0,   335,   336,     0,   337,   338,     0,   339,
     340,   341,   342,  1090,   814,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,   815,   355,
     356,   357,   358,   359,   360,   361,     0,   362,     0,   363,
     816,   817,   364,   818,   365,   366,   367,   368,   369,     0,
       0,   370,   371,   819,   372,   820,     0,   373,   374,   375,
       0,     0,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   821,
     393,   394,   395,   396,   397,     0,   398,   399,   822,   400,
       0,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,   413,   823,
     414,   824,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   825,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   852,   479,   480,   481,   482,   483,   826,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,     0,   501,   502,
       0,   503,   827,   504,   505,   506,   507,   508,     0,   509,
     510,     0,     0,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   828,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   850,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,   806,   245,   246,   247,   248,   249,
     807,   250,   251,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,     0,   808,     0,   267,   268,   269,   270,   271,
     809,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,   810,   281,   282,   283,     0,     0,     0,   811,
       0,     0,   851,   284,   285,   286,   287,   288,   289,   290,
     291,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,     0,   329,
       0,   330,   812,     0,   813,   331,   332,   333,   334,     0,
     335,   336,     0,   337,   338,     0,   339,   340,   341,   342,
    1100,   814,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,   815,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,   816,   817,   364,
     818,   365,   366,   367,   368,   369,     0,     0,   370,   371,
     819,   372,   820,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,  1101,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   821,   393,   394,   395,
     396,   397,     0,   398,   399,   822,   400,     0,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,     0,   409,
     410,   411,     0,     0,   412,   413,   823,   414,   824,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   825,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,   852,
     479,   480,   481,   482,   483,   826,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,     0,   501,   502,     0,   503,   827,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   828,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   850,     0,   622,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,   806,   245,   246,   247,   248,   249,   807,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
     808,     0,   267,   268,   269,   270,   271,   809,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,   810,
     281,   282,   283,     0,     0,     0,   811,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,  1920,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,   812,
       0,   813,   331,   332,   333,   334,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,   343,   814,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,   815,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,   816,   817,   364,   818,   365,   366,
     367,   368,   369,     0,     0,   370,   371,   819,   372,   820,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   821,   393,   394,   395,   396,   397,     0,
     398,   399,   822,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,   413,   823,   414,   824,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   825,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   826,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,   827,   504,   505,   506,
     507,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   828,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   850,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     3,     4,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,   806,   245,
     246,   247,   248,   249,   807,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,   808,     0,   267,
     268,   269,   270,   271,   809,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,   810,   281,   282,   283,
       0,     0,     0,   811,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,   812,     0,   813,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,   343,   814,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,   815,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,   816,   817,   364,   818,   365,   366,   367,   368,   369,
       0,     0,   370,   371,   819,   372,   820,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     821,   393,   394,   395,   396,   397,     0,   398,   399,   822,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
     823,   414,   824,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   825,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   826,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,   827,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,   828,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   850,     0,   622,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,   806,   245,   246,   247,   248,
     249,   807,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,     0,   808,     0,   267,   268,   269,   270,
     271,   809,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,   810,   281,   282,   283,     0,     0,     0,
     811,     0,     0,     0,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,   812,     0,   813,   331,   332,   333,   334,
       0,   335,   336,     0,   337,   338,     0,   339,   340,   341,
     342,   343,   814,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,   815,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,   816,   817,
     364,   818,   365,   366,   367,   368,   369,     0,     0,   370,
     371,   819,   372,   820,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   821,   393,   394,
     395,   396,   397,     0,   398,   399,   822,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,   413,   823,   414,   824,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     825,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,   826,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,     0,   503,
     827,   504,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   828,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   850,     0,   622,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,   806,   245,   246,   247,   248,   249,   807,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,   808,     0,   267,   268,   269,   270,   271,   809,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
     810,   281,   282,   283,     0,     0,     0,   811,     0,     0,
       0,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
     812,     0,   813,   331,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,  1745,   814,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,   815,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,   816,   817,   364,   818,   365,
     366,   367,   368,   369,     0,     0,   370,   371,   819,   372,
     820,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   821,   393,   394,   395,   396,   397,
       0,   398,   399,   822,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,   823,   414,   824,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   825,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   826,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,     0,   503,   827,   504,   505,
     506,   507,   508,     0,   509,   510,     0,     0,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,   828,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   805,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,   806,
     245,   246,   247,   248,   249,   807,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,   808,     0,
     267,   268,   269,   270,   271,   809,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,   810,   281,   282,
     283,     0,     0,     0,   811,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,   812,     0,   813,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,   343,   814,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
     815,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,   816,   817,   364,   818,   365,   366,   367,   368,
     369,     0,     0,   370,   371,   819,   372,   820,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   821,   393,   394,   395,   396,   397,     0,   398,   399,
     822,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,   823,   414,   824,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   825,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     826,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,   827,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   828,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   805,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,   806,   245,   246,   247,
     248,   249,   807,   250,   251,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,     0,   808,     0,   267,   268,   269,
     270,   271,   809,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,   810,   281,   282,   283,     0,     0,
       0,   811,     0,     0,     0,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
       0,   329,     0,   330,   812,     0,   813,   331,   332,   333,
     334,     0,   335,   336,     0,   337,   338,     0,   339,   340,
     341,   342,  1026,   814,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,   815,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,   816,
     817,   364,   818,   365,   366,   367,   368,   369,     0,     0,
     370,   371,   819,   372,   820,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   821,   393,
     394,   395,   396,   397,     0,   398,   399,   822,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,   413,   823,   414,
     824,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   825,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,   826,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,     0,   501,   502,     0,
     503,   827,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   828,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   805,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,   806,   245,   246,   247,   248,   249,   807,
     250,   251,     0,   252,   253,   254,   255,   256,     0,     0,
     257,   258,   259,   260,   261,     0,   262,   263,   264,   265,
     266,     0,   808,     0,   267,   268,   269,   270,   271,   809,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,   810,   281,   282,   283,     0,     0,     0,   811,     0,
       0,     0,   284,   285,   286,   287,   288,   289,   290,   291,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,     0,   329,     0,
     330,   812,     0,   813,   331,   332,   333,   334,     0,   335,
     336,     0,   337,   338,     0,   339,   340,   341,   342,  1076,
     814,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,   815,   355,   356,   357,   358,   359,
     360,   361,     0,   362,     0,   363,   816,   817,   364,   818,
     365,   366,   367,   368,   369,     0,     0,   370,   371,   819,
     372,   820,     0,   373,   374,   375,     0,     0,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   821,   393,   394,   395,   396,
     397,     0,   398,   399,   822,   400,     0,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,   413,   823,   414,   824,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   825,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,   826,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,     0,   501,   502,     0,   503,   827,   504,
     505,   506,   507,   508,     0,   509,   510,     0,     0,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     828,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   245,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,     0,     0,   257,   258,   259,
     260,   261,  2127,   262,   263,   264,   265,   266,     0,     0,
    2204,   267,   268,   269,   270,   271,     0,   272,   273,   274,
    2128,   275,   276,   277,   278,   279,   280,     0,     0,   281,
     282,   283,     0,     0,     0,     0,     0,     0,     0,   284,
     285,   286,   287,   288,   289,   290,   291,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,  2205,   316,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,     0,   329,  2130,   330,     0,     0,
       0,   331,   332,   333,   334,     0,   335,   336,     0,   337,
     338,     0,   339,   340,   341,   342,  2206,     0,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,     0,   355,   356,   357,   358,   359,   360,   361,     0,
     362,     0,   363,     0,     0,   364,     0,   365,   366,   367,
     368,   369,     0,     0,   370,   371,     0,   372,     0,     0,
     373,   374,   375,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,     0,   393,   394,   395,   396,   397,     0,   398,
     399,     0,   400,     0,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,   413,     0,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,  2131,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,     0,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
       0,   501,   502,     0,   503,     0,   504,   505,   506,   507,
     508,     0,   509,   510,     0,     0,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
    2132,   523,   524,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   245,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,     0,     0,   257,   258,   259,   260,   261,  2127,
     262,   263,   264,   265,   266,     0,     0,     0,   267,   268,
     269,   270,   271,     0,   272,   273,   274,  2128,   275,   276,
     277,   278,   279,   280,     0,     0,   281,   282,   283,     0,
       0,     0,     0,     0,     0,     0,   284,   285,   286,   287,
     288,   289,   290,   291,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,  2205,   316,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,     0,   329,  2130,   330,     0,     0,     0,   331,   332,
     333,   334,     0,   335,   336,     0,   337,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,     0,   355,
     356,   357,   358,   359,   360,   361,     0,   362,     0,   363,
       0,     0,   364,     0,   365,   366,   367,   368,   369,     0,
       0,   370,   371,     0,   372,  3136,     0,   373,   374,   375,
       0,     0,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,     0,
     393,   394,   395,   396,   397,     0,   398,   399,     0,   400,
       0,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,   413,     0,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,  2131,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,     0,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,     0,   501,   502,
       0,   503,     0,   504,   505,   506,   507,   508,     0,   509,
     510,     0,     0,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,  2132,   523,   524,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   738,   234,   235,   700,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   245,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,     0,     0,     0,   267,   268,   269,   270,   271,
       0,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,   701,     0,   281,   282,   283,     0,     0,     0,     0,
       0,     0,     0,   284,   285,   286,   287,   288,   289,   290,
     291,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,     0,   329,
       0,   330,     0,     0,     0,   331,   332,   333,   334,   739,
     335,   336,     0,   337,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,     0,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,     0,     0,   364,
       0,   365,   366,   367,   368,   369,     0,     0,   370,   371,
       0,   372,     0,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,     0,   393,   394,   395,
     396,   397,     0,   398,   399,     0,   400,     0,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,     0,   409,
     410,   411,     0,     0,   412,   413,     0,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   702,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   703,   474,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,     0,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,     0,   501,   502,     0,   503,     0,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,   700,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   245,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
       0,     0,   267,   268,   269,   270,   271,     0,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,   701,     0,
     281,   282,   283,     0,     0,     0,     0,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,     0,
       0,     0,   331,   332,   333,   334,  2840,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,     0,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,     0,     0,   364,     0,   365,   366,
     367,   368,   369,     0,     0,   370,   371,     0,   372,     0,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,     0,   393,   394,   395,   396,   397,     0,
     398,   399,     0,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,   413,     0,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     702,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     703,   474,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,     0,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,     0,   504,   505,   506,
     507,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   245,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
    2127,   262,   263,   264,   265,   266,     0,     0,     0,   267,
     268,   269,   270,   271,     0,   272,   273,   274,  2128,   275,
     276,   277,   278,   279,   280,     0,     0,   281,   282,   283,
       0,     0,     0,     0,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,  2205,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,  2130,   330,     0,     0,     0,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,     0,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,     0,     0,   364,     0,   365,   366,   367,   368,   369,
       0,     0,   370,   371,     0,   372,     0,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,   394,   395,   396,   397,     0,   398,   399,     0,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
       0,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,  2131,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,     0,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,     0,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,  2132,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,   700,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   245,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,     0,     0,     0,   267,   268,   269,   270,
     271,     0,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,   701,     0,   281,   282,   283,     0,     0,     0,
       0,     0,     0,     0,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,     0,     0,     0,   331,   332,   333,   334,
       0,   335,   336,     0,   337,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,     0,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,     0,     0,
     364,     0,   365,   366,   367,   368,   369,     0,     0,   370,
     371,     0,   372,     0,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,     0,   393,   394,
     395,   396,   397,     0,   398,   399,     0,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,   413,     0,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   702,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   703,   474,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,     0,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,     0,   503,
       0,   504,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,  1786,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   245,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,     0,     0,   267,   268,   269,   270,   271,     0,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
       0,   281,   282,   283,     0,     0,     0,     0,     0,     0,
       0,   284,   285,   286,  1787,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,  1788,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,     0,   329,  1789,   330,
       0,     0,     0,  1790,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,     0,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,     0,     0,   364,     0,   365,
     366,  1791,  1792,   369,     0,     0,   370,   371,     0,   372,
       0,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,     0,   393,   394,   395,   396,   397,
       0,   398,   399,     0,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,     0,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,  1793,   469,   470,   471,   472,
     473,     0,  1794,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,     0,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,  1795,   503,     0,  1796,   505,
     506,   507,   508,     0,   509,   510,     0,     0,   511,   512,
     513,   514,   515,     0,   516,   517,  1797,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,   701,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     369,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   702,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   703,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,   899,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   245,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,     0,     0,     0,   267,   268,   269,
     270,   271,     0,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,     0,   281,   282,   283,     0,     0,
       0,     0,     0,     0,     0,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
       0,   329,     0,   330,     0,     0,     0,   331,   332,   333,
     334,     0,   335,   336,     0,   337,   338,     0,   339,   340,
     341,   342,   900,     0,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,     0,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,     0,
       0,   364,     0,   365,   366,   367,   368,   369,     0,     0,
     370,   371,     0,   372,     0,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,     0,   393,
     394,   395,   396,   397,     0,   398,   399,     0,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     770,   409,   410,   411,     0,     0,   412,   413,     0,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,     0,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,     0,   501,   502,     0,
     503,     0,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       3,     4,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   245,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,     0,     0,
     257,   258,   259,   260,   261,     0,   262,   263,   264,   265,
     266,     0,     0,     0,   267,   268,   269,   270,   271,     0,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,     0,   281,   282,   283,     0,     0,     0,     0,     0,
       0,     0,   284,   285,   286,   287,   288,   289,   290,   291,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,     0,   329,     0,
     330,     0,     0,     0,   331,   332,   333,   334,     0,   335,
     336,     0,   337,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,     0,   355,   356,   357,   358,   359,
     360,   361,     0,   362,     0,   363,     0,     0,   364,     0,
     365,   366,   367,   368,   369,     0,     0,   370,   371,     0,
     372,     0,     0,   373,   374,   375,     0,     0,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,     0,   393,   394,   395,   396,
     397,     0,   398,   399,     0,   400,     0,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,   413,     0,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,     0,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,     0,   501,   502,     0,   503,     0,   504,
     505,   506,   507,   508,     0,   509,   510,     0,     0,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,  2928,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   245,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,     0,     0,   257,   258,   259,
     260,   261,     0,   262,   263,   264,   265,   266,     0,     0,
       0,   267,   268,   269,   270,   271,     0,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,     0,   281,
     282,   283,     0,     0,     0,     0,     0,     0,     0,   284,
     285,   286,   287,   288,   289,   290,   291,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,     0,   329,     0,   330,     0,     0,
       0,   331,   332,   333,   334,     0,   335,   336,     0,   337,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,     0,   355,   356,   357,   358,   359,   360,   361,     0,
     362,     0,   363,     0,     0,   364,     0,   365,   366,   367,
     368,   369,     0,     0,   370,   371,     0,   372,     0,     0,
     373,   374,   375,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,     0,   393,   394,   395,   396,   397,     0,   398,
     399,     0,   400,     0,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,   413,     0,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,     0,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
       0,   501,   502,     0,   503,     0,   504,   505,   506,   507,
     508,     0,   509,   510,     0,     0,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,  2929,     0,   528,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
    2941,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   245,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,     0,     0,   257,   258,   259,   260,   261,     0,
     262,   263,   264,   265,   266,     0,     0,     0,   267,   268,
     269,   270,   271,     0,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,     0,   281,   282,   283,     0,
       0,     0,     0,     0,     0,     0,   284,   285,   286,   287,
     288,   289,   290,   291,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,     0,   329,     0,   330,     0,     0,     0,   331,   332,
     333,   334,     0,   335,   336,     0,   337,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,     0,   355,
     356,   357,   358,   359,   360,   361,     0,   362,     0,   363,
       0,     0,   364,     0,   365,   366,   367,   368,   369,     0,
       0,   370,   371,     0,   372,     0,     0,   373,   374,   375,
       0,     0,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,     0,
     393,   394,   395,   396,   397,     0,   398,   399,     0,   400,
       0,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,   413,     0,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,     0,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,     0,   501,   502,
       0,   503,     0,   504,   505,   506,   507,   508,     0,   509,
     510,     0,     0,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,  2942,     0,   528,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   245,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,     0,     0,     0,   267,   268,   269,   270,   271,
       0,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,     0,   281,   282,   283,     0,     0,     0,     0,
       0,     0,     0,   284,   285,   286,   287,   288,   289,   290,
     291,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,     0,   329,
       0,   330,     0,     0,     0,   331,   332,   333,   334,     0,
     335,   336,     0,   337,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,     0,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,     0,     0,   364,
       0,   365,   366,   367,   368,   369,     0,     0,   370,   371,
       0,   372,     0,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,     0,   393,   394,   395,
     396,   397,     0,   398,   399,     0,   400,     0,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,     0,   409,
     410,   411,     0,     0,   412,   413,     0,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,     0,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,     0,   501,   502,     0,   503,     0,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,   613,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   245,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
       0,     0,   267,   268,   269,   270,   271,     0,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,     0,
     281,   282,   283,     0,     0,     0,     0,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,     0,
       0,     0,   331,   332,   333,   334,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,     0,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,     0,     0,   364,     0,   365,   366,
     367,   368,   369,     0,     0,   370,   371,     0,   372,     0,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,     0,   393,   394,   395,   396,   397,     0,
     398,   399,     0,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,   413,     0,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   614,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,     0,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,     0,   504,   505,   506,
     507,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,   730,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   245,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,     0,     0,   267,
     268,   269,   270,   271,     0,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,     0,   281,   282,   283,
       0,     0,     0,     0,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,     0,     0,     0,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,     0,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,     0,     0,   364,     0,   365,   366,   367,   368,   369,
       0,     0,   370,   371,     0,   372,     0,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,   394,   395,   396,   397,     0,   398,   399,     0,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
       0,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   731,     0,   479,   480,   481,   482,   483,     0,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,     0,   504,   505,   506,   507,   508,     0,
     732,   510,     0,     0,   733,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,   764,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   245,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,     0,     0,     0,   267,   268,   269,   270,
     271,     0,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,     0,   281,   282,   283,     0,     0,     0,
       0,     0,     0,     0,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,     0,     0,     0,   331,   332,   333,   334,
       0,   335,   336,     0,   337,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,     0,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,     0,     0,
     364,     0,   365,   366,   367,   368,   369,     0,     0,   370,
     371,     0,   372,     0,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,     0,   393,   394,
     395,   396,   397,     0,   398,   399,     0,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,   413,     0,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   765,
       0,   479,   480,   481,   482,   483,     0,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,     0,   503,
       0,   504,   505,   506,   507,   508,     0,   766,   510,     0,
       0,   767,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   245,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,     0,     0,   267,   268,   269,   270,   271,     0,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
       0,   281,   282,   283,     0,     0,     0,     0,     0,     0,
       0,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
       0,     0,     0,   331,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,     0,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,     0,     0,   364,     0,   365,
     366,   367,   368,   369,     0,     0,   370,   371,     0,   372,
       0,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,     0,   393,   394,   395,   396,   397,
       0,   398,   399,     0,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   770,   409,   410,   411,
       0,     0,   412,   413,     0,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,     0,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,     0,   503,     0,   504,   505,
     506,   507,   508,     0,   509,   510,     0,     0,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,   859,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,   860,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     369,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,  1018,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   245,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,     0,     0,     0,   267,   268,   269,
     270,   271,     0,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,     0,   281,   282,   283,     0,     0,
       0,     0,     0,     0,     0,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
       0,   329,     0,   330,     0,     0,     0,   331,   332,   333,
     334,     0,   335,   336,     0,   337,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,     0,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,     0,
       0,   364,     0,   365,   366,   367,   368,   369,     0,     0,
     370,   371,     0,   372,     0,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,     0,   393,
     394,   395,   396,   397,     0,   398,   399,     0,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,   413,     0,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,     0,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,     0,   501,   502,     0,
     503,     0,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,  1284,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   245,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,     0,     0,
     257,   258,   259,   260,   261,     0,   262,   263,   264,   265,
     266,     0,     0,     0,   267,   268,   269,   270,   271,     0,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,     0,   281,   282,   283,     0,     0,     0,     0,     0,
       0,     0,   284,   285,   286,   287,   288,   289,   290,   291,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,     0,   329,     0,
     330,     0,     0,     0,   331,   332,   333,   334,     0,   335,
     336,     0,   337,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,     0,   355,   356,   357,   358,   359,
     360,   361,     0,   362,     0,   363,     0,     0,   364,     0,
     365,   366,   367,   368,   369,     0,     0,   370,   371,     0,
     372,     0,     0,   373,   374,   375,     0,     0,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,     0,   393,   394,   395,   396,
     397,     0,   398,   399,     0,   400,     0,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,   413,     0,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,     0,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,     0,   501,   502,     0,   503,     0,   504,
     505,   506,   507,   508,     0,   509,   510,     0,     0,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
    1295,   245,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,     0,     0,   750,   258,   259,
     260,  1296,     0,   262,   263,   264,   265,   266,     0,     0,
       0,   267,   268,   269,   270,   271,     0,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,     0,   281,
     282,   283,     0,     0,     0,     0,     0,     0,     0,   284,
     285,   286,   287,   288,   289,   290,   291,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,     0,   329,     0,   330,     0,     0,
       0,   331,   332,   333,   334,     0,   335,   336,     0,   337,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,     0,   355,   356,   357,   358,   359,   360,   361,     0,
     362,     0,   363,     0,     0,   364,     0,   365,   366,   367,
     368,   369,     0,     0,   370,   371,     0,   372,     0,     0,
     373,   374,   375,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     753,   392,     0,   393,   394,   395,   396,   397,     0,   398,
     399,     0,   400,     0,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,   413,     0,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   754,   462,   463,   464,
     465,   466,   467,   755,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,  1288,     0,   479,   480,   481,   482,
     483,     0,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
       0,   501,   502,     0,   503,     0,   504,   505,   506,   507,
     508,     0,   757,   510,     0,     0,   758,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   759,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   245,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,     0,     0,   257,   258,   259,   260,   261,     0,
     262,   263,   264,   265,   266,     0,     0,     0,   267,   268,
     269,   270,   271,     0,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,     0,   281,   282,   283,     0,
       0,     0,     0,     0,     0,     0,   284,   285,   286,   287,
     288,   289,   290,   291,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,     0,   329,     0,   330,     0,     0,     0,   331,   332,
     333,   334,     0,   335,   336,     0,   337,   338,     0,   339,
     340,   341,   342,  1406,     0,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,     0,   355,
     356,   357,   358,   359,   360,   361,     0,   362,     0,   363,
       0,     0,   364,     0,   365,   366,   367,   368,   369,     0,
       0,   370,   371,     0,   372,     0,     0,   373,   374,   375,
       0,     0,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,     0,
     393,   394,   395,   396,   397,     0,   398,   399,     0,   400,
       0,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   770,   409,   410,   411,     0,     0,   412,   413,     0,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,     0,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,     0,   501,   502,
       0,   503,     0,   504,   505,   506,   507,   508,     0,   509,
     510,     0,     0,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,  1462,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   245,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,     0,     0,     0,   267,   268,   269,   270,   271,
       0,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,     0,   281,   282,   283,     0,     0,     0,     0,
       0,     0,     0,   284,   285,   286,   287,   288,   289,   290,
     291,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,     0,   329,
       0,   330,     0,     0,     0,   331,   332,   333,   334,     0,
     335,   336,     0,   337,   338,     0,   339,   340,   341,   342,
    1463,     0,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,     0,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,     0,     0,   364,
       0,   365,   366,   367,   368,   369,     0,     0,   370,   371,
       0,   372,     0,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,     0,   393,   394,   395,
     396,   397,     0,   398,   399,     0,   400,     0,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,     0,   409,
     410,   411,     0,     0,   412,   413,     0,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,     0,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,     0,   501,   502,     0,   503,     0,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,   730,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   245,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
       0,     0,   267,   268,   269,   270,   271,     0,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,     0,
     281,   282,   283,     0,     0,     0,     0,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,     0,
       0,     0,   331,   332,   333,   334,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,     0,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,     0,     0,   364,     0,   365,   366,
     367,   368,   369,     0,     0,   370,   371,     0,   372,     0,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,     0,   393,   394,   395,   396,   397,     0,
     398,   399,     0,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,   413,     0,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,     0,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,     0,   504,   505,   506,
     507,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   245,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,     0,     0,   267,
     268,   269,   270,   271,     0,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,     0,   281,   282,   283,
       0,     0,     0,     0,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,     0,     0,     0,   331,
     332,   333,  2731,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,     0,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,     0,     0,   364,     0,   365,   366,   367,   368,   369,
       0,     0,   370,   371,     0,   372,     0,     0,   373,   374,
    2732,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,   394,   395,   396,   397,     0,   398,   399,     0,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
       0,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,     0,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,  2733,   503,     0,   504,  2734,   506,  2735,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,  2736,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   227,     0,   622,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   245,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,     0,     0,     0,   267,   268,   269,   270,
     271,     0,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,     0,   281,   282,   283,     0,     0,     0,
       0,     0,     0,     0,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,     0,     0,     0,   331,   332,   333,   334,
       0,   335,   336,     0,   337,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,     0,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,     0,     0,
     364,     0,   365,   366,   367,   368,   369,     0,     0,   370,
     371,     0,   372,     0,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,     0,   393,   394,
     395,   396,   397,     0,   398,   399,     0,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,   413,     0,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,     0,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,     0,   503,
       0,   504,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,  3956,     0,   240,   241,     0,   242,
     243,   244,     0,   245,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,     0,     0,   267,   268,   269,   270,   271,     0,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
       0,   281,   282,   283,     0,     0,     0,     0,     0,     0,
       0,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
       0,     0,     0,   331,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,     0,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,     0,     0,   364,     0,   365,
     366,   367,   368,   369,     0,     0,   370,   371,     0,   372,
       0,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,     0,   393,   394,   395,   396,   397,
       0,   398,   399,     0,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,     0,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,     0,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,     0,   503,     0,   504,   505,
     506,   507,   508,     0,   509,   510,     0,     0,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,  3970,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     369,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   245,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,     0,     0,     0,   267,   268,   269,
     270,   271,     0,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,     0,   281,   282,   283,     0,     0,
       0,     0,     0,     0,     0,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
       0,   329,     0,   330,     0,     0,     0,   331,   332,   333,
     334,     0,   335,   336,     0,   337,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,     0,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,     0,
       0,   364,     0,   365,   366,   367,   368,   369,     0,     0,
     370,   371,     0,   372,     0,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,     0,   393,
     394,   395,   396,   397,     0,   398,   399,     0,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,   413,     0,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,     0,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,     0,   501,   502,     0,
     503,     0,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   245,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,     0,     0,
     257,   258,   259,   260,   261,     0,   262,   263,   264,   265,
     266,     0,     0,     0,   267,   268,   269,   270,   271,     0,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,     0,   281,   282,   283,     0,     0,     0,     0,     0,
       0,     0,   284,   285,   286,   287,   288,   289,   290,   291,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,     0,   329,     0,
     330,     0,     0,     0,   331,   332,   333,   334,     0,   335,
     336,     0,   337,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,     0,   355,   356,   357,   358,   359,
     360,   361,     0,   362,     0,   363,     0,     0,   364,     0,
     365,   366,   367,   368,   369,     0,     0,   370,   371,     0,
     372,     0,     0,   373,   374,   375,     0,     0,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,     0,   393,   394,   395,   396,
     397,     0,   398,   399,     0,   400,     0,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,   413,     0,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,     0,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,     0,   501,   502,     0,   503,     0,   504,
     505,   506,   507,   508,     0,   509,   510,     0,     0,   716,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   245,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,     0,     0,   257,   258,   259,
     260,   261,     0,   262,   263,   264,   265,   266,     0,     0,
       0,   267,   268,   269,   270,   271,     0,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,     0,   281,
     282,   283,     0,     0,     0,     0,     0,     0,     0,   284,
     285,   286,   287,   288,   289,   290,   291,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,     0,   329,     0,   330,     0,     0,
       0,   331,   332,   333,   334,     0,   335,   336,     0,   337,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,     0,   355,   356,   357,   358,   359,   360,   361,     0,
     362,     0,   363,     0,     0,   364,     0,   365,   366,   367,
     368,   369,     0,     0,   370,   371,     0,   372,     0,     0,
     373,   374,   375,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,     0,   393,   394,   395,   396,   397,     0,   398,
     399,     0,   400,     0,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,   413,     0,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   728,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,     0,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
       0,   501,   502,     0,   503,     0,   504,   505,   506,   507,
     508,     0,   509,   510,     0,     0,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   245,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,     0,     0,   750,   258,   259,   260,   261,     0,
     262,   263,   264,   265,   266,     0,     0,     0,   267,   268,
     269,   270,   271,     0,   272,   273,   274,     0,   751,   276,
     277,   278,   279,   280,     0,     0,   281,   282,   283,     0,
       0,     0,     0,     0,     0,     0,   284,   285,   286,   287,
     288,   289,   290,   291,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,     0,   329,     0,   330,     0,     0,     0,   331,   332,
     333,   334,     0,   335,   336,     0,   337,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,     0,   355,
     356,   357,   358,   359,   360,   361,     0,   362,     0,   363,
       0,     0,   364,     0,   365,   366,   367,   368,   369,     0,
       0,   370,   371,     0,   372,     0,     0,   373,   374,   752,
       0,     0,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   753,   392,     0,
     393,   394,   395,   396,   397,     0,   398,   399,     0,   400,
       0,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,   413,     0,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   754,   462,   463,   464,   465,   466,   467,
     755,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   756,     0,   479,   480,   481,   482,   483,     0,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,     0,   501,   502,
       0,   503,     0,   504,   505,   506,   507,   508,     0,   757,
     510,     0,     0,   758,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   759,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   245,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,     0,     0,     0,   267,   268,   269,   270,   271,
       0,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,     0,   281,   282,   283,     0,     0,     0,     0,
       0,     0,     0,   284,   285,   286,   287,   288,   289,   290,
     291,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,     0,   329,
       0,   330,     0,     0,     0,   331,   332,   333,   334,     0,
     335,   336,     0,   337,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,     0,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,     0,     0,   364,
       0,   365,   366,   367,   368,   369,     0,     0,   370,   371,
       0,   372,     0,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,     0,   393,   394,   395,
     396,   397,     0,   398,   399,     0,   400,     0,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,     0,   409,
     410,   411,     0,     0,   412,   413,     0,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   781,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,     0,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,     0,   501,   502,     0,   503,     0,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   245,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
       0,     0,   267,   268,   269,   270,   271,     0,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,     0,
     281,   282,   283,     0,     0,     0,     0,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,     0,
       0,     0,   331,   332,   333,   334,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,   884,     0,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,     0,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,     0,     0,   364,     0,   365,   366,
     367,   368,   369,     0,     0,   370,   371,     0,   372,     0,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,     0,   393,   394,   395,   396,   397,     0,
     398,   399,     0,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,   413,     0,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,     0,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,     0,   504,   505,   506,
     507,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   245,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,     0,     0,   267,
     268,   269,   270,   271,     0,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,     0,   281,   282,   283,
       0,     0,     0,     0,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,     0,     0,     0,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,   892,     0,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,     0,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,     0,     0,   364,     0,   365,   366,   367,   368,   369,
       0,     0,   370,   371,     0,   372,     0,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,   394,   395,   396,   397,     0,   398,   399,     0,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
       0,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,     0,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,     0,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   245,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,     0,     0,     0,   267,   268,   269,   270,
     271,     0,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,     0,   281,   282,   283,     0,     0,     0,
       0,     0,     0,     0,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,     0,     0,     0,   331,   332,   333,   334,
       0,   335,   336,     0,   337,   338,     0,   339,   340,   341,
     342,   909,     0,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,     0,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,     0,     0,
     364,     0,   365,   366,   367,   368,   369,     0,     0,   370,
     371,     0,   372,     0,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,     0,   393,   394,
     395,   396,   397,     0,   398,   399,     0,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,   413,     0,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,     0,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,     0,   503,
       0,   504,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   245,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,     0,     0,   267,   268,   269,   270,   271,     0,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
       0,   281,   282,   283,     0,     0,     0,     0,     0,     0,
       0,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
       0,     0,     0,   331,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,   969,     0,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,     0,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,     0,     0,   364,     0,   365,
     366,   367,   368,   369,     0,     0,   370,   371,     0,   372,
       0,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,     0,   393,   394,   395,   396,   397,
       0,   398,   399,     0,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,     0,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,     0,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,     0,   503,     0,   504,   505,
     506,   507,   508,     0,   509,   510,     0,     0,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,   975,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     369,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   245,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,     0,     0,     0,   267,   268,   269,
     270,   271,     0,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,     0,   281,   282,   283,     0,     0,
       0,     0,     0,     0,     0,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
       0,   329,     0,   330,     0,     0,     0,   331,   332,   333,
     334,     0,   335,   336,     0,   337,   338,     0,   339,   340,
     341,   342,   993,     0,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,     0,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,     0,
       0,   364,     0,   365,   366,   367,   368,   369,     0,     0,
     370,   371,     0,   372,     0,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,     0,   393,
     394,   395,   396,   397,     0,   398,   399,     0,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,   413,     0,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,     0,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,     0,   501,   502,     0,
     503,     0,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   245,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,     0,     0,
     257,   258,   259,   260,   261,     0,   262,   263,   264,   265,
     266,     0,     0,     0,   267,   268,   269,   270,   271,     0,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,     0,   281,   282,   283,     0,     0,     0,     0,     0,
       0,     0,   284,   285,   286,   287,   288,   289,   290,   291,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,     0,   329,     0,
     330,     0,     0,     0,   331,   332,   333,   334,     0,   335,
     336,     0,   337,   338,     0,   339,   340,   341,   342,   996,
       0,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,     0,   355,   356,   357,   358,   359,
     360,   361,     0,   362,     0,   363,     0,     0,   364,     0,
     365,   366,   367,   368,   369,     0,     0,   370,   371,     0,
     372,     0,     0,   373,   374,   375,     0,     0,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,     0,   393,   394,   395,   396,
     397,     0,   398,   399,     0,   400,     0,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,   413,     0,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,     0,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,     0,   501,   502,     0,   503,     0,   504,
     505,   506,   507,   508,     0,   509,   510,     0,     0,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   245,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,     0,     0,   257,   258,   259,
     260,   261,     0,   262,   263,   264,   265,   266,     0,     0,
       0,   267,   268,   269,   270,   271,     0,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,     0,   281,
     282,   283,     0,     0,     0,     0,     0,     0,     0,   284,
     285,   286,   287,   288,   289,   290,   291,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,     0,   329,     0,   330,     0,     0,
       0,   331,   332,   333,   334,     0,   335,   336,     0,   337,
     338,     0,   339,   340,   341,   342,  1032,     0,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,     0,   355,   356,   357,   358,   359,   360,   361,     0,
     362,     0,   363,     0,     0,   364,     0,   365,   366,   367,
     368,   369,     0,     0,   370,   371,     0,   372,     0,     0,
     373,   374,   375,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,     0,   393,   394,   395,   396,   397,     0,   398,
     399,     0,   400,     0,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,   413,     0,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,     0,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
       0,   501,   502,     0,   503,     0,   504,   505,   506,   507,
     508,     0,   509,   510,     0,     0,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   245,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,     0,     0,   257,   258,   259,   260,   261,     0,
     262,   263,   264,   265,   266,     0,     0,     0,   267,   268,
     269,   270,   271,     0,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,     0,   281,   282,   283,     0,
       0,     0,     0,     0,     0,     0,   284,   285,   286,   287,
     288,   289,   290,   291,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,     0,   329,     0,   330,     0,     0,     0,   331,   332,
     333,   334,     0,   335,   336,     0,   337,   338,     0,   339,
     340,   341,   342,  1092,     0,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,     0,   355,
     356,   357,   358,   359,   360,   361,     0,   362,     0,   363,
       0,     0,   364,     0,   365,   366,   367,   368,   369,     0,
       0,   370,   371,     0,   372,     0,     0,   373,   374,   375,
       0,     0,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,     0,
     393,   394,   395,   396,   397,     0,   398,   399,     0,   400,
       0,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,   413,     0,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,     0,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,     0,   501,   502,
       0,   503,     0,   504,   505,   506,   507,   508,     0,   509,
     510,     0,     0,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   245,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,     0,     0,     0,   267,   268,   269,   270,   271,
       0,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,     0,   281,   282,   283,     0,     0,     0,     0,
       0,     0,     0,   284,   285,   286,   287,   288,   289,   290,
     291,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,     0,   329,
       0,   330,     0,     0,     0,   331,   332,   333,   334,     0,
     335,   336,     0,   337,   338,     0,   339,   340,   341,   342,
    1094,     0,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,     0,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,     0,     0,   364,
       0,   365,   366,   367,   368,   369,     0,     0,   370,   371,
       0,   372,     0,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,     0,   393,   394,   395,
     396,   397,     0,   398,   399,     0,   400,     0,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,     0,   409,
     410,   411,     0,     0,   412,   413,     0,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,     0,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,     0,   501,   502,     0,   503,     0,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   245,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
       0,     0,   267,   268,   269,   270,   271,     0,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,     0,
     281,   282,   283,     0,     0,     0,     0,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,     0,
       0,     0,   331,   332,   333,   334,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,  1104,     0,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,     0,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,     0,     0,   364,     0,   365,   366,
     367,   368,   369,     0,     0,   370,   371,     0,   372,     0,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,     0,   393,   394,   395,   396,   397,     0,
     398,   399,     0,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,   413,     0,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,     0,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,     0,   504,   505,   506,
     507,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   245,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,     0,     0,   267,
     268,   269,   270,   271,     0,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,     0,   281,   282,   283,
       0,     0,     0,     0,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,     0,     0,     0,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,  1107,     0,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,     0,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,     0,     0,   364,     0,   365,   366,   367,   368,   369,
       0,     0,   370,   371,     0,   372,     0,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,   394,   395,   396,   397,     0,   398,   399,     0,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
       0,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,     0,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,     0,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   245,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,     0,     0,     0,   267,   268,   269,   270,
     271,     0,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,     0,   281,   282,   283,     0,     0,     0,
       0,     0,     0,     0,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,     0,     0,     0,   331,   332,   333,   334,
       0,   335,   336,     0,   337,   338,     0,   339,   340,   341,
     342,  1110,     0,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,     0,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,     0,     0,
     364,     0,   365,   366,   367,   368,   369,     0,     0,   370,
     371,     0,   372,     0,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,     0,   393,   394,
     395,   396,   397,     0,   398,   399,     0,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,   413,     0,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,     0,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,     0,   503,
       0,   504,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   245,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   750,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,     0,     0,   267,   268,   269,   270,   271,     0,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
       0,   281,   282,   283,     0,     0,     0,     0,     0,     0,
       0,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
       0,     0,     0,   331,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,     0,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,     0,     0,   364,     0,   365,
     366,   367,   368,   369,     0,     0,   370,   371,     0,   372,
       0,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   753,   392,     0,   393,   394,   395,   396,   397,
       0,   398,   399,     0,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,     0,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   754,   462,
     463,   464,   465,   466,   467,   755,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,  1288,     0,   479,   480,
     481,   482,   483,     0,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,     0,   503,     0,   504,   505,
     506,   507,   508,     0,   757,   510,     0,     0,   758,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   759,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,  1611,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     369,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   245,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,     0,     0,     0,   267,   268,   269,
     270,   271,     0,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,     0,   281,   282,   283,     0,     0,
       0,     0,     0,     0,     0,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
       0,   329,     0,   330,     0,     0,     0,   331,   332,   333,
     334,     0,   335,   336,     0,   337,   338,     0,   339,   340,
     341,   342,  1648,     0,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,     0,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,     0,
       0,   364,     0,   365,   366,   367,   368,   369,     0,     0,
     370,   371,     0,   372,     0,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,     0,   393,
     394,   395,   396,   397,     0,   398,   399,     0,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,   413,     0,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,     0,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,     0,   501,   502,     0,
     503,     0,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   245,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,     0,     0,
     257,   258,   259,   260,   261,     0,   262,   263,   264,   265,
     266,     0,     0,     0,   267,   268,   269,   270,   271,     0,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,     0,   281,   282,   283,     0,     0,     0,     0,     0,
       0,     0,   284,   285,   286,   287,   288,   289,   290,   291,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,     0,   329,     0,
     330,     0,     0,     0,   331,   332,   333,   334,     0,   335,
     336,     0,   337,   338,     0,   339,   340,   341,   342,  1650,
       0,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,     0,   355,   356,   357,   358,   359,
     360,   361,     0,   362,     0,   363,     0,     0,   364,     0,
     365,   366,   367,   368,   369,     0,     0,   370,   371,     0,
     372,     0,     0,   373,   374,   375,     0,     0,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,     0,   393,   394,   395,   396,
     397,     0,   398,   399,     0,   400,     0,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,   413,     0,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,     0,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,     0,   501,   502,     0,   503,     0,   504,
     505,   506,   507,   508,     0,   509,   510,     0,     0,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   245,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,     0,     0,   257,   258,   259,
     260,   261,     0,   262,   263,   264,   265,   266,     0,     0,
       0,   267,   268,   269,   270,   271,     0,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,     0,   281,
     282,   283,     0,     0,     0,     0,     0,     0,     0,   284,
     285,   286,   287,   288,   289,   290,   291,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,     0,   329,     0,   330,     0,     0,
       0,   331,   332,   333,   334,     0,   335,   336,     0,   337,
     338,     0,   339,   340,   341,   342,  1721,     0,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,     0,   355,   356,   357,   358,   359,   360,   361,     0,
     362,     0,   363,     0,     0,   364,     0,   365,   366,   367,
     368,   369,     0,     0,   370,   371,     0,   372,     0,     0,
     373,   374,   375,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,     0,   393,   394,   395,   396,   397,     0,   398,
     399,     0,   400,     0,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,   413,     0,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,     0,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
       0,   501,   502,     0,   503,     0,   504,   505,   506,   507,
     508,     0,   509,   510,     0,     0,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   245,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,     0,     0,   257,   258,   259,   260,   261,     0,
     262,   263,   264,   265,   266,     0,     0,     0,   267,   268,
     269,   270,   271,     0,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,     0,   281,   282,   283,     0,
       0,     0,     0,     0,     0,     0,   284,   285,   286,   287,
     288,   289,   290,   291,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,     0,   329,     0,   330,     0,     0,     0,   331,   332,
     333,   334,     0,   335,   336,     0,   337,   338,     0,   339,
     340,   341,   342,  1723,     0,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,     0,   355,
     356,   357,   358,   359,   360,   361,     0,   362,     0,   363,
       0,     0,   364,     0,   365,   366,   367,   368,   369,     0,
       0,   370,   371,     0,   372,     0,     0,   373,   374,   375,
       0,     0,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,     0,
     393,   394,   395,   396,   397,     0,   398,   399,     0,   400,
       0,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,   413,     0,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,     0,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,     0,   501,   502,
       0,   503,     0,   504,   505,   506,   507,   508,     0,   509,
     510,     0,     0,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   245,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,     0,     0,     0,   267,   268,   269,   270,   271,
       0,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,     0,   281,   282,   283,     0,     0,     0,     0,
       0,     0,     0,   284,   285,   286,   287,   288,   289,   290,
     291,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,     0,   329,
       0,   330,     0,     0,     0,   331,   332,   333,   334,     0,
     335,   336,     0,   337,   338,     0,   339,   340,   341,   342,
    1725,     0,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,     0,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,     0,     0,   364,
       0,   365,   366,   367,   368,   369,     0,     0,   370,   371,
       0,   372,     0,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,     0,   393,   394,   395,
     396,   397,     0,   398,   399,     0,   400,     0,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,     0,   409,
     410,   411,     0,     0,   412,   413,     0,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,     0,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,     0,   501,   502,     0,   503,     0,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   245,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
       0,     0,   267,   268,   269,   270,   271,     0,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,     0,
     281,   282,   283,     0,     0,     0,     0,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,     0,
       0,     0,   331,   332,   333,   334,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,     0,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,     0,     0,   364,     0,   365,   366,
     367,   368,   369,     0,     0,   370,   371,     0,   372,     0,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,     0,   393,   394,   395,   396,   397,     0,
     398,   399,     0,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,   413,     0,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   461,   462,   463,
     464,   465,   466,  1820,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,     0,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,     0,   504,   505,   506,
     507,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
    2080,     0,   240,   241,     0,   242,   243,   244,     0,   245,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,     0,     0,   267,
     268,   269,   270,   271,     0,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,     0,   281,   282,   283,
       0,     0,     0,     0,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,     0,     0,     0,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,     0,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,     0,     0,   364,     0,   365,   366,   367,   368,   369,
       0,     0,   370,   371,     0,   372,     0,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,   394,   395,   396,   397,     0,   398,   399,     0,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
       0,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,     0,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   245,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   750,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,     0,     0,     0,   267,   268,   269,   270,
     271,     0,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,     0,   281,   282,   283,     0,     0,     0,
       0,     0,     0,     0,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,     0,     0,     0,   331,   332,   333,   334,
       0,   335,   336,     0,   337,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,     0,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,     0,     0,
     364,     0,   365,   366,   367,   368,   369,     0,     0,   370,
     371,     0,   372,     0,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   753,   392,     0,   393,   394,
     395,   396,   397,     0,   398,   399,     0,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,   413,     0,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   754,   462,   463,   464,   465,   466,   467,   755,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,  1288,
       0,   479,   480,   481,   482,   483,     0,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,     0,   503,
       0,  2114,   505,   506,   507,   508,     0,   757,   510,     0,
       0,   758,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   759,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   245,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   750,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,     0,     0,   267,   268,   269,   270,   271,     0,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
       0,   281,   282,   283,     0,     0,     0,     0,     0,     0,
       0,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
       0,     0,     0,   331,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,     0,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,     0,     0,   364,     0,   365,
     366,   367,   368,   369,     0,     0,   370,   371,     0,   372,
       0,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   753,   392,     0,   393,   394,   395,   396,   397,
       0,   398,   399,     0,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,     0,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   754,   462,
     463,   464,   465,   466,   467,  2189,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,  2190,     0,   479,   480,
     481,   482,   483,     0,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,     0,   503,     0,   504,   505,
     506,   507,   508,     0,   757,   510,     0,     0,  2191,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   759,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,  2457,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     369,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   245,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,     0,     0,     0,   267,   268,   269,
     270,   271,     0,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,     0,   281,   282,   283,     0,     0,
       0,     0,     0,     0,     0,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
       0,   329,     0,   330,     0,     0,     0,   331,   332,   333,
     334,     0,   335,   336,     0,   337,   338,     0,   339,   340,
     341,   342,  2462,     0,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,     0,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,     0,
       0,   364,     0,   365,   366,   367,   368,   369,     0,     0,
     370,   371,     0,   372,     0,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,     0,   393,
     394,   395,   396,   397,     0,   398,   399,     0,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,   413,     0,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,     0,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,     0,   501,   502,     0,
     503,     0,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   245,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,     0,     0,
     257,   258,   259,   260,   261,     0,   262,   263,   264,   265,
     266,     0,     0,     0,   267,   268,   269,   270,   271,     0,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,     0,   281,   282,   283,     0,     0,     0,     0,     0,
       0,     0,   284,   285,   286,   287,   288,   289,   290,   291,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,     0,   329,     0,
     330,     0,     0,     0,   331,   332,   333,   334,     0,   335,
     336,     0,   337,   338,     0,   339,   340,   341,   342,  2531,
       0,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,     0,   355,   356,   357,   358,   359,
     360,   361,     0,   362,     0,   363,     0,     0,   364,     0,
     365,   366,   367,   368,   369,     0,     0,   370,   371,     0,
     372,     0,     0,   373,   374,   375,     0,     0,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,     0,   393,   394,   395,   396,
     397,     0,   398,   399,     0,   400,     0,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,   413,     0,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,     0,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,     0,   501,   502,     0,   503,     0,   504,
     505,   506,   507,   508,     0,   509,   510,     0,     0,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   245,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,     0,     0,   257,   258,   259,
     260,   261,     0,   262,   263,   264,   265,   266,     0,     0,
       0,   267,   268,   269,   270,   271,     0,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,     0,   281,
     282,   283,     0,     0,     0,     0,     0,     0,     0,   284,
     285,   286,   287,   288,   289,   290,   291,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,     0,   329,     0,   330,     0,     0,
       0,   331,   332,   333,   334,     0,   335,   336,     0,   337,
     338,     0,   339,   340,   341,   342,  2851,     0,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,     0,   355,   356,   357,   358,   359,   360,   361,     0,
     362,     0,   363,     0,     0,   364,     0,   365,   366,   367,
     368,   369,     0,     0,   370,   371,     0,   372,     0,     0,
     373,   374,   375,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,     0,   393,   394,   395,   396,   397,     0,   398,
     399,     0,   400,     0,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,   413,     0,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,     0,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
       0,   501,   502,     0,   503,     0,   504,   505,   506,   507,
     508,     0,   509,   510,     0,     0,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   245,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,     0,     0,   750,   258,   259,   260,   261,     0,
     262,   263,   264,   265,   266,     0,     0,     0,   267,   268,
     269,   270,   271,     0,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,     0,   281,   282,   283,     0,
       0,     0,     0,     0,     0,     0,   284,   285,   286,   287,
     288,   289,   290,   291,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,     0,   329,     0,   330,     0,     0,     0,   331,   332,
     333,   334,     0,   335,   336,     0,   337,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,     0,   355,
     356,   357,   358,   359,   360,   361,     0,   362,     0,   363,
       0,     0,   364,     0,   365,   366,   367,   368,   369,     0,
       0,   370,   371,     0,   372,     0,     0,   373,   374,   375,
       0,     0,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   753,   392,     0,
     393,   394,   395,   396,   397,     0,   398,   399,     0,   400,
       0,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,   413,     0,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   754,   462,   463,   464,   465,   466,   467,
     755,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,  2190,     0,   479,   480,   481,   482,   483,     0,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,     0,   501,   502,
       0,   503,     0,   504,   505,   506,   507,   508,     0,   757,
     510,     0,     0,  2191,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   759,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   245,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,     0,     0,     0,   267,   268,   269,   270,   271,
       0,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,     0,   281,   282,   283,     0,     0,     0,     0,
       0,     0,     0,   284,   285,   286,   287,   288,   289,   290,
     291,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,     0,   329,
       0,   330,     0,     0,     0,   331,   332,   333,   334,     0,
     335,   336,     0,   337,   338,     0,   339,   340,   341,   342,
    2918,     0,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,     0,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,     0,     0,   364,
       0,   365,   366,   367,   368,   369,     0,     0,   370,   371,
       0,   372,     0,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,     0,   393,   394,   395,
     396,   397,     0,   398,   399,     0,   400,     0,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,     0,   409,
     410,   411,     0,     0,   412,   413,     0,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,     0,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,     0,   501,   502,     0,   503,     0,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   245,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
       0,     0,   267,   268,   269,   270,   271,     0,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,     0,
     281,   282,   283,     0,     0,     0,     0,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,     0,
       0,     0,   331,   332,   333,   334,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,  2931,     0,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,     0,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,     0,     0,   364,     0,   365,   366,
     367,   368,   369,     0,     0,   370,   371,     0,   372,     0,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,     0,   393,   394,   395,   396,   397,     0,
     398,   399,     0,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,   413,     0,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,     0,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,     0,   504,   505,   506,
     507,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   245,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,     0,     0,   267,
     268,   269,   270,   271,     0,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,     0,   281,   282,   283,
       0,     0,     0,     0,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,     0,     0,     0,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,  2933,     0,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,     0,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,     0,     0,   364,     0,   365,   366,   367,   368,   369,
       0,     0,   370,   371,     0,   372,     0,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,   394,   395,   396,   397,     0,   398,   399,     0,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
       0,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,     0,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,     0,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   245,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,     0,     0,     0,   267,   268,   269,   270,
     271,     0,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,     0,   281,   282,   283,     0,     0,     0,
       0,     0,     0,     0,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,     0,     0,     0,   331,   332,   333,   334,
       0,   335,   336,     0,   337,   338,     0,   339,   340,   341,
     342,  3067,     0,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,     0,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,     0,     0,
     364,     0,   365,   366,   367,   368,   369,     0,     0,   370,
     371,     0,   372,     0,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,     0,   393,   394,
     395,   396,   397,     0,   398,   399,     0,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,   413,     0,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,     0,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,     0,   503,
       0,   504,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   245,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,     0,     0,   267,   268,   269,   270,   271,     0,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
       0,   281,   282,   283,     0,     0,     0,     0,     0,     0,
       0,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,  3092,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
       0,     0,     0,   331,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,     0,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,     0,     0,   364,     0,   365,
     366,   367,   368,   369,     0,     0,   370,   371,     0,   372,
       0,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,     0,   393,   394,   395,   396,   397,
       0,   398,   399,     0,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,     0,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,     0,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,     0,   503,     0,   504,   505,
     506,   507,   508,     0,   509,   510,     0,     0,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,  4236,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     369,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,  1034,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,   806,   245,   246,   247,
       0,  1035,   807,  1036,  1037,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,  1038,  1039,   261,     0,   262,
     263,   264,   265,     0,     0,   808,     0,   267,   268,   269,
     270,   271,   809,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,   810,   281,   282,   283,     0,     0,
       0,   811,     0,     0,     0,   284,   285,   286,   287,   288,
     289,  1040,  1041,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,  1042,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,     0,   320,
     321,   322,     0,     0,   324,     0,   325,   326,  1043,   328,
       0,   329,     0,   330,   812,     0,   813,   331,   332,   333,
     334,     0,   335,     0,     0,     0,   338,     0,   339,   340,
     341,   342,   343,   814,   344,   345,   346,   347,  2087,   348,
     349,   350,   351,   352,   353,     0,   354,   815,  2088,   356,
     357,   358,   359,  1045,  1046,     0,  1047,     0,   363,   816,
     817,   364,   818,   365,   366,   367,   368,   369,     0,     0,
     370,     0,   819,   372,   820,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,  1048,   821,  1049,
     394,   395,   396,     0,     0,   398,   399,   822,   400,     0,
       0,   402,  1050,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,  2090,   823,   414,
     824,     0,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   428,     0,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1051,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   825,   461,   462,   463,     0,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,  2091,   482,   483,   826,   484,   485,
    1053,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,     0,   501,   502,     0,
     503,   827,   504,   505,   506,   507,   508,     0,  1054,  1055,
       0,     0,   511,   512,     0,   514,     0,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,     0,
    1056,  2092,   535,   828,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     558,   559,   560,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     369,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,     0,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,     0,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,  1034,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,   806,   245,   246,   247,
       0,  1035,   807,  1036,  1037,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,  1038,  1039,   261,     0,   262,
     263,   264,   265,     0,     0,   808,     0,   267,   268,   269,
     270,   271,   809,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,   810,   281,   282,   283,     0,     0,
       0,   811,     0,     0,     0,   284,   285,   286,   287,   288,
     289,  1040,  1041,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,  1042,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,     0,   320,
     321,   322,     0,     0,   324,     0,   325,   326,  1043,   328,
       0,   329,     0,   330,   812,     0,   813,   331,   332,   333,
     334,     0,   335,     0,     0,     0,   338,     0,   339,   340,
     341,   342,   343,   814,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,   815,     0,   356,
     357,   358,   359,  1045,  1046,     0,  1047,     0,   363,   816,
     817,   364,   818,   365,   366,   367,   368,   369,     0,     0,
     370,     0,   819,   372,   820,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,  1048,   821,  1049,
     394,   395,   396,     0,     0,   398,   399,   822,   400,  2185,
       0,   402,  1050,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,     0,   823,   414,
     824,     0,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   428,     0,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1051,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   825,   461,   462,   463,     0,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,  2091,   482,   483,   826,   484,   485,
    1053,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,     0,   501,   502,  3796,
     503,   827,   504,   505,   506,   507,   508,     0,  1054,  1055,
       0,     0,   511,   512,     0,   514,     0,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,     0,
    1056,     0,   535,   828,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,  1034,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     558,   559,   560,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,   806,
     245,   246,   247,     0,  1035,   807,  1036,  1037,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,  1038,  1039,
     261,     0,   262,   263,   264,   265,     0,     0,   808,     0,
     267,   268,   269,   270,   271,   809,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,   810,   281,   282,
     283,     0,     0,     0,   811,     0,     0,     0,   284,   285,
     286,   287,   288,   289,  1040,  1041,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,  1042,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,     0,   320,   321,   322,     0,     0,   324,     0,   325,
     326,  1043,   328,     0,   329,     0,   330,   812,     0,   813,
     331,   332,   333,   334,     0,   335,     0,     0,     0,   338,
       0,   339,   340,   341,   342,   343,   814,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
     815,     0,   356,   357,   358,   359,  1045,  1046,     0,  1047,
       0,   363,   816,   817,   364,   818,   365,   366,   367,   368,
     369,     0,     0,   370,     0,   819,   372,   820,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
    1048,   821,  1049,   394,   395,   396,  2255,     0,   398,   399,
     822,   400,     0,     0,   402,  1050,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
       0,   823,   414,   824,     0,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   428,     0,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1051,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   825,   461,   462,   463,     0,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,  1052,   482,   483,
     826,   484,   485,  1053,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,     0,
     501,   502,     0,   503,   827,   504,   505,   506,   507,   508,
       0,  1054,  1055,     0,     0,   511,   512,     0,   514,     0,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,     0,  1056,     0,   535,   828,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,  1034,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   558,   559,   560,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,   806,   245,   246,   247,     0,  1035,   807,  1036,
    1037,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,  1038,  1039,   261,     0,   262,   263,   264,   265,     0,
       0,   808,     0,   267,   268,   269,   270,   271,   809,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
     810,   281,   282,   283,     0,     0,     0,   811,     0,     0,
       0,   284,   285,   286,   287,   288,   289,  1040,  1041,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,  1042,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,     0,   320,   321,   322,     0,     0,
     324,     0,   325,   326,  1043,   328,     0,   329,     0,   330,
     812,     0,   813,   331,   332,   333,   334,     0,   335,     0,
       0,     0,   338,     0,   339,   340,   341,   342,   343,   814,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,   815,     0,   356,   357,   358,   359,  1045,
    1046,     0,  1047,     0,   363,   816,   817,   364,   818,   365,
     366,   367,   368,   369,     0,     0,   370,     0,   819,   372,
     820,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,  1048,   821,  1049,   394,   395,   396,  3612,
       0,   398,   399,   822,   400,     0,     0,   402,  1050,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,     0,   823,   414,   824,     0,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   428,     0,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,  1051,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   825,   461,   462,
     463,     0,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,     0,   479,   480,
    1052,   482,   483,   826,   484,   485,  1053,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,     0,   501,   502,     0,   503,   827,   504,   505,
     506,   507,   508,     0,  1054,  1055,     0,     0,   511,   512,
       0,   514,     0,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,     0,  1056,     0,   535,   828,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,  1034,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   558,   559,   560,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,   806,   245,   246,   247,     0,
    1035,   807,  1036,  1037,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,  1038,  1039,   261,     0,   262,   263,
     264,   265,     0,     0,   808,     0,   267,   268,   269,   270,
     271,   809,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,   810,   281,   282,   283,     0,     0,     0,
     811,     0,     0,     0,   284,   285,   286,   287,   288,   289,
    1040,  1041,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,  1042,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,     0,   320,   321,
     322,     0,     0,   324,     0,   325,   326,  1043,   328,  5124,
     329,     0,   330,   812,     0,   813,   331,   332,   333,   334,
       0,   335,     0,     0,     0,   338,     0,   339,   340,   341,
     342,   343,   814,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,   815,     0,   356,   357,
     358,   359,  1045,  1046,     0,  1047,     0,   363,   816,   817,
     364,   818,   365,   366,   367,   368,   369,     0,     0,   370,
       0,   819,   372,   820,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,  1048,   821,  1049,   394,
     395,   396,     0,     0,   398,   399,   822,   400,     0,     0,
     402,  1050,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,     0,   823,   414,   824,
       0,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   428,     0,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,  1051,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     825,   461,   462,   463,     0,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
       0,   479,   480,  1052,   482,   483,   826,   484,   485,  1053,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,     0,   501,   502,     0,   503,
     827,   504,   505,   506,   507,   508,     0,  1054,  1055,     0,
       0,   511,   512,     0,   514,     0,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,     0,  1056,
       0,   535,   828,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,  1034,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   558,
     559,   560,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,   806,   245,
     246,   247,     0,  1035,   807,  1036,  1037,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,  1038,  1039,   261,
       0,   262,   263,   264,   265,     0,     0,   808,     0,   267,
     268,   269,   270,   271,   809,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,   810,   281,   282,   283,
       0,     0,     0,   811,     0,     0,     0,   284,   285,   286,
     287,   288,   289,  1040,  1041,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,  1042,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
       0,   320,   321,   322,     0,     0,   324,     0,   325,   326,
    1043,   328,     0,   329,     0,   330,   812,     0,   813,   331,
     332,   333,   334,     0,   335,     0,     0,     0,   338,     0,
     339,   340,   341,   342,  1044,   814,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,   815,
       0,   356,   357,   358,   359,  1045,  1046,     0,  1047,     0,
     363,   816,   817,   364,   818,   365,   366,   367,   368,   369,
       0,     0,   370,     0,   819,   372,   820,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,  1048,
     821,  1049,   394,   395,   396,     0,     0,   398,   399,   822,
     400,     0,     0,   402,  1050,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,     0,
     823,   414,   824,     0,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   428,     0,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,  1051,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   825,   461,   462,   463,     0,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,   479,   480,  1052,   482,   483,   826,
     484,   485,  1053,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,     0,   501,
     502,     0,   503,   827,   504,   505,   506,   507,   508,     0,
    1054,  1055,     0,     0,   511,   512,     0,   514,     0,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,     0,  1056,     0,   535,   828,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,  1034,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   558,   559,   560,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,   806,   245,   246,   247,     0,  1035,   807,  1036,  1037,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
    1038,  1039,   261,     0,   262,   263,   264,   265,     0,     0,
     808,     0,   267,   268,   269,   270,   271,   809,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,   810,
     281,   282,   283,     0,     0,     0,   811,     0,     0,     0,
     284,   285,   286,   287,   288,   289,  1040,  1041,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,  1042,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,     0,   320,   321,   322,     0,     0,   324,
       0,   325,   326,  1043,   328,     0,   329,     0,   330,   812,
       0,   813,   331,   332,   333,   334,     0,   335,     0,     0,
       0,   338,     0,   339,   340,   341,   342,  1098,   814,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,   815,     0,   356,   357,   358,   359,  1045,  1046,
       0,  1047,     0,   363,   816,   817,   364,   818,   365,   366,
     367,   368,   369,     0,     0,   370,     0,   819,   372,   820,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,  1048,   821,  1049,   394,   395,   396,     0,     0,
     398,   399,   822,   400,     0,     0,   402,  1050,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,     0,   823,   414,   824,     0,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     428,     0,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1051,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   825,   461,   462,   463,
       0,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,  1052,
     482,   483,   826,   484,   485,  1053,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,     0,   501,   502,     0,   503,   827,   504,   505,   506,
     507,   508,     0,  1054,  1055,     0,     0,   511,   512,     0,
     514,     0,     0,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,     0,  1056,     0,   535,   828,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,  1034,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   558,   559,   560,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,   806,   245,   246,   247,     0,  1035,
     807,  1036,  1037,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,  1038,  1039,   261,     0,   262,   263,   264,
     265,     0,     0,   808,     0,   267,   268,   269,   270,   271,
     809,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,   810,   281,   282,   283,     0,     0,     0,   811,
       0,     0,     0,   284,   285,   286,   287,   288,   289,  1040,
    1041,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
    1042,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,     0,   320,   321,   322,
       0,     0,   324,     0,   325,   326,  1043,   328,     0,   329,
       0,   330,   812,     0,   813,   331,   332,   333,   334,     0,
     335,     0,     0,     0,   338,     0,   339,   340,   341,   342,
     343,   814,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,   815,     0,   356,   357,   358,
     359,  1045,  1046,     0,  1047,     0,   363,   816,   817,   364,
     818,   365,   366,   367,   368,   369,     0,     0,   370,     0,
     819,   372,   820,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,  1048,   821,  1049,   394,   395,
     396,     0,     0,   398,   399,   822,   400,     0,     0,   402,
    1050,   404,   405,   406,     0,   407,   408,     0,     0,   409,
     410,   411,     0,     0,   412,     0,   823,   414,   824,     0,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   428,     0,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,  1051,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   825,
     461,   462,   463,     0,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,     0,
     479,   480,  1052,   482,   483,   826,   484,   485,  1053,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,     0,   501,   502,     0,   503,   827,
     504,   505,   506,   507,   508,     0,  1054,  1055,     0,     0,
     511,   512,     0,   514,     0,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,     0,  1056,     0,
     535,   828,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,  1034,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   558,   559,
     560,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,   806,   245,   246,
     247,     0,  1035,   807,  1036,  1037,     0,   252,   253,   254,
     255,   256,     0,     0,   257,   258,  1038,  1039,   261,     0,
     262,   263,   264,   265,     0,     0,   808,     0,   267,   268,
     269,   270,   271,   809,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,   810,   281,   282,   283,     0,
       0,     0,   811,     0,     0,     0,   284,   285,   286,   287,
     288,   289,  1040,  1041,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,  1042,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,     0,
     320,   321,   322,     0,     0,   324,     0,   325,   326,  1043,
     328,     0,   329,     0,   330,   812,     0,   813,   331,   332,
     333,   334,     0,   335,     0,     0,     0,   338,     0,   339,
     340,   341,   342,   343,   814,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,   815,     0,
     356,   357,   358,   359,  1045,  1046,     0,  1047,     0,   363,
     816,   817,   364,   818,   365,   366,   367,   368,   369,     0,
       0,   370,     0,   819,   372,   820,     0,   373,   374,   375,
       0,     0,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,  1048,   821,
    1049,   394,   395,   396,     0,     0,   398,   399,   822,   400,
       0,     0,   402,  1050,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,     0,   823,
     414,   824,     0,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   428,     0,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,  1051,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   825,   461,   462,   463,     0,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,     0,   479,   480,  2091,   482,   483,   826,   484,
     485,  1053,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,     0,   501,   502,
       0,   503,   827,   504,   505,   506,   507,   508,     0,  1054,
    1055,     0,     0,   511,   512,     0,   514,     0,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
       0,  1056,     0,   535,   828,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
    1034,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   558,   559,   560,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
     806,   245,   246,   247,     0,  1035,   807,  1036,  1037,     0,
     252,   253,   254,   255,   256,     0,     0,   257,   258,  1038,
    1039,   261,     0,   262,   263,   264,   265,     0,     0,   808,
       0,   267,   268,   269,   270,   271,   809,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,   810,   281,
     282,   283,     0,     0,     0,   811,     0,     0,     0,   284,
     285,   286,   287,   288,   289,  1040,  1041,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,  1042,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,     0,   320,   321,   322,     0,     0,   324,     0,
     325,   326,  1043,   328,     0,   329,     0,   330,   812,     0,
     813,   331,   332,   333,   334,     0,   335,     0,     0,     0,
     338,     0,   339,   340,   341,   342,   343,   814,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,   815,     0,   356,   357,   358,   359,  1045,  1046,     0,
    1047,     0,   363,   816,   817,   364,   818,   365,   366,   367,
     368,   369,     0,     0,   370,     0,   819,   372,   820,     0,
     373,   374,   375,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,  1048,   821,  1049,   394,   395,   396,     0,     0,   398,
     399,   822,   400,     0,     0,   402,  1050,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,     0,   823,   414,   824,     0,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   428,
       0,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,  1051,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   825,   461,   462,   463,     0,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,     0,   479,   480,     0,   482,
     483,   826,   484,   485,  1053,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
       0,   501,   502,     0,   503,   827,   504,   505,   506,   507,
     508,     0,  1054,  1055,     0,     0,   511,   512,     0,   514,
       0,     0,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,     0,  1056,     0,   535,   828,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,  1034,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   558,   559,   560,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,   806,   245,   246,   247,     0,     0,   807,
       0,     0,     0,   252,   253,   254,   255,   256,     0,     0,
     257,   258,     0,     0,   261,     0,   262,   263,   264,   265,
       0,     0,   808,     0,   267,   268,   269,   270,   271,   809,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,   810,   281,   282,   283,     0,     0,     0,   811,     0,
       0,     0,   284,   285,   286,   287,   288,   289,     0,     0,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,     0,   320,   321,   322,     0,
       0,   324,     0,   325,   326,     0,   328,     0,   329,     0,
     330,   812,     0,   813,   331,   332,   333,   334,     0,   335,
       0,     0,     0,   338,     0,   339,   340,   341,   342,   343,
     814,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,   815,     0,   356,   357,   358,   359,
       0,     0,     0,     0,     0,   363,   816,   817,   364,   818,
     365,   366,   367,   368,   369,     0,     0,   370,     0,   819,
     372,   820,     0,   373,   374,   375,     0,     0,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   821,     0,   394,   395,   396,
       0,     0,   398,   399,   822,   400,     0,     0,   402,     0,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,     0,   823,   414,   824,     0,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   428,     0,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   825,   461,
     462,   463,     0,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,     0,   479,
     480,     0,   482,   483,   826,   484,   485,     0,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,     0,   501,   502,     0,   503,   827,   504,
     505,   506,   507,   508,     0,     0,     0,     0,     0,   511,
     512,     0,   514,     0,     0,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,     0,     0,     0,   535,
     828,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,  4794,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   558,   559,   560,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   245,   246,   247,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,     0,     0,   261,     0,   262,
     263,   264,   265,     0,     0,     0,     0,   267,   268,   269,
     270,   271,     0,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,     0,   281,   282,   283,     0,     0,
       0,     0,     0,     0,     0,   284,   285,   286,   287,   288,
     289,     0,     0,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,     0,   320,
     321,   322,     0,     0,   324,     0,   325,   326,     0,   328,
       0,   329,     0,   330,     0,     0,     0,   331,   332,   333,
     334,     0,   335,     0,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,     0,     0,   356,
     357,   358,   359,     0,     0,     0,     0,     0,   363,     0,
       0,   364,     0,   365,   366,   367,   368,   369,     0,     0,
     370,     0,     0,   372,     0,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,     0,     0,     0,
     394,   395,   396,     0,     0,   398,   399,     0,   400,     0,
       0,   402,     0,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,     0,     0,   414,
       0,     0,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   428,     0,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   461,   462,   463,     0,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,     0,   482,   483,     0,   484,   485,
       0,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,     0,   501,   502,     0,
     503,     0,   504,   505,   506,   507,   508,     0,     0,     0,
       0,     0,   511,   512,     0,   514,     0,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,     0,
       0,     0,   535,     0,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     558,   559,   560
};

static const yytype_int16 yycheck[] =
{
      16,     0,     0,     0,    50,  1120,     7,     0,   206,    25,
     893,    35,   201,    14,   751,    44,   623,  1142,   590,   908,
     749,    20,   184,  1504,  1392,     0,   836,  1052,   206,  1313,
     701,   702,   703,   894,  2399,   663,   707,   780,   799,   623,
    1436,  1082,  2305,  2752,    21,   773,   192,    21,   917,   774,
      27,  2586,  1315,    27,    43,   201,   192,  1911,   862,    12,
    1040,  1041,   669,   210,  1429,  2095,  2096,  2922,  1436,  1565,
    1050,  1441,  1173,  2254,  1847,   758,   223,    22,  1055,  1644,
      20,  3784,  2357,   972,  2359,  3166,  1370,   976,  2363,  1452,
      35,  3133,   981,    17,  2412,  3505,   646,  2372,  2373,  2374,
    2895,   580,  1365,   992,  2947,  3211,  2949,     0,  1826,   659,
    3462,   988,  2326,  3122,  1335,  1004,  3197,  2792,  3114,  2562,
     848,  3397,  3185,  3426,  2744,  1002,  3122,  3557,  3505,  2742,
    2743,  2801,  3501,  4034,   668,  3788,   171,   658,  1809,   186,
    3797,  3774,  3432,  4261,   186,  1914,  3732,   754,  1870,  2774,
    4423,  4264,  4367,    34,   633,  2675,     0,     0,  1528,     0,
      41,  1421,  1658,     0,     0,     0,     0,     0,  1431,  1370,
     754,  1534,  1535,     0,     0,     0,    20,     0,  1743,  4217,
       0,  2811,  3183,   846,    40,  4442,   796,  3773,    49,   908,
    4383,   796,  4385,   921,  3481,  3360,     0,  4577,     9,   893,
      49,     0,  1038,  1039,     0,     5,    50,   901,     0,    11,
       0,     5,  1029,  1049,    35,    29,   910,     0,    86,     9,
       5,  2402,  1202,  1203,  4481,  4263,     9,    56,     5,   218,
    4773,     5,  3431,    71,  3433,  2740,    26,  4564,     5,    42,
    1057,  2095,  1222,    26,  4487,  4488,    13,    14,   111,     3,
      26,     5,   137,    22,  2740,  1232,    42,    39,  4680,  4681,
    1077,  1071,   157,    22,     5,    78,     5,   169,    56,    56,
    1087,     5,    13,    14,     5,     5,  1093,    29,   162,    13,
      14,     5,  1099,    26,   132,  2805,   163,  2792,  1105,     5,
      56,  1108,   162,   964,     5,   204,   113,     5,     5,  4714,
     173,  4511,    39,     5,   144,    73,  2792,    26,  3851,  3852,
     111,  3854,  3855,  3856,    33,     4,  1120,  1601,   173,   173,
       9,     5,   164,  1384,   143,     5,     9,  2508,    73,  2510,
      11,   162,   266,    65,    69,   143,   264,    73,    56,   249,
     116,   113,   186,     5,    11,     3,     4,     5,     5,   104,
      56,     9,   106,     9,    80,  1191,  1192,    57,   162,     4,
       5,   130,    83,   162,     9,    65,   162,   332,    11,  1112,
     162,   130,   162,    40,    83,   162,   249,    47,     4,   162,
      56,   185,  1218,     9,  5110,   310,   185,   152,     3,   185,
     111,    26,   336,   185,   249,   185,   122,    40,    26,   332,
     350,   115,   185,    36,    71,    33,     4,     5,   281,   141,
      26,     9,   590,   104,  1716,    30,    31,   281,   343,   349,
     305,  2272,   198,   177,  4967,   410,   268,   159,    71,   575,
     142,  1300,   332,   376,  1655,    56,   208,   375,   158,  4696,
     587,   389,   322,    29,   157,   318,    73,   594,  4566,  4642,
     251,   376,  4565,   111,   111,   323,    83,   222,   162,   606,
    2658,   420,  2660,  2661,   642,  1490,   179,    53,    73,   349,
     190,   409,  4799,    26,   186,   408,   376,    11,    83,   251,
      33,   466,   628,   237,   432,   349,   240,   120,  1790,  2340,
     125,   205,   638,    73,  1298,   324,  1103,   422,   263,  1303,
    1304,   466,   162,    83,   414,   162,    40,   321,  1251,   125,
     180,   270,   162,  1120,   162,   185,   466,  5243,   332,  1103,
     334,    73,   466,   466,  1252,   225,   368,    26,    56,   264,
     251,  4741,   466,   352,   306,   336,   324,    71,   466,  1089,
     470,   414,   118,  1604,   352,   203,   161,   116,   163,   336,
     212,   221,  1280,   569,   256,   185,   387,   283,   324,   414,
     414,   470,  1825,   322,   323,   297,   342,   225,   470,   321,
    1177,   466,   256,   572,   572,   572,   256,   425,   392,   572,
     349,   466,   466,  3592,   387,   425,   340,   400,  1122,   466,
     349,   373,   455,  1177,  1878,   412,  3592,   572,  1148,  4872,
     470,  1478,   470,  5025,  1867,  1409,   324,   623,   624,  1159,
    1499,   256,   415,  1502,    11,  1419,  1359,   466,   324,   387,
    3616,   376,  5165,   669,  1174,   419,   464,   366,   367,   415,
     468,   431,   408,   376,   421,  5050,   373,   799,   673,   408,
     359,   470,   387,  1520,   568,   466,  3922,  4974,   324,  1510,
    1913,   387,   452,  3508,   465,   381,  1781,  3960,   256,  3949,
     462,  3964,  3743,  2844,  4907,   469,   466,   457,   458,   668,
     469,   403,   466,   469,   457,   458,  4789,   469,   387,   469,
    4798,   466,   470,   162,   354,   376,   469,  1491,  1295,   466,
    1494,  1495,   466,   447,  1563,   696,  1303,  1304,   470,   466,
     716,  3866,  1330,   324,   470,   682,  1747,   684,   682,   686,
     684,  1295,   686,  1407,   667,   692,   693,   694,   692,  1596,
    3783,  3763,  5102,   431,   713,   466,   742,  4014,   572,   669,
     387,   359,   466,  1713,   750,   466,   466,   753,   754,   755,
     938,   788,   466,  1353,   452,   934,   788,  1788,  1353,  3948,
     466,  3950,   470,   464,   399,   466,  1797,   468,   466,   466,
     938,  1480,   466,  5090,   470,  1428,  1485,  4310,   457,   458,
    1464,    22,  4673,  1577,   457,   458,  5033,   923,   459,   460,
     461,   462,   387,   466,  2814,   774,  2816,   923,   934,  5046,
     289,   790,   790,   790,   470,   462,   324,   790,   455,   457,
     458,   457,   458,   429,  2174,   420,   359,   387,  2204,  5002,
     470,   468,   457,   458,   803,   790,   459,   460,   461,   462,
     470,  3096,   470,  2107,   668,   669,   452,  3447,  3829,  4259,
       3,   457,   458,    34,   410,   387,    80,   104,   778,   408,
     470,  3159,   104,   104,  5171,   344,   272,  3702,    20,   470,
    4968,  2897,  1688,  1689,   249,   162,   845,  4970,   163,   457,
     458,     8,   303,  3493,    11,     5,   285,  1013,    15,    16,
      17,   252,  2645,  2646,   272,   104,    56,  2650,   122,   130,
    2250,   380,   156,   382,  5141,   862,    65,    22,  2742,  2743,
    2744,   111,   119,    28,  3689,   140,   752,   790,   261,  1471,
     756,  5228,  5175,  5176,    83,  1722,  2107,   237,   387,    82,
     111,  4949,   185,  1730,  2687,  2688,  3097,  3098,  3423,   105,
     781,  3426,   285,   457,   458,   459,   460,   461,   462,  1746,
     115,  4969,   305,   164,  2194,    22,   285,  3423,  1681,    80,
    3426,    28,   470,    22,   788,   838,   790,   790,  3211,   790,
     140,  2235,   165,   790,   790,   790,   790,   790,   116,  3479,
     333,   134,   141,   790,   790,   790,   157,   790,  2449,  4555,
     790,   143,   111,   299,  5092,  2259,   455,   222,  5091,   284,
     159,   122,  1653,  5198,    80,   281,   157,   105,  4365,   468,
    5263,  3616,   684,   685,   686,   130,     3,   689,   690,   691,
    3505,   266,   188,   116,   261,  2120,   266,   699,   179,  4419,
     340,   261,   202,    27,  3809,   908,   897,   898,   292,  3505,
     205,   159,   318,  2307,   163,   466,   122,   408,   285,  4406,
     281,   272,    56,  2802,  2756,   285,   256,   268,   185,   283,
     198,   467,  4419,   130,   470,   318,    80,   466,  4324,   322,
     355,   130,  5170,   448,   116,   228,     3,  1794,  1795,   206,
     457,   458,   459,   460,   461,   462,  2091,   318,   130,  4372,
     188,   272,   470,    65,  4377,    82,   349,  4380,  4368,   346,
     387,  1824,   272,  1826,  3114,   198,  3132,  1103,   122,  1832,
     140,   318,  3122,  1017,  4797,  1838,  1839,  1840,   349,  2770,
    2465,   267,   152,   466,  1120,  1848,  1849,   157,   281,  2393,
    1853,   106,     3,   252,   376,   376,   256,   466,   297,   111,
      22,   268,  1750,  1122,  1125,  4758,  1127,   134,  1129,   320,
    1131,   344,  1133,  1134,  1135,    82,  1864,   381,  1154,  1140,
     466,   144,   283,  1120,   324,   318,   281,   376,   114,   322,
     336,  1758,   202,  4810,  4807,   231,   429,    90,  4791,  1787,
     332,  1177,   413,  1791,   377,  1793,  1687,  4248,  1796,  1719,
     106,  4757,   222,  4028,   166,  4281,   349,   110,  3208,   452,
     352,  1731,   177,   318,   342,   199,   261,   283,   135,   375,
     376,  4254,  1742,  4426,   281,  5096,  5097,  1676,   104,   464,
    4577,   171,   281,   468,  4790,  1251,   379,   116,   381,   466,
     285,   144,   402,   263,   349,   181,   466,  2034,   336,  1740,
     111,   228,   272,  1757,   403,   249,  4069,     8,   130,   470,
      11,   318,   294,   314,    15,    16,    17,  1253,   123,   318,
     381,   177,   237,   190,   329,   240,  1262,     5,   133,   283,
     408,    32,    38,   255,   455,    24,   429,   375,   376,   251,
    1276,   173,   349,   464,   256,   466,   467,   468,   434,   470,
     349,   410,  4975,  1845,   281,   356,    45,   113,  1122,  1295,
     466,   349,  1298,  1299,   111,   381,  4519,  1303,  1304,   198,
    1325,  1338,  1339,  1471,  1341,   408,  1338,  1339,   349,  1341,
     324,   237,  4671,   379,   240,   297,   453,   454,   455,   210,
     457,   458,   459,   460,   461,   462,   177,   387,    11,   281,
     312,  1298,   270,   310,   409,   349,  1303,  1304,  4604,  5230,
     406,    22,   114,   281,   113,  4638,  2073,   249,    22,   342,
     287,  1185,  4012,   249,    28,   340,   281,   381,   249,   318,
     376,   178,   402,   429,   356,   431,   318,    49,   270,   329,
     251,  1205,  3982,  4793,  3977,   256,  1355,   296,  3988,  3632,
     318,   455,   379,   376,   381,   280,   237,   154,    71,   281,
     349,   314,  2666,   318,   468,   455,   164,   349,  2672,   470,
     466,   466,  1236,   387,  2277,  5098,   281,   183,   468,   181,
    5103,  3676,   470,  3846,   340,  3680,  3681,  1251,  3683,   342,
     102,   403,   165,   416,   464,   296,   318,   467,   468,   470,
     256,   154,  4698,   167,   251,   206,   429,  4703,  4704,   208,
     199,  1123,  1409,   318,  1126,   422,  1128,   214,  1130,   130,
    1132,  4674,  1419,   376,  1136,  2322,   130,   349,  4457,   452,
    4683,   352,   447,   103,   401,  3960,  4866,  3720,  4835,  3964,
     389,  4457,   409,   466,  2505,   412,  5169,   113,   125,   234,
     127,   466,   251,   421,  3960,   152,   470,  2281,  3964,   340,
    1404,   225,  1459,   416,    32,  2289,   395,   268,  2292,  4866,
    3753,  4554,  1508,   150,  1338,  1339,   429,  1341,  1514,   408,
      11,  4543,   414,   432,   466,   197,    73,   408,   389,  2203,
     320,   447,   113,  2120,  1491,   248,    83,  1494,  1495,   452,
     140,    85,  1668,  4875,  4876,  1671,  5229,   306,  1717,    40,
    1728,  2408,   152,   466,  3015,  1671,  1525,   157,  2263,  2264,
      26,   247,  2267,  2764,   387,   222,   192,  2912,  3762,  1727,
    1728,   432,  2429,  2430,  2431,  2432,   334,   249,  5261,   265,
      71,  5264,  3592,   127,  2441,    91,  3339,  3340,  3341,  3342,
    1716,  1717,  3345,  3346,  3347,  3348,  3349,  3350,  3351,  3352,
    3353,  3354,   202,  2277,   337,   235,  3616,  1480,   238,   114,
      76,   344,  1485,  3447,  3312,  4972,   144,  4272,    84,   256,
    1577,   318,   222,   249,   261,   251,   280,   208,    90,    30,
      31,   426,   390,  1629,     8,  1631,  2310,    11,   396,   429,
     429,    15,    16,    17,   377,   211,   112,   470,  3401,  3402,
     152,    83,   111,   466,  2113,   157,   380,   163,   382,  3820,
     318,  3822,   452,   263,  1790,   398,   338,  2341,   410,   389,
     251,  2201,   272,   342,   410,   470,   181,  2474,  4513,  3332,
     470,   470,   406,   210,  2481,  3035,   103,  1845,   194,    90,
     387,   349,   453,   454,   455,   349,   457,   458,   459,   460,
     461,   462,  2407,   209,  2501,   157,   168,   376,  3361,   110,
    3255,  4772,   178,   219,  2511,   280,   168,   125,  2515,   127,
     222,  2518,   249,   189,   466,   306,   280,  2524,  1685,  2526,
     466,    82,  2529,   185,   125,   167,   127,   140,  1695,   245,
    1697,   158,   150,   144,  2849,  5102,  1703,   416,  4770,   152,
     125,     0,   127,  1710,   157,  2478,   188,   394,   469,   272,
     266,   263,  4805,    65,  4786,   334,    35,   404,   470,    71,
    2554,   334,   123,   190,   164,   167,   299,   358,  1757,   306,
     332,    83,   133,   429,   349,    54,  1767,  4272,  1769,  4304,
    1771,  2588,  1773,   225,  1775,   349,  4039,   466,  1779,   202,
    4822,   322,   402,  5135,   162,   195,  4272,   392,  2459,   111,
    2269,   113,   364,  1817,   332,  4590,   334,  5174,   235,   222,
     279,   238,   328,   392,   470,   352,   339,   185,   349,   392,
    1809,  1809,  1809,   225,   103,  1804,  1809,     8,  1758,   271,
      11,  1837,   234,   251,    15,    16,    17,  3190,   256,  4684,
    3193,   157,   429,   261,  1809,   467,   429,  3121,   470,  4071,
     263,    32,  2822,   251,   166,  4077,  4454,  4690,   256,   272,
     261,  4216,   231,   179,   392,   327,   251,  1834,  1835,   452,
    4365,   408,  2469,   342,  1841,  1842,   261,  4372,  4049,  4050,
     192,  1816,  4377,   470,   268,  4380,  4982,  4586,  4413,  4365,
    4415,  3165,   368,   162,   410,  2469,  4372,  4495,  4253,    62,
      63,  4377,  1869,   314,  4380,   281,   304,   376,   187,  1823,
    4981,  4406,   332,   333,  2647,  4180,   185,  4182,  4183,  4951,
     281,  4186,  1928,  1757,  4419,  2522,  2659,  4235,   260,   152,
    4406,   342,   429,  2551,   157,   281,   323,   167,   380,   251,
     382,   422,   318,  4419,   256,   431,   322,   416,  2522,  3712,
     392,   332,   333,   314,  4207,   452,   235,   318,  2691,   238,
     429,   403,   349,  2757,   406,   376,   452,   336,   314,   113,
     249,   281,   318,   349,  2162,  1809,   394,   306,   380,     4,
     382,  2160,   281,   452,     9,   297,   404,   310,   349,   402,
     319,   429,   339,    91,  2162,   225,  2729,   466,  2749,   222,
     312,   280,   266,   349,   406,   416,   212,   271,   318,   420,
     379,   318,  2812,   157,   452,   322,   345,  2153,   429,   318,
     343,   281,     8,  3509,  2160,   206,   236,  2153,  4281,    15,
      16,    17,   470,  4878,  4819,  1624,   466,   406,    43,   349,
     263,   452,   349,   392,   323,  2852,    24,  2898,   192,  1883,
     349,   253,  5084,   376,   392,   466,  3171,  1646,   318,    64,
     429,   251,   431,  2200,   343,   163,  3181,    45,   320,   453,
     454,   455,  2923,   457,   458,   459,   460,   461,   462,   365,
     310,  2754,  4577,   339,   363,  2052,   281,   268,  2052,   349,
      87,   403,  3563,   163,   431,     8,   194,   466,    11,   422,
    3374,  4577,    15,    16,    17,   249,  2036,   251,  2122,   234,
    2124,   209,    21,  2078,  2120,   452,   464,   234,    27,    32,
     468,   219,   429,   318,   194,  2932,   188,  2934,  3381,   466,
     236,  5163,   465,  3977,  2271,   231,   431,   470,  3982,   209,
     342,  2703,   179,  4638,  3988,   452,   231,   245,   392,   219,
     380,  1345,   382,  2120,   349,     3,  2120,   452,   467,   465,
    2757,   470,  4638,  5234,   470,  4418,  4865,   140,   380,  3555,
     382,   466,  4425,   461,   376,    23,   406,    79,   466,   152,
     468,  3541,  5027,  2189,   157,   252,   253,  4729,   467,  4731,
     422,  5223,   422,  4735,  2173,  4737,   464,    53,   466,   461,
     468,   339,  2339,  3294,   466,    22,   468,    24,  3561,  3764,
    3563,    28,    13,    14,   416,  2899,    33,    34,    35,   467,
      37,  2839,   470,    40,    41,   212,    43,   429,    45,   202,
     328,   466,     9,  4498,    82,  3488,  3596,   279,   266,  4781,
     336,   336,   467,   271,  2078,   470,   380,  3126,   382,   222,
     452,   336,  3119,   266,   467,     5,  3063,   470,   328,   466,
      10,  3068,  3229,  3230,   466,   467,   470,   469,    18,  2866,
     466,    53,   453,   454,   455,   342,   457,   458,   459,   460,
     461,   462,   268,   379,  2263,  2264,    36,   135,  2267,  2973,
     263,   422,  2866,   206,   379,     8,  2836,  2837,    11,   272,
     342,  3787,    15,    16,    17,   467,   420,    43,   470,   376,
     406,   208,   467,   467,  2281,   470,   470,  3591,   468,  3593,
    3114,   406,  2289,   449,   269,  2292,   467,  2333,  3122,   470,
    2494,  2495,  2496,   429,   376,   431,   231,   185,   342,   231,
    4835,  3615,   190,   466,   429,   468,   431,   467,  2354,   416,
     470,  2357,   464,  2359,   466,   268,   266,  2363,   467,  4835,
    3634,   470,   429,  4534,   387,   269,  2372,  2373,  2374,  5214,
     466,  4866,   376,   157,   416,   192,   193,   194,   195,   467,
     197,   466,   470,   266,   201,   452,   203,   429,   449,   206,
    4866,  3506,  3507,   269,   467,   231,   213,   470,   215,   466,
      43,   218,   231,   467,   449,   222,   470,   224,   467,   208,
     452,   470,   416,  3771,   161,   467,   467,  2596,   470,   470,
     467,   459,  2428,   470,   466,   429,   470,   467,  2407,   402,
     470,   429,   466,   431,  5133,  3790,  4280,  4457,  3245,   287,
    3247,   336,  3249,   467,   336,   466,   470,   468,   452,  3256,
       8,  2991,   467,    11,  2590,  2461,   467,   467,   467,   470,
    2596,   470,   466,  2469,  2590,  3198,  3006,   453,   454,   455,
    2413,   457,   458,   459,   460,   461,   462,  4972,    53,   162,
    5179,   329,    40,   429,   379,   431,  2451,   379,  3295,    47,
     204,  3152,   467,   206,   466,   470,  4972,   468,   467,  5024,
     336,   470,   467,   467,   466,   470,   470,   336,   380,  3303,
     382,   406,   467,    71,   406,   470,  2522,   433,   467,   467,
    3490,   470,   470,   466,  2491,  2492,   374,   466,   318,   467,
    2497,  3128,   470,  3130,   429,  2703,   431,   429,   145,   431,
     453,   454,   455,   379,   457,   458,   459,   460,   461,   462,
     379,   185,   466,   401,  3128,   268,  3130,  4320,   380,  4579,
     382,   409,   467,  3278,   412,   470,   467,   145,   468,   470,
     406,   466,  1857,   467,   466,  1860,   470,   406,   467,  5278,
     138,   470,     8,   467,   266,    11,   470,  2554,   429,   185,
     431,   231,  3451,   429,   467,   431,   467,   470,   318,   470,
     429,  3334,   431,  3143,  2740,  3145,  2774,  5102,   145,   266,
    3207,  2647,  4083,   467,    40,   467,   470,  2451,   470,   185,
     467,    47,   180,   470,   145,   467,  5102,   185,   470,   157,
     466,   231,    35,  3207,   266,  3368,   467,   466,   318,   470,
     467,    35,   145,   470,   467,    71,   467,   470,   469,  3267,
     220,    54,   231,  1847,   467,  2691,  2792,   470,   113,   467,
      54,  1855,   470,   221,   467,   467,    22,   470,   470,   410,
     467,   467,    28,   470,   470,   467,   266,   236,   470,  5174,
    3413,  4067,   467,  3562,   467,   470,   467,   470,   466,   470,
    3441,  3442,  3443,   467,   467,   469,   336,   470,  5174,     8,
     103,   467,    11,   793,   470,   795,    15,    16,    17,   103,
     268,   467,   138,    69,   470,  2734,  2735,  2736,   467,   467,
    3438,   470,   470,   467,   467,  3978,   470,   470,  5083,  4982,
     392,    40,   467,  3533,   467,   470,   336,   470,    47,   379,
     453,   454,   455,   260,   457,   458,   459,   460,   461,   462,
     567,  2757,   422,  3293,   180,  4008,   573,   336,   575,   185,
    2796,   578,    71,   580,   157,   582,   406,   123,   467,   212,
     339,   470,   166,   590,   130,   467,   466,   133,   595,   379,
      65,  2770,  2770,  2770,   187,   251,   603,  2770,  2755,   429,
    2757,   431,    35,   187,   467,   221,   354,   470,  3592,   251,
     379,   467,   158,   433,   470,  2770,   406,  3686,  3965,   467,
    3967,   628,   470,  2647,   467,   145,   633,   470,  3669,   266,
     467,   638,  3616,   470,   466,   642,   466,   406,   157,   429,
     467,   431,   235,   470,   190,   238,   467,   251,    43,   470,
    4603,   235,   268,    43,   238,   662,   249,   251,     0,   397,
     429,   467,   431,   467,   470,   249,   470,  2691,   467,   467,
    2866,   470,   470,    82,   467,   467,   466,   470,   470,   467,
     467,   180,   470,   470,  2708,   467,   185,   280,   470,   467,
     467,   467,   470,   470,   470,   467,   280,   466,   470,   281,
    2724,   467,   450,   249,   470,   251,   713,  3912,   422,   457,
     458,   459,   460,   461,   462,   261,  2740,   467,   422,   726,
     470,   728,   221,   467,   270,    79,   470,   157,   300,   145,
     323,   145,   466,   145,   419,   281,   466,   293,   354,   323,
     466,   748,   749,   145,   751,   752,  2770,   466,    90,   756,
     343,    34,   433,   145,   145,   470,  3114,  2953,   145,   343,
     145,   145,    49,   770,  3122,   145,   145,   774,  2792,   268,
     363,   157,  2796,   780,   145,   321,   322,  4811,   145,   363,
     145,   145,   266,   466,   791,   376,    35,   157,   220,   157,
     266,   466,     5,     5,   466,   466,   803,   157,   140,   466,
     466,   466,   466,   349,   466,    92,   466,     5,  3004,     5,
     152,   466,   466,   466,   466,   157,   466,   466,   466,     5,
     162,     5,   466,   466,   430,   466,   168,  3824,   466,   171,
     117,  3828,   174,   277,   450,   466,   466,   466,   845,   466,
     466,   457,   458,   459,   460,   461,   462,   134,   466,   466,
    3834,   138,   466,   204,    35,   354,   863,   470,   470,    94,
     202,   868,   869,   220,    35,   157,   263,   413,   157,  3065,
     349,   158,     8,   261,   161,    11,   387,   387,   336,   387,
     222,   421,   387,   336,   387,  4838,   387,   468,   175,   336,
     897,   898,   222,   387,   387,   455,   387,   336,    83,   145,
    3096,   341,   217,   266,    40,   266,   387,   387,   256,   387,
     379,    47,  3108,   409,   266,   332,   923,   266,  3114,   466,
    4225,   263,   261,   387,   266,   387,  3122,   934,   178,   466,
     272,   938,  3128,    83,  3130,    71,   470,   281,   185,     8,
     145,   387,    11,   410,   410,   376,    15,    16,    17,   956,
     376,   450,   387,   387,   453,   454,   455,  3114,   457,   458,
     459,   460,   461,   462,   105,  3122,    35,   387,   387,   256,
      53,   978,   387,    53,   387,   242,  3899,   264,  3174,   986,
     987,   387,   387,   325,   270,   303,   387,   387,   387,  3146,
     336,   387,   285,   387,   285,    42,   379,    42,   387,  1006,
    1007,  1008,   138,  1010,  1011,   387,  1013,  3737,  3738,   336,
    3206,  3207,  4560,   470,   387,   387,   206,   304,   266,   206,
     397,   266,  3830,  3831,  3832,   433,   206,   206,   266,   266,
     206,   206,   206,    35,   376,   145,   429,   387,   466,  4503,
      24,  3196,   266,   145,   180,   251,   111,   145,  4045,   185,
     145,   410,   421,   429,   261,   228,   251,   251,   251,    35,
     402,   157,   466,    35,  3219,   212,   338,  3409,   466,  3226,
      34,   385,   385,   145,   145,  1082,   387,  1084,  1085,   387,
     387,   387,   410,   464,   426,   221,   428,   429,   466,  4086,
    4087,  4075,   145,   410,  4003,   145,   145,  3423,   464,     8,
    3426,   260,    11,   387,   255,  1112,   162,   242,   466,  3278,
     242,    11,   385,   425,   470,   153,   387,     8,   162,   466,
      11,   466,   464,   171,   389,   467,   468,   469,   471,   470,
     467,    40,   268,   466,   202,  1142,  1143,   206,    47,   178,
    1147,   178,  1149,   352,   470,   267,  3303,   210,   470,    40,
     410,    35,    53,   274,   336,   410,    47,   467,   210,   210,
     387,   466,    71,  1170,   256,   256,  1173,   387,   387,  1176,
     236,   466,  3196,   339,   392,   157,  4173,  4174,   422,  3505,
      71,  3407,  1189,   212,   147,   266,   256,  3383,    43,   358,
     251,   147,   220,   220,   220,  3219,   387,   264,   332,   268,
    3426,   379,   266,   318,   470,   179,  3415,  3416,  3417,  3418,
     387,   266,  1219,   346,    35,   387,   306,   206,   354,   212,
     302,   410,   410,   264,   455,   455,   188,   145,   261,   138,
     157,    35,   377,   159,  3592,   346,   261,   466,   145,   422,
    1247,  1248,  1249,  3995,  1251,   303,   145,   138,  5201,  5202,
     466,   145,   261,   251,    35,   266,   251,   212,  3616,   429,
     266,  2645,  2646,   266,  1271,   176,  2650,   157,   176,    35,
     467,   180,   464,   240,   212,   157,   185,    23,   340,   266,
     251,   449,   449,   185,   433,   162,   346,   185,   185,   180,
    4287,   169,  4289,  4290,   185,   239,   266,    53,   387,   429,
     376,   466,  1309,  2687,  2688,  1312,  4303,   467,   470,   467,
     467,   467,   221,   392,   450,   470,   470,   470,   260,   422,
     212,   457,   458,   459,   460,   461,   462,   467,   467,   467,
     221,   162,   277,  1340,  4064,   286,   467,  1344,  1345,   467,
     467,   467,   466,  4151,  4152,   470,  4154,   467,  1355,  1356,
    1357,   467,  1359,   467,   467,   449,   162,  4208,   466,   268,
     466,   466,   466,   387,   276,   466,   451,   426,   467,   230,
     266,   455,   408,   416,  1381,    53,   269,   268,   266,   266,
     426,   188,   145,  3407,   453,   454,   455,   387,   457,   458,
     459,   460,   461,   462,   196,   387,  3592,   387,   433,  3423,
     256,   387,  3426,   251,   145,  5066,   270,   341,   145,  1416,
     145,   341,  4142,   341,  1421,   220,   188,   147,   387,   410,
    3616,   455,   222,   157,   466,   287,   466,  3623,  1435,  1436,
    3626,  4726,  3628,   287,   407,  3592,   232,  1444,  4507,   470,
    1447,   387,   232,   232,   387,   354,  4387,   387,   387,  4913,
     387,   387,    55,  4394,   387,   336,   387,   336,   387,  3616,
     336,   336,   387,   354,  1471,  3622,  1473,   266,  3622,   349,
     387,   145,  3668,  4457,   387,    42,   173,   387,   206,  1486,
    3676,   387,  1489,   206,  3680,  3681,    89,  3683,   206,   206,
       3,   470,  3688,   397,   157,     3,  4717,    43,  4719,   467,
     320,   467,   104,  4233,   157,   470,   467,   466,   266,   467,
     264,    35,   145,   387,   145,   157,   119,   173,  1525,   467,
     145,   410,   336,   336,   465,   410,   336,   269,   346,  1536,
    1537,  1538,  1539,  1540,   143,  3692,  3693,   143,   470,   206,
     206,   450,  5006,   465,  1551,   148,   206,  1554,   457,   458,
     459,   460,   461,   462,   206,   206,   206,   136,  1565,   450,
    1567,   464,   162,    11,   277,   470,   457,   458,   459,   460,
     461,   462,  1579,  1580,   157,   421,   162,   272,   162,   182,
     171,   467,   426,   267,   467,   325,   415,   452,    81,   397,
    3786,   157,    35,  1600,   467,   467,   466,   465,   467,   470,
     466,   410,  4599,   470,   467,   212,   466,   410,   467,   467,
     387,   196,    53,  1620,   217,  4532,   466,   379,  4923,  4924,
    4915,   466,   145,   166,   397,   341,  3781,  1634,  1635,  1636,
    1637,   336,   387,   336,  3960,   387,   387,  3995,  3964,   387,
    1647,   467,   387,   467,   467,   318,   429,  1654,   251,   466,
     314,  1658,    53,   379,  3850,  3851,  3852,   416,  3854,  3855,
    3856,  1668,   157,   147,  1671,    71,   104,   206,  4420,  1676,
     397,   206,   467,   206,  1681,  4672,   206,  3834,   281,   282,
     466,   210,  4623,   301,   191,  4608,   466,   387,   470,   433,
     313,   467,   470,   202,    35,   285,    77,   379,   466,   470,
     470,   210,   387,   397,   168,   466,   346,   467,   465,  1716,
    1717,   104,   162,   162,   223,   318,  4468,   206,   467,   322,
    1727,  1728,   311,   326,   467,  4722,  4649,   466,  4458,    53,
     333,   427,   470,   277,   427,   467,   467,   466,   341,   209,
    1747,  1748,  4726,   467,   466,   466,   349,  1754,   275,  1756,
     209,   378,   273,  5058,    53,   174,   467,  3781,   361,   467,
     467,   261,  5226,   455,   162,   397,   369,   387,   429,    71,
     190,   179,   455,   256,  1781,   256,    53,   387,   379,   470,
     470,  1788,    65,  1790,   145,   206,   466,  1794,  1795,   387,
    1797,   387,   164,   162,  3990,   111,  3992,  1804,    35,   410,
     185,   261,   410,    35,  1811,   346,   251,   466,   159,  1816,
    1817,  5275,   157,  1820,   346,   261,   429,  1824,    53,  1826,
      35,   424,  4026,  4631,  1831,  1832,  5290,   162,   466,   266,
     429,  1838,  1839,  1840,  4642,   157,   193,  1844,  1845,  1846,
    1847,  1848,  1849,  1850,  1851,   269,  1853,   162,  1855,  1856,
    4005,  4006,  1859,   311,   204,  5150,   415,   362,   285,   428,
     209,   466,   466,    83,   126,   312,   266,  1874,  1875,  1876,
    1877,   466,  4935,   467,  1881,  1882,   387,    35,   466,  1886,
     467,   145,  1889,   387,  4210,  1892,  1893,  1894,  1895,  1896,
    1897,  1898,  1899,  1900,   466,  1902,   467,   467,   466,   157,
     118,  1908,  1909,   466,  1911,   466,   466,    35,   466,  4832,
     256,  1918,   178,  4721,   233,   188,   466,   301,  4075,   466,
       8,   346,  4079,    11,   145,  4079,  4849,    15,    16,    17,
     467,  4854,   104,  4856,   131,   425,  3960,    35,   270,  4726,
    3964,   467,   333,   333,    32,   397,  4272,  4104,  4105,   360,
     360,   467,  4109,  4110,    53,  3339,  3340,  3341,  3342,    53,
      35,  3345,  3346,  3347,  3348,  3349,  3350,  3351,  3352,  3353,
    3354,    74,   466,   470,  4170,  4171,   467,   379,   466,   466,
     466,  4005,  4006,   415,  4180,   467,  4182,  4183,  3372,   466,
    4186,   178,   410,   157,   249,   466,   379,   266,   467,   379,
       5,   151,   433,   466,     8,   144,    65,    11,   269,   466,
      65,   126,   429,   429,   311,   414,     8,  3401,  3402,    11,
     415,    35,     0,    15,    16,    17,  4877,   466,  2035,   349,
    2037,   466,  2039,   162,   470,   379,    40,   426,  4846,  4365,
     256,   309,   131,    47,   190,   346,  4372,   266,  4244,   266,
      35,  4377,   466,    35,  4380,  4381,   301,   269,   269,   466,
     164,   470,  4420,   164,   467,    53,  2073,    71,   116,   466,
     466,   408,   332,  2080,   387,  2082,     5,   273,   587,   467,
    4406,   467,   332,  4279,   466,   594,   319,   346,    21,   466,
    4468,   470,   470,  4419,    32,  4250,   256,   606,  4467,  4457,
     466,   144,   387,    74,   162,   889,  2113,   301,   360,   360,
    4468,   429,    90,   466,  4310,  2122,  1552,  2124,   206,   429,
     164,   790,  4874,   164,  2411,  2310,  2757,  2244,  4915,   854,
    2923,   898,   897,  3591,  2141,  5217,  3565,  5134,  5048,  2335,
    4509,  4467,  3112,  1304,  3688,  4739,  2153,  4913,  2155,  2156,
    5150,  3735,  4560,  2160,  4531,  2162,  4198,  2164,  2843,  2166,
    2543,  5031,   140,  2170,  4419,  5139,  2173,     8,  4943,  4942,
      11,  5068,  5174,  2847,   152,  3782,   180,  3766,  4883,   157,
     268,   185,  3586,  4509,   162,  3726,  2396,  2194,  2396,  2948,
     168,  3163,   894,   171,  3751,  4234,   174,  2204,  4538,    40,
    2390,  4546,  3173,  5152,  5290,  2212,    47,  5275,  3116,  4524,
    5081,  3121,  2219,  2327,   206,  4701,  4470,   221,  4399,  4892,
    4473,  2228,    27,  3837,   202,  1149,  4250,  4670,  2096,  4811,
      71,  3790,  2821,   966,   656,  1727,  1812,  1160,  1812,  1668,
    1615,  2248,  1813,  3066,   222,  3634,  2253,  2254,  4272,   624,
    3165,  4577,  3615,  5107,  5266,   769,  2263,  2264,  2037,  1388,
    2267,  4457,  2269,  2036,   268,  3769,  4402,  4007,  1758,  5023,
    3485,  1281,  1329,  2771,  2076,  1348,   268,  2782,  5015,  3450,
    2287,  4858,  2777,  2290,  3991,   263,  2075,  3426,   266,  3949,
    3966,  4639,  3423,  1347,   272,  4835,  4834,   138,  3486,  3423,
    4457,  5270,  4498,  5123,  2311,  2312,  5005,  5205,  4606,  3376,
    4396,  5018,  4638,  5019,  4998,  2708,  1906,  2618,  1350,  2326,
    2760,  2328,  2329,  1909,  2706,  1355,    -1,    -1,  3712,    -1,
    1692,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,
      -1,    -1,    -1,    -1,   185,    -1,    -1,   325,  4372,  2356,
     354,    -1,    -1,  4377,    -1,    -1,  4380,  2364,  2365,    -1,
      -1,    -1,    -1,  5150,  2371,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,  2383,    -1,  2385,    -1,
     221,  4536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2399,    -1,    -1,  2402,    -1,  2404,   376,    -1,
    2407,    -1,    -1,    -1,  2411,    -1,    -1,  2414,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4573,    -1,
      -1,    -1,    -1,  4649,   402,    -1,    -1,   268,    -1,  4755,
      -1,    -1,    -1,    -1,    -1,  2442,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2452,   450,  2454,   426,    -1,
     428,   429,    -1,   457,   458,   459,   460,   461,   462,    -1,
      -1,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,  2478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,    -1,    -1,    -1,    -1,    -1,    -1,  2505,    -1,
    2507,  2508,  2509,  2510,    -1,    -1,    -1,    -1,    -1,  4835,
      -1,    -1,  4536,   354,    -1,    -1,  4874,  4713,  4714,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4726,    -1,    -1,    -1,  4730,    -1,  2543,    -1,    -1,    -1,
    4866,    -1,    -1,    -1,  4740,    -1,    -1,    -1,    -1,  4573,
      -1,    -1,    -1,    -1,    -1,    -1,  4713,  4714,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3952,  4726,
      -1,    -1,    -1,  2580,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2590,    22,    -1,    -1,    -1,    -1,  2596,
      28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2609,    41,    -1,    -1,    -1,    -1,    -1,   450,
    2617,    -1,    -1,    -1,  4638,  2622,   457,   458,   459,   460,
     461,   462,    -1,    -1,    -1,  4649,    -1,    -1,    -1,    -1,
      -1,    69,  4787,    -1,    -1,    -1,    -1,    -1,  2645,  2646,
    2647,    -1,    -1,  2650,    -1,    -1,  4972,    -1,    -1,    -1,
      -1,  2658,  2659,  2660,  2661,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2671,    25,    -1,  2674,  5037,  2676,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2687,  2688,    -1,   121,  2691,   123,    -1,    -1,    -1,    -1,
      -1,    -1,   130,    -1,    -1,   133,  2703,    -1,  2705,    -1,
    2707,    -1,  2709,    -1,    -1,    -1,    -1,    -1,  4863,    -1,
      -1,  5037,    -1,    73,    -1,    -1,    -1,    -1,    -1,  4915,
     158,    -1,  2729,  4919,    -1,  4921,  2733,    -1,    -1,  4925,
    4926,    -1,    -1,  2740,    -1,  2742,  2743,  2744,    -1,  5108,
    5109,    -1,    -1,    -1,    -1,   105,    -1,    -1,    35,    -1,
      -1,    -1,   190,  2760,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5088,  4787,  2771,    -1,    -1,    54,   128,  2776,
      -1,    -1,    -1,    -1,    -1,  2782,  5102,    -1,    -1,   139,
      -1,    -1,  5108,  5109,    -1,  2792,    -1,    -1,    -1,  2796,
      -1,    -1,  2799,    -1,  2801,    -1,    -1,    -1,    -1,   159,
      -1,    -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,    -1,
      -1,   249,    -1,   251,    -1,    -1,   103,   104,    -1,    -1,
      -1,    -1,    -1,   261,   111,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   270,    -1,    -1,  2842,    -1,  2844,    -1,  4863,
      -1,    -1,  2849,   281,    -1,    -1,    -1,    -1,  5174,    -1,
      -1,    -1,  5048,   213,  5050,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2876,
      -1,  2878,  2879,  2880,   234,    -1,    -1,    -1,    -1,   166,
     318,    -1,    -1,   321,   322,    -1,    -1,    -1,    -1,    -1,
      -1,  5048,    -1,  5050,    -1,    -1,    -1,    -1,    -1,    -1,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5291,  5292,    -1,    -1,    -1,  5082,  5107,  5107,
    5107,    -1,    -1,    -1,  5107,    -1,  4320,    -1,    -1,    -1,
     300,    -1,    -1,   303,    -1,  4329,    -1,  5273,   235,    -1,
      -1,   238,  5107,    -1,  5150,  5181,    -1,    -1,    -1,    -1,
      -1,    -1,   249,    -1,   251,  5291,  5292,    -1,    -1,   329,
      -1,    -1,    -1,    -1,    -1,   413,   336,    -1,    -1,    -1,
      -1,    -1,  2989,   343,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5181,  5181,  5181,    55,    -1,    -1,  5181,    -1,
      -1,   371,    -1,    -1,    -1,    -1,   376,    -1,    -1,   379,
      -1,  5217,    -1,    -1,    -1,    -1,  5181,    -1,    -1,    -1,
    5226,    -1,    -1,    -1,    -1,    -1,   323,   397,    -1,    89,
    1549,    -1,    -1,    -1,    -1,    -1,     0,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   343,    -1,  5082,    -1,
    5217,    -1,   422,    -1,    -1,    -1,    -1,    -1,    -1,  5226,
      -1,    -1,    -1,    -1,    -1,    -1,   363,    -1,   365,  5275,
      -1,   368,    -1,  5107,    -1,  3092,    -1,  5266,  5266,  5266,
    3097,  3098,    -1,  5266,  5290,    -1,    -1,    -1,   148,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,  5266,    -1,    -1,    15,    16,    17,  1626,  5275,    -1,
      -1,    -1,    -1,  1632,    -1,    -1,    -1,  3134,  3135,  3136,
      -1,    32,   182,  5290,    -1,  1644,    90,    -1,    -1,    40,
      -1,    -1,    -1,    -1,  3151,    -1,    47,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5181,    -1,    -1,
      -1,    -1,    -1,    -1,  3171,  3172,    -1,   217,    -1,    -1,
      71,    -1,    -1,    -1,  3181,  3182,  3183,    -1,    -1,   466,
    3187,    -1,    -1,    -1,    -1,    -1,   140,    -1,    -1,    -1,
      -1,  3198,    -1,    -1,  3201,    -1,    -1,    -1,   152,    -1,
      -1,   251,    -1,   157,    -1,    -1,    -1,    -1,   162,    -1,
      -1,  1720,    -1,    -1,   168,    -1,    -1,   171,    -1,  4603,
     174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,   282,    11,  1743,    -1,    -1,    15,    16,    17,
      -1,    -1,  5266,    -1,  4628,    -1,    -1,    -1,   202,    -1,
      -1,    -1,  3259,    -1,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,   222,    47,
      -1,  3278,   322,    -1,   324,    -1,   326,    -1,    -1,   180,
      -1,    -1,    -1,   333,   185,    -1,    -1,  3294,    -1,    -1,
      -1,   341,    -1,    71,    -1,    -1,    -1,    -1,    -1,   349,
      -1,    -1,    -1,    -1,    -1,   206,   207,  3314,    -1,   263,
      -1,   361,   266,    -1,    -1,    -1,  3323,    -1,   272,   369,
     221,    -1,  3329,    -1,  3331,    -1,    -1,  3334,    -1,    -1,
      -1,    -1,  3339,  3340,  3341,  3342,    -1,    -1,  3345,  3346,
    3347,  3348,  3349,  3350,  3351,  3352,  3353,  3354,    -1,    -1,
      -1,  3358,  3359,   254,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3368,    -1,    -1,    -1,  3372,    -1,   268,    -1,  3376,
     271,   325,    -1,    -1,   424,    -1,    -1,  3384,    -1,    -1,
    3387,    -1,  3389,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3398,    -1,    -1,  3401,  3402,    -1,    -1,    -1,  3406,
    3407,    -1,   180,    -1,  3411,    -1,  3413,   185,    -1,    -1,
      -1,    -1,    -1,  3420,  3421,  3422,  3423,    -1,    -1,  3426,
    3427,    -1,   376,    -1,  3431,  3432,  3433,    -1,   206,   207,
      -1,    -1,  3439,    -1,    -1,    -1,    -1,    -1,  3445,  3446,
    3447,    -1,    -1,   221,    -1,    -1,    -1,    -1,   402,    -1,
      -1,    -1,    -1,   354,  4838,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3471,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   426,    -1,   428,   429,   254,    22,  3485,    -1,
    3487,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,
     268,    -1,    -1,   271,    -1,    -1,    -1,    -1,  3505,  3506,
    3507,    -1,  3509,    20,    -1,    -1,    -1,    -1,    25,    -1,
     464,    -1,    -1,   467,   468,   469,    -1,    -1,    -1,  3526,
    3527,  3528,  3529,    -1,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    59,    -1,    -1,    -1,    -1,    -1,  3555,   450,
      -1,    -1,   453,   454,   455,    72,   457,   458,   459,   460,
     461,   462,    -1,    -1,    -1,    -1,  3573,    -1,    -1,   470,
      87,    -1,    -1,    -1,   119,  2084,   354,    -1,   123,    -1,
      -1,    -1,    -1,    -1,    -1,   130,    -1,    -1,   133,    -1,
      -1,    -1,    -1,  2102,    -1,    -1,    -1,    -1,    -1,  2108,
      -1,    -1,    -1,  2112,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   128,    -1,   158,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5005,   139,    -1,    -1,    -1,    -1,    -1,    -1,  2138,
      -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   159,   203,    -1,   190,    -1,   164,    -1,    -1,
      -1,    -1,    -1,   213,    55,    -1,    -1,    -1,  3665,    -1,
      -1,    -1,    -1,    -1,   224,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   450,  2182,    -1,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,    -1,    -1,    89,    -1,
      -1,  2200,   470,    -1,    -1,    -1,    -1,  3704,    -1,    -1,
      -1,  3708,    -1,  3710,   249,  3712,   251,    -1,    -1,    -1,
      -1,    -1,  3719,    -1,    -1,    -1,   261,   234,  3725,    -1,
      -1,    -1,    -1,  2232,    -1,   270,    -1,    -1,  3735,    -1,
      -1,    -1,    -1,    -1,    -1,  5119,   281,    -1,    -1,    -1,
      -1,    -1,    -1,  3750,    -1,    -1,    -1,   148,  2257,    -1,
      -1,   268,    -1,    -1,    -1,  3762,  2265,    -1,    -1,    -1,
      -1,    -1,  2271,    -1,  3771,    -1,  2275,    -1,    -1,    -1,
      -1,    -1,    -1,   318,    -1,  3782,   321,   322,    -1,    -1,
    3787,   182,    -1,   300,  3791,  3792,  2295,    -1,    -1,    -1,
      -1,  2300,    -1,    -1,    -1,  2304,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   349,    -1,    -1,    -1,  2317,    -1,
      -1,   212,    -1,  3820,    -1,  3822,   217,  5201,  5202,   336,
      -1,  2330,  3829,    -1,    -1,    -1,   343,    -1,    -1,   346,
    2339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     251,  3858,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   376,
      -1,    -1,  3869,    -1,    -1,    -1,   383,    -1,   413,    -1,
      -1,    -1,    -1,   390,    -1,    -1,    -1,    -1,    -1,    -1,
     397,   282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3909,  3910,    -1,   422,    -1,    -1,    -1,  3916,
    3917,    -1,    -1,    -1,  3921,    -1,    -1,    -1,    -1,  3926,
      -1,   322,  3929,  3930,    -1,   326,    -1,  3934,  3935,    -1,
      -1,    -1,   333,  3940,  3941,  3942,  3943,  3944,    -1,    -1,
     341,  3948,  3949,  3950,    -1,  3952,  3953,    -1,   349,  3956,
      -1,    -1,    -1,  3960,    -1,    -1,    -1,  3964,    -1,    -1,
     361,    -1,    -1,  3970,    -1,    -1,    -1,    -1,   369,    -1,
    3977,    -1,     3,    -1,    -1,  3982,    -1,     8,    -1,    -1,
      11,  3988,    -1,    -1,    15,    16,    17,    -1,  3995,   390,
      -1,    -1,    -1,    -1,    -1,    35,  4003,    -1,    -1,    -1,
    4007,    32,    -1,    -1,    35,  4012,    -1,   567,    -1,    40,
      -1,    -1,    -1,   573,    -1,    55,    47,    -1,    -1,  4026,
      22,    -1,  4029,   424,    -1,    -1,    28,   428,   429,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    41,
      71,    -1,  4049,  4050,    -1,    -1,    -1,    -1,    -1,    89,
      -1,  2560,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4067,    -1,    -1,    -1,    -1,    -1,    -1,    69,    -1,  2578,
      -1,    -1,    -1,  4080,    -1,    -1,    -1,  2586,    -1,    -1,
      -1,    -1,    -1,     7,    -1,    -1,    -1,    -1,    -1,    13,
      14,    -1,    -1,    -1,    -1,    19,    -1,    21,    -1,    -1,
      -1,    -1,    -1,    27,    -1,    29,    -1,    -1,   148,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   121,
      -1,   123,  4129,    -1,    48,    49,    -1,    -1,   130,    -1,
      -1,   133,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   182,    -1,    -1,    -1,  4153,    -1,    -1,   180,
      -1,    35,    -1,    -1,   185,    -1,   158,    -1,    -1,    -1,
      -1,  4168,    -1,    -1,    -1,    -1,   726,    -1,    -1,    -1,
      -1,    55,   212,    -1,    -1,   206,   207,   217,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   190,  4196,
     221,   751,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4210,    -1,    89,    -1,    -1,    -1,  4216,
     770,   251,   634,    -1,    -1,    -1,    -1,    -1,  4225,    -1,
      -1,    -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   791,    -1,    -1,    -1,    -1,   658,   268,    -1,    -1,
     271,    -1,   282,    -1,  4251,    -1,  4253,   249,    -1,   251,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   261,
      -1,    -1,    -1,    -1,   148,  4272,    -1,    -1,   270,    -1,
      -1,    -1,    -1,    -1,    -1,   199,    -1,  4284,    -1,   281,
      -1,    -1,   322,   207,    -1,   209,   326,   211,   212,    -1,
     214,    -1,   216,   333,    -1,   219,    -1,   221,   182,    -1,
      -1,   341,    -1,   863,    -1,    -1,    -1,    -1,    -1,   349,
      -1,    -1,    -1,  4320,    -1,    -1,   318,    -1,    -1,   321,
     322,   361,  4329,   354,    -1,    -1,    -1,    -1,   212,   369,
      -1,    -1,    -1,   217,   193,   194,    -1,    -1,   197,  4346,
    4347,    -1,    -1,  4350,    -1,    -1,    -1,   349,    -1,    -1,
     390,    -1,    -1,    -1,  2863,    -1,   215,    -1,  4365,    -1,
      -1,  4368,    -1,   222,    -1,  4372,    -1,   251,    -1,    -1,
    4377,    -1,    -1,  4380,  4381,    -1,  4383,    -1,  4385,    -1,
      -1,  4388,  4389,    -1,   424,    -1,    -1,    -1,   428,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,  4406,
      -1,  4408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   413,  4419,  4420,  4421,  4422,  4423,    -1,   978,   450,
      -1,    -1,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,    -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,
      -1,    -1,   326,    -1,    -1,    -1,  1006,  1007,  1008,   333,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,    -1,    -1,
    4467,  4468,  2971,    -1,    -1,   349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   361,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   369,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4509,    -1,    -1,  4512,   390,    -1,   930,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4524,    -1,    -1,
    4527,    -1,    -1,    -1,    -1,  4532,    -1,  4534,    -1,    -1,
      -1,   953,    -1,    -1,  4541,    -1,    -1,    -1,    -1,    -1,
     424,    -1,    -1,    -1,   428,    -1,   968,    -1,    -1,  4556,
      -1,    -1,    -1,  4560,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4575,  4576,
    4577,    -1,    -1,    -1,  3083,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1147,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4603,    -1,    -1,  4606,
      -1,  4608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1173,    -1,    -1,     8,    -1,    -1,    11,
      -1,  4628,    -1,    15,    16,    17,    -1,  4634,    -1,    -1,
      -1,  4638,    -1,    -1,    -1,  4642,    -1,    -1,    -1,    -1,
      32,    -1,  4649,    -1,    22,    -1,    -1,    -1,    40,    -1,
      28,  4658,   576,    -1,    -1,    47,    -1,    -1,    -1,    -1,
     584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   592,   593,
      -1,    -1,   596,   597,   598,  4682,    -1,    -1,   602,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     614,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4708,    -1,    -1,    -1,   629,    -1,    -1,    -1,    -1,
    4717,  4718,  4719,  4720,    -1,    -1,    -1,    -1,    -1,   578,
      -1,    -1,    -1,   582,    -1,    -1,    -1,    -1,   652,    -1,
     654,    -1,    -1,    -1,    -1,  1157,    -1,    -1,    -1,    -1,
     664,   119,    -1,    -1,   603,   123,  3255,    -1,  4755,  1309,
      -1,    -1,   130,    -1,    -1,   133,    -1,    -1,    -1,    -1,
      -1,    -1,  3271,    -1,    -1,    -1,    -1,    -1,  4775,    -1,
      -1,    -1,   696,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     158,    -1,    -1,    -1,    -1,    -1,    -1,  3296,   180,    -1,
      -1,    -1,    -1,   185,    -1,    -1,  1356,    -1,    -1,    -1,
      -1,    -1,    -1,   727,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   190,    -1,   206,   207,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4832,    -1,    -1,  4835,   221,
      -1,  4838,    -1,    -1,    -1,  4842,    -1,    -1,    -1,    -1,
      -1,    -1,  4849,    -1,    -1,    -1,    -1,  4854,    -1,  4856,
      -1,  4858,    -1,    -1,    -1,    -1,    -1,   781,    -1,  4866,
      -1,    -1,   254,    -1,    -1,  4872,    -1,  4874,    -1,    -1,
      -1,   249,    -1,   251,    -1,  1435,   268,  4884,    -1,   271,
      -1,    -1,    -1,   261,  1444,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   281,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1473,    -1,    -1,  4923,  4924,   842,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1486,    -1,    -1,  1489,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     318,    -1,    -1,   321,   322,    -1,    -1,  4954,    -1,    -1,
      -1,    -1,    -1,  4960,    -1,    -1,    -1,  4964,    -1,    -1,
      -1,    -1,   354,    -1,    -1,  4972,    -1,    -1,    -1,    -1,
      -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1540,    -1,    -1,    -1,    -1,    -1,    -1,   911,    -1,    -1,
    4997,  4998,    -1,    -1,  1554,  5002,    -1,    -1,  5005,    -1,
      -1,    -1,    -1,   927,    -1,    -1,    -1,  1567,  5015,   868,
     869,  5018,    -1,    -1,    -1,   939,  5023,    -1,   942,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3536,   952,    -1,
    5037,    -1,    -1,   957,    -1,   413,    -1,    -1,    -1,    -1,
      -1,   965,    -1,    -1,  5051,  1467,    -1,   971,    -1,    -1,
     974,  5058,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,
    1620,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,    -1,    -1,    -1,    -1,   467,  5083,    -1,    -1,    -1,
      -1,  5088,    -1,    -1,    -1,    -1,  5093,  1647,    -1,    -1,
    1014,    -1,    -1,    -1,  1654,  5102,    -1,   956,    -1,    -1,
      -1,  5108,  5109,  5110,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5119,    -1,    -1,    -1,  5123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   986,   987,  5136,
      -1,    -1,    -1,    -1,    -1,    -1,  5143,    -1,    -1,  3648,
      -1,    -1,  3651,    -1,    -1,    -1,    -1,    -1,  1570,    -1,
      -1,  1010,  1011,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1585,    -1,    -1,    -1,  5174,  5175,  5176,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1606,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5201,  5202,  1756,    -1,    -1,    -1,
      -1,  1125,    -1,  1127,    -1,  1129,    -1,  1131,    -1,  1133,
    1134,  1135,    -1,    -1,    -1,    -1,  1140,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1084,  1085,  1151,    -1,    -1,
      -1,    -1,    -1,    -1,  1794,  1795,  5243,    -1,  3747,  1661,
      -1,    -1,  5249,    -1,     0,    -1,    -1,    -1,    -1,    -1,
      -1,  1811,    -1,  1675,    -1,  3764,  5263,    -1,    -1,    -1,
      -1,    -1,    18,  5270,    -1,  1687,  5273,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    30,    31,    -1,  1699,    -1,    -1,
      -1,    -1,    -1,    -1,  5291,  5292,    -1,    -1,    -1,    -1,
      46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      66,    -1,    68,    69,    -1,    -1,    -1,  1739,  1740,    75,
      -1,    77,    -1,    -1,    -1,    -1,    -1,    -1,  3837,    -1,
      -1,    -1,    88,    -1,    90,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1908,    -1,
      -1,   107,     8,    -1,   110,    11,    -1,    -1,  1918,    15,
      16,    17,    -1,    -1,    -1,    -1,    -1,    -1,   124,    -1,
     126,    -1,    -1,    -1,   130,    -1,    32,    -1,    -1,    -1,
     136,    -1,    -1,    -1,    40,    -1,    -1,    -1,   144,    -1,
     146,    47,    -1,    -1,    -1,    -1,   152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1329,    -1,    -1,    -1,    -1,
      -1,    -1,   168,    -1,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,   184,    -1,
      -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,
      -1,  1873,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    -1,    47,    -1,    -1,    -1,   223,   224,    -1,
      -1,    -1,    -1,   229,    -1,  2035,    -1,  2037,    -1,    -1,
      -1,  1405,    -1,    -1,    -1,   241,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2073,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   180,    -1,    -1,    -1,    -1,   185,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1472,    -1,
     206,   207,   308,    -1,    -1,    -1,    -1,    -1,   314,   315,
      -1,   317,    -1,    -1,    -1,   221,   322,    -1,    -1,    -1,
      -1,   327,    -1,    -1,   330,    -1,    -1,    -1,    -1,   335,
      -1,    -1,    -1,    -1,    -1,   341,   342,    -1,  1447,    -1,
      -1,    -1,  4101,   349,    22,    -1,   180,   353,   254,    -1,
      28,   185,    -1,    -1,  4113,    -1,    -1,   363,    -1,    -1,
      -1,    -1,   268,    -1,    -1,   271,    -1,    -1,    -1,    -1,
     376,    -1,   206,   207,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,   395,
      -1,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   405,
      -1,    -1,    -1,    -1,    -1,   411,    -1,    -1,    -1,    -1,
     416,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2228,    -1,
     254,    -1,    -1,   429,    -1,    -1,    -1,  1536,  1537,  1538,
    1539,    -1,    -1,    -1,   268,    -1,  1610,   271,  2248,    -1,
      -1,    -1,    -1,    -1,    -1,   123,   452,    -1,   354,    -1,
      -1,    -1,   130,    -1,    -1,   133,    -1,    -1,    -1,    -1,
     466,    -1,    -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,
    1579,  1580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     158,    -1,    -1,    -1,    -1,  2157,    -1,    -1,    -1,    -1,
      -1,  1600,    -1,    -1,    -1,    -1,    -1,  2169,    -1,    -1,
      -1,  2311,  2312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     354,    -1,    -1,    -1,    -1,  1634,  1635,  1636,  1637,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,  2209,    -1,    -1,
      15,    16,    17,    -1,   450,  4304,    -1,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,    32,  1732,    -1,
    1734,   467,    -1,    -1,    -1,    40,    -1,    -1,    22,    -1,
      -1,   249,    47,   251,    28,    -1,    -1,  1751,    -1,  1753,
      -1,    35,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   270,  1767,  2404,  1769,    71,  1771,    -1,  1773,
      54,  1775,    -1,   281,    -1,  1779,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    69,   450,    -1,    -1,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,    -1,
      -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,  1748,
     318,    -1,    -1,   321,   322,  1754,    -1,    -1,    -1,   103,
      -1,    -1,    -1,    -1,  4413,    -1,  4415,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,   123,
      -1,   349,    -1,    -1,    -1,    -1,   130,    -1,    -1,   133,
      -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,
      -1,    -1,    -1,    -1,   158,   180,    -1,    -1,    -1,    -1,
     185,    -1,  2384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   206,   207,   187,    -1,   413,   190,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2580,    -1,  1881,    -1,    -1,    -1,    -1,    -1,    -1,   254,
      -1,   235,    -1,    -1,   238,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   268,    -1,   249,   271,   251,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   261,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   270,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   280,   281,    -1,    -1,
      -1,   180,    -1,    -1,    -1,    -1,   185,    -1,    22,    -1,
      -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,   207,    -1,
      -1,    -1,    -1,    -1,   318,    -1,    -1,   321,   322,   323,
      -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,   354,
      -1,    -1,    -1,    -1,    -1,    69,    -1,    -1,    -1,   343,
      -1,    -1,    -1,    -1,    -1,   349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2576,   254,    -1,    -1,    -1,   363,
      -1,  2085,  2086,    -1,    -1,    -1,    -1,    -1,    -1,   268,
      -1,  2593,   271,  2733,    -1,    -1,    -1,    -1,    -1,    -1,
    2104,  2105,    -1,    -1,  2606,  2109,  2110,    -1,    -1,   123,
    2114,    -1,    -1,    -1,    -1,    -1,   130,    -1,    -1,   133,
      -1,    -1,    -1,    -1,  2128,    -1,    -1,    -1,    -1,   413,
      -1,  2135,    -1,    -1,    -1,  2139,  2140,    -1,    -1,  2143,
    2144,    -1,    -1,    -1,   158,   450,  2150,    -1,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,    -1,  2163,
      -1,  2165,   467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   354,   190,    -1,    -1,    -1,
    2184,    -1,    -1,    -1,    -1,  2189,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,  2202,    -1,
      -1,    15,    16,    17,    -1,    -1,    -1,  2211,    -1,  2213,
      -1,    -1,  2216,  2217,  2218,    -1,  2155,  2156,    32,  2223,
    2224,    -1,    -1,    -1,    -1,  2164,    40,  2166,    -1,  2233,
      -1,  2170,    -1,    47,  2238,   249,    -1,   251,    -1,  2243,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   261,    -1,    -1,
      -1,    -1,    -1,    -1,  2258,    -1,   270,    71,    -1,    -1,
      -1,     8,  2266,    -1,    11,    -1,    -1,   281,    15,    16,
      17,   450,  2276,    -1,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,  2288,    32,    -1,  2291,   467,    -1,
      -1,    -1,  2296,    40,    -1,    -1,    -1,  2301,  2302,    -1,
      47,    -1,  2306,    -1,   318,  2309,    -1,   321,   322,  2313,
    2314,  2315,  2316,    -1,  2318,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    71,    -1,    -1,  2331,  2332,    -1,
    2334,    -1,    -1,    -1,    -1,   349,    -1,    -1,  2342,  2343,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2287,  2989,
       8,  2290,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,  2870,    -1,
      -1,   185,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    -1,    -1,  2887,    -1,    -1,    -1,    47,
    2394,    -1,   206,   207,    -1,    -1,    -1,    -1,    -1,   413,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,
      -1,    -1,    -1,    71,    -1,    -1,    -1,  2356,  2422,    -1,
      -1,    -1,    -1,    -1,    -1,  2364,  2365,    -1,    -1,    -1,
      -1,    -1,  2371,   180,    -1,  5024,    -1,    -1,   185,    -1,
     254,    -1,    -1,    -1,    -1,    -1,  2385,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   268,    -1,    -1,   271,    -1,   206,
     207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,  2981,
      -1,  2983,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3134,  3135,  3136,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,    -1,
      -1,  3151,    -1,  2452,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   268,   180,    -1,   271,    -1,    -1,   185,    -1,    -1,
      -1,    -1,  3172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     354,    -1,  3182,  3183,    -1,    -1,    -1,  3187,   206,   207,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3201,  3064,   221,    -1,    -1,     8,    -1,  2507,    11,
    2509,    -1,    -1,    15,    16,    17,    -1,  2581,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3091,
      32,    -1,    -1,    -1,    -1,    -1,   254,    -1,    40,    -1,
      -1,    -1,    -1,    -1,    -1,    47,  2610,   354,    -1,    -1,
     268,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,
      -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,    -1,
      -1,    -1,    -1,   467,  3294,    22,    -1,    -1,    -1,    -1,
      -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2609,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3189,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   354,    -1,    -1,    -1,
      -1,    -1,    69,   450,    -1,    -1,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,    -1,    -1,    -1,  3221,
     467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,
      -1,    -1,    -1,   185,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    15,    16,    17,    -1,   123,    -1,    -1,    -1,
      -1,    -1,    -1,   130,   206,   207,   133,    -1,    -1,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,   221,
    3420,  3421,  3422,    -1,    47,    -1,    -1,    -1,    -1,    -1,
      -1,   158,   450,    -1,    -1,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,    -1,    -1,    71,   467,
      -1,    -1,   254,    -1,    -1,  3317,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   190,    -1,    -1,   268,    -1,    -1,   271,
       8,    -1,    -1,    11,    -1,    -1,  3338,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,
    2864,  3363,    40,    -1,  2868,    -1,    -1,    -1,    -1,    47,
    2874,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   249,    -1,   251,    -1,  2890,  2891,    -1,    -1,
      -1,  2895,    -1,    71,   261,  3397,  2900,  2901,  2902,    -1,
    2904,    -1,    -1,   270,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   354,    -1,   281,    -1,    -1,   180,    -1,    -1,
      -1,  2925,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2935,  2936,  2937,  2938,    -1,    -1,  2876,    -1,  2878,
    2879,  2880,    -1,   206,   207,    -1,    -1,    -1,    -1,    -1,
      -1,   318,    -1,    -1,   321,   322,    -1,    -1,   221,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2972,    -1,
     192,  2975,  2976,  2977,    -1,    -1,    -1,    -1,    -1,   201,
     202,    -1,   349,    -1,    -1,    -1,    -1,    -1,   210,    -1,
      -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   223,   180,    -1,    -1,   268,    -1,   185,   450,    -1,
      -1,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,    -1,    -1,    -1,    -1,   467,    -1,    -1,   206,   207,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,   221,    -1,    -1,   413,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,  3708,    -1,
      -1,    47,  3076,    -1,    -1,    -1,   254,    -1,    -1,  3719,
    3084,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     268,   354,    -1,   271,    -1,    71,    -1,    -1,  3102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3750,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3129,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3092,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3179,   354,    -1,    -1,    -1,
    3184,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,  3829,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
      -1,    -1,    -1,    -1,   180,    -1,    -1,    -1,    -1,   185,
      -1,  3215,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     206,   207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3741,
      -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,  3252,    -1,
    3254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   450,    -1,    -1,   453,   454,   455,   254,   457,
     458,   459,   460,   461,   462,    -1,    -1,    -1,    -1,   467,
      -1,     8,   268,    -1,    11,   271,    -1,    -1,    15,    16,
      17,  3941,  3942,  3943,  3944,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,
    3259,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,
      47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,   575,    71,    15,    16,    17,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   587,    -1,    -1,    -1,    -1,
      -1,    -1,   594,    -1,    -1,    -1,    -1,    -1,   354,    -1,
      40,    -1,    -1,    -1,   606,    -1,    -1,    47,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   623,    -1,    -1,    -1,    -1,   628,    -1,    -1,    -1,
      -1,    71,   634,    -1,    -1,    -1,   638,   639,    -1,    -1,
    3922,    -1,    -1,    -1,   646,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   658,   659,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   669,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   180,    -1,    -1,    -1,    -1,   185,    -1,
      -1,    -1,    -1,    -1,   450,    -1,    -1,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,    -1,    -1,   206,
     207,   467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,  3512,    -1,
    3514,    -1,    -1,    -1,    -1,    -1,    -1,  3521,    -1,    -1,
     180,    -1,    -1,    -1,    -1,   185,   748,   749,    -1,    -1,
      -1,    -1,   754,  3537,    -1,    -1,    -1,   254,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4047,   206,   207,    -1,  3553,
      -1,   268,    -1,    -1,   271,    -1,    -1,    -1,   780,    -1,
      -1,   221,    -1,    -1,    -1,    -1,    -1,  3571,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4085,    -1,  3589,    -1,  3526,  3527,  3528,
    3529,    -1,    -1,    -1,   254,  3599,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4106,    -1,    -1,    -1,   268,    -1,
      -1,    -1,    -1,    -1,  3618,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3629,  3630,  3631,    -1,    -1,
      -1,    -1,    -1,  3637,  3638,  3639,  3640,   354,    -1,  3643,
    3644,    -1,    -1,    -1,  4284,  3649,  3650,    -1,  3652,  3653,
    3654,  3655,  3656,  3657,    -1,  3659,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3667,    -1,    -1,  3670,  3671,    -1,    -1,
    4172,    -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    -1,    -1,    -1,  3689,    35,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   354,    -1,    -1,    -1,    -1,    -1,
      -1,   923,    -1,    -1,    -1,    54,    -1,  3711,   930,    -1,
      -1,    -1,   934,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   953,    -1,   450,    -1,    -1,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   968,    -1,    -1,    -1,
     467,    -1,    -1,    -1,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3704,    -1,    -1,    -1,    -1,
      -1,  3710,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,
    4282,   130,    -1,    -1,   133,    -1,    -1,    -1,    -1,    -1,
     450,  1013,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,  3809,    -1,     8,    -1,   158,
      11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,
      -1,    -1,  4324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1052,    32,    -1,    -1,    -1,    -1,    -1,  3841,   187,    40,
      -1,   190,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1089,    -1,    -1,
      71,    -1,  4512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1103,    -1,    -1,    -1,    -1,   235,  4527,    -1,   238,
    1112,    -1,  4532,    -1,    -1,    -1,    -1,    -1,  1120,    -1,
     249,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   261,    -1,    -1,    -1,  4556,    -1,    -1,    -1,
      -1,   270,    -1,    -1,    -1,    -1,  1148,    -1,    -1,    -1,
      -1,   280,   281,    -1,    -1,  1157,  4576,  1159,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    22,  1174,    -1,    -1,  1177,    -1,    28,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1189,    -1,   318,
      -1,    -1,   321,   322,   323,    -1,    -1,    22,     8,   180,
      -1,    11,    -1,    28,   185,    15,    16,    17,    -1,    -1,
      -1,    -1,    -1,    -1,   343,    -1,    -1,  1219,    69,    -1,
     349,    -1,    32,    -1,    -1,   206,   207,    -1,    -1,    -1,
      40,    -1,    -1,    -1,   363,    -1,    -1,    47,    -1,    -1,
     221,    -1,    -1,    -1,    69,  1247,  1248,  1249,    -1,  1251,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    71,  4682,    -1,    -1,    -1,    -1,    -1,    -1,  1271,
      -1,  4055,   123,   254,    -1,  4059,  4060,  4061,  4062,   130,
      -1,  4065,   133,    -1,   413,    -1,    -1,   268,    -1,    -1,
     271,    -1,    -1,  1295,    -1,    -1,    -1,    -1,   123,    -1,
      -1,  1303,  1304,    -1,    -1,   130,    -1,   158,   133,    -1,
    1312,  1313,  4096,  4097,  4098,    -1,  4100,    -1,  4102,  4103,
      -1,    -1,  4604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4114,  4115,    -1,   158,    -1,    -1,    -1,    -1,  1340,   190,
      -1,    -1,  1344,  1345,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4775,    -1,  1359,    -1,  4143,
      -1,  1363,  4644,    -1,    -1,   190,    -1,    -1,  1370,    -1,
     180,    -1,    -1,   354,    -1,   185,    -1,    -1,    -1,    -1,
      -1,    -1,  4166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   206,   207,   249,    -1,
     251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     261,   221,    -1,    -1,    -1,    -1,  4698,    -1,    -1,   270,
      -1,  4703,  4704,    -1,   249,    -1,   251,  1429,    -1,    -1,
     281,    -1,    -1,    -1,  4153,    -1,   261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   254,   270,    -1,    -1,    -1,  4168,
      -1,    -1,    -1,    -1,    -1,  4239,   281,    -1,   268,    -1,
      -1,   271,    -1,    -1,    -1,  1467,    -1,   318,    -1,   450,
     321,   322,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,  4266,    -1,    -1,    -1,   467,    -1,  1490,    -1,
      -1,    -1,    -1,   318,    -1,    -1,   321,   322,   349,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4292,     8,
      -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,
      -1,    -1,    -1,    -1,   349,    -1,    -1,    -1,    -1,    -1,
    4812,    -1,  4251,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    -1,    -1,   354,    -1,    -1,  1549,    47,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   413,    -1,    -1,    -1,    -1,    -1,  1570,    -1,
      -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1585,    -1,    -1,    -1,    -1,   413,    -1,
      -1,    -1,  1594,    -1,    -1,    -1,    -1,    -1,    -1,  1601,
      -1,    -1,    -1,    -1,  1606,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4399,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1626,    -1,    -1,    -1,    -1,    -1,
    1632,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     450,    -1,  1644,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,    -1,    -1,   467,    -1,  1661,
      -1,    -1,    -1,    -1,    -1,    -1,  1668,    -1,    -1,  1671,
      -1,    -1,    -1,  1675,    -1,  4459,    -1,    -1,    -1,  1681,
      -1,   180,    -1,    -1,    -1,  1687,   185,    -1,    -1,    -1,
      -1,    -1,    -1,  4477,    -1,    -1,    -1,  1699,  4482,  4483,
      -1,    -1,  4421,  4422,  4423,    -1,    -1,   206,   207,    -1,
      -1,    -1,    -1,    -1,  1716,  1717,    -1,  1719,  1720,    -1,
      -1,    -1,   221,    -1,    -1,    -1,    -1,  5009,    -1,  1731,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1739,  1740,    -1,
    1742,  1743,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4533,
      -1,    -1,    -1,    -1,    -1,   254,  1758,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4552,   268,
      -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1790,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    15,    16,    17,    -1,  4590,    -1,    -1,    -1,
      -1,    -1,    -1,  4597,    -1,    -1,    -1,    -1,    -1,    32,
      -1,    -1,  1824,    -1,  1826,    -1,    -1,    40,    -1,  1831,
    1832,    -1,    -1,    -1,    47,    -1,  1838,  1839,  1840,    -1,
      -1,    -1,  1844,    -1,  1846,  1847,  1848,  1849,  1850,  1851,
      -1,  1853,    -1,  1855,  1856,   354,  4575,  1859,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1873,  1874,  1875,  1876,  1877,  1878,    -1,    -1,    -1,
    1882,  4665,    -1,    -1,  1886,    -1,    -1,  1889,    -1,    -1,
    1892,  1893,  1894,  1895,  1896,  1897,  1898,  1899,  1900,    -1,
    1902,    -1,  4686,    -1,    -1,    -1,    -1,  1909,    -1,  1911,
      -1,    -1,    -1,  4697,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    22,    -1,    15,    16,    17,    -1,    28,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,   450,    -1,    -1,   453,   454,   455,    47,   457,   458,
     459,   460,   461,   462,    -1,    -1,    -1,   180,   467,    -1,
      69,    -1,   185,    -1,    -1,  4759,    -1,    -1,    -1,    -1,
      -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   206,   207,    -1,    -1,    -1,    -1,  4718,
      -1,  4720,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,
      -1,   130,    -1,    -1,   133,  4819,    -1,  2039,    -1,    -1,
       8,   254,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,   268,    -1,    -1,   271,   158,
      -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,
      -1,    -1,  2084,    -1,    -1,    -1,    -1,    -1,    -1,  2091,
     180,   190,    -1,  2095,  2096,   185,    -1,  4881,    -1,    -1,
    2102,    -1,    -1,    71,    -1,  2107,  2108,    -1,    -1,    -1,
    2112,    -1,  4896,    -1,    -1,    -1,   206,   207,  2120,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   221,    -1,    -1,    -1,    -1,  2138,    -1,    -1,  2141,
      -1,   354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     249,  2153,   251,  4872,    -1,  2157,    -1,    -1,  2160,    -1,
    4944,    -1,   261,    -1,   254,    -1,    -1,  2169,    -1,    -1,
      -1,   270,    -1,    -1,    -1,  4959,    -1,    -1,   268,    -1,
    2182,   271,   281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2200,  2201,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2209,    -1,    -1,
      -1,    -1,   180,    -1,    -1,    -1,    -1,   185,    -1,   318,
      -1,    -1,   321,   322,    -1,    -1,    -1,    -1,    -1,  2231,
    2232,    -1,    -1,  2235,    -1,  4954,    -1,   450,   206,   207,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     349,    -1,  5036,   221,   467,  2257,    -1,  2259,    -1,    -1,
      -1,    -1,    -1,  2265,   354,    -1,    -1,    -1,    -1,  2271,
      -1,    -1,    -1,  2275,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,
      -1,    -1,    -1,  2295,  5078,    -1,    -1,    -1,  2300,    -1,
     268,    -1,  2304,   271,    -1,  2307,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   413,  2317,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2330,    -1,
      -1,    -1,  5051,    -1,    -1,    -1,    -1,  2339,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     450,    -1,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,    -1,    -1,   467,  5162,    -1,
      -1,  2383,  2384,    -1,    -1,    -1,   354,    -1,    -1,    -1,
      -1,  2393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5143,    -1,    -1,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,
      -1,     8,    47,    -1,    11,    -1,    -1,    -1,    15,    16,
      17,    -1,    -1,    -1,    -1,    -1,  5175,  5176,    -1,    -1,
      -1,    -1,    -1,  2465,    -1,    32,    71,  2469,    -1,    -1,
      -1,    -1,    -1,    40,    -1,    -1,  2478,    -1,    -1,    -1,
      47,    -1,   450,    -1,    -1,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,    -1,    -1,    -1,   467,
      -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5263,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2560,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2576,   180,  2578,    -1,    -1,    -1,
     185,    -1,    -1,    -1,  2586,    -1,    -1,    -1,  2590,    -1,
      -1,  2593,    -1,    -1,  2596,    -1,    -1,    -1,    -1,    -1,
      -1,   206,   207,    -1,  2606,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   180,    -1,  2617,   221,    -1,   185,    -1,
    2622,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,
     207,    -1,    -1,  2645,  2646,  2647,    -1,    -1,  2650,   254,
      -1,    -1,    -1,    -1,   221,    -1,  2658,  2659,  2660,  2661,
      -1,    -1,    -1,   268,  2666,    -1,   271,    -1,    -1,  2671,
    2672,    -1,  2674,    -1,  2676,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2687,  2688,   254,    -1,  2691,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   268,    -1,  2705,   271,  2707,    -1,  2709,   201,   202,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2729,    -1,    -1,
     223,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2740,    -1,
    2742,  2743,  2744,    -1,    -1,    -1,    -1,    -1,    -1,   354,
      -1,    -1,    -1,    -1,    -1,  2757,    -1,    -1,  2760,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2771,
      -1,    -1,    -1,    -1,  2776,    -1,    -1,    -1,    -1,    -1,
    2782,    -1,    -1,    -1,    -1,    -1,    -1,   354,     8,    -1,
    2792,    11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2811,
      -1,    -1,  2814,    -1,  2816,    -1,    -1,    -1,    -1,  2821,
      40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,
      -1,    -1,    -1,    -1,  2836,  2837,    -1,    -1,    -1,    -1,
    2842,    -1,    -1,    -1,    -1,   450,    -1,    -1,   453,   454,
     455,    71,   457,   458,   459,   460,   461,   462,    -1,    -1,
      -1,  2863,   467,    -1,  2866,    -1,    -1,    -1,  2870,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   450,    -1,  2887,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,    -1,    -1,    -1,    -1,
     467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2912,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2947,  2948,  2949,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     180,    -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,  2971,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2981,
      -1,  2983,    -1,    -1,    -1,    -1,   206,   207,    -1,  2991,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   221,    -1,    -1,  3006,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   254,    -1,    -1,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,   268,    -1,
      -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3064,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,
      -1,  3083,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3091,
      -1,    -1,    -1,    -1,   587,    -1,    -1,    -1,    -1,    -1,
      -1,   594,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3114,   606,    -1,    -1,    -1,    -1,    -1,  3121,
    3122,    -1,    -1,    -1,    -1,    -1,  3128,    -1,  3130,    -1,
     623,    -1,    -1,    -1,   354,    -1,    -1,    -1,    -1,    -1,
      -1,  3143,    -1,  3145,    -1,   638,   639,    -1,    -1,    -1,
      -1,    -1,    -1,   646,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3165,    -1,    -1,   659,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   669,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   180,    -1,  3189,    -1,    -1,
     185,    -1,    -1,    -1,    -1,    -1,  3198,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3207,  3208,    -1,    -1,    -1,
      -1,   206,   207,    -1,    -1,    -1,    -1,    -1,    -1,  3221,
      -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,
     450,    -1,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3255,    -1,    -1,    -1,    -1,    -1,   254,
      -1,   754,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3271,
      -1,    -1,    -1,   268,    -1,    -1,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3293,    -1,    -1,  3296,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,
      16,    17,  3314,    -1,    -1,  3317,    -1,    -1,    -1,    -1,
      -1,  3323,    -1,    -1,    -1,    -1,    32,  3329,    -1,  3331,
      36,    -1,  3334,    -1,    40,    -1,  3338,  3339,  3340,  3341,
    3342,    47,    -1,  3345,  3346,  3347,  3348,  3349,  3350,  3351,
    3352,  3353,  3354,    -1,    -1,    -1,  3358,  3359,    -1,   354,
      -1,  3363,    -1,    -1,    -1,    71,  3368,    -1,    -1,    -1,
    3372,    -1,  3374,    -1,  3376,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3384,    -1,    -1,  3387,    -1,  3389,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3397,  3398,    -1,    -1,  3401,
    3402,    -1,    -1,    -1,  3406,  3407,    -1,    -1,    -1,    -1,
      -1,  3413,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,
      -1,  3423,    -1,    -1,  3426,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3439,    -1,    -1,
      -1,   934,    -1,  3445,  3446,  3447,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,    -1,  3471,
     465,    -1,    -1,    -1,   180,    -1,    -1,    -1,    -1,   185,
      -1,    -1,    -1,    -1,    -1,  3487,    -1,    -1,    -1,    -1,
      -1,  3493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     206,   207,    -1,  3505,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,   221,    -1,    11,    -1,    -1,
      -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3536,    -1,    -1,    -1,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,   254,    -1,
      -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   268,    -1,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,  3586,    -1,    -1,    -1,    -1,  3591,
    3592,  3593,    -1,    -1,    -1,    -1,  1089,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1103,    -1,    -1,  3615,  3616,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,  1120,    -1,    11,
      -1,    -1,  3634,    15,    16,    17,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3648,    -1,   354,  3651,
      32,    -1,    -1,    -1,    -1,  1148,    -1,    -1,    40,    -1,
      -1,    -1,    -1,   157,    -1,    47,  1159,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1174,    -1,    -1,  1177,    -1,   180,    -1,    -1,    71,
      -1,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   410,    -1,    -1,    -1,    -1,    -1,
    3712,   202,   206,   207,    -1,    -1,    -1,    -1,    -1,   210,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,
      -1,    -1,   223,    -1,    -1,  3737,  3738,    -1,    -1,  3741,
      -1,    -1,    -1,    -1,   450,  3747,    -1,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,    -1,    -1,    -1,
     254,    -1,  3764,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   268,    -1,    -1,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3790,  3791,
    3792,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,
      -1,    -1,  1295,   185,    -1,    -1,     8,    -1,    -1,    11,
    1303,  1304,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,
    1313,    -1,    -1,    -1,   206,   207,    -1,    -1,    -1,    -1,
      32,    -1,    -1,    -1,    -1,  3837,    -1,    -1,    40,   221,
      -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3858,    -1,    -1,    -1,
     354,    -1,    -1,    -1,    -1,    -1,    -1,  3869,    -1,    71,
      -1,    -1,   254,    -1,    -1,    -1,    -1,  1370,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   268,    -1,    -1,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3899,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3909,  3910,    -1,
    3912,    -1,   294,    -1,  3916,  3917,    -1,    -1,    -1,  3921,
    3922,    -1,    -1,    -1,  3926,    -1,    -1,  3929,  3930,    -1,
      -1,    -1,  3934,    -1,    -1,    -1,    -1,    -1,  3940,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3952,    -1,    -1,    -1,   156,    -1,   450,    -1,  3960,   453,
     454,   455,  3964,   457,   458,   459,   460,   461,   462,    -1,
      -1,    -1,   354,    -1,    -1,  3977,    -1,    -1,   180,    -1,
    3982,    -1,    -1,   185,     8,    -1,  3988,    11,   370,    -1,
      -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4003,    -1,    -1,   206,   207,    -1,    -1,    32,    -1,
      -1,    35,    -1,    -1,    -1,    -1,    40,    -1,    -1,   221,
      -1,    -1,    -1,    47,    -1,    -1,    -1,  4029,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4047,    -1,    71,    -1,    -1,
      -1,    -1,   254,    -1,    -1,    -1,  1549,    -1,    -1,    -1,
      -1,    -1,  4064,    -1,    -1,    -1,   268,  4069,   450,   271,
      -1,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,    -1,    -1,  4085,    -1,    -1,    -1,    -1,    -1,    -1,
     292,    -1,    -1,    -1,    -1,    -1,   587,    -1,    -1,  4101,
      -1,    -1,    -1,   594,  4106,    -1,    -1,    -1,  1601,    -1,
      -1,  4113,    -1,    -1,    -1,   606,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4129,    -1,    -1,
      -1,    -1,   623,  1626,    -1,    -1,    -1,    -1,    -1,  1632,
    4142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   639,    -1,
      -1,  1644,   354,    -1,    -1,   646,   180,    -1,    -1,    -1,
      -1,   185,    -1,    -1,    -1,    -1,    -1,    -1,   659,    -1,
    4172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   669,    -1,
      -1,    -1,   206,   207,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4196,    -1,    -1,   221,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4210,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1716,  1717,    -1,  1719,  1720,    -1,    -1,
     254,  4233,    -1,    -1,    -1,    -1,    -1,    -1,  1731,    -1,
      -1,    -1,    -1,    -1,   268,    -1,    -1,   271,   450,  1742,
    1743,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,    -1,    -1,   754,    -1,  1758,    -1,    -1,    -1,    -1,
    4272,    -1,    -1,    -1,    -1,    -1,     8,    -1,  4280,    11,
    4282,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1790,    -1,    -1,
      32,    -1,  4304,    -1,    -1,    -1,    -1,    -1,    40,    -1,
      -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,  4320,    -1,
      -1,    -1,  4324,    -1,    -1,    -1,    -1,  4329,    -1,    -1,
     354,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    71,
      -1,    15,    16,    17,  4346,  4347,    -1,    -1,  4350,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,
      -1,    35,    -1,  4365,    -1,    -1,    40,    -1,    -1,    -1,
    4372,    -1,    -1,    47,    -1,  4377,    -1,    -1,  4380,  4381,
      -1,    -1,    -1,    -1,    -1,  1878,  4388,  4389,    -1,    -1,
      -1,    -1,    -1,    -1,   748,   749,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,  4406,    -1,  4408,    -1,    -1,    -1,
      -1,  4413,    -1,  4415,    -1,    -1,    -1,  4419,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,
      -1,    -1,    -1,   185,    -1,  4457,  4458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4467,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   206,   207,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4503,    -1,    -1,    -1,    -1,   180,  4509,    -1,    -1,
      -1,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   206,   207,    -1,    -1,   268,    -1,    -1,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,
      -1,  4563,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4577,    -1,  4579,    -1,    -1,
     254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2084,    -1,    -1,   268,    -1,    -1,   271,  1089,    -1,
      -1,  4603,  4604,    -1,  4606,    -1,  4608,    -1,    -1,  2102,
      -1,    -1,  1103,    -1,  2107,  2108,    -1,    -1,    -1,  2112,
      -1,    -1,   354,    -1,    -1,    -1,  4628,  2120,    -1,  1120,
      -1,    -1,  4634,    -1,    -1,    -1,  4638,    -1,    -1,    -1,
      -1,    -1,  4644,    -1,    -1,  2138,    -1,  4649,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1148,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2160,  1159,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     354,    -1,    -1,  1174,    -1,    -1,  1177,    -1,  4690,  2182,
      -1,    -1,    -1,    -1,    -1,    -1,  4698,    -1,    -1,    -1,
      -1,  4703,  4704,    -1,    -1,    -1,  4708,  2200,  2201,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,
      -1,   453,   454,   455,  4726,   457,   458,   459,   460,   461,
     462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2231,  2232,
      -1,    -1,  2235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4755,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2257,    -1,  2259,    -1,    -1,    -1,
      -1,    -1,  2265,    -1,    -1,    -1,   450,    -1,  2271,   453,
     454,   455,  2275,   457,   458,   459,   460,   461,   462,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2295,    -1,  1295,    -1,    -1,  2300,    -1,  4811,
    4812,  2304,  1303,  1304,  2307,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1313,    -1,  2317,    -1,    -1,    -1,    -1,    -1,
    4832,    -1,    -1,  4835,    -1,  1189,  4838,  2330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2339,  4849,    -1,    -1,
      -1,    -1,  4854,    -1,  4856,    -1,  4858,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4866,  1219,     8,    -1,    -1,    11,
      -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,  1370,
      -1,    -1,  4884,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      32,    -1,    -1,  1247,  1248,  1249,    -1,  1251,    40,    -1,
    2393,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,
      -1,  4913,    -1,  4915,    -1,     8,    -1,  1271,    11,    -1,
      -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,
      -1,    -1,    35,    -1,    -1,    -1,    -1,    40,    -1,    -1,
      -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,  1312,    -1,
      -1,    -1,  4964,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4972,    -1,    -1,    -1,    -1,    -1,  2469,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    -1,     8,  1340,    -1,    11,    -1,
    1344,  1345,    15,    16,    17,  4997,  4998,    -1,    -1,    -1,
      -1,    -1,    -1,  5005,  5006,    -1,    -1,  5009,    -1,    32,
      -1,    -1,    35,  5015,    -1,    -1,    -1,    40,    -1,    -1,
     162,    -1,  5024,    -1,    47,    -1,    -1,    -1,    -1,  2522,
      -1,    -1,    -1,    -1,    -1,  5037,    -1,    -1,   180,    -1,
      -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1549,    -1,
      -1,    -1,    -1,    -1,   206,   207,    -1,  2560,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,
      -1,    -1,    -1,    -1,    -1,  2578,  5088,   180,    -1,    -1,
      -1,  5093,   185,  2586,    -1,    -1,    -1,    -1,    -1,    -1,
    5102,    -1,    -1,  2596,    -1,    -1,  5108,  5109,  5110,    -1,
    1601,    -1,   254,   206,   207,    -1,    -1,  5119,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   268,    -1,   221,   271,
      -1,    -1,    -1,    -1,  5136,  1626,    -1,    -1,    -1,    -1,
      -1,  1632,    -1,    -1,    -1,    -1,    -1,    -1,  5150,    -1,
      -1,    -1,    -1,  1644,    -1,    -1,    -1,   180,    -1,    -1,
      -1,   254,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5174,  2666,    -1,   268,    -1,    -1,   271,  2672,
      -1,    -1,    -1,   206,   207,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,  5201,
    5202,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5226,    -1,    -1,    -1,  1719,  1720,
      -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1731,  5243,    -1,    -1,    -1,   268,    -1,  5249,   271,    -1,
      -1,  1742,  1743,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   354,    -1,    -1,  2757,    -1,    -1,  1758,    -1,    -1,
      -1,  5273,    -1,  5275,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5290,  5291,
    5292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,
      -1,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2836,  2837,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
    2863,    -1,    -1,  2866,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1878,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     634,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
      -1,    -1,    -1,     8,   658,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,    -1,  2947,  2948,  2949,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,    32,    15,    16,
      17,    -1,    -1,    -1,    -1,    40,    -1,  1831,  2971,    -1,
      -1,    -1,    47,    -1,    -1,    32,    -1,    -1,    -1,    -1,
    1844,    -1,  1846,    40,    -1,  1849,  1850,  1851,  2991,    -1,
      47,    -1,  1856,    -1,    -1,  1859,    71,    -1,    -1,    -1,
      -1,    -1,    -1,  3006,    -1,    -1,    -1,    -1,    -1,    -1,
    1874,  1875,  1876,  1877,    71,    -1,   634,    -1,  1882,    -1,
      -1,    -1,  1886,    -1,    -1,  1889,    -1,    -1,  1892,  1893,
    1894,  1895,  1896,  1897,  1898,  1899,  1900,    -1,  1902,    -1,
     658,    -1,    -1,    -1,    -1,  1909,    -1,  1911,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3083,    -1,    -1,  2084,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2102,    -1,    -1,    -1,   180,  2107,  2108,    -1,    -1,
     185,  2112,    -1,    -1,    -1,    -1,    -1,    -1,  3121,  2120,
      -1,    -1,    -1,   180,    -1,  3128,    -1,  3130,   185,    -1,
      -1,   206,   207,    -1,    -1,    -1,    -1,  2138,    -1,    -1,
    3143,    -1,  3145,    -1,    -1,    -1,   221,    -1,    -1,   206,
     207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3165,    -1,   221,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2039,    -1,    -1,    -1,   254,
      -1,  2182,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   268,    -1,    -1,   271,   254,    -1,  2200,
    2201,    -1,    -1,    -1,  3207,    -1,   930,    -1,    -1,    -1,
      -1,   268,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   953,
    2231,  2232,    -1,    -1,  2235,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   968,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3255,    -1,    -1,    -1,  2257,    -1,  2259,    -1,
      -1,    -1,    -1,    -1,  2265,    -1,    -1,    -1,  3271,    -1,
    2271,    -1,    -1,    -1,  2275,    -1,    -1,  2141,    -1,   354,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    -1,    -1,
    3293,    -1,    25,  3296,  2295,    -1,    -1,   354,    -1,  2300,
      -1,    -1,    -1,  2304,    37,    -1,  2307,    -1,    -1,   384,
      -1,    -1,   930,    -1,    -1,    -1,  2317,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    59,    -1,  1052,  2330,
      -1,    -1,    -1,   634,    -1,   953,    -1,    -1,  2339,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     968,    -1,    -1,    -1,    87,    -1,    -1,   658,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3374,   105,    -1,    -1,   450,    -1,    -1,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,    -1,    -1,
      -1,    -1,  2393,   450,    -1,   128,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   139,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   159,    -1,    -1,    -1,
      -1,   164,    -1,  1157,  1052,    -1,    -1,    -1,   171,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   188,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2383,
      -1,  2522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3536,    -1,   268,    -1,    -1,    -1,  1157,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   290,    -1,  2560,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   300,    -1,    -1,
     303,    -1,    -1,    -1,    -1,    -1,    -1,  2578,    -1,    -1,
      -1,    -1,    -1,  3586,    -1,  2586,    -1,    -1,  3591,    -1,
    3593,    -1,    -1,    -1,    -1,    -1,   329,    -1,    -1,    -1,
      -1,   334,    -1,   336,    -1,    -1,    -1,    -1,    -1,    -1,
     343,    -1,  3615,   346,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   930,
      -1,  3634,   365,    -1,    -1,    -1,    -1,    -1,   371,  1363,
      -1,    -1,    -1,   376,    -1,  3648,   379,    -1,  3651,    -1,
     383,    -1,   953,    -1,    -1,    -1,    -1,   390,    -1,   392,
      -1,    -1,    -1,    -1,   397,  2666,    -1,   968,    -1,    -1,
      -1,  2672,    -1,    -1,    -1,    -1,   409,    -1,    -1,    -1,
    1298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1429,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3737,  3738,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1467,  3747,  1363,    -1,    -1,    -1,    -1,
      -1,  1052,    -1,  2617,    -1,    -1,  2757,    -1,  2622,    -1,
      -1,  3764,    -1,    -1,    -1,    -1,  1490,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2647,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2658,    -1,  2660,  2661,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2671,    -1,    -1,
    2674,  1429,  2676,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3837,  2836,  2837,    -1,    -1,    -1,
      -1,  2705,    -1,  2707,    -1,  2709,  1570,    -1,    -1,  1467,
      -1,    -1,    -1,    -1,    -1,    -1,  1157,    -1,    -1,    -1,
      -1,  1585,  2863,    -1,    -1,  2866,    -1,    -1,    -1,    -1,
    1594,    -1,  1490,    -1,    -1,    -1,    -1,    -1,  2742,  2743,
    2744,    -1,  1606,    -1,    -1,    -1,    -1,    20,    -1,    -1,
      -1,    -1,    25,    -1,    -1,   634,  2760,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2771,    -1,    -1,
      -1,    -1,  2776,    -1,    -1,    -1,    -1,    -1,  2782,   658,
      -1,    -1,    -1,    -1,    -1,    -1,    59,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1661,    -1,    72,
      73,    -1,    -1,    -1,    -1,    -1,  2947,  2948,  2949,    -1,
      83,  1675,  1570,    -1,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1687,    -1,    -1,    -1,  1585,    -1,    -1,
    2971,    -1,   105,    -1,    -1,  1699,  1594,    -1,  2842,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1606,    -1,
    2991,    -1,    -1,    -1,    -1,   128,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3006,   139,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   147,  1739,  1740,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   159,    -1,    -1,    -1,
      -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1661,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   188,    -1,  1675,    -1,    -1,
      -1,  4064,  1363,    -1,    -1,    -1,  4069,    -1,    -1,  1687,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     213,  1699,  3083,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4101,    -1,
      -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3121,  1739,  1740,    -1,    -1,    -1,    -1,  3128,  1429,  3130,
      -1,    -1,    -1,    -1,    -1,   268,    -1,    -1,    -1,  4142,
      -1,    -1,  3143,    -1,  3145,    -1,    -1,    -1,    -1,  1873,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   290,    -1,    -1,
      -1,    -1,    -1,    -1,  3165,    -1,  1467,   300,    -1,    -1,
     303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1911,    -1,  1490,
      -1,   930,    -1,    -1,    -1,    -1,   329,    -1,    -1,    -1,
      -1,   334,    -1,   336,    -1,    -1,  3207,    -1,    -1,    -1,
     343,    -1,    -1,   346,   953,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   968,
    4233,    -1,   365,    -1,    -1,    -1,    -1,    -1,   371,    -1,
      -1,    -1,    -1,   376,    -1,    -1,   379,    -1,    -1,    -1,
     383,    -1,    -1,    -1,  3255,  1873,    -1,   390,    -1,   392,
      -1,    -1,    -1,    -1,   397,    -1,    -1,    -1,    -1,  1570,
    3271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1585,    -1,    -1,    -1,    -1,   422,
      -1,    -1,  3293,  1594,    -1,  3296,    -1,    -1,    -1,    -1,
      -1,  4304,    -1,    -1,    -1,  1606,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1052,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1661,    -1,    -1,    -1,    -1,    -1,    -1,  2091,    -1,    -1,
      -1,  2095,  2096,  3374,  1675,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1687,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1699,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4413,    -1,  4415,    -1,    -1,    -1,    -1,    -1,  1157,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2157,    -1,    -1,    -1,    -1,  1739,  1740,
      -1,    -1,    -1,    -1,    -1,  2169,    -1,    -1,    -1,    -1,
    3314,    -1,    -1,    -1,    -1,  4458,    -1,    -1,    -1,  3323,
      -1,    -1,    -1,    -1,  4467,  3329,    -1,  3331,    -1,    -1,
      -1,    -1,    -1,  2091,    -1,    -1,    -1,  2095,  2096,    -1,
      -1,    -1,    -1,    -1,    -1,  2209,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3358,  3359,    -1,    -1,    -1,    -1,
    4503,    -1,    -1,    -1,    -1,    -1,  4509,    -1,    -1,    -1,
      -1,    -1,  3376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3384,    -1,    -1,  3387,    -1,  3389,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3398,  3536,    -1,    -1,    -1,  2157,
      -1,    -1,  3406,  3407,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1873,    -1,    -1,  3439,    -1,    -1,    -1,    -1,
      -1,  3445,  3446,  3447,    -1,  3586,    -1,    -1,    -1,    -1,
    3591,  2209,  3593,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3471,    -1,    -1,
      -1,    -1,    -1,    -1,  3615,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3487,  1363,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3634,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3648,    -1,    -1,
    3651,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4690,    -1,    -1,
    1429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4726,    -1,    -1,    -1,    -1,  1467,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3737,  3738,    -1,    -1,
      -1,  2465,    -1,    -1,    -1,    -1,  3747,    -1,    -1,    -1,
      -1,  1490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3764,    -1,    -1,  2384,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2091,    -1,    -1,    -1,  2095,  2096,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1570,    -1,    -1,    -1,    -1,  3837,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1585,  2465,    -1,    -1,
      -1,    -1,  2576,    -1,    -1,  1594,  2157,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1606,  2169,  2593,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2209,    -1,
    4913,    -1,  4915,    -1,    -1,    -1,    -1,    -1,    -1,   634,
      -1,    -1,  1661,    -1,    -1,    -1,    -1,  3791,  3792,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1675,    -1,    -1,    -1,
      -1,    -1,    -1,   658,    -1,    -1,    -1,    -1,  1687,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2576,    -1,
    1699,    -1,   634,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2593,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   658,    -1,  2606,    -1,
      -1,    -1,    -1,    -1,  3858,    -1,    -1,    -1,    -1,    -1,
    1739,  1740,    -1,  5006,    -1,  3869,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2742,  2743,
    2744,  5024,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5037,    -1,    -1,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3909,  3910,    -1,    -1,    -1,
      -1,    -1,  3916,  3917,    -1,    -1,    -1,  3921,    -1,    -1,
      -1,    -1,  3926,  4064,    -1,  3929,  3930,    -1,  4069,    -1,
    3934,    -1,    -1,    -1,    -1,    -1,  3940,    -1,    -1,    -1,
      -1,    -1,    -1,  2384,    72,    -1,    -1,  2811,    -1,    -1,
    2814,    -1,  2816,    -1,    -1,    -1,    -1,  2821,    -1,    87,
    4101,    -1,    -1,    -1,    -1,  5108,  5109,    -1,    -1,    -1,
      -1,    -1,  4113,  3977,    -1,    -1,    -1,   105,  3982,    -1,
      -1,    -1,    -1,   111,  3988,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1873,    -1,    -1,    -1,    -1,  4003,
     128,  4142,    -1,    -1,    -1,    -1,  2870,  5150,    -1,    -1,
      -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,
      -1,    -1,    -1,  2887,  2465,  4029,    -1,    -1,    -1,    -1,
      -1,   159,    -1,    -1,    -1,    -1,   164,    -1,    -1,    -1,
      -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,  2912,    -1,
      -1,    -1,    -1,  2811,    -1,    -1,  2814,    -1,  2816,    -1,
     188,    -1,    -1,  2821,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   930,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5226,    -1,   213,    -1,    -1,    -1,    -1,
      -1,    -1,  4233,    -1,    -1,    -1,    -1,    -1,   953,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,
      -1,    -1,  2870,   968,    -1,    -1,    -1,  2981,   930,  2983,
      -1,    -1,    -1,    -1,    -1,  4129,    -1,    -1,    -1,  2887,
      -1,    -1,  5275,    -1,    -1,  2576,    -1,    -1,    -1,    -1,
     268,   953,    -1,    -1,    -1,    -1,    -1,  5290,  5291,  5292,
      -1,    -1,  2593,    -1,  2912,    -1,   968,    -1,    -1,    -1,
      -1,    -1,   290,  4304,    -1,  2606,    -1,    -1,    -1,    -1,
      -1,    -1,   300,    -1,    -1,   303,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4196,    -1,    -1,    -1,    -1,  1052,    -1,    -1,
    3064,   329,    -1,    -1,    -1,    -1,   334,    -1,   336,    -1,
      -1,    -1,  2091,    -1,    -1,   343,  2095,  2096,   346,    -1,
      -1,    -1,    -1,  2981,    -1,  2983,    -1,  3091,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,
    1052,    -1,    -1,   371,    -1,    -1,    -1,   375,   376,    -1,
    3114,   379,    -1,    -1,    -1,   383,    -1,    -1,  3122,    -1,
      -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,   397,
      -1,    -1,  4413,    -1,  4415,    -1,    -1,    -1,  2157,    -1,
      -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2169,    -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1157,    -1,    -1,    -1,  3064,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3189,    -1,    -1,    -1,    -1,
    2209,    -1,    -1,  3091,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4346,  4347,  3208,  1157,  4350,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3114,  3221,   634,    -1,
      -1,    -1,  4503,    -1,  3122,    -1,    -1,    -1,    -1,    -1,
    2811,    -1,    -1,  2814,    -1,  2816,    -1,    -1,    -1,    -1,
    2821,    -1,   658,    -1,  4388,  4389,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4408,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   634,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2870,
      -1,  3189,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   658,
      -1,    -1,    -1,    -1,    -1,    -1,  2887,    -1,    -1,    -1,
    3208,    -1,    -1,  3317,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3221,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2912,    -1,    -1,  3338,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3363,
      -1,    -1,    -1,    -1,    -1,  2384,    -1,    -1,  1363,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3397,    -1,    -1,    -1,    -1,    -1,    -1,
    2981,    -1,  2983,    -1,    -1,    -1,    -1,    -1,    -1,  4690,
      -1,  1363,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3317,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1429,    -1,    -1,    -1,    -1,    -1,
    3338,    -1,    -1,  3447,    -1,  4726,  2465,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4606,    -1,    -1,  3363,    -1,    -1,    -1,    -1,
      -1,    -1,  1467,    -1,    -1,    -1,    -1,  1429,    -1,    -1,
      -1,    -1,    -1,  3064,    -1,    -1,    -1,    -1,    -1,  3493,
    4634,    -1,    -1,    -1,    -1,  1490,    -1,    -1,    -1,  3397,
      -1,    -1,    -1,    -1,    -1,  4649,    -1,    -1,    -1,    -1,
    3091,    -1,    -1,    -1,   930,  1467,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3114,    -1,    -1,    -1,   953,  1490,    -1,
      -1,  3122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   968,    -1,    -1,    -1,    -1,  2576,    -1,    -1,
      -1,    -1,    -1,    -1,  4708,    -1,    -1,    -1,    -1,    -1,
      -1,   930,    -1,    -1,  2593,  1570,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2606,  3592,    -1,
    1585,    -1,    -1,    -1,   953,  3493,    -1,    -1,    -1,  1594,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3189,   968,
      -1,  1606,  3616,    -1,    -1,    -1,    -1,    -1,  1570,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3208,    -1,    -1,
      -1,    -1,  4913,  1585,  4915,    -1,  1052,    -1,    -1,    -1,
    3221,    -1,  1594,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1606,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1661,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1675,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1687,  1052,  3592,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1699,    -1,    -1,    -1,    -1,  1661,
      -1,    -1,    -1,    -1,  4858,    -1,    -1,    -1,  3616,    -1,
      -1,    -1,    -1,  1675,    -1,  5006,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1687,  3317,  3741,    -1,    -1,
    4884,  1157,    -1,  5024,  1739,  1740,    -1,  1699,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3338,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3363,    -1,    -1,    -1,  3790,  1739,  1740,    -1,
      -1,    -1,  2811,    -1,    -1,  2814,    -1,  2816,  1157,    -1,
      -1,    -1,  2821,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3397,    -1,    -1,    -1,
    4964,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3741,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2870,    -1,  4997,  4998,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2887,  5150,
      -1,  5015,    -1,    -1,    -1,    -1,    -1,    -1,  1873,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3790,  2912,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3912,    -1,
      -1,    -1,  3493,    -1,    -1,    -1,    -1,    -1,  3922,    -1,
      -1,  1873,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5226,    -1,  1363,    -1,  5093,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2981,    -1,  2983,    -1,  5110,    -1,    -1,    -1,
      -1,    -1,    -1,  3977,    -1,    -1,    -1,    -1,  3982,    -1,
      -1,    -1,    -1,    -1,  3988,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5136,    -1,  5275,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1363,    -1,    -1,    -1,    -1,  5290,
      -1,  3592,    -1,  1429,  3912,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3922,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3616,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4047,    -1,  3064,    -1,    -1,    -1,    -1,
      -1,  1467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1429,    -1,  3091,    -1,  1490,    -1,    -1,    -1,    -1,    -1,
      -1,  4085,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3114,  2091,    -1,    -1,  5243,
    2095,  2096,  4106,  3122,    -1,  5249,    -1,    -1,  1467,    -1,
      -1,    -1,    -1,    20,    -1,    -1,    -1,    -1,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,  1490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2091,
      -1,    -1,    -1,  2095,  2096,    -1,    -1,    -1,    -1,  4047,
      -1,    -1,    59,    -1,  1570,    -1,    -1,    -1,    -1,    -1,
    3741,    -1,  2157,    -1,    -1,    72,    -1,    -1,  4172,  1585,
    3189,    -1,    -1,    -1,  2169,    -1,    83,    -1,  1594,    -1,
      87,    -1,    -1,    -1,    -1,    -1,    -1,  4085,    -1,  3208,
    1606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,    -1,  3221,    -1,   111,  2157,    -1,    -1,  4106,  3790,
      -1,  1570,    -1,    -1,  2209,    -1,    -1,  2169,    -1,    -1,
      -1,   128,    -1,    -1,    -1,    -1,  1585,    -1,    -1,    -1,
      -1,    -1,   139,    -1,    -1,  1594,    -1,    -1,    -1,    -1,
     147,    -1,    -1,    -1,    -1,  1661,    -1,  1606,    -1,    -1,
      -1,    -1,   159,    -1,    -1,    -1,    -1,  2209,    -1,  1675,
     167,    -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,    -1,
      -1,  1687,   179,    -1,  4172,    -1,  4280,    -1,  4282,    -1,
      -1,   188,    -1,  1699,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3317,    -1,
      -1,    -1,  1661,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1675,    -1,   225,  3338,
    4324,    -1,    -1,  1739,  1740,    -1,    -1,   234,  1687,    -1,
      -1,  3912,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1699,  3922,    -1,    -1,  3363,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   268,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3397,    -1,
    1739,  1740,    -1,   290,  4282,    -1,    -1,    -1,    -1,  2384,
      -1,    -1,    -1,    -1,    -1,    -1,   303,    -1,    -1,    -1,
      -1,    -1,    -1,   310,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   329,    -1,    -1,    -1,  4324,    -1,    -1,   336,
      -1,    -1,  2384,    -1,    -1,    -1,   343,    -1,    -1,   346,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4457,  1263,    -1,    -1,  1873,   365,    -1,
      -1,    -1,    -1,    -1,   371,    -1,  4047,    -1,    -1,   376,
    2465,    -1,   379,   380,  3493,   382,   383,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,
     397,    -1,    -1,    -1,    -1,    -1,   403,    -1,    -1,   406,
      -1,    -1,   409,    -1,  4085,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2465,  1873,   422,    -1,  1326,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4106,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4457,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3592,    -1,  4579,    -1,    -1,    -1,    -1,
      -1,  2576,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4172,    -1,    -1,    -1,    -1,    -1,  3616,  2593,    -1,
    4604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2576,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4644,  2593,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2606,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2091,    -1,    -1,    -1,  2095,
    2096,  4579,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4698,    -1,    -1,    -1,    -1,  4703,
    4704,  4282,    -1,    -1,    -1,    -1,  4604,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3741,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2091,    -1,    -1,    -1,  2095,  2096,    -1,    -1,
      -1,  2157,    -1,  4324,    -1,    -1,  4644,    -1,    -1,    -1,
      -1,    -1,    -1,  2169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2209,    -1,    -1,    -1,    -1,  2157,    -1,
    4698,    -1,    -1,    -1,    -1,  4703,  4704,  4811,  4812,    -1,
    2169,    -1,    -1,    -1,    -1,    -1,  2811,    -1,    -1,  2814,
      -1,  2816,    -1,    -1,    -1,    -1,  2821,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2811,
      -1,    -1,  2814,    -1,  2816,    -1,    -1,    -1,    -1,  2821,
      -1,    -1,    -1,    -1,    -1,  2870,  4457,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2887,  3912,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3922,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4812,    -1,    -1,  2912,  2870,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2887,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2912,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2384,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2981,    -1,  2983,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4579,    -1,
      -1,    -1,    -1,    -1,    -1,  5009,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1829,    -1,    -1,  4604,    -1,  2384,    -1,    -1,  4047,  2981,
      -1,  2983,    -1,    -1,  1843,    -1,    -1,    -1,  1847,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2465,
      -1,    -1,  1861,  1862,  1863,    -1,  1865,    -1,    -1,    -1,
      -1,    -1,    -1,  4644,    -1,    -1,  4085,    -1,    -1,  3064,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4106,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3091,    -1,  1907,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2465,    -1,    -1,    -1,
      -1,  5009,  3064,    -1,    -1,    -1,    -1,  4698,    -1,  3114,
      -1,    -1,  4703,  4704,    -1,    -1,    -1,  3122,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1944,    -1,    -1,    -1,  3091,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4172,    -1,    -1,    -1,    -1,    -1,    -1,
    2576,    -1,  3114,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3122,    -1,    -1,    -1,    -1,    -1,    -1,  2593,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2606,    -1,    -1,    -1,  3189,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3208,    -1,    -1,    -1,  2576,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3221,    -1,    -1,    -1,
      -1,  4812,    -1,    -1,  2593,    -1,    -1,  3189,    -1,  2048,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2606,    -1,    -1,
      -1,  2060,    -1,    -1,  2063,    -1,  3208,    -1,    -1,    -1,
      -1,    -1,    -1,  4282,    -1,    -1,    -1,    -1,    -1,  3221,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4324,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3338,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3317,    -1,    -1,  3363,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3338,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2811,    -1,    -1,  2814,    -1,
    2816,    -1,  3397,    -1,    -1,  2821,    -1,    -1,    -1,    -1,
      -1,  3363,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5009,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4457,    -1,
      -1,    -1,    -1,    -1,    -1,  3397,    -1,    -1,    -1,    -1,
      -1,    -1,  2811,    -1,  2870,  2814,    -1,  2816,    -1,    -1,
      -1,    -1,  2821,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2887,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2912,    -1,  3493,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2870,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2887,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2912,    -1,    -1,    -1,    -1,    -1,    -1,
    4579,    -1,    -1,    -1,    -1,  2981,    -1,  2983,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4604,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3592,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3616,  2981,    -1,  2983,  4644,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3592,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3064,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3616,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3091,    -1,    -1,    -1,  4698,
      -1,    -1,    -1,    -1,  4703,  4704,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3114,    -1,
      -1,    -1,    -1,    -1,    -1,  3064,  3122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3741,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3114,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3122,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3189,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3741,
      -1,    -1,  3208,  4812,    -1,  3790,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3221,    -1,    -1,    -1,    -1,
      -1,  2620,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3189,  2640,    -1,  2642,    -1,    -1,  2645,  2646,  3790,  2648,
      -1,  2650,    -1,    -1,    -1,  2654,    -1,    -1,  2657,  3208,
      -1,    -1,    -1,  2662,    -1,    -1,    -1,    -1,    -1,  2668,
      -1,    -1,  3221,    -1,  2673,    -1,    -1,    -1,    -1,    -1,
      -1,  2680,  2681,  2682,  2683,    -1,    -1,    -1,  2687,  2688,
      -1,  2690,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2702,    -1,  2704,    -1,    -1,    -1,    -1,
      -1,  3317,  2711,  2712,  2713,  2714,  2715,  2716,  2717,  2718,
    2719,  2720,    -1,    -1,    -1,    -1,    -1,  3912,    -1,    -1,
      -1,    -1,  3338,    -1,    -1,    -1,    -1,  3922,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2748,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3363,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3317,  2768,
    3912,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3922,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3338,
      -1,  3397,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5009,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3363,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3397,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2857,    -1,
      -1,    -1,  4047,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4085,    -1,    -1,    -1,    -1,  4047,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4085,  3493,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4106,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3592,  4172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3616,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3592,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3616,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4282,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3117,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3741,    -1,    -1,    -1,  4324,
    4282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4324,    -1,  3790,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3741,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3912,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3313,  4457,  3922,    -1,    -1,    -1,
    3319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3335,  3336,    -1,    -1,
    3339,  3340,  3341,  3342,    -1,    -1,  3345,  3346,  3347,  3348,
    3349,  3350,  3351,  3352,  3353,  3354,  3355,    -1,    -1,    -1,
      -1,    -1,    -1,  3912,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3922,    -1,    -1,    -1,    -1,  3377,    -1,
      -1,  3380,    -1,  3382,    -1,    -1,  3385,  3386,    -1,    -1,
      -1,    -1,    -1,    -1,  4579,    -1,    -1,    -1,    -1,    -1,
      -1,  3400,  3401,  3402,  3403,    -1,  3405,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4604,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4579,    -1,    -1,
      -1,  4047,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3455,    -1,    -1,  4644,
      -1,    -1,  4604,    -1,    -1,    -1,  3465,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4085,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4047,    -1,
    4106,    -1,  4644,  3502,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4698,    -1,    -1,    -1,    -1,  4703,  4704,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4085,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4698,  4106,    -1,    -1,
      -1,  4703,  4704,    -1,    -1,    -1,  4172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4172,    -1,    -1,    -1,  4812,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4812,    -1,    -1,    -1,    -1,    -1,  4282,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3712,    -1,    -1,    -1,    -1,  4324,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4282,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4324,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5009,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3859,    -1,    -1,    -1,  3863,  3864,  3865,  5009,    -1,    -1,
      -1,    -1,  3871,  3872,  3873,  3874,    -1,    -1,    -1,    -1,
    3879,  3880,  3881,  3882,  3883,  3884,  3885,  3886,  3887,  3888,
    3889,  3890,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4457,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3915,    -1,    -1,  3918,
      -1,  3920,    -1,    -1,    -1,  3924,    -1,    -1,  3927,  3928,
      -1,    -1,  3931,  3932,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4579,    -1,    -1,    -1,    -1,    -1,    -1,
    3979,    -1,    -1,    -1,    -1,    -1,    -1,  3986,  3987,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4604,    -1,
      -1,    -1,    -1,  4002,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4015,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4579,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4644,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4604,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4698,    -1,    -1,  4644,    -1,  4703,  4704,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4698,
      -1,    -1,    -1,    -1,  4703,  4704,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4199,    -1,    -1,    -1,    -1,    -1,  4812,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4812,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4277,  4278,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4314,    -1,    -1,    -1,    -1,
    4319,  4320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4334,    -1,  4336,    -1,    -1,
      -1,  4340,  4341,  4342,    -1,    -1,  4345,    -1,    -1,  4348,
    4349,    -1,    -1,    -1,  4353,    -1,    -1,    -1,  4357,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5009,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4417,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5009,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4478,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4514,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4602,  4603,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4618,
    4619,  4620,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4628,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4656,  4657,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4669,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4824,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4838,
      -1,    -1,  4841,    -1,    -1,    -1,  4845,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4895,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5003,    -1,  5005,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5035,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5087,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5113,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5201,  5202,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,  5245,  5246,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,  5271,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,   125,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,
     457,   458,   459,    -1,    -1,    -1,    -1,    -1,    -1,   466,
     467,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,    -1,
     452,    -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   466,   467,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,
     457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,
     467,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,    -1,
      -1,    -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   466,   467,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,    -1,    -1,     3,    -1,    -1,    -1,
     457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,
     467,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    35,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     467,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    -1,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,    -1,   146,
     147,   148,    -1,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    -1,    -1,   252,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,    -1,   292,    -1,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,    -1,   392,    -1,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     447,   448,   449,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
     467,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    -1,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,   146,   147,   148,    -1,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,    -1,    -1,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    -1,    -1,   252,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,    -1,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,    -1,   392,    -1,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,    -1,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,   447,   448,   449,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,   467,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,    -1,   452,    -1,    -1,    -1,    -1,   457,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,   162,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
     216,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,    -1,    -1,    -1,    -1,    -1,
      -1,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     466,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,    -1,
      -1,    -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,
      -1,    -1,   464,   465,   466,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,   457,
     458,   459,    -1,    -1,    -1,    -1,    -1,    -1,   466,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,    -1,    -1,    -1,
      -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   466,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,   162,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,    -1,    -1,    -1,    -1,    -1,    -1,   457,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,    -1,    -1,    -1,    -1,    -1,
      -1,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     466,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,    -1,
      -1,    -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   466,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,    -1,    -1,    -1,
      -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   466,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,    -1,    -1,    -1,    -1,    -1,    -1,   457,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,    -1,    -1,    -1,    -1,    -1,
      -1,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     466,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,    -1,
      -1,    -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   466,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   466,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,    -1,    -1,    -1,    -1,    -1,    -1,   457,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     466,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   457,   458,    -1,    -1,     3,
       4,     5,     6,     7,   466,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,     3,     4,
       5,     6,     7,    -1,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,   466,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,     3,     4,     5,
       6,     7,    -1,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,   466,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
     466,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,    -1,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,     3,    -1,    -1,    -1,    -1,
     457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,   267,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,   267,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
     409,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    59,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,   409,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,     3,     4,     5,    -1,    -1,    -1,     9,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   466,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
       3,    -1,    -1,    -1,    -1,   457,   458,   459,    -1,    -1,
      -1,    -1,    -1,    -1,   466,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   466,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   466,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   466,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   466,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   466,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     466,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,    -1,    -1,    -1,     3,     4,
       5,    -1,    -1,     8,     9,    -1,    -1,    -1,    -1,   466,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    -1,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,    -1,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,   292,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,    -1,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   447,   448,   449,    -1,    -1,    -1,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,     3,     4,
       5,    -1,    -1,     8,     9,    -1,    -1,    -1,    -1,    -1,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    -1,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,    -1,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,   292,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,    -1,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   447,   448,   449,    -1,     3,    -1,   453,   454,
     455,     8,   457,   458,   459,   460,   461,   462,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,     3,    -1,   453,   454,   455,     8,
     457,   458,   459,   460,   461,   462,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,     3,    -1,   453,   454,   455,     8,   457,   458,
     459,   460,   461,   462,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
       3,    -1,   453,   454,   455,     8,   457,   458,   459,   460,
     461,   462,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,     3,    -1,
     453,   454,   455,     8,   457,   458,   459,   460,   461,   462,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,     3,    -1,   453,   454,
     455,     8,   457,   458,   459,   460,   461,   462,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,     3,    -1,   453,   454,   455,     8,
     457,   458,   459,   460,   461,   462,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   459,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   459,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   459,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    -1,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,   146,   147,   148,    -1,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
      -1,    -1,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,    -1,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    -1,
      -1,   252,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
      -1,   292,    -1,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
      -1,   392,    -1,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,    -1,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   447,   448,   449,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,   459,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    -1,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,
      98,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,   146,   147,
     148,    -1,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
      -1,   219,   220,   221,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    -1,    -1,   252,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,    -1,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,    -1,   392,    -1,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,     3,     4,
       5,    -1,    -1,    -1,     9,    -1,    -1,    -1,    -1,   447,
     448,   449,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,   459,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,     4,     5,    -1,    -1,
      -1,     9,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,
      98,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,     4,     5,    -1,    -1,    -1,     9,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,     5,    -1,    -1,    -1,     9,   457,   458,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,     9,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,   162,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,     4,     5,    -1,    -1,    -1,     9,
     457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
     409,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,
      98,    -1,    -1,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,
      -1,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    -1,
      -1,    -1,    98,    -1,    -1,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,
      98,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    -1,    -1,
      73,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,   221,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,   168,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
     267,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,   267,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,   267,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    35,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    35,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,    -1,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    -1,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,    -1,   146,
     147,   148,    -1,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    -1,    -1,   252,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,    -1,   292,    -1,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,    -1,   392,    -1,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     447,   448,   449,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    -1,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,    -1,   146,
     147,   148,    -1,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    -1,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,    -1,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,    -1,   292,    -1,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,    -1,   392,    -1,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,    -1,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     447,   448,   449,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    -1,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,   146,   147,   148,    -1,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,    -1,    -1,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
      -1,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,    -1,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,    -1,   392,    -1,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,    -1,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   447,   448,   449,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    -1,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,   146,   147,   148,    -1,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
      -1,    -1,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,    -1,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
      -1,   292,    -1,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
      -1,   392,    -1,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   447,   448,   449,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    -1,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,
      98,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,   146,   147,
     148,    -1,    -1,   151,    -1,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
      -1,   219,   220,   221,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    -1,    -1,   252,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,    -1,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,    -1,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,    -1,   392,    -1,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,    -1,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,
     448,   449,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    -1,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
      -1,   146,   147,   148,    -1,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,    -1,    -1,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    -1,    -1,   252,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,    -1,   292,    -1,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,    -1,   392,    -1,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,    -1,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   447,   448,   449,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    -1,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,    -1,   146,   147,   148,    -1,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,    -1,
      -1,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    -1,    -1,
     252,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,    -1,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,    -1,
     292,    -1,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,    -1,
     392,    -1,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   447,   448,   449,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    -1,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,   146,   147,   148,
      -1,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,    -1,    -1,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,    -1,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    -1,    -1,   252,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,    -1,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,    -1,   292,    -1,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,    -1,   392,    -1,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,    -1,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,   448,
     449,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    -1,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    -1,
      -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
     146,   147,   148,    -1,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,    -1,   219,   220,   221,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    -1,    -1,   252,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,    -1,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,    -1,   292,    -1,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,    -1,   392,    -1,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
      -1,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   447,   448,   449,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    -1,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,   146,   147,   148,    -1,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,    -1,    -1,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    -1,    -1,   252,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,    -1,   292,
      -1,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,    -1,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,    -1,   392,
      -1,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   447,   448,   449,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    -1,    -1,    49,
      -1,    -1,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    -1,    -1,    64,    -1,    66,    67,    68,    69,
      -1,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,    -1,    -1,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,    -1,   146,   147,   148,    -1,
      -1,   151,    -1,   153,   154,    -1,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,    -1,    -1,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,    -1,   196,   197,   198,   199,
      -1,    -1,    -1,    -1,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,    -1,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,   247,   248,   249,
      -1,    -1,   252,   253,   254,   255,    -1,    -1,   258,    -1,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,    -1,   292,    -1,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,    -1,   352,   353,   354,   355,   356,    -1,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,    -1,    -1,    -1,    -1,   389,
     390,    -1,   392,    -1,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,    -1,    -1,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,   448,   449,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      -1,    -1,    -1,    -1,    -1,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    -1,    -1,    64,    -1,    66,
      67,    68,    69,    -1,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,    -1,    -1,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,    -1,   146,
     147,   148,    -1,    -1,   151,    -1,   153,   154,    -1,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,    -1,   196,
     197,   198,   199,    -1,    -1,    -1,    -1,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,    -1,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,    -1,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,   253,    -1,   255,    -1,
      -1,   258,    -1,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,    -1,    -1,   276,
      -1,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,    -1,   292,    -1,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,    -1,   352,   353,    -1,   355,   356,
      -1,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,    -1,    -1,
      -1,    -1,   389,   390,    -1,   392,    -1,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,    -1,
      -1,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     447,   448,   449
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    18,    28,    30,    31,    46,    66,    68,    69,    75,
      77,    88,    90,   107,   110,   124,   126,   130,   136,   144,
     146,   152,   168,   184,   223,   224,   229,   241,   253,   295,
     308,   314,   315,   317,   322,   327,   330,   335,   341,   342,
     349,   353,   363,   376,   395,   405,   411,   416,   429,   452,
     466,   473,   474,   475,   476,   482,   483,   485,   486,   487,
     488,   489,   490,   491,   493,   494,   498,   510,   515,   516,
     519,   520,   521,   541,   544,   545,   561,   604,   605,   608,
     611,   612,   613,   621,   627,   629,   631,   632,   635,   638,
     639,   643,   652,   656,   657,   658,   659,   662,   664,   665,
     666,   667,   675,   676,   695,   699,   701,   702,   703,   713,
     715,   722,   723,   726,   727,   728,   729,   730,   738,   740,
     744,   749,   753,   754,   762,   763,   766,   771,   782,   809,
     812,   813,   814,   819,   822,   824,   826,   828,   829,   834,
     835,   838,   839,   840,   844,   845,   848,   849,   852,   853,
     854,   861,   863,   864,   865,   870,   872,   873,   879,   880,
     881,   882,   883,   884,   885,   887,   888,   890,   891,   893,
     896,   897,   902,   908,   911,   913,   914,   923,   925,   930,
     935,   939,   940,   941,   942,   943,   944,   947,   982,   389,
     432,   866,    25,    72,    87,   105,   111,   128,   139,   147,
     159,   164,   171,   188,   213,   234,   268,   290,   300,   303,
     329,   334,   336,   343,   346,   365,   371,   375,   376,   379,
     383,   392,   397,   409,   422,   628,   866,     3,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      37,    38,    40,    41,    42,    44,    45,    46,    47,    48,
      50,    51,    53,    54,    55,    56,    57,    60,    61,    62,
      63,    64,    66,    67,    68,    69,    70,    74,    75,    76,
      77,    78,    80,    81,    82,    84,    85,    86,    87,    88,
      89,    92,    93,    94,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   112,   114,   115,   116,   117,   118,   119,
     121,   122,   123,   124,   127,   128,   129,   130,   131,   133,
     134,   135,   137,   138,   139,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   151,   153,   154,   155,   156,   158,
     160,   164,   165,   166,   167,   169,   170,   172,   173,   175,
     176,   177,   178,   179,   181,   182,   183,   184,   186,   187,
     188,   189,   190,   191,   193,   195,   196,   197,   198,   199,
     200,   201,   203,   205,   208,   210,   211,   212,   213,   214,
     217,   218,   220,   223,   224,   225,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   246,   247,   248,   249,   250,   252,   253,
     255,   257,   258,   259,   260,   261,   262,   264,   265,   268,
     269,   270,   273,   274,   276,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   289,   290,   291,   292,   293,
     294,   295,   296,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   326,
     327,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   343,   344,   345,   346,   347,   349,
     350,   351,   352,   353,   355,   356,   357,   358,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   374,   375,   377,   379,   380,   381,   382,   383,   385,
     386,   389,   390,   391,   392,   393,   395,   396,   397,   398,
     399,   400,   401,   404,   405,   406,   407,   408,   411,   412,
     413,   414,   415,   416,   417,   419,   421,   422,   423,   424,
     427,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   936,  1107,  1121,  1125,  1126,   420,   898,   266,   296,
     866,    49,   466,   552,    20,    25,    37,    59,    72,    83,
     105,   111,   128,   139,   147,   159,   167,   171,   179,   225,
     268,   271,   290,   303,   329,   336,   346,   371,   379,   380,
     382,   383,   392,   397,   403,   406,   409,   562,   610,   714,
     718,   772,   783,    26,   295,  1107,   936,    26,   289,   344,
     380,   382,     5,   212,   820,   821,  1116,    20,    25,    37,
      59,    72,    87,   105,   128,   139,   147,   159,   164,   171,
     188,   234,   268,   280,   290,   303,   329,   334,   336,   343,
     346,   365,   371,   376,   379,   383,   390,   392,   397,   409,
     422,   628,   731,   732,   733,   866,  1107,    90,   420,   466,
     605,   608,   611,   897,   903,   911,   914,   923,   930,   935,
     939,     9,    19,    26,    44,   154,   160,   162,   185,   214,
     248,   298,   316,   457,   458,   750,   751,   936,  1115,  1117,
      26,    90,   312,   342,   755,   756,   757,  1121,   159,  1121,
    1112,  1116,   376,   950,   750,  1121,   389,  1107,   280,   234,
     105,   188,   336,   375,   376,   466,   830,   831,   335,  1121,
      26,   347,   385,   389,   502,   511,   512,  1121,    23,   168,
     755,   756,   296,   866,  1121,   211,    26,   125,   952,   953,
      60,    84,   225,   243,   329,   336,   347,   385,   389,   435,
     499,   500,   501,   502,    26,   347,   385,   389,   502,   389,
     267,   993,  1105,  1121,   950,   459,  1121,   163,   466,   899,
     466,   310,   945,   946,  1107,   945,   940,   941,   944,     0,
     469,   898,   140,   202,   272,   402,   954,   955,   940,   942,
     943,   116,   198,   408,   470,     3,    43,    49,    72,    79,
      91,    98,   161,   163,   180,   194,   206,   207,   209,   219,
     221,   245,   254,   275,   277,   328,   354,   378,   420,   799,
    1113,  1121,  1122,  1125,  1127,   735,  1121,   735,  1108,  1121,
     299,   735,   392,  1107,   104,   376,   787,  1113,  1121,  1127,
       3,   101,   348,  1118,  1119,  1123,  1125,  1126,  1127,    26,
     179,  1105,   260,   422,     8,    15,    16,    17,    67,   151,
     453,   454,   455,   457,   458,   459,   460,   461,   462,   816,
     818,  1069,  1070,  1121,   179,  1107,  1107,    26,  1118,  1119,
    1107,  1107,   179,  1105,  1107,   735,  1107,   322,   349,    26,
     179,   993,  1107,   339,  1107,   735,   232,  1118,  1119,   179,
    1105,   212,   113,   208,   251,   306,   867,   868,   869,  1105,
    1111,  1121,    20,    25,    59,    72,    73,    83,    87,   105,
     128,   139,   147,   159,   164,   188,   213,   234,   268,   290,
     303,   329,   334,   336,   343,   346,   365,   371,   376,   379,
     383,   390,   392,   397,   422,   628,   741,   742,  1116,   910,
     914,   923,   930,   939,  1105,   236,  1113,  1107,   466,   179,
     735,   392,  1108,   735,   392,   179,  1107,   104,   376,   380,
     382,  1118,  1119,   251,   380,   382,    67,   151,   816,   320,
    1107,  1107,  1118,   179,   495,  1121,   179,  1107,  1107,  1107,
     339,  1107,   735,   232,  1118,   310,   343,   376,   422,   234,
     365,    87,   188,   164,   334,   390,   396,   622,    26,  1107,
     937,   509,  1116,  1123,   821,   236,   179,   799,   800,  1107,
     179,   825,   179,  1108,     3,    48,    50,    51,    62,    63,
     108,   109,   129,   155,   179,   200,   201,   203,   244,   246,
     259,   307,   351,   357,   385,   386,   417,   737,  1015,  1017,
    1019,  1021,  1023,  1025,  1026,  1027,  1029,  1030,  1031,  1033,
    1034,  1122,  1125,   392,   104,   376,   179,   786,   787,   179,
    1119,  1120,    79,   422,    67,   151,   179,   817,   818,    53,
     179,  1120,   179,  1107,   179,  1107,   339,   825,   179,   737,
     179,   232,  1120,   212,   179,   734,   735,   179,  1106,  1107,
     179,  1107,   466,   912,   562,   903,   416,   897,   904,   905,
     906,  1123,   898,  1117,   751,   752,    26,   752,  1117,   752,
      26,   752,  1117,   752,   752,   752,  1117,  1115,  1115,   936,
     752,   299,   466,   466,   582,   582,   582,   266,   387,   470,
     582,   336,   993,   994,   470,   862,  1116,   466,   909,    53,
     422,   420,   832,   833,  1105,  1107,  1121,    43,   449,   208,
     468,   269,   269,   266,   162,  1116,   387,   157,   745,   266,
       4,     6,     7,     8,    10,    34,    48,    50,    51,    58,
      59,    62,    63,    70,    72,    95,    96,    97,    98,    99,
     100,   101,   108,   109,   111,   145,   149,   150,   155,   170,
     172,   200,   201,   203,   218,   226,   227,   244,   246,   251,
     256,   257,   259,   268,   278,   291,   307,   332,   348,   357,
     372,   385,   386,   391,   393,   394,   403,   409,   417,   437,
     438,   439,   440,   442,   443,   444,   445,   450,   457,   458,
     459,   466,   940,  1018,  1021,  1024,  1025,  1026,  1028,  1029,
    1030,  1033,  1034,  1038,  1040,  1041,  1042,  1044,  1065,  1066,
    1067,  1071,  1090,  1095,  1102,  1103,  1113,  1114,  1115,  1116,
    1121,  1101,  1102,  1116,    26,   517,  1104,  1105,   347,   499,
     111,   508,  1116,   509,  1116,    43,    64,   499,   449,   358,
     868,   269,   162,   387,   455,    43,   449,   208,   869,   466,
    1105,   459,   464,   468,  1096,  1098,   994,     3,   161,   163,
     420,   894,   895,   897,   161,   900,  1038,  1074,   945,   470,
     466,   901,   467,   467,   475,  1105,    26,   125,   951,   951,
      53,   951,   152,   157,   222,   263,   958,   960,   961,   976,
     978,   979,   980,   954,   955,   162,   204,   993,   995,   466,
     281,   318,   349,   466,   797,  1098,   281,   314,   318,   349,
     468,   736,   281,   318,   349,     3,    82,   134,   228,   281,
     318,   349,   379,   381,   429,   510,   513,   874,   875,   876,
     877,   767,    22,   130,   281,   318,   349,   413,   525,  1107,
      22,   130,   349,   408,   492,   433,   179,   993,    55,    89,
     119,   148,   182,   217,   251,   281,   282,   318,   326,   333,
     341,   349,   361,   369,   424,   510,   514,   802,   810,   466,
     784,  1098,   318,   492,   185,   145,    22,    28,    69,   119,
     123,   130,   133,   158,   190,   249,   251,   261,   270,   281,
     318,   321,   322,   349,   413,   522,   524,   646,     4,   458,
     619,  1117,    26,   179,  1105,   735,   735,   466,   815,   281,
     349,   468,   145,   266,    22,   130,   281,   318,   349,   185,
     484,   318,   429,   452,   477,   484,   266,   281,   318,   145,
      35,    54,   103,   187,   235,   238,   249,   280,   318,   323,
     343,   349,   363,   522,   616,   617,   281,   318,   421,   646,
     654,   281,   318,   349,    82,   123,   133,   281,   314,   318,
     349,   512,   500,   502,   185,   145,    41,   121,   318,   349,
     522,   523,   281,   318,   322,   349,    80,   122,   283,   381,
     266,    22,    28,   130,   281,   318,   349,   542,   543,   157,
     318,   349,   477,   513,   145,   318,   349,   522,  1107,   220,
     113,   267,   434,   470,   867,   410,   892,   266,   236,   799,
     466,  1107,  1015,   392,   104,   376,   787,   260,   422,    67,
     151,   818,  1107,  1107,   339,   157,  1107,  1015,   212,   735,
    1107,   467,   582,  1107,   466,   708,   797,    65,  1015,   251,
     162,   466,   704,  1107,   477,    35,   886,  1107,   251,   477,
     433,   179,  1105,   477,   145,   735,   735,   704,   406,   562,
     266,   157,   846,   847,   477,   251,    43,   496,   251,   397,
     653,    82,   281,   630,    80,   122,   283,   381,    24,    45,
     199,   677,    35,   704,   157,   179,   477,   422,   179,  1105,
     179,   606,  1105,  1105,   422,   735,   735,    79,   773,  1113,
    1107,   157,   628,    49,   102,   197,   249,   338,   145,    56,
     324,   470,   526,   526,   145,   466,   145,   419,  1032,  1032,
    1032,   466,  1020,  1020,   293,   466,  1022,   145,    62,    63,
    1032,  1020,  1017,   431,   452,   466,  1035,   466,  1035,   470,
     526,    34,  1016,   466,   106,   177,   237,   240,   340,   447,
     466,  1036,  1037,   736,  1020,   433,   145,   470,   526,   145,
     470,   179,   734,   179,   735,   179,   735,   145,   470,   526,
    1120,   145,   145,   526,   145,    80,   122,   283,   381,   157,
     145,   526,   145,   157,   179,   179,   509,   145,   470,   526,
     145,   470,   526,   145,   266,  1074,   376,   467,   470,   150,
     266,   394,   506,   509,   619,   907,   903,   752,   936,   752,
     936,   752,   936,   752,   936,   752,   936,   936,   936,   752,
     936,   466,   583,   584,  1121,   583,    26,   105,   128,   159,
     164,   212,   213,   336,   343,   376,   379,   397,   758,  1104,
    1120,   757,  1107,   185,   470,   926,  1116,  1015,  1077,    35,
    1120,   773,   467,   470,   220,  1121,   157,   157,   758,  1120,
     335,  1121,   509,   266,   466,  1099,   464,   940,  1078,  1038,
    1094,   466,   466,   157,   466,   466,   940,   466,   466,   466,
     466,   466,   466,  1038,   466,   466,   466,   466,   466,   466,
     466,   466,   940,   466,   466,   466,   466,   466,   466,   466,
     466,  1038,  1038,  1038,   940,  1038,  1074,  1098,  1116,   466,
    1116,     3,     8,    11,    15,    16,    17,    32,    35,    40,
      47,    71,   180,   185,   206,   207,   221,   254,   268,   271,
     354,   450,   453,   454,   455,   457,   458,   459,   460,   461,
     462,  1069,  1071,  1073,   430,  1053,   277,  1038,   204,   470,
     948,   466,  1116,  1098,   948,   114,   181,   518,   470,    64,
     111,   509,    35,     3,   111,   225,   507,   619,  1034,  1116,
    1116,    85,   127,  1050,    94,   111,   503,   504,   506,   619,
     111,   503,   220,  1105,  1038,  1097,     3,    26,    30,    31,
      32,    33,    34,    35,    36,    39,    52,    58,    59,    65,
      71,    73,    83,    90,    95,    96,    97,    99,   100,   101,
     111,   113,   120,   125,   126,   132,   136,   140,   150,   152,
     157,   159,   162,   168,   171,   174,   185,   192,   202,   204,
     215,   216,   222,   226,   227,   251,   256,   263,   266,   267,
     271,   272,   288,   297,   312,   325,   342,   348,   359,   373,
     376,   384,   387,   388,   394,   402,   403,   409,   410,   418,
     425,   426,   428,   429,   459,  1110,  1124,  1125,  1126,  1127,
    1128,  1096,    86,   323,   739,   467,   470,   898,   467,   470,
     946,  1106,    35,   901,   942,   942,   956,   957,  1038,   942,
     154,   248,   967,   210,   249,   306,   352,   408,    26,   962,
    1038,   963,   965,  1038,  1040,   976,   977,   961,   960,   958,
     959,   157,   979,   261,   981,   958,   976,   995,   915,  1105,
      35,  1121,   349,  1074,   387,   387,   336,   185,   195,   272,
     274,   351,   418,   459,   790,   791,   792,   794,   796,   798,
    1015,  1122,   387,   421,   387,   336,  1110,   468,   387,   387,
     336,   222,   387,   387,   379,   499,   281,   874,   876,   455,
     878,   157,   168,   185,   327,   768,   769,    65,    83,   141,
     159,   297,   403,   579,   580,    83,   111,   251,   387,    83,
     387,   111,   251,   336,    83,   123,   133,   281,   318,   700,
     336,   636,    20,    25,    59,    72,    87,   128,   139,   159,
     164,   234,   268,   336,   343,   346,   376,   383,   390,   397,
     422,   628,  1107,   145,   318,   349,   522,   266,   619,   266,
     341,   217,   387,  1121,   387,   256,   619,   115,   205,   336,
     347,   389,   501,   324,   349,   802,   811,   467,   785,   790,
     387,   409,   379,  1105,    73,   141,   179,   569,   579,  1121,
      73,    83,   836,   266,   266,   332,   334,   392,    83,   836,
      29,   321,   332,   334,   392,   332,  1105,   158,   190,   261,
     735,   466,   387,   387,   178,   466,   530,   231,   379,   406,
     429,   431,   530,    83,   470,     4,   281,   185,   145,   119,
     318,   349,   522,   410,   410,   250,  1015,   387,   336,   466,
     816,  1107,  1105,   376,   376,   387,   387,   376,   704,   105,
     513,   387,   479,   513,  1105,   387,   387,  1105,  1017,   619,
      53,   618,   619,   619,   103,   235,   238,    53,   387,   477,
     242,   336,   477,   249,   617,   387,   387,   256,  1116,   646,
     387,   387,   336,  1116,   387,   303,   387,   303,   704,   379,
     993,   285,   285,    83,   387,   836,   336,   387,   387,   530,
     530,   735,   735,   735,   735,  1105,    42,   415,    42,    42,
     387,    42,   387,   415,   336,   470,   409,   663,  1119,   387,
     479,  1105,   387,   336,   281,   318,   306,   319,   345,   505,
     867,  1111,  1121,  1105,   206,  1015,   266,   206,   433,   206,
     619,   735,   735,   206,   266,   266,    80,   122,   283,   381,
    1015,   266,   206,   206,   206,   387,   429,   553,   397,     3,
     709,   710,   704,   466,    35,   145,   735,   705,   706,  1124,
      24,   874,  1015,   266,   145,   633,  1107,   251,   285,   466,
     478,   718,   410,   310,   422,  1105,    26,   376,   429,   806,
     478,   145,  1119,    90,   168,   497,   561,   612,   676,   753,
     771,   870,   145,  1116,   654,   655,  1116,  1119,   228,   735,
     735,   735,   735,   261,   116,   198,   395,   408,   678,   679,
     137,   305,   466,   663,   251,   478,  1105,   251,   614,   616,
     251,    35,   261,   285,   466,   582,   582,   179,   609,  1105,
     901,   157,   179,   774,  1111,   466,   788,    35,  1015,   212,
     429,   431,   938,   338,   800,   799,  1015,  1108,   466,  1074,
    1115,   737,  1032,  1032,    34,  1016,   385,   385,  1115,  1115,
    1015,   464,   464,  1115,   387,   387,   387,   466,   387,  1115,
    1020,   786,   787,  1120,  1119,   145,   526,   145,   410,   145,
     410,   817,   818,   526,  1120,  1107,  1107,  1015,   737,  1120,
     663,   145,   145,   526,   734,   735,  1106,  1107,  1107,   735,
     467,   179,  1105,   903,   905,   936,   936,   936,   936,   936,
     936,   583,   467,   470,   467,   165,   344,   377,  1106,   734,
     104,   346,   786,  1106,   260,  1106,  1104,  1104,  1106,   734,
     387,   429,   764,   140,   222,   660,   661,    20,   143,   332,
     352,   927,   993,   255,   928,   467,   470,   910,   387,  1105,
     830,   831,   833,   756,   755,   756,   162,   169,   765,  1121,
      25,    73,   105,   128,   139,   159,   164,   213,   234,   303,
     329,   336,   343,   371,   376,   379,   397,   422,   628,   746,
     747,  1074,  1096,   465,  1074,  1078,  1079,   425,  1091,  1092,
    1038,  1074,   466,  1115,  1115,     3,   106,   177,   237,   240,
     340,   447,  1080,  1081,  1116,  1074,  1074,  1074,  1115,  1115,
    1038,   816,  1038,  1082,   332,   457,   458,   466,  1039,  1040,
    1071,  1084,   467,  1074,  1038,  1074,  1085,  1038,    52,   162,
     216,   388,  1038,  1074,  1088,  1074,   242,  1040,  1038,  1048,
    1049,  1050,   242,  1038,  1050,   467,   470,  1115,  1036,  1015,
    1038,  1038,  1038,  1038,  1124,   385,    39,   373,  1100,   735,
    1038,   466,   940,  1089,   125,   127,   150,   251,   256,   261,
     394,   404,  1038,   466,  1038,   387,    47,   180,   185,   221,
     354,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,
    1038,    26,    33,   359,  1068,   171,   153,  1054,   332,   466,
    1065,   167,   225,   376,   380,   382,   406,   949,  1105,  1103,
     162,   983,    26,   125,   418,   459,   467,   792,  1038,  1075,
    1076,  1122,   983,  1105,   389,   466,  1116,   470,   467,   465,
     471,   178,   178,   526,  1105,   895,   896,  1105,  1038,   467,
     466,   470,    36,   120,   410,   780,   466,   964,  1117,   352,
     210,   267,   470,   332,   333,   966,  1104,   255,   356,   929,
     977,   959,   410,   924,   111,   279,   466,   916,   939,    35,
    1121,   466,   931,   932,   933,  1121,   467,  1119,  1107,  1107,
     274,    53,  1122,   467,   792,   794,   791,   794,  1122,   272,
     467,   470,   736,  1119,  1107,  1107,  1110,  1119,  1107,  1107,
    1119,  1108,  1107,   111,   506,  1117,   329,   409,   755,   336,
     168,   755,   466,  1107,   410,   775,   210,   210,   410,   466,
     603,   179,  1107,   256,  1119,  1107,  1107,  1038,   256,  1107,
    1107,    29,   321,   387,   387,  1107,   387,   637,   236,   799,
     466,   735,   735,  1015,   392,   104,   376,   787,   422,    67,
     151,   818,  1107,   735,  1107,   735,   339,   157,  1015,   735,
     212,   173,   249,   281,   318,   414,   640,   641,   642,   993,
     387,   836,   336,   256,   147,   115,   205,  1119,  1107,   266,
    1107,   467,   470,  1118,  1120,  1107,   318,   522,   179,   569,
     251,  1015,  1107,  1121,  1107,   147,   220,  1107,    26,   409,
    1107,   179,  1107,   179,  1121,   334,   392,   334,   392,   220,
    1107,    26,   409,  1107,   220,   332,  1105,    22,   130,   349,
     647,   648,   649,   650,  1124,  1119,  1107,   111,   163,   252,
     410,   529,   532,   533,  1124,  1107,   264,    69,   264,  1107,
     524,   387,   379,  1105,   266,   387,   836,   336,  1109,  1121,
    1109,   470,   467,   470,  1119,  1107,   841,   842,  1124,   266,
     318,   387,   671,   994,   994,  1119,  1107,   994,  1108,  1118,
       3,    82,   135,   190,   287,   401,   409,   412,   480,   318,
    1119,  1107,   318,   349,   522,   616,   619,   735,  1107,   619,
     735,  1107,   619,  1119,  1107,  1119,  1107,  1107,  1119,   806,
    1107,   850,   851,  1124,  1107,   318,   349,   522,   523,  1105,
    1105,  1107,  1107,  1107,  1107,  1119,  1107,    22,    28,   130,
     281,   318,   349,   281,   318,   349,   704,   318,   349,   318,
     349,   119,   318,  1007,  1121,   714,  1121,   179,  1121,  1119,
    1107,  1107,  1116,  1107,    22,   543,   346,  1118,   318,   349,
     522,  1107,  1107,   387,   387,    78,   400,   306,   256,   743,
    1116,    35,   128,   735,   743,   743,   206,   410,   410,   743,
     735,   735,   212,   735,   743,   743,   743,   302,   547,   264,
     162,   387,   546,   188,   455,   467,   470,  1038,  1015,   735,
     467,   470,   455,   678,   571,  1124,  1107,    56,   162,   336,
     421,   634,   641,   642,   145,   261,   221,   563,   565,   567,
     569,   576,   579,    23,   185,   329,   374,   480,   481,   157,
    1109,   422,  1105,    35,   672,   377,   994,   704,   495,  1121,
     496,   271,   562,  1107,   159,   303,  1116,   704,   704,   704,
     704,   261,   266,   271,   466,   704,  1005,  1006,  1007,   346,
     145,   466,   145,   145,   144,   939,   735,   261,   563,  1121,
     429,   431,   599,   429,   531,   251,    35,   582,   266,  1116,
     251,   266,   467,   789,   790,   795,    35,   212,   326,   390,
     428,   801,   802,   803,   266,   212,   509,   176,   176,   157,
     526,    35,  1074,   467,   467,   526,   464,   449,   449,   467,
     467,  1115,   465,  1115,   467,   177,   237,  1037,   237,  1037,
    1037,  1115,   240,   467,   526,   734,   735,  1109,   735,  1109,
     526,   526,   212,   526,   346,   157,   509,   526,   526,   266,
     526,   251,   467,   584,   185,   185,   185,   433,  1106,   619,
     620,   171,   759,   760,  1119,    23,   765,   387,   466,   162,
     143,   352,   143,   352,   332,   408,   239,  1015,  1119,   429,
     607,  1105,  1107,   162,   266,   759,    53,   526,   799,  1015,
     392,   376,   787,   260,   422,  1015,   212,   735,  1107,   467,
     465,   465,   470,  1038,   132,  1092,  1093,    35,   467,  1038,
     467,   467,   467,   162,   467,   467,   467,   467,   467,   470,
     467,   288,  1083,   467,   466,  1039,  1039,  1074,    11,    15,
      16,    17,   185,   206,   268,   453,   454,   455,   457,   458,
     459,   460,   461,   462,  1071,  1039,   467,   467,   157,   162,
    1086,  1087,   467,    35,  1088,  1074,  1088,  1088,   162,   467,
     467,  1124,   286,  1052,    35,   467,   470,  1038,  1124,   470,
    1038,  1099,  1038,   467,   449,  1039,  1039,   138,  1074,   162,
     125,   127,   150,   256,   261,   394,   404,   466,   138,   816,
    1038,   373,  1100,  1038,  1089,  1038,   387,   466,   940,   466,
     466,   276,  1058,   466,  1074,   380,   382,   380,   382,  1105,
     950,   950,   950,   215,   333,   446,   466,   940,   984,   985,
     986,   993,   998,  1008,  1041,  1043,  1044,  1113,  1121,   426,
    1003,  1075,  1075,  1076,   467,    13,    14,   470,   954,   955,
    1003,   868,  1115,  1036,   504,  1038,  1097,   901,   910,   957,
     268,  1069,  1072,   451,   781,  1038,   966,   408,   963,   230,
     984,   426,  1004,   416,   375,   409,   917,   918,   919,  1121,
     266,   920,  1121,   933,   934,   470,   983,   455,  1099,   798,
     736,   794,   794,    53,   796,   461,  1120,  1120,   266,  1106,
     269,   266,  1038,   580,  1109,   466,   466,   466,   603,   188,
     583,   693,   145,   526,   387,  1119,  1107,   509,  1107,  1015,
    1107,   433,   735,   735,   735,   735,    80,   122,   283,   381,
    1015,  1107,   623,  1107,   173,   414,   387,   387,   623,   640,
     646,   318,   349,   522,  1107,  1107,  1107,   196,  1107,   256,
     790,   280,   349,   387,   251,   145,   270,   644,   693,    22,
     130,   322,   323,   349,   525,   534,   535,   646,   837,  1107,
     341,   145,   526,   145,   526,  1107,  1107,  1107,  1107,   341,
     341,   220,   649,   650,   649,   467,   470,   651,  1116,   188,
     467,   470,   455,   468,  1119,  1107,   318,   349,   522,   147,
    1107,  1107,  1107,   281,   318,   349,    22,   130,   281,   318,
     349,  1015,   250,  1015,   467,   470,   455,  1105,   387,  1120,
     410,   668,   222,   287,   256,  1116,   287,  1120,   407,   387,
     387,   336,   314,   356,   470,   280,   349,    83,   387,   836,
     336,   157,   536,   387,   387,   232,   232,   232,   387,   387,
     336,   387,   387,   336,   387,   336,   387,   336,   266,   387,
     526,  1015,  1116,   349,   837,   145,   526,   387,   387,  1107,
     387,   336,  1119,  1107,  1015,   735,   206,   743,  1109,  1109,
     206,   206,  1107,   206,   366,   367,   548,  1116,   547,   173,
     250,   268,   457,   458,   619,   707,   794,  1072,  1116,  1128,
       3,   710,   467,   467,   162,   704,   706,   707,   266,    65,
      71,    83,   111,   113,   166,   192,   251,   256,   297,   312,
     403,   572,   573,   575,   144,   425,   477,   509,  1107,   509,
     644,  1105,  1105,  1105,   467,   470,  1120,   171,   329,  1120,
    1115,   397,  1105,   582,     3,   157,   673,    43,   496,   320,
     376,   653,   104,   850,   531,   583,  1105,   679,   711,   712,
    1116,   467,   470,  1107,   157,   583,  1105,   606,  1105,  1107,
     607,   466,   564,  1105,   467,   264,   530,   264,   266,   600,
     530,    35,   145,   939,   531,  1074,   387,   145,  1105,   467,
     470,   111,   455,   804,  1116,   509,   376,   793,   794,   157,
     805,   803,   806,   116,   198,   342,   408,   859,  1107,   173,
     939,  1015,   467,  1115,  1035,  1035,   465,   465,   467,   526,
     410,   526,   410,   526,  1107,  1107,   663,   526,   735,   145,
     336,   336,   336,  1106,   470,  1119,   429,   470,   761,   269,
     994,   346,   143,   143,   104,   249,  1120,   758,   526,  1119,
     206,   206,   206,   619,   206,   206,   206,  1078,   384,  1038,
     136,  1015,   467,  1038,  1038,  1038,  1086,   467,  1074,   470,
    1015,  1039,  1039,  1039,  1039,   125,   127,   251,   261,  1039,
    1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,  1038,
    1038,  1087,  1086,  1015,   467,   467,   467,  1074,   467,   470,
      53,  1040,   467,  1124,  1049,   294,   370,  1051,   467,   470,
     421,  1045,    35,   467,  1116,  1038,    32,    32,  1038,   467,
    1038,   162,   466,  1077,  1038,   467,   138,  1039,  1039,   138,
     138,  1038,  1038,   955,   426,   466,  1059,  1121,   467,  1074,
     470,   950,   950,   950,   950,  1105,  1105,  1105,   940,   998,
    1008,   162,   466,   940,   985,   986,    35,   987,   988,  1121,
     470,    91,   163,   194,   209,   219,   245,   328,   990,   988,
      35,   987,   989,  1121,   988,   452,  1002,   466,  1098,  1038,
     171,   968,   470,   954,   954,   954,  1038,  1038,   418,  1076,
     467,   968,   467,   465,   467,   466,   781,   154,   214,   467,
     267,    94,  1038,   325,   922,   415,   467,   470,  1099,    81,
     922,   467,   470,   932,  1004,  1038,   467,   461,   798,   397,
     165,   337,   344,   377,   398,   770,   157,   770,   467,   466,
     586,   587,   777,  1043,  1121,   583,   583,   693,  1111,   467,
     113,   192,   249,   251,   694,  1107,  1107,    35,  1107,   410,
     410,   735,   735,   735,   735,   212,   736,  1119,  1107,   387,
     836,   336,   387,   196,    53,   379,  1107,   145,   569,   466,
     571,   166,   178,   251,   530,   477,   104,   166,   251,   365,
     368,   530,   617,   349,   535,   397,  1107,  1121,   341,   648,
    1107,   533,   707,  1124,   280,   349,   387,   836,   336,  1107,
     387,   387,   387,   336,   164,   268,   368,   716,   717,   164,
     268,   724,   725,   387,   387,   336,   467,   467,   467,   842,
     250,   619,   794,   843,  1072,  1116,  1128,   318,  1107,   466,
     429,   669,  1117,  1116,  1116,  1116,  1107,  1107,  1107,   806,
     314,   851,    53,   379,  1107,  1107,  1107,  1107,   416,  1107,
    1107,   157,   157,   320,   157,   179,  1119,  1107,  1107,  1119,
    1107,  1107,  1107,  1107,  1107,  1107,   147,  1107,    71,   527,
      24,    45,   397,  1121,  1107,  1116,   646,  1107,  1107,   467,
     206,   743,   206,   206,   743,   743,   206,   743,   477,   548,
     623,   693,   429,   431,   735,  1105,   466,   735,  1107,  1039,
      29,    53,   574,   114,   181,   113,   256,   210,  1105,   806,
     301,   696,   697,  1121,   633,   285,   466,   564,   577,   191,
     593,   567,  1120,  1120,  1015,   466,   531,    26,   116,   198,
     342,   408,   674,   387,   670,  1119,   179,  1105,   655,   433,
     806,   313,   680,   467,   470,  1007,   644,   663,   467,   614,
      35,   261,   285,   466,   912,   566,   568,   570,   579,  1121,
     285,   594,   595,   564,   593,    77,   379,   601,   939,   609,
     607,   601,   162,  1116,  1111,   775,   795,  1038,  1038,   470,
     466,   801,   397,   470,   387,   466,   623,   467,   465,  1109,
    1109,   526,   346,   526,  1106,  1106,  1106,   619,   168,   760,
     467,  1107,   104,   765,   162,   256,   748,  1116,   748,   748,
     206,   748,   748,   748,  1038,   467,   467,  1087,   467,  1038,
     162,   125,   127,   261,   466,   467,   436,  1047,  1074,   311,
      53,   427,   427,   467,  1038,   249,  1038,   470,  1046,  1017,
    1038,  1038,  1038,  1077,   467,  1038,    32,    32,  1038,  1038,
     138,   467,   467,  1038,  1060,  1121,   467,  1038,  1105,  1105,
    1105,  1105,   988,   989,   988,   466,   441,  1040,   467,  1121,
     466,   985,   209,   275,   991,   985,   991,   209,   990,   991,
     209,   378,   996,   466,  1121,   466,   273,  1075,    53,   174,
     975,   467,   467,   467,  1076,  1116,   975,  1116,   816,   261,
    1102,   939,   279,   939,   919,   266,   466,   921,   455,   933,
     922,   397,   467,   387,   755,   162,   693,  1038,   467,   470,
     429,    71,   778,   778,   467,   467,   806,   114,   181,   190,
     113,   412,   526,  1015,  1109,  1109,  1107,  1107,  1107,  1107,
    1107,  1120,  1107,   569,   645,   649,   574,   179,   256,   619,
     574,   256,  1117,  1121,  1015,   526,   526,   455,    53,   379,
    1107,  1107,  1107,  1107,  1119,  1107,  1107,  1115,  1115,  1015,
     470,  1115,  1115,   470,  1119,  1107,  1107,   387,  1038,    65,
    1120,  1107,   387,   387,   162,   185,  1106,  1106,   735,  1106,
     145,  1107,   735,  1116,  1116,  1015,   526,   526,   206,   743,
     743,   743,   743,   466,   549,   550,   410,   554,   555,   164,
     195,   164,   162,   692,  1038,   251,   573,   111,    35,   806,
     582,   410,   602,  1113,    32,   144,   185,   261,   563,   536,
     142,   186,   466,   346,   410,   583,    35,  1120,   668,   496,
     251,   466,   159,  1107,   247,   265,   681,   682,   683,   157,
     686,  1116,   346,   531,   939,   735,   261,   563,   607,   467,
     470,   429,   571,    53,   599,   536,   594,   116,   130,   294,
    1107,   429,   871,    35,   984,   162,   266,   466,  1116,   792,
     807,   808,  1122,   806,  1015,   157,  1105,   162,   387,   827,
     193,   624,   526,   526,   526,  1107,   269,   204,   526,   759,
     748,   467,  1039,   162,   466,  1077,   466,   467,   470,   467,
    1040,   311,   467,   415,   362,   467,   467,   467,  1038,  1038,
    1038,   467,   285,  1061,   467,   999,  1000,  1043,   466,  1052,
     987,   466,  1106,   985,   266,   410,   992,   985,   209,   985,
    1113,  1006,   466,  1006,  1121,   954,    93,   172,   331,   466,
     969,   970,   971,   972,   973,   974,  1038,  1038,   428,  1055,
     954,  1055,   467,   936,   917,    83,   776,   777,   126,  1038,
     759,   266,   759,   467,   806,   587,   268,   816,   735,   735,
     779,   779,   312,   806,   602,   467,   387,   349,   928,   467,
     470,    35,   145,   527,   707,  1120,  1107,   387,   466,   787,
     816,   818,   717,   466,   466,   725,  1107,   467,   466,   349,
     928,  1107,  1107,   466,   466,   429,   452,   889,   320,   889,
     889,   157,   527,   743,   556,   557,  1124,    49,    92,   117,
     134,   138,   158,   161,   175,   256,   264,   304,   551,   477,
     118,   787,    35,   823,   823,  1105,   693,   467,   178,   602,
     233,   585,   188,   466,   697,   301,   466,  1105,   467,   346,
      26,    76,    84,   112,   178,   189,   368,   578,   578,  1104,
    1107,  1109,   467,   939,   669,   145,   104,   644,   682,   332,
     376,   684,   131,   687,   425,   689,  1107,    35,   607,   564,
    1105,   467,   568,   270,     3,   596,  1125,   600,   594,   599,
     333,   333,    57,    65,   225,   939,   735,  1105,   776,   794,
     467,   470,   397,  1003,   360,   360,   467,   623,   249,   414,
     625,   626,  1107,   526,  1039,  1077,   467,  1048,  1074,    53,
     249,   448,    53,   954,   467,   470,    35,  1001,   111,  1013,
    1014,  1039,    74,  1106,   467,  1038,   466,   985,   992,   466,
     467,  1006,   467,   467,   466,   350,   466,   467,   470,  1056,
    1057,  1121,   467,   415,  1107,   467,   470,   252,   408,   761,
     770,   526,   778,   602,   466,   780,   780,  1105,   602,   693,
    1107,   379,   649,   178,   410,   528,   349,   928,  1107,  1077,
     157,   720,   720,  1077,  1077,  1038,   379,   256,   399,   537,
     539,   540,   619,  1116,   537,   538,   734,   735,   734,   735,
    1106,   526,   467,   470,   459,   466,   506,   558,   619,   886,
    1116,   886,   251,   256,   304,   886,   886,   549,  1116,   823,
      38,   183,   157,   249,   581,   466,   615,   163,   284,   355,
     266,   589,   590,   591,   379,   467,  1113,     5,   698,   564,
     593,  1107,   467,   644,   151,   719,   531,   871,  1105,   433,
     886,   332,   364,   688,   466,   144,   644,   939,   594,   564,
     593,   571,   466,   601,   599,   600,    65,   269,    65,   607,
     775,   467,   801,   807,  1015,   126,   429,   429,   414,   623,
     644,   467,   467,   467,   311,   415,  1074,   305,   333,  1062,
    1002,   999,   466,  1039,   467,   470,    35,  1009,  1010,  1121,
     467,  1106,  1074,   467,  1074,   466,  1074,   970,   470,    35,
     939,  1003,   777,   349,   162,   779,   426,   588,   816,   781,
     781,   582,   693,  1107,   615,  1038,   379,   467,   272,   339,
     309,   721,   721,   467,   467,   467,  1107,   467,   470,   467,
     470,   889,   557,   506,   559,   560,  1116,  1116,   256,   583,
     459,   583,  1116,  1116,   131,   190,   616,   116,   408,   266,
     591,   266,   590,  1107,   466,   467,   470,   536,   346,   644,
     735,    35,    35,   466,  1107,   685,  1121,  1038,   301,   871,
     599,   536,   594,   466,   597,   598,  1043,  1121,   600,   601,
     269,   269,   466,   531,   806,    27,   199,   860,   164,   164,
      47,    94,   399,  1038,  1063,  1064,  1063,   467,  1006,   470,
    1014,  1124,   467,   470,   157,  1015,   467,   467,   467,   969,
     467,  1057,  1059,   931,   759,   780,   466,   693,   467,   585,
     928,  1107,   787,    53,   928,   387,   540,   537,   735,   467,
     470,   583,   332,   467,    56,   249,   324,   349,   592,   592,
     467,     5,   346,  1107,   716,   939,   644,   467,  1113,   600,
     594,   599,  1038,   467,   470,   778,   778,   601,   776,   601,
     252,   466,   855,   857,   861,   914,   923,   930,   939,   787,
     787,  1064,   332,   156,   292,   156,   292,   467,  1040,  1010,
     273,     3,   111,   251,   256,  1011,  1012,   319,   997,   467,
    1003,   526,   781,  1038,   589,   928,   735,   466,   560,   689,
      21,   111,   256,  1107,   644,   871,   466,   601,   599,   600,
     467,   598,   779,   779,   467,  1003,   856,   857,   858,   940,
     941,   470,   470,    32,  1052,  1039,  1039,   256,  1012,   466,
     467,   693,   539,   144,   644,     4,   690,   691,  1115,  1116,
    1124,   600,   601,   778,   531,   467,   469,   387,   162,  1064,
      74,  1038,   467,   301,   467,   470,   601,   779,   601,   858,
     360,   360,  1009,   467,  1113,   691,  1003,   429,   429,   467,
     466,   164,   164,   690,   787,   787,   467
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   472,   473,   474,   474,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   476,   477,   477,   477,   478,   478,   479,
     479,   480,   480,   480,   480,   480,   480,   480,   480,   480,
     481,   481,   481,   481,   481,   481,   482,   483,   484,   484,
     485,   485,   486,   487,   488,   488,   489,   489,   490,   491,
     492,   492,   493,   493,   494,   494,   494,   494,   495,   495,
     496,   496,   497,   497,   497,   497,   497,   497,   498,   498,
     498,   499,   499,   499,   500,   500,   500,   500,   501,   501,
     501,   501,   501,   501,   501,   501,   501,   501,   501,   502,
     502,   503,   503,   504,   504,   505,   505,   505,   505,   506,
     506,   506,   506,   507,   507,   507,   507,   507,   507,   507,
     508,   508,   508,   509,   509,   510,   511,   511,   511,   511,
     512,   512,   513,   513,   514,   514,   515,   515,   515,   515,
     515,   516,   517,   517,   518,   518,   519,   520,   520,   520,
     520,   520,   521,   521,   521,   521,   521,   521,   521,   521,
     521,   521,   521,   521,   521,   521,   521,   521,   521,   521,
     522,   522,   523,   523,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     525,   525,   526,   526,   526,   527,   527,   528,   528,   529,
     529,   529,   529,   530,   531,   531,   532,   532,   533,   533,
     533,   533,   534,   534,   535,   535,   535,   535,   536,   536,
     537,   537,   537,   538,   538,   539,   539,   540,   540,   541,
     542,   542,   543,   543,   543,   543,   544,   544,   545,   545,
     546,   546,   547,   547,   548,   548,   548,   549,   549,   550,
     550,   551,   551,   551,   551,   551,   551,   551,   551,   551,
     551,   551,   551,   551,   551,   552,   552,   553,   553,   554,
     554,   555,   555,   556,   556,   557,   558,   558,   558,   558,
     558,   559,   559,   560,   561,   561,   561,   561,   561,   561,
     562,   562,   562,   562,   562,   562,   562,   562,   563,   563,
     564,   564,   565,   565,   566,   566,   567,   567,   567,   568,
     568,   569,   570,   570,   571,   571,   572,   572,   572,   572,
     573,   573,   573,   573,   573,   573,   573,   573,   574,   574,
     575,   575,   575,   575,   576,   577,   577,   577,   578,   578,
     578,   578,   578,   578,   578,   579,   579,   580,   580,   580,
     580,   580,   580,   580,   581,   581,   582,   582,   583,   583,
     584,   585,   585,   585,   585,   586,   586,   587,   587,   588,
     588,   589,   589,   589,   589,   589,   590,   591,   592,   592,
     592,   592,   592,   593,   593,   594,   594,   595,   596,   596,
     597,   597,   598,   598,   598,   599,   599,   599,   599,   600,
     600,   600,   600,   601,   601,   602,   602,   603,   604,   605,
     605,   606,   607,   607,   607,   608,   608,   609,   610,   610,
     611,   612,   612,   613,   613,   614,   614,   615,   615,   616,
     616,   617,   617,   617,   617,   617,   617,   617,   617,   617,
     617,   617,   617,   617,   617,   618,   618,   619,   619,   619,
     620,   620,   621,   621,   622,   622,   623,   623,   624,   624,
     625,   625,   626,   626,   627,   627,   628,   628,   629,   630,
     630,   631,   631,   632,   632,   633,   633,   634,   634,   634,
     634,   635,   636,   636,   637,   638,   638,   638,   638,   638,
     638,   638,   638,   638,   638,   638,   638,   638,   638,   638,
     638,   638,   638,   638,   638,   638,   638,   638,   638,   638,
     638,   639,   640,   640,   640,   640,   641,   641,   642,   642,
     643,   643,   644,   644,   645,   645,   646,   647,   647,   648,
     648,   648,   648,   649,   650,   651,   652,   652,   653,   653,
     654,   654,   655,   655,   656,   656,   656,   657,   657,   657,
     657,   658,   658,   659,   660,   660,   661,   661,   662,   662,
     663,   663,   664,   664,   665,   666,   667,   668,   668,   669,
     669,   670,   670,   671,   671,   672,   672,   673,   673,   674,
     674,   674,   674,   674,   675,   676,   676,   677,   677,   677,
     678,   678,   679,   679,   679,   679,   679,   680,   680,   681,
     681,   682,   683,   683,   684,   684,   685,   686,   686,   687,
     687,   688,   688,   689,   689,   690,   690,   690,   691,   691,
     691,   691,   692,   692,   693,   693,   694,   694,   694,   694,
     694,   694,   695,   695,   696,   696,   697,   698,   698,   699,
     700,   700,   700,   700,   701,   702,   703,   703,   703,   703,
     703,   703,   703,   703,   703,   703,   703,   703,   703,   703,
     703,   703,   704,   705,   705,   706,   706,   707,   707,   707,
     707,   707,   707,   708,   709,   709,   710,   711,   711,   712,
     712,   713,   713,   713,   713,   714,   714,   715,   716,   716,
     717,   717,   717,   717,   717,   718,   718,   719,   719,   720,
     720,   720,   721,   721,   722,   723,   723,   724,   724,   725,
     725,   726,   726,   727,   727,   728,   729,   730,   730,   730,
     730,   730,   730,   730,   730,   730,   730,   730,   730,   731,
     731,   731,   731,   731,   731,   731,   731,   731,   731,   731,
     731,   731,   732,   732,   732,   732,   732,   732,   732,   733,
     733,   733,   734,   734,   735,   735,   736,   736,   737,   737,
     738,   739,   739,   739,   740,   740,   740,   740,   740,   740,
     740,   740,   740,   740,   740,   740,   740,   740,   740,   740,
     740,   741,   741,   741,   741,   741,   741,   741,   741,   741,
     741,   741,   741,   741,   741,   742,   742,   742,   742,   742,
     742,   742,   742,   742,   742,   742,   742,   743,   743,   744,
     744,   744,   744,   744,   744,   744,   745,   745,   746,   746,
     746,   746,   746,   746,   747,   747,   747,   747,   747,   747,
     747,   747,   748,   748,   749,   749,   750,   750,   750,   750,
     750,   750,   750,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   751,   751,   752,   752,   753,   754,   754,   755,
     755,   755,   755,   755,   756,   756,   757,   757,   757,   757,
     758,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   758,   759,   759,   760,   760,
     761,   761,   762,   763,   763,   764,   764,   765,   765,   766,
     767,   767,   768,   768,   768,   769,   769,   769,   770,   770,
     770,   770,   770,   771,   771,   772,   772,   773,   773,   774,
     774,   775,   775,   776,   776,   777,   777,   777,   778,   778,
     779,   779,   780,   780,   780,   781,   781,   781,   782,   782,
     782,   783,   783,   784,   784,   785,   785,   786,   786,   787,
     787,   787,   787,   788,   788,   789,   789,   790,   790,   790,
     790,   790,   791,   791,   791,   791,   791,   792,   793,   794,
     794,   794,   795,   795,   795,   796,   797,   797,   797,   797,
     798,   798,   799,   800,   800,   801,   801,   802,   802,   802,
     802,   802,   802,   802,   802,   802,   802,   802,   802,   802,
     802,   802,   802,   803,   803,   803,   803,   803,   804,   804,
     805,   805,   806,   806,   807,   808,   808,   809,   810,   810,
     811,   811,   812,   812,   813,   813,   814,   814,   815,   815,
     815,   815,   816,   816,   817,   817,   818,   819,   820,   820,
     821,   821,   822,   822,   822,   823,   823,   823,   824,   825,
     825,   826,   827,   827,   827,   827,   828,   829,   829,   829,
     829,   830,   830,   831,   831,   831,   832,   832,   833,   834,
     834,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   836,   836,   837,   837,   838,   838,   838,   838,
     839,   839,   839,   839,   839,   839,   839,   839,   839,   839,
     839,   839,   839,   839,   839,   839,   839,   839,   839,   839,
     839,   839,   839,   839,   839,   840,   841,   841,   842,   842,
     843,   843,   843,   843,   843,   844,   844,   844,   844,   844,
     844,   844,   844,   844,   844,   844,   844,   844,   844,   844,
     844,   844,   844,   844,   844,   844,   844,   845,   846,   846,
     847,   847,   848,   848,   848,   848,   849,   850,   850,   851,
     852,   852,   852,   852,   852,   852,   852,   853,   853,   854,
     855,   855,   855,   856,   856,   857,   857,   857,   857,   857,
     858,   858,   859,   859,   859,   859,   860,   860,   860,   861,
     862,   862,   863,   864,   864,   865,   865,   865,   865,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   865,   866,
     866,   866,   867,   867,   867,   867,   867,   868,   868,   868,
     869,   869,   870,   870,   870,   870,   871,   871,   871,   871,
     872,   873,   874,   874,   875,   875,   876,   876,   876,   877,
     877,   877,   877,   877,   877,   877,   878,   878,   879,   879,
     879,   880,   881,   881,   882,   883,   883,   884,   885,   885,
     885,   885,   885,   885,   885,   886,   886,   887,   888,   888,
     888,   888,   888,   888,   889,   889,   890,   891,   891,   891,
     892,   892,   893,   893,   893,   893,   893,   894,   894,   895,
     895,   895,   895,   895,   896,   896,   897,   897,   898,   898,
     899,   899,   900,   900,   901,   901,   902,   902,   902,   902,
     903,   903,   903,   903,   903,   903,   903,   903,   903,   904,
     904,   905,   906,   906,   907,   907,   907,   908,   909,   909,
     910,   910,   910,   910,   911,   911,   912,   912,   913,   913,
     913,   913,   914,   915,   915,   916,   916,   916,   916,   916,
     917,   917,   918,   918,   919,   920,   920,   920,   921,   921,
     921,   922,   922,   923,   924,   924,   925,   926,   926,   927,
     927,   927,   927,   927,   927,   927,   927,   928,   928,   929,
     929,   929,   930,   931,   931,   932,   932,   933,   934,   934,
     935,   936,   937,   937,   937,   937,   937,   938,   938,   938,
     939,   939,   940,   940,   941,   941,   941,   941,   941,   941,
     941,   941,   942,   942,   943,   943,   943,   943,   943,   943,
     943,   944,   944,   944,   945,   945,   946,   947,   947,   948,
     948,   949,   949,   949,   949,   949,   949,   949,   949,   949,
     950,   950,   951,   951,   951,   952,   952,   953,   953,   954,
     954,   955,   956,   956,   957,   957,   958,   958,   958,   958,
     959,   959,   960,   960,   960,   961,   961,   962,   962,   963,
     964,   964,   964,   965,   966,   966,   967,   967,   968,   968,
     969,   969,   970,   970,   970,   970,   970,   971,   972,   973,
     974,   975,   975,   976,   976,   977,   977,   978,   978,   979,
     980,   980,   980,   980,   981,   981,   982,   982,   983,   983,
     984,   984,   985,   985,   985,   985,   985,   985,   985,   985,
     985,   985,   986,   986,   986,   986,   986,   986,   987,   987,
     987,   987,   988,   988,   989,   989,   989,   989,   989,   990,
     990,   990,   990,   991,   991,   992,   992,   993,   993,   993,
     993,   994,   994,   995,   995,   995,   996,   997,   997,   998,
     998,   999,  1000,  1000,  1001,  1001,  1002,  1002,  1003,  1003,
    1004,  1004,  1004,  1005,  1005,  1006,  1006,  1007,  1008,  1008,
    1009,  1009,  1010,  1010,  1010,  1011,  1011,  1012,  1012,  1012,
    1012,  1013,  1013,  1014,  1014,  1015,  1015,  1015,  1015,  1015,
    1015,  1016,  1016,  1016,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1018,  1018,  1018,  1018,  1019,  1019,  1020,  1020,  1021,
    1021,  1021,  1021,  1021,  1021,  1021,  1021,  1021,  1021,  1021,
    1022,  1022,  1023,  1023,  1024,  1024,  1025,  1026,  1027,  1027,
    1028,  1028,  1029,  1030,  1031,  1031,  1031,  1031,  1031,  1031,
    1032,  1032,  1033,  1033,  1033,  1033,  1034,  1035,  1035,  1035,
    1036,  1036,  1036,  1036,  1036,  1036,  1036,  1036,  1036,  1036,
    1036,  1036,  1036,  1036,  1037,  1037,  1038,  1038,  1038,  1038,
    1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,
    1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,
    1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,
    1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,
    1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,
    1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,
    1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,
    1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,
    1039,  1039,  1039,  1039,  1039,  1040,  1040,  1040,  1040,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1042,  1042,  1043,  1043,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1045,  1045,  1046,  1046,  1046,  1046,  1047,  1048,
    1048,  1049,  1049,  1050,  1050,  1051,  1051,  1051,  1052,  1052,
    1052,  1052,  1053,  1053,  1054,  1054,  1055,  1055,  1056,  1056,
    1057,  1058,  1058,  1058,  1059,  1060,  1060,  1061,  1061,  1062,
    1062,  1062,  1063,  1063,  1064,  1064,  1064,  1064,  1064,  1065,
    1065,  1065,  1066,  1066,  1067,  1068,  1068,  1068,  1069,  1069,
    1070,  1070,  1070,  1070,  1070,  1070,  1070,  1070,  1070,  1070,
    1070,  1070,  1071,  1071,  1072,  1072,  1073,  1073,  1073,  1073,
    1073,  1073,  1074,  1074,  1075,  1075,  1076,  1076,  1076,  1077,
    1077,  1078,  1078,  1078,  1079,  1079,  1080,  1080,  1081,  1081,
    1081,  1081,  1081,  1081,  1081,  1081,  1082,  1082,  1083,  1084,
    1084,  1085,  1085,  1085,  1085,  1085,  1085,  1086,  1087,  1088,
    1088,  1088,  1089,  1089,  1090,  1091,  1091,  1092,  1093,  1093,
    1094,  1094,  1095,  1095,  1096,  1096,  1096,  1096,  1097,  1097,
    1098,  1098,  1099,  1099,  1100,  1100,  1101,  1101,  1102,  1102,
    1103,  1103,  1103,  1103,  1104,  1104,  1105,  1105,  1106,  1106,
    1107,  1108,  1109,  1110,  1111,  1112,  1113,  1113,  1114,  1114,
    1114,  1114,  1114,  1114,  1114,  1114,  1114,  1114,  1114,  1114,
    1114,  1115,  1116,  1117,  1117,  1117,  1118,  1119,  1119,  1119,
    1120,  1120,  1121,  1121,  1121,  1122,  1122,  1122,  1123,  1123,
    1123,  1123,  1124,  1124,  1124,  1124,  1124,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1126,
    1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,
    1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,
    1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,
    1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,
    1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1127,
    1127,  1127,  1127,  1127,  1127,  1127,  1127,  1127,  1127,  1127,
    1127,  1127,  1127,  1127,  1127,  1127,  1127,  1127,  1127,  1127,
    1127,  1127,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     5,     1,     1,     0,     2,     0,     2,
       0,     2,     2,     3,     3,     1,     3,     3,     2,     1,
       1,     2,     2,     2,     3,     3,     5,     5,     0,     3,
       5,     5,     5,     4,     3,     5,     3,     5,     5,     6,
       1,     1,     3,     5,     6,     4,     9,     7,     1,     0,
       2,     0,     1,     1,     1,     1,     1,     1,     2,     3,
       3,     2,     5,     1,     3,     3,     3,     3,     1,     3,
       3,     2,     2,     2,     2,     3,     3,     3,     3,     1,
       3,     1,     3,     1,     1,     2,     2,     2,     1,     1,
       1,     1,     1,     1,     1,     3,     5,     1,     1,     1,
       1,     1,     0,     1,     1,     2,     1,     2,     3,     2,
       1,     1,     2,     1,     2,     1,     2,     3,     4,     3,
       2,     4,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     2,     4,     6,     4,     6,    10,    13,     4,     6,
      10,    13,     4,     6,     4,     6,     5,     7,    11,    14,
       1,     3,     4,     3,     2,     5,     3,     6,     4,     6,
       6,     6,     5,     5,     6,     9,     4,     5,     7,     6,
       4,     8,     4,     2,     4,     3,     6,     4,     3,     3,
       3,     3,     2,     2,     3,     4,     4,     3,     3,     3,
       3,     3,     3,     4,     4,     3,     2,     3,     2,     2,
       3,     3,     2,     2,     3,     4,     4,     4,     5,     1,
       3,     2,     1,     1,     0,     2,     0,     2,     0,     1,
       1,     1,     3,     3,     2,     0,     1,     3,     3,     1,
       5,     3,     1,     2,     1,     3,     2,     3,     6,    10,
       1,     1,     1,     1,     3,     1,     3,     1,     1,     4,
       1,     3,     4,     6,     4,     8,     2,     2,    11,     9,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     2,
       0,     1,     1,     1,     3,     3,     1,     1,     3,     3,
       3,     3,     4,     3,     2,     1,     0,     2,     0,     3,
       0,     1,     0,     1,     3,     2,     1,     1,     1,     3,
       0,     1,     3,     1,    12,    15,    11,    14,    13,    16,
       1,     1,     2,     2,     2,     2,     1,     0,     1,     0,
       3,     0,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     4,     2,     4,     2,     0,     3,     1,     1,     2,
       2,     1,     3,     4,     5,     2,     5,     5,     1,     2,
       1,     2,     2,     2,     3,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     5,     7,     3,
       8,     4,     9,    11,     2,     0,     3,     0,     1,     3,
       1,     2,     2,     2,     0,     1,     3,     3,     6,     4,
       0,     1,     1,     2,     2,     0,     3,     3,     2,     1,
       1,     2,     2,     4,     0,     1,     0,     6,     1,     1,
       1,     3,     3,     3,     5,     2,     2,     2,     0,     3,
       4,     4,     0,     2,     0,     4,     0,     3,     9,     7,
      10,     5,     2,     3,     0,     8,    11,     4,     1,     0,
       6,     5,     8,     4,     6,     1,     0,     3,     0,     1,
       2,     2,     2,     1,     2,     3,     2,     2,     2,     2,
       3,     3,     3,     1,     3,     1,     0,     1,     2,     1,
       1,     3,     6,    10,     1,     0,     1,     2,     2,     0,
       2,     2,     1,     0,     5,     7,     1,     0,     7,     2,
       0,     3,     5,     5,     8,     2,     0,     2,     2,     2,
       1,     5,     2,     0,     2,     7,     6,    10,     6,     6,
       6,     6,     7,     6,     9,     9,     6,     7,     6,     8,
       8,     8,     8,     6,     6,     7,     7,     8,     6,     9,
       6,     7,     2,     2,     2,     2,     1,     2,     1,     0,
       7,     6,     4,     0,     1,     3,     4,     1,     3,     1,
       2,     2,     2,     2,     1,     1,    10,    13,     2,     0,
       2,     2,     1,     0,     5,     4,     4,    11,    14,    12,
      15,     5,     7,    11,     2,     1,     4,     0,     8,    11,
       1,     1,     7,     9,     8,    10,     8,     4,     0,     5,
       0,     2,     0,     2,     0,     2,     0,     2,     0,     1,
       1,     1,     1,     1,     8,    16,    20,     1,     1,     2,
       1,     3,     1,     1,     1,     3,     1,     2,     0,     1,
       2,     4,     1,     1,     1,     1,     1,     3,     0,     1,
       0,     1,     1,     4,     0,     1,     3,     0,     1,     1,
       1,     1,     2,     0,     0,     2,     2,     1,     2,     2,
       2,     2,    11,    13,     1,     3,     5,     1,     3,     5,
       1,     2,     2,     1,     8,     4,     5,     4,     4,     4,
       3,     7,     8,     6,     6,     6,     6,     6,     4,     7,
       5,     8,     3,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     3,     3,     1,     0,     1,
       3,     7,     9,     9,     8,     3,     0,    13,     1,     3,
       5,     5,     3,     6,     2,     1,     0,     2,     0,     2,
       4,     0,     1,     0,     6,     8,     8,     1,     3,     5,
       5,     7,     9,     7,     9,     5,     6,     6,     4,     6,
       4,     6,     8,     4,     6,     4,     6,     5,     7,     1,
       1,     1,     2,     1,     2,     1,     1,     1,     3,     3,
       3,     3,     2,     2,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     2,     2,     3,     1,     3,
       5,     2,     2,     0,     6,     6,     6,     6,     6,     6,
       6,     8,     9,     8,     8,     9,     8,     9,     9,     7,
      10,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       2,     3,     3,     3,     3,     2,     1,     2,     1,     3,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     8,
       8,     8,     8,     8,     8,     9,     2,     0,     1,     2,
       1,     1,     1,     2,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     2,     2,     1,     2,     3,     3,
       3,     3,     4,     4,     3,     3,     3,     4,     4,     3,
       4,     4,     1,     1,     1,     0,     7,     7,    10,     1,
       1,     2,     4,     5,     1,     3,     2,     2,     2,     2,
       1,     2,     2,     4,     3,     2,     2,     2,     2,     3,
       2,     2,     2,     5,     5,     5,     1,     3,     1,     2,
       3,     0,     6,     6,     9,     3,     0,     3,     0,     5,
       2,     0,     3,     3,     3,     7,     7,    10,     1,     1,
       1,     1,     1,    14,    17,     1,     0,     1,     0,     1,
       0,     2,     0,     1,     3,     5,     5,     7,     2,     0,
       1,     0,     1,     1,     0,     2,     2,     0,     9,    12,
       7,     2,     0,     3,     2,     1,     3,     1,     3,     2,
       1,     1,     2,     3,     2,     1,     3,     3,     3,     2,
       2,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       4,     5,     1,     3,     3,     1,     3,     3,     5,     6,
       1,     3,     2,     1,     3,     1,     2,     4,     5,     1,
       1,     1,     1,     3,     3,     2,     2,     1,     2,     2,
       2,     1,     2,     2,     2,     2,     1,     1,     1,     3,
       3,     5,     2,     0,     2,     1,     3,     5,     1,     2,
       1,     0,     4,     6,     4,     6,     4,     6,     3,     5,
       5,     5,     1,     3,     1,     3,     2,     2,     1,     2,
       1,     2,    11,    10,    10,     2,     2,     0,     9,     2,
       0,    10,    11,    11,     5,     5,     8,     3,     3,     6,
       6,     1,     1,     1,     1,     1,     1,     3,     1,     5,
       5,     6,     6,     6,     6,     6,     8,     8,     6,     6,
       7,     9,     9,     8,    10,     6,     6,     6,     6,     6,
       8,     6,     8,     6,     8,     7,     9,     6,     8,     7,
       9,     8,    10,     9,    11,     8,    10,     9,    11,     8,
       8,     7,     6,     6,     6,     6,     8,     8,     8,     8,
       6,     9,     1,     0,     2,     0,     7,     9,     8,     7,
       6,     6,     6,     6,     6,     6,     6,     9,     9,     6,
       8,     6,     8,     8,     8,     8,     6,     8,     6,     8,
       7,     9,     7,     9,     6,     7,     1,     3,     3,     3,
       1,     1,     1,     1,     1,     6,     6,     6,     6,     6,
       6,     7,     7,     6,     9,     9,     6,     6,     6,     6,
       8,     8,     8,     6,     7,     6,     6,     5,     1,     0,
       3,     3,     5,     6,     6,     6,     8,     1,     3,     1,
       5,     5,     6,     8,     8,     4,     4,     4,     6,    13,
       1,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     0,     1,     1,     1,     1,     1,     1,     0,     3,
       2,     0,     2,     2,     2,     2,     3,     3,     2,     2,
       2,     2,     3,     2,     5,     4,     3,     3,     3,     1,
       1,     0,     3,     2,     2,     1,     2,     1,     3,     2,
       1,     0,     9,    11,    12,    14,     3,     4,     4,     0,
       2,     5,     1,     0,     1,     2,     3,     3,     3,     1,
       2,     1,     1,     1,     1,     1,     1,     0,     5,     4,
       6,     4,     3,     5,     5,     4,     4,     6,     4,     6,
       6,     5,     7,     9,     6,     1,     0,     6,    11,    11,
      11,    13,     9,    11,     1,     1,    10,     4,     2,     5,
       2,     0,     4,     5,     5,     4,     6,     1,     3,     1,
       1,     1,     1,     1,     2,     4,     1,     1,     1,     0,
       1,     0,     1,     0,     3,     0,     2,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     2,     1,     1,     1,     1,     0,     5,     3,     0,
       1,     1,     1,     1,     3,     9,     3,     0,     2,     3,
       2,     3,     7,     1,     3,     1,     4,     4,     7,     2,
       1,     1,     1,     3,     2,     8,     5,     0,     4,     3,
       0,     2,     0,     7,     2,     0,     5,     3,     0,     2,
       2,     2,     3,     1,     3,     1,     2,     1,     0,     1,
       2,     0,     8,     1,     3,     3,     5,     2,     1,     3,
       7,     1,     0,     3,     2,     2,     2,     0,     2,     2,
       1,     1,     3,     3,     1,     2,     4,     4,     2,     3,
       5,     5,     1,     1,     9,     9,     1,     2,     4,     4,
       4,     2,     2,     3,     1,     3,     6,     1,     0,     2,
       0,     3,     3,     4,     4,     4,     4,     3,     2,     1,
       1,     0,     1,     1,     0,     1,     5,     1,     0,     1,
       0,     3,     1,     3,     4,     3,     2,     2,     1,     1,
       1,     0,     2,     4,     5,     2,     3,     1,     1,     1,
       1,     3,     0,     1,     1,     1,     1,     1,     3,     0,
       1,     3,     1,     1,     1,     1,     1,     2,     4,     4,
       5,     2,     0,     1,     3,     1,     0,     1,     2,     3,
       2,     4,     2,     3,     2,     0,     4,     5,     2,     0,
       1,     3,     2,     3,     2,     3,     2,     3,     2,     3,
       1,     4,     3,     4,     5,     4,     5,     4,     5,     2,
       4,     1,     1,     0,     1,     4,     5,     4,     0,     2,
       2,     2,     1,     1,     0,     4,     2,     1,     2,     2,
       4,     1,     3,     1,     2,     3,     6,     4,     0,     2,
       6,     2,     1,     3,     4,     0,     2,     0,     2,     0,
       2,     4,     0,     1,     0,     1,     3,     3,     7,    12,
       1,     3,     2,     3,     3,     1,     2,     2,     2,     2,
       1,     1,     3,     3,     2,     2,     3,     5,     6,     2,
       3,     3,     4,     0,     1,     1,     1,     1,     1,     2,
       4,     1,     1,     1,     1,     2,     3,     3,     0,     1,
       1,     1,     1,     1,     2,     2,     2,     2,     2,     1,
       3,     0,     1,     1,     1,     1,     5,     2,     1,     1,
       1,     1,     4,     1,     2,     2,     1,     3,     3,     2,
       1,     0,     5,     2,     5,     2,     1,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     3,
       3,     3,     3,     0,     1,     4,     1,     3,     3,     5,
       2,     2,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     2,     3,     3,     2,
       2,     3,     5,     4,     6,     3,     5,     4,     6,     4,
       6,     5,     7,     3,     2,     4,     2,     3,     3,     4,
       3,     4,     3,     4,     5,     6,     6,     7,     6,     7,
       6,     7,     3,     4,     4,     6,     2,     3,     4,     1,
       1,     3,     2,     2,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     2,     5,
       6,     6,     7,     3,     4,     1,     1,     2,     4,     1,
       1,     1,     2,     2,     2,     2,     1,     1,     4,     3,
       5,     6,     8,     6,     6,     4,     4,     1,     1,     1,
       5,     1,     1,     4,     1,     4,     1,     4,     1,     4,
       1,     1,     1,     1,     1,     1,     6,     4,     4,     4,
       4,     6,     5,     5,     5,     4,     6,     4,     4,     4,
       4,     5,     7,     7,     9,     5,     4,     6,     5,     7,
       7,     7,     2,     3,     3,     3,     4,     0,     4,     1,
       3,     3,     1,     1,     1,     2,     2,     0,     2,     4,
       4,     6,     5,     0,     5,     0,     2,     0,     1,     3,
       3,     2,     2,     0,     6,     1,     0,     3,     0,     2,
       2,     0,     1,     4,     2,     2,     2,     2,     2,     4,
       3,     5,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     1,     4,     1,     4,     1,     2,
       1,     2,     1,     3,     1,     3,     1,     3,     3,     1,
       3,     3,     3,     2,     1,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     3,     2,     3,
       0,     3,     3,     2,     2,     1,     0,     2,     2,     3,
       2,     1,     1,     3,     5,     1,     2,     4,     2,     0,
       1,     0,     1,     2,     2,     2,     3,     5,     1,     0,
       1,     2,     0,     2,     1,     0,     1,     0,     1,     3,
       3,     2,     1,     1,     1,     3,     1,     2,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     2,     6,     2,     3,     5,     1,     1,
       1,     1,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 778 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 24026 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 794 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 24042 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 806 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 24053 "gram.c" /* yacc.c:1646  */
    break;

  case 132:
#line 943 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 24059 "gram.c" /* yacc.c:1646  */
    break;

  case 133:
#line 954 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24071 "gram.c" /* yacc.c:1646  */
    break;

  case 134:
#line 964 "gram.y" /* yacc.c:1646  */
    {}
#line 24077 "gram.c" /* yacc.c:1646  */
    break;

  case 135:
#line 965 "gram.y" /* yacc.c:1646  */
    {}
#line 24083 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 966 "gram.y" /* yacc.c:1646  */
    {}
#line 24089 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 975 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24095 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 976 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24101 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 980 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24107 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 981 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24113 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 986 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 24122 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 991 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 24130 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 995 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 24144 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1005 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 24156 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1013 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 24164 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1017 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 24172 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1021 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 24180 "gram.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1026 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 24188 "gram.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1030 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 24237 "gram.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1077 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 24243 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1080 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 24251 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1084 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 24259 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1088 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 24267 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1092 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 24275 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1096 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 24283 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1110 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24295 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1128 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 24307 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1138 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24313 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1139 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24319 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1144 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 24331 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1152 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 24343 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1170 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 24355 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1182 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-1].rolespec);
					n->database = NULL;
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 24367 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1203 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24378 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1210 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24389 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1227 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24400 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1234 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 24411 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1251 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24423 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1269 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 24436 "gram.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1279 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 24442 "gram.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1280 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 24448 "gram.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1293 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24459 "gram.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1300 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24470 "gram.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1317 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 24484 "gram.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1327 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 24498 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1337 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 24517 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1352 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 24536 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1369 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24542 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1370 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24548 "gram.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1375 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 24558 "gram.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1381 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24564 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1409 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 24574 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1415 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 24584 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1421 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 24594 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1430 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 24606 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1438 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 24618 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1450 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 24630 "gram.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1458 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 24642 "gram.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1466 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 24653 "gram.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1473 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 24664 "gram.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1481 "gram.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 24670 "gram.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1483 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 24681 "gram.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1491 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 24696 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1502 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 24708 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1510 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 24720 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1518 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 24735 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1529 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 24747 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1537 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 24759 "gram.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1545 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 24770 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1552 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 24782 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1561 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 24794 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1570 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24800 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1572 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 24806 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1575 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 24812 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1576 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 24818 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1580 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 24824 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1582 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 24830 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1585 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 24836 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1586 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 24842 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1587 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 24848 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1588 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 24854 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1592 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 24860 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1593 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 24866 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1594 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 24872 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1600 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24878 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1613 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 24886 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1617 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 24894 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1621 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 24913 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1636 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 24924 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1642 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 24930 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1643 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 24936 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1644 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 24942 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1648 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24948 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1649 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24954 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1650 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24960 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1654 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24966 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1655 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24972 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1659 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 24978 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1663 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 24984 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1665 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 24995 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1672 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 25006 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1679 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 25017 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1689 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 25028 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1696 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 25038 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1705 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 25044 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1706 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 25050 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1711 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 25056 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1712 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 25062 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1718 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25072 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1724 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 25082 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1730 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 25092 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1736 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 25102 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1742 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 25112 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1752 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 25123 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1761 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25129 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1762 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25135 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1766 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 25141 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1767 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 25147 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1776 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 25156 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1791 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 25166 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1797 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 25176 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1803 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 25186 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1809 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 25196 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1815 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 25206 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1834 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25219 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1843 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25232 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1852 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25245 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1861 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25258 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1870 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25273 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1881 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25288 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1892 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25301 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1901 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25314 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1910 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25329 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1921 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25344 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1932 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25357 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1941 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25370 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1950 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25383 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 1959 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25396 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1968 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25409 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 1977 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25422 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 1986 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25437 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 1997 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25452 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2010 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 25458 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2011 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 25464 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2017 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (Node *) (yyvsp[0].node);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 25480 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2030 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[0].range);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 25495 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2045 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25507 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2054 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25519 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2063 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25531 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2072 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25543 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2081 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 25555 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2090 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 25566 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2098 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 25577 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2106 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 25589 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2115 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25601 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2124 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25613 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2133 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 25625 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2142 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *)n;
				}
#line 25645 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2159 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25657 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2168 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25669 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2177 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25681 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2186 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 25694 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2196 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 25707 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2209 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 25725 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2224 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25737 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2233 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 25748 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2241 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 25766 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2256 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25777 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2264 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 25790 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2274 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 25803 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2284 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
#line 25813 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2291 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 25823 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2298 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25834 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2306 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 25845 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2314 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *)n;
				}
#line 25855 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2321 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *)n;
				}
#line 25865 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2328 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25876 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2336 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25887 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2344 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25898 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2352 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 25908 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2359 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 25918 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2366 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25929 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2374 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 25939 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2381 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 25949 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2388 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25960 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2396 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25971 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2404 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25982 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2412 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25993 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2420 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 26004 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2428 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 26015 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2436 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 26028 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2446 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 26038 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2453 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 26049 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2461 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26060 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2469 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26071 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2477 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26082 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2485 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 26093 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2493 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 26103 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2500 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 26113 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2507 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 26123 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2514 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 26133 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2520 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 26144 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2529 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26150 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2530 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 26156 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2534 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 26162 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2535 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 26168 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2536 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 26174 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2541 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 26186 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2548 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 26192 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2552 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26198 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2553 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 26204 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2558 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 26215 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2565 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 26226 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2572 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 26237 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2579 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26248 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2588 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26254 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2591 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26260 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2592 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26266 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2596 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 26272 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2597 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 26278 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2603 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 26286 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2607 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 26294 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2611 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 26303 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2616 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 26311 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2623 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 26317 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2625 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 26323 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2630 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 26331 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2634 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 26339 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2638 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 26354 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2649 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 26362 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2657 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.node) = (Node *) n;
				}
#line 26376 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2669 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.node) = (Node *) n;
				}
#line 26391 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2682 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 26397 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2683 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 26403 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2684 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst((yylsp[0])); }
#line 26409 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 2688 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26415 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2690 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26421 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2694 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].partrange_datum)); }
#line 26427 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2696 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partrange_datum)); }
#line 26433 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2701 "gram.y" /* yacc.c:1646  */
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->infinite = true;
					n->value = NULL;
					n->location = (yylsp[0]);

					(yyval.partrange_datum) = n;
				}
#line 26447 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2711 "gram.y" /* yacc.c:1646  */
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->infinite = false;
					n->value = (yyvsp[0].node);
					n->location = (yylsp[0]);

					(yyval.partrange_datum) = n;
				}
#line 26461 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2731 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 26475 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2743 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26481 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2744 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26487 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2750 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26499 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2759 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 26512 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2769 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 26525 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2779 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 26544 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2805 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26554 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2811 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 26564 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2845 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-5].boolean);
					n->is_program = (yyvsp[-4].boolean);
					n->filename = (yyvsp[-3].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-6].defelt))
						n->options = lappend(n->options, (yyvsp[-6].defelt));
					if ((yyvsp[-2].defelt))
						n->options = lappend(n->options, (yyvsp[-2].defelt));
					if ((yyvsp[0].list))
						n->options = list_concat(n->options, (yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 26596 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2873 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *)n;
				}
#line 26619 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2894 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26625 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 2895 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26631 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 2899 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26637 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 2900 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26643 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 2909 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26649 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2910 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26655 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 2911 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26661 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2914 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26667 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2915 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26673 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 2920 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 26679 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 2921 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26685 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 2926 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 26693 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 2930 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 26701 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 2934 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 26709 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 2938 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 26717 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 2942 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 26725 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 2946 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"), (yylsp[0]));
				}
#line 26733 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2950 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 26741 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 2954 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 26749 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 2958 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 26757 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 2962 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 26765 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 2966 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star), (yylsp[-2]));
				}
#line 26773 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 2970 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list), (yylsp[-3]));
				}
#line 26781 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 2974 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 26789 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 2978 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 26797 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 2987 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 26805 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2990 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 26811 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 2995 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE), (yylsp[-1]));
				}
#line 26819 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 2998 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 26825 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3003 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 26833 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3006 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 26839 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3010 "gram.y" /* yacc.c:1646  */
    {}
#line 26845 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3011 "gram.y" /* yacc.c:1646  */
    {}
#line 26851 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3017 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 26859 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3021 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 26867 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3028 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 26875 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3034 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 26881 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3035 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 26887 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3036 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 26893 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3037 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 26899 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3038 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 26905 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3043 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 26913 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3047 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 26921 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3054 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 26927 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3067 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = (yyvsp[-4].list);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 26947 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3085 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = (yyvsp[-4].list);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 26967 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3103 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-9].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-4].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-5].list));
					n->ofTypename->location = (yylsp[-5]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 26988 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3122 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-4].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-5].list));
					n->ofTypename->location = (yylsp[-5]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 27009 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3141 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = list_make1((yyvsp[-6].range));
					n->partbound = (Node *) (yyvsp[-4].node);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 27030 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3160 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = list_make1((yyvsp[-6].range));
					n->partbound = (Node *) (yyvsp[-4].node);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 27051 "gram.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3189 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 27057 "gram.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3190 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 27063 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3191 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 27069 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3192 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 27075 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3194 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 27086 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3201 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 27097 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3207 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 27103 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3208 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 27109 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3212 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27115 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3213 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27121 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3217 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27127 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3218 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27133 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3223 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 27141 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3227 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 27149 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3234 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 27157 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3238 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 27165 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3244 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27171 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3245 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27177 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3246 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27183 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3250 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27189 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3251 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27195 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3255 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 27219 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3277 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27242 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3296 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 27265 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3317 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 27271 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3318 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27277 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3323 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 27288 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3329 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27294 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3330 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27300 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3332 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 27317 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3363 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27328 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3370 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 27339 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3377 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27354 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3388 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27369 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3399 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *)n;
				}
#line 27385 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3411 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 27398 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3420 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 27411 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3429 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 27430 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3446 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 27436 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3447 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 27442 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3467 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 27453 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3474 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27464 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3481 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27475 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3488 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27486 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3499 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 27497 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3508 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 27503 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3509 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 27509 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3510 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 27515 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3514 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 27521 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3515 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 27527 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3516 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 27533 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3517 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 27539 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3518 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 27545 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3519 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 27551 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3520 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 27557 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3530 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 27568 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3536 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27574 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3541 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 27591 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3555 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-6]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27609 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3569 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27627 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3584 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27645 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3598 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27663 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3614 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-8]);
					n->access_method	= (yyvsp[-7].str);
					n->exclusions		= (yyvsp[-5].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27683 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3631 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 27705 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3650 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 27711 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3651 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 27717 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3655 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27723 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3656 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27729 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3660 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 27735 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3661 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 27741 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3665 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 27749 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3671 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 27757 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3675 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 27769 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3683 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 27777 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3687 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 27785 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3693 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 27791 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3695 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 27797 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3699 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 27805 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3704 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 27813 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3710 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 27819 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3711 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 27825 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3722 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 27831 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3724 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 27837 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3726 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 27843 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3728 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 27849 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3730 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 27855 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3733 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 27861 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3736 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 27867 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3740 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 27873 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3741 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 27879 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3742 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 27885 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3743 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 27891 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3744 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 27897 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3747 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27903 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3748 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27909 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3752 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = (yyvsp[0].partspec); }
#line 27915 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3753 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = NULL; }
#line 27921 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3757 "gram.y" /* yacc.c:1646  */
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = (yyvsp[-3].str);
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 27935 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3768 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27941 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3769 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 27947 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3772 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 27953 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3773 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 27959 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3777 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 27974 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3788 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 27989 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 3799 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 28004 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3812 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28010 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3813 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeDefElem("oids", (Node *) makeInteger(true), (yylsp[-1]))); }
#line 28016 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3814 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeDefElem("oids", (Node *) makeInteger(false), (yylsp[-1]))); }
#line 28022 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3815 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28028 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3818 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 28034 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3819 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 28040 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3820 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 28046 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3821 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 28052 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3824 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28058 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3825 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28064 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3828 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28070 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 3829 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28076 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 3832 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28082 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 3852 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->if_not_exists = (yyvsp[-7].boolean);
					(yyval.node) = (Node *)n;
				}
#line 28096 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 3875 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 28113 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 3888 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 28130 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 3904 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 28145 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 3917 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28151 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 3918 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28157 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 3919 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28163 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 3932 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 28180 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 3945 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 28197 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 3961 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-3].range);
					(yyval.into)->colNames = (yyvsp[-2].list);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 28212 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 3973 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 28218 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 3974 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 28224 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 3987 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 28236 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4007 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28250 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4017 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28264 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4030 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28276 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4038 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28288 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4048 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28294 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4049 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28300 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4052 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28306 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4053 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28312 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4056 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28318 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4057 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28324 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4061 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].typnam), (yylsp[-1]));
				}
#line 28332 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4065 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 28340 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4069 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 28348 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4073 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE), (yylsp[-1]));
				}
#line 28356 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4077 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 28364 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4081 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 28372 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4085 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 28380 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4089 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 28388 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4093 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 28396 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4097 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 28404 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4101 "gram.y" /* yacc.c:1646  */
    {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 28413 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4106 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 28421 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4110 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 28429 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4114 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 28437 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4119 "gram.y" /* yacc.c:1646  */
    {}
#line 28443 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4120 "gram.y" /* yacc.c:1646  */
    {}
#line 28449 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4124 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 28455 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4126 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 28464 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4130 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 28470 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4133 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 28476 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4134 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 28482 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4147 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 28498 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4160 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 28513 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4173 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28519 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4174 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28525 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4182 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 28531 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4183 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 28537 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4187 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28543 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4188 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28549 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4192 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28555 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4193 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28561 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4197 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28567 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4198 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28573 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4203 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28587 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4213 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28601 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4225 "gram.y" /* yacc.c:1646  */
    {}
#line 28607 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4226 "gram.y" /* yacc.c:1646  */
    {}
#line 28613 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4237 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28626 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4247 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 28632 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4248 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 28638 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4262 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 28649 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4269 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 28660 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4286 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28672 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4294 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28684 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4305 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28690 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4307 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28696 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4312 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28704 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4316 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28712 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4320 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28720 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4324 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 28728 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4336 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28739 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4346 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28745 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4348 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28751 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4353 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28759 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4366 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_ACCESS_METHOD;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 28772 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4375 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 28785 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4384 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 28798 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4393 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28811 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4402 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28824 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4411 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 28837 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4420 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 28850 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4429 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 28863 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4438 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 28876 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4447 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 28889 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4456 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 28902 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4465 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 28915 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4474 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 28928 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4483 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28941 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4492 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28954 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4501 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28967 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4510 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28980 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4519 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28993 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4528 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29006 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4537 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29019 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4546 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29032 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4555 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29045 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4564 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29058 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4573 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29071 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4582 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 29084 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4591 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 29097 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4609 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29109 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4619 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 29115 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4620 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 29121 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4621 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 29127 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4622 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 29133 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4626 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29139 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4627 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29145 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4631 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29151 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4632 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29157 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4643 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29169 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4651 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 29181 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4662 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29187 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4663 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29193 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4668 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 29201 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4672 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 29209 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4679 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29215 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4684 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 29223 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4688 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 29231 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4695 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 29239 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4699 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 29248 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4704 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 29257 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4709 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 29265 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4716 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 29273 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4722 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29279 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4727 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 29285 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4739 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 29300 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4751 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 29315 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4764 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29321 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4765 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29327 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4770 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29333 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4771 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29339 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4775 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29345 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4776 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29351 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4787 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 29364 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4796 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 29376 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4804 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29387 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4823 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29409 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4843 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29431 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4863 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (Node *) (yyvsp[-3].node);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29454 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4884 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (Node *) (yyvsp[-3].node);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29477 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4913 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29490 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4922 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29503 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4944 "gram.y" /* yacc.c:1646  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);
				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 29518 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4957 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 29524 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4958 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 29530 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4963 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 29541 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4970 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 29552 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4986 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 29565 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4995 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 29578 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 5006 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 29584 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 5007 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 29590 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 5020 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 29602 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 5028 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 29614 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 5045 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29626 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 5071 "gram.y" /* yacc.c:1646  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);
					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 29642 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 5087 "gram.y" /* yacc.c:1646  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);
					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 29656 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 5099 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 29662 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 5100 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 29668 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 5104 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 29674 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5105 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 29680 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5109 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29686 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5110 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 29692 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5114 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29698 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5115 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 29704 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5120 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
									 parser_errposition((yylsp[0]))));

				}
#line 29722 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5133 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 29728 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5137 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29734 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5138 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 29740 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5142 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 29746 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5143 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "select"; }
#line 29752 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5144 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "insert"; }
#line 29758 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5145 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "update"; }
#line 29764 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5146 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "delete"; }
#line 29770 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5157 "gram.y" /* yacc.c:1646  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);
					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = AMTYPE_INDEX;
					(yyval.node) = (Node *) n;
				}
#line 29782 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5177 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 29805 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5199 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 29829 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5221 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 29835 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5222 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 29841 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5223 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 29847 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5228 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29853 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5230 "gram.y" /* yacc.c:1646  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 29876 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5252 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 29882 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5254 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 29888 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5256 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 29894 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5258 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 29900 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5260 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 29906 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5264 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29912 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5265 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29918 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5269 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29924 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5270 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 29930 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5275 "gram.y" /* yacc.c:1646  */
    {
					TriggerTransition *n = makeNode(TriggerTransition);
					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *)n;
				}
#line 29942 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5285 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 29948 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5286 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 29954 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5290 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 29960 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5299 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 29966 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5303 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29972 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5308 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 29980 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5312 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
#line 29992 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5322 "gram.y" /* yacc.c:1646  */
    {}
#line 29998 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5323 "gram.y" /* yacc.c:1646  */
    {}
#line 30004 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5327 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30010 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5328 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30016 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5332 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 30022 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5333 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30028 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5337 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 30034 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5338 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 30040 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5339 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30046 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5344 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 30054 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5347 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 30060 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5348 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 30066 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5349 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 30072 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5353 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 30078 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5354 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 30084 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5359 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 30090 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5361 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 30118 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5387 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 30124 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5388 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 30130 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5389 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 30136 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5390 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 30142 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5391 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 30148 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5392 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 30154 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5407 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 30167 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5418 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 30180 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5430 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30186 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5432 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 30192 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5437 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 30198 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5442 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 30204 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5444 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 30210 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5449 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 30221 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5458 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 30227 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5459 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 30233 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5460 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 30239 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5461 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 30245 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5475 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-5].str);
					n->args = list_make1((yyvsp[-2].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
#line 30265 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5494 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
#line 30280 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5516 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30294 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5526 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30309 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5537 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30323 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5547 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30337 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5557 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30352 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5568 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 30365 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5577 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 30376 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5584 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30387 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5591 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30400 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5600 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30413 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5609 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30426 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5618 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30439 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5627 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30452 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5636 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 30466 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5646 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 30479 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5655 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 30493 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5666 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30499 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5669 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30505 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5670 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 30511 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5674 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 30519 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5678 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 30527 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5684 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 30533 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5685 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 30539 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5686 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 30545 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5687 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 30551 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5688 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 30557 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5689 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 30563 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5692 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30569 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5695 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30575 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5696 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 30581 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5705 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node), (yylsp[-2]));
				}
#line 30589 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5711 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30595 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5712 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30601 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5716 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 30607 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5718 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 30613 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5729 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 30628 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5740 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 30643 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5751 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 30658 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5762 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 30673 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5774 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 30679 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5775 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 30685 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5793 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30700 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5806 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30706 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5807 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 30712 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5812 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);
					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 30728 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5825 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 30741 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5834 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 30753 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5842 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 30766 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5851 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 30777 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5859 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30783 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5860 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30789 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5863 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30795 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5864 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30801 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5867 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30807 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5868 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30813 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5869 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30819 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5873 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = TRUE;
				}
#line 30837 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5886 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30843 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5892 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30854 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5902 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30867 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5911 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30880 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5922 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30886 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5923 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 30892 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5928 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 30904 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5936 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 30916 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5948 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 30930 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5958 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 30944 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5971 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 30958 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5981 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 30972 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 6003 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 30983 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 6013 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 30994 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 6031 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31008 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 6041 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31022 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 6051 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31036 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 6061 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31050 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 6071 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31064 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 6081 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31078 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 6091 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31092 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 6101 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31106 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 6111 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31120 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 6121 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31134 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 6131 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 31148 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 6141 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 31162 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 6154 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 31168 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 6155 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 31174 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 6156 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 31180 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 6157 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 31186 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 6158 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 31192 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 6159 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 31198 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 6160 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 31204 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 6161 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 31210 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 6162 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 31216 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 6163 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 31222 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6164 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 31228 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6165 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 31234 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6166 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 31240 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6171 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 31246 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6172 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 31252 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6173 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 31258 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6174 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 31264 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6175 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 31270 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6176 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 31276 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6177 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 31282 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6182 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_POLICY; }
#line 31288 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6183 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_RULE; }
#line 31294 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6184 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TRIGGER; }
#line 31300 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6188 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 31306 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6189 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 31312 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6192 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 31318 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6193 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 31324 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6197 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 31330 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6199 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 31336 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6203 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 31342 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6204 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 31348 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6215 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 31360 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6225 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31366 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6226 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 31372 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6227 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31378 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6262 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31390 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6270 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31402 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6278 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31414 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6286 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31426 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6294 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31438 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6302 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31450 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6310 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31462 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6318 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31474 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6326 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31491 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6339 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_POLICY;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31503 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6347 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31515 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6355 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31527 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6363 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31539 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6371 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31551 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6379 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31563 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6387 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31575 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6395 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31587 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6406 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 31593 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6407 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 31599 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6408 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 31605 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6409 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 31611 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6410 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 31617 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6411 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 31623 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6412 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 31629 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6413 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 31635 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6414 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 31641 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6415 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 31647 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6416 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 31653 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6417 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 31659 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6418 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 31665 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6419 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 31671 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6424 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 31677 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6425 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 31683 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6426 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 31689 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6427 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 31695 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6428 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 31701 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6429 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 31707 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6430 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 31713 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6431 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 31719 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6432 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 31725 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6433 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 31731 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6434 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 31737 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6435 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 31743 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6439 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31749 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6440 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31755 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6456 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31768 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6466 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31781 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6476 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31794 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6486 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31807 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6496 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31820 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6506 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31833 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6516 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31846 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6526 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31852 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6527 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31858 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6532 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 31864 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6533 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 31870 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6534 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 31876 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6535 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 31882 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6536 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 31888 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6537 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 31894 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6542 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 31900 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6543 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 31906 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6544 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 31912 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6545 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 31918 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6546 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 31924 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6547 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 31930 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6548 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 31936 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6549 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 31942 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6552 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31948 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6553 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31954 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6564 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 31964 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6570 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 31974 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6578 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 31986 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6586 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 31998 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6594 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32010 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6602 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32022 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6610 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32034 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6618 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 32046 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6626 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32058 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6634 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32070 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6642 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32082 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6650 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 32094 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6658 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32106 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6666 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32118 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6674 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 32130 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6682 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32142 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6690 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32154 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6698 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 32166 "gram.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6707 "gram.y" /* yacc.c:1646  */
    {}
#line 32172 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6708 "gram.y" /* yacc.c:1646  */
    {}
#line 32178 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6711 "gram.y" /* yacc.c:1646  */
    {}
#line 32184 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6712 "gram.y" /* yacc.c:1646  */
    {}
#line 32190 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6724 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 32206 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6740 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32223 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6754 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32240 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6779 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32246 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6781 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32252 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6783 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32258 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6785 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 32269 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6792 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 32280 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6800 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 32286 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6801 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 32292 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6805 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 32303 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6812 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 32314 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6819 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 32325 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6826 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 32336 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6840 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32348 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6848 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32360 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6856 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32372 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6864 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32384 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6872 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32396 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6880 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32408 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6888 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32420 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6896 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32432 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6904 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32444 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6912 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32456 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6920 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32468 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6928 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32480 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6936 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32492 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6944 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32504 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6952 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32516 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6960 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32528 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6971 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 32534 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6972 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 32540 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6976 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 32546 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6977 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 32552 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6982 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32558 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6983 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32564 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6994 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node*)n;
				}
#line 32578 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 7007 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 32592 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 7017 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 32606 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 7028 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32612 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7029 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32618 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7032 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 32624 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7033 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 32630 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7044 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 32641 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7053 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32647 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7054 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32653 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7059 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 32661 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7063 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 32669 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7067 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 32677 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7079 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 32693 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7092 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32710 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7106 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32727 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7121 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_RELATION; }
#line 32733 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7122 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
#line 32739 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7123 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
#line 32745 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7124 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_TYPE; }
#line 32751 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7125 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_NAMESPACE; }
#line 32757 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7140 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-12].boolean);
					n->concurrent = (yyvsp[-10].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 32785 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7166 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-15].boolean);
					n->concurrent = (yyvsp[-13].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 32813 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7192 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32819 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7193 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32825 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7197 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32831 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7198 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32837 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7202 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32843 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7203 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32849 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7207 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32855 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7208 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 32861 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7211 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 32867 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7212 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 32873 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7221 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 32888 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 7232 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 32903 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 7243 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 32918 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 7255 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32924 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 7256 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32930 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 7259 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32936 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7260 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32942 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7263 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 32948 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7264 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 32954 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7265 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 32960 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7268 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 32966 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7269 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 32972 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7270 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 32978 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7288 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32993 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7300 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33009 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7313 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33024 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7326 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 33030 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7327 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 33036 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7330 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33042 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7331 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33048 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7335 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 33054 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7336 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 33060 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7340 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 33066 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7342 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 33072 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7347 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 33083 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7359 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 33094 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7366 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 33105 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7373 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 33117 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7387 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33123 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7388 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33129 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7392 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 33135 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7394 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 33141 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7409 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33154 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7418 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33167 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7427 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33180 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7436 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33193 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7445 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33206 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7456 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 33212 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7457 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 33218 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7458 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 33224 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7459 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 33230 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7460 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 33236 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7471 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33248 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7485 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33254 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7487 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 33264 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7493 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 33275 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7503 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 33283 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7507 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 33292 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7512 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 33301 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7520 "gram.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 33315 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7561 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 33323 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7565 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 33331 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7569 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 33339 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7573 "gram.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 33348 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7580 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 33354 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7581 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 33360 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7586 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 33371 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7595 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 33377 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7597 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 33383 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7602 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33389 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7603 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33395 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7611 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE), (yylsp[-3]));
				}
#line 33403 "gram.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7615 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE), (yylsp[-4]));
				}
#line 33411 "gram.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7619 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 33419 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7623 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"), (yylsp[0]));
				}
#line 33427 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7627 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"), (yylsp[0]));
				}
#line 33435 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7631 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"), (yylsp[0]));
				}
#line 33443 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7635 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE), (yylsp[-2]));
				}
#line 33451 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7639 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE), (yylsp[-2]));
				}
#line 33459 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7643 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE), (yylsp[-1]));
				}
#line 33467 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7647 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE), (yylsp[-1]));
				}
#line 33475 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7651 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 33483 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7655 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE), (yylsp[-1]));
				}
#line 33491 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7659 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 33499 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7663 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 33507 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7667 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 33516 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7672 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33524 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7679 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 33532 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7683 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33540 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7687 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 33548 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7691 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 33556 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7695 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 33564 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7700 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 33570 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7702 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 33578 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7708 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 33584 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7709 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 33590 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7713 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33596 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7714 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33602 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7718 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33615 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7730 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 33623 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7734 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 33631 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7749 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 33642 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7759 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33648 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7760 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33654 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7782 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33668 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7792 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33682 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7805 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33696 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7815 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33710 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7828 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33724 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7838 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33738 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7851 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 33750 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7859 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 33756 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7861 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 33762 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7863 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 33768 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7868 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 33774 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7870 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 33780 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7874 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 33786 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7876 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 33792 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7881 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 33803 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7899 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33813 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7907 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33819 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7908 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33825 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7913 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 33833 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7917 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33841 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7930 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 33855 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7941 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 33869 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7952 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 33883 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7963 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 33889 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7964 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 33895 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7965 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 33901 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7970 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33915 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7981 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 33921 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7982 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 33927 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7993 "gram.y" /* yacc.c:1646  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);
					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 33941 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8005 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 33949 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8009 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 33957 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8013 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 33965 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8017 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 33973 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8024 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *)n;
				}
#line 33986 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8044 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 33999 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8053 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 34012 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8062 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 34025 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8071 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 34038 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8081 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 34044 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8082 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 34050 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8085 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SCHEMA; }
#line 34056 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8086 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 34062 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8087 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 34068 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8090 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 34074 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8091 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 34080 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8094 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEXOPT_VERBOSE; }
#line 34086 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8105 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 34099 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8114 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 34112 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8131 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34125 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8140 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34138 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8149 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34151 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8158 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34164 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8167 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34177 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8176 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34190 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 8185 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34203 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 8194 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34216 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 8203 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34229 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 8212 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34242 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 8221 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34255 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 8230 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34268 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 8239 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34282 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 8249 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34296 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 8259 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34309 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 8268 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34322 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 8277 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34335 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 8286 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34348 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 8295 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34362 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 8305 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34376 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 8315 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34390 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 8325 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34404 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 8335 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34418 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 8345 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34432 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 8355 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34446 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 8365 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34460 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 8375 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34474 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 8385 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34488 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 8395 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34502 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 8405 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34516 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 8415 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34531 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 8426 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34546 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 8437 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34561 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 8448 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34576 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 8459 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34590 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 8469 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34604 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 8479 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34619 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 8490 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34634 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 8501 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34648 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 8511 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34662 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 8521 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34674 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 8529 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34687 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 8538 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34700 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 8547 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34713 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 8556 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34726 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 8565 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34739 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 8574 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34752 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8583 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34765 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8592 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34778 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8601 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34791 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8610 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34807 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8623 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COLUMN; }
#line 34813 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8624 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 34819 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8627 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 34825 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8628 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 34831 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8639 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-4].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 34843 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8647 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-4].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-6].str)));
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 34856 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8656 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-4].range);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 34868 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8664 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-4].range);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 34880 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8681 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34893 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8690 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34906 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8699 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34919 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8708 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34932 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8717 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34945 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8726 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34958 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8735 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34971 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8744 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34984 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8753 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34997 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8762 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35010 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8771 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35023 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8780 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35036 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8789 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35049 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8798 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35062 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8807 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35075 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8816 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35088 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8825 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35101 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8834 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35114 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8843 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35127 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8852 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35140 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8861 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35153 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8870 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35166 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8879 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35179 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8888 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35192 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8897 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35205 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8915 "gram.y" /* yacc.c:1646  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);
					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 35216 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8923 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35222 "gram.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8924 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 35228 "gram.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8928 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 35234 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8930 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 35240 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8935 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 35246 "gram.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8936 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 35252 "gram.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8937 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 35258 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8938 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 35264 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8939 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 35270 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8949 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35282 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8957 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35294 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8965 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35306 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8973 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35318 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8981 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35330 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8989 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35342 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8997 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35354 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 9005 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].value);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35366 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9013 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35378 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 9021 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35390 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 9029 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35402 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 9037 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35414 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 9045 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35426 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 9053 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35438 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 9061 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35450 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 9069 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35462 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 9077 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35474 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 9085 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35486 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 9093 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35498 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 9101 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35510 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 9109 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35522 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 9117 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35534 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 9135 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					if ((yyvsp[-1].node) != NULL)
					{
						/* FOR TABLE */
						if (IsA((yyvsp[-1].node), List))
							n->tables = (List *)(yyvsp[-1].node);
						/* FOR ALL TABLES */
						else
							n->for_all_tables = TRUE;
					}
					(yyval.node) = (Node *)n;
				}
#line 35554 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 9153 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35560 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 9154 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35566 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 9159 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].list);
				}
#line 35574 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 9163 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeInteger(TRUE);
				}
#line 35582 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 9183 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35593 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 9190 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_ADD;
					(yyval.node) = (Node *)n;
				}
#line 35605 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 9198 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_SET;
					(yyval.node) = (Node *)n;
				}
#line 35617 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 9206 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_DROP;
					(yyval.node) = (Node *)n;
				}
#line 35629 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 9223 "gram.y" /* yacc.c:1646  */
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35643 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 9236 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].value));
				}
#line 35651 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 9240 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value));
				}
#line 35659 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 9246 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 35665 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 9256 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35678 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 9265 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 35691 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 9274 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35704 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 9283 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_PUBLICATION_REFRESH;
					n->subname = (yyvsp[-5].str);
					n->publication = (yyvsp[-2].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35718 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 9293 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_PUBLICATION;
					n->subname = (yyvsp[-5].str);
					n->publication = (yyvsp[-2].list);
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 35732 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 9303 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(TRUE), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 35746 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 9313 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(FALSE), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 35760 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 9331 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 35772 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 9339 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 35784 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 9357 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35800 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 9371 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35806 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 9372 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35812 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 9373 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35818 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 9379 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 35828 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 9385 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 35838 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 9401 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35844 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 9402 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35850 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 9405 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 35856 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 9406 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 35862 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 9407 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 35868 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 9408 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 35874 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 9412 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 35880 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 9413 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 35886 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 9414 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 35892 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 9427 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 35903 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 9436 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35909 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 9437 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 35915 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 9441 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 35925 "gram.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 9450 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 35935 "gram.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 9456 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 35945 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 9475 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 35956 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 9482 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35967 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 9489 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35978 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 9496 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 35989 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 9503 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36000 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 9510 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36011 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 9517 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-1])));
					(yyval.node) = (Node *)n;
				}
#line 36023 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 9525 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-2])));
					(yyval.node) = (Node *)n;
				}
#line 36035 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 9533 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-1])));
					(yyval.node) = (Node *)n;
				}
#line 36047 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 9541 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-4])));
					(yyval.node) = (Node *)n;
				}
#line 36059 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 9549 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 36071 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 9557 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36082 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 9564 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36093 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 9571 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36104 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 9579 "gram.y" /* yacc.c:1646  */
    {}
#line 36110 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 9580 "gram.y" /* yacc.c:1646  */
    {}
#line 36116 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 9581 "gram.y" /* yacc.c:1646  */
    {}
#line 36122 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 9586 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 36129 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 9589 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[-1])), (yylsp[-1])); }
#line 36136 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 9592 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[-1])), (yylsp[-1])); }
#line 36143 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 9595 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[0])), (yylsp[0])); }
#line 36150 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 9598 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[-1])), (yylsp[-1])); }
#line 36157 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 9605 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36163 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 9607 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 36169 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 9609 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 36175 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 9615 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36181 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 9629 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 36197 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 9642 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 36213 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 9655 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 36234 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 9673 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 36255 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 9692 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 36261 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 9693 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 36267 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 9694 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 36273 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 9695 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 36279 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 9706 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36289 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 9722 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36300 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 9731 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36306 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 9732 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36312 "gram.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 9736 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36318 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 9737 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 36324 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 9742 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 36332 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 9746 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 36340 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 9750 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 36348 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 9767 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36354 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 9768 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 36360 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 9769 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36366 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 9770 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36372 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 9771 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36378 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 9772 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36384 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 9773 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36390 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 9780 "gram.y" /* yacc.c:1646  */
    {}
#line 36396 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 9781 "gram.y" /* yacc.c:1646  */
    {}
#line 36402 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 9793 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 36413 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 9800 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 36424 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 9807 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *)makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *)n;
				 }
#line 36436 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 9818 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 36447 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 9835 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 36458 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 9842 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 36469 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 9858 "gram.y" /* yacc.c:1646  */
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);
					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 36479 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 9875 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 36489 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 9881 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 36499 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 9897 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 36512 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 9910 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 36524 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 9919 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 36535 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 9927 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 36546 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 9935 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 36558 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 9944 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36572 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 9955 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36586 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 9966 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36598 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 9975 "gram.y" /* yacc.c:1646  */
    {}
#line 36604 "gram.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 9976 "gram.y" /* yacc.c:1646  */
    {}
#line 36610 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 9988 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36621 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 9998 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 36636 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 10009 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 36651 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 10020 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 36666 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 10031 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 36681 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 10042 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 36694 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 10051 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 36707 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 10062 "gram.y" /* yacc.c:1646  */
    {}
#line 36713 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 10063 "gram.y" /* yacc.c:1646  */
    {}
#line 36719 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 10079 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 36733 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 10101 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->verbose = (yyvsp[-2].boolean);
					(yyval.node) = (Node*)n;
				}
#line 36745 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 10109 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 36757 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 10118 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->verbose = (yyvsp[-3].boolean);
					(yyval.node) = (Node*)n;
				}
#line 36769 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 10128 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36775 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 10129 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 36781 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 10142 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36799 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 10156 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = (yyvsp[0].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36817 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 10170 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[0].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					(yyval.node) = (Node *)n;
				}
#line 36833 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 10182 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-1].ival);
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
#line 36845 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 10190 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-3].ival);
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
#line 36859 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 10202 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 36865 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 10203 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 36871 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 10207 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_ANALYZE; }
#line 36877 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 10208 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_VERBOSE; }
#line 36883 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 10209 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FREEZE; }
#line 36889 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 10210 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FULL; }
#line 36895 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 10212 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "disable_page_skipping") == 0)
						(yyval.ival) = VACOPT_DISABLE_PAGE_SKIPPING;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized VACUUM option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 36909 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 10225 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36923 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 10235 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36937 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 10247 "gram.y" /* yacc.c:1646  */
    {}
#line 36943 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 10248 "gram.y" /* yacc.c:1646  */
    {}
#line 36949 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 10252 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 36955 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 10253 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 36961 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 10256 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 36967 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 10257 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 36973 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 10260 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 36979 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 10261 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 36985 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 10265 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36991 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 10266 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36997 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 10280 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 37008 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 10287 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 37022 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 10297 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 37033 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 10304 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 37044 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 10326 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 37052 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 10330 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 37060 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 10337 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 37068 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 10343 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37074 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 10344 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 37080 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 10348 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 37086 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 10349 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 37092 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 10350 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 37098 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 10361 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 37110 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 10370 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37116 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 10371 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37122 "gram.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 10389 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37133 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 10397 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 37152 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 10413 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37158 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 10414 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37164 "gram.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 10425 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 37174 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 10431 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 37184 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 10437 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 37194 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 10443 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 37204 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 10460 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 37216 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 10477 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 37224 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 10481 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 37233 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 10489 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 37243 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 10495 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 37254 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 10502 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 37264 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 10508 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 37275 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 10515 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 37285 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 10523 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 37291 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 10524 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 37297 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 10529 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 37303 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 10531 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 37309 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 10536 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 37321 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 10547 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 37334 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 10557 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 37347 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 10566 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = NULL;
				}
#line 37355 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 10573 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 37367 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 10582 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 37379 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 10590 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = NULL;
				}
#line 37387 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 10596 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37393 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 10597 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37399 "gram.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 10610 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 37413 "gram.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 10622 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37419 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 10623 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37425 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 10635 "gram.y" /* yacc.c:1646  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 37438 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 10645 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 37444 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 10646 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 37450 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 10649 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 37456 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 10650 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 37462 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 10651 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 37468 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 10652 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 37474 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 10653 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 37480 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 10654 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 37486 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 10655 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 37492 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 10656 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 37498 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 10659 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 37504 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 10660 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 37510 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 10664 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitError; }
#line 37516 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 10665 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitSkip; }
#line 37522 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 10666 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitBlock; }
#line 37528 "gram.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 10682 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 37543 "gram.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 10695 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37549 "gram.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 10696 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 37555 "gram.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 10701 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 37564 "gram.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 10706 "gram.y" /* yacc.c:1646  */
    {
					int ncolumns = list_length((yyvsp[-3].list));
					int i = 1;
					ListCell *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 37589 "gram.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 10730 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 37601 "gram.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 10740 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 37607 "gram.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 10741 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 37613 "gram.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 10752 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 37626 "gram.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 10762 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37632 "gram.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 10765 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 37638 "gram.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 10766 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 37644 "gram.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 10767 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 37650 "gram.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 10768 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 37656 "gram.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 10769 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 37662 "gram.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 10772 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 37668 "gram.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 10773 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 37674 "gram.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 10774 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 37680 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 10827 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 37686 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 10828 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 37692 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 10843 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37698 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 10845 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 37709 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 10852 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 37721 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 10860 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 37733 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 10868 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 37745 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 10876 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 37757 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 10884 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 37769 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 10892 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 37781 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 10902 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37787 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 10903 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37793 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 10933 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37809 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 10947 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37826 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 10959 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37832 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 10961 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 37855 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 10980 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 37863 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 10984 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 37871 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 10988 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 37879 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 11005 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 37890 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 11012 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 37901 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 11019 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 37912 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 11028 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 37918 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 11029 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 37924 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 11033 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-5].str);
				n->aliascolnames = (yyvsp[-4].list);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 37937 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 11044 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 37943 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 11045 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 37949 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 11050 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 37964 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 11061 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 37970 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 11070 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 37979 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 11075 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 37988 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 11080 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 37997 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 11085 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38006 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 11090 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38018 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 11098 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38030 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 11106 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 38039 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 11111 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 38048 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 11116 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 38057 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 11122 "gram.y" /* yacc.c:1646  */
    {}
#line 38063 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 11123 "gram.y" /* yacc.c:1646  */
    {}
#line 38069 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 11127 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 38075 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 11128 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 38081 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 11129 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 38087 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 11136 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 38093 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 11137 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38099 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 11141 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL;}
#line 38105 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 11142 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38111 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 11146 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list);}
#line 38117 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 11147 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38123 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 11151 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38129 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 11155 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 38135 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 11156 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 38141 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 11160 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 38154 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 11169 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 38167 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 11181 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 38173 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 11182 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 38179 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 11183 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 38185 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 11184 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 38191 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 11188 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38197 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 11189 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL,NULL); }
#line 38203 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 11194 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38209 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 11196 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 38222 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 11206 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 38228 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 11211 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38234 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 11214 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 38240 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 11218 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38246 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 11220 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 38255 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 11227 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38261 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 11237 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0])); }
#line 38267 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 11238 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 38273 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 11239 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(1, -1); }
#line 38279 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 11247 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38285 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 11251 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 38291 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 11252 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 38297 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 11255 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 38303 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 11256 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 38309 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 11281 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38315 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 11282 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38321 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 11286 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38327 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 11287 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 38333 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 11291 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38339 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 11292 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38345 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 11293 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38351 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 11294 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38357 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 11295 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38363 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 11300 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 38371 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 11313 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 38379 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 11320 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 38387 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 11327 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 38395 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 11333 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38401 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 11334 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 38407 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 11338 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38413 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 11339 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38419 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 11343 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38425 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 11344 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38431 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 11348 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38437 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 11349 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 38443 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 11354 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 38455 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 11364 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 38461 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 11365 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 38467 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 11366 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 38473 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 11367 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 38479 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 11371 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38485 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 11372 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38491 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 11383 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 38501 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 11389 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 38511 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 11406 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38517 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 11407 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38523 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 11411 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38529 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 11412 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 38535 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 11419 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 38544 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 11424 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);
					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 38556 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 11432 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 38567 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 11439 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 38579 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 11447 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 38589 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 11453 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 38600 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 11460 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 38639 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 11495 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same comment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 38668 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 11520 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 38676 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 11524 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 38685 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 11550 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 38693 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 11554 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 38709 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 11566 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 38726 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 11579 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 38744 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 11593 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 38759 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 11604 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 38775 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 11619 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 38785 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 11625 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 38794 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 11630 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 38804 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 11636 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 38813 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 11642 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 38819 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 11643 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 38825 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 11652 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 38833 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 11656 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 38841 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 11660 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 38851 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 11666 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 38861 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 11672 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 38869 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 11677 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 38875 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 11678 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 38881 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 11679 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 38887 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 11680 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 38893 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 11684 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 38899 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 11685 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 38905 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 11697 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 38911 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 11698 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38917 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 11704 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 38928 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 11711 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 38939 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 11718 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 38950 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 11725 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 38961 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 11735 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 38967 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 11736 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 38973 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 11750 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 38981 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 11754 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 38992 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 11761 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 39003 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 11774 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);
					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 39017 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 11786 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 39023 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 11787 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39029 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 11803 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 39043 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 11813 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 39057 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 11825 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 39063 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 11829 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 39069 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 11830 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 39075 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 11833 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39081 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 11834 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39087 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 11837 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39093 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 11838 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39099 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 11843 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39105 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 11844 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39111 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 11849 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39117 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 11851 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 39129 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 11858 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39135 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 11863 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39141 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 11864 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39147 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 11869 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 39155 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 11873 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 39163 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 11879 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 39186 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 11904 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 39200 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 11915 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *)n;
				}
#line 39214 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 11926 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 39220 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 11927 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 39226 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 11932 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 39244 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 11946 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);
					ListCell		   *option;
					bool				nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = intVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 39305 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 12003 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 39320 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 12017 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39326 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 12019 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39332 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 12024 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 39338 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 12026 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 39344 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 12028 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(true), (yylsp[-1])); }
#line 39350 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 12030 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(false), (yylsp[0])); }
#line 39356 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 12035 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 39362 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 12037 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 39368 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 12042 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 39380 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 12050 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 39392 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 12070 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 39401 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 12075 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = TRUE;
				}
#line 39411 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 12082 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 39420 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 12087 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = TRUE;
				}
#line 39430 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 12093 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 39439 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 12098 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
#line 39449 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 12107 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 39455 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 12109 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 39461 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 12111 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 39467 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 12115 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39473 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 12116 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39479 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 12117 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39485 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 12118 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39491 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 12119 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39497 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 12121 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 39506 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 12126 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 39516 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 12145 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39522 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 12146 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39528 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 12147 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39534 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 12148 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39540 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 12160 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39550 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 12166 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 39560 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 12173 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39566 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 12174 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39572 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 12181 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39581 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 12186 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39590 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 12191 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39599 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 12196 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39608 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 12201 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39617 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 12206 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39626 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 12211 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39635 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 12216 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39645 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 12222 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39655 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 12228 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39665 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 12234 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39674 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 12241 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 39699 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 12262 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 39707 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 12272 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39715 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 12276 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39723 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 12284 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39731 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 12288 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 39740 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 12296 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 39753 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 12308 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39771 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 12329 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39779 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 12333 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39787 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 12339 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39795 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 12343 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 39810 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 12356 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 39820 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 12364 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39832 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 12374 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 39838 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 12376 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 39844 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 12378 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 39850 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 12380 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 39856 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 12382 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 39862 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 12384 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 39868 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 12388 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 39874 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 12389 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 39880 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 12397 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 39893 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 12406 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39905 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 12414 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 39918 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 12423 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39930 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 12434 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39939 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 12441 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 39945 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 12442 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 39951 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 12443 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 39957 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 12448 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 39963 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 12450 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 39969 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 12452 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 39975 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 12454 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 39981 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 12456 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 39987 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 12458 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39993 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 12460 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 40002 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 12465 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 40011 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 12470 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 40021 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 12476 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 40033 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 12484 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 40042 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 12489 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 40053 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 12496 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 40063 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 12502 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40069 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 12507 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 40077 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 12511 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 40086 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 12546 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40092 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 12548 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 40098 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 12550 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 40110 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 12558 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   (yylsp[-3]));
				}
#line 40120 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 12573 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 40126 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 12575 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 40132 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 12577 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40138 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 12579 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40144 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 12581 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40150 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 12583 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40156 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 12585 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40162 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 12587 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40168 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 12589 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40174 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 12591 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40180 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 12593 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40186 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 12595 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40192 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 12597 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40198 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 12599 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40204 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 12602 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40210 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 12604 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 40216 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 12606 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 40222 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 12609 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40228 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 12611 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40234 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 12613 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 40240 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 12615 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 40246 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 12618 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 40255 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 12623 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 40267 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 12631 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 40276 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 12636 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 40288 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 12644 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 40297 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 12649 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 40309 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 12657 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 40318 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 12662 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 40330 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 12671 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 40342 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 12679 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 40354 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 12687 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 40366 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 12695 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 40378 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 12713 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 40390 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 12721 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 40402 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 12729 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 40414 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 12737 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 40426 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 12745 "gram.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   (yylsp[-1]));
				}
#line 40446 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 12761 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 40458 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 12769 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 40470 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 12777 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 40482 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 12785 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 40494 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 12793 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 40506 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 12801 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 40518 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 12809 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 40526 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 12813 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 40534 "gram.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 12817 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 40542 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 12821 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 40550 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 12825 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 40562 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 12833 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 40574 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 12841 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 40586 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 12849 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 40598 "gram.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 12857 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 40622 "gram.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 12877 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 40648 "gram.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 12899 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 40663 "gram.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 12910 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 40674 "gram.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 12917 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 40694 "gram.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 12933 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 40703 "gram.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 12938 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 40713 "gram.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 12944 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);
					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 40731 "gram.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 12969 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40737 "gram.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 12971 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 40743 "gram.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 12973 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 40749 "gram.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 12975 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 40755 "gram.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 12977 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40761 "gram.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 12979 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40767 "gram.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 12981 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40773 "gram.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 12983 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40779 "gram.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 12985 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40785 "gram.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 12987 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40791 "gram.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 12989 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40797 "gram.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 12991 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40803 "gram.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 12993 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40809 "gram.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 12995 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40815 "gram.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 12997 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40821 "gram.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 12999 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40827 "gram.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 13001 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40833 "gram.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 13003 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 40839 "gram.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 13005 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 40845 "gram.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 13007 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 40853 "gram.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 13011 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 40861 "gram.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 13015 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 40869 "gram.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 13019 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 40877 "gram.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 13023 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 40886 "gram.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 13028 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 40896 "gram.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 13043 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40902 "gram.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 13044 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40908 "gram.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 13046 "gram.y" /* yacc.c:1646  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 40927 "gram.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 13061 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else if (operator_precedence_warning)
					{
						/*
						 * If precedence warnings are enabled, insert
						 * AEXPR_PAREN nodes wrapping all explicitly
						 * parenthesized subexpressions; this prevents bogus
						 * warnings from being issued when the ordering has
						 * been forced by parentheses.  Take care that an
						 * AEXPR_PAREN node has the same exprLocation as its
						 * child, so as not to cause surprising changes in
						 * error cursor positioning.
						 *
						 * In principle we should not be relying on a GUC to
						 * decide whether to insert AEXPR_PAREN nodes.
						 * However, since they have no effect except to
						 * suppress warnings, it's probably safe enough; and
						 * we'd just as soon not waste cycles on dummy parse
						 * nodes if we don't have to.
						 */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_PAREN, NIL, (yyvsp[-2].node), NULL,
												 exprLocation((yyvsp[-2].node)));
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 40965 "gram.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 13095 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40971 "gram.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 13097 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40977 "gram.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 13099 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 40992 "gram.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 13110 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 41020 "gram.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 13134 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 41035 "gram.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 13145 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 41050 "gram.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 13156 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 41061 "gram.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 13163 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 41075 "gram.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 13173 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 41089 "gram.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 13183 "gram.y" /* yacc.c:1646  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);
				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *)g;
			  }
#line 41100 "gram.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 13192 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL, (yylsp[-2]));
				}
#line 41108 "gram.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 13196 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list), (yylsp[-4]));
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 41118 "gram.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 13202 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)), (yylsp[-5]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 41129 "gram.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 13209 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)), (yylsp[-7]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 41140 "gram.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 13216 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
#line 41154 "gram.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 13226 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 41165 "gram.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 13233 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[-3].list), NIL, (yylsp[-3]));
					n->agg_star = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 41185 "gram.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 13261 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = (FuncCall *) (yyvsp[-3].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = TRUE;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 41224 "gram.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 13296 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41230 "gram.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 13306 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41236 "gram.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 13307 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41242 "gram.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 13315 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   (yylsp[-4]));
				}
#line 41252 "gram.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 13321 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 41260 "gram.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 13325 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 41268 "gram.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 13329 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 41276 "gram.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 13333 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 41284 "gram.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 13337 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 41292 "gram.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 13341 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 41300 "gram.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 13345 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 41308 "gram.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 13349 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 41316 "gram.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 13353 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 41324 "gram.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 13357 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 41332 "gram.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 13361 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 41340 "gram.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 13365 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 41348 "gram.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 13369 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 41356 "gram.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 13373 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 41364 "gram.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 13377 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 41372 "gram.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 13381 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 41378 "gram.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 13383 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41386 "gram.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 13387 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41399 "gram.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 13396 "gram.y" /* yacc.c:1646  */
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41408 "gram.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 13401 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41419 "gram.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 13408 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str),
												list_make1((yyvsp[-3].node)),
												(yylsp[-5]));
				}
#line 41438 "gram.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 13423 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41449 "gram.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 13430 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41457 "gram.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 13434 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41465 "gram.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 13438 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41473 "gram.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 13442 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 41481 "gram.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 13446 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 41492 "gram.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 13453 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 41504 "gram.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 13461 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 41516 "gram.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 13469 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41524 "gram.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 13473 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 41532 "gram.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 13477 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 41540 "gram.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 13481 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 41548 "gram.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 13485 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 41556 "gram.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 13489 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-4]));
				}
#line 41566 "gram.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 13495 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 41574 "gram.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 13499 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 41587 "gram.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 13508 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 41595 "gram.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 13512 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 41603 "gram.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 13516 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 41612 "gram.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 13521 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 41625 "gram.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 13535 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41631 "gram.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 13537 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 41637 "gram.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 13541 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 41643 "gram.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 13543 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 41649 "gram.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 13545 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 41655 "gram.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 13547 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 41661 "gram.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 13550 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 41667 "gram.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 13553 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 41673 "gram.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 13554 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 41679 "gram.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 13558 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 41691 "gram.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 13566 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 41703 "gram.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 13575 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 41709 "gram.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 13576 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 41715 "gram.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 13579 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 41721 "gram.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 13580 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 41727 "gram.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 13581 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 41733 "gram.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 13587 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 41741 "gram.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 13591 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 41749 "gram.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 13595 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 41757 "gram.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 13599 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 41765 "gram.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 13609 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 41771 "gram.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 13610 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41777 "gram.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 13614 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 41783 "gram.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 13615 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 41789 "gram.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 13623 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41795 "gram.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 13624 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41801 "gram.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 13628 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 41807 "gram.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 13630 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 41813 "gram.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 13635 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 41823 "gram.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 13643 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 41829 "gram.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 13645 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 41846 "gram.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 13658 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 41852 "gram.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 13663 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 41870 "gram.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 13688 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 41876 "gram.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 13689 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 41882 "gram.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 13692 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41888 "gram.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 13693 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41894 "gram.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 13705 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					(yyval.windef) = n;
				}
#line 41916 "gram.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 13723 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
#line 41926 "gram.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 13729 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 41938 "gram.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 13739 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 41959 "gram.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 13756 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 42000 "gram.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 13801 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42012 "gram.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 13809 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42024 "gram.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 13817 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42036 "gram.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 13825 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42048 "gram.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 13833 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42060 "gram.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 13853 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42066 "gram.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 13854 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42072 "gram.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 13855 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 42078 "gram.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 13858 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42084 "gram.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 13859 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42090 "gram.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 13862 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 42096 "gram.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 13865 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 42102 "gram.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 13866 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 42108 "gram.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 13867 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 42114 "gram.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 13870 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42120 "gram.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 13871 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42126 "gram.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 13874 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 42132 "gram.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 13875 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 42138 "gram.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 13876 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 42144 "gram.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 13877 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 42150 "gram.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 13878 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 42156 "gram.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 13879 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 42162 "gram.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 13880 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 42168 "gram.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 13881 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 42174 "gram.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 13882 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 42180 "gram.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 13883 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<="; }
#line 42186 "gram.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 13884 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">="; }
#line 42192 "gram.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 13885 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<>"; }
#line 42198 "gram.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 13889 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 42204 "gram.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 13891 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42210 "gram.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 13896 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 42216 "gram.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 13898 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42222 "gram.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 13903 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 42228 "gram.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 13905 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42234 "gram.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 13907 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 42240 "gram.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 13909 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 42246 "gram.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 13911 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 42252 "gram.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 13913 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 42258 "gram.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 13925 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 42266 "gram.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 13929 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 42274 "gram.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 13936 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 42282 "gram.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 13940 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 42290 "gram.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 13946 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 42298 "gram.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 13950 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 42311 "gram.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 13959 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 42324 "gram.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 13969 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 42330 "gram.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 13970 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 42336 "gram.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 13974 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 42344 "gram.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 13978 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 42352 "gram.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 13982 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 42360 "gram.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 13987 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 42366 "gram.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 13988 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 42372 "gram.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 13994 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 42380 "gram.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 13997 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42386 "gram.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 14004 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42392 "gram.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 14005 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 42398 "gram.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 14006 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 42404 "gram.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 14007 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 42410 "gram.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 14008 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 42416 "gram.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 14009 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 42422 "gram.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 14010 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 42428 "gram.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 14011 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42434 "gram.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 14022 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 42442 "gram.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 14026 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 42450 "gram.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 14033 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42456 "gram.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 14039 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 42462 "gram.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 14040 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42468 "gram.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 14057 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 42476 "gram.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 14061 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 42485 "gram.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 14066 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 42493 "gram.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 14070 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 42512 "gram.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 14085 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 42520 "gram.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 14089 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42526 "gram.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 14093 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42532 "gram.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 14096 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42538 "gram.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 14099 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 42544 "gram.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 14100 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42550 "gram.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 14101 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42556 "gram.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 14105 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 42567 "gram.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 14111 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 42573 "gram.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 14122 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 42587 "gram.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 14135 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 42593 "gram.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 14136 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 42599 "gram.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 14141 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 42611 "gram.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 14151 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42617 "gram.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 14152 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 42623 "gram.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 14155 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42629 "gram.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 14156 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 42635 "gram.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 14160 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 42643 "gram.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 14164 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 42651 "gram.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 14171 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 42659 "gram.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 14175 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 42667 "gram.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 14179 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 42679 "gram.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 14187 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 42691 "gram.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 14197 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42697 "gram.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 14198 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 42703 "gram.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 14202 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 42709 "gram.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 14203 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 42715 "gram.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 14207 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42721 "gram.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 14208 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 42727 "gram.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 14222 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42733 "gram.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 14223 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42739 "gram.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 14227 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 42745 "gram.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 14228 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 42751 "gram.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 14232 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 42763 "gram.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 14248 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 42775 "gram.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 14256 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 42787 "gram.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 14264 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 42803 "gram.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 14285 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 42809 "gram.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 14286 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 42815 "gram.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 14298 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 42823 "gram.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 14302 "gram.y" /* yacc.c:1646  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 42852 "gram.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 14329 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 42858 "gram.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 14331 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 42864 "gram.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 14335 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42870 "gram.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 14338 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42876 "gram.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 14341 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42882 "gram.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 14343 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42888 "gram.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 14345 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42894 "gram.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 14347 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42900 "gram.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 14358 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 42906 "gram.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 14360 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 42915 "gram.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 14371 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 42923 "gram.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 14375 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 42931 "gram.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 14379 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 42939 "gram.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 14383 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 42947 "gram.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 14387 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 42960 "gram.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 14396 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 42971 "gram.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 14403 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 43007 "gram.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 14435 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 43015 "gram.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 14439 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 43025 "gram.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 14445 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 43036 "gram.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 14452 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[0]));
				}
#line 43044 "gram.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 14456 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[0]));
				}
#line 43052 "gram.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 14460 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 43060 "gram.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 14465 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 43066 "gram.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 14466 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43072 "gram.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 14468 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 43078 "gram.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 14469 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 43084 "gram.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 14470 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 43090 "gram.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 14475 "gram.y" /* yacc.c:1646  */
    {
					RoleSpec *spc = (RoleSpec *) (yyvsp[0].rolespec);
					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
					}
				}
#line 43122 "gram.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 14505 "gram.y" /* yacc.c:1646  */
    {
						/*
						 * "public" and "none" are not keywords, but they must
						 * be treated specially here.
						 */
						RoleSpec *n;
						if (strcmp((yyvsp[0].str), "public") == 0)
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
							n->roletype = ROLESPEC_PUBLIC;
						}
						else if (strcmp((yyvsp[0].str), "none") == 0)
						{
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"none"),
									 parser_errposition((yylsp[0]))));
						}
						else
						{
							n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
							n->rolename = pstrdup((yyvsp[0].str));
						}
						(yyval.rolespec) = n;
					}
#line 43153 "gram.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 14532 "gram.y" /* yacc.c:1646  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
					}
#line 43161 "gram.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 14536 "gram.y" /* yacc.c:1646  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
					}
#line 43169 "gram.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 14542 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 43175 "gram.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 14544 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 43181 "gram.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 14560 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43187 "gram.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 14561 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43193 "gram.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 14562 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43199 "gram.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 14567 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43205 "gram.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 14568 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43211 "gram.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 14569 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43217 "gram.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 14574 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43223 "gram.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 14575 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43229 "gram.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 14576 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43235 "gram.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 14577 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43241 "gram.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 14583 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43247 "gram.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 14584 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43253 "gram.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 14585 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43259 "gram.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 14586 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43265 "gram.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 14587 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43271 "gram.c" /* yacc.c:1646  */
    break;


#line 43275 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15076 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	int			ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = list_length(directargs);

	return list_make2(list_concat(directargs, orderedargs),
					  makeInteger(ndirectargs));
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
