/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 647 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQLERROR = 292,
    SQL_SQLPRINT = 293,
    SQL_SQLWARNING = 294,
    SQL_START = 295,
    SQL_STOP = 296,
    SQL_STRUCT = 297,
    SQL_UNSIGNED = 298,
    SQL_VAR = 299,
    SQL_WHENEVER = 300,
    S_ADD = 301,
    S_AND = 302,
    S_ANYTHING = 303,
    S_AUTO = 304,
    S_CONST = 305,
    S_DEC = 306,
    S_DIV = 307,
    S_DOTPOINT = 308,
    S_EQUAL = 309,
    S_EXTERN = 310,
    S_INC = 311,
    S_LSHIFT = 312,
    S_MEMPOINT = 313,
    S_MEMBER = 314,
    S_MOD = 315,
    S_MUL = 316,
    S_NEQUAL = 317,
    S_OR = 318,
    S_REGISTER = 319,
    S_RSHIFT = 320,
    S_STATIC = 321,
    S_SUB = 322,
    S_VOLATILE = 323,
    S_TYPEDEF = 324,
    CSTRING = 325,
    CVARIABLE = 326,
    CPP_LINE = 327,
    IP = 328,
    DOLCONST = 329,
    ECONST = 330,
    NCONST = 331,
    UCONST = 332,
    UIDENT = 333,
    IDENT = 334,
    FCONST = 335,
    SCONST = 336,
    BCONST = 337,
    XCONST = 338,
    Op = 339,
    ICONST = 340,
    PARAM = 341,
    TYPECAST = 342,
    DOT_DOT = 343,
    COLON_EQUALS = 344,
    EQUALS_GREATER = 345,
    LESS_EQUALS = 346,
    GREATER_EQUALS = 347,
    NOT_EQUALS = 348,
    ABORT_P = 349,
    ABSOLUTE_P = 350,
    ACCESS = 351,
    ACTION = 352,
    ADD_P = 353,
    ADMIN = 354,
    AFTER = 355,
    AGGREGATE = 356,
    ALL = 357,
    ALSO = 358,
    ALTER = 359,
    ALWAYS = 360,
    ANALYSE = 361,
    ANALYZE = 362,
    AND = 363,
    ANY = 364,
    ARRAY = 365,
    AS = 366,
    ASC = 367,
    ASSERTION = 368,
    ASSIGNMENT = 369,
    ASYMMETRIC = 370,
    AT = 371,
    ATTACH = 372,
    ATTRIBUTE = 373,
    AUTHORIZATION = 374,
    BACKWARD = 375,
    BEFORE = 376,
    BEGIN_P = 377,
    BETWEEN = 378,
    BIGINT = 379,
    BINARY = 380,
    BIT = 381,
    BOOLEAN_P = 382,
    BOTH = 383,
    BY = 384,
    CACHE = 385,
    CALLED = 386,
    CASCADE = 387,
    CASCADED = 388,
    CASE = 389,
    CAST = 390,
    CATALOG_P = 391,
    CHAIN = 392,
    CHAR_P = 393,
    CHARACTER = 394,
    CHARACTERISTICS = 395,
    CHECK = 396,
    CHECKPOINT = 397,
    CLASS = 398,
    CLOSE = 399,
    CLUSTER = 400,
    COALESCE = 401,
    COLLATE = 402,
    COLLATION = 403,
    COLUMN = 404,
    COLUMNS = 405,
    COMMENT = 406,
    COMMENTS = 407,
    COMMIT = 408,
    COMMITTED = 409,
    CONCURRENTLY = 410,
    CONFIGURATION = 411,
    CONFLICT = 412,
    CONNECTION = 413,
    CONSTRAINT = 414,
    CONSTRAINTS = 415,
    CONTENT_P = 416,
    CONTINUE_P = 417,
    CONVERSION_P = 418,
    COPY = 419,
    COST = 420,
    CREATE = 421,
    CROSS = 422,
    CSV = 423,
    CUBE = 424,
    CURRENT_P = 425,
    CURRENT_CATALOG = 426,
    CURRENT_DATE = 427,
    CURRENT_ROLE = 428,
    CURRENT_SCHEMA = 429,
    CURRENT_TIME = 430,
    CURRENT_TIMESTAMP = 431,
    CURRENT_USER = 432,
    CURSOR = 433,
    CYCLE = 434,
    DATA_P = 435,
    DATABASE = 436,
    DAY_P = 437,
    DEALLOCATE = 438,
    DEC = 439,
    DECIMAL_P = 440,
    DECLARE = 441,
    DEFAULT = 442,
    DEFAULTS = 443,
    DEFERRABLE = 444,
    DEFERRED = 445,
    DEFINER = 446,
    DELETE_P = 447,
    DELIMITER = 448,
    DELIMITERS = 449,
    DEPENDS = 450,
    DESC = 451,
    DETACH = 452,
    DICTIONARY = 453,
    DISABLE_P = 454,
    DISCARD = 455,
    DISTINCT = 456,
    DO = 457,
    DOCUMENT_P = 458,
    DOMAIN_P = 459,
    DOUBLE_P = 460,
    DROP = 461,
    EACH = 462,
    ELSE = 463,
    ENABLE_P = 464,
    ENCODING = 465,
    ENCRYPTED = 466,
    END_P = 467,
    ENUM_P = 468,
    ESCAPE = 469,
    EVENT = 470,
    EXCEPT = 471,
    EXCLUDE = 472,
    EXCLUDING = 473,
    EXCLUSIVE = 474,
    EXECUTE = 475,
    EXISTS = 476,
    EXPLAIN = 477,
    EXTENSION = 478,
    EXTERNAL = 479,
    EXTRACT = 480,
    FALSE_P = 481,
    FAMILY = 482,
    FETCH = 483,
    FILTER = 484,
    FIRST_P = 485,
    FLOAT_P = 486,
    FOLLOWING = 487,
    FOR = 488,
    FORCE = 489,
    FOREIGN = 490,
    FORWARD = 491,
    FREEZE = 492,
    FROM = 493,
    FULL = 494,
    FUNCTION = 495,
    FUNCTIONS = 496,
    GENERATED = 497,
    GLOBAL = 498,
    GRANT = 499,
    GRANTED = 500,
    GREATEST = 501,
    GROUP_P = 502,
    GROUPING = 503,
    HANDLER = 504,
    HAVING = 505,
    HEADER_P = 506,
    HOLD = 507,
    HOUR_P = 508,
    IDENTITY_P = 509,
    IF_P = 510,
    ILIKE = 511,
    IMMEDIATE = 512,
    IMMUTABLE = 513,
    IMPLICIT_P = 514,
    IMPORT_P = 515,
    IN_P = 516,
    INCLUDING = 517,
    INCREMENT = 518,
    INDEX = 519,
    INDEXES = 520,
    INHERIT = 521,
    INHERITS = 522,
    INITIALLY = 523,
    INLINE_P = 524,
    INNER_P = 525,
    INOUT = 526,
    INPUT_P = 527,
    INSENSITIVE = 528,
    INSERT = 529,
    INSTEAD = 530,
    INT_P = 531,
    INTEGER = 532,
    INTERSECT = 533,
    INTERVAL = 534,
    INTO = 535,
    INVOKER = 536,
    IS = 537,
    ISNULL = 538,
    ISOLATION = 539,
    JOIN = 540,
    KEY = 541,
    LABEL = 542,
    LANGUAGE = 543,
    LARGE_P = 544,
    LAST_P = 545,
    LATERAL_P = 546,
    LEADING = 547,
    LEAKPROOF = 548,
    LEAST = 549,
    LEFT = 550,
    LEVEL = 551,
    LIKE = 552,
    LIMIT = 553,
    LISTEN = 554,
    LOAD = 555,
    LOCAL = 556,
    LOCALTIME = 557,
    LOCALTIMESTAMP = 558,
    LOCATION = 559,
    LOCK_P = 560,
    LOCKED = 561,
    LOGGED = 562,
    MAPPING = 563,
    MATCH = 564,
    MATERIALIZED = 565,
    MAXVALUE = 566,
    METHOD = 567,
    MINUTE_P = 568,
    MINVALUE = 569,
    MODE = 570,
    MONTH_P = 571,
    MOVE = 572,
    NAME_P = 573,
    NAMES = 574,
    NATIONAL = 575,
    NATURAL = 576,
    NCHAR = 577,
    NEW = 578,
    NEXT = 579,
    NO = 580,
    NONE = 581,
    NOT = 582,
    NOTHING = 583,
    NOTIFY = 584,
    NOTNULL = 585,
    NOWAIT = 586,
    NULL_P = 587,
    NULLIF = 588,
    NULLS_P = 589,
    NUMERIC = 590,
    OBJECT_P = 591,
    OF = 592,
    OFF = 593,
    OFFSET = 594,
    OIDS = 595,
    OLD = 596,
    ON = 597,
    ONLY = 598,
    OPERATOR = 599,
    OPTION = 600,
    OPTIONS = 601,
    OR = 602,
    ORDER = 603,
    ORDINALITY = 604,
    OUT_P = 605,
    OUTER_P = 606,
    OVER = 607,
    OVERLAPS = 608,
    OVERLAY = 609,
    OVERRIDING = 610,
    OWNED = 611,
    OWNER = 612,
    PARALLEL = 613,
    PARSER = 614,
    PARTIAL = 615,
    PARTITION = 616,
    PASSING = 617,
    PASSWORD = 618,
    PLACING = 619,
    PLANS = 620,
    POLICY = 621,
    POSITION = 622,
    PRECEDING = 623,
    PRECISION = 624,
    PRESERVE = 625,
    PREPARE = 626,
    PREPARED = 627,
    PRIMARY = 628,
    PRIOR = 629,
    PRIVILEGES = 630,
    PROCEDURAL = 631,
    PROCEDURE = 632,
    PROGRAM = 633,
    PUBLICATION = 634,
    QUOTE = 635,
    RANGE = 636,
    READ = 637,
    REAL = 638,
    REASSIGN = 639,
    RECHECK = 640,
    RECURSIVE = 641,
    REF = 642,
    REFERENCES = 643,
    REFERENCING = 644,
    REFRESH = 645,
    REINDEX = 646,
    RELATIVE_P = 647,
    RELEASE = 648,
    RENAME = 649,
    REPEATABLE = 650,
    REPLACE = 651,
    REPLICA = 652,
    RESET = 653,
    RESTART = 654,
    RESTRICT = 655,
    RETURNING = 656,
    RETURNS = 657,
    REVOKE = 658,
    RIGHT = 659,
    ROLE = 660,
    ROLLBACK = 661,
    ROLLUP = 662,
    ROW = 663,
    ROWS = 664,
    RULE = 665,
    SAVEPOINT = 666,
    SCHEMA = 667,
    SCHEMAS = 668,
    SCROLL = 669,
    SEARCH = 670,
    SECOND_P = 671,
    SECURITY = 672,
    SELECT = 673,
    SEQUENCE = 674,
    SEQUENCES = 675,
    SERIALIZABLE = 676,
    SERVER = 677,
    SESSION = 678,
    SESSION_USER = 679,
    SET = 680,
    SETS = 681,
    SETOF = 682,
    SHARE = 683,
    SHOW = 684,
    SIMILAR = 685,
    SIMPLE = 686,
    SKIP = 687,
    SMALLINT = 688,
    SNAPSHOT = 689,
    SOME = 690,
    SQL_P = 691,
    STABLE = 692,
    STANDALONE_P = 693,
    START = 694,
    STATEMENT = 695,
    STATISTICS = 696,
    STDIN = 697,
    STDOUT = 698,
    STORAGE = 699,
    STRICT_P = 700,
    STRIP_P = 701,
    SUBSCRIPTION = 702,
    SUBSTRING = 703,
    SYMMETRIC = 704,
    SYSID = 705,
    SYSTEM_P = 706,
    TABLE = 707,
    TABLES = 708,
    TABLESAMPLE = 709,
    TABLESPACE = 710,
    TEMP = 711,
    TEMPLATE = 712,
    TEMPORARY = 713,
    TEXT_P = 714,
    THEN = 715,
    TIME = 716,
    TIMESTAMP = 717,
    TO = 718,
    TRAILING = 719,
    TRANSACTION = 720,
    TRANSFORM = 721,
    TREAT = 722,
    TRIGGER = 723,
    TRIM = 724,
    TRUE_P = 725,
    TRUNCATE = 726,
    TRUSTED = 727,
    TYPE_P = 728,
    TYPES_P = 729,
    UNBOUNDED = 730,
    UNCOMMITTED = 731,
    UNENCRYPTED = 732,
    UNION = 733,
    UNIQUE = 734,
    UNKNOWN = 735,
    UNLISTEN = 736,
    UNLOGGED = 737,
    UNTIL = 738,
    UPDATE = 739,
    USER = 740,
    USING = 741,
    VACUUM = 742,
    VALID = 743,
    VALIDATE = 744,
    VALIDATOR = 745,
    VALUE_P = 746,
    VALUES = 747,
    VARCHAR = 748,
    VARIADIC = 749,
    VARYING = 750,
    VERBOSE = 751,
    VERSION_P = 752,
    VIEW = 753,
    VIEWS = 754,
    VOLATILE = 755,
    WHEN = 756,
    WHERE = 757,
    WHITESPACE_P = 758,
    WINDOW = 759,
    WITH = 760,
    WITHIN = 761,
    WITHOUT = 762,
    WORK = 763,
    WRAPPER = 764,
    WRITE = 765,
    XML_P = 766,
    XMLATTRIBUTES = 767,
    XMLCONCAT = 768,
    XMLELEMENT = 769,
    XMLEXISTS = 770,
    XMLFOREST = 771,
    XMLNAMESPACES = 772,
    XMLPARSE = 773,
    XMLPI = 774,
    XMLROOT = 775,
    XMLSERIALIZE = 776,
    XMLTABLE = 777,
    YEAR_P = 778,
    YES_P = 779,
    ZONE = 780,
    NOT_LA = 781,
    NULLS_LA = 782,
    WITH_LA = 783,
    POSTFIXOP = 784,
    UMINUS = 785
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 581 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1233 "preproc.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1262 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   133028

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  550
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  799
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3132
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5940

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   785

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   537,     2,     2,
     542,   543,   535,   533,   545,   534,   544,   536,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   547,   546,
     529,   531,   530,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   540,     2,   541,   538,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   548,     2,   549,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   532,   539
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1601,  1601,  1604,  1606,  1608,  1610,  1612,  1614,  1616,
    1618,  1620,  1622,  1624,  1626,  1628,  1630,  1632,  1634,  1636,
    1638,  1640,  1642,  1644,  1646,  1648,  1650,  1652,  1654,  1656,
    1658,  1660,  1662,  1664,  1666,  1668,  1670,  1672,  1674,  1692,
    1694,  1696,  1698,  1700,  1702,  1704,  1706,  1708,  1710,  1712,
    1714,  1716,  1718,  1720,  1722,  1724,  1726,  1728,  1730,  1732,
    1734,  1736,  1738,  1740,  1742,  1744,  1746,  1748,  1750,  1752,
    1754,  1756,  1758,  1760,  1762,  1764,  1768,  1770,  1772,  1774,
    1776,  1778,  1780,  1782,  1784,  1786,  1788,  1790,  1792,  1794,
    1796,  1798,  1800,  1802,  1804,  1806,  1808,  1810,  1812,  1814,
    1816,  1818,  1820,  1822,  1824,  1826,  1828,  1830,  1832,  1834,
    1841,  1843,  1845,  1847,  1849,  1851,  1853,  1855,  1857,  1859,
    1861,  1863,  1869,  1871,  1873,  1875,  1877,  1879,  1881,  1883,
    1885,  1891,  1901,  1905,  1911,  1915,  1925,  1935,  1936,  1950,
    1957,  1963,  1974,  1980,  1989,  1996,  2002,  2011,  2018,  2026,
    2031,  2039,  2043,  2048,  2054,  2059,  2065,  2070,  2076,  2080,
    2084,  2088,  2093,  2097,  2101,  2105,  2109,  2117,  2121,  2125,
    2129,  2133,  2137,  2145,  2153,  2162,  2164,  2172,  2176,  2184,
    2192,  2200,  2204,  2212,  2216,  2224,  2232,  2240,  2244,  2252,
    2256,  2264,  2268,  2272,  2277,  2286,  2291,  2297,  2302,  2308,
    2312,  2316,  2320,  2324,  2328,  2336,  2340,  2344,  2352,  2356,
    2360,  2368,  2372,  2376,  2380,  2381,  2385,  2389,  2393,  2398,
    2402,  2406,  2410,  2414,  2418,  2422,  2430,  2434,  2442,  2446,
    2454,  2458,  2472,  2476,  2480,  2484,  2492,  2496,  2500,  2504,
    2512,  2516,  2520,  2524,  2528,  2532,  2536,  2544,  2548,  2553,
    2559,  2563,  2571,  2579,  2583,  2587,  2591,  2599,  2603,  2611,
    2615,  2623,  2627,  2635,  2639,  2643,  2647,  2651,  2660,  2668,
    2672,  2680,  2684,  2692,  2700,  2704,  2708,  2712,  2716,  2724,
    2728,  2732,  2736,  2740,  2744,  2748,  2752,  2756,  2760,  2764,
    2768,  2772,  2776,  2780,  2784,  2788,  2792,  2800,  2804,  2812,
    2816,  2824,  2828,  2832,  2836,  2840,  2844,  2848,  2852,  2856,
    2860,  2864,  2868,  2872,  2876,  2880,  2884,  2888,  2892,  2896,
    2900,  2904,  2908,  2912,  2916,  2920,  2924,  2928,  2932,  2936,
    2940,  2944,  2948,  2952,  2956,  2960,  2964,  2968,  2972,  2976,
    2980,  2984,  2988,  2992,  2996,  3000,  3004,  3008,  3012,  3016,
    3020,  3024,  3028,  3032,  3036,  3040,  3044,  3052,  3056,  3064,
    3068,  3073,  3079,  3084,  3090,  3095,  3101,  3105,  3109,  3113,
    3121,  3129,  3134,  3140,  3144,  3152,  3156,  3160,  3164,  3172,
    3176,  3184,  3188,  3192,  3196,  3204,  3208,  3216,  3220,  3224,
    3232,  3236,  3244,  3248,  3256,  3260,  3268,  3276,  3280,  3288,
    3292,  3296,  3300,  3308,  3313,  3321,  3329,  3337,  3341,  3349,
    3354,  3360,  3364,  3368,  3376,  3380,  3388,  3393,  3399,  3403,
    3407,  3411,  3415,  3419,  3423,  3427,  3431,  3435,  3439,  3443,
    3447,  3451,  3459,  3464,  3470,  3475,  3481,  3486,  3492,  3497,
    3503,  3507,  3515,  3523,  3527,  3531,  3535,  3540,  3546,  3550,
    3558,  3566,  3570,  3574,  3578,  3582,  3586,  3594,  3598,  3602,
    3606,  3610,  3614,  3618,  3623,  3629,  3634,  3640,  3645,  3651,
    3655,  3663,  3667,  3675,  3679,  3683,  3691,  3695,  3703,  3711,
    3715,  3723,  3728,  3734,  3738,  3742,  3746,  3754,  3758,  3762,
    3766,  3770,  3774,  3778,  3782,  3790,  3794,  3802,  3806,  3810,
    3814,  3822,  3830,  3834,  3839,  3845,  3849,  3853,  3857,  3861,
    3865,  3869,  3877,  3881,  3889,  3893,  3897,  3901,  3905,  3909,
    3913,  3921,  3926,  3932,  3937,  3943,  3947,  3955,  3963,  3967,
    3972,  3977,  3983,  3987,  3995,  3999,  4007,  4012,  4018,  4022,
    4026,  4030,  4035,  4041,  4049,  4057,  4061,  4065,  4069,  4073,
    4081,  4086,  4092,  4097,  4103,  4111,  4115,  4123,  4127,  4135,
    4139,  4143,  4151,  4155,  4159,  4164,  4170,  4174,  4178,  4183,
    4189,  4194,  4200,  4205,  4211,  4219,  4227,  4235,  4239,  4244,
    4250,  4254,  4262,  4270,  4275,  4281,  4289,  4293,  4301,  4305,
    4313,  4318,  4324,  4329,  4335,  4339,  4347,  4351,  4355,  4359,
    4363,  4367,  4371,  4375,  4379,  4383,  4387,  4391,  4395,  4399,
    4407,  4412,  4418,  4422,  4426,  4434,  4438,  4446,  4450,  4458,
    4463,  4469,  4473,  4481,  4486,  4492,  4496,  4504,  4509,  4515,
    4519,  4527,  4532,  4538,  4546,  4551,  4557,  4561,  4569,  4573,
    4581,  4586,  4592,  4596,  4600,  4604,  4612,  4620,  4625,  4631,
    4639,  4643,  4647,  4651,  4655,  4659,  4663,  4667,  4671,  4675,
    4679,  4683,  4687,  4691,  4695,  4699,  4703,  4707,  4711,  4715,
    4719,  4723,  4727,  4731,  4735,  4739,  4747,  4755,  4759,  4763,
    4767,  4775,  4779,  4787,  4792,  4798,  4802,  4810,  4815,  4821,
    4825,  4833,  4841,  4845,  4853,  4857,  4861,  4865,  4873,  4881,
    4889,  4897,  4901,  4909,  4914,  4920,  4924,  4932,  4937,  4943,
    4947,  4951,  4959,  4963,  4967,  4971,  4979,  4983,  4991,  4999,
    5003,  5011,  5016,  5022,  5026,  5034,  5038,  5046,  5050,  5058,
    5066,  5074,  5082,  5087,  5093,  5098,  5104,  5109,  5115,  5120,
    5126,  5131,  5137,  5142,  5148,  5152,  5156,  5160,  5164,  5172,
    5180,  5184,  5192,  5196,  5200,  5208,  5212,  5220,  5224,  5228,
    5232,  5236,  5244,  5249,  5255,  5259,  5267,  5275,  5279,  5287,
    5291,  5299,  5307,  5312,  5318,  5323,  5329,  5333,  5341,  5346,
    5352,  5356,  5361,  5367,  5371,  5375,  5379,  5387,  5392,  5399,
    5401,  5409,  5413,  5417,  5421,  5425,  5429,  5437,  5441,  5449,
    5453,  5461,  5469,  5473,  5481,  5489,  5493,  5497,  5501,  5509,
    5518,  5527,  5531,  5535,  5539,  5543,  5547,  5551,  5555,  5559,
    5563,  5567,  5571,  5575,  5579,  5583,  5587,  5595,  5603,  5607,
    5615,  5619,  5627,  5631,  5635,  5639,  5643,  5647,  5655,  5663,
    5667,  5675,  5683,  5688,  5694,  5698,  5706,  5710,  5714,  5718,
    5726,  5731,  5737,  5745,  5749,  5757,  5761,  5765,  5769,  5773,
    5781,  5786,  5792,  5797,  5803,  5807,  5812,  5818,  5824,  5830,
    5838,  5842,  5850,  5854,  5862,  5866,  5874,  5878,  5886,  5890,
    5898,  5906,  5914,  5918,  5922,  5926,  5930,  5934,  5938,  5942,
    5946,  5950,  5954,  5958,  5966,  5970,  5974,  5978,  5982,  5986,
    5990,  5994,  5998,  6002,  6006,  6010,  6014,  6022,  6026,  6030,
    6034,  6038,  6042,  6046,  6054,  6058,  6062,  6070,  6074,  6082,
    6086,  6094,  6098,  6106,  6110,  6111,  6119,  6123,  6128,  6134,
    6138,  6142,  6146,  6150,  6154,  6158,  6162,  6166,  6170,  6174,
    6178,  6182,  6186,  6190,  6194,  6198,  6206,  6210,  6214,  6218,
    6222,  6226,  6230,  6234,  6238,  6242,  6246,  6250,  6254,  6258,
    6266,  6270,  6274,  6278,  6282,  6286,  6290,  6294,  6298,  6302,
    6306,  6310,  6318,  6322,  6330,  6334,  6338,  6342,  6346,  6350,
    6354,  6362,  6367,  6373,  6377,  6381,  6385,  6389,  6393,  6401,
    6405,  6409,  6413,  6417,  6421,  6425,  6429,  6437,  6441,  6449,
    6453,  6457,  6461,  6467,  6473,  6479,  6485,  6491,  6497,  6503,
    6513,  6524,  6535,  6546,  6557,  6568,  6579,  6595,  6611,  6627,
    6638,  6654,  6665,  6681,  6696,  6700,  6708,  6713,  6719,  6727,
    6731,  6739,  6743,  6747,  6751,  6755,  6763,  6767,  6775,  6779,
    6783,  6787,  6795,  6799,  6803,  6807,  6811,  6815,  6819,  6823,
    6827,  6831,  6835,  6839,  6843,  6847,  6851,  6855,  6863,  6867,
    6875,  6879,  6887,  6892,  6898,  6906,  6910,  6918,  6923,  6929,
    6934,  6940,  6948,  6953,  6959,  6963,  6967,  6975,  6979,  6983,
    6991,  6995,  6999,  7003,  7007,  7015,  7019,  7027,  7032,  7038,
    7043,  7049,  7054,  7060,  7065,  7071,  7075,  7083,  7087,  7091,
    7099,  7104,  7110,  7115,  7121,  7125,  7130,  7136,  7140,  7145,
    7151,  7155,  7159,  7167,  7172,  7178,  7182,  7190,  7194,  7202,
    7206,  7214,  7218,  7222,  7226,  7234,  7238,  7246,  7250,  7258,
    7262,  7266,  7270,  7274,  7282,  7286,  7290,  7294,  7298,  7306,
    7314,  7322,  7326,  7330,  7338,  7342,  7346,  7354,  7363,  7367,
    7371,  7375,  7383,  7387,  7395,  7403,  7407,  7415,  7419,  7427,
    7431,  7435,  7439,  7443,  7447,  7451,  7455,  7459,  7463,  7467,
    7471,  7475,  7479,  7483,  7487,  7495,  7499,  7503,  7507,  7511,
    7519,  7523,  7531,  7535,  7543,  7548,  7554,  7562,  7566,  7574,
    7582,  7586,  7594,  7599,  7605,  7609,  7617,  7621,  7629,  7633,
    7641,  7645,  7649,  7653,  7661,  7665,  7673,  7677,  7685,  7693,
    7701,  7705,  7713,  7717,  7725,  7729,  7733,  7741,  7745,  7750,
    7756,  7764,  7769,  7775,  7783,  7787,  7791,  7795,  7803,  7811,
    7815,  7819,  7823,  7831,  7835,  7843,  7847,  7851,  7859,  7863,
    7871,  7879,  7883,  7891,  7895,  7899,  7903,  7907,  7911,  7915,
    7919,  7923,  7927,  7931,  7935,  7939,  7943,  7947,  7951,  7955,
    7959,  7963,  7967,  7971,  7975,  7979,  7983,  7987,  7991,  7995,
    7999,  8003,  8007,  8011,  8015,  8019,  8023,  8027,  8031,  8035,
    8039,  8043,  8047,  8051,  8055,  8059,  8063,  8067,  8071,  8075,
    8079,  8083,  8087,  8091,  8099,  8104,  8110,  8115,  8121,  8125,
    8129,  8133,  8141,  8145,  8149,  8153,  8157,  8161,  8165,  8169,
    8173,  8177,  8181,  8185,  8189,  8193,  8197,  8201,  8205,  8209,
    8213,  8217,  8221,  8225,  8229,  8233,  8237,  8245,  8253,  8257,
    8265,  8269,  8277,  8281,  8285,  8289,  8293,  8301,  8305,  8309,
    8313,  8317,  8321,  8325,  8329,  8333,  8337,  8341,  8345,  8349,
    8353,  8357,  8361,  8365,  8369,  8373,  8377,  8381,  8385,  8393,
    8401,  8406,  8412,  8416,  8424,  8428,  8432,  8436,  8444,  8452,
    8456,  8464,  8472,  8476,  8480,  8484,  8488,  8492,  8496,  8504,
    8508,  8516,  8524,  8528,  8532,  8540,  8544,  8552,  8556,  8560,
    8564,  8568,  8576,  8581,  8587,  8591,  8595,  8599,  8607,  8611,
    8616,  8622,  8630,  8635,  8641,  8649,  8653,  8661,  8665,  8669,
    8673,  8677,  8681,  8685,  8689,  8693,  8697,  8701,  8705,  8709,
    8713,  8721,  8725,  8730,  8736,  8740,  8744,  8748,  8752,  8760,
    8764,  8768,  8776,  8781,  8787,  8791,  8795,  8800,  8809,  8813,
    8817,  8822,  8828,  8836,  8844,  8849,  8855,  8859,  8867,  8871,
    8875,  8883,  8887,  8891,  8895,  8899,  8903,  8907,  8915,  8920,
    8926,  8930,  8934,  8942,  8950,  8954,  8962,  8970,  8974,  8982,
    8990,  8994,  8998,  9002,  9006,  9010,  9014,  9022,  9027,  9033,
    9041,  9045,  9049,  9053,  9057,  9061,  9069,  9073,  9081,  9089,
    9093,  9097,  9105,  9110,  9116,  9120,  9124,  9128,  9132,  9140,
    9144,  9152,  9156,  9160,  9164,  9168,  9176,  9180,  9188,  9192,
    9200,  9205,  9211,  9216,  9222,  9227,  9233,  9238,  9244,  9248,
    9252,  9256,  9264,  9268,  9272,  9276,  9280,  9284,  9288,  9292,
    9296,  9304,  9308,  9316,  9324,  9328,  9336,  9340,  9345,  9351,
    9357,  9367,  9372,  9378,  9382,  9386,  9390,  9398,  9400,  9408,
    9413,  9419,  9427,  9431,  9439,  9443,  9447,  9451,  9455,  9463,
    9467,  9475,  9479,  9487,  9495,  9499,  9504,  9510,  9514,  9519,
    9525,  9530,  9536,  9544,  9549,  9555,  9563,  9568,  9574,  9578,
    9582,  9586,  9590,  9594,  9598,  9602,  9610,  9615,  9621,  9625,
    9630,  9636,  9644,  9648,  9656,  9660,  9668,  9676,  9680,  9688,
    9741,  9745,  9758,  9760,  9764,  9768,  9772,  9781,  9787,  9791,
    9799,  9803,  9811,  9815,  9823,  9827,  9831,  9835,  9839,  9843,
    9847,  9851,  9859,  9863,  9871,  9875,  9879,  9883,  9887,  9891,
    9895,  9903,  9907,  9911,  9919,  9923,  9931,  9939,  9944,  9950,
    9955,  9957,  9963,  9967,  9971,  9975,  9979,  9983,  9987,  9991,
    9995, 10003, 10008, 10014, 10018, 10023, 10029, 10033, 10041, 10046,
   10052, 10057, 10063, 10071, 10075, 10083, 10087, 10095, 10099, 10103,
   10107, 10115, 10120, 10126, 10130, 10135, 10143, 10147, 10155, 10159,
   10167, 10175, 10179, 10184, 10190, 10198, 10202, 10210, 10214, 10222,
   10227, 10233, 10237, 10245, 10249, 10253, 10257, 10261, 10269, 10277,
   10285, 10293, 10301, 10306, 10312, 10316, 10324, 10329, 10335, 10339,
   10347, 10355, 10359, 10363, 10367, 10375, 10380, 10386, 10390, 10398,
   10403, 10409, 10413, 10421, 10425, 10429, 10433, 10437, 10441, 10445,
   10452, 10459, 10463, 10471, 10475, 10479, 10483, 10487, 10491, 10499,
   10503, 10507, 10511, 10519, 10524, 10530, 10534, 10538, 10542, 10547,
   10553, 10557, 10561, 10565, 10573, 10578, 10584, 10588, 10596, 10600,
   10604, 10608, 10616, 10620, 10628, 10632, 10636, 10644, 10652, 10657,
   10663, 10667, 10675, 10683, 10687, 10695, 10700, 10706, 10711, 10717,
   10722, 10728, 10732, 10738, 10744, 10749, 10755, 10759, 10767, 10775,
   10779, 10787, 10791, 10799, 10803, 10807, 10815, 10819, 10827, 10831,
   10835, 10839, 10847, 10851, 10859, 10863, 10871, 10873, 10875, 10879,
   10883, 10887, 10895, 10905, 10916, 10925, 10929, 10933, 10937, 10941,
   10945, 10949, 10957, 10961, 10965, 10969, 10977, 10981, 10989, 10994,
   11000, 11004, 11008, 11012, 11016, 11020, 11024, 11028, 11032, 11036,
   11040, 11048, 11053, 11059, 11063, 11071, 11075, 11083, 11091, 11099,
   11103, 11111, 11115, 11123, 11131, 11139, 11143, 11147, 11151, 11155,
   11159, 11167, 11172, 11178, 11182, 11186, 11190, 11198, 11206, 11210,
   11215, 11221, 11225, 11229, 11233, 11237, 11241, 11245, 11249, 11253,
   11257, 11261, 11265, 11269, 11274, 11280, 11284, 11292, 11296, 11300,
   11304, 11308, 11312, 11316, 11320, 11324, 11328, 11332, 11336, 11340,
   11344, 11348, 11352, 11356, 11360, 11364, 11368, 11372, 11376, 11380,
   11384, 11388, 11392, 11396, 11400, 11404, 11408, 11412, 11416, 11420,
   11424, 11428, 11432, 11436, 11440, 11444, 11448, 11452, 11456, 11460,
   11464, 11468, 11472, 11476, 11480, 11484, 11488, 11492, 11496, 11500,
   11504, 11508, 11512, 11516, 11520, 11524, 11528, 11532, 11537, 11541,
   11545, 11553, 11557, 11561, 11565, 11569, 11573, 11577, 11581, 11585,
   11589, 11593, 11597, 11601, 11605, 11609, 11613, 11617, 11621, 11625,
   11629, 11633, 11637, 11641, 11645, 11649, 11657, 11661, 11665, 11669,
   11673, 11677, 11681, 11685, 11689, 11693, 11697, 11701, 11705, 11709,
   11717, 11721, 11725, 11729, 11733, 11737, 11741, 11749, 11753, 11761,
   11765, 11773, 11777, 11781, 11785, 11789, 11793, 11797, 11801, 11805,
   11809, 11813, 11817, 11821, 11825, 11829, 11833, 11837, 11841, 11845,
   11849, 11853, 11857, 11861, 11865, 11869, 11873, 11877, 11881, 11885,
   11889, 11893, 11897, 11901, 11905, 11909, 11913, 11917, 11921, 11925,
   11929, 11933, 11937, 11945, 11949, 11957, 11961, 11965, 11970, 11976,
   11984, 11988, 11996, 12000, 12008, 12012, 12020, 12024, 12029, 12035,
   12039, 12043, 12047, 12055, 12060, 12066, 12071, 12077, 12082, 12088,
   12092, 12100, 12108, 12112, 12117, 12123, 12131, 12135, 12142, 12147,
   12153, 12158, 12163, 12169, 12173, 12181, 12185, 12189, 12193, 12197,
   12205, 12209, 12213, 12221, 12225, 12233, 12241, 12245, 12249, 12257,
   12261, 12269, 12273, 12277, 12281, 12285, 12289, 12293, 12297, 12301,
   12305, 12309, 12313, 12321, 12325, 12333, 12337, 12345, 12349, 12353,
   12357, 12361, 12365, 12373, 12377, 12385, 12389, 12397, 12401, 12405,
   12413, 12417, 12425, 12429, 12433, 12441, 12445, 12453, 12458, 12464,
   12468, 12472, 12476, 12480, 12484, 12488, 12492, 12500, 12504, 12512,
   12520, 12525, 12531, 12535, 12539, 12543, 12547, 12552, 12558, 12566,
   12574, 12578, 12582, 12590, 12594, 12602, 12610, 12614, 12622, 12630,
   12635, 12641, 12646, 12652, 12656, 12664, 12668, 12672, 12676, 12684,
   12689, 12695, 12699, 12708, 12710, 12718, 12723, 12729, 12734, 12740,
   12744, 12752, 12756, 12760, 12764, 12772, 12776, 12784, 12788, 12796,
   12800, 12808, 12816, 12824, 12832, 12840, 12848, 12856, 12860, 12868,
   12872, 12876, 12880, 12884, 12888, 12892, 12896, 12900, 12904, 12908,
   12912, 12916, 12920, 12921, 12926, 12932, 12936, 12937, 12941, 12949,
   12957, 12961, 12965, 12973, 12977, 12985, 12989, 12993, 12997, 13005,
   13009, 13013, 13017, 13021, 13025, 13029, 13033, 13037, 13041, 13045,
   13049, 13053, 13057, 13061, 13065, 13069, 13073, 13077, 13081, 13085,
   13089, 13093, 13097, 13101, 13105, 13109, 13113, 13117, 13121, 13125,
   13129, 13133, 13137, 13141, 13145, 13149, 13153, 13157, 13161, 13165,
   13169, 13173, 13177, 13181, 13185, 13189, 13193, 13197, 13201, 13205,
   13209, 13213, 13217, 13221, 13225, 13229, 13233, 13237, 13241, 13245,
   13249, 13253, 13257, 13261, 13265, 13269, 13273, 13277, 13281, 13285,
   13289, 13293, 13297, 13301, 13305, 13309, 13313, 13317, 13321, 13325,
   13329, 13333, 13337, 13341, 13345, 13349, 13353, 13357, 13361, 13365,
   13369, 13373, 13377, 13381, 13385, 13389, 13393, 13397, 13401, 13405,
   13409, 13413, 13417, 13421, 13425, 13429, 13433, 13437, 13441, 13445,
   13449, 13453, 13457, 13461, 13465, 13469, 13473, 13477, 13481, 13485,
   13489, 13493, 13497, 13501, 13505, 13509, 13513, 13517, 13521, 13525,
   13529, 13533, 13537, 13541, 13545, 13549, 13553, 13557, 13561, 13565,
   13569, 13573, 13577, 13581, 13585, 13589, 13593, 13597, 13601, 13605,
   13609, 13613, 13617, 13621, 13625, 13629, 13633, 13637, 13641, 13645,
   13649, 13653, 13657, 13661, 13665, 13669, 13673, 13677, 13681, 13685,
   13689, 13693, 13697, 13701, 13705, 13709, 13713, 13717, 13721, 13725,
   13729, 13733, 13737, 13741, 13745, 13749, 13753, 13757, 13761, 13765,
   13769, 13773, 13777, 13781, 13785, 13789, 13793, 13797, 13801, 13805,
   13809, 13813, 13817, 13821, 13825, 13829, 13833, 13837, 13841, 13845,
   13849, 13853, 13857, 13861, 13865, 13869, 13873, 13877, 13881, 13885,
   13889, 13893, 13897, 13901, 13905, 13909, 13913, 13917, 13921, 13925,
   13929, 13933, 13937, 13941, 13945, 13949, 13953, 13957, 13961, 13965,
   13969, 13973, 13977, 13981, 13985, 13989, 13993, 13997, 14001, 14005,
   14009, 14013, 14017, 14021, 14025, 14029, 14033, 14037, 14041, 14045,
   14049, 14053, 14057, 14061, 14065, 14069, 14073, 14077, 14081, 14085,
   14089, 14093, 14101, 14105, 14109, 14113, 14117, 14121, 14125, 14129,
   14133, 14137, 14141, 14145, 14149, 14153, 14157, 14161, 14165, 14169,
   14173, 14177, 14181, 14185, 14189, 14193, 14197, 14201, 14205, 14209,
   14213, 14217, 14221, 14225, 14229, 14233, 14237, 14241, 14245, 14249,
   14253, 14257, 14261, 14265, 14269, 14273, 14277, 14281, 14285, 14293,
   14297, 14301, 14305, 14309, 14313, 14317, 14321, 14325, 14329, 14333,
   14337, 14341, 14345, 14349, 14353, 14357, 14361, 14365, 14369, 14373,
   14377, 14381, 14389, 14393, 14397, 14401, 14405, 14409, 14413, 14417,
   14421, 14425, 14429, 14433, 14437, 14441, 14445, 14449, 14453, 14457,
   14461, 14465, 14469, 14473, 14477, 14481, 14485, 14489, 14493, 14497,
   14501, 14505, 14509, 14513, 14517, 14521, 14525, 14529, 14533, 14537,
   14541, 14545, 14549, 14553, 14557, 14561, 14565, 14569, 14573, 14577,
   14581, 14585, 14589, 14593, 14597, 14601, 14605, 14609, 14613, 14617,
   14621, 14625, 14629, 14633, 14637, 14641, 14645, 14649, 14653, 14657,
   14661, 14665, 14669, 14673, 14677, 14681, 14685, 14695, 14696, 14699,
   14700, 14701, 14707, 14708, 14709, 14710, 14711, 14724, 14724, 14733,
   14748, 14750, 14753, 14755, 14759, 14771, 14787, 14791, 14802, 14803,
   14806, 14818, 14827, 14828, 14831, 14832, 14833, 14836, 14837, 14840,
   14841, 14844, 14845, 14848, 14850, 14852, 14854, 14858, 14865, 14872,
   14888, 14922, 14932, 14935, 14939, 14952, 14953, 14955, 14957, 14961,
   14975, 14982, 15043, 15052, 15054, 15055, 15058, 15060, 15061, 15064,
   15065, 15066, 15067, 15068, 15075, 15074, 15084, 15086, 15088, 15089,
   15092, 15093, 15094, 15095, 15098, 15099, 15103, 15102, 15119, 15117,
   15133, 15132, 15146, 15152, 15153, 15156, 15158, 15159, 15162, 15163,
   15164, 15165, 15168, 15169, 15172, 15180, 15197, 15205, 15228, 15334,
   15368, 15370, 15372, 15376, 15380, 15379, 15430, 15432, 15431, 15446,
   15452, 15459, 15464, 15470, 15471, 15474, 15475, 15476, 15477, 15478,
   15479, 15480, 15488, 15496, 15499, 15500, 15501, 15502, 15503, 15504,
   15512, 15520, 15521, 15522, 15525, 15526, 15529, 15531, 15540, 15628,
   15629, 15636, 15637, 15638, 15644, 15653, 15656, 15657, 15658, 15659,
   15662, 15663, 15664, 15667, 15669, 15677, 15678, 15684, 15692, 15693,
   15696, 15697, 15700, 15705, 15712, 15717, 15724, 15731, 15731, 15733,
   15740, 15741, 15744, 15745, 15746, 15747, 15748, 15749, 15750, 15751,
   15752, 15758, 15765, 15777, 15783, 15790, 15798, 15799, 15811, 15822,
   15833, 15837, 15838, 15841, 15846, 15850, 15851, 15854, 15860, 15868,
   15874, 15881, 15885, 15886, 15889, 15892, 15896, 15897, 15900, 15906,
   15915, 15920, 15930, 15940, 15952, 15953, 15954, 15955, 15956, 15957,
   15958, 15959, 15960, 15961, 15962, 15963, 15964, 15965, 15966, 15973,
   15974, 15977, 15978, 15985, 15986, 15987, 15994, 15993, 16010, 16011,
   16018, 16017, 16087, 16093, 16099, 16107, 16113, 16119, 16125, 16131,
   16137, 16143, 16149, 16155, 16166, 16167, 16170, 16171, 16172, 16173,
   16174, 16175, 16176, 16177, 16178, 16179, 16180, 16181, 16182, 16183,
   16184, 16185, 16186, 16187, 16188, 16189, 16190, 16191, 16192, 16195,
   16196, 16197, 16198, 16199, 16200, 16204, 16205, 16206, 16207, 16208,
   16209, 16210, 16213, 16216, 16217, 16218, 16219, 16220, 16221, 16222,
   16223, 16236, 16237, 16238, 16239, 16240, 16241, 16242, 16247, 16248,
   16249, 16250, 16251, 16252, 16258, 16259, 16260, 16261, 16262, 16263,
   16264, 16265, 16266, 16267, 16268, 16271, 16272, 16273, 16274, 16275,
   16278, 16279, 16280, 16281, 16284, 16285, 16286, 16287, 16288, 16289,
   16290, 16307, 16308, 16309, 16312, 16313, 16314, 16315, 16316, 16317,
   16321, 16321, 16324, 16330, 16331, 16334, 16336, 16341, 16351, 16362,
   16369, 16370, 16371, 16374, 16407, 16409, 16411, 16414, 16424, 16434,
   16444, 16445, 16448, 16450, 16451, 16452, 16455, 16457, 16465, 16466,
   16467, 16471, 16472, 16476, 16477, 16480, 16481, 16484, 16485, 16486,
   16487, 16488, 16491, 16492, 16493, 16494, 16495, 16496, 16497, 16498,
   16499, 16500, 16501, 16502, 16503, 16504, 16505, 16506, 16507, 16508,
   16509, 16510, 16511, 16512, 16513, 16514, 16515, 16516, 16517, 16518,
   16519, 16520, 16521, 16522, 16523, 16524, 16525, 16526, 16527, 16528,
   16529, 16530, 16531, 16532, 16533, 16534, 16535, 16536, 16537, 16538,
   16539, 16540, 16541, 16542, 16543, 16544, 16545, 16546, 16549, 16550,
   16551, 16552, 16555, 16556, 16557, 16558, 16559, 16560, 16561, 16562,
   16563, 16564, 16571, 16572, 16573, 16574, 16575, 16578, 16579, 16582,
   16583, 16594, 16595
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQLERROR", "SQL_SQLPRINT", "SQL_SQLWARNING",
  "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED", "SQL_VAR",
  "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO", "S_CONST",
  "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN", "S_INC",
  "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL", "S_NEQUAL",
  "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB", "S_VOLATILE",
  "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP", "DOLCONST",
  "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST", "SCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P",
  "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION",
  "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P",
  "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV",
  "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC",
  "DETACH", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO",
  "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P",
  "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT",
  "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN",
  "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH",
  "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GENERATED", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "GROUPING", "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P",
  "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P",
  "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX", "INDEXES",
  "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P", "INOUT",
  "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER",
  "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION",
  "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P",
  "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT",
  "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP", "LOCATION",
  "LOCK_P", "LOCKED", "LOGGED", "MAPPING", "MATCH", "MATERIALIZED",
  "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE",
  "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEW", "NEXT", "NO",
  "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "OLD", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR",
  "ORDER", "ORDINALITY", "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY",
  "OVERRIDING", "OWNED", "OWNER", "PARALLEL", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POLICY",
  "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM",
  "PUBLICATION", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX",
  "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA",
  "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE",
  "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW",
  "SIMILAR", "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING",
  "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIME",
  "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P",
  "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN",
  "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM",
  "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR",
  "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS",
  "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN",
  "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES",
  "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P",
  "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'", "'='",
  "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['",
  "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'", "$accept",
  "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "ForValues", "partbound_datum",
  "partbound_datum_list", "range_datum_list", "PartitionRangeDatum",
  "AlterCompositeTypeStmt", "alter_type_cmds", "alter_type_cmd",
  "ClosePortalStmt", "CopyStmt", "copy_from", "opt_program",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_strategy", "part_params", "part_elem", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "AlterForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type_any_name", "drop_type_name",
  "drop_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type_any_name", "comment_type_name", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type_any_name",
  "security_label_type_name", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterOwnerStmt",
  "CreatePublicationStmt", "opt_publication_for_tables",
  "publication_for_tables", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "publication_name_list",
  "publication_name_item", "AlterSubscriptionStmt", "DropSubscriptionStmt",
  "RuleStmt", "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterCollationStmt", "AlterSystemStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "any_with", "CreateConversionStmt",
  "ClusterStmt", "cluster_index_specification", "VacuumStmt",
  "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "DeclareCursorStmt", "cursor_name",
  "cursor_options", "opt_hold", "SelectStmt", "select_with_parens",
  "select_no_parens", "select_clause", "simple_select", "with_clause",
  "cte_list", "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "all_or_distinct", "distinct_clause",
  "opt_all_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "SignedIconst", "RoleId", "RoleSpec", "role_list",
  "NonReservedWord", "unreserved_keyword", "col_name_keyword",
  "type_func_name_keyword", "reserved_keyword", "statements", "statement",
  "CreateAsStmt", "$@1", "at", "ECPGConnect", "connection_target",
  "opt_database_name", "db_prefix", "server", "opt_server", "server_name",
  "opt_port", "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,   776,   777,   778,   779,   780,   781,   782,   783,    60,
      62,    61,   784,    43,    45,    42,    47,    37,    94,   785,
      91,    93,    40,    41,    46,    44,    59,    58,   123,   125
};
# endif

#define YYPACT_NINF -5344

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5344)))

#define YYTABLE_NINF -2973

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2973)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -5344,   447,  8022, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, 34984, -5344,
   -5344, -5344, -5344, -5344,120495,   960, -5344, -5344, -5344,125252,
   -5344, -5344, -5344,   264, 84095, -5344, 87215,   972, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, 91375, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, 70559,  1323, -5344,   954,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344,  1617, 13809, -5344,
   -5344, 87735, -5344,   343, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, 88255,   656, -5344, -5344,    92,  1505, -5344,   135, 18024,
   -5344, -5344, 80455, 85135, -5344, -5344, 91895,   727,  2241, 18727,
    1617, 35553, 92415, -5344,  1491, -5344, 66875, -5344, -5344, -5344,
   84615, -5344, -5344, -5344,  1061, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, 98135,  2898,  1048, 67404, -5344,
   -5344, -5344, -5344, 98135, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, 92935, -5344,   973,  1275,   178, 98655, 99175,
   82015, -5344,  1515, -5344, 98135,  1404,   287, 69517, -5344, 99695,
   -5344, -5344,  1128, -5344, 93455, -5344, -5344, -5344, -5344, -5344,
    1048, -5344, 70559, 65833,    44,  1227, -5344, -5344,100215, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   98135,  2325,  1308, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,   656,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,   141,
   -5344,  1209,  1058,  1226,  1011,  1408, -5344, -5344, -5344, 12510,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344,122046,  2321, -5344,
   -5344, -5344,  1359, -5344,  1480, -5344, -5344, -5344,  1812, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344,  1138, -5344, -5344, -5344,
   -5344,  2062,121012, 91375, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, 79935, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,   208, -5344,
   -5344, -5344, -5344, -5344, 91375, 91375, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, 91375,  1762, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344,   307,  1880, -5344, -5344, 70559,  2456,
    2456,  2151,122046, -5344, -5344, -5344, 72122, 98135, 98135, 98135,
    1893, 98135,  1809, 98135,   597, 72122,129332, 93975,  2028,  1976,
   61059,100735, -5344, 98135,127973, 98135, 98135,101255, 98135, 98135,
   98135,  1628, 88775, 98135,  1961, 98135, 98135,129785,101775,  2181,
   -5344,  2459,  1647, -5344, -5344, -5344, 98135, 19087,  2898, -5344,
   -5344,  2325, 98135,  2194, 72122, 98135,  1969,102295,  2077, 98135,
   -5344, 98135,  2095,102815,   602,  2115,129332,  2223,  2164, 61592,
    2195, 98135, 98135,129332,103335,103855, 98135, 98135, -5344, -5344,
    2182, 98135, 98135, -5344,  2298,130238,  1681,  2320,  2206,  2505,
    2396,  1165, -5344, -5344,  2596,  2137, -5344, -5344,  2646, 91375,
   -5344, 89295, -5344, -5344, -5344,  2465, -5344, -5344, -5344, -5344,
   -5344, -5344,127067,  2241, -5344, -5344,  2413, 72643, 98135,  2439,
   -5344, -5344,104375, 76290,  2288, -5344,   720, 73164,130691,  2605,
    2272, 62125,  2638, -5344, -5344,131144, -5344, -5344, -5344, -5344,
   -5344,104895, -5344,105415,  2380,  2439, -5344, 76811,131597, -5344,
    2517,105935,106455,106975, -5344, 11285, -5344,  2250,  1366,  2280,
    1477, 91375, 91375,  2314,122952, -5344, -5344,   656, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344,   176,  2046, 67933,  1034,
   68462, -5344, -5344,  1073,  1103,  1327,   176,  2728,  2728,   599,
   91375, -5344, -5344,  2046, -5344,  1045,   -46,  2283,  2283,  2283,
    2486,  1377, -5344,  2283,  2432, -5344, -5344, -5344, -5344, 93455,
   67933, 68462, -5344,  2302,  2898,    82,  2722,  2363, -5344, -5344,
   -5344, -5344, -5344,  2374, 98135, 98135, 98135, -5344, -5344, -5344,
    2764,  2354,  2602, -5344,  2347, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344,  2557,  2569,  2552,    46,  2898,  2457,
   -5344,  2686, -5344,  2582, 41951, 41951,   519, 91375,  2898, 68991,
   94495,117375,   266,127067,  2898,107495,  2403,  1433,  2589, -5344,
   -5344, -5344,   877, -5344,  2835,  2434,  2679,   103,  1647, 57896,
   -5344,  2429,  2020, 93455, 25092, -5344, -5344, -5344, -5344,   974,
    2733, 45717, 98135,  2426, -5344,  2443,  2426,  2468,  2475,  1226,
   -5344, 98135,  1470,  1470,  2857,  1470,  1993,  2113, -5344,  1890,
   -5344,  2781,  2743, 93455,  2482,  1617,  2489, -5344, -5344, -5344,
    2493, -5344,  2488,  2504, -5344,   404,  2769, -5344, -5344, -5344,
   -5344,  2598,  2599,  2606,  2622,  2551,  2651,   169, -5344, -5344,
   -5344, -5344,  2861, -5344, -5344, -5344, -5344, -5344, -5344,  2985,
    2972,125708,125708,   625,   732,   157,   220, -5344, -5344, -5344,
    2850, -5344, -5344,  2845, 98135,  2672, 98135, -5344, -5344, -5344,
  108015, -5344, -5344,  2456,  2493,  1291,  2612, -5344,   249, -5344,
    2020, -5344,   286,   328,   362,  1898,  2597,  1723,  2833, -5344,
     271, 98135,   173,  2639, 95015,  7403,  2619,  2620,  2020,  2763,
    1214,  2906,  2926,  8629,   169, 95535, -5344, -5344, -5344, -5344,
   98135, 98135, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344,  2641,   671, -5344, -5344,  2640,  2977,  2862,   880,  2938,
    2816,  1557,  2882,  1387,  3004,  7425,  1665,  2074,  1786,108535,
  117895,  2967,  3015,  4762,  2168,   931,  2911,   932,  3007,  2863,
    2098,  3048,  9858, 98135,  2729, -5344,  2978,  3103,   853, -5344,
     236, -5344,  2811,  2951,  1096,  2989, 72122,  2765, -5344, -5344,
   98135, -5344, -5344, 77332,  2842, -5344,   790, 72122, -5344,  2982,
    2826, 62658, 98135, -5344, -5344, 98135, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344,  2915,  3100, 98135, 77332, -5344,  3057, 98135,
   98135, -5344,  2806, -5344, -5344, -5344, -5344,  2283, 98135,  2819,
    3223, 77332,  3041,   332, 98135,   -79,  3265, 98135,  3052,   -79,
    2883,109055, -5344, -5344,   -79,  3165, -5344, -5344, 98135, 98135,
    2856,  2100,  3060,  3174,   -79,  3081,  3294,  3298,  3096,  2957,
    3284,  3088,   978,  1449,   133,  1986,   -79,  2955,109575,110095,
   98135,  2956, 98135, 98135,  3291, 72122, 98135,  3216, -5344,  3091,
   96055, -5344,  2910,  2596, -5344, -5344, -5344, -5344, -5344,   952,
   -5344, -5344, -5344, -5344, -5344,  3258, -5344,   137,   641,  3259,
    2950,  3275, -5344, -5344,  3012, -5344,  3012,  3012,  2973,  2973,
    3147,  2988,  3281, -5344, -5344, -5344,  1877,  3012,  2973, -5344,
   78374, -5344,  1791,  1885, -5344,   146, -5344,  3409, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344,  2993, -5344,  1329, -5344,
    2178, -5344, -5344, -5344, -5344,  3022, -5344,  3322,   150, -5344,
    3328, -5344,  3010,110615, -5344,111135,111655,  3339,   154, -5344,
  129332,  3340,  3010,  3349,   641,  3350, -5344,  1126,  3343,  3358,
     146,  3373,  2026,  3010,127520,  3375,   172, -5344,  3376,   202,
   -5344,  3378,  3261, 13827, 11285, -5344, 14984,  2099, -5344, -5344,
   -5344, -5344, -5344, -5344, 45717,   758,  3149, -5344, -5344, -5344,
    2163, -5344,124330, -5344,  2314,  2046, -5344, 91375,  2046, 91375,
     599,  2046, 91375,  2046, 91375,   599,  2046, 91375, 91375, 91375,
    2046, -5344, -5344,   228,   234, -5344, -5344, -5344, -5344, -5344,
   91375,  3058, 98135, 98135, -5344, -5344, -5344, 85655,129332, 86175,
   -5344, 98135, -5344,   562, 91375, -5344, 91375, -5344,  2898, -5344,
   -5344,  1366, 77332,  3493,129332,  3291, -5344,  2237, -5344, -5344,
   -5344, -5344, -5344, -5344,  3309, 98135,  3377,  3379, 85655,129332,
   -5344,112175,127067,  3267,  3071, -5344, -5344, -5344, -5344,  2254,
    2940,   458,  3069, 45717,  3072,   458,   458,  3073,  3384, -5344,
   -5344, -5344,   410,  3076,  3077, -5344,   434,   434, -5344,  3078,
    3079, -5344,   442,  3082,  3083,  3297,   450,  3085,  3086,  3089,
    1877,   458, 45717, -5344,  3090,   434,  3092,  3093,  3094,  3351,
    3097, -5344,  3407,  3098,   501,   520,  3099,  3101, -5344,  3078,
   -5344,   481,  3102,  3104,  3105,  3106,  3107,  3108,  3110,  3111,
   45717, 45717, 45717, -5344, 40337,  2020,  2898, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344,   546,  6114, -5344,  3124, -5344,
   -5344,  3280, -5344, -5344, 45717, -5344, -5344,   616, -5344,   558,
   -5344, -5344,  2020, -5344, -5344,   386, -5344, -5344, -5344, -5344,
    3331,  3109,  2267,  2267,   217, -5344, 87735, 87735, -5344, -5344,
    1299,  3112, -5344,  2311, -5344, -5344, -5344, -5344, -5344, -5344,
  126614,  3527, -5344,  1971,  2898,   236,  1631,  3475,123408,123869,
    3381,  3381,  3359, -5344, -5344, 98135, -5344, -5344, 45717, 64791,
   -5344,  2020,    95,  3380, -5344, -5344, -5344,  2269, -5344, -5344,
   -5344, -5344,   656, 17384,  2275,  2426, 98135, 98135,  3548, -5344,
   -5344,  2443, -5344, -5344,  1226,  1226, 45717,  1226,   898,  1714,
   42489, 45717,  3433,  3329,  1178,  1692,  3434, -5344,  3334,  1993,
    2113, 93455, 98135,112695,  3247, 45717, -5344,  2493,  3138,  2127,
   -5344, 79415,121529,121529,  3398, -5344, -5344,  1533,   662,  3260,
    3361,  2728,  1644,  2271, -5344, -5344,  3134, -5344,  3495, 87735,
    3198,125708, -5344, -5344, 98135, -5344, -5344, 96575, -5344, -5344,
   -5344,   361,  3139, -5344,  3154, 98135, -5344,  3672,  2271,  2271,
   -5344, -5344,  3151, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344,122046,  3150, 98135, -5344,  3155,  3156, -5344, 25092,  3230,
    3236,  3292, 65312, -5344,  2020,  3242,  3212,  3248,  3300, 70559,
    3169,  3251,  3252,  3305,  3421, -5344, -5344,  3257,  3262,118415,
   -5344, -5344,  1005, -5344, -5344, -5344,  1005, -5344,  3191, -5344,
    1402,   828,  1741,  3264,   425,  1101,  3564, -5344,  1272, -5344,
   -5344,  3316, -5344,  4038, 98135,  3508,  9904,  3388,   169,  3392,
    3320, -5344, -5344,  3447,  3278, 98135,  3283,  3411,   169,  1265,
  118935, -5344, -5344, -5344, -5344, -5344, -5344,  3333, 39287, -5344,
    2092,  3285,  3266,  3289, 98135, 80975,  1803,  3405,  3412,  1745,
    2382,   423,  3341, 98135,  2111,  3416, 98135,  3214,  3296,  3301,
    3506,  3227,  1823,  3606,  3228, -5344, -5344,  3415,  3513,  3558,
    8833,  3302,  3307, 74727, -5344,  3319,   868, 63191, 98135, 98135,
    3332,  3342,  3323,  3336,  1142,  3602,  1636,  3337, -5344, -5344,
   -5344,  1636, 98135,  3348,  3352, 98135, 78374,   169, -5344,  3666,
     169,   169,  2415,  3668,  3353,   302,  3484,  1283,   -79,  3228,
    3775, -5344,  3355,  3356,  1818, -5344,  3457,  3357,  3360,  3400,
    2898, -5344, -5344,  3362,  3425,  3364,   875, -5344, -5344,  1577,
    3366, 93455,  3453,  3461,   229,  2007,  3228, -5344,  3367,  3369,
    3227,  3227, 98135, 98135, 98135, 98135, 98135,   147,  3716,  3717,
    3383,   280,  3424,  3293, -5344,128426,  3385,117375, -5344, -5344,
   98135,  3386,  2060,  3228,  1486, -5344,  1878, -5344, -5344, -5344,
    1647, -5344, 98135, -5344, 98135, -5344,  3557, 77332,  3498,  3560,
   -5344,  3338, -5344,  3561,   169, -5344, 98135, 98135,  3568,  3512,
    3520,  1135, 77332,  3523,  3585, -5344,  3586,  3590,  3420,  3370,
    3401, 65312, -5344,  2856,  3346,  3767,  3658, 98135, 70559, -5344,
    3785,  1005, -5344, 77332,  3550,  3673, -5344, 98135,  3570,   -30,
   -5344, -5344,  3708,  3413, -5344, -5344,     5, 98135,   253,  3393,
   -5344, -5344,  3679,129332,  1236,  3685,  2898,  3419,  2898,129332,
    3604, 98135, 98135, 98135, 98135, -5344, -5344,  3572,  1181,   109,
   -5344,128426,  3583, -5344, 98135,  3601,  3775,  3603,  3806,   742,
    2283,113215,  2443,  3696, -5344,113735,  3391,  3826, 77332,  3650,
   -5344, -5344,  3395,  2728, -5344,  2910, -5344,  2276, -5344,  3528,
   -5344, 72122, -5344, -5344, 72122, -5344, -5344, -5344, 77332, 98135,
   -5344,  3408, -5344, -5344, 45717, -5344, -5344, -5344,  2728, -5344,
   77332,  3012,  3012, -5344, -5344,  3842,  3492,  3494,  2728, -5344,
    2728, -5344, 77332, -5344,  3418,  3423,  2728,  3501, -5344,  3502,
    2728, -5344,  2289, -5344, -5344, 72122, 72122, -5344,129332,129332,
    3735,   172,  3740,  3480,  3746,  3482, 63191, 63191, -5344,   204,
  129332, 98135, -5344, 98135, -5344, -5344, -5344, -5344, 77332, 77332,
   -5344,129332,128426,  3748,  3755,   641, 98135, 98135, -5344, 98135,
   98135, -5344, 98135, 98135, -5344, 14351,  2101, -5344, 11285, -5344,
    2330,  3381, -5344,  1762, 98135,  1551,  2314,132050, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, 91375, -5344, 91375,   599,
   -5344, -5344, 91375, -5344, 91375,   599, -5344, 91375, -5344, -5344,
   -5344, 91375, 98135,  3964,  3436, -5344,   386, -5344, 98135,  2388,
   -5344, -5344,  2406,  1026, 98135, 98135,   166, 72122, 98135,  3646,
   98135, 98135, 98135, 98135, 98135,  3521,  3112,   -85, -5344,  1639,
     360, 93455,  3652, -5344, -5344, -5344, -5344, -5344,  2407,  2325,
    1401, 98135,   918,  2374, -5344, -5344, 86175, 84615,  3749,    63,
   98135, -5344, -5344,  6595, 45717, 41413, -5344, -5344, 17384,  3488,
   45717, 45717,  3450,  2728,  2728, -5344,  1719, 45717, 45717, 45717,
    2728,  2728,  5362, 45717, 63191, 45717, 48945, 37670, 45717, 45717,
   40875, -5344, 45717,  3676, 50021, 45717,  1631,  3677, 45717,  1631,
    5362,  3910,  3910,  1227,  2294,  2496,  3456,  2020, -5344,  2728,
     857,   207, 77332, 45717, 45717, 45717, 45717, 70559,  3537,   195,
   98135, 45717,  3460,  1342, -5344, 45717, -5344,  3462, 45717,  3542,
    1071, 45717, 45717, 45717, 45717, 45717, 45717, 45717, 45717, 45717,
   -5344, 51593,   305, -5344,  3759,  3778,   505,   584, 86695, 41951,
    3770, -5344, 36592, -5344,   277, 91375, -5344, -5344,  2020,  3770,
   -5344, -5344, -5344, -5344, -5344,   361,  3464, -5344,  3479, -5344,
   -5344, -5344, -5344, -5344, 98135,  3527, -5344, -5344,  3546, -5344,
   -5344, -5344, -5344,   585, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344,  3469, -5344, -5344, -5344, -5344,  3469, -5344, -5344,
    3381,  3472,  7339,  3474, -5344, -5344, -5344, -5344,  3762,  3768,
     641,122046, 98135,   974, 89815, -5344, 45717, -5344,  2412,  3481,
   -5344,  3747, -5344,  3483, -5344, 15552,  3747, -5344, -5344,   188,
    3598,  3741,  3686, -5344, -5344, -5344,  3485, 17384, -5344,  2342,
   17384,  2393, -5344, -5344, -5344, -5344, -5344, -5344,  1573, -5344,
   98135,  1193,  3433,  1692,  3549,  1278,  3923, 98135, -5344, 58420,
    2424,  2319, -5344,  2493, -5344, -5344, 21203, -5344, 36073, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,  3497, -5344,
   -5344, -5344, -5344,   169,  3500,  4007, -5344,125708, -5344, -5344,
   -5344,  3964, -5344,  2646, -5344,  2646,  4034, -5344, 91375, -5344,
   -5344, -5344, -5344,  1392, -5344, 11285, -5344, 11285, -5344,129332,
   98135, 98135,  3695, -5344,  3918, -5344, 78374, -5344,  3516, -5344,
   77853, 73685, -5344, -5344,  1436, -5344,   887,129332, -5344, 98135,
   98135, -5344, 70559,129332, 98135, 98135, -5344,129332, 98135, 98135,
   -5344, -5344, -5344, -5344, -5344,124791,  1162, 84615,  3643, 82535,
   -5344, -5344,  3519, 98135,  3576,  3777,  3780,  1186, -5344, -5344,
  114255, -5344,  3732,129332, 98135, 98135, 45717,  3736, 98135, 98135,
   -5344,   408,  3607,  3609, -5344, 98135,  3610,  3764, 72122,  3532,
   98135, 98135, 77332,  3612,   801, 72122,  3580, 63724, 98135, 98135,
   98135, 98135,  3667,  3850, 77332, 98135,  3796,  1337, 93455,   136,
    2304,  3228,  3753, -5344,  3865,  1432, -5344,129332, -5344, 98135,
    3751, -5344, -5344, -5344, 83055,  3975,  3665, -5344, -5344,119455,
   -5344, -5344, -5344,  2437, -5344,129332,129332, 98135,  9943,114775,
    1220,  3776, -5344, -5344, 77332, -5344, 98135, 98135, 98135,  3879,
    3808, 98135, 90335,115295,115815,  1531,  1777,  3809, 98135, 90855,
    3810, -5344,  3699, 98135, -5344, -5344, 71080,129332, 98135,   886,
   70559, -5344, -5344, 98135, -5344,  3771,   730, -5344, 98135,  6613,
    3645,  3657, 98135,  3774,   140,  2583,  3228, 98135, 98135,  3573,
    2438,129332, 98135, 70559, -5344,  3779,   630, 93455, 93455,129332,
   98135, 93455, -5344, 98135, -5344,129332,  1081, -5344,  3719,129332,
   98135, 10787, -5344, -5344, -5344,   169, -5344, -5344, -5344, -5344,
   -5344, 98135, 98135,   169, 98135, 98135,   169,  1775, -5344,129332,
   98135, -5344, -5344, -5344,129332, 98135, 98135, -5344,129332,  3393,
   98135, 70559, -5344, 98135,  8185, 98135, 98135, 98135, 98135, 98135,
   98135,129332, 98135, -5344, -5344,   962,  1478,  1738,  2059,   759,
   98135,  3862, 98135,116335,129332, 98135, 98135,  2898, 98135,  1787,
   -5344,  3697, -5344,129332,  1081, 10482, 98135, 98135,  3659,  3660,
     270,  3738, -5344, -5344, -5344, -5344, -5344, -5344,  1989,  4014,
  116855,  1989, -5344,  1989,  3847,  3644,  3647,  1989, 98135, 98135,
   -5344, -5344, -5344, -5344,  3844, 98135,  1989,  1989,  1989,  3757,
    3797,   118,  3872,  2449, -5344,  3611, -5344, 45717, 77332, 98135,
   -5344,  2453, -5344,  3613,  1181, -5344, -5344, 70559, 98135,   155,
     710,  3917,  3804, 81495,  2458,  3912, 98135,  3648, 98135,  4032,
    3694, 93455,  2856, -5344,  2458, 98135, -5344,  2305, 84615, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, 98135, -5344, -5344,  3913,
    3781, -5344,  2898,  2856,  2856,  2856,  2856, -5344, -5344, -5344,
   -5344,  3813,  2041, -5344,  3614,  2856, 98135,  3731,  3933,  2458,
    3617,  3934, -5344,  3775,  3940,  3943, 98135,  3827, 81495,  2495,
    3661,  3838,  4057,  2283,  3828,  2898,  3845,  3829, -5344, 39812,
    8107,  3833,  3881,127067, 96055, -5344,  3640,  3925,  3927,  3947,
   -5344,   137, -5344,  4070, -5344, 45717,  2463,  3639,   146, -5344,
   -5344,  3649,  3423,  3662,  3663,  3642,  3656, -5344,  2728, 55800,
    3664,  1608,  3875,  3669, -5344,   150, -5344,  3010, -5344, 98135,
   -5344, 98135, 98135, 98135, 98135,   154, -5344, -5344,  3010,   641,
   -5344,  3904,   146,  3010,  3782,  3967,127067, -5344,   172, -5344,
     202, -5344,  3860,   641, -5344, -5344, -5344, -5344, -5344, -5344,
    2283,  2276, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, 91375,  2646, -5344,  2467, -5344, 98135, -5344,
    3942,  3944,  3948,  3670,  3671,  3701, 98135,  3681,  3670,   169,
    3670,  3112,  3112,  3670,  3671,128879,  4109,  3966, -5344,  3750,
    3675,  3980,   557, -5344,   788,   957,  3906, -5344, -5344, -5344,
   -5344, 77332, -5344,129332,  3722, 98135, 98135, -5344,    80,  3890,
    3688,128879,  4105,   641, -5344, 72122, -5344, -5344, 77332,  3769,
    3783, 72122,  3900,  3742, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, 77332, -5344,  3951, 98135, 98135,  2497, -5344,  2069, -5344,
    2114, 45717,   268, -5344, 16395,  2503, 45717,  3698,  3700, -5344,
   -5344, -5344, -5344, -5344, -5344,  3706,  4006, -5344, -5344,  2510,
    2514,  2515,  3707,  3711,  6204,  3713, 16618,  3714,  3720, 48945,
   48945, 40337,  4643, -5344, 48945,  3718,  3911,  2527, 15506,  3725,
    3728, 16737, 43027, 45717, 43027, 43027, 16860,  3725,  3734,  2531,
   70559,  3897, 16880,  2538, -5344, 45717, 70559,  6967, 45717, -5344,
   45717,  3737, -5344, -5344,  6747,  6747,  6747,  5362, -5344,  3754,
   -5344, 48945, 48945, -5344,  3047, 40337, -5344, -5344,  4025, -5344,
   -5344,  1657, -5344,  3723, -5344, -5344,  3272, 63191, 11473, 45717,
     265, 45717,  3460, 45717,  3812,  6747,  6747,  6747,   669,   669,
     151,   151,   151,  1891,   584, -5344, -5344, -5344,  3739,  3743,
    3744,  3931,  3745, 45717, -5344,  2628,  2633, 98135,  7490, 12082,
   12095, -5344, -5344, -5344, 52655,  3786, 45717, 45717, 45717,  3752,
   -5344,  2623, 17384,   794, -5344,  2820, -5344, -5344, -5344,  3786,
    1166,  4034,   361, -5344,  1647,  2728,   857,124330, -5344, -5344,
   -5344, 45717, -5344, -5344, -5344, -5344,  2443, -5344, -5344, -5344,
   17384, -5344,  2325, 45717, -5344, -5344,  4692,  3763, 45717,  2342,
   -5344, -5344,  3800, -5344, 45717, -5344, -5344, -5344,  3112, -5344,
    3983, -5344, -5344, -5344, 52655,  3792,  3805,  1690, 57372,  3954,
   -5344, 98135, -5344, 98135,   189, -5344,  3772, -5344, -5344, -5344,
   -5344,  -107, -5344, -5344, -5344, -5344, -5344, -5344,  3756, -5344,
    3760, -5344,  3787, -5344, -5344, -5344, -5344,   193,  3758,  3761,
    3765,  2044, -5344, -5344, -5344, -5344, 73685,  2178, -5344, 77853,
   -5344, 77853, -5344,  2178,  4169, -5344, 73685,  2017, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344,129332,129332,  3957, 98135,  3955,  3965, 45717,   782, 98135,
    3790,  3791,  1249,  4045, 98135, -5344,  4089,   641, -5344, -5344,
    3848, -5344, 17384, -5344, -5344, -5344, -5344, -5344,129332, 98135,
   -5344,127067, -5344, 98135, -5344, 77332, -5344, -5344, -5344, 98135,
    3814, 98135, -5344, 98135, 98135, 98135, -5344, -5344, -5344, -5344,
   -5344,  1225, 77332, -5344, -5344, 98135, 98135,   619,  3854,  3858,
   98135, -5344,  1027,  3457, 10565, 98135, 98135, 98135,  4041, 98135,
   -5344, -5344, -5344, -5344,  3990, -5344, -5344, 73685, -5344,  3010,
    1463,  3864,  3228,  3998, -5344,  4107,  3988, -5344,  1014, -5344,
   98135,  3919, -5344, -5344, -5344, -5344,  4116,   641,  4119,   641,
   98135, 98135, 98135, 98135,  3929, -5344, -5344, -5344, -5344,  3932,
    4048, -5344, 70559, 70559, 70559,  2549, -5344, -5344,  2898, -5344,
   -5344, -5344, -5344, -5344, -5344,  4086, -5344,  2554, -5344,  -100,
   -5344, -5344, -5344, -5344, -5344, -5344,129332, 98135, 10722,  4129,
   98135, 98135, 98135,  2126, -5344,  1025, 77332, -5344, 75248, -5344,
   -5344,  2561, -5344,  3823, 98135,  3892,129332,  3870,  3815,  3815,
   -5344, -5344,  3815, -5344, -5344,  4059,  3999, -5344,  2002,  4000,
  129332,  3883, -5344, -5344,  3909, -5344, -5344,  3916,  2730,  3228,
    3775, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344,  1424, -5344, -5344,  1630,
     299,  2760,  3228, -5344,  4131, -5344,  3922, -5344,  3924, -5344,
   -5344, -5344,  4061,  4065,  4066,  3928,  3935,  3974,  3936,  3938,
    3976, -5344,  3941,  3978,  3945,  3984,  4050,  3946,   641, 77332,
    2898,  3972,  4155,   641, -5344,  3949, -5344,  3950, -5344,  4288,
   -5344, 98135, -5344,  3952,  2809,  3228, -5344, -5344,129332, 98135,
   -5344, -5344, -5344, -5344, -5344, -5344, 77332, 98135,  4125, -5344,
   -5344,  1989, 98135, 98135, -5344,  4128,  4134, 98135,  4136, -5344,
   -5344, -5344, -5344,   737, -5344, -5344, -5344,  3757,  4162, -5344,
    2465, 59992,  7049,  3876,   469, -5344, 70559, 59992,  2090,  3704,
     125,   -79, -5344,127067, 98135,127067, -5344,   710,  3988, 98135,
   98135, 98135,  3878,  3877, -5344, -5344, -5344, -5344,129332,  1124,
  129332,  2728, -5344, -5344,  3953, -5344, 98135,  2283,  2465,  4191,
   -5344,  3815, -5344,  4309,  3298,  1236,  4033,  1695,  2957,  4250,
   70559,  3661, -5344, -5344, -5344, -5344, 98135, 98135,  1181,  2898,
   -5344,  3888,  3898, -5344, 98135,  4200, 98135, 98135, 98135, 98135,
    2325,  3903, 98135,  3899, 77332,   566,  4113,  4117,  3227,  4336,
    4228,  2325,  3661, 45717,  3992,  4237, 98135, -5344,  2566,   124,
   -5344,  2898,127067, 74206,  4229, -5344,  6737, -5344, -5344,   748,
   98135,  4212, -5344, 98135, -5344, -5344, 56848, -5344, 77332,  2567,
   -5344, -5344, -5344,  2728, -5344, -5344,  1927,  1927,  3926, -5344,
   56324, -5344,  3921, -5344,  2162, -5344, -5344, -5344,   172,  3979,
     641,  3982,   641, -5344, -5344, 98135, -5344, 98135,128426,   641,
   -5344, -5344, 98135, -5344,  4233, -5344, -5344, -5344, -5344,  4058,
    4060,  4062, 98135,  3670, -5344,  3937,129332,  1593, -5344, -5344,
    4126, -5344, -5344, 93455,  4051, -5344, -5344, -5344, -5344,  4257,
    4258, -5344, -5344, -5344,   177, -5344, -5344, -5344,129332, 85655,
     212,129332, -5344,  4197,  4199, -5344, -5344,  4202,   169, -5344,
    4204, -5344,  4205,  4207, -5344, -5344, -5344,  3956, 17095, 45717,
   -5344,  4279, 77332, -5344,  8150, -5344, -5344, -5344, 45717, -5344,
   -5344, -5344, -5344, -5344, 45717, -5344, 45717,  4255, -5344, 38209,
    4408,  4408,  3958, 77332, 48945, 48945, 48945, 48945,  1774,  3092,
   48945, 48945, 48945, 48945, 48945, 48945, 48945, 48945, 48945, 49483,
     712, -5344,  4145, 45717, 45717,  4266,  4255, -5344, 77332,  3959,
    3725,  3963,  3969, 45717, -5344, -5344,  2572, 50545,  3970, 70559,
   -5344, 45717, 16038,  2575,  4003, 17356,  2020,  8758,  2898, 45717,
    4842,  5638, 45717,  2579, 45717,  4263, -5344, -5344, -5344,  3977,
   -5344, -5344, 77332, 45717,  3971,  3901, 48945, 48945,  4144, -5344,
    4497, 45717, 40337, -5344,  4159,  4016, 58944, -5344, 38748,  3981,
    1048,  1048,  1048,  1048, -5344, 98135, 98135, 98135, 53179,  4270,
    3987, 52131, 97095,  3985,  2683, -5344, 97095, 97615, 97095, -5344,
    3994, -5344,  3993,  2020, 45717,  4262,  1036,  1036,  4159, -5344,
   45717, 45717, 43565,  3973, -5344,  4262, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344,  4001, -5344,  4008, -5344, -5344,   236,  3995, -5344, -5344,
   17384,  4009,   193, -5344,  4004, -5344,  4002, -5344,  3763,  1814,
   -5344,  8834,  4181, -5344, -5344, -5344,  3985, 44103,  4124, -5344,
   -5344, -5344,  4063,  2585, -5344, -5344,  4391,  4124, -5344, -5344,
    2595, 58420,  3792, 45717,  2020,  2728,  4018, -5344,  2646,  1166,
   -5344, -5344, -5344, -5344, -5344,  2610,  2033, -5344, -5344, 73685,
   -5344,  4079,  3010,  3010,  1462,  3670,  4320,  1462,  8868, -5344,
   -5344, 53703, 98135, 98135, -5344, 98135,  2615,  2082, 98135, -5344,
   98135, -5344, -5344, -5344, -5344,  4444, -5344, 98135, -5344, -5344,
    4071,  4072, 98135, 98135, 98135, 98135,  4268, -5344, -5344,  2597,
   -5344, -5344,129332, 98135, -5344, -5344, -5344,   296,  2858,  3228,
   -5344,  4096, -5344, -5344, -5344,  4289, -5344,  4431,  4110, 98135,
    4341, 98135,  4022, -5344,  2082,  4324,   187,  3227,  2416,  3148,
   -5344,  1798, -5344, -5344,  4094, -5344, -5344, 98135, -5344, 98135,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344,  4152, -5344, -5344,
   -5344, -5344, 71080, -5344, -5344, 98135, -5344, 70559, 59992, 70559,
   -5344,  1715,   317,  2899,  3228, 98135, -5344,  4114, -5344,  4115,
    4122,  4158,  1164,   674,  4123,  4127,  4160,  4036,  4037,  4044,
   -5344, 70559, 60526,  4182, 98135,  3010,  4049,  4087,   176,  2898,
   -5344, -5344,  2898,  3010,  2898, 98135, 98135, 98135,  3393,  4206,
   70559,  4465,  4140, 98135, 98135, 98135, 98135,  4106, -5344, 98135,
   98135,  4364,  1053,  2157,129332, 98135, 98135,129332, 98135, 98135,
   98135, 98135, 98135, 98135,  4377, 98135, -5344,  4454,  2350,  4422,
    4130, 98135, -5344, 98135,  2898,  3457, 98135, 98135, -5344, -5344,
    4064,  4322,  1989, -5344,  4323,  4327,  1989,  1989,  4328,  1989,
   -5344, -5344,   -79, -5344,   737, 98135, -5344,  3611, -5344,  4002,
    2728,  2271, -5344, -5344, -5344, -5344, -5344, -5344, -5344,  2661,
   98135, -5344, -5344, -5344, 98135,  4074, 98135, 98135, 48945, -5344,
    2072,  1675,   784, -5344,  4332, 98135,  3393, -5344, -5344, -5344,
    4242, 98135, -5344, -5344, -5344, -5344, -5344,   633,  3903, -5344,
    4339, 81495,  3010,129332,129332,  3010, -5344, 77332,  4080,  3661,
   -5344,   231,  4151,129332,  1236,  1484,110095,  3419,  4112,  1615,
   -5344,  4078,  4235, -5344,  4082,  4081, -5344, -5344, 98135,  3988,
  128426,  2648,  3775,  1306,  2280,  3722, 83575,  4267,  3903,  4339,
   -5344, -5344, -5344,  4474,  4174, -5344,  2325, 98135,  3722,  4174,
     300,  2898, 98135,  3576, -5344, 73685, 45717, 45717, -5344,  4085,
   -5344,  4093,  8373, -5344,  4163,  4092, -5344, -5344, -5344, -5344,
   -5344, -5344,  4175,  4097, 98135,  4556, -5344, -5344,  4098, -5344,
    4101, -5344, -5344, -5344,  2404,122046, 56324, 56324, 56324, 56324,
   56324, -5344, -5344, 98135, -5344, 98135, -5344,   641, -5344,  4221,
   -5344,   641,  2325, 98135, 98135, 98135,  3670,   169, -5344,  4401,
  128879, -5344, -5344,  2652, 98135, -5344, -5344, -5344,  4466,    63,
    4409, -5344, -5344,  2133,  2133,  2133,  4369,  2133,  2133,  2133,
   -5344, 45717, 17384, -5344,  4118, -5344, 17384,  9236, 17384,  4266,
   -5344,  2662, 45717, -5344,  2644,  2644,  2644,  5628,  4415, -5344,
    1667,  4121,  2644,  2644,  2644,   201,   201,   145,   145,   145,
    4408,   712, 17384, 17384, -5344, -5344,  4132, -5344, -5344, -5344,
    3725, -5344, 46255,  4269,  4526, -5344, -5344, -5344,  4154,  4156,
    4141, -5344, 45717, 46793,  4142, 78374,  4305, -5344,  2037, 45717,
   45717,  4761, -5344, 10414, 45717, 77332,  2666,  4761,   310, 45717,
    5899,  6136, 45717, 45717,  5201,  9571,  4143, 45717,119975, -5344,
   -5344, -5344,  2674, 45717, 98135, 98135, 98135, 98135, -5344, -5344,
   -5344, 97095, 97615, 97095,  4147, 51069, 55275,  2683,  4148, 98135,
   -5344, -5344,  4150, 52655,  4375,  4313, -5344, 52655,  4313,  2054,
    4313,  4382,  4214, 59468, -5344, -5344,  4153, -5344,  4345, -5344,
   36592,  2092, 17384,  4540,  4421, 45717,  4157,  4164,  4165, 17384,
   17384, 45717, -5344,  2898,  4421,  1166,   394,  2898, -5344, -5344,
   -5344, 63191, -5344, -5344, -5344, -5344, -5344,  4335, 17384, 41951,
   -5344,  2325,  2213, 98135,  2020,    26, -5344,  4166, 98135, -5344,
    4124, 17384, -5344, 11285, -5344, -5344, -5344, -5344,  4217,  2677,
   -5344, -5344, -5344, -5344, -5344, -5344,  4222, 84615,  4458, -5344,
   45717,  2689, -5344,  4193,  4552,   128,  2698,  2711,  2082, -5344,
    3393, -5344,  1688,  4435,   661, -5344,   641, -5344, 77332, -5344,
   98135, 98135, -5344, -5344, -5344, -5344, 98135,  3169, -5344, -5344,
   98135, 98135, 98135, 98135, -5344,129332, 98135, -5344, 98135, -5344,
   70559,  3704,  2072,  4447,  4373, -5344,   169, -5344,  2072,  4374,
     176, 98135, -5344, -5344,  3133, -5344, 77332,   641,   641, -5344,
   -5344, -5344, -5344, -5344,  4178,  4581,  4259, 98135, 98135, 98135,
   -5344, 98135,129332, 98135, 98135,  2728,  2728, 77332,  4167, -5344,
    2728,  2728,  4170, -5344,129332, 98135, 98135, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,  4253, -5344,
   45717,  4576, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344,129332, 98135,  4256, -5344,  4260, -5344,  2065,
   -5344, -5344, 98135, 98135, 98135, 98135,  4501, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, 98135, -5344, 98135,
   -5344,  2898,  2898, 77332,   641,   641, -5344, -5344, -5344, -5344,
    4436,  1989, -5344,  1989,  1989, -5344, -5344,  1989, -5344,  4187,
     379, -5344,  2082,  2238,  4484, -5344,  4495, 45717, -5344,  1670,
    5628, -5344,  4550,  4627, -5344, -5344, -5344, -5344,  3393,  2283,
    4261, 72122,   938, -5344,  4478,   155,  4405, 81495,  4131,   197,
    4201,  4329, -5344,  3010,  3010,  4271, 98135,  4633, -5344, -5344,
   -5344, -5344, -5344, -5344,129332,  3870, -5344,  1360,  4510, 98135,
   -5344,  2167,  4513, -5344,  2898, -5344, -5344,  4330,  3661, -5344,
   98135,  4412, 81495,  3722, -5344,  2723, -5344, -5344, -5344,  4249,
    4626,  2495, -5344,  4131,  4267,  1251, 98135, -5344,  4251,  4648,
   -5344, -5344, 52655,  4522,  4420,  4223, -5344, 17384, 17384,  2898,
   78895,  6737, 77332,  4530, 98135,   126,  4498, 98135, -5344,   641,
   -5344, -5344,  4227,  2102,  2102, -5344, -5344, -5344,   641,   641,
   -5344, 98135, -5344,  3670,  3670,  3670, -5344,  4419, -5344, -5344,
    4492, -5344,   641,128879, -5344, -5344, -5344, -5344, -5344,  2133,
   -5344, -5344, -5344, 17384, -5344, -5344, -5344, -5344,  9629, 48945,
    4535, -5344,  4232, 77332, -5344,  4236,  2736,  2744, 50021,  4388,
   -5344, -5344, -5344,  9928,  4286, 17384,  4342,  4238,  4243,  4761,
    4761, 10414,  2753, -5344,  4761, 45717, 45717,  4761,  4761, 45717,
   -5344, -5344, 10259,  4426, -5344, -5344, 10327, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, 71601,  4246,  3897, 97095,  4247, 98135,
    2683, 52655, -5344, -5344,  2196, -5344, 52655,  4505, -5344, 52655,
   72122, -5344, 98135,  4254, 98135, -5344,   794, 47331, 45717,  4291,
   -5344, -5344, -5344,  4159, -5344,  4291, -5344,  2271, -5344, -5344,
   -5344, -5344, -5344,  4264, 91375,   639, -5344,  1690, -5344, -5344,
    4634, 53703,  4590, 45717, -5344, -5344, -5344, -5344, -5344,128879,
    4455,128879,  2082, 10758,  3393, 53703, 64257, 98135, 98135, 98135,
    4410,  3393,  4261, -5344, -5344, -5344, -5344, -5344, -5344,  4265,
   -5344, -5344, -5344, -5344,  4337, -5344, -5344,     3,  3652, -5344,
    2772, -5344,  4691,  4582, -5344, -5344, -5344, -5344, -5344, -5344,
    4454, -5344, -5344, 59992,129332, 98135, -5344,  4346, -5344, -5344,
   -5344, -5344, -5344, 54751, 63191, -5344,  1164,  4272,  4275,   674,
   -5344, -5344, -5344, 98135, 11317,  4276,   970,  3652, 98135, 98135,
    4277,  4280,  1808,  1799,  1842,  3670,  4571, -5344, -5344, -5344,
   -5344,  4454, -5344, -5344,  1989, -5344, -5344, -5344, -5344, 70559,
   -5344,  2667, -5344,   -79,  4611, 72122,  4699,  4699, 98135, -5344,
   11939,  4480, -5344, -5344,  4559,  4261,  4512,  4560, -5344,  4281,
   98135,  4448,  4284, 98135,  4285,  4411,  1161,  1161, 98135, 98135,
   98135,  2780,  2325,  3010,  4087,  1236, 81495,  4647,  3988, -5344,
   -5344,  2167, -5344,  1763,  4623,  4331, -5344, 98135,  4720,  3903,
   98135,  4292, -5344, -5344, 83575,  4488,  3704,132503,  4117,  4267,
    2495,  4427, -5344,  4428, -5344,  1389, -5344,  2325,  3985, 98135,
   98135, 53703, -5344, 77853, -5344,  2786, -5344, -5344, -5344,  4365,
    3786,  4403,  4404,  4299, 98135,    69, -5344,  4312, -5344, -5344,
   -5344, -5344, -5344, -5344, 98135, -5344,   212, -5344, -5344,  6095,
   48945, 77332,  2791, 45717, -5344, 45717, -5344,  4715, -5344, -5344,
   -5344,   799, -5344, -5344, -5344,  4761,  4761,  4761, -5344,  4717,
    4159, -5344, -5344,  2794,  4736, 48407,  4701, -5344, 98135,  2798,
   -5344, 45717,  4307, -5344, -5344, 52655,  2196,  4311,  2803, 98135,
    2807, 77332,  4315,  4314,   867,  4317, 37131,  4310, -5344, -5344,
   -5344, -5344, -5344, 17384, 17384, 98135, -5344,  4319, -5344, -5344,
   -5344, -5344, -5344, -5344,  4363, 98135,  2810, -5344,   614, 17384,
    1593,  1462,   212,  4552,  4261, -5344,  4321, -5344, -5344, -5344,
    1407,  1407, 98135,  4261, -5344, -5344, 98135,  4414, -5344, -5344,
   70559,  4610, -5344,  4379, -5344,  1113,  3652, 98135, 77332, -5344,
     159,  4637, -5344, 77332, 77332, -5344, -5344, -5344, 45717,  4418,
   -5344, -5344, -5344,  1579,  1223, -5344, -5344, 98135, 98135, 98135,
   98135, 98135,   641, -5344,  2815, -5344,122499, -5344, -5344,  3265,
    2898,  3265,  2150, -5344, -5344,  3265, -5344,  3265, -5344,  4187,
    2898,  4699,   221, -5344, -5344, -5344,  1926,  4549,  4333, -5344,
    1147,  4534,  4423,  4340, -5344, 72122,  4799,  3903,  4339, 98135,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,  2824,
    3988,  4655,  3661,  4251, -5344,  4376, -5344, -5344, -5344, -5344,
    3265, -5344,    14,  4344,  4668,  3988,  2325,  4267,  3903,  4339,
   -5344, -5344,  4347, -5344, -5344,  4174,  2495,  4117, -5344, -5344,
    4751,  4548,  4753,  3722, -5344,  3576,  2854, -5344,  8373, 78895,
   77332,  4693,  4392,  4394, -5344, -5344,  4406, 98135, -5344, -5344,
    2668,  4817,  3988, -5344,  6095,  2860, -5344,  2869,  2873,  4515,
    4424, -5344, 45717,  1999,  3994, 71601,  4361, -5344, 48945,  2877,
   -5344,  6149, 98135,  2886, -5344, 17384, 98135, -5344, -5344, 45717,
   -5344,  2892, -5344, -5344, 45717,  4371, 45717, -5344, 47331,  4360,
   -5344,  4795, -5344,  2325, -5344,  3786, 53703, -5344,  4486, -5344,
    4676, -5344, 98135,  4416, 63191,  3763,  3763,  2283, -5344,  2082,
   -5344, 98135, -5344,  4333, 45717, -5344,  4462, -5344, -5344,  2895,
      49,  4537,  4537,  2907,  2918, 12006, 98135, -5344, -5344, -5344,
    2929, -5344, -5344, -5344, -5344,  2933,  3671,  1842,  3671, -5344,
    3670, -5344, -5344, 70559, -5344,126161, -5344, -5344, -5344,  2898,
   -5344,  2898,  4588, 98135, 66354,  2898,  2898, -5344, -5344, -5344,
   -5344, -5344,  4721,  4664, -5344,  3775, -5344, -5344, -5344, -5344,
     382, -5344,  4594,  4595, 98135, -5344,  4390, -5344,  2948,  4131,
    4517,  3988, -5344, -5344, 98135,  4830,  4832, -5344, 98135, 98135,
   -5344, -5344, -5344, 45717,  4569, -5344,  4251,  2495,  4131,  4267,
    3704, 54227, -5344,  4117,  4174,  4603, -5344,  4604, -5344,  4413,
    3661,  6737, -5344, -5344,   274,  4712,  4718, -5344, -5344, -5344,
   -5344, -5344, 98135, -5344, -5344, -5344, -5344, -5344, -5344,  3725,
   44641, 44641,  4429, -5344, -5344, 98135,  5628,  4417, 48407, 70559,
    2952, -5344, 75769, -5344,  2960,  2965, -5344,  2968, 47331,  2969,
   -5344, 98135,  4425, -5344, -5344, -5344, 58420,128879,  1407,  4434,
   -5344,  4437, -5344, -5344,  4512,  2082,  3652, -5344, 17384, 98135,
   72122,  4828, -5344, -5344, -5344, -5344, -5344, -5344, -5344,  3652,
    4500,  1579, -5344,  1223, 98135, -5344, -5344,  2980, -5344, -5344,
   -5344, 98135,  4078, -5344,  4078, -5344, -5344,  4557, -5344,  2757,
     840,   840,  4774, -5344,  4485, -5344, -5344,  4438, -5344,  4889,
    4561, 98135, -5344, -5344,  1164,  2325,  3988, -5344, -5344, 13015,
   72122, -5344,  4117,  4267,  2495, 45717,  2981, -5344,  4552,   128,
    4174, -5344, -5344, -5344, 53703,  4174, -5344, -5344, -5344,  2257,
   72122, 72122, -5344, 47869,  4570,   666, 16108, -5344, -5344, -5344,
   -5344,  2984, 50021, -5344, -5344, -5344, 98135,  4630,  1838, -5344,
    4589, -5344,  2991, -5344, -5344, -5344,  1591,   212,  3763, 45717,
    2082, -5344,  4534, -5344,  3652, -5344, 98135, -5344,  4443, -5344,
   -5344, -5344, -5344,126161,  4078,  4331, -5344, -5344,  4891, -5344,
     219, -5344, -5344, -5344, -5344, 98135,  3988,  4167,  4251, -5344,
   -5344,  4449,  4174,  2495,  4117, 13281, -5344, 54227, 98135, 98135,
   -5344,  2995,  3786, -5344,  2734, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344,  4441,  4445,  4881, -5344, -5344, -5344, -5344, -5344,
   -5344,  3897, -5344, -5344, 48945,  4662, -5344,  1838, -5344, 48945,
    4453, -5344, -5344, -5344, -5344, -5344, 13661, -5344, -5344, -5344,
    1579, -5344,  4777, -5344, -5344, -5344,  3988, -5344, -5344, 70038,
   -5344,  4117,  4174,  4552, -5344, -5344, -5344,  3661, -5344,  2053,
   -5344, -5344,  2121,  2475,  4538,  4760, 45179,  4850,  5628, -5344,
   -5344,  5628, 45717, -5344,  2082,  2996,  4625, -5344,  3003, -5344,
   -5344, -5344, -5344, -5344,  4174, -5344, 98135,  4174, -5344,  2734,
    4567,  4573, -5344, 98135, 15136, -5344, 72122, -5344, 70038, -5344,
   -5344,  3786, -5344,  4506,  4507,  3023, -5344,  4463, -5344, -5344,
    4766,  4770, -5344, 70038, 72122, 72122,  3032, -5344, -5344, -5344
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2657,     0,     2,     1,  3086,  3090,  3094,  3095,  3012,  3096,
    3097,  3062,  3063,  3064,  3065,  3066,  3067,  3068,  3069,  3070,
    3071,  3072,  3073,  3075,  3074,  3076,  3077,  3078,  3079,  3080,
    3081,  3082,  3083,  3085,  3084,  3034,  2664,  3031,  3028,  3029,
    3030,  3035,  3033,  3026,  3027,  2224,  3099,  3087,  3100,  3088,
    3089,  3091,  3092,  3061,  3093,  3101,  3102,  3103,  3098,  3106,
    3057,  3058,  3056,  3059,  3060,  3104,  3105,  3048,  3049,  3050,
    3051,  3107,  2665,  2666,  3053,  2658,  2662,  2724,  2795,  3054,
    3055,  3052,  2663,  3047,  2795,     0,  2916,  2917,  2918,     0,
    2919,  2920,  2921,  2847,  2809,  2922,     0,     0,  2923,  2924,
    2925,  2926,  2927,  2928,  2929,  2930,     0,  2931,  2932,  2933,
    2934,  2794,  2935,  2936,  2937,  2938,  2771,  2777,  2900,     0,
    2751,  2752,  2748,  2750,  2749,  2753,  2736,  1423,   632,  1509,
    1508,     0,  2559,  1423,  2512,  2513,  2560,  2514,  2515,  2516,
     273,     0,  1511,  2517,  2561,     0,  1423,  2562,   433,  1114,
    2563,  2564,  2679,     0,  2518,  2519,     0,     0,     0,   632,
    1423,     0,     0,  2520,  1638,  2521,     0,  2522,  2565,  2566,
       0,  2523,  2524,  2567,     0,  2568,  2525,  2526,  2527,  2569,
    2570,  2571,  2528,  2572,  2573,     0,     0,  1652,     0,  2529,
    2574,  2530,  2531,     0,  2575,  2532,  2533,  2534,  2576,  2577,
    2535,  2536,  2537,     0,  2538,     0,     0,     0,     0,     0,
       0,  2578,  1423,  2539,     0,     0,  1659,     0,  2540,     0,
    2579,  2541,     0,  2542,     0,  2580,  2543,  2544,  2545,  2546,
    1652,  2896,  2772,     0,  1513,     0,  2547,  2581,     0,  2548,
    2549,  2550,  2551,  2552,  2553,  2554,  2555,  2556,  2557,  2558,
       0,     0,     0,    71,    72,    29,    28,    35,    34,    92,
      93,    54,    16,    83,    62,   127,   126,   128,    41,    37,
      79,    24,    26,    38,    42,    64,    66,    55,   105,    63,
      22,    61,    87,    67,    90,    49,    10,    11,    50,    12,
      51,    13,    52,    14,   101,    73,    94,    33,    60,    21,
      43,    69,    70,     3,    45,    81,    77,     9,    56,    57,
      59,    84,    85,    86,   110,    88,   122,    40,   119,    98,
      99,   116,   100,   117,     7,   102,    53,    15,   113,   112,
     114,    80,    46,    82,    68,    91,   111,    25,   115,    17,
      18,    20,    19,    58,    27,    65,    30,    89,   118,   108,
     104,   123,   121,   129,   106,    74,     5,     6,    95,     4,
      23,    48,     8,    32,    31,    47,    39,   125,    36,  1511,
      97,   109,    96,   103,    78,   107,   124,    76,   120,  1623,
    1610,  1661,  1622,  1637,     0,  1626,  2991,  2992,    44,  1638,
     131,   132,   137,  2661,  2713,  2714,  2715,  2795,  2746,  2747,
    2740,  2756,  2766,  2755,  2759,  2767,  2754,  2773,     0,   134,
     136,   138,   141,   135,   130,   133,   140,   145,   139,   144,
     142,   143,   146,   147,   148,  2993,  1884,  2990,    75,  2731,
    2730,     0,  2795,     0,  3023,  2239,  2240,  2241,  2242,  2243,
    2244,  2245,  2246,  2247,  2248,  2249,  2250,  2251,  2252,  2253,
    2254,  2255,  2256,  2257,  2258,  2259,  2260,  2261,  2262,  2263,
    2264,  2265,  2266,  2267,  2268,  2269,  2270,  2271,  2272,  2273,
    2274,  2275,  2276,  2277,  2278,  2279,  2280,  2281,  2282,  2283,
    2284,  2231,  2285,  2286,  2287,  2288,  2289,  2290,  2291,  2292,
    2293,  2294,  2295,  2296,  2297,  2298,  2299,  2300,  2301,  2302,
    2303,  2304,  2305,  2306,  2307,  2308,  2309,  2310,  2311,  2312,
    2313,  2314,  2315,  2316,  2317,  2318,  2319,  2320,  2321,  2322,
    2323,  2324,  2325,  2326,  2327,  2328,  2329,  2330,  2331,  2332,
    2333,  2334,  2335,  2336,  2337,  2338,  2339,  2340,  2341,  2342,
    2343,  2344,  2345,  2346,  2347,  2348,  2349,  2350,  2351,  2352,
    2353,  2354,  2355,  2356,  2357,  2358,  2359,  2360,  2361,  2362,
    2363,  2364,  2365,  2366,  2367,  2368,  2369,  2370,  2371,  2372,
    2373,  2374,  2375,  2376,  2377,  2378,  2379,  2380,  2381,  2382,
    2383,  2384,  2385,  2386,  2387,  2388,  2389,  2390,  2391,  2392,
    2393,  2394,  2395,  2396,  2397,  2398,  2399,  2400,  2401,  2402,
    2403,  2404,  2407,  2405,  2406,  2408,  2409,  2410,  2411,  2412,
    2413,  2414,  2415,  2416,  2417,  2418,  2419,  2420,  2421,  2422,
    2423,  2424,  2425,  2426,  2427,  2428,  2429,  2430,  2431,  2432,
    2433,  2434,  2435,  2436,  2437,  2438,  2439,  2440,  2441,  2442,
    2443,  2444,  2445,  2446,  2447,  2448,  2449,  2450,  2232,  2451,
    2452,  2453,  2454,  2455,  2456,  2457,  2458,  2459,  2460,  2461,
    2462,  2463,  2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,
    2472,  2473,  2474,  2475,  2476,  2477,  2679,  2478,  2479,  2480,
    2481,  2482,  2483,  2484,  2485,  2486,  2487,  2488,  2489,  2490,
    2491,  2492,  2493,  2494,  2495,  2496,  2497,  2498,  2499,  2500,
    2501,  2502,  2503,  2504,  2505,  2506,  2507,  2508,  2509,  2510,
    2511,  2697,  2229,  2230,  2236,  2237,  2238,  2672,  2693,  2699,
    3019,  2698,  2235,  2846,     0,     0,  2939,  2940,  2941,  2942,
    2943,  2944,  2994,  2995,  2996,  2997,  2998,  3000,  2999,  2808,
    2966,  3003,  2807,  3004,  2811,  3005,  3006,  3007,  3008,  2967,
    3009,  2810,  3001,  2963,  2812,  2805,  2806,  2964,  2914,  2915,
    2202,  2965,  2962,  3002,  2700,  2961,  2816,  2815,  1600,  3018,
    2201,  1601,     0,  2818,  2945,  2946,  2947,  2948,  2950,  2949,
    2951,  2582,  2583,  2584,  2585,  2586,  2587,  2588,  2589,  2590,
    2591,  2592,  2593,  2976,  2594,  2595,  2596,  2989,  2597,  2598,
    2977,  2599,  2600,  2601,  2602,  2603,  2604,  2605,  2606,  2607,
    2608,  2609,  2610,  2611,  2612,  2613,  2614,  2615,  2616,  2617,
    2618,  2619,  2620,  2621,  2622,  2978,  2979,  2623,  2624,  2625,
    2626,  2627,  2628,  2629,  2630,  2631,  2632,  2633,  2634,  2635,
    2636,  2637,  2638,  2639,  2640,  2641,  2642,  2643,  2644,  2645,
    2646,  2980,  2647,  2648,  2981,  2649,  2650,  2651,  2982,  2652,
    2653,  2654,  2655,  2656,  2986,  2987,  2988,  2975,  2769,  2952,
    2974,  2985,  2983,  2984,  2779,  2775,  2783,  2778,     0,     0,
       0,     0,  2795,  1422,  1421,  1407,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   631,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2669,     0,  1433,   404,   403,  1510,  1490,   632,     0,  1410,
     432,  1638,     0,     0,     0,     0,     0,     0,     0,     0,
     860,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   196,     0,     0,     0,   458,   457,
       0,     0,     0,  1087,   463,     0,     0,     0,     0,     0,
       0,   620,  2678,  2673,  2683,     0,  2676,  2677,  2961,     0,
    3110,  2405,  2709,  2710,  3108,  2462,  1602,   274,   277,   278,
     275,   276,     0,  1209,  1210,  1212,     0,     0,     0,  1222,
     900,   901,     0,     0,     0,   909,     0,     0,     0,   898,
       0,     0,     0,   914,   911,     0,   915,   912,   895,   913,
     902,     0,   894,     0,     0,  1222,   916,     0,     0,   896,
       0,     0,     0,     0,  1411,     0,  2761,  2762,  2336,  1550,
     464,     0,     0,  1638,     0,  1528,  1529,  1511,  1518,  1530,
    1523,  1525,  1524,  1526,  1522,  1527,  2240,  1027,  2255,  1027,
    2325,  1024,  1025,  1027,  1027,  1027,  2424,     0,     0,   999,
       0,  1010,  2225,  1027,  2226,  3019,  1032,   524,   524,   524,
       0,  1031,  1036,   524,     0,  1404,  1442,  2206,  1651,     0,
    2255,  2325,  1000,  1403,  2478,  1542,     0,     0,  1237,  1233,
    1235,  1236,  1234,     0,     0,     0,  2440,  1415,   258,  2959,
    2450,  2543,  2478,  2960,   257,   252,   253,  2954,  2955,  2957,
     226,  2958,  2956,  2953,  2244,     0,     0,  1031,     0,  1412,
    1413,   982,  1658,  1656,     0,  2188,     0,     0,  2263,     0,
    2277,  2361,   249,  2435,  2441,  2450,  2543,  2478,  2509,   205,
     215,   210,     0,   267,  2450,  2543,  2478,     0,  1433,     0,
    1627,  1758,  2197,     0,     0,  2770,  1406,  1405,  1512,     0,
    1515,     0,  2419,  1631,  1634,  1517,  1632,  1623,     0,     0,
    2660,  1506,  1655,  1655,     0,  1655,     0,  1615,  1623,  1618,
    1622,     0,     0,     0,     0,  1423,     0,  2738,  2766,  2745,
    2801,  2742,     0,     0,  2791,  2787,  2784,  2792,  2793,  2786,
    2774,  1873,  1874,  1875,  1872,  1885,  1871,     0,  2719,  1876,
    2758,  2725,     0,  2733,  2732,  3036,  3037,  2848,  2671,  2690,
       0,     0,     0,     0,     0,     0,     0,  2817,  2819,  2821,
    2781,  2780,  2776,     0,     0,     0,     0,  2906,  2907,  2905,
       0,  2902,  2904,     0,  2801,     0,     0,  2970,  2964,  2973,
       0,  2207,  2965,  2962,  2961,     0,   919,     0,  1445,  1073,
       0,     0,     0,     0,     0,     0,     0,  1122,  1123,     0,
    2229,     0,  2335,     0,     0,     0,  2099,  2110,  2111,  2112,
    2267,  2320,  2107,  2108,  2109,  2101,  2102,  2103,  2104,  2105,
    2106,     0,     0,  1204,  2100,     0,  2335,     0,     0,   175,
       0,   153,     0,     0,  2335,     0,     0,     0,     0,     0,
       0,     0,  2335,     0,     0,     0,     0,     0,  2366,     0,
     153,  2335,     0,     0,     0,  1427,     0,     0,     0,  1429,
    1432,  1408,  1493,     0,  2197,     0,     0,     0,   953,   946,
       0,   954,   961,     0,     0,   963,     0,     0,   947,     0,
       0,     0,     0,   966,   967,     0,   968,   948,   969,   949,
     970,   950,   971,     0,     0,     0,     0,   951,     0,     0,
       0,  1419,     0,  1544,  1546,  1545,  1543,   524,     0,     0,
       0,     0,  2335,     0,     0,   153,  1478,     0,  2335,   153,
       0,     0,   462,   461,   153,     0,   460,   459,  2267,  2320,
       0,  1113,     0,  1361,   153,  2335,     0,   198,  2335,   704,
       0,   635,     0,     0,   815,  2366,   153,     0,     0,     0,
       0,     0,     0,     0,  1090,     0,     0,     0,   619,   632,
       0,  2682,  2688,     0,  2680,  2849,  3111,  3109,  2804,     0,
    1213,   250,   251,  1211,   907,  2335,  1155,   361,   361,     0,
       0,  2335,  1464,  1833,  1862,  1840,  1862,  1862,  1829,  1829,
    2304,  1842,  2335,  1830,  1831,  1867,     0,  1862,  1829,  1834,
       0,  1832,  1870,  1870,  1857,   361,   923,  1814,  1815,  1816,
    1817,  1843,  1844,  1818,  1849,  1850,  1854,  1819,  1884,  2971,
    1829,  2972,  2969,  2968,   908,     0,   899,  2335,   361,  1119,
    2335,  2233,   189,     0,   897,  2267,  2320,  2335,   361,  1206,
       0,  2335,   181,  2335,   361,  2335,   636,     0,     0,  2335,
     361,  2335,  2366,   183,     0,  2335,   361,   917,  2335,   361,
    2199,  2335,     0,     0,     0,  3041,  3045,     0,  3043,  3038,
    2760,  2814,  2813,  2712,     0,  3122,     0,  1602,  1520,  1535,
       0,  1531,  1538,  1534,  1638,  1027,  1026,     0,  1027,     0,
    3131,  1027,     0,  1027,     0,  3131,  1027,     0,     0,     0,
    1027,  2227,  2228,     0,     0,  3130,  3128,  3129,  1001,  1011,
       0,  1033,     0,     0,  1040,  1039,  1038,     0,     0,     0,
    1041,     0,  1762,  1577,     0,  1008,     0,  1006,     0,  1401,
    1418,     0,     0,     0,     0,  1090,  1240,     0,  1238,  1229,
    1230,  1414,   256,   254,     0,     0,     0,     0,     0,     0,
    1420,     0,     0,     0,     0,  3025,  2213,  2113,  3024,     0,
    2513,  2514,  2515,  2172,     0,  2966,  2516,  2517,  2561,  2015,
    2002,  2011,  2016,  2003,  2005,  2012,  2518,  2519,  1950,  2520,
    2521,  2220,  2522,  2523,  2524,  2526,  2527,  2528,  2007,  2009,
    2529,  2530,     0,  2221,  2532,  2533,  2388,  2535,  2536,  2538,
    2539,  2013,  2541,  2542,  2543,  2544,  2545,  2546,  2219,     0,
    2014,  2547,  2549,  2550,  2551,  2552,  2554,  2555,  2556,  2557,
       0,     0,     0,  2194,     0,  1982,     0,  1822,  1823,  1845,
    1846,  1824,  1851,  1852,  1825,     0,  2193,  1887,  2064,  1981,
    1998,     0,  1987,  1988,     0,  1980,  1976,  1641,  2189,     0,
    1977,  2209,  2173,  2223,  2222,  3019,  2183,  2212,  2210,  2211,
    1641,  2187,     0,     0,     0,   218,     0,     0,  2895,   269,
       0,   270,  2195,  2450,   206,   248,   220,   247,   221,   219,
       0,  2265,   207,     0,     0,   208,     0,     0,     0,     0,
       0,     0,     0,   263,  1409,     0,  1760,  1759,  2180,     0,
    2181,  2198,   928,     0,  1503,  1504,  1502,     0,  1499,  1501,
    1505,  1514,  1511,  2123,     0,  1633,     0,     0,     0,  1613,
    1612,  1517,  1653,  1654,     0,     0,     0,     0,     0,     0,
       0,     0,  1707,  1669,  1670,  1672,  1704,  1708,  1716,     0,
    1619,     0,     0,  1764,     0,     0,  2659,  2801,  2802,     0,
    2796,     0,  2795,  2795,  2789,  2788,  2785,     0,     0,     0,
       0,     0,     0,     0,  2716,   614,  2718,   612,     0,     0,
    2692,     0,  2696,  2694,     0,  2841,  2844,     0,  2842,  2843,
    2845,     0,  2850,  2851,     0,     0,  3032,     0,     0,     0,
    2832,  2820,  2827,  2829,  2831,  2830,  2839,  2835,  2838,  2840,
    2782,  2795,  2913,     0,  2908,  2911,     0,  2903,     0,     0,
       0,     0,     0,  1154,  2208,     0,     0,     0,     0,     0,
     920,     0,     0,     0,     0,  1453,  1454,  1455,     0,     0,
    1456,  1457,  1445,   260,  1463,  1461,  1444,  1446,  1459,  1451,
       0,     0,     0,     0,     0,     0,     0,  1470,     0,   187,
     188,     0,   648,   632,     0,  2335,     0,     0,     0,     0,
       0,  1162,  1169,     0,     0,     0,     0,     0,     0,     0,
       0,  1163,  1161,  1164,   262,  1173,  1190,  1193,     0,  1121,
    1124,     0,     0,     0,     0,     0,  1295,     0,     0,     0,
    1295,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   285,   297,   356,     0,     0,  2335,
       0,     0,     0,     0,  1208,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   151,   152,
     157,     0,     0,     0,     0,     0,     0,     0,   598,   611,
       0,     0,     0,     0,     0,   608,     0,     0,   153,   289,
     588,   594,     0,     0,     0,   711,   710,     0,     0,     0,
       0,  1378,  1377,     0,     0,     0,     0,  1468,  1467,     0,
       0,     0,     0,     0,  1295,     0,   279,   281,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   396,   397,     0,     0,     0,   157,   180,
       0,     0,     0,   291,     0,  2726,     0,  1428,  1425,  1426,
       0,  1431,     0,  1489,     0,   960,     0,     0,     0,     0,
     962,     0,   955,     0,     0,   952,  2267,  2320,     0,     0,
       0,     0,     0,     0,     0,   965,     0,     0,     0,   435,
       0,     0,   812,     0,     0,     0,     0,     0,     0,   823,
       0,  1445,  1477,     0,     0,     0,   641,     0,  2335,     0,
     155,   850,   861,     0,   813,   463,     0,     0,     0,  1185,
    1360,   155,     0,     0,   192,     0,     0,   708,     0,     0,
       0,     0,     0,     0,     0,   753,   752,     0,     0,     0,
     814,     0,     0,   155,     0,  2335,   591,  2335,     0,   524,
     524,     0,  1517,     0,  1089,  1092,     0,     0,     0,     0,
    2686,  2681,  2684,     0,  2674,  2688,  1605,  1607,  1606,     0,
    1604,     0,   359,   360,     0,  1196,   810,  1221,     0,     0,
    1861,  1848,  1856,  1855,     0,  1838,  1837,  1836,     0,  1835,
       0,  1862,  1862,  1860,  1839,  1814,     0,     0,     0,  1866,
       0,  1864,     0,   890,  1810,  1806,     0,  1873,  1872,  1871,
       0,  1820,  1829,  1826,   910,     0,     0,  1194,     0,     0,
    2335,   361,  2335,     0,  2335,     0,     0,     0,  1198,   361,
       0,     0,  1379,     0,   906,   904,   903,   905,     0,     0,
     888,     0,     0,     0,  2335,   361,     0,     0,   883,     0,
       0,   885,     0,     0,  3039,     0,     0,  3042,     0,  2763,
       0,  3125,  1547,  3126,     0,     0,  1638,     0,   237,   238,
     236,  1536,   239,  1537,  1533,  1519,     0,  1019,     0,  3131,
    3132,  1004,     0,  1014,     0,  3131,  1002,     0,  1015,  1012,
    1013,     0,     0,     0,  3127,  3010,  3016,  1018,     0,     0,
     525,   527,     0,     0,  2288,  2303,     0,  2326,  2354,  2355,
    2441,  2446,     0,  2473,  2483,     0,  1042,  1068,  1037,   722,
       0,     0,  1587,  1009,  1007,  1402,  1540,  2130,     0,  1638,
       0,     0,     0,     0,   255,   227,     0,     0,     0,  1070,
    2440,  1417,   981,   632,     0,     0,  1985,  1986,  2171,     0,
       0,     0,     0,     0,     0,  1984,  2138,     0,     0,     0,
       0,     0,  1910,     0,     0,     0,  2151,     0,  2157,     0,
       0,  1947,     0,     0,     0,     0,     0,     0,     0,     0,
    1911,  1891,  1892,  2967,  1982,  2123,     0,  1983,  2216,     0,
    1884,  2113,     0,  2110,  2111,  2112,     0,     0,     0,  2186,
       0,  2121,     0,     0,  1925,  2119,  1927,     0,     0,     0,
       0,  2107,  2108,  2109,  2101,  2102,  2103,  2104,  2105,  2106,
    2117,  1907,     0,  2192,     0,  2066,     0,  1906,     0,     0,
    1720,  1640,     0,  2214,  2174,     0,  3017,  3020,  1978,  1720,
    2892,  2891,  2890,  2889,  2860,     0,  2854,  2855,     0,  2893,
    2894,   271,   272,   268,     0,     0,   223,   222,     0,   245,
     246,   217,   244,     0,   240,   241,   225,  2055,  2054,   224,
     216,   213,   211,   228,   230,   231,   214,   212,   266,   264,
       0,     0,  2179,     0,  2176,  2175,  2204,  2182,     0,     0,
     361,  2795,  1497,     0,  1494,  1717,     0,  1635,     0,     0,
    1507,  1630,  1629,  1662,  1663,  1106,  1628,  1687,  1688,  1683,
       0,     0,     0,  1713,  1711,  1679,  1673,  1678,  1676,     0,
    1680,  1887,  1706,  1617,  1667,  1668,  1671,  1616,     0,  1709,
       0,  1590,  1707,  1672,  1574,     0,  1552,     0,  1765,     0,
       0,     0,  2803,  2801,  2741,  1814,  2795,  2734,  2795,  2790,
    2722,  1878,  1879,  1880,  1881,  1882,  1883,  2723,     0,  2720,
    1877,  2721,   613,     0,     0,     0,  2689,     0,  2670,  2695,
    2826,  2458,  2858,     0,  2859,     0,     0,  2823,     0,  2833,
    2836,  2834,  2837,     0,  1814,  3013,  2909,  3013,  1814,     0,
       0,     0,  1134,  1136,     0,  1135,     0,  1138,     0,  1147,
       0,     0,  1133,  1152,     0,  1141,  1139,     0,  1466,     0,
       0,   921,     0,     0,     0,     0,  1452,     0,     0,  2473,
     259,  1455,  1460,  1447,  1458,     0,     0,     0,     0,     0,
    1072,  1071,     0,     0,  1094,     0,     0,     0,  1473,   513,
       0,   358,     0,     0,     0,     0,     0,     0,     0,     0,
     808,   805,     0,     0,   804,     0,   646,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   684,     0,  1295,
       0,   716,     0,  1171,     0,     0,  1170,     0,  1174,     0,
       0,  1172,  1167,  1168,  2441,  2450,  2478,   261,  1192,     0,
    1191,  1189,  1116,     0,  1117,     0,     0,     0,     0,     0,
    2313,  2335,   301,   320,     0,  1294,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   343,     0,     0,   346,   345,     0,     0,     0,     0,
       0,   350,   329,     0,   330,     0,     0,   349,     0,     0,
       0,     0,     0,     0,  1295,     0,   293,     0,     0,     0,
       0,     0,     0,     0,  1205,     0,   739,     0,     0,     0,
       0,     0,  1364,     0,   178,     0,   174,   177,     0,     0,
       0,     0,   596,   597,   610,     0,   601,   602,   599,   603,
     604,     0,     0,     0,     0,     0,     0,     0,   595,     0,
       0,   706,   705,   709,     0,     0,     0,  1373,     0,  1185,
       0,     0,  1372,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1242,  1241,     0,     0,     0,     0,     0,
       0,   851,     0,     0,     0,     0,     0,     0,     0,     0,
     726,     0,   725,     0,   179,     0,     0,     0,     0,     0,
       0,     0,   235,  1424,  1430,  1492,  2205,  1491,     0,     0,
       0,     0,   964,     0,     0,     0,     0,     0,     0,     0,
     956,   957,   958,   959,     0,     0,     0,     0,     0,   410,
       0,     0,     0,     0,   839,  2968,   811,     0,     0,     0,
     825,     0,   828,   831,     0,  1443,   482,     0,     0,   638,
     684,     0,     0,   466,   185,     0,     0,     0,     0,   741,
       0,     0,     0,  1359,   150,   196,   198,   464,     0,   197,
     199,   201,   202,   203,   200,   204,     0,   703,   707,     0,
       0,   634,     0,     0,     0,     0,     0,   754,   758,   757,
     761,   759,     0,   755,     0,     0,  1785,     0,     0,   173,
       0,     0,   586,   590,     0,  2667,     0,     0,   466,   565,
     372,  2335,     0,   524,     0,     0,  2335,     0,  1091,     0,
       0,     0,     0,     0,     0,  2687,     0,     0,     0,     0,
    1603,   361,  1156,     0,  1465,     0,     0,     0,   361,  1859,
    1858,  1811,  1807,     0,     0,     0,     0,   924,     0,     0,
       0,     0,     0,     0,  1827,   361,  1120,   190,  2234,     0,
     892,     0,     0,     0,     0,   361,  1207,   880,   182,   361,
     637,     0,   361,   184,     0,     0,     0,   629,   361,   918,
     361,  2200,     0,   361,  3040,  3046,  3044,  1549,  3123,  3124,
     524,  1607,  1521,  1532,  1016,  1023,  1005,  1022,  1021,  1003,
    1020,  1017,  2825,     0,     0,  3015,     0,  1034,     0,   523,
       0,     0,     0,  1048,  1049,     0,     0,  1047,  1050,     0,
    1052,  1044,  1043,  1053,  1054,     0,     0,  1070,   720,     0,
       0,     0,     0,  1584,     0,  1582,     0,  1763,  1586,  1575,
    1541,     0,  1539,     0,   579,     0,     0,  1239,     0,     0,
    1031,     0,     0,   361,  1416,     0,   983,   989,     0,     0,
       0,     0,     0,     0,   992,   993,   994,   985,   995,   986,
     996,     0,   987,     0,     0,     0,     0,  2134,     0,  2135,
       0,     0,  2170,  2166,     0,     0,     0,     0,     0,  2142,
    2143,  2144,  2141,  2145,  2140,     0,     0,  2146,  2139,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2539,     0,
       0,     0,     0,  1951,     0,     0,  2094,     0,  2123,  2156,
       0,     0,     0,     0,     0,     0,  2123,  2162,     0,     0,
       0,     0,  2053,     0,  2050,     0,     0,     0,     0,  2183,
       0,     0,  2217,  1888,  1902,  1903,  1904,  1908,  2191,     0,
    2185,     0,     0,  1889,  1916,     0,  2163,  1943,     0,  1948,
    1931,     0,  1924,     0,  1929,  1933,  1912,     0,  1909,     0,
    2186,  2122,     0,  2120,     0,  1899,  1900,  1901,  1893,  1894,
    1895,  1896,  1897,  1898,  1905,  2098,  2096,  2097,     0,     0,
       0,  2074,     0,     0,  1928,  2329,  2361,     0,  1652,  1652,
    1652,  1639,  1650,  2190,     0,  1780,     0,     0,     0,     0,
    1990,     0,  2127,  1661,  2125,  2207,  3022,  3021,  2184,  1780,
       0,     0,     0,  2196,     0,     0,  1884,     0,   265,  1761,
    2177,  2180,   926,   927,   925,  1814,  1517,  1500,  1496,  1495,
    2124,  1516,  1638,     0,  1104,  1105,     0,  1109,     0,     0,
    1681,  1714,     0,  1705,     0,  1685,  1686,  1677,  1715,  1588,
       0,  1710,  1621,  1620,     0,  1783,     0,     0,     0,  1566,
    1554,     0,  1766,     0,  1720,  1592,     0,  2183,  1718,  2739,
    2797,  2744,  2765,  2735,  2768,  1886,  2717,  2757,     0,  2691,
    2861,  2862,     0,  2852,  2853,  2822,  2828,  2899,     0,  3014,
       0,     0,  1337,  1243,  1302,  1137,     0,  1829,  1148,     0,
    1132,     0,  1131,  1829,     0,  1149,     0,  1829,  1338,  1244,
    1303,   922,  1339,  1245,  1304,  1340,  1246,  1462,  1450,  1449,
    1448,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   789,  2335,   361,  1471,  1341,
       0,  1247,   357,  1472,  1305,  1476,   807,   806,     0,     0,
    1306,     0,   647,     0,   651,     0,   653,   654,   655,     0,
       0,     0,   656,     0,  2267,  2320,   658,   661,   668,   673,
     663,     0,     0,   675,   669,     0,     0,     0,     0,     0,
       0,   681,   683,     0,     0,     0,     0,     0,     0,     0,
    1165,  1166,  1342,  1250,     0,  1307,  1115,     0,  1251,   186,
       0,     0,   286,  2335,   303,     0,   688,   789,  1297,   327,
       0,     0,   342,   337,   338,   336,  2335,   361,  2335,   361,
       0,     0,     0,     0,     0,   339,   334,   335,   331,     0,
       0,   344,  2243,  2305,  2451,     0,   692,   694,     0,   699,
     347,  1269,   368,   367,   366,     0,   351,     0,   373,   376,
     348,   325,   328,   326,   322,   298,     0,     0,     0,     0,
       0,     0,     0,     0,  2203,     0,     0,  1200,     0,  1345,
    1308,     0,  1328,     0,     0,     0,     0,   733,  1365,  1367,
    1357,  1257,  1366,   176,  1284,     0,     0,   162,     0,     0,
       0,     0,   156,   166,     0,  1348,  1258,     0,     0,   290,
     589,   600,   605,  1263,   609,   606,  1318,   607,  1355,  1259,
    1351,  1287,  1313,  1358,  1374,  1260,     0,  1369,  1371,     0,
    1295,     0,   280,   282,     0,   300,     0,  1261,     0,  1311,
    1350,  1286,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1479,     0,     0,     0,     0,     0,     0,   361,     0,
       0,  1297,  2335,   361,  1349,     0,  1292,     0,  1326,     0,
     398,     0,  1285,     0,     0,   292,  1265,  1320,     0,     0,
     233,   232,   234,   973,   933,   972,     0,  2303,     0,   932,
     934,     0,     0,     0,   935,     0,     0,     0,     0,   931,
     929,   930,   409,     0,   434,   407,   408,   410,     0,   838,
       0,     0,     0,     0,     0,   827,     0,     0,     0,  1469,
       0,   153,   645,     0,     0,     0,   640,   683,   688,     0,
       0,     0,     0,   465,   469,   473,   474,   475,     0,     0,
       0,     0,   167,   154,     0,   869,     0,   524,     0,   743,
    1363,  1362,  1184,     0,   198,   191,     0,     0,   704,     0,
       0,   372,   822,   820,   819,   821,     0,     0,     0,   843,
     818,     0,  1784,  1786,     0,     0,     0,     0,     0,     0,
       0,   468,     0,     0,   527,     0,     0,   569,     0,     0,
       0,     0,   372,     0,     0,     0,     0,  1126,     0,  1144,
    1127,     0,     0,     0,     0,  1178,  1185,  1179,  1157,     0,
       0,   617,  2685,  2679,  1608,  1609,     0,  1197,     0,     0,
    1828,  1841,   891,     0,  1869,  1868,  1870,  1870,     0,  1812,
       0,  3112,  3120,  3119,     0,  1853,  1821,  1195,   361,     0,
     361,     0,   361,  1199,  1380,     0,   889,     0,     0,   361,
     882,   884,     0,   886,     0,  2824,  3011,  1035,   526,     0,
       0,     0,     0,  1046,   615,  1051,     0,  1063,  1058,  1060,
       0,  1064,   719,     0,     0,  1585,  1578,  1580,  1579,     0,
       0,  1576,  2131,   881,     0,   585,  1231,  1232,     0,     0,
     361,     0,  1065,     0,     0,   990,   984,     0,     0,   988,
       0,   991,     0,     0,  1657,  2132,  2133,     0,     0,     0,
    2167,     0,     0,  2028,     0,  2004,  2006,  2018,     0,  2029,
    1989,  2030,  2008,  2010,     0,  2114,     0,     0,  2019,     0,
    1953,  1954,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1969,
    1968,  2020,  2093,     0,     0,  2154,  2155,  2021,     0,     0,
    2161,     0,     0,     0,  2026,  2031,     0,     0,     0,     0,
    2037,     0,  2058,     0,     0,     0,  1979,  2124,     0,     0,
       0,     0,     0,     0,     0,     0,  1949,  1932,  1926,     0,
    1930,  1934,     0,     0,     0,  1920,     0,     0,  1918,  1944,
    1914,     0,     0,  1945,     0,     0,     0,  1997,     0,     0,
    1652,  1652,  1652,  1652,  1649,     0,     0,     0,     0,  2438,
    2558,     0,  1744,  1719,  1721,  1731,  1744,  1749,  1744,  1999,
    1778,  2000,     0,  2197,     0,  1690,  1661,  1661,  1661,  1996,
       0,     0,     0,     0,  1660,  1690,  2874,  2876,  2877,  2878,
    2879,  2880,  2882,  2883,  2885,  2886,  2887,  2875,  2881,  2884,
    2888,  2865,  2866,     0,  2856,  2857,   209,     0,   242,   229,
    2179,     0,  2899,  1498,     0,  1664,     0,  2115,  1109,     0,
    1666,     0,     0,  1712,  1674,  1589,  1573,     0,  1571,  1558,
    1560,  1559,     0,     0,  1561,  2183,     0,  1571,  1553,  1597,
       0,     0,  1783,     0,  1596,     0,  2799,  2727,     0,     0,
    2898,  2901,  2912,  2910,  2737,     0,  1829,  1129,  1130,     0,
    1153,     0,  1075,  1076,     0,  1074,     0,     0,     0,   512,
    1093,     0,     0,     0,   789,     0,     0,   516,     0,  1474,
       0,  1356,  1283,   649,   650,     0,   662,     0,   671,   670,
       0,     0,     0,     0,     0,     0,     0,   657,   677,   621,
     678,   680,     0,     0,   679,   682,   685,  1295,     0,   717,
    1271,     0,  1324,  1159,  1298,     0,  1118,     0,     0,     0,
       0,     0,     0,   482,   321,     0,     0,     0,   153,     0,
     305,   313,   379,   319,     0,  1301,   353,     0,   324,     0,
     317,   340,   332,   341,   333,   352,   354,     0,   696,   697,
     695,   691,     0,   698,   700,     0,   370,     0,     0,     0,
    1344,     0,  1295,     0,   294,     0,  1267,     0,  1322,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1327,     0,     0,     0,     0,   738,     0,   735,     0,     0,
     159,   158,     0,   165,     0,     0,     0,     0,  1185,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   299,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   399,   363,   846,     0,
       0,     0,   401,     0,     0,     0,     0,     0,  1343,  1252,
       0,     0,     0,   944,     0,     0,     0,     0,     0,     0,
     412,   413,   153,   411,     0,     0,   840,     0,   837,  2388,
    2101,  2102,   835,   841,   832,   834,   833,   836,   789,     0,
       0,   824,   829,   830,     0,     0,     0,     0,     0,   497,
       0,     0,     0,   488,     0,     0,  1185,   481,   484,   485,
       0,     0,   641,   644,   642,   643,   676,     0,   468,   504,
     551,     0,   169,     0,     0,   170,   168,     0,     0,   372,
     740,     0,   737,     0,   194,   464,     0,   708,     0,  1185,
     633,   760,   763,   756,     0,   842,   844,   816,     0,   688,
       0,     0,   591,     0,  1550,   579,     0,   553,   468,   551,
     563,   562,   564,     0,   571,   371,     0,     0,   579,   571,
       0,     0,     0,  1094,  1125,     0,     0,     0,  1175,  1180,
    1176,     0,     0,  1140,     0,  1177,  1158,  1112,  1396,  1397,
    1394,  1395,     0,     0,     0,  2702,  1599,  2711,     0,  1847,
       0,  1865,  1863,  1808,     0,  2795,     0,     0,     0,     0,
       0,  1813,   893,     0,   876,     0,   878,   361,   727,     0,
     630,   361,     0,     0,     0,     0,  1045,     0,  1061,     0,
       0,  1028,  1067,     0,     0,  1583,  1581,   577,     0,  1070,
       0,  1029,  1069,     0,     0,     0,     0,     0,     0,     0,
    2136,     0,  2169,  2165,     0,  2001,  2137,     0,  2149,  2148,
    2094,     0,     0,  1952,  1964,  1965,  1966,  2150,     0,  1974,
       0,     0,  1961,  1962,  1963,  1955,  1956,  1957,  1958,  1959,
    1960,  1967,  2159,  2158,  2152,  2153,     0,  2023,  2024,  2025,
    2160,  2032,     0,  2258,  2059,  2036,  2052,  2051,     0,     0,
       0,  2039,     0,     0,  2048,     0,  2095,  2218,  1890,     0,
       0,  1917,  2164,  1935,     0,     0,     0,  1913,  2114,     0,
       0,     0,     0,     0,  1922,     0,     0,     0,  2077,  2072,
    2073,  2091,     0,     0,     0,     0,     0,     0,  1643,  1642,
    1648,  1744,  1749,  1744,     0,     0,  1623,     0,  1731,     0,
    1743,  1729,  1742,     0,     0,  1755,  1753,     0,  1755,     0,
    1755,     0,  1723,     0,  1745,  1725,  1742,  1727,     0,  1770,
       0,  2198,  1779,     0,  1703,     0,     0,     0,     0,  2128,
    2129,     0,  2126,  1991,  1703,     0,     0,     0,  2178,  2897,
    1636,     0,  1665,  1107,  1108,  1682,  1675,     0,  1781,     0,
    1572,     0,     0,     0,  1563,  1569,  1551,     0,     0,  1593,
    1571,  1594,  2743,     0,  2798,  2863,  2864,  1150,     0,     0,
    1142,  1081,  1084,  1082,  1080,  1083,     0,     0,     0,   789,
       0,     0,   532,     0,  1101,  1101,     0,     0,   518,   574,
    1185,   792,     0,     0,     0,   790,   361,  1248,     0,   672,
       0,     0,   667,   665,   664,   666,     0,   622,  1354,  1249,
       0,     0,     0,     0,  1160,     0,     0,  1270,     0,   302,
       0,   478,     0,   314,     0,   310,     0,  1296,     0,     0,
       0,     0,   309,   383,     0,   380,     0,   361,   361,   355,
     693,   369,   374,   375,   378,     0,     0,     0,     0,     0,
    1300,     0,     0,     0,     0,     0,     0,     0,   870,   853,
       0,     0,   871,   872,     0,     0,     0,  1202,  1203,  1201,
    1329,  1330,  1335,  1332,  1331,  1334,  1333,  1336,     0,  1255,
       0,     0,   731,   163,   160,   161,   164,  1281,  1264,  1319,
    1375,  1376,  1370,     0,     0,     0,  1262,     0,  1312,     0,
    1277,  1273,     0,     0,     0,     0,     0,  1353,  1291,  1317,
    1352,  1289,  1315,  1288,  1314,  1290,  1316,     0,  1282,     0,
    1788,     0,     0,     0,   361,   361,   849,   729,  1266,  1321,
       0,     0,   936,     0,     0,   938,   939,     0,   941,   417,
     437,   749,   809,     0,     0,   826,   788,     0,   486,     0,
     492,   495,     0,     0,   499,   500,   498,   487,  1185,   524,
     573,     0,     0,   799,     0,   639,     0,   466,     0,   501,
       0,     0,   470,   172,   171,     0,     0,     0,   744,   748,
     746,   745,   747,   742,     0,   733,   198,     0,     0,     0,
    1368,     0,   773,   817,     0,  1787,   723,     0,   372,   587,
       0,     0,   466,   579,  2668,     0,   471,   476,   477,   482,
       0,   565,   552,     0,   553,     0,     0,   576,  1441,     0,
     580,   582,     0,     0,     0,     0,  1128,  1145,  1146,     0,
       0,  1185,     0,     0,     0,     0,   624,     0,  2675,   361,
    1809,  3113,     0,  3114,  3115,  3116,  3117,  3118,   361,   361,
    1228,     0,   887,  1057,  1056,  1055,   616,     0,  1059,   721,
       0,   578,   361,     0,   998,   978,   997,   977,   979,     0,
     976,   974,   975,  2168,  2017,  2027,  2147,  2093,  2124,     0,
       0,  1975,     0,     0,  2022,  2548,     0,     0,     0,     0,
    2056,  2057,  2038,     0,  2378,  2043,     0,     0,     0,  1941,
    1939,  1936,     0,  1937,  1921,     0,     0,  1919,  1915,     0,
    1946,  2063,     0,  2079,  2076,  2090,  2124,  1647,  1646,  1645,
    1644,  1730,  1726,  1728,     0,  2553,     0,  1733,  1740,     0,
    1722,     0,  1754,  1750,     0,  1751,     0,     0,  1752,     0,
       0,  1724,     0,  1740,     0,  1777,  1661,     0,     0,  2068,
    1994,  1995,  1992,  1661,  2215,  2068,  2867,     0,  2870,  2868,
    2869,  2873,   243,     0,     0,     0,  1555,     0,  1556,  1562,
       0,     0,     0,     0,  1598,  1591,  2800,  1143,  1151,     0,
       0,     0,   514,     0,  1185,     0,     0,     0,  1103,  1103,
       0,  1185,   573,   794,   793,   796,   791,   795,  1475,     0,
     659,   660,   674,  1272,     0,  1325,  1279,     0,  1587,   304,
       0,   689,     0,     0,   306,   382,   384,   307,   308,   311,
     363,   323,   316,     0,     0,     0,  1268,     0,  1323,  1275,
    1346,  1253,  1309,     0,     0,   859,     0,     0,     0,     0,
    1347,  1254,  1310,     0,     0,     0,     0,  1587,     0,     0,
       0,     0,     0,     0,     0,  1484,     0,  1299,   362,   848,
     847,   363,   400,  1293,     0,   937,   942,   943,   940,     0,
     406,   414,   438,   153,     0,     0,  1219,  1219,     0,   789,
       0,     0,   483,   496,     0,   573,   531,     0,   489,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   736,   735,   193,   466,     0,   688,   767,
     768,   762,   764,     0,   775,   779,   845,     0,     0,   468,
       0,     0,  1548,   467,     0,     0,   479,     0,   569,   553,
     565,     0,   566,     0,   570,     0,  1434,     0,   575,     0,
       0,     0,  1181,     0,  1187,     0,  1139,  1110,  1182,     0,
    1780,     0,     0,     0,     0,   628,  2701,  2705,  1220,  3121,
     877,   879,   728,  1062,     0,  1066,   361,   980,  2095,  1970,
       0,     0,     0,     0,  2033,     0,  2034,  2061,  2060,  2040,
    2044,     0,  2041,  2042,  1938,  1942,  1940,  1923,  2065,     0,
    1661,  2092,  1773,     0,  1776,     0,     0,  1732,     0,     0,
    1734,     0,     0,  1736,  1738,     0,     0,     0,     0,     0,
       0,  2201,     0,  2284,  2524,  2437,     0,  1689,  1691,  1694,
    1696,  1695,  1697,  1693,  1702,     0,  1625,     0,  1624,  2872,
    2871,  2116,  1782,  1570,     0,     0,     0,  1095,     0,  1595,
    1063,     0,   361,  1101,   573,   533,  2388,   534,  1100,  1102,
    1106,  1106,     0,   573,   789,   652,     0,     0,   287,   687,
       0,     0,   315,   365,   377,     0,  1587,     0,     0,   857,
     866,   866,   854,     0,     0,   873,  1256,   732,     0,     0,
     283,  1278,  1274,     0,     0,  1486,  1487,     0,     0,     0,
       0,     0,   361,   945,     0,   440,   447,   418,   423,  1478,
       0,  1478,     0,   420,   424,  1478,   419,  1478,   416,   417,
       0,  1219,     0,  1216,  1215,   787,     0,   522,   593,   490,
       0,   542,     0,     0,   800,     0,     0,   468,   551,     0,
     511,   510,   506,   505,   507,   508,   509,   503,   502,     0,
     688,   863,   372,  1441,   730,     0,   701,   765,   770,   769,
    1478,   774,     0,     0,     0,   688,     0,   553,   468,   551,
     472,   482,     0,   556,   555,   571,   565,   569,   567,   568,
       0,     0,     0,   579,  1488,  1094,     0,  1186,     0,     0,
       0,     0,     0,     0,  1223,   623,     0,     0,   627,   618,
       0,  2703,   688,  1030,  1971,     0,  1972,     0,     0,     0,
    2046,  2045,     0,  2082,  1778,     0,     0,  1772,     0,     0,
    1802,     0,     0,     0,  1741,  1757,     0,  1737,  1735,     0,
    1746,     0,  1748,  1991,     0,     0,     0,  1698,     0,  2067,
    2069,     0,  1993,     0,  1568,  1780,     0,  1565,     0,  1077,
       0,  1078,  1103,   537,     0,  1109,  1109,   524,   789,   515,
    1280,     0,   690,   593,     0,   318,     0,   295,  1276,     0,
       0,   868,   868,     0,     0,     0,     0,   389,   394,   395,
       0,   392,   388,   387,   390,     0,  1480,     0,  1481,  1482,
    1485,   402,   415,     0,   445,     0,   443,   442,   444,     0,
     431,     0,     0,     0,     0,     0,     0,   405,   436,  1214,
    1218,  1217,     0,     0,   491,     0,   493,   528,   529,   530,
       0,   494,   538,   539,     0,   797,     0,   802,     0,     0,
       0,   688,   550,   712,     0,     0,     0,  1435,     0,     0,
     776,   777,   772,     0,     0,   724,  1441,   565,     0,   553,
     480,     0,   453,   569,   571,     0,  1438,     0,   581,     0,
     372,  1185,  1188,  1183,  1400,     0,     0,   626,   625,  2706,
    2708,  2707,     0,   718,  1973,  2049,  2035,  2062,  2047,  2078,
       0,     0,     0,  1771,  1774,     0,  1805,     0,     0,     0,
       0,  1791,     0,  1739,     0,     0,  1747,     0,     0,     0,
    1692,     0,     0,  1557,  1567,  1096,     0,     0,  1106,     0,
     789,     0,  1098,  1097,   531,   517,  1587,   312,   364,     0,
       0,     0,   864,   867,   855,   856,   875,   874,   734,  1587,
       0,     0,   385,     0,     0,   441,   450,     0,   448,   421,
     426,     0,   430,   428,   427,   422,   425,     0,   521,     0,
       0,     0,     0,   540,     0,   541,   572,     0,   801,     0,
       0,     0,   714,   862,     0,     0,   688,   766,   771,     0,
       0,  1436,   569,   553,   565,     0,     0,   557,  1101,  1101,
     571,   451,  1439,  1440,     0,   571,  1111,  1399,  1398,  1638,
       0,     0,  2704,  2512,     0,  2485,     0,  2080,  2083,  2081,
    2075,     0,     0,  1803,  1804,  1789,     0,     0,  1793,  1756,
    1769,  1700,     0,  1699,  2070,  2071,  1780,   361,  1109,     0,
     519,   535,   542,   288,  1587,   858,     0,   284,     0,   393,
     391,  1483,   446,     0,   429,   779,   592,   547,     0,   546,
       0,   544,   543,   798,   803,     0,   688,   852,  1441,   702,
     778,     0,   571,   565,   569,     0,   554,     0,  1103,  1103,
     455,     0,  1780,  1382,  1638,  1381,  1383,  1391,  1388,  1390,
    1389,  1387,  1226,  1227,     0,  2087,  2086,  2085,  2089,  2088,
    1775,     0,  1792,  1795,     0,     0,  1801,  1794,  1796,     0,
       0,  1767,  1701,  1564,  1079,  1099,     0,   789,   296,   865,
       0,   449,     0,   545,   549,   548,   688,   713,  1437,   782,
     454,   569,   571,  1101,   558,   560,   559,   372,  1085,     0,
    1392,  1386,  1623,  1610,     0,     0,     0,     0,  1799,  1800,
    1797,  1798,     0,   536,   520,     0,     0,   715,     0,   780,
     783,   786,   784,   785,   571,   452,  1103,   571,  1384,  1638,
       0,     0,  2084,     0,     0,   386,     0,   750,     0,   456,
     561,  1780,  1385,     0,     0,     0,  1768,     0,   781,  1086,
       0,     0,  1790,   782,     0,     0,     0,  1224,  1225,   751
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5344, -5344,  4624, -5344, -1302,   275,  2936,  -838, -5344, -5344,
   -5344,  3710, -5344, -5344, -5344, -5344, -5344, -5344, -5344,  3766,
   -5344, -5344,  2073, -2872, -5344, -5344,   -51,  3705, -1767,   -62,
    3250,  1717, -5344, -1542, -5344, -5344,  -934,    -8, -5344,  3724,
   -1116, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -1143,
    2183,  2247,  1539,  6217, -3289, -5344, -5344, -1915, -3673, -5344,
     832, -5344,   871, -4650, -5088, -5344,  -822,  -647, -5344, -5344,
    2176, -5344, -5344, -5344,  1361,   756,  -327, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344,  -499, -5344, -5344,  -736,   338,  -102,
   -2866, -4185, -5344, -5344,   719,  -133, -1912, -5344, -4030, -5344,
     243, -2145, -5344, -5344, -5344,   -99, -1888,  1649, -5344, -1066,
   -1573,  1991,  -594, -5344,    27, -5344,  -701,  -500,  -498,  -626,
   -4227, -4702, -5344, -5344, -5344,  -731, -4678, -4982, -4298, -3752,
    1666, -5344, -5344, -4215,   411,   703, -5344,   414,   415, -5344,
     721,  -429, -1301, -2003, -5344, -1090, -5344, -5344, -5344, -3350,
   -5344, -5344, -5344, -5344,   -64, -5344, -5344, -5344, -5344,   763,
   -5344, -5344, -5344, -5344, -5344, -5344, -2432,  2170,  2172, -5344,
   -3452, -5344, -1270, -5344,   906, -3426,  1580, -5344, -5344,  1369,
    3788,   752, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -2091,
   -5344, -5344, -5344, -5344,   256,   -61, -5344, -5344, -5344, -5344,
   -5344, -5344,   417, -5344,  2188,  1367, -5344, -5344,   -67, -5344,
   -5344, -5344, -5344, -5344, -5344,  -679,  -816,  -798, -5344, -3390,
   -5344, -5344, -5344,   -38, -5344, -5344, -5344, -5344, -5344, -5344,
   -1256, -5344,  1425, -3589, -5344, -5344,  1437, -5344, -5344, -5344,
    2262, -5344,  -596,    23,  2990, -5344,  -211,  -401, -5344, -5344,
   -5344,    25, -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -1475,  9799, -1226,  -892, -5344, -5344, -5344, -5344, -5344, -2507,
   -5344, -5344, -5344, -5344, -4188, -5344,  4947,    11,  -801,   420,
   -5344,  -203,   -91,  3539, -1563, -3088,   686,  -171, -5344, -5344,
   -5344, -3006, -5344, -5344, -5344, -5344, -3966,   452, -5344,  3525,
   -5344, -4254, -4992, -3990, -4530, -4869, -4955, -3968, -5344, -5344,
   -5344, -5344,  -711,  -879, -5344, -5344, -1908,  2511, -2405, -5344,
   -2547,   750,  1751,  3773, -3191,  -825,  2947, -4238, -1079, -3715,
   -5344, -5344, -2798,  -300, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344,  -946,  2894,  -898, -5344, -5344,  4168, -5344, -4250,
   -5344,  4133, -5344, -5344, -5344, -5344,  2789,  2795, -5344,  2790,
   -5344, -5344, -1836,  1523, -5344, -5344, -5344, -5344,   944, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344,  1426,   927, -5344, -5344,
   -5344, -5344, -5344,  -580,  -739, -5344, -5344,   463, -5344, -5344,
   -5344, -5344,  2130, -1298, -1069,  4013,   467, -5145, -5344, -5344,
   -1584, -5344,  3268, -5344, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -2493, -5344, -5344, -4878, -5344, -5344, -5344, -5344,
   -5344,  2659,  2664,  -108,  -252, -5344, -5344, -1701, -5344,  -911,
   -5344,  2878, -5344, -5344, -5344, -5344, -2196,   475,   809,   -77,
   -5344, -5344,   148, -5344,   567, -5344, -5344, -3867,   -74, -5344,
   -5344, -5344, -5344, -4874, -5344,   -70,  -477,  1111, -3230, -5344,
     482,   -81,  3636,  2125,   -39,   533,  -246,  -268,  -254,   -72,
     -83,  3402, -5344,  3459, -5344,  -201,  2405, -5344, -5344, -1159,
    -355, -5344,  1874,  -981,  2637,  3387,  3389, -5344,  1869, -5344,
   -5344,  1875, -5344,  1180,  -451,  -290, -5344, -5344, -5344, -5344,
     606,  -973,  2650, -5344,  3397, -5344, -5344, -5344, -2282, -3258,
   -3861,  1213, -3851, -3767,   654,   638,  -985,   -45,   -87, -1109,
    3426, -5344, -5344,  1234,  -239, -5344, -5344,  -237, -3244,  1158,
   -5344, -4806, -2757,  1244,  -668,  -522, -5344,  -599, -5344,  -399,
    1354, -2074, -1445, -5344, -5344, -1405, 26987, -5344, -5344, -5344,
   27116, 27163, -5344, -5344, 28073, 28166, -5344, -1275, 29148, 26394,
   -1432, -1417, -1695, 25600, -2174,  1149,   314, -5344, -3973,   770,
   -5344, -5344, -5344,     7,  1301,   283, -5344, -4822, -5344, -5344,
     230, -5344,  -408, -5344,  -406, -5344, -5344, -5344,  -384, -5343,
    2802, -5344, -5344, -5344,  -774, -5344, 29679, -3155, -5344, -1119,
   -3156, -3179, -3817, -2269, -5344, -5344, -5344, -5344, -5344, -5344,
   -5344, -1702, -3714,  -526,  2008, -5344, -5344,  2103, -5344, -5344,
   -5344, -1736,  1950, -1113, -3043,  2012, -5344, -1101,  2805, -1108,
    7510,  -944, 22039,  -115, -2752, -1699, -2023, -5344,  1305, -5344,
    1839,  -157,  -768,  4690,  -910,  -982,  7717,  6375,  5188, -3581,
   -5344, -5344,   488, -5344, -5344, -5344,  4592,  1481, -5344,  3832,
   -5344,  2266,  3087, -5344, -5344,  2681,  -996,    17, -5344,  -361,
   -5344,  -109, -5344, -5344, -5344,   222, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344, -5344, -5344,  3443, -5344, -5344, -1621, -5344,
   -5344, -5344, -5344, -5344,  4882,  -376, -5344,  4244,  -375, -5344,
   -5344, -5344, -5344, -5344, -5344, -5344, -5344, -5344,  3463,  2710,
   -5344,  4039, -5344, -5344, -5344,   -42,  3680, -5344, -5344, -5344,
   -1369,  -669,  4052,  4067,  2687, -5344, -5344, -5344, -5344, -5344,
   -5344, -5344, -5344,  2700, -5344, -5344,  2009, -2390,  2705, -5344,
   -5344,  1224, -5344, -5344,   708, -5344,  1229, -5344,  3571, -5344,
   -5344, -5344,  1264, -5344, -5344, -5344,  -567, 18735,   529,   724,
    1110,   250, -5344, 10784, 25263,   453,  3490,   -60, 14857, 23692,
    2832, -5344,  4888,  2708,  2243, -1123, -5344,   161,  3006, 16706,
   -5344, -1114,    70,  2327, -5344,    -2,  -724, -1348,  3794,  -809,
   -2229, -5344,  5327, -5344, -3462, -5344, -1134,  4282, -1374
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   252,   253,  2010,  2934,  2806,  3722,  3723,   254,
     255,  2006,   256,   257,   258,   259,   260,   261,   262,  1933,
     263,   264,  1416,  2154,  2949,   265,  2650,  1150,  1151,  1152,
    2502,  2503,  2883,  2504,  2491,  1756,  2302,  1954,  1115,  1116,
    1914,  1955,   267,   268,  1750,  2483,   269,   270,   271,  1984,
    2057,  1985,  1927,  2205,  4790,  5525,  3536,  2777,  3769,  3537,
    3538,  4171,  4172,  4248,  5539,  5545,  5540,  5541,   272,  2073,
    2074,   273,   274,  3687,  3683,  4292,  5140,  5141,  5378,   932,
    2911,  5143,  5144,  5364,  5365,  5557,  5697,  5698,  2950,  2146,
    3763,  4377,  3713,  4875,  3714,  4876,  3715,  4877,  3699,  4327,
    4328,  4823,  4329,  3716,  4839,  5407,  3717,  2669,  5574,  2989,
    2332,  2330,  5391,  4651,  4652,  5670,  5581,  5582,  5583,  5801,
    4841,  4881,  4882,  5432,  5736,  5737,  3767,  4384,  4887,  5158,
    3425,   276,  2178,  3865,  1045,  2992,   967,  1046,  2951,   280,
    2982,  5576,  2983,  2031,  2815,  5542,  3845,   281,  1439,  4138,
    5225,  5458,  5459,   282,   919,   283,  2160,   284,   285,  2929,
    3706,   286,  2686,  3442,   287,   288,  3471,  3472,  3473,   289,
    4163,  5080,  1986,  3525,  3526,  3527,  3528,  4193,   290,  2157,
    2958,  2959,   291,   292,   293,   294,  3110,  3111,   295,  2871,
     296,   297,   298,   299,  4227,  4752,  4855,  3567,  3729,  4352,
    4853,   300,  2952,  2168,  2972,  2973,  4862,  5181,  5182,  5183,
    5420,  5727,  5185,  5422,  5602,  5424,  5898,  5899,  5149,  4117,
    4665,   302,  4832,  4833,  5588,   303,  2684,   304,   305,   306,
    2129,  2921,  2922,  4303,  2122,  2913,  2914,  4364,  4365,   307,
     968,   308,  4728,  4729,   969,  5595,  5531,  5684,   309,   310,
    4732,  4733,   311,   312,   313,   314,   315,  1031,  1032,  1033,
    1536,  1537,  3397,  1485,   316,  2520,   317,  1379,  1380,  3664,
     318,  1633,  3154,  3155,  4935,   319,  1069,  1566,  1567,  2953,
     321,  1080,  3130,  1082,  2345,  3847,  3848,  4451,   322,   323,
    3107,  3133,   324,  1920,  2660,  2661,  4646,  2954,   970,  2185,
    2997,  3420,  5306,  5307,  5058,  5320,  3327,  4060,   326,   971,
    1959,  2733,  1508,  1509,  3000,  3778,  2629,  2630,  2631,  4402,
    2632,  3780,  2633,  1893,  2634,  1456,  1457,  3786,  3787,  3788,
    4398,  4405,  2943,  5214,  5215,   327,  1957,  2731,   328,   329,
     330,  1994,  1301,  1518,  1519,   331,   993,   994,   332,  5383,
     333,  1460,   334,  5223,   335,   336,  1104,  1105,  1617,  1618,
     337,   338,  2747,  4174,   339,   340,   341,  3561,  3562,  4744,
     342,   343,  2149,  2150,   344,   345,  3606,  3607,   346,   347,
     348,  5825,  5879,  5880,  5881,  4412,  5749,  5827,  1609,   350,
     351,   352,   922,  1339,  1340,  1341,  2955,  5206,   354,   355,
    1915,  1916,  1917,  1918,  2655,   356,   357,   358,   359,   360,
     361,   362,  2133,   363,   364,  5357,   365,   366,  2093,   367,
    1787,  1788,   368,   369,   926,  1170,  1792,  1798,   370,  1048,
    1560,  1561,  1562,  2304,   371,  1613,  1382,  1049,  1555,  1050,
    2565,  3349,  4072,  4073,  4074,  4077,  5042,  4620,  1051,  3345,
     375,  2352,  3116,  3119,  3341,  1052,  3354,  3355,  3356,  4080,
    1053,  1071,  1449,  3009,  1054,  1705,   380,   381,   382,  1179,
    1173,  1174,   384,  2460,  3281,  1089,  1804,  1134,  1135,  1186,
    4024,  2533,  2534,  2556,  2557,  1813,  1814,  2546,  2548,  3329,
    2549,  3337,  2539,  4594,  5287,  5288,  5289,  5290,  5291,  5292,
    5019,  2552,  2553,  1816,  1817,  1818,  2561,   385,  3285,  4003,
    4004,  4005,  4570,  4571,  4585,  4581,  5003,  5273,  4006,  1603,
    1824,  5011,  5851,  4007,  5262,  5263,  5477,  4589,  4015,  4068,
    3751,  3752,  3753,  4008,  5650,  5651,  5847,  5848,  5479,  5480,
    2635,  2235,  1487,  1706,  1488,  2243,  1707,  2219,  1490,  1708,
    1709,  1710,  1493,  1711,  1712,  1713,  1496,  2211,  1714,  1715,
    2229,  1218,  1219,  1793,  5481,  1717,  1718,  1719,  4010,  1720,
    4524,  4967,  4956,  3213,  3214,  2499,  4520,  3948,  2455,  3271,
    5296,  5499,  5500,  3987,  4549,  4983,  5260,  5642,  5757,  5758,
    1721,  1722,  1723,  3268,  2450,  1304,  1724,  4305,  2452,  3207,
    3293,  3294,  2358,  2377,  3160,  3175,  3176,  3187,  3907,  3195,
    3200,  3935,  3936,  3208,  3237,  1725,  3162,  3163,  3891,  2379,
    1726,  1780,  2513,  1894,  2468,  3232,  1740,  1727,  1728,  2346,
    1161,  5269,   768,   751,  3553,  2515,  1343,  1086,  1729,  1730,
    1731,  1845,   711,  1511,  1512,   713,   752,   753,  1257,   865,
       2,    75,  1055,  3760,   389,   390,   973,   974,   975,  1441,
    1442,  2191,  2194,  1850,  2598,   717,   718,   769,  4908,  5226,
    5461,  1039,   391,   392,   393,   394,  1846,  2594,  1220,    76,
      84,    77,  1221,   431,   432,  2576,   395,   882,   396,  1827,
    1200,  4086,   397,   398,   399,   400,   401,  1036,   402,  1202,
     403,  1203,   404,   405,   406,   407,  1210,   408,  1829,  1830,
    4634,  1831,   409,   410,   755,   756,  1553,   411,   412,  1237,
    1238,  1585,  1586,  1856,  1871,  1872,  1873,   413,   725,   414,
     415,   416,  1862,  1863,   417,  2476,  2477,  2603,  2478,   418,
    3370,  3371,   419,  4041,  4042,  5029,  4043,   420,  2472,   421,
     422,  1164,  4091,   423,   878,   424,  1251,   757,   758,   759,
    1259,   868,  1120,   770,  1261,  3529,   870,   871,   761,   762,
     763,  2324,    78,  3378,  2325,  1733,   771,  1734,  2466,  1735,
    1736,  1737,  1738,  1739,  1879,   765,  1227,  1545,  1546,  3379,
    1548,    82,  1549,   428,  3814,  2292,  1587,  2310,  2311
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,   373,  1302,  1410,   374,  1178,   383,  1126,   376,  1073,
    1451,  1594,  1595,  1596,  2030,   767,  1275,  1600,   426,  2329,
    2301,  1197,  1198,  1773,   426,   773,  1187,  2828,  2078,  1163,
    1819,  1073,  1751,  2668,  1741,  2225,  3555,   972,  2251,   378,
    1900,  3604,  2091,  3870,   984,  2517,  2035,   966,  1235,  1781,
    2734,  2231,  1794,  2742,  1782,  4025,  1047,  3291,  1450,  3066,
     924,  1255,  1563,  2215,  2216,  2368,  2771,  3712,  4360,  2885,
     266,  4406,    79,  2224,  3735,   986,   427,  2743,  1765,  1081,
    2977,  2241,   427,  3390,  3392,  3300,  4066,   722,  1539,   920,
    4612,  4891,   383,  2131,  1095,  1030,  4188,  2136,  4190,  4389,
    2530,  3851,  2140,  3638,  1239,  1522,  3159,  4164,  4313,  4018,
    4306,   754,  2151,  1874,   427,  1189,  4306,  1181,  1533,  1127,
    4144,  4653,  1876,  4079,  2173,  5059,  1303,  1844,  1279,  1190,
    4016,  4017,  1558,  4691,  2754,  1530,  1310,  1160,  4654,  4895,
    4567,  4648,  2583,  2585,  2586,  2853,  2854,  1114,   754,  1329,
     978,  3022,  4884,  4838,  2144,  4536,  4584,  1157,  2517,   427,
    4874,  1451,  2998,  3122,  4901,  1960,  1149,  1176,  2170,   976,
     983,  4058,  2029,  4890,  5266,  1303,  3956,  1070,  1404,   983,
    2056,  3054,  5200,  2727,  3725,  1414,  2291,  3299,  5165,  2083,
    5321,  2212,  2213,  4883,  1987,  4095,  1956,  1426,  2287,  1070,
    2641,  2316,  2223,  5198,  5328,  1812,  5278,  1123,  5280,  1758,
    4626,  2577,  2577,  1815,  2079,  1123,  5435,  1123,  2849,  5446,
     983,  4504,  3192,  4090,  2517,  3389,  1547,  2474,   434,  1230,
     427,  1781,  3913,  5199,  1865,  1852,  1853,  1303,  2422,  4582,
     434,  4587,  2322,  5350,  2169,  5359,  5360,   434,  1865,    43,
     719,  2215,  2216,  2231,    45,  1445,  4336,  2518,  1572,   434,
     930,    45,  1577,  1578,  1579,  2860,  5544,  2428,  5597,  2202,
    2224,  1929,  1590,    45,  2242,  5057,  4937,  4938,  2202,  4940,
    4941,  4942,  2202,  1168,  1629,  2745,  2202,  3702,  3913,  2745,
    3820,   434,  3822,   723,    37,    38,    39,    40,  2430,   434,
      43,    44,  1635,  1866,  2202,    45,   430, -1611,  3132, -2099,
    3230,  4396,   373,  1252,  4084,   374, -2099,   383,  3868,   376,
    1611,  2119,  2974, -2971, -2971, -2971, -2971,  1074,  2652,  1591,
   -2971,  2932,  1240,  4848,  2202,  5570,  2202,   426, -2971, -2971,
      37,    38,    39,    40,  2202,  4330,  3095,    44,  4424,  1074,
     378, -2208, -2208, -2208, -2208,  2940,  3685,  4457, -2208,  1098,
   -2972, -2972, -2972, -2972,  5221,  5515,  5516, -2972,  5040,  1921,
    2212,  2213,   426,  -153,  2671, -2972, -2972,  5747,  2745,  1930,
    3230,   266,  -153,  1583,  3669, -1611,  3670,  -153,  2847,  1132,
    3674,  2937,  5530,  3703,  5456,   427,  2223,  5681,  2865,  3679,
    3680,  3681, -2969, -2969, -2969, -2969,  5864,  3265,  2465, -2969,
    5834,  1037, -2118,  1744,  3266,  5166,   275, -2969, -2969, -2118,
    3106,  2293,  5600,  4849,  3660,  1335,  2008,  3284,  5327,  1834,
     427,  4198,   434,  3029,   927,  2290, -2968, -2968, -2968, -2968,
    4085,  4693,  1099, -2968,  4199,  2745,    45,     3,  2745,  2009,
    1226, -2968, -2968,  1755,  5601,  5614,  3112,   434,  4243,  5167,
    2249,  5731,  5527,  2108,  5682,   434,  2745,  2091,    37,    38,
      39,    40,  2303,  5491,    43,    44,  3889,  1922,  2103,    45,
    5571,  2994,  1165, -1611, -2564, -2564, -2564, -2564,  1133,   277,
    2975, -2564,   278,   279,  2519,   301,  1592,  5436,   320, -2564,
   -2564,  3361,  4458,  2938, -2375,  4850,  1254,  1198, -1829, -1829,
   -1829, -1829,  2933,  3436,  4694, -1829, -1842, -1842, -1842, -1842,
    1336,  2096,  5437, -1842, -1867, -1867, -1867, -1867,  2755,   921,
     325, -1867, -1862, -1862, -1862, -1862,   724,  2203,  4892, -1862,
    3377,   349, -1611,  5912,  3381,   353,  2203,  2925,  2249,  5748,
    2203,  5865,  1451,   372,  2203, -1857, -1857, -1857, -1857,  5457,
     377,   972, -1857,  1337,  1855,  1858,   388,  3704,  5041,   869,
    2127,  2812,  2203,  -439,  5710, -1870, -1870, -1870, -1870,  3113,
    1451,  3686, -1870,  1241,  2674,  2416,  1169,  1303,  3096,  5222,
    1100,  1599,  2417,  2461, -1870, -1870, -1870, -1870,  1931,  3475,
    2275, -1870,  2203,  3550,  2203,  5790,  2461,   425,  2249,  4713,
    2259,   379,  2203,   425,   869,  1233,  1234,  4306,  1338,  2464,
      37,    38,    39,    40,  1612,  1599,  4331,    44,  1923,  1101,
    1102,  5740,    37,    38,    39,    40,  2508,  2509,  2861,    44,
    2351,  4746, -2099,  5668,  3231,   425, -1611,  1625,  1861,  4851,
    1451,  2976,  3705,  2305,  1224,  4397,  1867,  1932,  5192,    37,
      38,    39,    40,  5868,  2323,  1924,    44,  4110,  1778,  5694,
    1867,  2422,  1779,  2492,   978,  2128,  4847,   931,  2505,  2505,
    1835,  2517,  2204,  3928, -1611,   869,  1887, -1611,  2347,  2449,
     425,  2232,  2848,   976,  1231,  2246,  1925,   379,  2372,  2257,
    2428,  1993,  1067,  1843,  2360,  2941,  2570,  4310,  2475,  1067,
    1068,  4584,  5000,  5778,  3976,  4852,  5004,  2277,  4972,  2369,
    1103,  1067,  1068,  2823,  4658,  5607,  2826,   275,  2517, -2375,
    3328,  2430,  3298,  3029,  4081,  2286,  3925,  3926,  3927,  3928,
    3267,   983,   983,  2866,  1232, -2118,  3661,  2280,  2802,  2249,
    5812,  5237,  5821,  1868,  1869,  3086,  2422,  4450,  5613,  4680,
    1926,   425,  4244,  5045,  2306,  4946,  2833,  2308,  3114,  3161,
    2312,  2867,  2314,  2202,  1268,  2317,  3855,  1273,  1451,  2321,
    4717,  2090,  1400,  5512,  1177,  2428,  1451,  1451,  3115,  1226,
    2842, -2971,  2884,  2711,  4991,  1564,  4993, -2375,  1178,  3913,
     277,  3058,  5783,   278,   279,  3437,   301,  2008,   883,   320,
   -2375,    37,    38,    39,    40,  5787,  2430,  1778,    44, -2208,
    2756,  1779,   426,  2350,  1395,  1323,  2487,  3494, -2972,   987,
    2009,  2757,  5872,  2758,  1820,  -153,  -153,  3034,  2562,  5761,
     866,   325,  4097,  4602,  4098,  2526,  2563,  2786,  2713,  5196,
    5066,   884,   349,  2528,  1383,  2599,   353,  1384,  2721,   383,
    3094,  1385,  4354,  1378,   372,  5142,  5711,  2916,  4140,  3104,
   -2969,   377,  1447,  3476,  2128,  3542,   427,   388,  2730,  1583,
     427,  3291,  3291,  3291,  1264,   866,  1239,  1462,  2675,  5904,
    2804,  2759,  1386,  1264,   722,  2807,  2458,  5384,  5836,  1565,
    1505,  1571,   722,  1576, -2968,  1854,  4380,  5734,  4639,  1580,
    5858,  1189,  4045,  3272,  4730,   722,  1188,  4866,  4812,  1583,
    4284,  4285,   379,  2662,  3069,  1190,   425,  2813,  5027,  5732,
    2816,  2817,  1264,  1571,  1576,  3076,  1559,  2287,  1556,  5720,
    4408,  3079,  5507,  3401,   722,  4811,  3019,  3020,  3551,  5875,
    5876,   722, -2564,  2210,  3636,  3363,   866,  3363,  5733,  3466,
    1557,   425,  2727,   722,  4913,  4914,  4915,  4916,  4917,  2662,
    2101,   383,  5797,  4826,   433,  2584,  2214,  1570,  2000,  1575,
    2828,  3450,  1742,  1448,  2218,  3856,   772,  2663,  4407,  1589,
     722,   879, -1867,   880,  4836,  1264,  1226, -1829,   983,  2664,
   -1862,  1503,  1602,  3222,  5427,  1264,   722,  3857,  2226,  1605,
    1607,  2128,  1857,   722,  2894,  3910,  3911,  2665,  4731,  5887,
    3930,  5264,  4409, -1857,  3565,  1503,   722,  2226,  1995,  2227,
    2067,  5813,  4624,    81,  5837,  3467,  2068,  5920,  1583,  2237,
    4145,  2203,   722,  2228,    35,  2664,  5160,  3273,  2227,  1274,
    1743,  2794,    41,    42,  1401,  1552,  5814,  3960,  3961,   983,
    3622,  1789,  2230,  2665,  4906,  4653,  3623,  4745,  4654,  1569,
    3543,  1574,  4082,  3532, -1829,    35,  1602,  2196,  1215,  2986,
     129,   130,  4654,    41,    42,  1584,  2001,  2062,  2419,  1795,
    1754,  3779,   988,  3566,  1762,  3016,  1996,  1748,  5508,  1098,
    2462,  1604,  1606,  2987,  1783,    79,  1823,  2351,  2770,  4141,
    1212,  1584,  4165,  3409,  2990,  1767,  4827,  2444,  2445,  2446,
    2447,  2448,  2449,  4212,  5470,  3533,  4054,  3305,  2537,  2063,
    2197,  5569,  1264,  1264,  2161,  5871,  5242,  5612,  2069,  1123,
    5270,   722,  1184,  1123,  4304,  5274,  5267,   989,  5276,  5067,
    4304,    35,   925,  3637,  1226,  2666,   754,  3068,  5161,    41,
      42,  2459,   427,  1904,  4283,  5798,  4410,  1790,  3624,  1264,
    1213,  5590,  1506,  2238,  4026,  4837,  2162,  4027,  4028,  4290,
    4291,  2225,  1099,   990,  2459,   991,  4406,  1936,  4029,  4030,
    4031,  5619,  4032,  4033,  3250,  5188,  2088,  4034,  4035,  4036,
    3470,  2666,  5609,  1191,  2446,  2447,  2448,  2449,  5818,  5819,
    5621,  1784,  5589,  1785,  3534,  1905,  3858,  1074,  1584,  1074,
    4166,  1074,  2538,  1303, -1614,  2198,   867,  1074,  5618,   722,
     722,  4213,  4411,  3101,  3102, -1829,  4403,  2002,  4654,  3575,
    5799,  4052,  2102,  5608,  1236,  3923,  3924,  3925,  3926,  3927,
    3928,  1074,  1074,  3451,  2841,  3156,  3158,  1114,  2049,  5052,
    1913,  2667,  3165,  5400,  5081,  5800,  1919,  3090,  3179,  3180,
    3181,   867,  1061,  1215,  2003,  4145,  3466,  2199,  3197,  3199,
    2792,   881,  2264,  3209,  2988,  1192,  4773,  1847,  2676,  2070,
    2064,  2900,  3576,  5495,   434,  1062,  1084,    37,    38,    39,
      40,  2417, -1614,    43,    44,  2004,  1877,  2667,    45,  1906,
    5324,  1061,  1929,  5401, -2322,  1563,  5741,  1123,  1123,  3625,
    1211,  5402,  1913,  5471,  2265, -2700,  2071,  3251,  3018,  1096,
    1100,  1243,  3252,  2901,  1062,  3060,  2583,  2163,  3037,  4022,
    1768,  1061,   867,  5906,  1264,  5510,  4037,  3577,   874,  5403,
    3048,  1503,  3467, -2356,  1847,  1264,  3626,  2072,   875,  3046,
    1977,  3053,  2651,  2089,  1062,  3859,  2200,  3036,  3253,  1101,
    1102,  4343,  3535,  2968,  1503,  2189,  3308,  3052,  1074,  3012,
    2239,  4132,  4214, -2377,  1184,  3072,  5577,  3627,  2065,  1503,
    3093,  1212,   719,   719,  3098,  5349,  3100,  1875,  5044,  3103,
   -1614,  5610,  2947,  5389,  4725,  1435,  1808,   425,  1769,  2388,
    2793,   425,  4167,  4168,  5487,  5404,  4602,  2128, -1829,  4215,
    1930,  1625,  5023,  4133,  5465,  1182,  5405, -1829,  2677,  2214,
   -1829,  1899, -1829,  1264,  5016,  2164,  1551,   434, -2205,  4169,
    4760,  3860,  5820,  5201,  3578,  1074,  3091,  5822,  3185,  4774,
    4216,  1213,  3338,  4932,  1214,  2969,  2722,  5202,  1178, -1614,
    1910,   876,  1911,   434,   379,  3346,    37,    38,    39,    40,
    1786,  2680,    43,    44,  1635,  1866,  1810,    45,  1503,  3092,
    2948,  2681,  1303,  1303,  4038,  2266,  2307,  1183,  2309,  2481,
    1874,  2313,   383,  2315,  2902,  1193,  2318,  2319,  2320,  1876,
    1088,  3254,  5264,  3366,  5334,  2614,  1198,  5578,  4726,  2327,
    3590,  2237,  4306,  2678,  5870,  2249,  5665,  3470,   722,  3324,
   -2322,  5529,  5440,  2353,  3339,  2354,  5533,  5534,  4830,  4344,
    5441, -2700,   722,  4654,  3035,  4039,  2531,  2532,  5526,  2536,
    2524,    81,    81,  3238,    81,  3239,  2723,  5672,  5673,  2165,
    1190,  1190,  1264,  1190,  1215,  5537,  2482,  1184,  3579, -2356,
     722,  4860,  5513, -1614,  3818,  1061,  3580,  3411,  3240,  3581,
    2166,  5518,  1802,  -686,  5905,  1436,   379,  1177,  5579,  4156,
   -2322,  4595,  1212,  2267,  4134,  1097,  3466,  2828,  1062, -2377,
    2772, -2700,  2903,  1158,  2801,  3492,   722,   129,   130,   877,
    3631, -1614,   866,  3325, -1614,  5406,  5919, -2408,  4727,  5921,
    1503,  4865,   722,    79,    79,  4053,    79,  3291,  4470, -2356,
    1303,  5203,  1335,  3480,  1239,  3340,  3097,   722,  1552,  2682,
     722,  1437,  1847,  3347,  5208,  2656,  1778,  1438,  5738,  4040,
    1779,  1264,  1213,  4870,   216,  2238,  2657,  3412,  1889, -2377,
     434,  4304,  2970,    37,    38,    39,    40,  1040,  2249,    43,
      44,  1216,  3467,  2658,    45,  2971,  2683,  4871,  3589,  3241,
    1264,  1803,  3423,  1451,  3242,  4743,  2196,  1041,   224,  3243,
    1217,  4918,  4135,  4919,  2128,  1890,  3732,  1185,  3568,  3569,
    5442,  1131,  3572,   425,  3468,  2825,   216,  2986,  1264,  1264,
    1264,  3612,  1264,  4641,  2479,  2480,  3419,  3742,  3743,  3744,
    3745,  1042,  1188,  3481,  2453,  2580,  1891,  1336,   235,  3750,
     945,  2987,  1264,  1074,  2167,  3591,  5416,   945,  3424,  3071,
     224,  3469,  3655,  3594,  1823,  3423,  3597,  4439,  2773,  5596,
    4484,  4485,  4486,  4487,  2013,  1215,  4492,  4493,  4494,  4495,
    4496,  4497,  4498,  4499,  4500,  4501,  1067,  1843,   722,  5386,
    1337,  2495, -1094,   754,   754,  2774,   722,   722,   251,  1171,
     235,  4654,   426,   426,  4245,  4802,  1264,   427,   948,  4805,
    4806,  2014,  4808,   238,  3394,   948,  2581,  -584,  2775,    35,
    2776,  4113,  2497,    37,    38,    39,    40,    41,    42,  3456,
      44,  5333,  4540,  4541,  1264,  2659,   250,  2596,  1264,  1264,
    5855,  4315,  3244, -2408,  4238,  1338,  3452,  1204,  2005,  4157,
    3348,   426,  3245,  1264,  2198,  2770,  3489,  3470,  2618,   427,
     427,   427,  3731,  1847,  2498,  3628,  1335,  1205,  1847,  1847,
    1598,    74,  5362,  2878,  5738,  5236,  2582,  1206,  4872,   722,
    4381,  4116,  2239,  4385,  1180,  3108,  4239,  4318,  3965,  2540,
    3966,  2581,  5062,  3444,  3123,  4824,   754,  1764,  4950,  2706,
    4951,  2240,  3629, -2408,  5455,  4642,  2199,   928,  5063,   427,
    2879,   206,  4643,  3967,  3375,  3649,   427,  1128,  4158,  4048,
    1503,  2068,    37,    38,    39,    40,  3799,   427,  2541,    44,
    2670,  3169,  5176,  3630,  5522,  1201,  4406,  1123,    35,   216,
    1919,  5537,  4320,  2592,  1919,  4644,    41,    42,  5070,  5071,
    1808,  2582,  1599,  1303,  1074,  1868,  1869,  3772,  2671,  1074,
    1074,  1336,  4825,   958,  5519,   959,  4645,  3109,  2610,  2612,
     958,  3510,   959,   224,  2040,  5064,  2249,  5745,  1123,  1215,
    1207, -2229,  2745,  1194,  2818,  -175,  1503,  2589,  5593,   964,
    2590,  5310,  2746,  5312,  2844,  2200,  2145,  3488,  3582,  4240,
     883,  5164,  3170,  5605,  1337,  4488,  5451,  4489,  2422,  3395,
     883,  3396,  -175,   235,  5175,  2041,  4241,  1043,   867,  3968,
    1810,  1503,  3034,  2069,  3969,  2042,   238,  5151,  1913,  3511,
    2540,  2543,  4323,  1913,  4952,  1072,  5191,  2428,  1847,  3844,
    5633,  1977,   719,   884,  1503,  2221,  2222,  1208,  1847,   250,
    2128,  1451,  2032,   884,  1215,  5844,  1319,  1072, -2764,  1338,
    5155,  1811,  3171,  1044,   209,  3172,  3582,  3574,  2430,  2541,
    1768,    35,   434,  4324,  4613,    37,    38,    39,    40,    41,
      42,    43,    44,  1320,  5538,  4242,    45,  2544,  4325,  2033,
    2591,  2077,  2008,    37,    38,    39,    40,  1427,  2672,  3791,
      44,  4715,  3912,   722,  1451,  1123,    37,    38,    39,    40,
    1901,  1427,   883,    44,  3940,  2009,  2819,  1847,  1209,  2820,
    1847,  1847,  4659,  4014,  3014,  1503,  2542,   379,  4449,  1074,
    1428,  4490,     8,  5217,  4614,  3652,  1182,  5628,  1769,  1074,
    1503,  4491,  1067,  1843,  1428,  4661,  3963,  1902, -1661,  2915,
    2942,  1625,  3829, -1661,  2422,   884,   427,  3970,  5675,  1919,
    2772,  1503,  3632,  1429,  4023,  3173,  4081,  3971,  4450,  5722,
    4716,  4070,  2543,  2043,  4820,  3315,  1198,  4356,  1903,  4326,
    2831,   722,  3843,  2750,  3989,  2751,  1242,   722,  2489,  5572,
    4240,  4096,  2034,  3633,  3129,  5845,  4703,  1253,  1183,   722,
    5846,  5418,  2376,  4361,  1847,  4071,  2044,  4821,  1074,  1430,
    2045,  1074,  1074,  4371,  2430,  3291,  1503,  3512, -1661,  1559,
    3291,  1256,  2385,  1430,  4662,  5358,  3291,  4168,  2544,  1264,
    1276,  4822,  1264,  4146,  5907,  4479,  1503,    37,    38,    39,
      40,  2046,  1264,  2752,    44,  5419,  5028,  2505,  1503,  2171,
    3298,  1808,  2401,  4704,   383,  3074,  1809,  3075,  4173, -1661,
    1503,  3077,  2516,  3078,  4505,  4046,  3080,  2414,  1184,  1389,
    3081,  2172,  3174,  1264,  1264,  3513,   722,   722,  1236,  4689,
    1475,  4663,  4695,  4664,  4702,  1895,  5314,   885,   722,  2272,
    2880,  5664,  3877,  5323,  3117,  1074,  1503,  1503,  1269,   722,
     722,  4661,  2490,  2881,  5809,  3128,   929,  1271,  2773,  4867,
    5780,  2273,  1383,    81,  1061,  1384,    81,   383,  1896,  1385,
    1034,  1810,  1897,  4575,  5135,   722,  5136,  5137,  2226,  2882,
    5138,  3974,  1256,  5120,  5355,  2774,  4460,  1062,   425,  3153,
    3873,  4681,  1276,  5355,  2772,    37,    38,    39,    40,  2227,
    1386,  3663,    44,  1898,  4576,  1451,  5121,  5356,  2775,    80,
    2776,  4149,  1811,  2228,  4230,  1264,  5356,  1188,  1188,  5006,
    1188, -1660,  1129,   945,  2280,  2762, -1660,  5355,  3298,  4578,
    4662,    43,  2516,  2280,  5867,    79,    45,  1486,    79,  3835,
     425,   425,   425,  4574,  1284,  2770,  4718,  2772,  1185,  4894,
    5356,   121,  1264,  1264,  4421,  4422,  1325,  2763,  1264,  1264,
    5640,  1486,  3330,  3747,  3178,  1264,  1264,  1264,  3748,   125,
    4775,  1264,  2226,  1264,  1264,  1264,  1264,  1264,  1264,  4332,
    1264,   948,  1264,  1264,  5046,  4204,  1264,  4663,  5641,  4664,
     425, -1660,  4776,  2227,  5897,  1789,   721,   425,  5411,  2850,
    1503,  1264,  1264,  1264,  1264,   427,  2944,  2230,   425,  1264,
    1760,  2037,  4314,  1264,  2226,  4575,  1264,  3748,  4311,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  2979,  1264,
    4791,  2485, -1660,  3634,  3413,  2227,  3416,  1264,  4580,  1451,
    1264,   426,  2773,  1244,   938,  4934,  4576,  5894,  2038,  1333,
    4105,  4792,  2877,  1303,  1285,  1245,  1246,  5562,  5145,   977,
    1040,  4577,  5563,  4209,  3635,   995,  -464,  3779,  4878,  2774,
    5179,  4578, -2229,  1334,  1247,  5213,   209,  1248,  3410,  2039,
    1041,  4102,  4103,   866,  1067,  1843,  1388,  4123,  5180,  5146,
   -1623,  1391,  2775,  1087,  2776,  2773,   426,  4579,   426,   427,
    4210,  1790, -1623,  2077,  1264,  2058,  3350, -1623,    35,   992,
    5564,  2745,  5853,  3406,  1042,    35,    41,    42,  5271,  4656,
    4657,  2753,  2774,    41,    42,  1394,  4304,  5082,   945,  2770,
    1405,  4211,  4057,  5086,  4101,   866,   958,  3718,   959,  2214,
    1778,  2642,  2059,  1397,  1779,  2775,  2060,  2776,  5037, -1088,
    4638,  1402, -1623,  1403,   427,  2214,   427,  2642,  5878,  5777,
    2421,  2923,  2145,  2422,  3029,  5823,   193,  2423,  2424,  2425,
    4094,  1411, -1623,  2061,  2818,   722,  5908,  1422,  -464,  5909,
    4580,  4302,  2770,  2008,  2426,  2470,   948,  4302,  -583,  2471,
    3885,  2772,  2428,    81,  2526,    81,  3575,   722,  1249,  2429,
    1406,  3474,  1407,   866,  1503,  1226,  2009,  5363,  1503,  1503,
    1431,   216,  1778, -1623, -2208,   722,  1779,  4428,  4429,  4430,
     427,   722, -1623,  2430,  2288,   722,  2288,  1432,  2289,  2762,
    3065,  1256,  3736,   722,  4390,  3886,  4225,   425,  1250,  3887,
    1434,  4349,  1276,  1847,  1799,   224,  5447, -1611,  1433,  3576,
    4233,   722,  2573,  2574,  1264,   216,  3939,  5929,  3941,  3942,
    1440,  2763,  5272,  1877,  1443,    79,  1264,    79,  3573,  3215,
    1503,  3034,  3218,  1264,  1459,  4426,  4427,  4428,  4429,  4430,
    1074,  4703,  1503,  4431,   206,   235,  2296,  2099,  2297,   224,
    1602,  1602,  4020,  4021,  1602,   722,  3477,   434,   238,  3719,
    2214,  1451,  1899,  1451,  3577,  1454,  2819,  1123,  1637,  2820,
    2114,  3913,   216,   722,   722, -2973, -2973, -2973,    35,   434,
    2186,   250,  1503,   216,  4453,  2125,    41,    42,  2091,   235,
    3335,  3336,  2431,    45,  1074,   251,  1504,  2432,   719,  2773,
    1513,   958,   238,   959,   427,   722,   224,  1520,   427,  4333,
    1514,  4335, -1623,   961,  1875,  5239,  5079,   224,  2433,  2434,
    2362,  3007,  2363,  3008,   963,   250,  2774,  2145,  4466,   722,
    4481,   427,  5367,  2435,  2375,  1527,   251,   722,  1035,  5824,
    1451, -1684, -1684,   722,  3583,  1534,   235,   722,  4342,  2775,
    4345,  2776,  2522,    45,  2523,  -381,  1074,   235,  2525,   238,
    2526,  3578,  1554,  5746,  4510,  1593,  2436,   722,  1597,   379,
     238,  2214,   722,  2642,  1778,  5368,   722,  1799,  1779,   427,
    2437,  -381,   250,  2438,  1601,  3737,  2770,  1608,  4400,   722,
    4574,  1614,   866,   250,  1602,  2517,   251,  4596,  4597,  4598,
    5369,  1615,   722,  3720,  2573,  3359,  4696,   251,  2016,  4552,
    1616,   722,  3583,  3067,    74,  2526,  5559,  5370,  5561,  1623,
    3228,  5371,  5565,  1622,  5566,  1847,  1624,  2017,  3298,   867,
    2772,  1625,   379,  1847,  1628,  1072,  1847,  1072,  4446,  1072,
    4591,  5372,  1626,    35,  5373,  1072,  1581,  1582,  3721, -1139,
   -1139,    41,    42,  4677,  1627,  1264,  1503,  4057,  5374,  1632,
    1631,  2008,  4575,  4057,  1634,   427,  2439,  5599,  1763,  1072,
    1072,  3087,  3583,  3088,  1766,  3579,  2018,  4426,  4427,  4428,
    4429,  4430,  3583,  3580,  2009,  1178,  3581,  4911,   873,  3089,
    3120,  3088,  3121,  4576,  1770,  3321,   425,  2280,  4459,  1771,
    2551,  -381,  -381,  1772,  1777,  3236,  2357,  3358,  4577,  2526,
    1791,  1796,    37,    38,    39,    40,  1074,  3583,  4578,    44,
    3486,  3557,  3487,  3558,  1074,  1797,  1806,  1074,  3919,  1178,
    4809,  1904,  3689,   873,  3690,  3552,  3695,  1503,  3696,  5375,
    3765,   722,  3766,   977,  4579,  4797,  3800,  5376,  2526,   867,
    3837,  1799,  3088,  1264, -1833, -1833, -1833, -1833,  1800,  1821,
    2019, -1833,  2440,  1822,  1825,  2441,  2442,  2443,  1828,  2444,
    2445,  2446,  2447,  2448,  2449,  1826,  1832,  2772,  2773,  3219,
    3884,  1122,  2526,  1905,  5213,  1836,  3893,  5377,  2526,  1122,
     425,  1122,  1833,  3899,   722,  2526,  1072,  3900,  3901,  2526,
    2526,  1837,  1838,   193,   873,  2774,  5464,  2772,  2020,  1839,
    3932,  2021,  2526,  1848,  3945,  1870,  2526,  3995,  3996,  3997,
    4968,  3950,  2827,  3951,  3990,  1840,  3991,  4580,  2775,  3992,
    2776,  3993,  4191,  1841,  4192,  2516,  1849,  4196,   379,  4197,
    1226,  1851,  1178,   722,  4220,   425,  4221,   425,  4302,  4394,
    4419,  4395,  2526,  2023,  1842,  4511,  2772,  4512,  4521,  1503,
    4522,   722,  4532,  1072,  2526,  2770,  1880,  1881,  4622,   722,
    4623,  2421,  4742,  1264,  2422,  1883,  1503,  1906,  4627,  1264,
    4628,  1899,  4237, -1840, -1840, -1840, -1840,  1964,  1934,  1503,
   -1840,   866,   216,  4637,  1892,  3396,  2025,  1961,  4660,  1264,
    3088,  1958, -2970,  2428,  1264,  2772,  4813,  1963,  4814,  1847,
   -2973,   425,  4246, -2973, -2973, -2973,  2026,  3923,  3924,  3925,
    3926,  3927,  3928,  1993,  1997,  2773,   224,  1264,  1264,  1264,
    1907,  4868,  1264,  3088,  2430,  4929,  2028,  2351,  1998,  2005,
    1264,  1264,  1264,  1264,  1999,  4947,  2772,  2526,   427,  4973,
    2007,  3121,  2774,  1264,   427,  2773,  1264,  4985,  1264,  2526,
    5048,  4277,  3396,  3539,  2012,  2015,   235,  1908,  2050,  1264,
    1264,   209,  5054,  1264,  5055,  2775,  2051,  2776,   867,   238,
    2075,  5060,  2774,  3088,  2016,  1383,  3563,  1264,  1384,  1264,
     383,  1264,  1385,  2066,  5061,  1381,  3088,  2076,  1909,  2016,
    1074,  3962,   250,  2017,  2773,  2775,  5193,  2776,  5194,  2080,
    4682,  1264,  2770,  5171,  2086,  2085,   251, -1393,  2017,  5244,
   -1393,  5245,  1264,  1386,  1264,  1264,  1264,  5246,  1910,  2526,
    1911,  2774,  2087,  2094,  3608,   425,  5254,  2092,  3121,   425,
    5796,  2095,  2770, -2973,  5646,   722,  4878,  2097, -2973,  1264,
    2100,  4719,  2018,  2773,  2775,  5329,  2776,  5330,  2104,  1452,
     995,  1264,   425,  5412,  2105,  3088,  1264,  2018,  4697,  5448,
    2111,  5449,  1264,  2112,  5466,  2676,  3121,  5474,  1912,  5475,
    2774,  5484,  1264,  2280, -2973,  2115,  5490,  2790,  4368,  2118,
    5492,  2770,  4368,  5505,  2773,  5506,  2421,  4926,  5552,  2422,
    5553,  2121,    80,  2775,  2124,  2776,   866,  5592,  2126,  2484,
     425, -1831, -1831, -1831, -1831,  4698,  2132,  1847, -1831,  2135,
    3700,  2774,    74,    74,  1503,    74,  2141,  1503,  2428,  1503,
    4698,  2437,  2137,  4957,  1503, -2973,  2019,  5620,  2128,  5506,
    2770,  1072,  2147,  5634,  2775,  3121,  2776,  2148,  2152,   722,
     722,  2019,  5635,  2153,  3951,  1264,  5636,  -195,  2526,  2430,
    5647,  1610,  5648,  2155,  4057, -1834, -1834, -1834, -1834,  5653,
    2156,  2280, -1834,  4843,  4844,  5656,   722,  4368,  5680,   722,
    3121,  2770,  2158,  1503,  2020,  2159,  2184,  2021,  4057,  2188,
    5686,  2889,  3121,  2174,  2181,  1630,   425,  2193,  2827,  2020,
    1503,  5687,  2021,  3121,  1937,  1745,  2904,   902,  1074,  1757,
    1452,  1759,  5690,  2827,  5691,  4699,  5692, -2973,  5693,  2201,
    2207, -1832, -1832, -1832, -1832,  1503,  3973,  2926, -1832,  2023,
     866,  5718,  2208,  5719,   866,  5765,  2209,  5766,  1938,  4923,
    4924,  4925,  2220,  5769,  2023,  2280,  1256,  2210,  5770,  1256,
    2526,  5771,  5773,  2526,  2526,  2214,  2217,   866,  5035,  2234,
     427,   427,   427,  5792,  5816,  5793,  5817,  5840, -2973,  4368,
    2218,  2244,  2025, -2973,  5852,  2236,  5498,   867,  5877,  5915,
    5506,  5691,  3002,  2245,   722,  3193,  5917,  2025,  5918,  2248,
    1276,  1276,  2026,  3211,  1503,  2249,  1503,  1940,   721,   721,
    2256,  2260,  3013,  1878,   722,   866,  5932,  2026,  5766, -2973,
    2261,  2263,  2028, -2973,  1486,  5939,  2268,  5918,   722,  2269,
    2444,  2445,  2446,  2447,  2448,  2449,  3027,  2028,  1805,  4700,
    1807,  1941,  4701,  5005,  2271,  5008,  2276,  2279,  4009,  2282,
    2328,  2294,  1072,  2283,  2359,  2364,  5085,  1072,  1072,  2373,
    2366,  2458,  2367,  2374,  2380,  2381,  2437,  2382,  2383,  2384,
     251,  2386,  3051,  1486,  2387,  2388,  1942,  2389,  2390,  4546,
    2454,  2391,  2393,  2456,  2394,  2395,  2396,  1503,  2488,  2397,
    2398,  2399,  1276,  2400,  2402,  2500,  2403,  2404,  2405,  2406,
    2407,   866,  2408,  2409,  2459,  2510,   722,  2484,  4009,  2529,
    1943,  1583,  2521,  3946,  1503,  5033,  1809,  2558,  1811,  3953,
    5888,  2560,  2569,  2572,  2579,  5891,  1215,  2587,   972,  2593,
    2588,  2595,  1582,  2597,  2605,  2606,  2608,  4417,  4297,  1503,
    2770,  1945,  2615,  2619,   427,  1503,  2613, -2916,  2617,  2620,
    2602,   722, -2973,   722,  2621,  2637,  2828,  2609,  2611,  2638,
     873,  2639,  2640,  2642,  2643,  2644,   722,  2645,   722,  2646,
    2647,  4375,  2654,  2679,  2414,  2648,  4350,  2673,  2685,  2708,
    2712,   209,  4388,  2728,  2714,  1947,  1178,  2715,   427,   425,
    2716,  2717,  1948,  2720,  2737,   425,  2719,  2748,  2735,  2760,
    1949,  2736,   867,  2764,  2749,  1178,  2766,  4416,  2729,  2767,
    2769,  1847,  1503,  5156,  2768,  2778,  1602,  1847,  2414,  2770,
    1951,  1264,  2780,  2779,  2781,  5077,  3223,  1072,  1952,  2782,
     722,  1503,  2791,  2803,  2797,  3236,  2799,  1072,  2787,  4554,
    4555,  4556,  4557,  2788,  2798,  2814,  1503,  2821, -2973,  2800,
    2805,  3983,  2824,  1977,  2839,  2444,  2445,  2446,  2447,  2448,
    2449,  2809,  2836,   983,  2845,  2810,  2822,  4002,  2829,  2830,
    2834,  2843,  2846,  2835,  5556,  2838,   722,  2840,  5122,  5123,
    2851,  5125,  2852,  1953,  2862,  2863,  2868,  1303,  2869,  2888,
    2890,  5379,  2891,  2893,   722,  4315,  2864,  2892,  2873,  2876,
    2897,  4316,  1074,  5116,  2898,   379,  1072,  5282,  1074,  1072,
    1072,  1452,  2899,  4317,  5297,  2905,   722,  2906,  2907,   722,
      80,    80,  2908,    80,  2912,  2910,   867,  4002,  2918,  2919,
     867,  1177,  5546,  2909,  5548,  2924,  2016,  1264,  2917,  1452,
    1503,  4318,  2927,  4319,  2928,   940,  1264,  2931,  2942,  2936,
    2945,  5303,  1264,   867,  1264,  2017,  2956,  1264,  2962,  2967,
    2978,  1503,  1264,  1264,  1264,  1264,  2034,  2985,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  2981,  2995,
    2984,  1264,  1264,  2999,   866,  2355,  1503,  3001,  3003,  3004,
     866,  1264,  3010,  1072,  5173,  1264,  4320,   427,  1847,  1264,
    3015,   867,  3021,  3023,  2018,  3024,  3039,  1264,  3028,  1452,
    1264,  3041,  1264,  3029,  3031,  3032,  3042,  3043,  3044,  3055,
    1503,  1264,  4321,  1122,  1264,  1264,  3056,  1122,  3083,  1264,
    1264,  3084,  3099,  3118,  3105,  2421,  1264,  3131,  2422,  3161,
    5702,  5704,  3166,  1256,  3210,  3216,  1264,  2422,  3229,  1264,
    1276,  3220,  3235,  4302,  3247,  3249,  3269,  3270,  3284,  3301,
    3302,  3304,  1264,  5696,  3307,  3309,  3312,  2428,  1264,  1264,
    1264,  3311,  3313,  3322, -2973,  1183,  3331,  3332,  3323,  3333,
    3334,  4322,  3005,  2418,  3351,  3344,  4323,   867,  2019,  1074,
    3365,  3368,  2420,  3367,  2474,  3385,  3448,  3386,  2430,  4912,
    1198,   425,   425,   425,  4011,  3414,  2463,  3017,  3463,  3388,
    5409,  3417,  3419,  3421,  3428,  1264,  3422,  3025,  3433,  3026,
    3438,  4753,  3439,  3441,  3445,  3030,  3443,  4324,  3453,  3033,
    3449,  1264,  3461,  3462,  3465,  3478,  2020,  1452,  3479,  2021,
    2494,  2496,  4325,  3484,  1760,  1452,  1452,  1503,  3496,  1764,
    2827,  5473,  3500,  3495,  3501,  3514,  3519,  3520,  3546,  1264,
    5317,  3541,  3547,  3584,  4011,  4539,  3549,   947,  3556,  3651,
    3662,  3564,  3658,  3659,    74,  3666,  5468,    74,  5794,  3671,
    3672,  2023,  3677,  3673,  2687,  3682,  3688,  3684,  3709,  2688,
     722,  3710,  3691,  3728,  3697,  3724,  3726,  3730,  3739,  2923,
    3746,  1122,  1122,  3754,  3755,  3757,  3749, -2973,  5340,  3756,
    3740,  3758, -2973,  3759,  3762,  3770,  3768,  2416,  3771,  3790,
    3773,  3776,  3775,  2689,  2025,  3789,  3793,  3794,   721,  3795,
    3796,  3798,  3801,  4326,  5335,  3806,  2690,  3804,  3805,  3803,
     427,  2590,  3825,  3608,  2026,   427,  1503,   427, -2973,  3807,
    3828,  2691,  3832,  3839,  3827,  3840,  5341,  3815,  3850,  3841,
    3842,  3132,  3816,  3852,  2028,  2280,  2277,  3853,  3854,   427,
    1503,  3861,  3167,  3168,  5339,   425,  2246,  3864,  2421,  3182,
    3183,  2422,  3869,  1599,  3871,  3876,  3878,  3875,   427,  3881,
    3879,  3895,  2692,  3896,  3898,  2437,   866,   866,   866,  3897,
    3902,  5696,   722,  2693,  3903,   722,  3905,  3908,  3221,  3947,
    2428,  3931,  3909,  3964, -2091,  3972,  5381, -2973,  1847,   425,
    2526,  3937,  3693,  2694,  5709,  3981,  5558,  3944,  2695,  3959,
    3958,  3982,  1303,  3986,  4063,  3984,  3985,  3988,  4014,  4065,
    4059,  2430,  1847,   379,  4067,  4019,  4076,  4069,  4099,  4104,
    4106,  4092,  4087,  4083,   379,  4088,  2288,  4107,  4093,  4115,
    4118,  4120,  4009,  4153,  2602,  4009,  1264,  4142,  4089,  4057,
     867,  4143,  4155,  4127,  5483,  4160,   867,  4159,  4161,   379,
    1303, -2973,  4111,  4112,  4162,  5483,  4176,  4177,  3193,  3193,
    4179,   722,   722,  3193,  4187,  1503,  4185,  4888,  2696,  4186,
    4195,   722,  4205,  5639,  4222,  4224,  4226,  4228,  4542,  1074,
    2351,  2832,  4229,  4232,  4247,   426,  4234,  2837,   722,  4251,
    5655,  2592,  4235,  4252,  4253,  5657,  4271,  5659,  1072,  4236,
    3193,  3193,  2697,  1074,  1451,  4249,  4256,  4250,  4259,  1074,
    4261,  4254,  4264,  1503,  1264,  1264,  4263,  4269,  4255,  4257,
   -2973,  4258,  4516,  4416,  4260, -2973,  2860,  4282,  4262,  4265,
    4286,  4295,  4273,  4274,   902,  4276,  4287,  5550,  4289,  4309,
     866,  4340,  4341,   427,  4351,  4009,  4347, -2973,  4353,  4355,
    4358,  4367,  1072,  4370,  2444,  2445,  2446,  2447,  2448,  2449,
    1256, -2973,  4379,  4368,  5050,  4376,  1276,  4386,   722,  4387,
    2698,  5674,  1870,  4382,    74,  4391,    74,  2699,  4392,  4383,
    2700,  4414,  4404,  4425,   866,  4433,  4442,  4423,  4435,  1264,
    4443,  4452,  4444,  4454,  4445,  3862,  4455,  4456,   425,  4463,
    1264,  4464,  4447,  2957,  4465,  2960,  4467,  4468,  2437,  4469,
    2701,  4473,  3874,  3934,  1072,  3913,  2375,  2702, -2090,  3933,
    4523,  4534,  4507,  4482,  2703,  3880,  4508,  1184,  4564,  4593,
    1264,  2704,  4509,  4515,  4538,  2414,  4603,  1847,  4547,  4535,
    1264,  1264,  4588,  1503,  4616,  4619,  4553,  1264,  1264,  4565,
    4573,  4561,  1264,  1503,  4566,  4590,  2705,  1264,  4607,  4606,
    1264,  1264,  5654,  5088,  4611,  1264,  4605,  4610,  4625,  4633,
    4608,  1264,  4640,  4647,  4621,  4668,  4676,  4670,  4671,  4683,
    4685,  4684,  4688,  1264,  4690,  4686,  4692,  4706,  5671,  4709,
    4724,  1264,  4736,  1451, -2973,  1264,  4748,  4721,  4722,  4737,
    4738,  2421,  5036,  5038,  2422,  4723,  4734,  4739,  1264,  4012,
    4735,  4750,  4751,  1264,  4763,  4764,  4761,  4772,  4769,  1264,
    4787,  4789,  4697,  4793,  4801,  4803,  4840,  4800,  1074,  4804,
    4807,   873,    80,  2428,  4854,    80,  4817,  1264,  4828,  4831,
   -2973,  4859,  4846,  3088,  4861,  4863,  4864,  4885,  4880,  4886,
    4899,    81,   867,   867,   867,  4900,  4902,  4903,  4904,  4905,
    4907,  4909,  4910,  4921,  2430,  4927,  4931,  4933,  1264,  4012,
    3539,  4939,  4714,  4949,  1072,  4959,  4958,  4960, -2092,  4961,
    5001,  4944,  1072,  4953,  5002,  1072,  1503,  5009,  5010,  5017,
   -2973,  5018,  5034,   866,  3563,  4954,  5030,  2444,  2445,  2446,
    2447,  2448,  2449,   722,  4962,  5049,  4981,  4966,   427,  4994,
    5047,  4997,  4999,  3608,  5015,  5014,  5051,  5043,  5056,  5057,
    5020,  5065,  5083,    79,  1503,  5084,  5087,  5021,  5022,  5093,
    5094,  4543,  5106,  3177,  5095,  5109,  5113,  5115,  5134,  5118,
     722,   425,  5126,  5119,  5147,  1503,   425,  1637,   425,  5139,
    3913,   873,   722,  5148,  3914,  3915,  3916,  5153,  5154,  5162,
    1303,  1122,  5163,  5168,  5172,  5177,  5184,  5157,  1264,  5190,
     425,  5169,  5187, -2973,  5195,  5197,  5205,  5170, -2973,  5207,
    5209,   722,  5210,  5219,  5233,  5211,  1847,  5224,  4011,   425,
    5229,  4011,  5234,  5240,  5241,  5248,  1286,  5250,  5243,   712,
    5251,  5252,  1122,  1287,  1288,  1289,  5253,  5259,  5265,  5268,
    5275,  1503,  5308,  5305, -2973,  5295,  5279,  5311,  5322,  4125,
    5326,  5785,  5331,  5332,  5361,  5380,   867,  5301,  5325,  5337,
    5382,  1451,  4827,  5388,  5343,  1264,  4136,  5344,  5348,  5353,
    3306,  5390,  5354,  5393,  5392,  5395,  5396,  5415,  5398,  1264,
    5421,  5426,  5423,  5399,  5431,  5429,  5438,  5439,  5450,  5452,
    5453,  2437,  5454,  5460,  5469,  2421,  5472,  5476,  2422,  5486,
     867,  5482,   722,  5489,  5503,  5498,  5494,  1074,  5493,  5496,
    1965,  1074,  5502,  5514,  5523,  5524,  1966,  3808,  3811,  5521,
    5530,  5832,  5833,  5536,  5573,  5575,  5580,  2428,  5584,  2052,
    5587,  4011,  5594,  5585, -2973,  5598,  5603,  4009,  5604,  5611,
    1264,  4009,  5615,  5616,  5617,  5624,  5627,  5625,  1503,  5626,
    1503,  5632,  5637,  5645,  3917,  5661,  5662,  1967,  2430,  1122,
    4217,  5666,  4219,  5658,  5667,  5638,   866,  5679,  5669,   379,
    5701,   866,  5683,   866,   721,  3918,  1637, -2973,  5707,  3913,
    5708,   722,  5717,  3914,  3915,  3916,  5712,  5714,  1072,  5721,
    1878,  5724,    80,  5725,    80,   866,  5730,  1264,  5742,  5743,
    4529,  1503,  5750,  5302,   425,  5744,  1264,  5786,  5751,  2053,
     873,  1969,  5762,  5788,   866,  5795,  5710,  4548,  1970,  5711,
    5804,  1971,  5760,  1264,  1264,   379,  5779,  1264,  5835,  5843,
    5781,  5803,  1452,  5805,  5850,  5860,  5884,  3919,  5863,  5886,
    5885,  5869,  1264,  4267,  5889,  5892,  1972,  5896,  5911,  1264,
    5913,  5910,  5916,  5923,  1264,  5933,  5934,  1264,  1264,  5924,
    5935,  5930,  5931,  1196,  2874,  1264,  1264, -2973,  3733,  2507,
    4280,  2011, -2973, -2973,  4049,  2048,  3545,  3613,  1973,  4712,
    2444,  2445,  2446,  2447,  2448,  2449,  4056,  4170,  5895,  1264,
    1178,  1264,  4705,  2047,  5789,  3650,  1962,   722,  4294,   722,
    4810,  1759,  5567,  1264,  5695,  5937,  5938,  5861, -2973,   867,
    4842,  5430,  5152,  3193,  3193,  3193,  3193,  4109,  5408,  3193,
    3193,  3193,  3193,  3193,  3193,  3193,  3193,  3193,  3193,  3838,
    5782,  5857,  5315,  5715,  5713,  5802,  5874,  1974,  4114,  1975,
    4889,  1503,   722,  4869,  5677,  4835,  4514,  5300,  4710,  1976,
    3707,  1264,  3708,  4189,  2036,  2437,  4002,  4357,  1977,  4858,
    4002,  5174,  3698,  5414,  5417,  4363,  5862,  5936,  3496,  1978,
    5928,  4312,  5394,  3640,  3918,  3193,  3193,  4296,  5807,  5342,
    5532,  5685,  2935,  5413,  5345,  1092,  4928,   427,  2348,  5509,
    2361,  2602,  3391,  1264,  4047,  4896,  1072,  4100,  3011,  5622,
    3045,  3125,  4418,  3127,   379,   379,  2054,  3126,  1528,  1980,
    1981,  1453,  2123,  1847,  4270,  4740,  4359,  4762,  5443,  5826,
    5922,  1774,  3920,  3921,  3922,  3073,  3923,  3924,  3925,  3926,
    3927,  3928,  3317,  4873,  2653,  5304,  3919,  2055,  3318,  5776,
    5039, -2973,  4629,  2295,  3647,  5434,  3834,  4055,  2527,  2469,
    3343,  2555,  2554,  4064,  4062,  4604,  4009,  5772,  5660,  1264,
    5025,  1503,  3342,  2559,  4568,  3665,  4992,  5007,  3665,   425,
    3665,  1292,  1293,  1294,  3665,  1295,  1296,  1297,  1298,  1299,
    1300,  5488,  4562,  3665,  3665,  3665,  5644,  5643,  1264,  1503,
    4630,  1264,  4563,  1264,  5842,  5925,  4474,  2564,  5890,  5763,
    5467,  1983,  4517,  5774,  1074,  5298,  5775,  5759,  3274,   873,
    3979,  4051,  3977,  1264,  3283,  3890,   387,  4483,  1229,  1264,
    3792,  5752,   387,  1264,  4415,  2195,  2578,   716,  3369,  1503,
    1199,  1550,  3006,  3360,  1264,  2421,  1859, -2973,  2422,  3741,
    2571,  2356,  4506,  1888,  2444,  2445,  2446,  2447,  2448,  2449,
    3376,  1860,   867,  4012,   387,  3373,  4012,   867,  4009,   867,
    4044,  3374,  4635,  5026,  2473,  4009,  4609,  2428,  4636,  1222,
    4009,  2575,  3774,  4009, -2973,  3380,  2357,  3836,   427,    83,
    1452,   867,  3085,     0,     0,     0,  1503,  2285,     0,     0,
       0,  1503,  1503,  4011,     0,     0,  1264,  4011,  2430,   387,
     867,  1588,     0,     0,     0,  4009,  3813,     0,     0,     0,
       0,     0,     0,     0,   722,     0,     0,     0,     0,  4009,
       0,  3920,  3921,  3922,     0,  3923,  3924,  3925,  3926,  3927,
    3928,     0,     0,  1452,     0,     0,     0,  5606,     0,     0,
       0,     0,     0,  1264,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   866,  4979,  4012,     0,     0,     0,
     387,     0,     0,  1847,  1847,  4002,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1847,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2421,  1503,  1503,  2422,
       0,     0,     0,  2423,  2424,  2425,     0, -2973,  5631,     0,
       0,     0, -2973,     0,  5663,     0,     0,  3193,     0,     0,
    1264,     0,     0,  1264,   873,     0,  1264,     0,  2428,     0,
       0,     0,     0,     0,     0,  2429,     0,  1264,     0,     0,
       0,     0,  1264,     0,  1264,     0,  1264,     0, -2973,     0,
       0,     0,     0,     0,  1264,     0,     0,     0,     0,  2430,
       0,     0,     0,     0,  1074,  1074,     0,     0,     0,     0,
       0,     0,  1264,     0,     0,  4009,     0,  1074,     0,     0,
    1072,     0,     0,     0,  4002,     0,  1072,     0,     0,  4002,
       0,     0,  4002,     0,     0,  2437,     0,     0,     0,     0,
       0,   427,     0,   722,     0,     0,     0,     0,     0,     0,
    4346,  1122,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5883,     0,
       0,     0,     0,     0,     0,   387,  1280,     0,     0,  4009,
       0,     0,  5366,     0,  1311,     0,     0,     0,   873,     0,
       0,  1264,   873,     0,     0,     0,     0,  1330,     0,  1264,
       0,     0,     0,     0,     0,     0,     0,     0,  2431,     0,
     387,  5630,     0,  2432,     0,   873,     0,     0,     0,     0,
       0, -2973,     0,     0,  1452,     0,   712,     0,  1264,  1264,
       0,     0,  4420,   712,  2433,  2434,  1264,   427,     0,  3811,
    1503,     0,     0,     0,     0,   712,  1264,     0,     0,  2435,
       0,     0,  4011,     0,     0,   722,     0,     0,   425,     0,
       0,     0,  5828,   873,     0,  5829,     0,   383,  1264,  5830,
       0,     0,     0,     0,     0,     0,  5808,     0,     0,     0,
       0,     0,  2436,     0,     0,     0,     0,     0,     0,     0,
       0,  4845,     0,     0,     0,   379,  2437,     0,     0,     0,
    5831,     0,  1637,     0,  4996,  3913,     0,  1072,     0,  3914,
    3915,  3916,  1637,     0,     0,  3913,     0, -2973,  1264,  3914,
    3915,  3916,     0,  1264,  2444,  2445,  2446,  2447,  2448,  2449,
     379,     0,  1264,     0,     0,     0,  4530,  5828,  1264,  1264,
    5829,  1264,   383,     0,  5830,     0,     0,     0,     0,   873,
    1264,  1847,     0,  1847,  4011,     0,  5849,     0,  1452,     0,
       0,  4011,     0,     0,     0,     0,  4011,  1264,     0,  4011,
       0,     0,     0,     0,     0,  5831,     0,     0,     0,  4009,
       0,   722,  2439,     0,     0,     0,     0,     0,     0,     0,
     867,     0,     0,     0,     0,     0,     0,     0,  4002,     0,
       0,  4011,     0,     0,     0,  1264,     0,     0,     0,  2414,
    4009,     0,     0,     0,     0,  4011,     0,     0,     0,     0,
       0,     0,  5828,     0,     0,  5829,     0,   383,     0,  5830,
       0,     0,  1264,     0,     0,  5849,     0,  1264,     0,     0,
       0,     0,  1074,     0,  1074,  4194,     0,     0,     0,   425,
       0,     0,     0,   866,     0,     0,     0,   427,     0,     0,
    5831,     0,     0,     0,     0,     0,     0,     0,  4012,     0,
       0,     0,  4012,     0,  1264,     0,     0,     0,  2440,  2357,
    1264,  2441,  2442,  2443,     0,  2444,  2445,  2446,  2447,  2448,
    2449,     0,     0,     0,     0,  4231,     0,     0,     0,     0,
    3918,     0,     0,     0,  1264,     0,   427,     0,     0,     0,
    3918,   712,   712,     0,  4632,  4009,     0,     0,     0,     0,
    1847,   427,  1264,  1264,     0,     0,     0,     0,     0,  5902,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   379,
       0,     0,     0,     0,     0,     0,     0,  4268,     0,     0,
       0,     0,  3919,     0,     0,     0,     0,     0,     0,     0,
       0,  4011,  3919,  1637,     0,     0,  3913,     0,  5902,     0,
    3914,  3915,  3916,     0,     0,     0,     0,     0,  3665,     0,
       0,     0,     0,  5902,     0,     0,  5366,  4975,     0,     0,
    4293,     0,     0,     0,     0,     0,     0,     0,  4307,     0,
       0,  1074,  5069,     0,  4307,     0,     0,     0,     0,     0,
    1452,     0,  1452,     0,     0,     0,   379,  1072,     0,     0,
       0,     0,   873,     0,     0,  4011,     0,     0,   873,     0,
       0,     0,     0,     0,   866,     0,     0,     0,  4009,     0,
    5090,  1072,     0,     0,     0,     0,   387,  1072,     0,     0,
     387,     0,     0,     0,     0,     0,  4366,     0,     0,     0,
       0,  5105,   425,  1277,   716,     0,     0,     0,     0,     0,
       0,     0,   716,     0,     0,     0,     0,     0,  3193,     0,
       0,     0,  5764,     0,     0,   716,     0,  5247,  4399,  1452,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4009,     0,     0,   716,     0,  5159,  3813,     0,  1581,
    1582,   716,     0,     0,     0,     0,     0,  5131,     0,     0,
       0,     0,     0,   716,     0,     0,     0,  3920,  3921,  3922,
       0,  3923,  3924,  3925,  3926,  3927,  3928,  3920,  3921,  3922,
       0,  3923,  3924,  3925,  3926,  3927,  3928,     0,   425,  1637,
     716,  3918,  3913,     0,    35,     0,  3914,  3915,  3916,     0,
       0,     0,    41,    42,     0,  1277,   716,  4012,  2421,     0,
       0,  2422,     0,   716,     0,  2423,  2424,  2425,     0,     0,
       0,     0,     0,     0,     0,     0,   716,     0,     0,     0,
    1637,     0,  2426,  3913,     0,  2427,     0,  3914,  3915,  3916,
    2428,     0,   716,  1637,     0,     0,  3913,  2429,     0,     0,
    3914,  3915,  3916,  3919,  4976,  4011,     0,     0,     0,   867,
       0,     0,     0,     0,     0,     0,  5218,     0,   379,     0,
    5649,  2430,     0,     0,     0,  3811,  3811,  3811,  3811,  3811,
       0,     0,     0,     0,     0,     0,  4011,   866,     0,     0,
       0,     0,   379,     0,     0,  4527,  1072,     0,  2421,     0,
       0,  2422,     0,     0,     0,  2423,  2424,  2425,     0,  4012,
       0,     0,     0,     0,     0,     0,  4012,  2357,     0,     0,
       0,  4012,  2426,     0,  4012,  5277,     0,     0,     0,     0,
    2428,     0,  5901,     0,     0,     0,     0,  2429,     0,     0,
       0,   716,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4012,     0,     0,     0,
       0,  2430,   387,     0,   873,   873,   873,  5882,     0,     0,
    4012,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2431,  5901,     0,   866,     0,  2432,     0, -2973,     0,     0,
       0,  4011,     0,     0,     0,     0,  5901,     0,     0,  3193,
       0,     0,     0,     0,     0,     0,  2433,  2434,   425,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1276,     0,
       0,  2435,     0,     0,  3193,     0,     0,     0,  3918,   716,
     716,     0,     0,     0,     0,     0,     0,     0,  3920,  3921,
    3922,  3918,  3923,  3924,  3925,  3926,  3927,  3928,     0,  3919,
     867,     0,   379,     0,  2436,  2602,     0,   425,     0,     0,
    1276,     0,     0,   386,     0,     0,     0,     0,  2437,   386,
    2431,  2438,   425,     0,   715,  2432,     0,     0,     0,     0,
       0,     0,    74,     0,     0,     0,     0,     0,     0,     0,
    3919,     0,     0,     0,     0,     0,  2433,  2434,     0,     0,
       0,   386,     0,  3919,     0,     0,     0,     0,     0,     0,
       0,  2435,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4011,     0,  4012,     0,     0,     0,
       0,     0,     0,     0,     0,  4307,     0,     0,   873,     0,
       0,     0,     0,     0,  2436,  1072,   386,     0,     0,  1072,
       0,   712,     0,     0,  2439,  1277,     0,     0,  2437,  4747,
       0,  2438,     0,     0,     0,     0,  4754,     0,     0,  4755,
       0,  4756,     0,     0,  5103,  5104,     0,     0,     0,  5107,
    5108,     0,   873,     0,     0,     0,     0,     0,     0,     0,
    4012,     0,     0,     0,  1118,     0,     0,  4011,     0,     0,
       0,     0,  1118,   866,  1118,  2357,     0,     0,     0,     0,
       0,  4796,     0,     0,     0,     0,     0,   386,     0,  3665,
       0,     0,     0,  3665,  3665,     0,  3665,     0,     0,     0,
       0,  4293,     0,     0,  3920,  3921,  3922,  3193,  3923,  3924,
    3925,  3926,  3927,  3928,  2439,  4267,     0,     0,     0,     0,
    2440,     0,   866,  2441,  2442,  2443,     0,  2444,  2445,  2446,
    2447,  2448,  2449,     0,     0,     0,     0,   866,     0,     0,
       0,     0,     0,   867,     0,  3920,  3921,  3922,     0,  3923,
    3924,  3925,  3926,  3927,  3928,     0,     0,     0,  3920,  3921,
    3922,     0,  3923,  3924,  3925,  3926,  3927,  3928,     0,     0,
       0,     0,  2357,     0,     0,     0,  3135,  2357,  2357,     0,
    5586,     0,     0,     0,     0,     0,     0,     0,   716,     0,
       0,  1965,     0,     0,     0,     0,     0,  1966,  4893,     0,
       0,     0,   716,     0,     0,     0,     0,     0,     0,     0,
    2440,     0,     0,  2441,  2442,  2443,     0,  2444,  2445,  2446,
    2447,  2448,  2449,     0,  3136,     0,     0,     0,     0,  3904,
     716,     0,     0,  3813,  3813,  3813,  3813,  3813,  1967,   867,
       0,     0,     0,     0,     0,  2872,     0,     0,     0,     0,
       0,     0,   386,     0,     0,     0,  3137,     0,     0,     0,
    4012,   873,     0,     0,     0,     0,   716,     0,     0,     0,
    4936,  4936,  4936,     0,  4936,  4936,  4936,  3193,     0,  3138,
       0,     0,   716,     0,  5623,     0,     0,   386,     0,     0,
    3139,  4012,  1969,     0,     0,     0,     0,   716,     0,  1970,
     716,     0,  1971,     0,     0,     0,     0,     0,     0,     0,
    3140,  2421,     0,     0,  2422,  3141,     0,     0, -2973, -2973,
   -2973,     0,     0,  2946,     0,     0,     0,  1972,  3781,  2961,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2872,     0,  2428,     0,     0,  5299,     0,  1937,     0,
    2429,     0,     0,     0,     0,     0,     0,     0,     0,  1973,
       0,     0,     0,     0,  3142,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2430,     0,     0,     0,     0,     0,
       0,     0,  1938,     0,     0,  3143,     0,     0,     0,     0,
       0,  5841,     0,     0,     0,     0,  4012,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5024,     0,  1072,  5031,  5032,     0,     0,     0,  1974,  3038,
    1975,     0,     0,     0,     0,     0,     0,     0,   716,     0,
    1976,     0,     0,     0,     0,     0,   716,   716,     0,  1977,
      80,  1940,  2872,     0,     0,     0,     0,   387,     0,     0,
    1978,   902,     0,     0,  3144,     0,     0,     0,     0,   867,
       0,     0,     0,     0,     0,  1276,     0,     0,     0,     0,
       0,     0,     0,  3193,     0,  1941,     0,     0,  3193,     0,
    3145,     0,     0,  2431,     0,     0,  5768,  3146,  2432,     0,
    1980,  1981,     0,     0,  3147,     0,     0,     0,     0,   387,
     387,   387,     0,     0,   873,  3782,     0,     0,   867,   873,
    1942,   873,     0,     0,     0,  5811,     0,     0,  1982,   716,
       0,     0,  3148,   867,  2435,     0,     0,  3149,     0,  4012,
    3150,  2421,     0,   873,  2422,  1276,  1276,     0,  2423,  2424,
    2425,     0,     0,     0,  1943,     0,     0,     0,  3151,   387,
       0,     0,   873,     0,     0,  2426,   387,     0,     0,     0,
       0,     0,     0,  2428,     0,     0,     0,   387,     0,     0,
    2429,  2437,     0,  3152,     0,  1945,     0,     0,     0,     0,
       0,     0,  1983,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2430,     0,     0,     0,  5129,  5130,
       0,     0,  4012,     0,     0,     0,     0,     0,  3665,     0,
    3665,  3665,     0,  2421,  3665,   209,  2422,     0,     0,  1947,
    2423,  2424,  2425,     0,     0,     0,  1948,     0,     0,     0,
       0,     0,     0,     0,  1949,     0,     0,  2426,     0,     0,
       0,     0,  2729,     0,     0,  2428,     0,     0,     0,     0,
       0,     0,  2429,     0,  1951,     0,     0,  2439,     0,     0,
       0,     0,  1952,     0,     0,     0,     0,     0,     0,     0,
       0,  5186,  1072,  1072,     0,     0,  2430,     0,     0,     0,
       0,     0,     0,  3784,     0,  1072,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5927,     0,  2431,     0,     0,  5212,     0,  2432,     0,
       0,     0,     0,     0,     0,     0,     0,  1953,     0,  1276,
    1276,  3785,  2942,     0,     0,     0,     0,     0,     0,  2433,
    2434,     0,     0,   386,     0,     0,     0,   386,     0,     0,
       0,     0,     0,   716,  2435,     0,  4936,     0,     0,     0,
       0,   715,     0,  2440,     0,     0, -2973, -2973, -2973,   715,
    2444,  2445,  2446,  2447,  2448,  2449,     0,   712,     0,     0,
       0,     0,   715,     0,     0,     0,     0,  2436,     0,  5629,
       0,     0,     0,     0,     0,  2431,     0,     0,     0,  3382,
    2432,  2437,     0,     0,  2438,     0,   387,     0,     0,     0,
       0,   715,     0,     0,     0,     0,     0,  3398,   715,     0,
       0,  2433,  2434,  3402,     0,     0,     0,  3405,     0,     0,
     715,   716,     0,     0,     0,     0,  2435,   716,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   716,
       0,     0,     0,  3429,     0,     0,     0,   715,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2436,
       0,     0,     0,   715,     0,     0,     0,     0,     0,     0,
     715,     0,     0,  2437,     0,     0,  2438,  2439,     0,     0,
       0,     0,     0,   715,     0,     0,     0,  3482,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   715,
    4307,     0,     0,  2421,     0,   712,  2422,     0,     0,     0,
    2423,  2424,  2425,  1277,  1277,     0,   716,   716,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2426,   716,     0,
       0,     0,     0,     0,     0,  2428,     0,  3530,     0,   716,
     716,  3665,  2429,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2439,
       0,  3559,     0,     0,     0,   716,  2430,     0,     0,  3570,
       0,     0,     0,  2440,     0,   712,  2441,  2442,  2443,  3585,
    2444,  2445,  2446,  2447,  2448,  2449,     0,     0,     0,     0,
       0,     0,  3954,     0,     0,     0,  1118,     0,   715,  3598,
    1118,     0,   873,  1965,  3600,  1277,     0,     0,  3603,  1966,
    1072,     0,  1072,     0,  1937,     0,  2016,     0,     0,   386,
       0,  3620,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3644,  2017,     0,     0,     0,     0,
       0,     0,     0,   712,     0,     0,     0,     0,  1938,     0,
    1967,     0,     0,     0,     0,  2440,     0,     0,  2441,  2442,
    2443,     0,  2444,  2445,  2446,  2447,  2448,  2449,     0,     0,
       0,     0,  4308,     0,     0,  2431,     0,     0,  1939,     0,
    2432,     0,     0,     0,  2018,     0,   715,   715,     0,     0,
       0,     0,     0,     0,     0,   387,     0,     0,     0,     0,
       0,  2433,  2434,     0,  1969,     0,     0,  1940,     0,     0,
       0,  1970,     0,     0,  1971,     0,  2435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2474,     0,     0,  1972,
       0,  1941,     0,     0,     0,     0,     0,     0,     0,  2436,
       0,     0,     0,     0,     0,  2206,     0,     0,     0,     0,
    5543,  5543,     0,  2437,     0,     0,  2438,     0,  2019,     0,
       0,  1973,     0,  1452,  1118,  1118,  1942,  5560,     0,  1072,
       0,     0,  2233,     0,     0,     0, -2474,  5568,  5900,   387,
       0,     0,     0,     0,     0,     0,     0,     0, -2474,     0,
       0,     0,     0, -2474,     0,  2247,     0,     0, -2474,     0,
    1943,     0,     0,     0, -2474,  2258,  2020, -2474,     0,  2021,
   -2474,  2262,     0,     0,     0,     0,     0,  2270,     0,     0,
    2022,     0,  1975,  2278,     0,     0,  2281,  5900,     0,     0,
    1944,  1945,  1976,     0,   387,     0,   387,     0, -2474,  2439,
       0,  1977,  5900,     0,     0,     0,     0,     0,     0,     0,
       0,  2023,  1978,     0,     0,   716,     0,     0, -2474,     0,
       0,     0,     0,     0,     0,  3849,     0,  1946,     0,     0,
       0,   209,     0,     0,     0,  1947,   714,   716,     0,     0,
       0,     0,  1948,  3863,     0,     0,     0,     0,     0,  2024,
    1949,  3849,  1980,  1981,  2025,   716,     0,     0,  1950, -2474,
     387,   716, -2474,   864,     0,   716,     0,     0, -2474,     0,
    1951,     0,     0,   716,  2026,     0,     0,     0,  1952,     0,
    2027,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   716,     0,     0,  2028,  2440,     0,     0,  2441,  2442,
    2443,     0,  2444,  2445,  2446,  2447,  2448,  2449,   864,     0,
    3310,     0,  1452,  1277,     0,     0,  5699,     0,  5700,     0,
       0, -2474,  5705,  5706,     0,   715,     0,     0,     0,     0,
       0,     0,     0,  1953,     0,   716,     0,     0,     0,   715,
       0,     0,     0,     0,  1983,     0,     0,     0,     0,     0,
       0,     0,     0,   716,   716,     0,  1117,     0,     0,     0,
       0,     0,     0,     0,  1117,     0,  1117,   715,     0,     0,
       0,     0,  1088,     0,     0,     0,     0,     0,     0,   864,
       0,     0,     0,     0,   387,   716,     0,     0,   387,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2474,     0,
       0,   873,     0,   715,     0,     0,     0,     0,     0,   716,
       0,   387,     0,     0,     0,     0,     0,   716,     0,   715,
       0,     0, -2474,   716, -2474, -2474,     0,   716,     0,     0,
       0,     0,     0,     0,   715,     0,     0,   715,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   716,  5543,     0,
    5543,     0,   716,     0,     0,     0,   716,     4,     0,   387,
   -2474,     0,     0, -2474, -2474,     0, -2474,     0,     0,   716,
       0,     0,     0,     0,     0,     0,     0,     5,     0,     0,
       0,     0,   716,     0,     0,     0,     0,     6,     7,     0,
       0,   716,     8,     0,     9,    10,     0,     0,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,     0,    36,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,   387,     0,     0,     0,     0,
    1452,     0,     0,     0,     0,     0,     0,     0,  4121,     0,
       0,     0,     0,     0,     0,   715,     0,     0,     0,     0,
       0,     0,     0,   715,   715,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   386,     0,     0,     0,     0,     0,
      46,     0,   873,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5543,     0,     0,
       0,   716,     0,     0,     0,     0,  5903,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   386,   386,   386,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3781,     0,
       0,     0,     0,     0,     0,     0,   715,     0,     0,     0,
       0,     0,     0,     0,  2421,    47,  4200,  2422,  1937,     0,
       0,  2423,  2424,  2425,   716,  5903,     0,     0,     0,     0,
       0,     0,     0,    48,     0,     0,   386,     0,  2426,     0,
    5903,     0,     0,   386,     0,     0,  2428,     0,     0,     0,
       0,     0,  1938,  2429,   386,    49,     0,     0,     0,     0,
       0,     0,     0,  1965,  1118,     0,     0,     0,     0,  1966,
       0,     0,     0,   716,     0,     0,     0,  2430,    50,     0,
       0,     0,  2052,     0,     0,     0,     0,     0,     0,     0,
       0,   716,     0,     0,     0,     0,     0,     0,     0,   716,
       0,     0,     0,     0,     0,  1118,     0,     0,     0,  1277,
    1967,  1940,     0,     0,     0,    51,     0,     0,    52,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4278,     0,
       0,     0,     0,     0,    53,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1941,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2053,     0,  1969,   873,     0,     0,     0,     0,
       0,  1970,     0,     0,  1971,  3782,     0,     0,   387,     0,
    1942,     0,     0,     0,   387,     0,  2431,  1283,     0,     0,
       0,  2432,     0,     0,     0,     0,     0,  1315,     0,  1972,
       0,     0,     0,     0,     0,     0,     0,     0,  1332,     0,
       0,     0,  2433,  2434,  1943,     0,  1342,     0,    54,     0,
       0,     0,  1387,     0,     0,     0,     0,  2435,     0,     0,
     715,  1973,  1118,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1945,     0,     0,  3040,     0,
       0,     0,     0,     0,     0,     0,  3047,     0,     0,     0,
    2436,   873,     0,     0,  3781,    55,     0,     0,     0,     0,
       0,     0,  3057,     0,  2437,   716,     0,  2438,     0,     0,
      56,     0,     0,   386,  1937,   209,     0,     0,     0,  3783,
    1974,     0,  1975,     0,     0,    57,  1948,     0,  2872,     0,
       0,     0,  1976,     0,  1949,     0,     0,     0,   715,     0,
       0,  1977,  2729,     0,   715,     0,  4448,     0,  1938,     0,
       0,     0,  1978,     0,  1951,    58,   715,     0,     0,     0,
       0,     0,  1952,    59,     0,    60,    61,    62,    63,    64,
       0,  4462,    65,    66,    67,    68,     0,    69,    70,    71,
      72,    73,     0,  3784,     0,     0,     0,     0,     0,  3610,
    2439,     0,  1980,  1981,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   864,     0,  1940,     0,   716,
     716,     0,     0,     0,     0,     0,     0,  1953,     0,     0,
    3611,  3785,     0,   714,  1619,     0,     0,     0,     0,     0,
       0,   714,     0,   715,   715,     0,   716,     0,     0,   716,
       0,  1941,     0,     0,   714,   715,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   715,   715,     0,     0,
    1752,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3782,     0,   714,     0,     0,  1942,     0,     0,  1776,
     714,     0,   715,     0,  1983,     0,  2440,     0,     0,  2441,
    2442,  2443,   714,  2444,  2445,  2446,  2447,  2448,  2449,     0,
       0,  1801,     0,  4475,     0,     0,     0,     0,     0,     0,
    1943,   873,     0,     0,     0,     0,     0,     0,     0,   714,
     387,   387,   387,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,  1965,     0,     0,
       0,  1945,   714,  1966,   716,     0,     0,  3314,     0,     0,
       0,     0,     0,     0,     0,   714,     0,     0,     0,     0,
     873,     0,     0,     0,   716,     0,     0,     0,     0,     0,
       0,   714,     0,     0,     0,   873,     0,     0,   716,     0,
       0,   209,     0,     0,  1967,  1947,     0,     0,     0,     0,
       0,     0,  1948,     0,     0,     0,     0,     0,     0,     0,
    1949,     0,     0,     0,     0,  1990,     0,     0,  2729,     0,
       0,     0,   386,     0,     0,     0,     0,     0,     0,     0,
    1951,     0,     0,     0,     0,     0,     0,     0,  1952,     0,
       0,     0,     0,     0,  1968,     0,     0,     0,  1969,     0,
       0,     0,  4678,     0,     0,  1970,     0,     0,  1971,  3784,
       0,     0,  2421,     0,     0,  2422,   716,     0,     0,  2423,
    2424,  2425,     0,     0,     0,     0,     0,     0,  1117,     0,
     714,     0,  1117,  1972,     0,     0,  2426,     0,     0,     0,
       0,     0,     0,  1953,  2428,     0,     0,  3785,     0,     0,
       0,  2429,     0,     0,   387,     0,     0,     0,     0,     0,
       0,   716,     0,   716,     0,  1973,   386,     0,     0,     0,
       0,     0,     0,     0,     0,  2430,   716,     0,   716,     0,
       0,  2139,     0,     0,     0,     0,     0,     0,  2421,     0,
       0,  2422,     0,     0,     0,  2423,  2424,  2425,   387,     0,
       0,  1965,     0,     0,     0,     0,     0,  1966,  2176,  2179,
    2180,     0,  2426,     0,  4777,     0,     0,  4780,   714,   714,
    2428,   386,  2421,   386,  1974,  2422,  1975,  2429,     0,  2423,
    2424,  2425,     0,     0,     0,     0,  1976,     0,     0,     0,
     716,     0,   715,     0,     0,  1977,  2426,     0,  1967,     0,
       0,  2430,     0,     0,  2428,     0,  1978,     0,     0,     0,
       0,  2429,     0,     0,   715,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   715,     0,  2431,  2430,   716,   386,   715,  2432,
       0,     0,   715,  1979,     0,     0,  1980,  1981,  2783,     0,
     715,     0,  1969,     0,   716,     0,  1117,  1117,     0,  1970,
    2433,  2434,  1971,  4856,     0,     0,     0,     0,   715,     0,
       0,     0,     0,     0,  1982,  2435,   716,     0,     0,   716,
    2872,     0,     0,     0,     0,     0,     0,  1972,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2436,     0,
    2431,     0,   715,     0,     0,  2432,     0,     0,     0,  1973,
       0,     0,  2437,     0,  1118,  2438,     0,  1752,     0,     0,
     715,   715,     0,     0,     0,     0,  2433,  2434,  1983,     0,
       0,     0,     0,     0,  2431,     0,     0,     0,     0,  2432,
       0,  2435,     0,     0,     0,     0,     0,   387,  1752,     0,
    3849,   386,   715,     0,     0,   386,     0,     0,     0,     0,
    2433,  2434,     0,     0,     0,     0,     0,     0,  1974,     0,
    1975,     0,     0,     0,  2436,  2435,   715,     0,   386,     0,
    1976,     0,     0,     0,   715,     0,     0,     0,  2437,  1977,
     715,  2438,     0,     0,   715,     0,     0,     0,  2439,     0,
    1978,     0,     0,     0,     0,     0,     0,     0,  2436,     0,
       0,     0,     0,     0,   715,     0,     0,     0,     0,   715,
       0,     0,  2437,   715,     0,  2438,   386,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   715,  2784,  3797,     0,
    1980,  1981,     0,     0,     0,  3802,     0,   714,     0,   715,
       0,     0,     0,     0,     0,     0,     0,     0,   715,     0,
       0,   714,  3817,     0,     0,     0,     0,     0,  2785,     0,
       0,     0,  3823,     0,  2439,     0,  3824,     0,     0,  3826,
       0,     0,     0,     0,     0,  3830,     0,  3831,     0,   714,
    3833,     0,     0,     0,  2440,  2511,     0,  2441,  2442,  2443,
       0,  2444,  2445,  2446,  2447,  2448,  2449,     0,  2439,     0,
       0,  4526,   386,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,     0,     0,     0,
    2421,     0,  1983,  2422,     0,     0,     0,  2423,  2424,  2425,
     716,   714,  2566,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2426,     0,   714,     0,     0,   714,
    3872,     0,  2428,     0,     0,     0,     0,     0,     0,  2429,
    2440,     0,     0,  2441,  2442,  2443,     0,  2444,  2445,  2446,
    2447,  2448,  2449,     0,     0,     0,     0,  4615,   715,     0,
     387,     0,     0,  2430,     0,   387,     0,   387,     0,     0,
       0,     0,     0,     0,  2440,     0,     0,  2441,  2442,  2443,
       0,  2444,  2445,  2446,  2447,  2448,  2449,     0,     0,   387,
       0,  4649,  5100,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5110,     0,     0,     0,   387,     0,
       0,   715,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   716,     0,     0,   716,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2738,     0,     0,   714,     0,     0,
     715,     0,     0,  2761,     0,   714,   714,     0,     0,     0,
       0,     0,  2431,     0,     0,     0,   864,  2432,   715,     0,
       0,     0,     0,     0,     0,     0,   715,     0,     0,  2796,
       0,     0,     0,     0,     0,     0,     0,     0,  2433,  2434,
       0,     0,  2808,     0,     0,  2811,     0,     0,     0,     0,
       0,   716,   716,  2435,     0,     0,     0,     0,     0,     0,
       0,   716,     0,     0,     0,     0,     0,     0,   864,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   716,     0,
       0,     0,     0,     0,     0,     0,  2436,     0,   714,     0,
       0,     0,     0,     0,     0,     0,  2859,     0,     0,     0,
    2437,     0,     0,  2438,     0,   386,     0,     0,     0,     0,
    2875,   386,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2887,     0,     0,     0,     0,     0,
       0,     0,     0,   387,     0,     0,   864,     0,     0,     0,
       0,     0,     0,  3849,     0,     0,  1117,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   716,     0,
       0,     0,     0,     0,  4119,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2421,     0,  2939,  2422,     0,
       0,     0,  2423,  2424,  2425,     0,  2439,  1117,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2426,
       0,     0,   715,     0,  2980,     0,     0,  2428,     0,     0,
       0,  2993,     0,     0,  2429,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2421,     0,     0,  2422,     0,  2430,     0,
    2423,  2424,  2425,     0,  4178,     0,  4180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2426,     0,  3849,
       0,  3849,     0,     0,     0,  2428,     0,     0,     0,     0,
       0,     0,  2429,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2440,     0,     0,  2441,  2442,  2443,     0,  2444,
    2445,  2446,  2447,  2448,  2449,     0,  2430,     0,     0,  4945,
       0,     0,     0,     0,     0,     0,   715,   715,     0,     0,
       0,     0,   714,     0,  1117,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3070,     0,     0,     0,     0,     0,
       0,     0,     0,   715,     0,     0,   715,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2431,     0,     0,
       0,     0,  2432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   864,     0,     0,     0,     0,
       0,  1752,  1752,  2433,  2434,  4266,     0,     0,     0,     0,
    4272,     0,     0,     0,     0,     0,     0,     0,  2435,     0,
     714,  3124,     0,   716,     0,     0,   714,     0,   387,     0,
       0,     0,     0,     0,     0,  2431,     0,     0,   714,     0,
    2432,     0,     0,     0,     0,     0,     0,   386,   386,   386,
       0,  2436,     0,     0,     0,     0,     0,     0,     0,     0,
     716,  2433,  2434,     0,     0,  2437,     0,     0,  2438,     0,
       0,   715,   716,     0,     0,     0,  2435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   715,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   716,     0,     0,     0,   715,  1965,     0,     0,  2436,
       0,     0,  1966,     0,     0,   714,   714,     0,  3282,     0,
       0,     0,     0,  2437,     0,     0,  2438,   714,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   714,   714,
       0,     0,     0,     0,  3303,     0,     0,     0,     0,     0,
       0,  2439,  1965,  1967,     0,     0,     0,     0,  1966,     0,
       0,     0,  2421,     0,   714,  2422,     0,     0,     0,  2423,
    2424,  2425,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3316,   715,  3319,  4432,  2426,  4434,     0,  4436,
       0,  1965,   716,     0,  2428,     0,  4440,  1966,     0,  1967,
       0,  2429,     0,     0,     0,     0,     0,  1969,     0,  2439,
       0,     0,     0,     0,  1970,     0,     0,  1971,     0,     0,
    1752,   386,     0,     0,     0,  2430,     0,     0,   715,     0,
     715,     0,     0,     0,     0,     0,     0,  4461,  1967,     0,
       0,     0,  1972,   715,     0,   715,     0,  2440,     0,     0,
    2441,  2442,  2443,  1969,  2444,  2445,  2446,  2447,  2448,  2449,
    1970,     0,     0,  1971,  4980,   386,     0,     0,     0,     0,
       0,   716,     0,     0,  1973,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1972,     0,
       0,     0,  1969,     0,   864,     0,     0,     0,     0,  1970,
       0,     0,  1971,     0,     0,  2440,     0,   715,  2441,  2442,
    2443,     0,  2444,  2445,  2446,  2447,  2448,  2449,     0,     0,
    1973,     0,  5238,     0,     0,     0,     0,  1972,     0,     0,
       0,     0,     0,  1974,  2431,  1975,     0,     0,     0,  2432,
       0,     0,     0,     0,     0,  1976,     0,     0,     0,     0,
       0,     0,     0,   715,  1977,     0,     0,     0,     0,  1973,
    2433,  2434,     0,     0,     0,  1978,     0,     0,     0,     0,
       0,   715,     0,     0,     0,  2435,     0,     0,     0,  1974,
       0,  1975,     0,     0,     0,     0,     0,   716,     0,   716,
       0,  1976,     0,   715,     0,     0,   715,     0,     0,     0,
    1977,     0,  2081,     0,     0,  1980,  1981,     0,  2436,     0,
       0,  1978,     0,     0,     0,     0,     0,     0,  1974,     0,
    1975,     0,  2437,  3521,     0,  2438,     0,     0,     0,     0,
    1976,     0,   716,  2082,     0,     0,     0,     0,     0,  1977,
       0,  1277,  3548,     0,     0,     0,     0,     0,  2709,     0,
    1978,  1980,  1981,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   386,     0,     0,   387,     0,  2710,
       0,     0,     0,  1277,     0,     0,   714,  3491,     0,     0,
    1980,  1981,     0,  2421,     0,     0,  2422,  1983,     0,     0,
    2423,  2424,  2425,     0,   714,  3614,  3615,  3849,  2439,   864,
     714,     0,     0,     0,   714,     0,     0,  2426,  1982,     0,
       0,     0,   714,     0,     0,  2428,     0,     0,     0,     0,
       0,     0,  2429,     0,     0,     0,     0,     0,     0,     0,
     714,     0,     0,  1983,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2430,     0,     0,     0,
       0,  2421,     0,     0,  2422,     0,     0,     0,  2423,  2424,
    2425,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1983,     0,   714,  2426,     0,     0,     0,     0,
       0,     0,     0,  2428,     0,     0,  1117,     0,  3727,     0,
    2429,     0,   714,   714,  2440,     0,     0,  2441,  2442,  2443,
       0,  2444,  2445,  2446,  2447,  2448,  2449,     0,     0,     0,
       0,  5249,     0,     0,  2430,     0,     0,     0,     0,     0,
       0,     0,     0,   864,   714,     0,     0,   864,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2421,     0,
       0,  2422,     0,     0,     0,  2423,  2424,  2425,   714,     0,
     864,     0,     0,     0,     0,  2431,   714,   715,   387,     0,
    2432,     0,   714,     0,     0,     0,   714,     0,     0,     0,
    2428,     0,     0,     0,     0,     0,     0,  2429,     0,     0,
       0,  2433,  2434,     0,     0,     0,   714,     0,     0,     0,
       0,   714,     0,     0,   716,   714,  2435,     0,   864,     0,
       0,  2430,     0,     0,     0,     0,     0,   386,   714,     0,
       0,     0,   386,     0,   386,     0,     0,     0,     0,     0,
    1965,   714,     0,  2431,     0,     0,  1966,     0,  2432,  2436,
     714,     0,     0,     0,     0,     0,   386,     0,     0,     0,
       0,     0,     0,  2437,     0,     0,  2438,     0,     0,  2433,
    2434,     0,     0,     0,     0,   386,     0,     0,     0,     0,
       0,     0,     0,     0,  2435,     0,     0,  1967,     0,   715,
       0,     0,   715,     0,     0,  3866,     0,     0,     0,     0,
       0,     0,     0,     0,   864,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4920,     0,     0,  2436,  4922,     0,
       0,     0,     0,  1965,     0,     0,     0,     0,     0,  1966,
    2431,  2437,     0,     0,  2438,  2432,     0,     0,     0,     0,
       0,  1969,     0,     0,     0,     0,  1265,  1267,  1970,  2439,
    1270,  1971,     0,     0,     0,     0, -2973, -2973,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1317,     0,
    1967,  2435,     0,     0,     0,  1327,  1972,     0,   715,   715,
     714,     0,     0,     0,     0,     0,     0,     0,   715,     0,
       0,     0,     0,     0,     0,     0,  1393,     0,     0,     0,
    1396,   387,     0,   716, -2973,   715,     0,     0,  1973,     0,
       0,     0,     0,     0,     0,     0,     0,  2439,  2437,     0,
       0,  1424,     0,     0,  1969,     0,     0,     0,     0,     0,
       0,  1970,     0,   714,  1971,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2440,     0,  3994,  2441,  2442,
    2443,     0,  2444,  2445,  2446,  2447,  2448,  2449,     0,  1972,
     386,     0,  5258,     0,     0,     0,     0,  1974,     0,  1975,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1976,
    1965,     0,   714,     0,     0,   715,  1966,     0,  1977,     0,
       0,  1973,     0,     0,     0,     0,     0,   387,     0,  1978,
     714,     0,  2421,     0,  2439,  2422,     0,     0,   714,  2423,
    2424,  2425,     0,  2440,     0,   716,  2441,  2442,  2443,     0,
    2444,  2445,  2446,  2447,  2448,  2449,  2426,  1967,  1277,     0,
    5261,     0,     0,     0,  2428,     0,  3653,     0,   760,  1980,
    1981,  2429,     0,  5068,     0,  1965,     0,     0,     0,     0,
    1974,  1966,  1975,     0,     0,     0,     0,     0,  2016,     0,
       0,     0,  1976,     0,     0,  2430,     0,  3654,     0,     0,
       0,  1977,     0,     0,     0,   760,     0,  2017,     0,     0,
       0,  1969,  1978,     0,  5091,  5092,     0,   864,  1970,     0,
       0,  1971,  1967,   864,     0,     0,   760,     0,  1277,  1277,
    2440,     0,     0,  2441,  2442,  2443,     0,  2444,  2445,  2446,
    2447,  2448,  2449,     0,  1083,     0,  1972,     0,     0,  4147,
       0,     0,  1980,  1981,     0,     0,  2018,     0,     0,  1085,
       0,  1983,     0,     0,     0,     0,     0,  1093,     0,     0,
       0,   716,     0,     0,     0,     0,  1969,     0,  1973,     0,
    4148,     0,  1107,  1970,  1083,     0,  1971,     0,  1130,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1162,     0,
       0,  5132,  5133,     0,  2431,     0,     0,  1167,     0,  2432,
       0,  1972,     0,     0,   714,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2433,  2434,     0,     0,     0,     0,     0,  1974,     0,  1975,
    2019,     0,     0,  1973,  1983,  2435,     0,   387,     0,  1976,
     715,     0,     0,     0,     0,   386,     0,     0,  1977,     0,
       0,     0,     0,     0,  4223,     0,     0,     0,     0,  1978,
       0,     0,     0,     0,     0,     0,     0,     0,  2436,  1991,
    1992,     0,     0,     0,     0,     0,     0,   715,  2020,     0,
       0,  2021,  2437,     0,     0,  2438,   387,     0,     0,   715,
       0,     0,  2022,     0,  1975,     0,  4202,     0,     0,  1980,
    1981,   387,  1277,  1277,  1976,     0,  5228,     0,   714,   714,
       0,     0,     0,  1977,     0,  5230,  5231,     0,   715,     0,
       0,     0,     0,  2023,  1978,     0,     0,  4203,     0,  5235,
       0,     0,     0,     0,     0,   714,     0,     0,   714,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2116,     0,
       0,  3587,     0,     0,  1980,  1981,  2025,     0,  2439,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2026,  2142,  2143,     0,
       0,  1983,  3588,     0,     0,     0,     0,     0,     0,  4337,
    4338,  4339,     0,     0,     0,     0,  2028,     0,     0,   715,
       0,  2182,  2183,     0,     0,     0,  4348,     0,     0,   864,
     864,   864,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4362,     0,     0,
       0,     0,     0,   714,     0,     0,     0,  4372,  4373,     0,
       0,     0,  4378,     0,     0,     0,  1983,     0,     0,     0,
       0,     0,     0,   714,  2440,     0,  4393,  2441,  2442,  2443,
       4,  2444,  2445,  2446,  2447,  2448,  2449,   714,     0,     0,
       0,  5313,     0,     0,     0,     0,     0,     0,   715,     0,
       5,     0,     0,     0,  2253,  2255,     0,     0,     0,     0,
       6,     7,     0,     0,     0,     0,     0,     9,    10,     0,
       0,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,   714,     0,     0,     0,  1752,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2421,     0,     0,  2422,     0,     0,     0,  2423,  2424,
    2425,     0,     0,   864,     0,     0,     0,     0,     0,     0,
     714,     0,   714,    46,   715,  2426,   715,     0,     0,     0,
       0,     0,     0,  2428,     0,   714,     0,   714,     0,     0,
    2429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5463,     0,     0,     0,   864,     0,     0,
     760,     0,     0,     0,  2430,     0,     0,     0,     0,   715,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    47,   714,
       0,     0,     0,     0,     0,  4558,  4559,  4560,     0,     0,
       0,     0,     0,     0,   386,     0,    48,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5511,
       0,     0,     0,     0,     0,     0,     0,     0,    49,     0,
       0,     0,     0,     0,     0,   714,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2421,     0,     0,
    2422,    50,     0,   714,  2423,  2424,  2425,     0,     0,     0,
       0,     0,     0,  2431,     0,     0,     0,     0,  2432,  5551,
       0,  2426,     0,     0,     0,   714,     0,     0,   714,  2428,
       0,     0,     0,     0,     0,     0,  2429,     0,    51,  2433,
    2434,    52,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2435,     0,     0,    53,     0,     0,
    2430,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2436,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2437,     0,     0,  2438,     0,   864,     0,     0,     0,
    1260,  1266,  1266,   760,     0,  1266,     0,     0,     0,  1278,
       0,  1162,     0,     0,  1305,     0,     0,     0,     0,     0,
       0,  1162,     0,  1266,     0,     0,  1162,     0,     0,     0,
    1266,    54,  1162,     0,     0,   386,     0,     0,     0,     0,
    1344,     0,     0,     0,     0,     0,  1162,     0,  1260,     0,
       0,  1266,     0,   760,     0,  1266,     0,     0,     0,  2431,
       0,     0,     0,  1305,  2432,     0,     0,     0,  1417,     0,
       0,   715,     0,     0,     0,     0,  1266,  2439,    55,     0,
       0,     0,     0,     0,     0,  2433,  2434,     0,     0,     0,
       0,     0,     0,    56,     0,     0,     0,     0,     0,     0,
    2435,     0,     0,     0,     0,  2765,     0,     0,    57,     0,
       0,  1260,     0,     0,     0,     0,   760,     0,     0,     0,
       0,  1278,     0,     0,     0,  1305,     0,     0,     0,     0,
       0,     0,     0,  2436,     0,     0,     0,     0,    58,     0,
       0,     0,     0,     0,     0,  1266,    59,  2437,    60,    61,
      62,    63,    64,     0,  4816,    65,    66,  1543,     0,     0,
       0,     0,    71,  1544,     0,  4829,     0,     0,     0,     0,
       0,     0,     0,  2440,     0,     0,  2441,  2442,  2443,     0,
    2444,  2445,  2446,  2447,  2448,  2449,     0,     0,     0,   714,
    5347,  2855,  2856,  2857,  2858,     0,  4857,     0,     0,     0,
       0,     0,     0,  1162,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1162,     0,
    1621,     0,     0,     0,     0,     0,     0,  2993,     0,     0,
       0,     0,     0,  2439,     0,  2895,  2896,     0,     0,   864,
       0,     0,     0,     0,   864,     0,   864,     0,  1732,  1732,
       0,     0,     0,   760,  1162,     0,  2920,     0,   386,     0,
     715,     0,     0,     0,     0,     0,     0,     0,   864,     0,
       0,     0,     0,  1162,     0,     0,     0,  1162,     0,     0,
       0,     0,     0,     0,     0,  1732,     0,   864,     0,     0,
    2963,  2964,  2965,  2966,     0,  1162,     0,     0,     0,     0,
       0,   714,     0,     0,   714,     0,     0,  1162,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5854,     0,     0,     0,     0,  2440,
       0,     0,  2441,  2442,  2443,     0,  2444,  2445,  2446,  2447,
    2448,  2449,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2421,   386,     0,  2422,     0,     0,     0,
    2423,  2424,  2425,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   715,     0,     0,     0,     0,  2426,     0,     0,
       0,     0,     0,     0,     0,  2428,     0,     0,  1162,     0,
     714,   714,  2429,     0,  4987,  4988,  4989,  4990,     0,  1162,
     714,     0,     0,     0,  1266,  1266,  3059,     0,     0,     0,
       0,     0,  3063,     0,     0,     0,  2430,   714,     0,     0,
    2421,     0,     0,  2422,     0,     0,     0,  2423,  2424,  2425,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2426,     0,     0,     0,     0,     0,
       0,     0,  2428,     0,     0,     0,     0,     0,     0,  2429,
    1260,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1278,     0,     0,     0,  1305,     0,     0,     0,     0,
       0,     0,     0,  2430,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1266,     0,     0,     0,   714,   715,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1162,     0,     0,     0,     0,
       0,     0,  1266,  1266,     0,  2431,     0,     0,     0,     0,
    2432,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,  1162,  1162,     0,  1266,  1266,     0,  1260,
       0,  2433,  2434,     0,  2192,     0,     0,     0,     0,  3233,
       0,     0,     0,     0,     0,     0,  2435,     0,     0,     0,
       0,     0,     0,     0,   386,     0,     0,     0, -2476,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2490,  2431,     0,     0,     0,     0,  2432,     0,  2436,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2437,     0,     0,  2438,     0,  2433,  2434,
       0,     0,     0,   386,     0,     0,     0,  1266, -2476,  1266,
    1266,     0,     0,  2435,     0,     0,     0,     0,   386,     0,
   -2476, -2490,     0,     0,     0, -2476,     0,     0,     0,     0,
   -2476,     0,     0, -2490,     0,     0, -2476,     0, -2490, -2476,
       0,     0, -2476, -2490,     0,     0,  2436,     0,  1732, -2490,
       0,     0, -2490,     0,     0, -2490,     0,     0,     0,     0,
    2437,     0,     0,  2438,     0,     0,     0,     0,     0,     0,
   -2476,     0,     0,     0,     0,     0,     0,     0,     0,  2439,
       0,     0,     0, -2490,     0,     0,  2331,  2331,     0,     0,
   -2476,  1162,     0,  1083,     0,     0,     0,     0,     0,     0,
       0,     0,     0, -2490,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,     0,     0,     0,   864,     0,  2365,
       0,     0,  1162,     0,  5220,  2371,     0,     0,     0,     0,
       0, -2476,     0,     0, -2476,     0,     0,  1732,     0,     0,
   -2476,     0,     0,     0, -2490,     0,  2439, -2490,     0,   714,
       0,     0,     0, -2490,     0,     0,     0,     0,     0,     0,
       0,   714,     0,     0,     0,     0,  1732,     0,     0,     0,
       0,     0,     0,     0,     0,  2440,     0,     0,  2441,  2442,
    2443,     0,  2444,  2445,  2446,  2447,  2448,  2449,     0,     0,
     714,     0,  5387, -2476,  1732,  1732,  1732,     0,  1732,  3446,
    3447,     0,     0,     0,     0,     0, -2490,     0,  3458,     0,
    3460,     0,     0,     0,  3464,     0,     0,     0,  1732,     0,
       0,     0,     0,    85,     0,     0,     0,     0,     0,    89,
       0,     0,     0,    93,     0,    94,     0,    96,    97,     0,
     760,   760,  2440,     0,  1088,  2441,  2442,  2443,   106,  2444,
    2445,  2446,  2447,  2448,  2449,     0,     0,  1088,     0,  5688,
       0,     0,     0,     0,   118,   119,     0,     0,     0,  1162,
   -2476,     0,  1732,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0, -2490,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2476,     0, -2476, -2476,     0,     0,
    1732,     0,     0,     0,  1732,  1732,     0, -2490,     0, -2490,
   -2490,     0,     0,     0,   127,  1162,  1162,  2568,     0,  1732,
       0,     0,     0,     0,   128,     0,   129,   130,     0,     0,
    3592,     0, -2476,  3595,     0, -2476, -2476,     0, -2476,     0,
       0,     0,  1195,   760,     0, -2490,     0,     0, -2490, -2490,
       0, -2490,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   140,     0,   141,   142,     0,     0,  5385,     0,
       0,   145,     0,   146,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5397,   148,     0,   149,     0,  1752,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3668,
       0,   152,     0,   153,     0,     0,   156,  3675,  3676,     0,
    5428,     0,     0,     0,  3678,     0,     0,     0,     0,     0,
     157,     0,   158,     0,     0,     0,   159,     0,  3694,     0,
    5445,     0,   160,     0,     0,     0,     0,     0,     0,  2718,
     162,     0,   164,     0,     0,     0,     0,     0,   166,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1162,  2744,
       0,     0,     0,     0,   170,     0,     0,  1162,     0,     0,
    1266,     0,     0,     0,     0,     0,   714,     0,   714,     0,
     174,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1305,     0,  1162,     0,  3761,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   185,
     186,   714,     0,     0,     0,   187,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,     0,     0,
       0,     0,  5517,     0,     0,  1162,     0,     0,     0,   193,
    3819,     0,  3821,     0,     0,     0,  1266,  1266,  1266,  1266,
    1162,     0,     0,     0,     0,     0,   864,     0,     0,     0,
       0,     0,     0,     0,  1162,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2886,     0,  1162,     0,
       0,   203,     0,     0,     0,     0,     0,     0,     0,     0,
    1266,  1266,     0,     0,   205,     0,     0,     0,     0,     0,
     206,   207,     0,   208,     0,     0,     0,     0,   209,     0,
       0,  1266,     0,   210,  5433,     0,   212,     0,     0,     0,
       0,   214,     0,     0,     0,     0,     0,   215,   216,     0,
       0,  1162,     0,     0,     0,   217,     0,     0,     0,   219,
       0,     0,     0,     0,     0,  1266,  1266,  1266,  1266,   222,
       0,     0,     0,  3882,     0,     0,     0,     0,  1162,     0,
       0,     0,   224,     0,     0,  1162,     0,     0,     0,  2886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   230,     0,   231,     0,  1260,     0,     0,  1260,     0,
       0,   233,     0,   760,     0,     0,     0,   234,  1732,     0,
       0,     0,   235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   238,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1278,
    1278,     0,     0,     0,     0,     0,     0,     0,   250,     0,
    1305,  1305,     0,     0,     0,     0,     0,   864,     0,     0,
       0,     0,   251,     0,     0,     0,  -149,     0,     0,     0,
    1266,  1266,     0,     0,     0,     0,     0,  1266,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1162,     0,
       0,     0,     0,   714,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2421,
       0,     0,  2422,     0,     0,     0,  2423,  2424,  2425,     0,
       0,     0,  2331,     0,     0,     0,     0,     0,     0,  1266,
       0,  1278,     0,  2426,     0,  1162,  1162,     0,  1266,     0,
       0,  2428,     0,     0,     0,  1162,     0,     0,  2429,     0,
       0,     0,     0,     0,     0,  1162,     0,     0,     0,     0,
    1083,  1083,     0,     0,  3134,     0,     0,     0,  1732,  1732,
       0,     0,  2430,     0,  1732,  1732,     0,     0,     0,     0,
       0,  1732,  1732,  1732,     0,     0,     0,  1732,  1305,  1732,
    1732,  1732,  1732,  1732,  1732,     0,  1732,     0,  1732,  1732,
       0,     0,  1732,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1732,  1732,  1732,
    1732,     0,     0,     0,  1266,  1732,     0,     0,     0,  1732,
       0,     0,  1732,     0,     0,  1732,  1732,  1732,  1732,  1732,
    1732,  1732,  1732,  1732,     0,  1732,     0,     0,     0,     0,
       0,     0,  1162,  1732,     0,     0,  1732,     0,     0,     0,
    4128,     0,  4129,  4130,  4131,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1162,     0,
     864,  2431,   714,     0,     0,     0,  2432,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2433,  2434,     0,
       0,     0,     0,     0,     0,     0,  1162,     0,  1162,     0,
    1732,     0,  2435,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,  2436,     0,     0,     0,     0,
       0,  3352,     0,  3357,     0,     0,     0,     0,     0,  2437,
       0,     0,  2438,     0,     0,  2421,   864,     0,  2422,     0,
       0,     0,  2423,  2424,  2425,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,     0,     0,     0,  2426,
       0,     0,     0,     0,     0,     0,     0,  2428,     0,     0,
       0,     0,     0,     0,  2429,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2430,     0,
       0,     0,   760,     0,     0,     0,     0,     0,     0,     0,
       0,  1083,     0,  1083,     0,  2439,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1732,     0,     0,     0,     0,     0,  4281,     0,     0,     0,
       0,     0,  1260,     0,  1266,  1266,     0,     0,     0,  1278,
       0,  1305,     0,  1266,     0,  1266,     0,     0,     0,  1266,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2744,     0,     0,     0,     0,     0,     0,
       0,  3498,     0,     0,     0,     0,     0,  2431,  3509,     0,
       0,  2440,  2432,     0,  2441,  2442,  2443,  1162,  2444,  2445,
    2446,  2447,  2448,  2449,     0,     0,     0,     0,  5810,     0,
       0,     0,     0,  2433,  2434,     0,  1162,     0,     0,     0,
       0,  3554,  3554,     0,     0,     0,     0,     0,  2435,     0,
       0,  1162,  1162,     0,     0,  1162,   864,   760,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1266,     0,     0,  1266,     0,
       0,  2436,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2437,     0,     0,  2438,  1162,
    1162,  4441,     0,     0,     0,   864,     0,     0,     0,     0,
       0,     0,     0,     0,  3639,     0,  3641,  3643,     0,     0,
     864,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1266,     0,     0,     0,     0,     0,
       0,     0,  1266,  1266,     0,     0,     0,     0,     0,  1266,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1732,     0,  1266,     0,     0,     0,     0,     0,     0,
       0,  2439,     0,     0,     0,     0,     0,  2744,     0,     0,
    3554,     0,  1162,     0,     0,  1162,     0,     0,     0,  3734,
       0,     0,  1083,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2421,     0,     0,  2422,     0,
       0,     0,  2423,  2424,  2425,     0,     0,     0,     0,     0,
    3639,     0,     0,     0,     0,     0,     0,     0,     0,  2426,
    1266,     0,  3764,     0,     0,     0,     0,  2428,     0,     0,
       0,     0,     0,     0,  2429,     0,     0,     0,  2192,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1732,
       0,     0,     0,     0,     0,     0,     0,  2440,  2430,     0,
    2441,  2442,  2443,  3812,  2444,  2445,  2446,  2447,  2448,  2449,
       0,     0,     0,  1266,  5873,  1266,  3554,  1266,  3554,     0,
       0,     0,     4,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     5,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     6,     7,     0,     0,     0,     0,     0,     9,
      10,     0,  2331,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1162,
     886,     0,    45,     0,     0,     0,     0,  2431,     0,  1260,
       0,     0,  2432,     0,     0,  1278,     0,     0,     0,     0,
       0,  4672,  4673,  4674,  4675,     0,     0,     0,  1266,     0,
       0,     0,     0,  2433,  2434,  1732,     0,     0,     0,     0,
    1732,     0,     0,     0,     0,     0,     0,   887,  2435,     0,
       0,     0,     0,     0,     0,    46,     0,     0,     0,     0,
       0,     0,   888,  1732,  1732,  1732,     0,     0,  1732,     0,
       0,     0,     0,     0,     0,     0,  1732,  1732,  1732,  1732,
     889,  2436,     0,     0,     0,     0,   890,     0,     0,  1732,
       0,     0,  1732,     0,  1732,  2437,     0,     0,  2438,     0,
       0,     0,     0,   891,     0,  1732,  1732,     0,     0,  1732,
       0,     0,     0,     0,   892,     0,     0,     0,     0,     0,
       0,  1305,   893,  1732,     0,  1732,     0,  1732,     0,     0,
      47,     0,     0,     0,   894,     0,     0,     0,     0,   895,
       0,     0,     0,     0,     0,     0,   896,  1732,    48,     0,
       0,  1162,     0,     0,     0,     0,     0,     0,  4013,     0,
    1732,  1732,  1732,   897,     0,     0,     0,     0,     0,     0,
      49,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2439,     0,     0,     0,  1732,     0,     0,   898,     0,
       0,     0,     0,    50,     0,     0,     0,  1732,     0,  4815,
       0,     0,  1732,     0,     0,  4818,     0,     0,  1732,   899,
       0,     0,     0,     0,     0,     0,     0,     0,  4013,     0,
       0,     0,  4075,     0,     0,  4078,     0,  3357,     0,     0,
      51,     0,     0,    52,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   900,     0,     0,     0,     0,     0,    53,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   901,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   902,     0,  2440,   903,     0,
    2441,  2442,  2443,     0,  2444,  2445,  2446,  2447,  2448,  2449,
       0,  1732,     0,  3554,  5893,     0,     0,     0,  2331,     0,
       0,     0,     0,     0,   904,     0,     0,     0,     0,   905,
       0,   906,     0,     0,     0,     0,     0,     0,   907,     0,
       0,   908,     0,     0,     0,  1266,     0,  1266,  1266,  1266,
       0,     0,     0,    54,     0,     0,     0,     0,     0,     0,
     909,     0,     0,     0,     0,     0,   910,     0,     0,     0,
     911,   912,     0,     0,   913,     0,     0,     0,   914,     0,
       0,     0,     0,     0,     0,     0,     0,   915,     0,     0,
       0,     0,   916,     0,     0,     0,     0,     0,     0,     0,
      55,     0,     0,     0,   917,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    56,     0,   918,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      57,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1162,     0,
      58,     0,     0,     0,     0,     0,     4,     0,    59,     0,
      60,    61,    62,    63,    64,     0,     0,    65,    66,  1543,
    2284,     0,     0,     0,    71,     0,     5,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     6,     7,     0,     0,
       0,     0,     0,     9,    10,     0,     0,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1266,     0,     0,     0,     0,  3554,  3554,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    46,
       0,     0,     0,  1162,  1162,  1162,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2331,  1162,     0,     0,     0,     0,     0,     0,     0,     0,
    2331,  1162,  1162,     0,     0,     0,  1162,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1732,     0,     0,
    1162,     0,     0,     0,    47,     0,     0,     0,     0,     0,
       0,     0,     0,  5124,     0,     0,     0,   760,     0,     0,
       0,     0,    48,     0,     0,     0,     0,     0,  5128,     0,
       0,     0,     0,     0,  3812,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    49,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1266,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    50,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1162,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1162,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    51,     0,     0,    52,     0,  5189,
       0,     0,     0,  1732,     0,     0,     0,     0,     0,     0,
       0,     0,  1732,    53,     0,     0,     0,     0,  1732,     0,
    1732,     0,     0,  1732,     0,     0,     0,     0,  1732,  1732,
    1732,  1732,     0,     0,  1732,  1732,  1732,  1732,  1732,  1732,
    1732,  1732,  1732,  1732,     0,     0,     0,  1732,  1732,     0,
       0,     0,     0,     0,     0,     0,     0,  1732,     0,     0,
       0,  1732,     0,     0,     0,  1732,     0,     0,     0,     0,
       0,     0,     0,  1732,     0,     0,  1732,     0,  1732,     0,
       0,     0,     0,     0,     0,     0,     0,  1732,     0,     0,
    1732,  1732,     0,     0,     0,  1732,  1732,    54,     0,     0,
    4550,     0,  1732,     0,     0,     0,     0,     0,     0,  1162,
    1162,  1162,  1260,     0,     0,  4013,  4572,     0,     0,     0,
    4572,  4586,  4572,     0,     0,     0,     0,     0,  1732,     0,
       0,     0,     0,     0,  1732,  1732,  1732,     0,     0,     0,
       0,     0,     0,     0,    55,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    56,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    57,     0,     0,     0,     0,     0,
       0,  1732,     0,     0,     0,     0,  5318,  5319,  5319,     0,
       0,     0,     0,     0,     0,  3357,     0,  1732,     0,     0,
       0,     0,     0,     0,    58,     0,     0,     0,     0,     0,
       0,     0,    59,     0,    60,    61,    62,    63,    64,     0,
       0,    65,    66,  1543,  3064,  4655,  2331,  2331,    71,  2886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1266,  1266,  1266,  1266,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2744,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4708,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   872,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     4,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5444,     5,
       0,     0,     0,     0,     0,     0,     0,     0,   872,     6,
       7,     0,     0,     0,     0,     0,     9,    10,     0,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,  4794,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1121,     0,     0,    45,
       0,     0,     0,     0,  1121,     0,  1121,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   872,
       0,     0,     0,     0,  1266,     0,     0,     0,  1162,     0,
    1266,     0,  1732,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,  4834,     0,     0,     0,     0,
       0,     0,    46,     0,     0,  2744,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3639,     0,     0,     0,     0,  5547,     0,  5549,
    4879,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1162,     0,     0,     0,     0,  2886,     0,     0,     0,
    1732,  1732,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    47,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3812,  3812,  3812,  3812,  3812,    48,     0,  3554,     0,  3554,
    2421,     0,     0,  2422,     0,     0,     0,  2423,  2424,  2425,
       0,     0,     0,     0,     0,     0,     0,    49,     0,     0,
       0,     0,     0,     0,  2426,     0,     0,     0,     0,     0,
       0,     0,  2428,     0,     0,  1732,     0,     0,     0,  2429,
      50,     0,     0,     0,     0,     0,  1732,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2430,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1732,    51,     0,     0,
      52,     0,     0,     0,     0,     0,  1732,  1732,     0,     0,
       0,  5319,     0,  1732,  1732,     0,    53,     0,  1732,     0,
       0,     0,     0,  1732,     0,     0,  1732,  1732,     0,     0,
       0,  1732,  4984,     0,     0,     0,     0,  1732,  1162,  1162,
    1162,  1162,     0,     0,     0,  4572,  4586,  4572,     0,  1732,
    4572,     0,     0,  4998,     0,     0,     0,  4013,     0,     0,
       0,  4013,     0,     0,     0,     0,     0,  5013,     0,     0,
       0,     0,     0,     0,  1732,     0,     0,     0,     0,  1732,
       0,     0,     0,     0,     0,  1732,     0,     0,     0,     0,
       0,     0,  2431,  5723,     0,  1305,     0,  2432,     0,     0,
      54,     0,     0,  1732,     0,     0,     0,  4075,     0,     0,
       0,     0,  3357,     0,     0,     0,     0,     0,  2433,  2434,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1083,     0,  2435,  1732,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    55,     0,     0,
       0,     0,     0,     0,  3554,  3554,     0,     0,     0,     0,
       0,     0,    56,     0,     0,     0,  2436,     0,     0,     0,
       0,     0,  2744,     0,     0,     0,     0,    57,     0,     0,
    2437,     0,     0,  2438,     0,  5089,     0,     0,     0,     0,
       0,     0,     0,  5791,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    58,     0,     0,
       0,     0,     0,     0,     0,    59,     0,    60,    61,    62,
      63,    64,     0,     0,    65,    66,  1543,     0,     0,     0,
       0,    71,     0,     0,  1732,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1266,     0,
       0,     0,     0,     0,     0,     0,  2439,     0,     0,     0,
       0,     0,     0,  1266,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5859,     0,     0,     0,     0,
    2421,     0,     0,  2422,     0,     0,     0,  2423,  2424,  2425,
       0,  1732,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2426,  1260,     0,  5319,  5319,     0,
       0,  2744,  2428,     0,     0,     0,     0,     0,     0,  2429,
    2331,     0,     0,     0,     0,     0,  2421,     0,     0,  2422,
       0,     0,     0,  2423,  2424,  2425,     0,     0,     0,     0,
       0,     0,     0,  2430,  1266,     0,  2744,     0,     0,     0,
    2426,     0,  2440,     0,  3324,  2441,  2442,  2443,  2428,  2444,
    2445,  2446,  2447,  2448,  2449,  2429,  4013,     0,     0,  5926,
       0,     0,     0,     0,     0,     0,     0,     0,  1162,     0,
       0,  5227,     0,     0,     0,     0,     0,     0,     0,  2430,
       0,     0,     0,     0,     0,  5319,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1732,     0,   872,     0,     0,     0,  3933,
       0,     0,  1732,  1262,  3934,     0,     0,     0,  3325,     0,
       0,     0,  1262,     0,     0,     0,     0,     0,     0,  1732,
    1732,     0,  2431,  1732,     0,     0,     0,  2432,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1260,     0,
       0,  4572,     0,     0,     0,  4013,     0,     0,  2433,  2434,
    4013,  1262,     0,  4013,  1260,     0,  3639,     0,  5281,     0,
       0,  1732,  1732,  2435,     0,     0,     0,     0,  2431,     0,
       0,     0,     0,  2432,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4655,     0,  1732,     0,     0,
       0,     0,     0,     0,  2433,  2434,  2436,     0,     0,  4655,
    1305,  1266,  1266,  1266,     0,     0,     0,     0,     0,  2435,
    2437,     0,     0,  2438,  1262,     0,     0,     0,     0,     0,
    1501,     0,     0,     0,  1262,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2436,     0,  1501,     0,     0,  1278,  1305,     0,
       0,     0,     0,     0,     0,     0,  2437,     0,     0,  2438,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1278,
       0,     0,  1162,     0,     0,     0,  2439,     0,     0,     0,
       0,     0,     0,     0,  4834,     0,     0,  1162,     0,     0,
       0,     0,  1162,     0,  3554,     0,     0,     0,     0,     0,
    2744,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,     0,     0,     0,  4879,     0,
       0,     0,  2439,     0,     0,     0,     0,     0,     0,     0,
       0,  1262,  1262,  1266,  1162,  4655,     0,     0,  1121,     0,
       0,     0,  1121,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1732,     0,     0,  1732,  1262,  1732,
       0,     0,  2440,     0,     0,  2441,  2442,  2443,  3326,  2444,
    2445,  2446,  2447,  2448,  2449,     0,     0,     0,     0,  1732,
       0,     0,     0,     0,     0,  1732,     0,     0,     0,  4013,
       0,     0,     0,  5281,     0,     0,     0,     0,     0,     0,
    1732,     0,     0,     0,     0,     0,     0,     0,  2440,  5501,
       0,  2441,  2442,  2443,     0,  2444,  2445,  2446,  2447,  2448,
    2449,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2421,     0,     0,  2422,     0,     0,     0,  2423,
    2424,  2425,  1732,     0,     0,     0,     0,     0,     0,     0,
       0,  1266,  1266,  1266,  1266,     0,  2426,     0,     0,     0,
       0,     0,     0,     0,  2428,     0,     0,     0,     0,     0,
       0,  2429,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1121,  1121,     0,  1260,
       0,     0,     0,     0,     0,  2430,     0,     0,     0,     0,
       0,     0,  2421,     0,     0,  2422,     0,     0,     0,  2423,
    2424,  2425,     0,  1262,     0,     0,     0,     0,     0,     0,
    1501,     0,     0,     0,  1262,     0,  2426,     0,     0,     0,
       0,     0,     0,     0,  2428,     0,     0,     0,     0,     0,
       0,  2429,     0,  1501,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1501,     0,
       0,     0,     0,     0,     0,  2430,  1732,     0,     0,  1260,
       0,     0,  1732,     0,     0,     0,  5652,     0,     0,     0,
       0,     0,     0,  1732,     0,     0,     0,     0,  1732,     0,
    1732,     0,  1732,     0,     0,     0,     0,     0,     0,     0,
    4655,     0,  1262,     0,  2431,     0,  1266,     0,  1305,  2432,
       0,     0,     0,     0,     0,     0,     0,     0,  1732,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2433,  2434,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2435,     0,  1501,     0,     0,
    5838,     0,     0,     0,     0,     0,     0,  2331,  2331,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2431,     0,     0,     0,  2436,  2432,
       0,     0,     0,     0,     0,     0,     0,     0,  1266,     0,
       0,     0,  2437,  5728,     0,  2438,     0,  1732,     0,     0,
    2433,  2434,     0,     0,     0,  5739,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2435,     0,     0,  4518,     0,
       0,  1262,     0,     0,     0,     0,  5227,     0,     0,     0,
       0,     0,     0,     0,  1732,  1732,     0,     0,     0,  3639,
       0,     0,  1732,     0,     0,     0,     0,     0,  2436,     0,
       0,     0,  1732,     0,     0,  5501,     0,     0,     0,     0,
    3357,     0,  2437,     0,     0,  2438,     0,     0,     0,     0,
       0,     0,     0,     0,  1278,     0,     0,     0,  2439,  1501,
       0,     0,     0,     0,     0,     0,  5839,     0,  1266,  2421,
       0,     0,  2422,     0,  4519,  2331,  2423,  2424,  2425,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1262,     0,     0,  2426,     0,     0,  3892,     0,     0,     0,
       0,  2428,     0,     0,  1260,     0,     0,     0,  2429,  1732,
       0,     0,     0,     0,     0,     0,     0,     0,  4655,  1262,
       0,     0,     0,     0,  1278,  1278,     0,  1732,  2439,     0,
       0,     0,  2430,     0,     0,     0,  1732,     0,     0,     0,
    5652,     0,     0,     0,     0,     0,     0,  1262,  1262,  1262,
       0,  1262,     0,  1732,  2440,     0,     0,  2441,  2442,  2443,
    1266,  2444,  2445,  2446,  2447,  2448,  2449,     0,     0,     0,
       0,  1262,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5739,  1266,  1266,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1732,     0,
       0,     0,     0,  1732,  2440,  1262,   872,  2441,  2442,  2443,
       0,  2444,  2445,  2446,  2447,  2448,  2449,     0,     0,     0,
       0,  2431,     0,     0,     0,     0,  2432,     0,     0,     0,
       0,     0,     0,  1262,     0,     0,     0,  1262,  1262,     0,
    1732,     0,     0,     0,     0,     0,  1732,  2433,  2434,     0,
       0,     0,  1262,     0,     0,     0,     0,     0,     0,     0,
    1266,     0,  2435,     0,     0,     0,     0,  5652,     0,     0,
    1260,     0,  2421,     0,     0,  2422,     0,     0,     0,  2423,
    2424,  2425,     0,     0,     0,     0,     0,     0,  1278,  1278,
       0,     0,     0,     0,     0,  2436,  2426,     0,     0,     0,
       0,     0,     0,     0,  2428,     0,     0,     0,     0,  2437,
       0,  2429,  2438,     0,     0,     0,     0,     0,     0,  1501,
       0,     0,     0,     0,     0,     0,   872,     0,     0,     0,
       0,     0,     0,     0,     0,  2430,  1121,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,     0,     0,     0,
     764,     0,   764,     0,     0,     0,     0,  1121,     0,     0,
       0,     0,   764,     0,     0,  1501,     0,     0,     0,     0,
       0,  2421,     0,     0,  2422,  2439,     0,     0,  2423,  2424,
    2425,     0,     0,     0,     0,     0,     0,   764,     0,     0,
       0,     0,     0,     0,     0,  2426,     0,   764,  3938,     0,
    1501,     0,     0,  2428,     0,     0,     0,     0,   764,   764,
    2429,     0,   764,     0,     0,     0,     0,     0,   764,     0,
       0,     0,  1075,  1501,  2431,     0,     0,     0,     0,  2432,
       0,     0,     0,     0,  2430,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1075,     0,     0,     0,     0,     0,
    2433,  2434,     0,     0,     0,     0,     0,     0,     0,   764,
       0,     0,     0,     0,     0,  2435,     0,     0,     0,     0,
       0,  2440,     0,     0,  2441,  2442,  2443,     0,  2444,  2445,
    2446,  2447,  2448,  2449,  1121,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2421,     0,     0,  2422,  2436,     0,
       0,  2423,  2424,  2425,  1501,     0,     0,     0,     0,     0,
       0,     0,  2437,     0,  2421,  2438,     0,  2422,  2426,  1501,
       0,  2423,  2424,  2425,     0,     0,  2428,     0,  1501,     0,
       0,     0,  3906,  2429,     0,   872,     0,     0,  2426,     0,
    1501,  3949,     0,  2431,     0,     0,  2428,     0,  2432,     0,
       0,     0,     0,  2429,     0,     0,     0,  2430,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2433,
    2434,     0,     0,     0,     0,     0,     0,  2430,     0,     0,
       0,     0,     0,     0,  2435,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1501,     0,     0,  2439,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1262,     0,
       0,  1262,     0,     0,     0,  1501,     0,  2436,     0,     0,
       0,  1262,     0,     0,     0,     0,     0,  1501,     0,     0,
       0,  2437,     0,     0,  2438,     0,     0,     0,     0,  1501,
       0,     0,     0,     0,     0,     0,     0,     0,  3943,     0,
       0,     0,  1262,  1262,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2431,     0,     0,     0,
       0,  2432,     0,     0,     0,  1501,  1501,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2431,     0,     0,   764,
       0,  2432,  2433,  2434,  2440,     0,     0,  2441,  2442,  2443,
       0,  2444,  2445,  2446,  2447,  2448,  2449,  2435,     0,     0,
       0,     0,  2433,  2434,     0,     0,     0,  2439,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2435,     0,  2421,
       0,     0,  2422,     0,     0,     0,  2423,  2424,  2425,     0,
    2436,     0,     0,     0,  1262,     0,     0,     0,     0,     0,
       0,     0,     0,  2426,  2437,     0,     0,  2438,     0,     0,
    2436,  2428,     0,     0,     0,     0,     0,     0,  2429,     0,
       0,     0,     0,     0,  2437,     0,     0,  2438,     0,     0,
       0,  1262,  1262,     0,     0,     0,     0,  1262,  1262,     0,
       0,     0,  2430,     0,  1262,  1262,  1262,     0,     0,     0,
    1262,     0,  1262,  1262,  1262,  1262,  1262,  1262,     0,  1262,
       0,  1262,  1262,  2440,     0,  1262,  2441,  2442,  2443,     0,
    2444,  2445,  2446,  2447,  2448,  2449,     0,     0,     0,  1501,
    1262,  1262,  1262,  1262,   872,     0,     0,     0,  1262,     0,
    2439,     0,  1262,     0,     0,  1262,     0,     0,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,     0,  1262,     0,
    2439,     0,     0,     0,     0,     0,  1262,     0,     0,  1262,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2431,     0,     0,     0,     0,  2432,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2433,  2434,     0,
       0,     0,   764,  1262,     0,     0,  2440,     0,     0,  2441,
    2442,  2443,  2435,  2444,  2445,  2446,  2447,  2448,  2449,     0,
       0,     0,     0,     0,     0,     0,  2440,     0,     0,  2441,
    2442,  2443,     0,  2444,  2445,  2446,  2447,  2448,  2449,     0,
       0,     0,     0,     0,     0,  2436,     0,     0,     0,     0,
     764,   764,     0,     0,     0,     0,     0,     0,     0,  2437,
    2421,     0,  2438,  2422,     0,     0,     0,  2423,  2424,  2425,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2426,     0,     0,  4525,  2421,     0,
       0,  2422,  2428,     0,     0,  2423,  2424,  2425,   764,  2429,
       0,     0,     0,  1501,     0,     0,     0,  1501,  1501,     0,
       0,     0,  2426,     0,     0,     0,     0,     0,     0,   872,
    2428,     0,     0,  2430,     0,     0,     0,  2429,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2439,     0,     0,     0,     0,
       0,  2430,     0,  1262,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1262,     0,     0,     0,  1501,
       0,     0,  1262,     0,     0,  4471,     0,     0,     0,     0,
       0,  1501,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1121,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1501,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2431,     0,     0,     0,     0,  2432,     0,     0,
       0,  2440,     0,   872,  2441,  2442,  2443,   872,  2444,  2445,
    2446,  2447,  2448,  2449,     0,     0,     0,     0,  2433,  2434,
    2431,     0,     0,     0,     0,  2432,     0,     0,     0,     0,
     872,     0,     0,  2435,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2433,  2434,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2435,     0,     0,  1444,   764,  2436,   764,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   872,     0,
    2437,     0,     0,  2438,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2436,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2437,     0,
       0,  2438,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   764,     0,     0,   764,   764,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,  1075,     0,  1075,     0,     0,     0,
       0,     0,   720,     0,  1262,  1501,   764,     0,     0,     0,
       0,     0,     0,     0,   872,     0,  2439,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1075,  1075,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2439,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   764,     0,   764,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1501,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1262,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2440,     0,     0,  2441,  2442,  2443,     0,  2444,
    2445,  2446,  2447,  2448,  2449,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2440,     0,     0,  2441,  2442,  2443,     0,  2444,  2445,  2446,
    2447,  2448,  2449,   720,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   720,   720,     0,
       0,  1864,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1501,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,  1262,     0,     0,  1501,     0,     0,  1262,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1501,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1262,     0,
       0,     0,     0,  1262,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1262,  1262,  1262,     0,
       0,  1262,     0,     0,     0,     0,     0,     0,     0,  1262,
    1262,  1262,  1262,     0,     0,     0,     0,   872,     0,     0,
       0,     0,  1262,   872,     0,  1262,     0,  1262,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1262,  1262,
       0,     0,  1262,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1262,     0,  1262,     0,
    1262,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     933,     0,     0,     0,     0,   934,     0,     0,     0,     0,
    1262,     0,     0,     0,     0,     0,     0,   935,     0,     0,
       0,  1262,     0,  1262,  1262,  1262,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   936,
       0,     0,     0,     0,     0,     0,     0,     0,  1262,     0,
       0,     0,   937,     0,     0,     0,     0,     0,     0,     0,
    1262,     0,     0,   938,     0,  1262,     0,  -861,     0,     0,
       0,  1262,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1262,     0,     0,     0,   939,     0,     0,     0,     0,
       0,   940,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   941,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   942,
       0,     0,     0,  1501,     0,     0,  1501,   943,  1501,     0,
       0,     0,     0,  1501,     0,     0,     0,     0,     0,   944,
       0,     0,     0,     0,     0,     0,     0,   945,   720,     0,
       0,   946,     0,   764,  1262,   764,     0,     0,   764,   947,
     764,     0,     0,   764,   764,   764,     0,     0, -1088,  2326,
       0,     0,     0,     0,     0,     0,   764,     0,     0,     0,
       0,     0,  1501,     0,     0,     0,     0,     0,     0,     0,
     764,     0,   764,     0,     0,     0,     0,   764,     0,  1501,
       0,     0,     0,     0,     0,   948,     0,     0,     0,     0,
       0,     0,     0,     0,  -584,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1501,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   949,     0,
       0,   950,     0,     0,     0,     0,     0,     0,     0,   872,
     872,   872,     0,     0,     0,     0,     0,     0,     0,     0,
     951,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   952,     0,     0,     0,     0,     0,     0,
    -464,     0,     0,  1501,     0,  1501,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   953,
       0,     0,     0,     0,     0,     0,   954,     0,     0,     0,
       0,  2467,     0,  -464,     0,     0,   955,     0,     0,     0,
       0,     0,   764,   764,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  -851,     0,     0,     0,   720,
       0,   956,     0,     0,   720,   720,  -464,     0,     0,   957,
     958,     0,   959,   960,     0,     0,     0,     0,     0,     0,
       0,     0,   961,     0,     0,     0,  1501,   962,     0,     0,
       0,     0,     0,   963,     0,     0,   964,     0,     0,   965,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  -464,  1501,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1501,     0,
       0,     0,     0,   872,  1501,   764,     0,   720,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2604,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   872,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1501,     0,     0,     0,     0,     0,     0,     0,     0,
    1262,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1501,     0,     0,     0,   720,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   720,  1501,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,     0,   720,   720,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1262,     0,     0,  1501,
       0,     0,     0,     0,     0,  1262,     0,     0,     0,     0,
       0,  1262,     0,  1262,     0,     0,  1262,     0,     0,     0,
    1501,  1262,  1262,  1262,  1262,     0,     0,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,     0,     0,     0,
    1262,  1262,     0,     0,     0,  1501,     0,     0,     0,     0,
    1262,     0,     0,     0,  1262,     0,   872,     0,  1262,     0,
     720,     0,     0,     0,     0,     0,  1262,     0,     0,  1262,
       0,  1262,     0,   996,     0,     0,     0,     0,   997,  1501,
    1262,     0,     0,  1262,  1262,     0,     0,     0,  1262,  1262,
     998,     0,     0,     0,     0,  1262,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1262,     0,     0,  1262,     0,
       0,     0,   999,     0,     0,     0,     0,     0,     0,     0,
       0,  1262,     0,     0,     0,  1000,     0,  1262,  1262,  1262,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1001,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1002,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1262,     0,     0,     0,     0,     0,
       0,  1003,     0,     0,     0,     0,     0,     0,     0,     0,
    1262,     0,  1004,     0,  1119,     0,     0,     0,     0,     0,
    1005,     0,  1119,     0,  1119,     0,  1501,     0,     0,     0,
       0,     0,  1006,     0,     0,     0,     0,  1007,  1262,     0,
       0,     0,     0,     0,  1008,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1009,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   764,     0,   764,     0,     0,     0,   764,     0,
     764,     0,     0,   764,     0,     0,     0,   764,     0,     0,
       0,     0,  2467,     0,     0,     0,     0,  1010,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   872,
       0,     0,     0,     0,   872,  1501,   872,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1011,     0,     0,     0,     0,     0,     0,   872,  1501,
       0,     0,     0,  1012,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1013,     0,     0,     0,   872,     0,     0,
       0,     0,     0,   902,     0,     0,  1014,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1015,     0,     0,     0,     0,  1016,     0,  1017,
       0,     0,     0,     0,     0,     0,  1018,     0,     0,  1019,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2326,     0,     0,     0,  1020,     0,
       0,  3297,     0,     0,  1021,  1262,     0,     0,     0,  1022,
       0,  2604,  1023,  1345,     0,     0,  1024,     0,  1346,     0,
       0,     0,     0,  1025,     0,  1026,     0,     0,     0,     0,
    1027,     0,     0,     0,  1501,     0,     0,     0,     0,     0,
       0,     0,  1028,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1347,     0,     0,  1029,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1348,  1349,     0,     0,     0,
       0,     0,     0,     0,     0,   720,  1350,     0,     0,     0,
    1351,     0,  1501,  1262,  1262,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1352,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1353,     0,     0,     0,     0,     0,     0,     0,   720,
       0,     0,  1354,   720,     0,     0,     0,     0,     0,  3372,
    1355,  1864,     0,     0,   764,     0,     0,     0,     0,     0,
       0,     0,  1356,     0,     0,     0,     0,  1357,  1262,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1262,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1358,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,     0,     0,     0,     0,     0,     0,  1262,
       0,     0,     0,     0,     0,     0,  1359,     0,     0,  1262,
    1262,     0,  1501,     0,     0,     0,  1262,  1262,     0,     0,
       0,  1262,  1501,     0,     0,     0,  1262,  1360,     0,  1262,
    1262,     0,     0,     0,  1262,     0,     0,     0,     0,     0,
    1262,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1262,     0,     0,     0,     0,     0,     0,     0,
    1262,  1361,     0,     0,  1262,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1262,     0,     0,
       0,     0,  1262,  1362,     0,     0,     0,     0,  1262,     0,
       0,     0,     0,   902,     0,     0,  1363,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1262,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1364,     0,     0,     0,     0,  1365,     0,  1366,
       0,     0,     0,     0,     0,     0,  1367,  1262,     0,  1368,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,     0,     0,  1501,     0,     0,  1369,   720,
       0,     0,   720,     0,  1370,     0,     0,     0,     0,  1371,
       0,     0,  1372,     0,     0,     0,  1373,   872,     0,     0,
       0,     0,     0,  1374,     0,  1375,     0,     0,     0,     0,
    1376,     0,     0,  1501,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1501,  1377,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1262,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1501,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,  1262,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1262,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,  1499,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,     0,  1262,
       0,     0,     0,     0,     0,     0,     0,  1501,     0,  1501,
       0,     0,  1499,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   764,
    2326,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   720,  1262,     0,     0,     0,
    1501,     0,     0,     0,     0,  1262,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1262,  1262,     0,     0,  1262,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1262,     0,     0,     0,     0,     0,     0,  1262,     0,
       0,     0,     0,  1262,     0,     0,  1262,  1262,     0,  1258,
    1258,     0,     0,     0,  1262,  1262,  1119,     0,     0,     0,
    1119,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1262,     0,
    1262,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,  1262,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1501,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1262,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   872,     0,     0,     0,
       0,     0,  1262,     0,     0,     0,     0,     0,  2604,     0,
       0,     0,     0,   720,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1119,  1119,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1262,     0,
    1501,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,  1499,     0,
       0,     0,  1258,     0,     0,     0,     0,  1262,  1501,     0,
    1262,     0,  1262,     0,     0,     0,     0,     0,     0,     0,
       0,  1499,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1262,     0,     0,     0,  1499,     0,  1262,     0,
       0,     0,  1262,     0,     0,     0,     0,     0,  1501,     0,
       0,     0,     0,  1262,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   872,     0,     0,
       0,     0,     0,     0,     0,  1501,     0,     0,     0,     0,
    1501,  1501,     0,     0,     0,  1262,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1499,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1262,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1501,  1501,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1262,
       0,     0,  1262,     0,     0,  1262,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1262,  1499,     0,     0,
       0,  1262,     0,  1262,     0,  1262,     0,     0,     0,     0,
       0,     0,     0,  1262,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,  1262,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,     0,
       0,     0,     0,   720,     0,     0,     0,  1258,     0,     0,
     872,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,  1258,  1258,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
    1262,     0,     0,     0,     0,     0,     0,     0,  1262,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1262,  1262,     0,
       0,     0,   764,     0,     0,  1262,   872,     0,     0,  1501,
       0,     0,     0,  1258,     0,  1262,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1262,     0,     0,
       0,  1258,     0,     0,     0,  1258,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,     0,  1262,     0,     0,
       0,     0,  1262,     0,     0,     0,     0,     0,     0,     0,
       0,  1262,     0,     0,     0,     0,     0,  1262,  1262,     0,
    1262,     0,     0,     0,     0,     0,     0,     0,     0,  1262,
       0,     0,     0,     0,     0,     0,     0,  1499,     0,     0,
       0,     0,     0,     0,     0,     0,  1262,     0,     0,     0,
       0,     0,     0,     0,  1119,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1262,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1119,     0,     0,     0,     0,
       0,     0,     0,  1499,     0,     0,     0,     0,     0,     0,
       0,  1262,     0,     0,     0,     0,  1262,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   872,     0,  1499,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1262,     0,     0,     0,     0,     0,  1262,
       0,  1499,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1262,     0,   872,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     872,  1262,  1262,     0,  3372,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1119,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1499,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1499,     0,     0,
       0,     0,     0,     0,     0,     0,  1499,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1499,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1499,     0,     0,     0,     0,   720,     0,
       0,     0,     0,     0,   720,     0,  1258,     0,     0,  1258,
       0,     0,     0,  1499,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,  1499,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1499,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1499,  1499,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
    1258,     0,     0,     0,     0,  1258,  1258,     0,     0,     0,
       0,     0,  1258,  1258,  1258,     0,     0,     0,  1258,     0,
    1258,  1258,  1258,  1258,  1258,  1258,     0,  1258,     0,  1258,
    1258,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,     0,     0,  1499,  1258,  1258,
    1258,  1258,     0,     0,     0,     0,  1258,     0,     0,     0,
    1258,     0,     0,  1258,     0,     0,  1258,  1258,  1258,  1258,
    1258,  1258,  1258,  1258,  1258,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,     0,   115,   116,   117,     0,     0,     0,
       0,     0,   120,   121,     0,     0,     0,     0,   122,     0,
       0,  1258,     0,     0,     0,     0,     0,   123,     0,   124,
       0,   125,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2604,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   132,     0,     0,     0,   134,   135,   136,   137,
     138,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   139,     0,     0,     0,     0,     0,     0,   143,
       0,   144,     0,     0,     0,     0,     0,     0,   147,     0,
       0,  1499,     0,     0,     0,  1499,  1499,     0,     0,     0,
     150,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   154,   155,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,     0,     0,   720,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,   161,     0,     0,     0,
       0,     0,     0,  1258,   163,     0,     0,  1499,   165,     0,
    1258,     0,     0,     0,   167,     0,     0,     0,     0,  1499,
     168,     0,   169,     0,     0,     0,     0,     0,     0,   171,
       0,   172,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,  1119,     0,     0,     0,     0,     0,
       0,     0,     0,   175,   176,     0,     0,     0,     0,  1499,
     177,     0,   178,     0,     0,   179,   180,     0,   181,     0,
       0,     0,     0,     0,     0,     0,     0,   182,   183,     0,
     184,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   189,   190,   191,     0,     0,     0,   192,
       0,     0,     0,   194,     0,     0,   195,     0,   196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   197,   198,     0,   199,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,     0,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     218,     0,     0,   220,     0,     0,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,  1258,  1499,     0,     0,     0,   225,     0,     0,
       0,     0,     0,     0,   226,   227,     0,     0,     0,     0,
     228,     0,   229,     0,     0,     0,     0,     0,     0,     0,
       0,   232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,     0,     0,   237,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,     0,     0,     0,     0,
       0,     0,     0,     0,  1499,     0,     0,     0,     0,     0,
     764,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,  3362,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1499,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,  1499,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1499,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,  1258,  1258,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,  1258,  1258,  1258,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,  1258,     0,  1258,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,  1258,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,  1258,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,  1258,  1258,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,   720,
     720,     0,     0,  1258,     0,     0,     0,     0,     0,  1258,
       0,     0,   720,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1499,     0,     0,  1499,     0,  1499,     0,     0,     0,
       0,  1499,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1499,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   982,     0,     0,     0,     0,  1499,     0,     0,
       0,   982,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1499,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   982,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1175,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1175,
       0,  1499,     0,  1499,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1499,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   720,
       0,  1499,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1499,     0,     0,     0,
       0,     0,  1499,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1225,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1499,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1499,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1499,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,  1499,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,  1258,
       0,  1258,     0,     0,  1258,     0,     0,     0,  1499,  1258,
    1258,  1258,  1258,     0,     0,  1258,  1258,  1258,  1258,  1258,
    1258,  1258,  1258,  1258,  1258,     0,     0,     0,  1258,  1258,
       0,     0,     0,  1499,     0,     0,     0,     0,  1258,     0,
       0,     0,  1258,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,  1258,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,  1499,  1258,     0,
       0,  1258,  1258,     0,     0,     0,  1258,  1258,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,  1258,  1258,  1258,     0,     0,
       0,     0,     0,   982,   982,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,  1225,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1499,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1272,  1499,     0,     0,     0,     0,     0,     0,
    1307,     0,  1308,     0,  1312,  1313,     0,  1316,     0,  1318,
       0,     0,  1324,     0,  1326,     0,     0,  1499,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1390,     0,     0,     0,     0,     0,
       0,     0,  1399,     0,     0,     0,     0,     0,     0,     0,
    1412,  1413,     0,     0,  1419,  1420,  1421,     0,     0,     0,
    1423,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1225,     0,
     982,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1458,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
    1524,     0,  1526,     0,     0,     0,     0,     0,     0,     0,
       0,  1540,  1542,     0,     0,     0,     0,     0,     0,     0,
       0,   982,  1499,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1499,  1258,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1620,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1225,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,  1175,     0,     0,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,  1258,     0,
    1499,     0,     0,     0,  1258,  1258,     0,     0,     0,  1258,
    1499,     0,     0,     0,  1258,     0,     0,  1258,  1258,     0,
       0,     0,  1258,  1882,     0,  1884,     0,     0,  1258,  1886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
    1928,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2084,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,     0,     0,     0,  2098,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2109,     0,  1499,  2110,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2113,     0,     0,     0,     0,  2117,
       0,     0,     0,     0,     0,     0,     0,  2120,     0,     0,
       0,     0,     0,  2130,     0,     0,  2134,     0,     0,     0,
       0,  1499,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1499,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2187,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1499,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,  1499,     0,  1499,     0,     0,
    2349,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,  1499,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,  1258,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,  1258,     0,     0,  1258,  1258,     0,     0,     0,     0,
       0,     0,  1258,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1499,     0,
       0,     0,     0,     0,     0,  1175,  1540,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2600,     0,     0,  2600,     0,     0,     0,
       0,     0,     0,     0,  2607,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2616,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,  1499,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2707,     0,  1258,  1499,     0,  1258,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,  1499,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2795,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1499,     0,     0,     0,     0,  1499,  1499,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2930,     0,     0,     0,
       0,     0,     0,     0,  1499,  1499,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,     0,
    1258,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,  1258,
       0,  1258,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3049,     0,  3050,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1540,  3061,
       0,  3062,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3082,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1540,     0,  1258,  1258,  1540,     0,  1540,
       0,     0,  1540,  1258,     0,     0,     0,  1499,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,  1258,  1258,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,     0,  3296,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1263,  1258,
       0,     0,     0,     0,  1258,     0,     0,  1263,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,  1263,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1225,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,  3383,
    3384,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
    1258,     0,     0,     0,     0,     0,     0,     0,  3399,  3400,
       0,     0,     0,  3403,  3404,     0,     0,     0,  3407,  1263,
       0,     0,     0,     0,     0,  1502,     0,     0,     0,  1263,
       0,     0,  3418,     0,     0,     0,     0,     0,     0,  3427,
       0,     0,     0,  3430,  3431,     0,     0,  3434,  3435,  1502,
       0,     0,     0,     0,  3440,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3457,     0,  3459,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3483,     0,
       0,     0,     0,  3485,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3490,     0,     0,     0,
       0,     0,     0,     0,     0,  3497,     0,  3499,     0,     0,
    3502,  3505,  3507,     0,     0,     0,     0,  3515,  3518,     0,
       0,     0,     0,     0,     0,     0,     0,  3531,     0,     0,
       0,     0,  3540,     0,     0,     0,     0,  3544,     0,     0,
       0,     0,     0,     0,     0,     0,  1263,  1263,     0,     0,
       0,  3560,     0,     0,     0,     0,     0,     0,     0,  3571,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3586,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3593,     0,  1263,  3596,     0,     0,     0,     0,  3599,
       0,     0,     0,     0,  3601,  3602,     0,     0,     0,  3605,
       0,     0,  3609,     0,     0,     0,  3616,  3617,  3618,  3619,
       0,  3621,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3645,  3646,     0,  3648,     0,     0,
       0,     0,     0,     0,     0,  3656,  3657,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3701,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3738,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1263,     0,
       0,     0,     0,     0,     0,  1502,     0,     0,     0,  1263,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1502,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1502,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,  1225,   107,   108,   109,   110,  1263,     0,   112,
     113,   114,     0,   115,     0,  1540,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    35,     0,     0,  3867,     0,     0,     0,     0,
      41,    42,  1502,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3883,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   132,     0,     0,     0,   134,   135,   136,   137,   138,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   139,     0,     0,     0,     0,     0,     0,   143,     0,
     144,     0,     0,     0,     0,     0,  1263,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   150,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   154,   155,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1502,     0,     0,     0,     0,     0,
       0,     0,     0,   163,     0,     0,     0,   165,     0,     0,
       0,     0,     0,   167,     0,     0,     0,     0,     0,   168,
       0,   169,     0,     0,     0,  1263,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   175,   176,  1263,     0,     0,     0,     0,   177,
       0,   178,     0,     0,   179,   180,     0,   181,     0,     0,
       0,     0,     0,     0,     0,     0,   182,   183,     0,   184,
       0,     0,  1263,  1263,  1263,     0,  1263,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   189,   190,   191,     0,  1263,     0,   192,     0,
       0,     0,   194,     0,     0,   195,     0,   196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,   200,     0,     0,     0,
       0,     0,     0,  1540,     0,     0,     0,     0,     0,   201,
       0,   202,     0,     0,     0,     0,     0,     0,     0,     0,
    1263,     0,     0,     0,     0,   204,     0,     0,  4122,     0,
       0,     0,  4124,     0,     0,     0,     0,     0,  4126,     0,
       0,     0,     0,     0,     0,     0,   211,     0,  1263,     0,
     213,     0,  1263,  1263,  4137,  4139,     0,     0,     0,  4139,
       0,     0,     0,     0,  4150,  4151,  4152,  1263,  4154,   218,
       0,     0,   220,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4175,
     223,     0,     0,     0,     0,     0,   225,     0,     0,  4181,
    4182,  4183,  4184,   226,   227,     0,     0,     0,     0,   228,
       0,   229,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1502,   236,  4201,     0,   237,  4206,
    4207,  4208,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1502,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1502,     0,     0,     0,     0,
    4275,     0,     0,     0,     0,     0,     0,     0,  4279,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1502,     0,
       0,     0,     0,     0,     0,     0,  4288,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4334,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1502,
       0,     0,     0,  4369,     0,     0,     0,     0,  4374,     0,
       0,     0,     0,     0,  1502,     0,     0,     0,     0,     0,
       0,     0,     0,  1502,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1502,     0,     0,     0,  4413,
       0,     0,     0,     0,     0,   982,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4437,     0,  4438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1502,  1540,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1263,     0,     0,  1263,     0,     0,     0,
    1502,     0,     0,     0,     0,     0,  1263,     0,     0,     0,
       0,     0,  1502,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1502,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1263,  1263,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1502,  1502,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1263,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1263,  1263,     0,     0,
       0,     0,  1263,  1263,     0,     0,     0,     0,     0,  1263,
    1263,  1263,     0,     0,     0,  1263,     0,  1263,  1263,  1263,
    1263,  1263,  1263,     0,  1263,     0,  1263,  1263,     0,     0,
    1263,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1502,  1263,  1263,  1263,  1263,     0,
       0,     0,     0,  1263,     0,     0,     0,  1263,     0,     0,
    1263,     0,     0,  1263,  1263,  1263,  1263,  1263,  1263,  1263,
    1263,  1263,     0,  1263,     0,     0,     0,     0,     0,     0,
       0,  1263,     0,     0,  1263,     0,     0,  4666,     0,  4667,
       0,     0,     0,     0,     0,     0,  4669,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4679,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4687,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4707,     0,  1263,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4711,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4720,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4749,     0,     0,  1500,     0,     0,     0,
       0,     0,     0,     0,  4757,  4758,  4759,     0,     0,     0,
       0,     0,  4765,  4766,  4767,  4768,     0,     0,  4770,  4771,
    1500,     0,     0,     0,  4778,  4779,     0,  4781,  4782,  4783,
    4784,  4785,  4786,     0,  4788,     0,     0,     0,     0,     0,
       0,     0,  4795,     0,     0,  4798,  4799,     0,  1502,     0,
       0,     0,  1502,  1502,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4819,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1263,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1263,     0,     0,     0,  1502,     0,     0,  1263,     0,     0,
       0,     0,     0,     0,     0,     0,  1502,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1502,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1540,  1540,  1540,     0,     0,     0,     0,     0,
       0,     0,     0,  4930,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1263,
    1502,     0,     0,     0,     0,     0,  1500,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1500,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1500,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1502,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1263,     0,     0,
       0,     0,     0,     0,     0,  5072,     0,     0,     0,  5073,
    5074,  5075,  5076,     0,     0,  5078,     0,     0,     0,     0,
       0,     0,     0,     0,  1716,  1716,     0,     0,     0,     0,
       0,     0,     0,  1500,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5096,  5097,  5098,     0,
    5099,     0,  5101,  5102,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5111,  5112,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5117,     0,     0,     0,     0,     0,     0,
       0,  1540,  1540,  1502,  1540,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5127,  1263,     0,     0,
    1502,     0,     0,  1263,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1502,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1263,     0,     0,     0,     0,  1263,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1500,     0,     0,     0,     0,
       0,  1263,  1263,  1263,     0,     0,  1263,     0,     0,     0,
       0,     0,     0,     0,  1263,  1263,  1263,  1263,  5178,     0,
       0,     0,     0,     0,     0,     0,     0,  1263,     0,     0,
    1263,     0,  1263,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1263,  1263,  5204,     0,  1263,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1263,     0,  1263,     0,  1263,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5232,     0,     0,     0,     0,  1263,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1263,     0,  1263,  1263,
    1263,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1263,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1263,     0,     0,     0,     0,
    1263,     0,     0,     0,     0,     0,  1263,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1263,     0,  1540,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1540,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1502,     0,
       0,  1502,     0,  1502,     0,     0,     0,     0,  1502,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1263,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5336,     0,     0,  1502,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5346,     0,  1502,  2636,     0,  5351,  5352,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1502,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5410,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2636,     0,     0,     0,     0,  5425,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2378,     0,     0,     0,     0,  1502,     0,
    1502,     0,     0,     0,     0,     0,  1500,     0,     0,     0,
       0,     0,     0,  4139,     0,     0,     0,     0,     0,     0,
       0,     0,  2392,  5462,     0,     0,     0,     0,     0,  1500,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2410,  2411,  2412,     0,  2415,     0,     0,  1540,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1540,     0,
       0,     0,     0,     0,  2457,     0,     0,     0,     0,     0,
       0,  1502,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5504,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1502,     0,
    1500,     0,     0,     0,     0,  5520,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1500,  5528,     0,  2512,     0,
       0,     0,     0,  1502,  2636,     0,     0,     0,     0,  1502,
       0,     0,     0,     0,     0,     0,  1500,  1498,     0,     0,
    1540,     0,     0,     0,     0,     0,  2535,     0,     0,     0,
    2547,  2550,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5591,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1500,     0,     0,     0,     0,  1502,     0,     0,     0,
       0,     0,     0,     0,     0,  1263,     0,     0,     0,     0,
       0,  1500,     0,     0,     0,  1502,     0,     0,     0,     0,
       0,     0,     0,  1500,     0,     0,     0,     0,     0,     0,
    1502,     0,     0,     0,     0,  1500,  4139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1540,     0,     0,     0,     0,
       0,  1500,  1500,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5676,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5689,     0,     0,     0,     0,
       0,  1263,     0,     0,  1502,     0,     0,     0,     0,     0,
    1263,     0,     0,     0,     0,     0,  1263,     0,  1263,     0,
       0,  1263,     0,     0,     0,  1502,  1263,  1263,  1263,  1263,
       0,     0,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,
    1263,  1263,     0,  5716,     0,  1263,  1263,     0,     0,     0,
    1502,     0,     0,     0,     0,  1263,     0,  5726,     0,  1263,
       0,     0,     0,  1263,     0,     0,     0,     0,     0,     0,
       0,  1263,     0,     0,  1263,     0,  1263,     0,     0,     0,
       0,     0,     0,     0,  1502,  1263,     0,     0,  1263,  1263,
       0,     0,     0,  1263,  1263,     0,     0,     0,     0,     0,
    1263,     0,     0,     0,     0,  1500,     0,     0,     0,     0,
    1263,     0,     0,  1263,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1263,     0,     0,     0,
       0,     0,  1263,  1263,  1263,     0,     0,     0,  5784,     0,
       0,     0,     0,     0,     0,  3295,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1263,
    5806,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,     0,  1263,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,     0,
       0,  1502,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1263,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5866,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3387,
    1502,     0,     0,  2636,  3393,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1502,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1500,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1500,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3164,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1489,     0,     0,  3184,     0,  3186,     0,     0,  3198,  3201,
    3206,     0,     0,     0,     0,  3212,  1498,  1500,  3217,     0,
    1263,     0,     0,     0,  1489,     0,     0,     0,     0,     0,
       0,     0,     0,  3224,  3225,  3226,  3227,     0,     0,     0,
       0,  3234,     0,     0,     0,  3246,     0,     0,  3248,  1502,
       0,  3255,  3256,  3257,  3258,  3259,  3260,  3261,  3262,  3263,
       0,  3264,     0,     0,     0,     0,     0,     0,     0,  1716,
       0,     0,  3292,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1502,  1263,  1263,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,  3320,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1491,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2493,     0,     0,
       0,     0,     0,  1263,     0,     0,  1492,     0,     0,     0,
       0,     0,     0,     0,  1263,     0,     0,     0,     0,     0,
       0,  1500,     0,     0,     0,     0,     0,     0,     0,     0,
    1492,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1263,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1263,  1263,     0,  1502,     0,     0,
       0,  1263,  1263,     0,     0,     0,  1263,  1502,     0,     0,
       0,  1263,     0,     0,  1263,  1263,     0,     0,     0,  1263,
       0,     0,     0,     0,     0,  1263,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1263,     0,     0,
       0,     0,  2636,     0,     0,  1263,     0,     0,     0,  1263,
       0,     0,     0,     0,     0,     0,  3432,     0,     0,     0,
       0,     0,  1263,     0,     0,     0,  1498,  1263,     0,     0,
       0,     0,     0,  1263,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1263,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1489,     0,  1263,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1498,     0,     0,     0,     0,     0,     0,     0,
    1502,     0,     0,  1489,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1489,     0,
       0,     0,     0,     0,  1500,     0,     0,  1498,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1502,     0,
       0,  1500,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,  1500,     0,     0,     0,     0,  1502,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1263,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1489,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1502,     0,     0,     0,     0,
       0,  1498,  1491,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,  1491,     0,  1263,
       0,     0,     0,     0,     0,  1498,  1492,  3692,     0,     0,
       0,     0,     0,  1263,     0,     0,     0,  1498,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1492,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3295,
    3295,  3295,     0,     0,  1492,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1498,     0,  1263,     0,     0,     0,     0,     0,
       0,     0,  1502,     0,  1502,     0,  1491,     0,     0,  1489,
       0,     0,  1498,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1263,     0,  1492,     0,  1502,     0,     0,     0,  2636,
    1263,     0,  3393,     0,  3393,     0,     0,     0,     0,  2636,
       0,     0,  1498,  1498,     0,     0,     0,  1263,  1263,     0,
       0,  1263,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1263,     0,     0,     0,
       0,     0,     0,  1263,     0,     0,     0,     0,  1263,     0,
       0,  1263,  1263,     0,     0,     0,     0,     0,  1500,  1263,
    1263,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1500,     0,     0,  1491,     0,
       0,     0,     0,  1263,     0,  1263,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1263,     0,     0,
    2636,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3888,     0,     0,     0,     0,  3894,     0,     0,     0,
       0,     0,     0,     0,     0,  1492,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1502,     0,     0,     0,     0,
       0,  2415,     0,     0,     0,  1263,     0,     0,     0,     0,
       0,     0,  3206,     0,  3206,  3206,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3952,  1498,     0,  3955,  1500,
    3957,  1500,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1263,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3975,
       0,  3978,     0,  3980,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1489,
       0,     0,     0,     0,     0,     0,  3292,  3292,  3292,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1500,  1263,     0,  1502,     0,     0,     0,     0,
       0,  4050,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2535,     0,     0,     0,     0,  4061,  1500,
       0,     0,  1263,  1502,  2550,  1263,     0,  1263,     0,     0,
       0,     0,     0,     0,     0,  1489,     0,     0,     0,     0,
       0,     0,     0,     0,  3393,     0,     0,  1263,     0,     0,
    3393,     0,     0,  1263,     0,     0,     0,  1263,     0,     0,
       0,     0,     0,  1502,     0,     0,     0,     0,  1263,     0,
    1489,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1489,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,  4108,     0,     0,
    1498,     0,     0,     0,  1498,  1498,     0,  1500,     0,     0,
    1502,     0,     0,     0,     0,  1502,  1502,     0,     0,     0,
    1263,     0,     0,     0,     0,     0,  3393,     0,     0,     0,
       0,     0,     0,     0,     0,  1492,     0,     0,     0,     0,
       0,  1500,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,  1494,     0,     0,     0,
       0,     0,     0,     0,  1489,     0,  1498,  1263,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,  1489,
    1494,     0,     0,     0,     0,     0,     0,     0,  1489,  1491,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1489,  1492,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1491,     0,     0,     0,     0,     0,  1498,     0,
       0,  1502,  1502,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1500,  1492,     0,     0,     0,
       0,     0,     0,     0,  1263,     0,     0,  1263,     0,  1495,
    1263,     0,     0,     0,     0,  1489,  1500,     0,     0,  1492,
       0,  1263,     0,     0,     0,     0,  1263,     0,  1263,     0,
    1263,     0,     0,  1495,     0,  1489,     0,     0,  1263,     0,
       0,  1500,     0,     0,     0,     0,     0,  1489,     0,     0,
       0,     0,     0,  1491,     0,     0,  1263,     0,     0,  1489,
       0,     0,     0,     0,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,  1500,     0,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,  1489,  1489,     0,     0,     0,
    1492,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1492,     0,     0,     0,     0,
       0,     0,     0,     0,  1492,  3295,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1263,  1492,     0,     0,     0,
       0,     0,     0,  1263,  1491,     0,     0,     0,     0,     0,
       0,     0,  1498,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,     0,  1263,  1263,     0,     0,  1491,     0,     0,     0,
    1263,     0,     0,     0,  1502,     0,     0,     0,  1491,     0,
    1263,  1492,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2636,     0,     0,     0,     0,     0,     0,     0,
       0,  1492,  1263,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1492,  1491,  1491,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,  1492,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1489,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1263,     0,     0,     0,  1494,  1263,     0,     0,
       0,  1492,  1492,     0,     0,     0,  1263,     0,     0,     0,
       0,     0,  1263,  1263,     0,  1263,     0,     0,     0,  1494,
       0,     0,     0,     0,  1263,     0,     0,     0,     0,     0,
       0,  3393,     0,     0,  1494,     0,     0,     0,     0,     0,
       0,  1263,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3393,     0,     0,     0,  4472,
       0,     0,     0,     0,     0,     0,     0,     0,  4476,     0,
       0,     0,     0,     0,  4477,     0,  4478,     0,     0,  1263,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,  1495,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1498,  4502,  4503,     0,  1263,     0,  1491,     0,
       0,  1263,  1495,     0,     0,  1498,     0,     0,     0,     0,
       0,  3212,     0,  1494,     0,     0,     0,  1495,     0,  4528,
       0,     0,  4531,     0,  4533,     0,     0,     0,     0,     0,
       0,     0,     0,  4537,     0,     0,     0,     0,  1263,     0,
       0,  4544,  4545,     0,  1263,  1492,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1263,     0,
    1500,     0,     0,  1489,  4592,     0,     0,  1489,  1489,     0,
    4599,  4600,  3292,     0,     0,     0,  1263,  1263,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1495,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2636,     0,
       0,     0,     0,     0,     0,     0,     0,  4618,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1489,
       0,     0,     0,  4631,     0,  1494,     0,     0,     0,     0,
       0,  1489,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1489,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1491,     0,     0,     0,  1491,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
    1498,     0,     0,  1498,     0,  1498,     0,     0,  1500,  1492,
    1498,     0,     0,  1492,  1492,     0,     0,     0,  1500,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1491,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3295,     0,  1492,  1498,     0,  3295,     0,
    1491,     0,     0,     0,  3295,     0,     0,  1492,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1489,     0,  1492,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1500,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,     0,  1498,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1494,     0,     0,     0,  1500,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1489,     0,     0,     0,
    1500,     0,     0,     0,     0,     0,  4897,  4898,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1494,     0,  1498,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1500,     0,  1495,     0,
    1498,     0,     0,     0,     0,     0,  1494,     0,     0,     0,
       0,  4943,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1492,  4948,     0,     0,  1498,     0,     0,     0,  1494,
       0,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1489,     0,
       0,     0,     0,     0,     0,  1491,     0,     0,     0,     0,
       0,     0,  4963,  4965,  1495,  1489,     0,     0,     0,  4969,
    4970,     0,     0,     0,  4971,     0,     0,     0,  1489,  4974,
       0,     0,  4977,  4978,     0,     0,     0,  4982,     0,     0,
       0,  1497,     0,  4986,     0,     0,     0,     0,  1498,  1495,
       0,     0,  1492,  5216,     0,  1500,     0,     0,     0,     0,
    1494,     0,     0,     0,     0,  1497,     0,  1498,     0,     0,
       0,     0,  1495,     0,     0,  1494,     0,     0,     0,     0,
    3292,     0,  1498,     0,  1494,  3292,     0,     0,     0,     0,
       0,  3292,     0,     0,     0,     0,  1494,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1500,     0,     0,  1716,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5053,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,  1494,     0,  1495,     0,     0,     0,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,  1494,     0,     0,  1492,     0,  1498,  1495,     0,     0,
       0,     0,     0,  1494,     0,     0,     0,     0,     0,  1495,
       0,  1492,     0,     0,     0,  1494,     0,  1498,     0,     0,
       0,     0,     0,     0,  1492,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1498,     0,     0,     0,     0,     0,     0,     0,
       0,  1494,  1494,     0,     0,     0,     0,     0,     0,     0,
    5114,     0,     0,     0,  1495,     0,  3393,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,     0,     0,     0,
       0,     0,     0,  1489,  1495,     0,  1489,     0,  1489,     0,
       0,     0,     0,  1489,     0,     0,  1495,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5150,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1489,     0,  1495,  1495,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1489,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1489,     0,  3393,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,  1494,     0,     0,     0,     0,
       0,  1497,  1491,     0,  1500,  1491,     0,  1491,     0,     0,
       0,     0,  1491,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1497,
       0,     0,     0,  1489,  1500,  1489,     0,     0,     0,  1492,
       0,     0,  1492,     0,  1492,     0,     0,     0,     0,  1492,
       0,  1491,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5255,  5256,     0,  1491,  5257,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,     0,  1498,     0,     0,     0,     0,     0,     0,     0,
       0,  1500,     0,  1491,     0,     0,  1500,  1500,  1492,     0,
       0,     0,     0,     0,     0,     0,  1498,  5293,  5294,     0,
       0,     0,     0,     0,     0,  1492,  1489,     0,  1497,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5309,     0,     0,     0,     0,     0,     0,
    1492,     0,     0,  1489,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1491,     0,  1491,     0,     0,     0,  1489,     0,
       0,     0,     0,     0,  1489,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1494,
       0,     0,     0,  1494,  1494,     0,     0,     0,     0,     0,
       0,     0,  5216,  1500,     0,     0,     0,     0,     0,  1492,
       0,  1492,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1489,     0,     0,     0,  1491,     0,     0,     0,     0,
    1497,     0,     0,     0,     0,  1494,     0,     0,     0,     0,
    1489,     0,     0,     0,     0,     0,     0,  1494,     0,     0,
       0,     0,  1491,     0,     0,  1489,     0,     0,     0,  1498,
       0,     0,  1495,     0,     0,     0,  1495,  1495,     0,     0,
       0,     0,  1492,     0,     0,     0,     0,  1491,     0,     0,
       0,     0,     0,  1491,     0,     0,     0,  1494,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1492,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3212,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1492,     0,     0,     0,  1495,     0,
    1492,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1495,  5485,     0,     0,     0,     0,     0,     0,     0,  1489,
    1491,     0,     0,     0,     0,     0,  2415,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
    1489,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1495,     0,     0,     0,  1491,  1500,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,  1489,     0,  1492,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1492,     0,  5535,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1489,
       0,  1492,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1494,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1497,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,  1492,     0,     0,     0,     0,
       0,     0,  1498,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1494,     0,     0,     0,  1492,     0,     0,     0,
       0,     0,     0,     0,  1495,     0,  1489,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5293,     0,
    1498,  1492,     0,     0,     0,     0,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,     0,     0,  5678,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1492,     0,     0,     0,     0,
       0,  1497,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,  1495,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1489,     0,  1498,     0,     0,
       0,     0,     0,     0,  1494,     0,     0,     0,     0,     0,
       0,     0,     0,  5729,     0,     0,     0,     0,     0,  1489,
       0,  1494,     0,     0,     0,  1491,     0,     0,     0,     0,
       0,     0,     0,     0,  1494,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5756,  5756,     0,     0,     0,  1497,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5293,     0,
    1497,     0,  1492,     0,     0,     0,     0,     0,     0,  1497,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1497,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,  1495,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1489,  5815,  1497,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,     0,
       0,     0,     0,  5756,     0,     0,  1497,     0,     0,     0,
       0,  1492,     0,     0,     0,     0,     0,     0,  1497,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5856,
    1497,     0,  1489,     0,     0,  1492,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2451,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,  1497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1494,
       0,     0,  1494,  1491,  1494,     0,     0,     0,     0,  1494,
       0,     0,  2451,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5756,  1498,     0,     0,
       0,     0,  5914,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1492,  1491,  1489,     0,     0,     0,     0,     0,  1494,     0,
       0,     0,  1489,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1494,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1495,     0,     0,  1495,     0,  1495,  1492,     0,
    1494,     0,  1495,     0,     0,     0,     0,     0,     0,     0,
    1497,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,     0,
       0,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,  1494,
       0,  1494,     0,     0,     0,  1498,     0,     0,     0,     0,
       0,  1491,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,  1495,     0,  1489,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1492,     0,
       0,     0,     0,  1489,     0,     0,     0,     0,  1492,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1494,     0,  1489,     0,     0,     0,     0,     0,
       0,     0,  1495,     0,  1495,     0,     0,     0,     0,     0,
       0,     0,  1498,     0,     0,     0,     0,  1498,  1498,  1494,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1494,     0,     0,     0,     0,     0,
    1494,     0,     0,     0,  1497,     0,     0,     0,  1497,  1497,
    1489,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1495,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1491,     0,     0,     0,     0,     0,     0,     0,
       0,  1492,  1495,     0,     0,     0,     0,  1494,     0,     0,
    1497,     0,     0,  1491,  1498,     0,     0,     0,     0,     0,
       0,     0,  1497,     0,     0,     0,  1494,  1495,     0,     0,
       0,     0,     0,  1495,     0,     0,     0,     0,     0,  1492,
       0,  1494,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1489,
    1492,     0,  1497,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1495,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1489,     0,     0,     0,     0,     0,     0,     0,     0,  1495,
       0,     0,     0,     0,     0,     0,  1492,     0,     0,     0,
       0,     0,     0,     0,  1495,  1494,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1494,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1494,     0,     0,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1494,  1498,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2451,  1495,     0,
       0,     0,     0,     0,     0,  1492,  1497,     0,     0,  1491,
       0,  2451,     0,     0,     0,  3194,     0,     0,     0,  1495,
    1489,     0,     0,     0,     0,     0,     0,     0,     0,  2451,
    2451,  2451,     0,     0,  2451,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1495,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1492,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2451,     0,  1495,     0,
       0,     0,     0,     0,     0,     0,     0,  1497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1494,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2451,     0,     0,     0,     0,     0,     0,     0,     0,
    1489,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,  2451,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2451,     0,  1489,  2451,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1492,     0,     0,     0,
       0,     0,     0,     0,     0,  1495,     0,     0,  1489,  1497,
       0,  1494,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,  1494,     0,     0,     0,  1497,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1489,     0,     0,     0,  1491,
    1489,  1489,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,     0,
       0,     0,     0,     0,  1495,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1492,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,     0,
       0,     0,     0,     0,  1492,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1494,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1489,     0,     0,
       0,     0,     0,     0,  1492,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,  1491,
    1491,     0,     0,     0,     0,     0,     0,     0,  1494,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1492,     0,     0,     0,     0,  1492,  1492,     0,     0,
       0,     0,     0,  1495,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,     0,     0,  1497,     0,  1497,
       0,     0,     0,     0,  1497,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1495,     0,     0,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1497,     0,     0,     0,     0,  1494,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1494,     0,
    1497,     0,     0,  1492,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1497,     0,     0,     0,  1489,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1495,     0,     0,  1497,     0,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1494,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1494,
       0,     0,     0,     0,     0,     0,     0,  1497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1494,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,  1492,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1495,     0,     0,     0,     0,  1497,
       0,     0,     0,  2451,     0,  1497,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2451,     0,  2451,  1494,     0,  3194,  3194,
       0,  3929,  1495,  3194,     0,     0,     0,  2451,     0,     0,
    2451,     0,     0,     0,     0,  2451,     0,     0,     0,     0,
       0,  2451,     0,  1495,     0,     0,  2451,     0,     0,     0,
       0,     0,     0,  2451,  2451,  2451,  2451,     0,     0,     0,
    3194,  3194,  1497,  2451,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2451,     0,  2451,     0,     0,
       0,  1497,     0,     0,  2451,  2451,  2451,  2451,  2451,  2451,
    2451,  2451,  2451,  2451,     0,     0,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1495,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2451,     0,     0,     0,  1494,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2451,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1494,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1497,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1497,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2451,     0,     0,     0,     0,     0,     0,     0,  1495,
    1497,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1494,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1495,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1494,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1494,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,     0,     0,     0,
       0,     0,     0,     0,  1494,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1497,  2451,     0,     0,     0,     0,     0,     0,     0,  1495,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,  1494,     0,     0,     0,     0,  1494,  1494,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1497,     0,     0,     0,     0,
       0,     0,     0,     0,  1495,     0,     0,     0,     0,  1495,
    1495,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1494,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1497,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2451,     0,     0,
       0,     0,     0,  2451,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3929,
    3929,     0,     0,  3194,  3194,  3194,  3194,     0,     0,  3194,
    3194,  3194,  3194,  3194,  3194,  3194,  3194,  3194,  3194,  3929,
       0,     0,     0,     0,     0,     0,  1495,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2451,     0,     0,  2451,     0,  2451,     0,     0,  3929,
    3929,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2451,  3194,  3194,  2451,     0,  2451,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1497,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1497,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1494,     0,     0,     0,  2451,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2451,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,     0,  1495,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1497,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1497,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3194,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1497,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1497,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2451,     0,     0,     0,  2451,  2451,  2451,     0,     0,
       0,     0,     0,  3929,  3929,  3929,  3929,     0,     0,     0,
       0,  3929,  3929,  3929,  3929,  3929,  3929,  3929,  3929,  3929,
    3929,  2451,  2451,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2451,     0,     0,
    2451,     0,  2451,     0,     0,     0,  2451,     0,     0,  3929,
    3929,     0,     0,  2451,  2451,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1497,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2451,     0,     0,     0,     0,     0,     0,  2451,  2451,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2451,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1497,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1497,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1497,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,     0,     0,     0,
       0,  1497,  1497,     0,     0,     0,     0,     0,     0,  3929,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2451,  2451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1497,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2451,     0,     0,     0,     0,  2451,  3194,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2451,     0,  2451,     0,     0,     0,  2451,  2451,
    2451,     0,     0,  2451,     0,     0,  2451,  2451,     0,     0,
       0,  2451,     0,     0,     0,  2451,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2451,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2451,     0,     0,     0,     0,     0,     0,
    1497,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2451,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3929,  3194,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2451,  2451,  2451,     0,     0,     0,
       0,     0,     0,     0,  3194,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2451,  2451,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    85,  2451,     0,
      86,    87,    88,    89,    90,    91,    92,    93,     0,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   106,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,     0,   115,   116,   117,   118,   119,
       0,     0,     0,   120,   121,     0,     0,     0,     0,   122,
       0,     0,     0,     0,     0,     0,     0,     0,   123,     0,
     124,     0,   125,   126,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   127,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   128,     0,
     129,   130,     0,     0,     0,     0,     0,     0,     0,     0,
     131,     0,     0,   132,     0,     0,   133,   134,   135,   136,
     137,   138,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   139,     0,     0,   140,     0,   141,   142,
     143,     0,   144,     0,     0,   145,     0,   146,     0,   147,
       0,     0,     0,  3929,     0,     0,     0,     0,   148,     0,
     149,   150,     0,     0,     0,     0,     0,  3194,   151,     0,
    3929,     0,     0,     0,  2451,   152,     0,   153,   154,   155,
     156,     0,     0,     0,     0,     0, -1638,     0,     0,     0,
       0,     0,     0,     0,   157,     0,   158,     0,     0,     0,
     159,     0,     0,     0,     0,     0,   160,   161,     0,     0,
       0,     0,     0,     0,   162,   163,   164,     0,     0,   165,
       0,     0,   166,     0,  2451,   167,     0,     0,     0,     0,
       0,   168,     0,   169,     0,     0,     0,     0,   170,     0,
     171,     0,   172,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,   174,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   175,   176,     0,     0, -1638,     0,
       0,   177,     0,   178,     0,     0,   179,   180,     0,   181,
       0,     0,     0,     0,     0,     0,     0,     0,   182,   183,
       0,   184,     0,   185,   186,     0,     0,     0,     0,   187,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   188,     0,     0,   189,   190,   191,     0,     0,     0,
     192,     0,     0,   193,   194,     0,     0,   195,     0,   196,
       0,     0,     0,     0,     0,  3929,     0,  3194,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,     0,   202,     0,   203,     0,  2451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,   205,     0,
       0,     0,     0,     0,   206,   207,     0,   208,     0,     0,
       0,     0,   209,     0,     0,     0,     0,   210,   211,     0,
     212,     0,   213,     0,     0,   214,     0,     0,     0,     0,
       0,   215,   216,     0,     0,     0,     0,     0,  2451,   217,
       0,   218,     0,   219,   220,     0,     0,   221,     0,     0,
       0,     0,     0,   222,     0,     0,     0,     0,     0,     0,
       0,     0,   223,     0,     0,  2451,   224,     0,   225,     0,
       0,     0,     0,     0,     0,   226,   227,     0,     0,     0,
       0,   228,     0,   229,     0,   230,     0,   231,     0,     0,
       0,     0,   232,     0,     0,   233,     0,     0, -1638,     0,
       0,   234,     0,     0,     0,     0,   235,   236,     0,     0,
     237,     0,     0,     0,     0,     0,     0,     0,     0,   238,
       0,     0,     0,     0,  2451,     0,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,     0,     0,     0,
       0,     0,   250,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3194,     0,     0,   251,     0,  3194,     0,
    -149,     0,     0,     0,     0,  2451,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   774,    86,
      87,    88,   726,    90,    91,    92,   727,  3929,   728,    95,
    3929,     0,    98,    99,   100,   101,   102,   103,   775,   104,
     105,   729,   776,     0,   107,   108,   109,   110,   777,   778,
     112,   113,   114,  2451,   115,   779,   780,   730,   731,     0,
       0,     0,   732,   733,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,   736,
       0,   737,   738,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,   781,   443,   444,   445,   782,
     783,   784,   785,   786,   787,   788,   446,   447,   789,   448,
     449,   450,   132,   451,   452,   453,   134,   135,   136,   137,
     138,   790,   454,   455,   456,   457,   458,   791,   792,   459,
     460,   793,   139,   461,   794,   462,   463,   464,   465,   143,
     795,   144,   796,   466,   467,   468,   469,   470,   147,   471,
     472,   797,   798,   473,   474,   475,   476,   477,   478,   799,
     150,   479,   480,   800,   801,   802,   803,   151,   804,   805,
     806,   482,   483,   484,   485,   743,   486,   154,   155,   487,
     807,   488,   808,   489,   490,   491,   492,   493,   494,   809,
     495,   496,   497,   498,   810,   811,   499,   500,   501,   502,
     503,   812,   504,   505,   506,   813,   507,   508,   509,   814,
     510,   511,   512,   513,   163,   514,   515,   516,   165,   815,
     517,   816,   518,   519,   167,   520,   817,   521,   818,   522,
     168,   819,   169,   523,   524,   525,   526,   820,   527,   171,
     821,   172,   528,   822,   529,   530,   745,   531,   532,   173,
     533,   534,   535,   536,   823,   537,   538,   539,   540,   541,
     542,   824,   543,   175,   176,   825,   544,   545,   546,   826,
     177,   827,   178,   828,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,   829,   830,   554,   182,   183,   555,
     184,   831,   556,   557,   558,   832,   833,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   746,   568,   569,   747,
     570,   571,   572,   189,   190,   191,   573,   574,   575,   192,
     834,   576,   577,   194,   578,   835,   195,   579,   196,   580,
     581,   582,   836,   583,   584,   837,   838,   585,   586,   587,
     839,   840,   588,   197,   198,   589,   199,   200,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   841,   599,   600,
     201,   601,   202,   602,   603,   604,   842,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   204,   614,   615,   616,
     617,   843,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   844,   630,   631,   211,   632,   633,
     634,   213,   635,   636,   637,   638,   639,   640,   641,   748,
     642,   845,   643,   644,   645,   646,   647,   846,   649,   650,
     218,   651,   652,   220,   653,   654,   221,   655,   847,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,   223,   848,   668,   669,   849,   670,   225,   671,   672,
     673,   674,   675,   850,   226,   227,   851,   852,   677,   678,
     228,   679,   229,   853,   680,   681,   682,   683,   684,   685,
     686,   854,   855,   687,   688,   689,   690,   691,   856,   857,
     692,   693,   694,   695,   696,   858,   236,   859,   697,   237,
     698,   699,   700,   701,   860,   861,   702,   862,   863,   703,
     704,   705,   706,   707,   708,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   750,   709,   710,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,  1035,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,     0,   115,   116,   117,     0,     0,     0,
       0,     0,   120,   121,     0,     0,     0,     0,   122,     0,
       0,     0,     0,     0,     0,     0,     0,   123,     0,   124,
       0,   125,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   132,     0,     0,     0,   134,   135,   136,   137,
     138,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   139,     0,     0,     0,     0,     0,     0,   143,
       0,   144,     0,     0,     0,     0,     0,     0,   147,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     150,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   154,   155,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   161,     0,     0,     0,
       0,     0,     0,     0,   163,     0,     0,     0,   165,     0,
       0,     0,     0,     0,   167,     0,     0,     0,     0,     0,
     168,     0,   169,     0,     0,     0,     0,     0,     0,   171,
       0,   172,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   175,   176,     0,     0,     0,     0,     0,
     177,     0,   178,     0,     0,   179,   180,     0,   181,     0,
       0,     0,     0,     0,     0,     0,     0,   182,   183,     0,
     184,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   189,   190,   191,     0,     0,     0,   192,
       0,     0,     0,   194,     0,     0,   195,     0,   196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   197,   198,     0,   199,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,     0,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     218,     0,     0,   220,     0,     0,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,     0,     0,     0,     0,     0,   225,     0,     0,
       0,     0,     0,     0,   226,   227,     0,     0,     0,     0,
     228,     0,   229,     0,     0,     0,     0,     0,     0,     0,
       0,   232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,     0,     0,   237,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,     0,   774,    86,    87,
      88,   726,    90,    91,    92,   727,     0,   728,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   775,   104,   105,
     729,   776,  3364,   107,   108,   109,   110,   777,   778,   112,
     113,   114,     0,   115,   779,   780,   730,   731,     0,     0,
       0,   732,   733,     0,     0,     0,     0,   734,     0,     0,
       0,     0,     0,     0,     0,     0,   735,     0,   736,     0,
     737,   738,    35,   434,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1635,  1636,  1637,    45,  1638,     0,
       0,     0,     0,     0,     0,     0,   435,   436,   437,   438,
     439,   440,   441,   442,  3286,   443,   444,   445,     0,     0,
       0,     0,  1639,     0,     0,   446,   447,     0,   448,   449,
     450,   132,   451,   452,   453,   134,  1640,   136,  1641,  1642,
       0,   454,   455,   456,   457,   458,  1643,  1644,   459,   460,
    1645,  1646,   461,     0,   462,   463,   464,   465,  1647,     0,
    1648,     0,   466,   467,   468,   469,   470,   147,   471,   472,
     741,     0,   473,   474,   475,   476,   477,   478,     0,   150,
     479,   480,     0,  1649,  1650,  1651,  1652,  1653,  1654,  1655,
     482,   483,   484,   485,   743,   486,  1656,  1657,   487,  1658,
     488,     0,   489,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,  3287,     0,   499,   500,  1470,   502,   503,
       0,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,  1659,   514,   515,   516,  1660,  1661,   517,
       0,   518,   519,  1662,   520,     0,   521,     0,   522,   168,
       0,   169,   523,   524,   525,   526,     0,   527,  1663,     0,
    1664,   528,     0,   529,   530,   745,   531,   532,   173,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,  1473,  1665,
       0,  1666,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,  1667,   183,   555,   184,
       0,   556,   557,   558,  1668,  1669,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   746,   568,   569,   747,   570,
     571,   572,  1670,   190,  1671,   573,   574,   575,   192,  1672,
     576,   577,   194,   578,  1673,  1674,   579,  1675,   580,   581,
     582,     0,   583,   584,     0,     0,  1676,   586,   587,     0,
       0,   588,   197,   198,   589,   199,  1677,   590,   591,   592,
     593,   594,   595,   596,   597,   598,     0,   599,   600,  1678,
     601,   202,   602,   603,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,  1679,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   211,   632,   633,   634,
    1680,   635,   636,   637,   638,   639,   640,   641,   748,   642,
       0,   643,   644,   645,   646,   647,  1681,   649,   650,   218,
     651,   652,   220,   653,   654,  1682,   655,     0,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   665,   666,   667,
    1683,     0,   668,   669,     0,   670,   225,   671,   672,   673,
     674,   675,     0,  1684,  1685,     0,     0,   677,   678,  1686,
     679,  1687,  1688,   680,   681,   682,   683,   684,   685,   686,
       0,  1689,   687,   688,   689,   690,   691,  1690,     0,   692,
     693,   694,   695,   696,   749,  1691,  3288,   697,   237,   698,
     699,   700,   701,     0,     0,   702,     0,     0,   703,   704,
     705,   706,   707,   708,   239,  1692,  1693,  1694,  1695,   244,
    1696,  1697,  1698,  1699,   249,   750,   709,   710,  1700,     0,
       0,     0,     0,     0,     0,  1701,  1702,  3289,     0,     0,
       0,     0,     0,     0,  1704,  3290,   774,    86,    87,    88,
     726,    90,    91,    92,   727,     0,   728,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   775,   104,   105,   729,
     776,     0,   107,   108,   109,   110,   777,   778,   112,   113,
     114,     0,   115,   779,   780,   730,   731,     0,     0,     0,
     732,   733,     0,     0,     0,     0,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   736,     0,   737,
     738,    35,   434,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1635,  1636,  1637,    45,  1638,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,  1639,     0,     0,   446,   447,     0,   448,   449,   450,
     132,   451,   452,   453,   134,  1640,   136,  1641,  1642,     0,
     454,   455,   456,   457,   458,  1643,  1644,   459,   460,  1645,
    1646,   461,     0,   462,   463,   464,   465,  1647,     0,  1648,
       0,   466,   467,   468,   469,   470,   147,   471,   472,   741,
       0,   473,   474,   475,   476,   477,   478,     0,   150,   479,
     480,     0,  1649,  1650,  1651,  1652,  1653,  1654,  1655,   482,
     483,   484,   485,   743,   486,  1656,  1657,   487,  1658,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,  1470,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,  1659,   514,   515,   516,  1660,  1661,   517,     0,
     518,   519,  1662,   520,     0,   521,     0,   522,   168,     0,
     169,   523,   524,   525,   526,     0,   527,  1663,     0,  1664,
     528,     0,   529,   530,   745,   531,   532,   173,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,  1473,  1665,     0,
    1666,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,  1667,   183,   555,   184,     0,
     556,   557,   558,  1668,  1669,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   746,   568,   569,   747,   570,   571,
     572,  1670,   190,  1671,   573,   574,   575,   192,  1672,   576,
     577,   194,   578,  1673,  1674,   579,  1675,   580,   581,   582,
       0,   583,   584,     0,     0,  1676,   586,   587,     0,     0,
     588,   197,   198,   589,   199,  1677,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,  1678,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,  1679,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   211,   632,   633,   634,  1680,
     635,   636,   637,   638,   639,   640,   641,   748,   642,   216,
     643,   644,   645,   646,   647,  1681,   649,   650,   218,   651,
     652,   220,   653,   654,  1682,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,  1683,
       0,   668,   669,   224,   670,   225,   671,   672,   673,   674,
     675,     0,  1684,  1685,     0,     0,   677,   678,  1686,   679,
    1687,  1688,   680,   681,   682,   683,   684,   685,   686,     0,
    1689,   687,   688,   689,   690,   691,  1690,     0,   692,   693,
     694,   695,   696,  2413,  1691,     0,   697,   237,   698,   699,
     700,   701,     0,     0,   702,     0,   238,   703,   704,   705,
     706,   707,   708,   239,  1692,  1693,  1694,  1695,   244,  1696,
    1697,  1698,  1699,   249,   750,   709,   710,  1700,     0,   250,
       0,     0,     0,     0,  1701,  1702,     0,     0,     0,     0,
       0,     0,     0,  1704,  5497,   774,    86,    87,    88,   726,
      90,    91,    92,   727,     0,   728,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   775,   104,   105,   729,   776,
       0,   107,   108,   109,   110,   777,   778,   112,   113,   114,
       0,   115,   779,   780,   730,   731,     0,     0,     0,   732,
     733,     0,     0,     0,     0,   734,     0,     0,     0,     0,
       0,     0,     0,     0,   735,     0,   736,     0,   737,   738,
      35,   434,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1635,  1636,  1637,    45,  1638,     0,     0,     0,
       0,     0,     0,     0,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,     0,     0,     0,     0,
    1639,     0,     0,   446,   447,     0,   448,   449,   450,   132,
     451,   452,   453,   134,  1640,   136,  1641,  1642,     0,   454,
     455,   456,   457,   458,  1643,  1644,   459,   460,  1645,  1646,
     461,     0,   462,   463,   464,   465,  1647,     0,  1648,     0,
     466,   467,   468,   469,   470,   147,   471,   472,   741,     0,
     473,   474,   475,   476,   477,   478,     0,   150,   479,   480,
       0,  1649,  1650,  1651,  1652,  1653,  1654,  1655,   482,   483,
     484,   485,   743,   486,  1656,  1657,   487,  1658,   488,     0,
     489,   490,   491,   492,   493,   494,     0,   495,   496,   497,
     498,     0,     0,   499,   500,  1470,   502,   503,     0,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,  1659,   514,   515,   516,  1660,  1661,   517,     0,   518,
     519,  1662,   520,     0,   521,     0,   522,   168,     0,   169,
     523,   524,   525,   526,     0,   527,  1663,     0,  1664,   528,
       0,   529,   530,   745,   531,   532,   173,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,   542,     0,   543,
     175,   176,     0,   544,   545,   546,  1473,  1665,     0,  1666,
       0,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,     0,     0,   554,  1667,   183,   555,   184,     0,   556,
     557,   558,  1668,  1669,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   746,   568,   569,   747,   570,   571,   572,
    1670,   190,  1671,   573,   574,   575,   192,  1672,   576,   577,
     194,   578,  1673,  1674,   579,  1675,   580,   581,   582,     0,
     583,   584,     0,     0,  1676,   586,   587,     0,     0,   588,
     197,   198,   589,   199,  1677,   590,   591,   592,   593,   594,
     595,   596,   597,   598,     0,   599,   600,  1678,   601,   202,
     602,   603,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,  1679,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   211,   632,   633,   634,  1680,   635,
     636,   637,   638,   639,   640,   641,   748,   642,     0,   643,
     644,   645,   646,   647,  1681,   649,   650,   218,   651,   652,
     220,   653,   654,  1682,   655,     0,   656,   657,   658,   659,
     660,   661,   662,   663,   664,   665,   666,   667,  1683,     0,
     668,   669,     0,   670,   225,   671,   672,   673,   674,   675,
       0,  1684,  1685,     0,     0,   677,   678,  1686,   679,  1687,
    1688,   680,   681,   682,   683,   684,   685,   686,     0,  1689,
     687,   688,   689,   690,   691,  1690,     0,   692,   693,   694,
     695,   696,   749,  1691,     0,   697,   237,   698,   699,   700,
     701,     0,     0,   702,     0,     0,   703,   704,   705,   706,
     707,   708,   239,  1692,  1693,  1694,  1695,   244,  1696,  1697,
    1698,  1699,   249,   750,   709,   710,  1700,     0,     0,     0,
       0,     0,     0,  1701,  1702,     0,     0,     0,     0,     0,
       0,     0,  1704,  3196,   774,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   775,   104,   105,   729,   776,     0,
     107,   108,   109,   110,   777,   778,   112,   113,   114,     0,
     115,   779,   780,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1635,  1636,  1637,    45,  1638,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,  1639,
       0,     0,   446,   447,     0,   448,   449,   450,   132,   451,
     452,   453,   134,  1640,   136,  1641,  1642,     0,   454,   455,
     456,   457,   458,  1643,  1644,   459,   460,  1645,  1646,   461,
       0,   462,   463,   464,   465,  1647,     0,  1648,     0,   466,
     467,   468,   469,   470,   147,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,   150,   479,   480,     0,
    1649,  1650,  1651,  1652,  1653,  1654,  1655,   482,   483,   484,
     485,   743,   486,  1656,  1657,   487,  1658,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,  1470,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
    1659,   514,   515,   516,  1660,  1661,   517,     0,   518,   519,
    1662,   520,     0,   521,     0,   522,   168,     0,   169,   523,
     524,   525,   526,     0,   527,  1663,     0,  1664,   528,     0,
     529,   530,   745,   531,   532,   173,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,  1473,  1665,     0,  1666,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,  1667,   183,   555,   184,     0,   556,   557,
     558,  1668,  1669,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,  1670,
     190,  1671,   573,   574,   575,   192,  1672,   576,   577,   194,
     578,  1673,  1674,   579,  1675,   580,   581,   582,     0,   583,
     584,     0,     0,  1676,   586,   587,     0,     0,   588,   197,
     198,   589,   199,  1677,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,  1678,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,  1679,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   211,   632,   633,   634,  1680,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,  1681,   649,   650,   218,   651,   652,   220,
     653,   654,  1682,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,  1683,     0,   668,
     669,     0,   670,   225,   671,   672,   673,   674,   675,     0,
    1684,  1685,     0,     0,   677,   678,  1686,   679,  1687,  1688,
     680,   681,   682,   683,   684,   685,   686,     0,  1689,   687,
     688,   689,   690,   691,  1690,     0,   692,   693,   694,   695,
     696,   749,  1691,     0,   697,   237,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,  1692,  1693,  1694,  1695,   244,  1696,  1697,  1698,
    1699,   249,   750,   709,   710,  1700,     0,     0,     0,     0,
       0,     0,  1701,  1702,     0,     0,     0,     0,     0,     0,
       0,  1704,  4480,   774,    86,    87,    88,   726,    90,    91,
      92,   727,     0,   728,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   775,   104,   105,   729,   776,     0,   107,
     108,   109,   110,   777,   778,   112,   113,   114,     0,   115,
     779,   780,   730,   731,     0,     0,     0,   732,   733,     0,
       0,     0,     0,   734,     0,     0,     0,     0,     0,     0,
       0,     0,   735,     0,   736,     0,   737,   738,    35,   434,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1635,  1636,  1637,    45,  1638,     0,     0,     0,     0,     0,
       0,     0,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,     0,     0,     0,     0,  1639,     0,
       0,   446,   447,     0,   448,   449,   450,   132,   451,   452,
     453,   134,  1640,   136,  1641,  1642,     0,   454,   455,   456,
     457,   458,  1643,  1644,   459,   460,  1645,  1646,   461,     0,
     462,   463,   464,   465,  1647,     0,  1648,     0,   466,   467,
     468,   469,   470,   147,   471,   472,   741,     0,   473,   474,
     475,   476,   477,   478,     0,   150,   479,   480,     0,  1649,
    1650,  1651,  1652,  1653,  1654,  1655,   482,   483,   484,   485,
     743,   486,  1656,  1657,   487,  1658,   488,     0,   489,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
       0,   499,   500,  1470,   502,   503,     0,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,  1659,
     514,   515,   516,  1660,  1661,   517,     0,   518,   519,  1662,
     520,     0,   521,     0,   522,   168,     0,   169,   523,   524,
     525,   526,     0,   527,  1663,     0,  1664,   528,     0,   529,
     530,   745,   531,   532,   173,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,  1473,  1665,     0,  1666,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,  1667,   183,   555,   184,     0,   556,   557,   558,
    1668,  1669,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   746,   568,   569,   747,   570,   571,   572,  1670,   190,
    1671,   573,   574,   575,   192,  1672,   576,   577,   194,   578,
    1673,  1674,   579,  1675,   580,   581,   582,     0,   583,   584,
       0,     0,  1676,   586,   587,     0,     0,   588,   197,   198,
     589,   199,  1677,   590,   591,   592,   593,   594,   595,   596,
     597,   598,     0,   599,   600,  1678,   601,   202,   602,   603,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,  1679,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   211,   632,   633,   634,  1680,   635,   636,   637,
     638,   639,   640,   641,   748,   642,     0,   643,   644,   645,
     646,   647,  1681,   649,   650,   218,   651,   652,   220,   653,
     654,  1682,   655,     0,   656,   657,   658,   659,   660,   661,
     662,   663,   664,   665,   666,   667,  1683,     0,   668,   669,
       0,   670,   225,   671,   672,   673,   674,   675,     0,  1684,
    1685,     0,     0,   677,   678,  1686,   679,  1687,  1688,   680,
     681,   682,   683,   684,   685,   686,     0,  1689,   687,   688,
     689,   690,   691,  1690,     0,   692,   693,   694,   695,   696,
     749,  1691,     0,   697,   237,   698,   699,   700,   701,     0,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
     239,  1692,  1693,  1694,  1695,   244,  1696,  1697,  1698,  1699,
     249,   750,   709,   710,  1700,     0,     0,     0,     0,     0,
       0,  1701,  1702,     0,     0,     0,     0,     0,     0,     0,
    1704,  4551,   774,    86,    87,    88,   726,    90,    91,    92,
     727,     0,   728,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   775,   104,   105,   729,   776,     0,   107,   108,
     109,   110,   777,   778,   112,   113,   114,     0,   115,   779,
     780,   730,   731,     0,     0,     0,   732,   733,     0,     0,
       0,     0,   734,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,   736,     0,   737,   738,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,     0,     0,     0,
     446,   447,     0,   448,   449,   450,   132,   451,   452,   453,
       0,  1463,   136,  1464,  1465,     0,   454,   455,   456,   457,
     458,     0,     0,   459,   460,  1466,  1467,   461,     0,   462,
     463,   464,   465,     0,     0,   144,     0,   466,   467,   468,
     469,   470,   147,   471,   472,   741,     0,   473,   474,   475,
     476,   477,   478,     0,   150,   479,   480,     0,     0,     0,
       0,   151,     0,     0,     0,   482,   483,   484,   485,   743,
     486,  1468,  1469,   487,     0,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,  1470,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,     0,   514,
     515,   516,     0,     0,   517,     0,   518,   519,  1471,   520,
       0,   521,     0,   522,   168,     0,   169,   523,   524,   525,
     526,     0,   527,     0,     0,     0,   528,     0,   529,   530,
     745,   531,   532,   173,   533,   534,   535,   536,  2622,   537,
     538,   539,   540,   541,   542,     0,   543,   175,  2623,     0,
     544,   545,   546,  1473,  1474,     0,  1475,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,     0,   183,   555,   184,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     746,   568,   569,   747,   570,   571,   572,  1476,   190,  1477,
     573,   574,   575,     0,     0,   576,   577,   194,   578,     0,
       0,   579,  1478,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,  2625,   198,   589,
     199,     0,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,     0,   601,     0,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
    1479,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   211,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   748,   642,     0,   643,   644,   645,   646,
     647,     0,   649,   650,  2626,   651,   652,   220,   653,   654,
    1481,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,     0,     0,   668,   669,     0,
     670,   225,   671,   672,   673,   674,   675,     0,  1482,  1483,
       0,     0,   677,   678,     0,   679,     0,     0,   680,   681,
     682,   683,   684,   685,   686,     0,     0,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
    1484,  2627,   697,   237,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     750,   709,   710,     0,     0,     0,     0,   774,    86,    87,
      88,   726,    90,    91,    92,   727,     0,   728,    95,     0,
    2732,    98,    99,   100,   101,   102,   103,   775,   104,   105,
     729,   776,     0,   107,   108,   109,   110,   777,   778,   112,
     113,   114,     0,   115,   779,   780,   730,   731,     0,     0,
       0,   732,   733,     0,     0,     0,     0,   734,     0,     0,
       0,     0,     0,     0,     0,     0,   735,     0,   736,     0,
     737,   738,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,     0,     0,
       0,     0,     0,     0,     0,   446,   447,     0,   448,   449,
     450,   132,   451,   452,   453,     0,  1463,   136,  1464,  1465,
       0,   454,   455,   456,   457,   458,     0,     0,   459,   460,
    1466,  1467,   461,     0,   462,   463,   464,   465,     0,     0,
     144,     0,   466,   467,   468,   469,   470,   147,   471,   472,
     741,     0,   473,   474,   475,   476,   477,   478,     0,   150,
     479,   480,     0,     0,     0,     0,   151,     0,     0,     0,
     482,   483,   484,   485,   743,   486,  1468,  1469,   487,     0,
     488,     0,   489,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,     0,   499,   500,  1470,   502,   503,
       0,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,     0,   514,   515,   516,     0,     0,   517,
       0,   518,   519,  1471,   520,     0,   521,     0,   522,   168,
       0,   169,   523,   524,   525,   526,     0,   527,     0,     0,
       0,   528,     0,   529,   530,   745,   531,   532,   173,   533,
     534,   535,   536,  2622,   537,   538,   539,   540,   541,   542,
       0,   543,   175,  2623,     0,   544,   545,   546,  1473,  1474,
       0,  1475,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,     0,   183,   555,   184,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   746,   568,   569,   747,   570,
     571,   572,  1476,   190,  1477,   573,   574,   575,     0,     0,
     576,   577,   194,   578,     0,     0,   579,  1478,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,  2625,   198,   589,   199,     0,   590,   591,   592,
     593,   594,   595,   596,   597,   598,     0,   599,   600,     0,
     601,     0,   602,   603,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,  1479,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   211,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   748,   642,
       0,   643,   644,   645,   646,   647,     0,   649,   650,  2626,
     651,   652,   220,   653,   654,  1481,   655,     0,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   665,   666,   667,
       0,     0,   668,   669,     0,   670,   225,   671,   672,   673,
     674,   675,     0,  1482,  1483,     0,     0,   677,   678,     0,
     679,     0,     0,   680,   681,   682,   683,   684,   685,   686,
       0,     0,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,  1484,  2627,   697,   237,   698,
     699,   700,   701,     0,     0,   702,     0,     0,   703,   704,
     705,   706,   707,   708,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   750,   709,   710,     0,     0,
       0,     0,   774,    86,    87,    88,   726,    90,    91,    92,
     727,     0,   728,    95,     0,  3777,    98,    99,   100,   101,
     102,   103,   775,   104,   105,   729,   776,     0,   107,   108,
     109,   110,   777,   778,   112,   113,   114,     0,   115,   779,
     780,   730,   731,     0,     0,     0,   732,   733,     0,     0,
       0,     0,   734,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,   736,     0,   737,   738,    35,   434,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1635,
    1636,  1637,    45,  1638,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,  1639,     0,     0,
     446,   447,     0,   448,   449,   450,   132,   451,   452,   453,
     134,  1640,   136,  1641,  1642,     0,   454,   455,   456,   457,
     458,  1643,  1644,   459,   460,  1645,  1646,   461,     0,   462,
     463,   464,   465,  1647,     0,  1648,     0,   466,   467,   468,
     469,   470,   147,   471,   472,   741,     0,   473,   474,   475,
     476,   477,   478,     0,   150,   479,   480,     0,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,   482,   483,   484,   485,   743,
     486,  1656,  1657,   487,  1658,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,  1470,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,  1659,   514,
     515,   516,  1660,  1661,   517,     0,   518,   519,  1662,   520,
       0,   521,     0,   522,   168,     0,   169,   523,   524,   525,
     526,     0,   527,  1663,     0,  1664,   528,     0,   529,   530,
     745,   531,   532,   173,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,  1473,  1665,     0,  1666,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1667,   183,   555,   184,     0,   556,   557,   558,  1668,
    1669,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     746,   568,   569,   747,   570,   571,   572,  1670,   190,  1671,
     573,   574,   575,   192,  1672,   576,   577,   194,   578,  1673,
    1674,   579,  1675,   580,   581,   582,     0,   583,   584,     0,
       0,  1676,   586,   587,     0,     0,   588,   197,   198,   589,
     199,  1677,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,  1678,   601,   202,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
    1679,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   211,   632,   633,   634,  1680,   635,   636,   637,   638,
     639,   640,   641,   748,   642,   216,   643,   644,   645,   646,
     647,  1681,   649,   650,   218,   651,   652,   220,   653,   654,
    1682,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,  1683,     0,   668,   669,   224,
     670,   225,   671,   672,   673,   674,   675,     0,  1684,  1685,
       0,     0,   677,   678,  1686,   679,  1687,  1688,   680,   681,
     682,   683,   684,   685,   686,     0,  1689,   687,   688,   689,
     690,   691,  1690,     0,   692,   693,   694,   695,   696,  2413,
    1691,     0,   697,   237,   698,   699,   700,   701,     0,     0,
     702,     0,   238,   703,   704,   705,   706,   707,   708,   239,
    1692,  1693,  1694,  1695,   244,  1696,  1697,  1698,  1699,   249,
     750,   709,   710,  1700,     0,   250,     0,     0,     0,     0,
    1701,  1702,     0,     0,     0,     0,     0,     0,     0,  1704,
     774,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     775,   104,   105,   729,   776,     0,   107,   108,   109,   110,
     777,   778,   112,   113,   114,     0,   115,   779,   780,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1635,  1636,  1637,
      45,  1638,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,  1639,     0,     0,   446,   447,
       0,   448,   449,   450,   132,   451,   452,   453,   134,  1640,
     136,  1641,  1642,  3202,   454,   455,   456,   457,   458,  1643,
    1644,   459,   460,  1645,  1646,   461,     0,   462,   463,   464,
     465,  1647,     0,  1648,     0,   466,   467,   468,   469,   470,
     147,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,   150,   479,   480,     0,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,   482,   483,   484,   485,   743,   486,  1656,
    1657,   487,  1658,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
    1470,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,  1659,   514,   515,   516,
    1660,  1661,   517,     0,   518,   519,  1662,   520,     0,   521,
       0,   522,   168,  3203,   169,   523,   524,   525,   526,     0,
     527,  1663,     0,  1664,   528,     0,   529,   530,   745,   531,
     532,   173,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,  1473,  1665,     0,  1666,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,  3204,   554,  1667,
     183,   555,   184,     0,   556,   557,   558,  1668,  1669,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,  1670,   190,  1671,   573,   574,
     575,   192,  1672,   576,   577,   194,   578,  1673,  1674,   579,
    1675,   580,   581,   582,     0,   583,   584,     0,     0,  1676,
     586,   587,     0,     0,   588,   197,   198,   589,   199,  1677,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,  1678,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,  1679,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   211,
     632,   633,   634,  1680,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,  1681,
     649,   650,   218,   651,   652,   220,   653,   654,  1682,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,  1683,     0,   668,   669,     0,   670,   225,
     671,   672,   673,   674,   675,     0,  1684,  1685,     0,  3205,
     677,   678,  1686,   679,  1687,  1688,   680,   681,   682,   683,
     684,   685,   686,     0,  1689,   687,   688,   689,   690,   691,
    1690,     0,   692,   693,   694,   695,   696,   749,  1691,     0,
     697,   237,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,  1692,  1693,
    1694,  1695,   244,  1696,  1697,  1698,  1699,   249,   750,   709,
     710,  1700,     0,     0,     0,     0,     0,     0,  1701,  1702,
       0,     0,     0,     0,     0,     0,     0,  1704,   774,    86,
      87,    88,   726,    90,    91,    92,   727,     0,   728,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   775,   104,
     105,   729,   776,     0,   107,   108,   109,   110,   777,   778,
     112,   113,   114,     0,   115,   779,   780,   730,   731,     0,
       0,     0,   732,   733,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,   736,
       0,   737,   738,    35,   434,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1635,  1636,  1637,    45,  1638,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,     0,
       0,     0,     0,  1639,     0,     0,   446,   447,     0,   448,
     449,   450,   132,   451,   452,   453,   134,  1640,   136,  1641,
    1642,     0,   454,   455,   456,   457,   458,  1643,  1644,   459,
     460,  1645,  1646,   461,     0,   462,   463,   464,   465,  1647,
       0,  1648,     0,   466,   467,   468,   469,   470,   147,   471,
     472,   741,     0,   473,   474,   475,   476,   477,   478,     0,
     150,   479,   480,     0,  1649,  1650,  1651,  1652,  1653,  1654,
    1655,   482,   483,   484,   485,   743,   486,  1656,  1657,   487,
    1658,   488,     0,   489,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,     0,   499,   500,  1470,   502,
     503,     0,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,  1659,   514,   515,   516,  1660,  1661,
     517,     0,   518,   519,  1662,   520,     0,   521,     0,   522,
     168,     0,   169,   523,   524,   525,   526,     0,   527,  1663,
       0,  1664,   528,     0,   529,   530,   745,   531,   532,   173,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1473,
    1665,     0,  1666,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1667,   183,   555,
     184,     0,   556,   557,   558,  1668,  1669,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   746,   568,   569,   747,
     570,   571,   572,  1670,   190,  1671,   573,   574,   575,   192,
    1672,   576,   577,   194,   578,  1673,  1674,   579,  1675,   580,
     581,   582,     0,   583,   584,     0,     0,  1676,   586,   587,
       0,     0,   588,   197,   198,   589,   199,  1677,   590,   591,
     592,   593,   594,   595,   596,   597,   598,     0,   599,   600,
    1678,   601,   202,   602,   603,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,  1679,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   211,   632,   633,
     634,  1680,   635,   636,   637,   638,   639,   640,   641,   748,
     642,     0,   643,   644,   645,   646,   647,  1681,   649,   650,
     218,   651,   652,   220,   653,   654,  1682,   655,     0,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,  1683,     0,   668,   669,     0,   670,   225,   671,   672,
     673,   674,   675,     0,  1684,  1685,     0,     0,   677,   678,
    1686,   679,  1687,  1688,   680,   681,   682,   683,   684,   685,
     686,     0,  1689,   687,   688,   689,   690,   691,  1690,     0,
     692,   693,   694,   695,   696,   749,  1691,     0,   697,   237,
     698,   699,   700,   701,     0,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   239,  1692,  1693,  1694,  1695,
     244,  1696,  1697,  1698,  1699,   249,   750,   709,   710,  1700,
       0,     0,     0,     0,     0,     0,  1701,  1702,     0,     0,
       0,     0,     0,  2375,  3157,  1704,   774,    86,    87,    88,
     726,    90,    91,    92,   727,     0,   728,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   775,   104,   105,   729,
     776,     0,   107,   108,   109,   110,   777,   778,   112,   113,
     114,     0,   115,   779,   780,   730,   731,     0,     0,     0,
     732,   733,     0,     0,     0,     0,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   736,     0,   737,
     738,    35,   434,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1635,  1636,  1637,    45,  1638,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,  1639,     0,     0,   446,   447,     0,   448,   449,   450,
     132,   451,   452,   453,   134,  1640,   136,  1641,  1642,     0,
     454,   455,   456,   457,   458,  1643,  1644,   459,   460,  1645,
    1646,   461,     0,   462,   463,   464,   465,  1647,     0,  1648,
       0,   466,   467,   468,   469,   470,   147,   471,   472,   741,
       0,   473,   474,   475,   476,   477,   478,     0,   150,   479,
     480,     0,  1649,  1650,  1651,  1652,  1653,  1654,  1655,   482,
     483,   484,   485,   743,   486,  1656,  1657,   487,  1658,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,  1470,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,  1659,   514,   515,   516,  1660,  1661,   517,     0,
     518,   519,  1662,   520,     0,   521,     0,   522,   168,     0,
     169,   523,   524,   525,   526,     0,   527,  1663,     0,  1664,
     528,     0,   529,   530,   745,   531,   532,   173,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,  1473,  1665,     0,
    1666,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,  1667,   183,   555,   184,     0,
     556,   557,   558,  1668,  1669,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   746,   568,   569,   747,   570,   571,
     572,  1670,   190,  1671,   573,   574,   575,   192,  1672,   576,
     577,   194,   578,  1673,  1674,   579,  1675,   580,   581,   582,
       0,   583,   584,     0,     0,  1676,   586,   587,     0,     0,
     588,   197,   198,   589,   199,  1677,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,  1678,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,  1679,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   211,   632,   633,   634,  1680,
     635,   636,   637,   638,   639,   640,   641,   748,   642,     0,
     643,   644,   645,   646,   647,  1681,   649,   650,   218,   651,
     652,   220,   653,   654,  1682,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,  1683,
       0,   668,   669,     0,   670,   225,   671,   672,   673,   674,
     675,     0,  1684,  1685,     0,     0,   677,   678,  1686,   679,
    1687,  1688,   680,   681,   682,   683,   684,   685,   686,     0,
    1689,   687,   688,   689,   690,   691,  1690,     0,   692,   693,
     694,   695,   696,   749,  1691,     0,   697,   237,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,   239,  1692,  1693,  1694,  1695,   244,  1696,
    1697,  1698,  1699,   249,   750,   709,   710,  1700,     0,     0,
       0,     0,     0,     0,  1701,  1702,  1703,     0,     0,     0,
       0,     0,     0,  1704,   774,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   775,   104,   105,   729,   776,     0,
     107,   108,   109,   110,   777,   778,   112,   113,   114,     0,
     115,   779,   780,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1635,  1636,  1637,    45,  1638,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,  2545,   443,   444,   445,     0,     0,     0,     0,  1639,
       0,     0,   446,   447,     0,   448,   449,   450,   132,   451,
     452,   453,   134,  1640,   136,  1641,  1642,     0,   454,   455,
     456,   457,   458,  1643,  1644,   459,   460,  1645,  1646,   461,
       0,   462,   463,   464,   465,  1647,     0,  1648,     0,   466,
     467,   468,   469,   470,   147,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,   150,   479,   480,     0,
    1649,  1650,  1651,  1652,  1653,  1654,  1655,   482,   483,   484,
     485,   743,   486,  1656,  1657,   487,  1658,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,  1470,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
    1659,   514,   515,   516,  1660,  1661,   517,     0,   518,   519,
    1662,   520,     0,   521,     0,   522,   168,     0,   169,   523,
     524,   525,   526,     0,   527,  1663,     0,  1664,   528,     0,
     529,   530,   745,   531,   532,   173,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,  1473,  1665,     0,  1666,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,  1667,   183,   555,   184,     0,   556,   557,
     558,  1668,  1669,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,  1670,
     190,  1671,   573,   574,   575,   192,  1672,   576,   577,   194,
     578,  1673,  1674,   579,  1675,   580,   581,   582,     0,   583,
     584,     0,     0,  1676,   586,   587,     0,     0,   588,   197,
     198,   589,   199,  1677,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,  1678,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,  1679,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   211,   632,   633,   634,  1680,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,  1681,   649,   650,   218,   651,   652,   220,
     653,   654,  1682,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,  1683,     0,   668,
     669,     0,   670,   225,   671,   672,   673,   674,   675,     0,
    1684,  1685,     0,     0,   677,   678,  1686,   679,  1687,  1688,
     680,   681,   682,   683,   684,   685,   686,     0,  1689,   687,
     688,   689,   690,   691,  1690,     0,   692,   693,   694,   695,
     696,   749,  1691,     0,   697,   237,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,  1692,  1693,  1694,  1695,   244,  1696,  1697,  1698,
    1699,   249,   750,   709,   710,  1700,     0,     0,     0,     0,
       0,     0,  1701,  1702,     0,     0,     0,     0,     0,     0,
       0,  1704,   774,    86,    87,    88,   726,    90,    91,    92,
     727,     0,   728,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   775,   104,   105,   729,   776,     0,   107,   108,
     109,   110,   777,   778,   112,   113,   114,     0,   115,   779,
     780,   730,   731,     0,     0,     0,   732,   733,     0,     0,
       0,     0,   734,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,   736,     0,   737,   738,    35,   434,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1635,
    1636,  1637,    45,  1638,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,  1639,     0,     0,
     446,   447,     0,   448,   449,   450,   132,   451,   452,   453,
     134,  1640,   136,  1641,  1642,     0,   454,   455,   456,   457,
     458,  1643,  1644,   459,   460,  1645,  1646,   461,     0,   462,
     463,   464,   465,  1647,     0,  1648,     0,   466,   467,   468,
     469,   470,   147,   471,   472,   741,     0,   473,   474,   475,
     476,   477,   478,     0,   150,   479,   480,     0,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,   482,   483,   484,   485,   743,
     486,  1656,  1657,   487,  1658,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,  1470,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,  1659,   514,
     515,   516,  1660,  1661,   517,     0,   518,   519,  1662,   520,
       0,   521,     0,   522,   168,  3203,   169,   523,   524,   525,
     526,     0,   527,  1663,     0,  1664,   528,     0,   529,   530,
     745,   531,   532,   173,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,  1473,  1665,     0,  1666,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1667,   183,   555,   184,     0,   556,   557,   558,  1668,
    1669,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     746,   568,   569,   747,   570,   571,   572,  1670,   190,  1671,
     573,   574,   575,   192,  1672,   576,   577,   194,   578,  1673,
    1674,   579,  1675,   580,   581,   582,     0,   583,   584,     0,
       0,  1676,   586,   587,     0,     0,   588,   197,   198,   589,
     199,  1677,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,  1678,   601,   202,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
    1679,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   211,   632,   633,   634,  1680,   635,   636,   637,   638,
     639,   640,   641,   748,   642,     0,   643,   644,   645,   646,
     647,  1681,   649,   650,   218,   651,   652,   220,   653,   654,
    1682,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,  1683,     0,   668,   669,     0,
     670,   225,   671,   672,   673,   674,   675,     0,  1684,  1685,
       0,     0,   677,   678,  1686,   679,  1687,  1688,   680,   681,
     682,   683,   684,   685,   686,     0,  1689,   687,   688,   689,
     690,   691,  1690,     0,   692,   693,   694,   695,   696,   749,
    1691,     0,   697,   237,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,   239,
    1692,  1693,  1694,  1695,   244,  1696,  1697,  1698,  1699,   249,
     750,   709,   710,  1700,     0,     0,     0,     0,     0,     0,
    1701,  1702,     0,     0,     0,     0,     0,     0,     0,  1704,
     774,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     775,   104,   105,   729,   776,     0,   107,   108,   109,   110,
     777,   778,   112,   113,   114,     0,   115,   779,   780,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1635,  1636,  1637,
      45,  1638,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,  1639,     0,     0,   446,   447,
       0,   448,   449,   450,   132,   451,   452,   453,   134,  1640,
     136,  1641,  1642,     0,   454,   455,   456,   457,   458,  1643,
    1644,   459,   460,  1645,  1646,   461,     0,   462,   463,   464,
     465,  1647,     0,  1648,     0,   466,   467,   468,   469,   470,
     147,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,   150,   479,   480,     0,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,   482,   483,   484,   485,   743,   486,  1656,
    1657,   487,  1658,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
    1470,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,  1659,   514,   515,   516,
    1660,  1661,   517,     0,   518,   519,  1662,   520,     0,   521,
       0,   522,   168,     0,   169,   523,   524,   525,   526,     0,
     527,  1663,     0,  1664,   528,     0,   529,   530,   745,   531,
     532,   173,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,  1473,  1665,     0,  1666,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,  1667,
     183,   555,   184,     0,   556,   557,   558,  1668,  1669,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,  1670,   190,  1671,   573,   574,
     575,   192,  1672,   576,   577,   194,   578,  1673,  1674,   579,
    1675,   580,   581,   582,     0,   583,   584,     0,     0,  1676,
     586,   587,     0,     0,   588,   197,   198,   589,   199,  1677,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,  1678,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,  1679,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   211,
     632,   633,   634,  1680,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,  1681,
     649,   650,   218,   651,   652,   220,   653,   654,  1682,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,  1683,     0,   668,   669,     0,   670,   225,
     671,   672,   673,   674,   675,     0,  1684,  1685,     0,     0,
     677,   678,  1686,   679,  1687,  1688,   680,   681,   682,   683,
     684,   685,   686,     0,  1689,   687,   688,   689,   690,   691,
    1690,     0,   692,   693,   694,   695,   696,   749,  1691,  4601,
     697,   237,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,  1692,  1693,
    1694,  1695,   244,  1696,  1697,  1698,  1699,   249,   750,   709,
     710,  1700,     0,     0,     0,     0,     0,     0,  1701,  1702,
       0,     0,     0,     0,     0,     0,     0,  1704,   774,    86,
      87,    88,   726,    90,    91,    92,   727,     0,   728,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   775,   104,
     105,   729,   776,     0,   107,   108,   109,   110,   777,   778,
     112,   113,   114,     0,   115,   779,   780,   730,   731,     0,
       0,     0,   732,   733,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,   736,
       0,   737,   738,    35,   434,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1635,  1636,  1637,    45,  1638,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,     0,
       0,     0,     0,  1639,     0,     0,   446,   447,     0,   448,
     449,   450,   132,   451,   452,   453,   134,  1640,   136,  1641,
    1642,     0,   454,   455,   456,   457,   458,  1643,  1644,   459,
     460,  1645,  1646,   461,     0,   462,   463,   464,   465,  1647,
       0,  1648,     0,   466,   467,   468,   469,   470,   147,   471,
     472,   741,     0,   473,   474,   475,   476,   477,   478,     0,
     150,   479,   480,  4617,  1649,  1650,  1651,  1652,  1653,  1654,
    1655,   482,   483,   484,   485,   743,   486,  1656,  1657,   487,
    1658,   488,     0,   489,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,     0,   499,   500,  1470,   502,
     503,     0,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,  1659,   514,   515,   516,  1660,  1661,
     517,     0,   518,   519,  1662,   520,     0,   521,     0,   522,
     168,     0,   169,   523,   524,   525,   526,     0,   527,  1663,
       0,  1664,   528,     0,   529,   530,   745,   531,   532,   173,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1473,
    1665,     0,  1666,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1667,   183,   555,
     184,     0,   556,   557,   558,  1668,  1669,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   746,   568,   569,   747,
     570,   571,   572,  1670,   190,  1671,   573,   574,   575,   192,
    1672,   576,   577,   194,   578,  1673,  1674,   579,  1675,   580,
     581,   582,     0,   583,   584,     0,     0,  1676,   586,   587,
       0,     0,   588,   197,   198,   589,   199,  1677,   590,   591,
     592,   593,   594,   595,   596,   597,   598,     0,   599,   600,
    1678,   601,   202,   602,   603,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,  1679,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   211,   632,   633,
     634,  1680,   635,   636,   637,   638,   639,   640,   641,   748,
     642,     0,   643,   644,   645,   646,   647,  1681,   649,   650,
     218,   651,   652,   220,   653,   654,  1682,   655,     0,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,  1683,     0,   668,   669,     0,   670,   225,   671,   672,
     673,   674,   675,     0,  1684,  1685,     0,     0,   677,   678,
    1686,   679,  1687,  1688,   680,   681,   682,   683,   684,   685,
     686,     0,  1689,   687,   688,   689,   690,   691,  1690,     0,
     692,   693,   694,   695,   696,   749,  1691,     0,   697,   237,
     698,   699,   700,   701,     0,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   239,  1692,  1693,  1694,  1695,
     244,  1696,  1697,  1698,  1699,   249,   750,   709,   710,  1700,
       0,     0,     0,     0,     0,     0,  1701,  1702,     0,     0,
       0,     0,     0,     0,     0,  1704,   774,    86,    87,    88,
     726,    90,    91,    92,   727,     0,   728,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   775,   104,   105,   729,
     776,     0,   107,   108,   109,   110,   777,   778,   112,   113,
     114,     0,   115,   779,   780,   730,   731,     0,     0,     0,
     732,   733,     0,     0,     0,     0,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   736,     0,   737,
     738,    35,   434,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1635,  1636,  1637,    45,  1638,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,  1639,     0,     0,   446,   447,     0,   448,   449,   450,
     132,   451,   452,   453,  5753,  1640,   136,  1641,  1642,     0,
     454,   455,   456,   457,   458,  1643,  1644,   459,   460,  1645,
    1646,   461,     0,   462,   463,   464,   465,  1647,     0,  1648,
       0,   466,   467,   468,   469,   470,   147,   471,   472,   741,
       0,   473,   474,   475,   476,   477,   478,     0,   150,   479,
     480,  5754,  1649,  1650,  1651,  1652,  1653,  1654,  1655,   482,
     483,   484,   485,   743,   486,  1656,  1657,   487,  1658,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,  1470,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,  1659,   514,   515,   516,  1660,  1661,   517,     0,
     518,   519,  1662,   520,     0,   521,     0,   522,   168,     0,
     169,   523,   524,   525,   526,     0,   527,  1663,     0,  1664,
     528,     0,   529,   530,   745,   531,   532,   173,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,  1473,  1665,     0,
    1666,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,  1667,   183,   555,   184,     0,
     556,   557,   558,  1668,  1669,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   746,   568,   569,   747,   570,   571,
     572,  1670,   190,  1671,   573,   574,   575,   192,  1672,   576,
     577,   194,   578,  1673,  1674,   579,  1675,   580,   581,   582,
       0,   583,   584,     0,     0,  1676,   586,   587,     0,     0,
     588,   197,   198,   589,   199,  1677,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,  1678,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,  1679,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   211,   632,   633,   634,  1680,
     635,   636,   637,   638,   639,   640,   641,   748,   642,     0,
     643,   644,   645,   646,   647,  1681,   649,   650,   218,   651,
     652,   220,   653,   654,  1682,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,  1683,
       0,   668,   669,     0,   670,   225,   671,   672,   673,   674,
     675,     0,  1684,  1685,     0,     0,   677,   678,  1686,   679,
    1687,  1688,   680,   681,   682,   683,  5755,   685,   686,     0,
    1689,   687,   688,   689,   690,   691,  1690,     0,   692,   693,
     694,   695,   696,   749,  1691,     0,   697,   237,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,   239,  1692,  1693,  1694,  1695,   244,  1696,
    1697,  1698,  1699,   249,   750,   709,   710,  1700,     0,     0,
       0,     0,     0,     0,  1701,  1702,     0,     0,     0,     0,
       0,     0,     0,  1704,   774,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   775,   104,   105,   729,   776,     0,
     107,   108,   109,   110,   777,   778,   112,   113,   114,     0,
     115,   779,   780,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1635,  1636,  1637,    45,  1638,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,  1639,
       0,     0,   446,   447,     0,   448,   449,   450,   132,   451,
     452,   453,   134,  1640,   136,  1641,  1642,     0,   454,   455,
     456,   457,   458,  1643,  1644,   459,   460,  1645,  1646,   461,
       0,   462,   463,   464,   465,  1647,     0,  1648,     0,   466,
     467,   468,   469,   470,   147,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,   150,   479,   480,  5754,
    1649,  1650,  1651,  1652,  1653,  1654,  1655,   482,   483,   484,
     485,   743,   486,  1656,  1657,   487,  1658,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,  1470,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
    1659,   514,   515,   516,  1660,  1661,   517,     0,   518,   519,
    1662,   520,     0,   521,     0,   522,   168,     0,   169,   523,
     524,   525,   526,     0,   527,  1663,     0,  1664,   528,     0,
     529,   530,   745,   531,   532,   173,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,  1473,  1665,     0,  1666,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,  1667,   183,   555,   184,     0,   556,   557,
     558,  1668,  1669,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,  1670,
     190,  1671,   573,   574,   575,   192,  1672,   576,   577,   194,
     578,  1673,  1674,   579,  1675,   580,   581,   582,     0,   583,
     584,     0,     0,  1676,   586,   587,     0,     0,   588,   197,
     198,   589,   199,  1677,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,  1678,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,  1679,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   211,   632,   633,   634,  1680,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,  1681,   649,   650,   218,   651,   652,   220,
     653,   654,  1682,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,  1683,     0,   668,
     669,     0,   670,   225,   671,   672,   673,   674,   675,     0,
    1684,  1685,     0,     0,   677,   678,  1686,   679,  1687,  1688,
     680,   681,   682,   683,  5755,   685,   686,     0,  1689,   687,
     688,   689,   690,   691,  1690,     0,   692,   693,   694,   695,
     696,   749,  1691,     0,   697,   237,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,  1692,  1693,  1694,  1695,   244,  1696,  1697,  1698,
    1699,   249,   750,   709,   710,  1700,     0,     0,     0,     0,
       0,     0,  1701,  1702,     0,     0,     0,     0,     0,     0,
       0,  1704,   774,    86,    87,    88,   726,    90,    91,    92,
     727,     0,   728,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   775,   104,   105,   729,   776,     0,   107,   108,
     109,   110,   777,   778,   112,   113,   114,     0,   115,   779,
     780,   730,   731,     0,     0,     0,   732,   733,     0,     0,
       0,     0,   734,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,   736,     0,   737,   738,    35,   434,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1635,
    1636,  1637,    45,  1638,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,  1639,     0,     0,
     446,   447,     0,   448,   449,   450,   132,   451,   452,   453,
     134,  1640,   136,  1641,  1642,     0,   454,   455,   456,   457,
     458,  1643,  1644,   459,   460,  1645,  1646,   461,     0,   462,
     463,   464,   465,  1647,     0,  1648,     0,   466,   467,   468,
     469,   470,   147,   471,   472,   741,     0,   473,   474,   475,
     476,   477,   478,     0,   150,   479,   480,     0,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,   482,   483,   484,   485,   743,
     486,  1656,  1657,   487,  1658,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,  1470,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,  1659,   514,
     515,   516,  1660,  1661,   517,     0,   518,   519,  1662,   520,
       0,   521,     0,   522,   168,     0,   169,   523,   524,   525,
     526,     0,   527,  1663,     0,  1664,   528,     0,   529,   530,
     745,   531,   532,   173,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,  1473,  1665,     0,  1666,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1667,   183,   555,   184,     0,   556,   557,   558,  1668,
    1669,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     746,   568,   569,   747,   570,   571,   572,  1670,   190,  1671,
     573,   574,   575,   192,  1672,   576,   577,   194,   578,  1673,
    1674,   579,  1675,   580,   581,   582,     0,   583,   584,     0,
       0,  1676,   586,   587,     0,     0,   588,   197,   198,   589,
     199,  1677,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,  1678,   601,   202,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
    1679,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   211,   632,   633,   634,  1680,   635,   636,   637,   638,
     639,   640,   641,   748,   642,     0,   643,   644,   645,   646,
     647,  1681,   649,   650,   218,   651,   652,   220,   653,   654,
    1682,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,  1683,     0,   668,   669,     0,
     670,   225,   671,   672,   673,   674,   675,     0,  1684,  1685,
       0,     0,   677,   678,  1686,   679,  1687,  1688,   680,   681,
     682,   683,   684,   685,   686,     0,  1689,   687,   688,   689,
     690,   691,  1690,     0,   692,   693,   694,   695,   696,   749,
    1691,     0,   697,   237,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,   239,
    1692,  1693,  1694,  1695,   244,  1696,  1697,  1698,  1699,   249,
     750,   709,   710,  1700,     0,     0,     0,     0,     0,     0,
    1701,  1702,     0,     0,     0,     0,     0,     0,     0,  1704,
     774,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     775,   104,   105,   729,   776,     0,   107,   108,   109,   110,
     777,   778,   112,   113,   114,     0,   115,   779,   780,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1635,  1636,  1637,
      45,  1638,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,  1639,     0,     0,   446,   447,
       0,   448,   449,   450,   132,   451,   452,   453,   134,  1640,
     136,  1641,  1642,     0,   454,   455,   456,   457,   458,  1643,
    1644,   459,   460,  1645,  1646,   461,     0,   462,   463,   464,
     465,  1647,     0,  1648,     0,   466,   467,   468,   469,   470,
     147,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,   150,   479,   480,     0,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,   482,   483,   484,   485,   743,   486,  1656,
    1657,   487,  1658,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
    1470,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,  1659,   514,   515,   516,
    1660,  1661,   517,     0,   518,   519,  1662,   520,     0,   521,
       0,   522,   168,     0,   169,   523,   524,   525,   526,     0,
     527,  1663,     0,  1664,   528,     0,   529,   530,   745,   531,
     532,   173,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,  1473,  1665,     0,  1666,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,  1667,
     183,   555,   184,     0,   556,   557,   558,  1668,  1669,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,  1670,   190,  1671,   573,   574,
     575,   192,  1672,   576,   577,   194,   578,  1673,  1674,   579,
    1675,   580,   581,   582,     0,   583,   584,     0,     0,  1676,
     586,   587,     0,     0,   588,   197,   198,   589,   199,  1677,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,  1678,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,  1679,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   211,
     632,   633,   634,  1680,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,  1681,
     649,   650,   218,   651,   652,   220,   653,   654,  1682,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,  1683,     0,   668,   669,     0,   670,   225,
     671,   672,   673,   674,   675,     0,  1684,  1685,     0,     0,
     677,   678,  1686,   679,  1687,  1688,   680,   681,   682,   683,
     684,   685,   686,     0,  1689,   687,   688,   689,   690,   691,
    1690,     0,   692,   693,   694,   695,   696,   749,  1691,     0,
     697,   237,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,  4955,  1692,  1693,
    1694,  1695,   244,  1696,  1697,  1698,  1699,   249,   750,   709,
     710,  1700,     0,     0,     0,     0,     0,     0,  1701,  1702,
       0,     0,     0,     0,     0,     0,     0,  1704,   774,    86,
      87,    88,   726,    90,    91,    92,   727,     0,   728,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   775,   104,
     105,   729,   776,     0,   107,   108,   109,   110,   777,   778,
     112,   113,   114,     0,   115,   779,   780,   730,   731,     0,
       0,     0,   732,   733,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,   736,
       0,   737,   738,    35,   434,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1635,  1636,  1637,    45,  1638,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,     0,
       0,     0,     0,  1639,     0,     0,   446,   447,     0,   448,
     449,   450,   132,   451,   452,   453,   134,  1640,   136,  1641,
    1642,     0,   454,   455,   456,   457,   458,  1643,  1644,   459,
     460,  1645,  1646,   461,     0,   462,   463,   464,   465,  1647,
       0,  1648,     0,   466,   467,   468,   469,   470,   147,   471,
     472,   741,     0,   473,   474,   475,   476,   477,   478,     0,
     150,   479,   480,     0,  1649,  1650,  1651,  1652,  1653,  1654,
    1655,   482,   483,   484,   485,   743,   486,  1656,  1657,   487,
    1658,   488,     0,   489,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,     0,   499,   500,  1470,   502,
     503,     0,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,  1659,   514,   515,   516,  1660,  1661,
     517,     0,   518,   519,  1662,   520,     0,   521,     0,   522,
     168,     0,   169,   523,   524,   525,   526,     0,   527,  1663,
       0,  1664,   528,     0,   529,   530,   745,   531,   532,   173,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1473,
    1665,     0,  1666,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1667,   183,   555,
     184,     0,   556,   557,   558,  1668,  1669,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   746,   568,   569,   747,
     570,   571,   572,  1670,   190,  1671,   573,   574,  4964,   192,
    1672,   576,   577,   194,   578,  1673,  1674,   579,  1675,   580,
     581,   582,     0,   583,   584,     0,     0,  1676,   586,   587,
       0,     0,   588,   197,   198,   589,   199,  1677,   590,   591,
     592,   593,   594,   595,   596,   597,   598,     0,   599,   600,
    1678,   601,   202,   602,   603,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,  1679,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   211,   632,   633,
     634,  1680,   635,   636,   637,   638,   639,   640,   641,   748,
     642,     0,   643,   644,   645,   646,   647,  1681,   649,   650,
     218,   651,   652,   220,   653,   654,  1682,   655,     0,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,  1683,     0,   668,   669,     0,   670,   225,   671,   672,
     673,   674,   675,     0,  1684,  1685,     0,     0,   677,   678,
    1686,   679,  1687,  1688,   680,   681,   682,   683,   684,   685,
     686,     0,  1689,   687,   688,   689,   690,   691,  1690,     0,
     692,   693,   694,   695,   696,   749,  1691,     0,   697,   237,
     698,   699,   700,   701,     0,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   239,  1692,  1693,  1694,  1695,
     244,  1696,  1697,  1698,  1699,   249,   750,   709,   710,  1700,
       0,     0,     0,     0,     0,     0,  1701,  1702,     0,     0,
       0,     0,     0,     0,     0,  1704,   774,    86,    87,    88,
     726,    90,    91,    92,   727,     0,   728,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   775,   104,   105,   729,
     776,     0,   107,   108,   109,   110,   777,   778,   112,   113,
     114,     0,   115,   779,   780,   730,   731,     0,     0,     0,
     732,   733,     0,     0,     0,     0,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   736,     0,   737,
     738,    35,   434,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1635,  1636,  1637,    45,  1638,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,  1639,     0,     0,   446,   447,     0,   448,   449,   450,
     132,   451,   452,   453,   134,  1640,   136,  1641,  1642,     0,
     454,   455,   456,   457,   458,  1643,  1644,   459,   460,  1645,
    1646,   461,     0,   462,   463,   464,   465,  1647,     0,  1648,
       0,   466,   467,   468,   469,   470,   147,   471,   472,   741,
       0,   473,   474,   475,   476,   477,   478,     0,   150,   479,
    5283,     0,  1649,  1650,  1651,  1652,  1653,  1654,  1655,   482,
     483,   484,   485,   743,   486,  1656,  1657,   487,  1658,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,  1470,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,  1659,   514,   515,   516,  1660,  1661,   517,     0,
     518,   519,  1662,   520,     0,   521,     0,   522,   168,     0,
     169,   523,   524,   525,   526,     0,   527,  1663,     0,  5284,
     528,     0,   529,   530,   745,   531,   532,   173,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,  1473,  1665,     0,
    1666,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,  1667,   183,   555,   184,     0,
     556,   557,   558,  1668,  1669,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   746,   568,   569,   747,   570,   571,
     572,  1670,   190,  1671,   573,   574,   575,   192,  1672,   576,
     577,   194,   578,  1673,  1674,   579,  1675,   580,   581,   582,
       0,   583,   584,     0,     0,  1676,   586,   587,     0,     0,
     588,   197,   198,   589,   199,  1677,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,  1678,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,  1679,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   211,   632,   633,  5285,  1680,
     635,   636,   637,   638,   639,   640,   641,   748,   642,     0,
     643,   644,   645,   646,   647,  1681,   649,   650,   218,   651,
     652,   220,   653,   654,  1682,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,  1683,
       0,   668,   669,     0,   670,   225,   671,   672,   673,   674,
     675,     0,  1684,  1685,     0,     0,   677,   678,  1686,   679,
    1687,  1688,   680,   681,   682,   683,   684,   685,   686,     0,
    1689,   687,   688,   689,   690,   691,  1690,     0,   692,   693,
     694,   695,   696,   749,  1691,     0,   697,   237,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,   239,  1692,  1693,  1694,  1695,   244,  1696,
    1697,  1698,  1699,   249,   750,   709,   710,  1700,     0,     0,
       0,     0,     0,     0,  1701,  1702,     0,     0,     0,     0,
       0,     0,     0,  5286,   774,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   775,   104,   105,   729,   776,     0,
     107,   108,   109,   110,   777,   778,   112,   113,   114,     0,
     115,   779,   780,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1635,  1636,  1637,    45,  1638,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,  1639,
       0,     0,   446,   447,     0,   448,   449,   450,   132,   451,
     452,   453, -2973,  1640,   136,  1641,  1642,     0,   454,   455,
     456,   457,   458,  1643,  1644,   459,   460,  1645,  1646,   461,
       0,   462,   463,   464,   465,  1647,     0,  1648,     0,   466,
     467,   468,   469,   470,   147,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,   150,   479,   480,  5754,
    1649,  1650,  1651,  1652,  1653,  1654,  1655,   482,   483,   484,
     485,   743,   486,  1656,  1657,   487,  1658,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,  1470,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
    1659,   514,   515,   516,  1660,  1661,   517,     0,   518,   519,
    1662,   520,     0,   521,     0,   522,   168,     0,   169,   523,
     524,   525,   526,     0,   527,  1663,     0,  1664,   528,     0,
     529,   530,   745,   531,   532, -2973,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,  1473,  1665,     0,  1666,     0,
     547,     0,     0,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,  1667,   183,   555, -2973,     0,   556,   557,
     558,  1668,  1669,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,  1670,
     190,  1671,   573,   574,   575,   192,  1672,   576,   577,     0,
     578,  1673,  1674,   579,  1675,   580,   581,   582,     0,   583,
     584,     0,     0,  1676,   586,   587,     0,     0,   588,   197,
     198,   589,   199,  1677,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,  1678,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,  1679,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   211,   632,   633,   634,  1680,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,  1681,   649,   650,   218,   651,   652, -2973,
     653,   654,  1682,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,  1683,     0,   668,
     669,     0,   670,   225,   671,   672,   673,   674,   675,     0,
    1684,  1685,     0,     0,   677,   678,  1686,   679,  1687,  1688,
     680,   681,   682,   683,  5755,   685,   686,     0,  1689,   687,
     688,   689,   690,   691,  1690,     0,   692,   693,   694,   695,
     696,   749,  1691,     0,   697,   237,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,  1692,  1693,  1694,  1695,   244,  1696,  1697,  1698,
    1699,   249,   750,   709,   710, -2973,     0,     0,     0,     0,
       0,     0,  1701,  1702,     0,     0,     0,     0,     0,     0,
       0,  1704,   774,    86,    87,    88,   726,    90,    91,    92,
     727,     0,   728,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   775,   104,   105,   729,   776,     0,   107,   108,
     109,   110,   777,   778,   112,   113,   114,     0,   115,   779,
     780,   730,   731,     0,     0,     0,   732,   733,     0,     0,
       0,     0,   734,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,   736,     0,   737,   738,    35,   434,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1635,
    1636,  1637,    45,  1638,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,  1639,     0,     0,
     446,   447,     0,   448,   449,   450,   132,   451,   452,   453,
     134,  1640,   136,  1641,  1642,     0,   454,   455,   456,   457,
     458,  1643,  1644,   459,   460,  1645,  1646,   461,     0,   462,
     463,   464,   465,  1647,     0,  1648,     0,   466,   467,   468,
     469,   470,   147,   471,   472,   741,     0,   473,   474,   475,
     476,   477,   478,     0,   150,   479,   480,     0,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,   482,   483,   484,   485,   743,
     486,  1656,  1657,   487,  5478,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,  1470,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,  1659,   514,
     515,   516,  1660,  1661,   517,     0,   518,   519,  1662,   520,
       0,   521,     0,   522,   168,     0,   169,   523,   524,   525,
     526,     0,   527,  1663,     0,  1664,   528,     0,   529,   530,
     745,   531,   532,   173,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,  1473,  1665,     0,  1666,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1667,   183,   555,   184,     0,   556,   557,   558,  1668,
    1669,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     746,   568,   569,   747,   570,   571,   572,  1670,   190,  1671,
     573,   574,   575,   192,     0,   576,   577,   194,   578,  1673,
    1674,   579,  1675,   580,   581,   582,     0,   583,   584,     0,
       0,  1676,   586,   587,     0,     0,   588,   197,   198,   589,
     199,  1677,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,  1678,   601,   202,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
    1679,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   211,   632,   633,   634,  3188,   635,   636,   637,   638,
     639,   640,   641,   748,   642,     0,   643,   644,   645,   646,
     647,  1681,   649,   650,   218,   651,   652,   220,   653,   654,
    1682,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,  1683,     0,   668,   669,     0,
     670,   225,   671,   672,   673,   674,   675,     0,  1684,  1685,
       0,     0,   677,   678,  1686,   679,  1687,  1688,   680,   681,
     682,   683,   684,   685,   686,     0,     0,   687,   688,   689,
     690,   691,  1690,     0,   692,   693,   694,   695,   696,   749,
    1691,     0,   697,   237,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,   239,
    1692,  1693,  1694,  1695,   244,  1696,  1697,  1698,  1699,   249,
     750,   709,   710,     0,     0,     0,     0,     0,     0,     0,
    3189,  3190,     0,     0,     0,     0,     0,     0,     0,  3191,
     774,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     775,   104,   105,   729,   776,     0,   107,   108,   109,   110,
     777,   778,   112,   113,   114,     0,   115,   779,   780,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1635,  1636,  1637,
      45,  1638,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,  1639,     0,     0,   446,   447,
       0,   448,   449,   450,   132,   451,   452,   453,   134,  1640,
     136,  1641,  1642,     0,   454,   455,   456,   457,   458,  1643,
    1644,   459,   460,  1645,  1646,   461,     0,   462,   463,   464,
     465,  1647,     0,  1648,     0,   466,   467,   468,   469,   470,
     147,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,   150,   479,   480,     0,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,   482,   483,   484,   485,   743,   486,  1656,
    1657,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
    1470,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,  1659,   514,   515,   516,
    1660,  1661,   517,     0,   518,   519,  1662,   520,     0,   521,
       0,   522,   168,     0,   169,   523,   524,   525,   526,     0,
     527,  1663,     0,  1664,   528,     0,   529,   530,   745,   531,
     532,   173,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,  1473,  1665,     0,  1666,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,  1667,
     183,   555,   184,     0,   556,   557,   558,  1668,  1669,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,  1670,   190,  1671,   573,   574,
     575,   192,     0,   576,   577,   194,   578,  1673,  1674,   579,
    1675,   580,   581,   582,     0,   583,   584,     0,     0,  1676,
     586,   587,     0,     0,   588,   197,   198,   589,   199,  1677,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,  1678,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,  1679,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   211,
     632,   633,   634,  3188,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,  1681,
     649,   650,   218,   651,   652,   220,   653,   654,  1682,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,  1683,     0,   668,   669,     0,   670,   225,
     671,   672,   673,   674,   675,     0,  1684,  1685,     0,     0,
     677,   678,  1686,   679,  1687,  1688,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
    1690,     0,   692,   693,   694,   695,   696,   749,  1691,     0,
     697,   237,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,  1692,  1693,
    1694,  1695,   244,  1696,  1697,  1698,  1699,   249,   750,   709,
     710,     0,     0,     0,     0,     0,     0,     0,  3189,  3190,
       0,     0,     0,     0,     0,     0,     0,  3191,   774,    86,
      87,    88,   726,    90,    91,    92,   727,     0,   728,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   775,   104,
     105,   729,   776,     0,   107,   108,   109,   110,   777,   778,
     112,   113,   114,     0,   115,   779,   780,   730,   731,     0,
       0,     0,   732,   733,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,   736,
       0,   737,   738,    35,   434,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1635,  1636,  1637,    45,  1638,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,     0,
       0,     0,     0,  1639,     0,     0,   446,   447,     0,   448,
     449,   450,   132,   451,   452,   453,   134,  1640,   136,  1641,
    1642,     0,   454,   455,   456,   457,   458,  1643,  1644,   459,
     460,  1645,  1646,   461,     0,   462,   463,   464,   465,  1647,
       0,  1648,     0,   466,   467,   468,   469,   470,   147,   471,
     472,   741,     0,   473,   474,   475,   476,   477,   478,     0,
     150,   479,   480,     0,  1649,  1650,  1651,  1652,  1653,  1654,
    1655,   482,   483,   484,   485,   743,   486,  1656,  1657,   487,
       0,   488,     0,   489,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,     0,   499,   500,  1470,   502,
     503,     0,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,  1659,   514,   515,   516,  1660,  1661,
     517,     0,   518,   519,  1662,   520,     0,   521,     0,   522,
     168,     0,   169,   523,   524,   525,   526,     0,   527,  1663,
       0,  1664,   528,     0,   529,   530,   745,   531,   532,   173,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1473,
    1665,     0,  1666,     0,   547,     0,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1667,   183,   555,
     184,     0,   556,   557,   558,  1668,  1669,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   746,   568,   569,   747,
     570,   571,   572,  1670,   190,  1671,   573,   574,   575,   192,
       0,   576,   577,   194,   578,  1673,  1674,   579,  1675,   580,
     581,   582,     0,   583,   584,     0,     0,  1676,   586,   587,
       0,     0,   588,   197,   198,   589,   199,  1677,   590,   591,
     592,   593,   594,   595,   596,   597,   598,     0,   599,   600,
    1678,   601,   202,   602,   603,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,  1679,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   211,   632,   633,
     634,  3188,   635,   636,   637,   638,   639,   640,   641,   748,
     642,     0,   643,   644,   645,   646,   647,  1681,   649,   650,
     218,   651,   652,   220,   653,   654,  1682,   655,     0,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,  1683,     0,   668,   669,     0,   670,   225,   671,   672,
     673,   674,   675,     0,  1684,  1685,     0,     0,   677,   678,
    1686,   679,  1687,  1688,   680,   681,   682,   683,   684,   685,
     686,     0,     0,   687,   688,   689,   690,   691,  1690,     0,
     692,   693,   694,   695,   696,   749,  1691,     0,   697,   237,
     698,   699,   700,   701,     0,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   239,  1692,  1693,  1694,  1695,
     244,  1696,  1697,  1698,  1699,   249,   750,   709,   710,     0,
       0,     0,     0,     0,     0,     0,  3189,  3190,     0,     0,
       0,     0,     0,     0,     0,  3191,   774,    86,    87,    88,
     726,    90,    91,    92,   727,     0,   728,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   775,   104,   105,   729,
     776,     0,   107,   108,   109,   110,   777,   778,   112,   113,
     114,     0,   115,   779,   780,   730,   731,     0,     0,     0,
     732,   733,     0,     0,     0,     0,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   736,     0,   737,
     738,    35,   434,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1635,  1636,     0,    45,  1638,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,  1639,     0,     0,   446,   447,     0,   448,   449,   450,
     132,   451,   452,   453,   134,  1640,   136,  1641,  1642,     0,
     454,   455,   456,   457,   458,  1643,  1644,   459,   460,  1645,
    1646,   461,     0,   462,   463,   464,   465,  1647,     0,  1648,
       0,   466,   467,   468,   469,   470,   147,   471,   472,   741,
       0,   473,   474,   475,   476,   477,   478,     0,   150,   479,
     480,     0,  1649,  1650,  1651,  1652,  1653,  1654,  1655,   482,
     483,   484,   485,   743,   486,  1656,  1657,   487,     0,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,  1470,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,  1659,   514,   515,   516,  1660,  1661,   517,     0,
     518,   519,  1662,   520,     0,   521,     0,   522,   168,     0,
     169,   523,   524,   525,   526,     0,   527,  1663,     0,  1664,
     528,     0,   529,   530,   745,   531,   532,   173,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,  1473,  1665,     0,
    1666,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,  1667,   183,   555,   184,     0,
     556,   557,   558,  1668,  1669,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   746,   568,   569,   747,   570,   571,
     572,  1670,   190,  1671,   573,   574,   575,   192,     0,   576,
     577,   194,   578,  1673,  1674,   579,  1675,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   197,   198,   589,   199,  1677,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,  1678,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,  1679,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   211,   632,   633,   634,  3188,
     635,   636,   637,   638,   639,   640,   641,   748,   642,     0,
     643,   644,   645,   646,   647,  1681,   649,   650,   218,   651,
     652,   220,   653,   654,  1682,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,  1683,
       0,   668,   669,     0,   670,   225,   671,   672,   673,   674,
     675,     0,  1684,  1685,     0,     0,   677,   678,  1686,   679,
    1687,  1688,   680,   681,   682,   683,   684,   685,   686,     0,
       0,   687,   688,   689,   690,   691,  1690,     0,   692,   693,
     694,   695,   696,   749,  1691,     0,   697,   237,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,   239,  1692,  1693,  1694,  1695,   244,  1696,
    1697,  1698,  1699,   249,   750,   709,   710,     0,     0,     0,
     774,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,  3191,    98,    99,   100,   101,   102,   103,
     775,   104,   105,   729,   776,     0,   107,   108,   109,   110,
     777,   778,   112,   113,   114,     0,   115,   779,   780,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1635,  1636,     0,
      45,  1638,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,  1639,     0,     0,   446,   447,
       0,   448,   449,   450,   132,   451,   452,   453,   134,  1640,
     136,  1641,  1642,     0,  4513,   455,   456,   457,   458,  1643,
    1644,   459,   460,  1645,  1646,   461,     0,   462,   463,   464,
     465,  1647,     0,  1648,     0,   466,   467,   468,   469,   470,
     147,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,   150,   479,   480,     0,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,   482,   483,   484,   485,   743,   486,  1656,
    1657,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
    1470,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,  1659,   514,   515,   516,
    1660,  1661,   517,     0,   518,   519,  1662,   520,     0,   521,
       0,   522,   168,     0,   169,   523,   524,   525,   526,     0,
     527,  1663,     0,  1664,   528,     0,   529,   530,   745,   531,
     532,   173,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,  1473,  1665,     0,  1666,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,  1667,
     183,   555,   184,     0,   556,   557,   558,  1668,  1669,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,  1670,   190,  1671,   573,   574,
     575,   192,     0,   576,   577,   194,   578,  1673,  1674,   579,
    1675,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,   198,   589,   199,  1677,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,  1678,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,  1679,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   211,
     632,   633,   634,  3188,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,  1681,
     649,   650,   218,   651,   652,   220,   653,   654,  1682,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,  1683,     0,   668,   669,     0,   670,   225,
     671,   672,   673,   674,   675,     0,  1684,  1685,     0,     0,
     677,   678,  1686,   679,  1687,  1688,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
    1690,     0,   692,   693,   694,   695,   696,   749,  1691,     0,
     697,   237,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,  1692,  1693,
    1694,  1695,   244,  1696,  1697,  1698,  1699,   249,   750,   709,
     710,     0,     0,     0,   774,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,  3191,    98,    99,
     100,   101,   102,   103,   775,   104,   105,   729,   776,     0,
     107,   108,   109,   110,   777,   778,   112,   113,   114,     0,
     115,   779,   780,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1635,  1636,     0,    45,  1638,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,  1639,
       0,     0,   446,   447,     0,   448,   449,   450,   132,   451,
     452,   453,   134,  1640,   136,  1641,  1642,     0,   454,   455,
     456,   457,   458,  1643,  1644,   459,   460,  1645,  1646,   461,
       0,   462,   463,   464,   465,  1647,     0,  1648,     0,   466,
     467,   468,   469,   470,   147,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,   150,   479,   480,     0,
    1649,  1650,  1651,  1652,  1653,  1654,  1655,   482,   483,   484,
     485,   743,   486,  1656,  1657,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,  1470,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
    1659,   514,   515,   516,  1660,  1661,   517,     0,   518,   519,
    1662,   520,     0,   521,     0,   522,   168,     0,   169,   523,
     524,   525,   526,     0,   527,  1663,     0,  1664,   528,     0,
     529,   530,   745,   531,   532,   173,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,  1473,  1665,     0,  1666,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,  1667,   183,   555,   184,     0,   556,   557,
     558,  1668,  1669,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,  1670,
     190,  1671,   573,   574,   575,   192,     0,   576,   577,   194,
     578,  1673,  1674,   579,  1675,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
     198,   589,   199,  1677,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,  1678,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,  1679,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   211,   632,   633,   634,  3188,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,  1681,   649,   650,   218,   651,   652,   220,
     653,   654,  1682,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,  1683,     0,   668,
     669,     0,   670,   225,   671,   672,   673,   674,   675,     0,
    1684,  1685,     0,     0,   677,   678,  1686,   679,  1687,  1688,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,  1690,     0,   692,   693,   694,   695,
     696,   749,  1691,     0,   697,   237,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,  1692,  1693,  1694,  1695,  4995,  1696,  1697,  1698,
    1699,   249,   750,   709,   710,     0,     0,     0,   774,    86,
      87,    88,   726,    90,    91,    92,   727,     0,   728,    95,
       0,  3191,    98,    99,   100,   101,   102,   103,   775,   104,
     105,   729,   776,     0,   107,   108,   109,   110,   777,   778,
     112,   113,   114,     0,   115,   779,   780,   730,   731,     0,
       0,     0,   732,   733,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,   736,
       0,   737,   738,    35,   434,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1635,  1636,  1637,    45,  1638,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,     0,
       0,     0,     0,  1639,     0,     0,   446,   447,     0,   448,
     449,   450,   132,   451,   452,   453,     0,  1640,   136,  1641,
    1642,     0,   454,   455,   456,   457,   458,  1643,  1644,   459,
     460,  1645,  1646,   461,     0,   462,   463,   464,   465,  1647,
       0,  1648,     0,   466,   467,   468,   469,   470,   147,   471,
     472,   741,     0,   473,   474,   475,   476,   477,   478,     0,
     150,   479,   480,     0,  1649,  1650,  1651,  1652,  1653,  1654,
    1655,   482,   483,   484,   485,   743,   486,  1656,  1657,   487,
    1658,   488,     0,   489,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,     0,   499,   500,  1470,   502,
     503,     0,   504,   505,   506,     0,   507,     0,   509,     0,
     510,   511,   512,   513,  1659,   514,   515,   516,  1660,  1661,
     517,     0,   518,   519,  1662,   520,     0,   521,     0,   522,
     168,     0,   169,   523,   524,   525,   526,     0,   527,  1663,
       0,  1664,   528,     0,   529,   530,   745,   531,   532,     0,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1473,
    1665,     0,  1666,     0,   547,     0,     0,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1667,   183,   555,
       0,     0,   556,   557,   558,  1668,  1669,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   746,   568,   569,   747,
     570,   571,   572,  1670,   190,  1671,   573,   574,   575,   192,
    1672,   576,   577,     0,   578,  1673,  1674,   579,  1675,   580,
     581,   582,     0,   583,   584,     0,     0,  1676,   586,   587,
       0,     0,   588,   197,   198,   589,   199,  1677,   590,   591,
     592,   593,   594,   595,   596,   597,   598,     0,   599,   600,
    1678,   601,   202,   602,   603,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,  1679,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   211,   632,   633,
     634,  1680,   635,   636,   637,   638,   639,   640,   641,   748,
     642,     0,   643,   644,   645,   646,   647,  1681,   649,   650,
     218,   651,   652,     0,   653,   654,  1682,   655,     0,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,  1683,     0,   668,   669,     0,   670,   225,   671,   672,
     673,   674,   675,     0,  1684,  1685,     0,     0,   677,   678,
    1686,   679,  1687,  1688,   680,   681,   682,   683,   684,   685,
     686,     0,  1689,   687,   688,   689,   690,   691,  1690,     0,
     692,   693,   694,   695,   696,   749,  1691,     0,   697,   237,
     698,   699,   700,   701,     0,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   239,  1692,  1693,  1694,  1695,
     244,  1696,  1697,  1698,  1699,   249,   750,   709,   710,     0,
       0,     0,     0,     0,     0,     0,  1701,  1702,     0,     0,
       0,     0,     0,     0,     0,  1704,   774,    86,    87,    88,
     726,    90,    91,    92,   727,     0,   728,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   775,   104,   105,   729,
     776,     0,   107,   108,   109,   110,   777,   778,   112,   113,
     114,     0,   115,   779,   780,   730,   731,     0,     0,     0,
     732,   733,     0,     0,     0,     0,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   736,     0,   737,
     738,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,     0,     0,     0,   446,   447,     0,   448,   449,   450,
     132,   451,   452,   453,   134,   135,   136,   137,   138,     0,
     454,   455,   456,   457,   458,     0,  1644,   459,   460,   740,
     139,   461,     0,   462,   463,   464,   465,  1647,     0,  1648,
       0,   466,   467,   468,   469,   470,   147,   471,   472,   741,
       0,   473,   474,   475,   476,   477,   478,     0,   150,   479,
     480,     0,  1649,  1650,  1651,  1652,  1653,  1654,  1655,   482,
     483,   484,   485,   743,   486,   154,   155,   487,     0,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,   501,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   163,   514,   515,   516,  1660,     0,   517,     0,
     518,   519,   167,   520,     0,   521,     0,   522,   168,     0,
     169,   523,   524,   525,   526,     0,   527,  1663,     0,   172,
     528,     0,   529,   530,   745,   531,   532,   173,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,  3998,     0,   554,  1667,   183,   555,   184,     0,
     556,   557,   558,  1668,  1669,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   746,   568,   569,   747,   570,   571,
     572,   189,   190,   191,   573,   574,   575,   192,     0,   576,
     577,   194,   578,     0,  1674,   579,   196,   580,   581,   582,
       0,   583,   584,     0,  1159,   585,   586,   587,     0,     0,
     588,   197,   198,   589,   199,  1677,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,  1678,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   204,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   211,   632,   633,   634,   213,
    3999,   636,   637,   638,   639,   640,   641,   748,   642,   216,
     643,   644,   645,   646,   647,  1681,   649,   650,   218,   651,
     652,   220,   653,   654,   221,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,  1683,
       0,   668,   669,   224,   670,   225,   671,   672,   673,   674,
     675,     0,   226,   227,     0,     0,   677,   678,  1686,   679,
    1687,     0,   680,   681,   682,   683,   684,   685,   686,     0,
       0,   687,   688,   689,   690,   691,  1690,     0,   692,   693,
     694,   695,   696,  2413,   236,     0,   697,   237,   698,   699,
     700,   701,     0,     0,   702,     0,   238,   703,   704,   705,
     706,   707,   708,   239,  1692,  1693,  1694,  1695,   244,  1696,
    1697,  1698,  1699,  4000,   750,   709,   710,     0,     0,   250,
     774,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,  4001,    98,    99,   100,   101,   102,   103,
     775,   104,   105,   729,   776,     0,   107,   108,   109,   110,
     777,   778,   112,   113,   114,     0,   115,   779,   780,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,   132,   451,   452,   453,   134,   135,
     136,   137,   138,     0,   454,   455,   456,   457,   458,     0,
    1644,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,  1647,     0,  1648,     0,   466,   467,   468,   469,   470,
     147,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,   150,   479,   480,     0,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
    1660,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,   168,     0,   169,   523,   524,   525,   526,     0,
     527,  1663,     0,   172,   528,     0,   529,   530,   745,   531,
     532,   173,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,  3998,     0,   554,  1667,
     183,   555,   184,     0,   556,   557,   558,  1668,  1669,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,   190,   191,   573,   574,
     575,   192,     0,   576,   577,   194,   578,     0,  1674,   579,
     196,   580,   581,   582,     0,   583,   584,     0,  1159,   585,
     586,   587,     0,     0,   588,   197,   198,   589,   199,  1677,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,  1678,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   211,
     632,   633,   634,   213,  3999,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,  1681,
     649,   650,   218,   651,   652,   220,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,  1683,     0,   668,   669,     0,   670,   225,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,  1686,   679,  1687,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
    1690,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,   237,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,  1692,  1693,
    1694,  1695,   244,  1696,  1697,  1698,  1699,  4000,   750,   709,
     710,     0,     0,     0,   774,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,  4001,    98,    99,
     100,   101,   102,   103,   775,   104,   105,   729,   776,     0,
     107,   108,   109,   110,   777,   778,   112,   113,   114,     0,
     115,   779,   780,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,   132,   451,
     452,   453,   134,   135,   136,   137,   138,     0,   454,   455,
     456,   457,   458,     0,  1644,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,  1647,     0,  1648,     0,   466,
     467,   468,   469,   470,   147,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,   150,   479,   480,     0,
    1649,  1650,  1651,  1652,  1653,  1654,  1655,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,  1660,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,   168,     0,   169,   523,
     524,   525,   526,     0,   527,  1663,     0,   172,   528,     0,
     529,   530,   745,   531,   532,   173,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,  1667,   183,   555,   184,     0,   556,   557,
     558,  1668,  1669,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
     190,   191,   573,   574,   575,   192,     0,   576,   577,   194,
     578,     0,  1674,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
     198,   589,   199,  1677,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,  1678,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   211,   632,   633,   634,   213,  3999,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,  1681,   649,   650,   218,   651,   652,   220,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,  1683,     0,   668,
     669,     0,   670,   225,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,  1686,   679,  1687,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,  1690,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,   237,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,  1692,  1693,  1694,  1695,   244,  1696,  1697,  1698,
    1699,  4000,   750,   709,   710,     0,     0,     0,   774,    86,
      87,    88,   726,    90,    91,    92,   727,     0,   728,    95,
       0,   251,    98,    99,   100,   101,   102,   103,   775,   104,
     105,   729,   776,     0,   107,   108,   109,   110,   777,   778,
     112,   113,   114,     0,   115,   779,   780,   730,   731,     0,
       0,     0,   732,   733,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,   736,
       0,   737,   738,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,     0,
       0,     0,     0,     0,     0,     0,   446,   447,     0,   448,
     449,   450,   132,   451,   452,   453,   134,   135,   136,   137,
     138,     0,   454,   455,   456,   457,   458,     0,  1644,   459,
     460,   740,   139,   461,     0,   462,   463,   464,   465,  1647,
       0,  1648,     0,   466,   467,   468,   469,   470,   147,   471,
     472,   741,     0,   473,   474,   475,   476,   477,   478,     0,
     150,   479,   480,     0,  1649,  1650,  1651,  1652,  1653,  1654,
    1655,   482,   483,   484,   485,   743,   486,   154,   155,   487,
       0,   488,     0,   489,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,     0,   499,   500,   501,   502,
     503,     0,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   163,   514,   515,   516,  1660,     0,
     517,     0,   518,   519,   167,   520,     0,   521,     0,   522,
     168,     0,   169,   523,   524,   525,   526,     0,   527,  1663,
       0,   172,   528,     0,   529,   530,   745,   531,   532,   173,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1667,   183,   555,
     184,     0,   556,   557,   558,  1668,  1669,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   746,   568,   569,   747,
     570,   571,   572,   189,   190,   191,   573,   574,   575,   192,
       0,   576,   577,   194,   578,     0,  1674,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   197,   198,   589,   199,  1677,   590,   591,
     592,   593,   594,   595,   596,   597,   598,     0,   599,   600,
    1678,   601,   202,   602,   603,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   204,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   211,   632,   633,
     634,   213,   635,   636,   637,   638,   639,   640,   641,   748,
     642,     0,   643,   644,   645,   646,   647,  1681,   649,   650,
     218,   651,   652,   220,   653,   654,   221,   655,     0,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,  1683,     0,   668,   669,     0,   670,   225,   671,   672,
     673,   674,   675,     0,   226,   227,     0,     0,   677,   678,
    1686,   679,  1687,     0,   680,   681,   682,   683,   684,   685,
     686,     0,     0,   687,   688,   689,   690,   691,  1690,     0,
     692,   693,   694,   695,   696,   749,   236,     0,   697,   237,
     698,   699,   700,   701,     0,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   239,  1692,  1693,  1694,  1695,
     244,  1696,  1697,  1698,  1699,   249,   750,   709,   710,     0,
       0,     0,   774,    86,    87,    88,   726,    90,    91,    92,
     727,     0,   728,    95,     0,  4650,    98,    99,   100,   101,
     102,   103,   775,   104,   105,   729,   776,     0,   107,   108,
     109,   110,   777,   778,   112,   113,   114,     0,   115,   779,
     780,   730,   731,     0,     0,     0,   732,   733,     0,     0,
       0,     0,   734,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,   736,     0,   737,   738,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,     0,     0,     0,
     446,   447,     0,   448,   449,   450,   132,   451,   452,   453,
     134,   135,   136,   137,   138,     0,   454,   455,   456,   457,
     458,     0,  1644,   459,   460,   740,   139,   461,     0,   462,
     463,   464,   465,  1647,     0,  1648,     0,   466,   467,   468,
     469,   470,   147,   471,   472,   741,     0,   473,   474,   475,
     476,   477,   478,     0,   150,   479,   480,     0,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,   482,   483,   484,   485,   743,
     486,   154,   155,   487,     0,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,   501,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   163,   514,
     515,   516,  1660,     0,   517,     0,   518,   519,   167,   520,
       0,   521,     0,   522,   168,     0,   169,   523,   524,   525,
     526,     0,   527,  1663,     0,   172,   528,     0,   529,   530,
     745,   531,   532,   173,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1667,   183,   555,   184,     0,   556,   557,   558,  1668,
    1669,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     746,   568,   569,   747,   570,   571,   572,   189,   190,   191,
     573,   574,   575,   192,     0,   576,   577,   194,   578,     0,
    1674,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   197,   198,   589,
     199,  1677,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,  1678,   601,   202,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     204,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   211,   632,   633,   634,   213,   635,   636,   637,   638,
     639,   640,   641,   748,   642,     0,   643,   644,   645,   646,
     647,  1681,   649,   650,   218,   651,   652,   220,   653,   654,
     221,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,  1683,     0,   668,   669,     0,
     670,   225,   671,   672,   673,   674,   675,     0,   226,   227,
       0,     0,   677,   678,  1686,   679,  1687,     0,   680,   681,
     682,   683,   684,   685,   686,     0,     0,   687,   688,   689,
     690,   691,  1690,     0,   692,   693,   694,   695,   696,   749,
     236,     0,   697,   237,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,   239,
    1692,  1693,  1694,  1695,   244,  1696,  1697,  1698,  1699,   249,
     750,   709,   710,     0,     0,     0,   774,    86,    87,    88,
     726,    90,    91,    92,   727,     0,   728,    95,     0,  5735,
      98,    99,   100,   101,   102,   103,   775,   104,   105,   729,
     776,     0,   107,   108,   109,   110,   777,   778,   112,   113,
     114,     0,   115,   779,   780,   730,   731,     0,     0,     0,
     732,   733,     0,     0,     0,     0,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   736,     0,   737,
     738,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,     0,     0,     0,   446,   447,     0,   448,   449,   450,
     132,   451,   452,   453,   134,   135,   136,   137,   138,     0,
     454,   455,   456,   457,   458,     0,     0,   459,   460,   740,
     139,   461,     0,   462,   463,   464,   465,   143,     0,   144,
       0,   466,   467,   468,   469,   470,   147,   471,   472,   741,
       0,   473,   474,   475,   476,   477,   478,     0,   150,   479,
     480,     0,     0,     0,     0,   151,     0,     0,     0,   482,
     483,   484,   485,   743,   486,   154,   155,   487,     0,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,   501,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   163,   514,   515,   516,   165,     0,   517,     0,
     518,   519,   167,   520,     0,   521,     0,   522,   168,     0,
     169,   523,   524,   525,   526,     0,   527,   171,     0,   172,
     528,     0,   529,   530,   745,   531,   532,   173,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,   182,   183,   555,   184,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   746,   568,   569,   747,   570,   571,
     572,   189,   190,   191,   573,   574,   575,   192,     0,   576,
     577,   194,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   197,   198,   589,   199,   200,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,   201,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   204,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   211,   632,   633,   634,   213,
     635,   636,   637,   638,   639,   640,   641,   748,   642,     0,
     643,   644,   645,   646,   647,     0,   649,   650,   218,   651,
     652,   220,   653,   654,   221,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,   223,
       0,   668,   669,     0,   670,   225,   671,   672,   673,   674,
     675,     0,   226,   227,     0,     0,   677,   678,   228,   679,
     229,     0,   680,   681,   682,   683,   684,   685,   686,     0,
       0,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,   749,   236,     0,   697,   237,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   750,   709,   710,     0,     0,     0,
       0,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,  5338,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,  4569,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0, -1744,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0, -1744,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543, -1744,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
   -1744,   549,   550,   551,   552,   553,     0,     0,   554,   182,
   -1744,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189, -1744,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631, -1744,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,     0,     0,     0,     0,     0,    86,    87,    88,   726,
      90,    91,    92,   727,     0,   728,    95,     0,  1799,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   729,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   730,   731,     0,     0,     0,   732,
     733,     0,     0,     0,     0,   734,     0,     0,     0,     0,
       0,     0,     0,     0,   735,     0,   736,     0,   737,   738,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,     0,     0,     0,     0,
       0,     0,     0,   446,   447,     0,   448,   449,   450,     0,
     451,   452,   453,   134,   135,     0,   137,   138,     0,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   740,   139,
     461,     0,   462,   463,   464,   465,   143,     0,     0,     0,
     466,   467,   468,   469,   470,     0,   471,   472,   741,     0,
     473,   474,   475,   476,   477,   478,     0,     0,   479,   480,
       0,     0,     0,     0,     0,     0,     0,     0,   482,   483,
     484,   485,   743,   486,   154,   155,   487,     0,   488,     0,
     489,   490,   491,   492,   493,   494,     0,   495,   496,   497,
     498,     0,     0,   499,   500,   501,   502,   503,     0,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   163,   514,   515,   516,   165,     0,   517,     0,   518,
     519,   167,   520,     0,   521,     0,   522,     0,     0,     0,
     523,   524,   525,   526,     0,   527,   171,     0,   172,   528,
       0,   529,   530,   745,   531,   532,     0,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   746,   568,   569,   747,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     197,     0,   589,     0,   200,   590,   591,   592,   593,   594,
     595,   596,   597,   598,     0,   599,   600,   201,   601,   202,
     602,   603,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   204,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   632,   633,   634,   213,   635,
     636,   637,   638,   639,   640,   641,   748,   642,     0,   643,
     644,   645,   646,   647,     0,   649,   650,   218,   651,   652,
       0,   653,   654,   221,   655,     0,   656,   657,   658,   659,
     660,   661,   662,   663,   664,   665,   666,   667,   223,     0,
     668,   669,     0,   670,     0,   671,   672,   673,   674,   675,
       0,   226,   227,     0,     0,   677,   678,   228,   679,   229,
       0,   680,   681,   682,   683,   684,   685,   686,     0,     0,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,   749,   236,     0,   697,     0,   698,   699,   700,
     701,     0,     0,   702,     0,     0,   703,   704,   705,   706,
     707,   708,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   750,   709,   710,     0,     0,     0,     0,
      86,    87,    88,   726,    90,    91,    92,   727,     0,   728,
      95,  3809,  3810,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   729,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   730,   731,
       0,     0,     0,   732,   733,     0,     0,     0,     0,   734,
       0,     0,     0,     0,     0,     0,     0,     0,   735,     0,
     736,     0,   737,   738,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
       0,     0,     0,     0,     0,     0,     0,   446,   447,     0,
     448,   449,   450,     0,   451,   452,   453,   134,   135,     0,
     137,   138,     0,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   740,   139,   461,     0,   462,   463,   464,   465,
     143,     0,     0,     0,   466,   467,   468,   469,   470,     0,
     471,   472,   741,     0,   473,   474,   475,   476,   477,   478,
       0,     0,   479,   480,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   743,   486,   154,   155,
     487,     0,   488,     0,   489,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,     0,   499,   500,   501,
     502,   503,     0,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   163,   514,   515,   516,   165,
       0,   517,     0,   518,   519,   167,   520,     0,   521,     0,
     522,     0,     0,     0,   523,   524,   525,   526,     0,   527,
     171,     0,   172,   528,     0,   529,   530,   745,   531,   532,
       0,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   746,   568,   569,
     747,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   197,     0,   589,     0,   200,   590,
     591,   592,   593,   594,   595,   596,   597,   598,     0,   599,
     600,   201,   601,   202,   602,   603,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   204,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   632,
     633,   634,   213,   635,   636,   637,   638,   639,   640,   641,
     748,   642,     0,   643,   644,   645,   646,   647,     0,   649,
     650,   218,   651,   652,     0,   653,   654,   221,   655,     0,
     656,   657,   658,   659,   660,   661,   662,   663,   664,   665,
     666,   667,   223,     0,   668,   669,     0,   670,     0,   671,
     672,   673,   674,   675,     0,   226,   227,     0,     0,   677,
     678,   228,   679,   229,     0,   680,   681,   682,   683,   684,
     685,   686,     0,     0,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,   749,   236,     0,   697,
       0,   698,   699,   700,   701,     0,     0,   702,     0,     0,
     703,   704,   705,   706,   707,   708,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   750,   709,   710,
       0,     0,     0,     0,    86,    87,    88,   726,    90,    91,
      92,   727,     0,   728,    95,     0,  3810,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   729,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   730,   731,     0,     0,     0,   732,   733,     0,
       0,     0,     0,   734,     0,     0,     0,     0,     0,     0,
       0,     0,   735,     0,   736,     0,   737,   738,    35,   434,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,     0,     0,     0,     0,     0,     0,
       0,   446,   447,     0,   448,   449,   450,     0,   451,   452,
     453,   134,   135,     0,   137,   138,     0,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   740,   139,   461,     0,
     462,   463,   464,   465,   143,     0,     0,     0,   466,   467,
     468,   469,   470,     0,   471,   472,   741,     0,   473,   474,
     475,   476,   477,   478,     0,     0,   479,   480,     0,     0,
       0,     0,     0,     0,     0,     0,   482,   483,   484,   485,
     743,   486,   154,   155,   487,     0,   488,     0,   489,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
       0,   499,   500,   501,   502,   503,     0,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   163,
     514,   515,   516,   165,     0,   517,     0,   518,   519,   167,
     520,     0,   521,     0,   522,     0,     0,     0,   523,   524,
     525,   526,     0,   527,   171,     0,   172,   528,     0,   529,
     530,   745,   531,   532,     0,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   746,   568,   569,   747,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   197,     0,
     589,     0,   200,   590,   591,   592,   593,   594,   595,   596,
     597,   598,     0,   599,   600,   201,   601,   202,   602,   603,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   204,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,     0,   632,   633,   634,   213,   635,   636,   637,
     638,   639,   640,   641,   748,   642,   216,   643,   644,   645,
     646,   647,     0,   649,   650,   218,   651,   652,     0,   653,
     654,   221,   655,     0,   656,   657,   658,   659,   660,   661,
     662,   663,   664,   665,   666,   667,   223,     0,   668,   669,
     224,   670,     0,   671,   672,   673,   674,   675,     0,   226,
     227,     0,     0,   677,   678,   228,   679,   229,     0,   680,
     681,   682,   683,   684,   685,   686,     0,     0,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
    2413,   236,     0,   697,     0,   698,   699,   700,   701,     0,
       0,   702,     0,   238,   703,   704,   705,   706,   707,   708,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   750,   709,   710,     0,     0,   250,     0,    86,    87,
      88,   726,    90,    91,    92,   727,     0,   728,    95,     0,
     251,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     729,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   730,   731,     0,     0,
       0,   732,   733,     0,     0,     0,     0,   734,     0,     0,
       0,     0,     0,     0,     0,     0,   735,     0,   736,     0,
     737,   738,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,     0,     0,
       0,     0,     0,     0,     0,   446,   447,     0,   448,   449,
     450,     0,   451,   452,   453,   134,   135,     0,   137,   138,
       0,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     740,   139,   461,     0,   462,   463,   464,   465,   143,     0,
       0,     0,   466,   467,   468,   469,   470,     0,   471,   472,
     741,     0,   473,   474,   475,   476,   477,   478,     0,     0,
     479,   480,     0,     0,     0,     0,     0,     0,     0,     0,
     482,   483,   484,   485,   743,   486,   154,   155,   487,     0,
     488,     0,   489,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,     0,   499,   500,   501,   502,   503,
       0,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   163,   514,   515,   516,   165,     0,   517,
       0,   518,   519,   167,   520,     0,   521,     0,   522,     0,
       0,     0,   523,   524,   525,   526,     0,   527,   171,     0,
     172,   528,     0,   529,   530,   745,   531,   532,     0,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   746,   568,   569,   747,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   197,     0,   589,     0,   200,   590,   591,   592,
     593,   594,   595,   596,   597,   598,     0,   599,   600,   201,
     601,   202,   602,   603,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   204,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,     0,   632,   633,   634,
     213,   635,   636,   637,   638,   639,   640,   641,   748,   642,
     216,   643,   644,   645,   646,   647,     0,   649,   650,   218,
     651,   652,     0,   653,   654,   221,   655,     0,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   665,   666,   667,
     223,     0,   668,   669,   224,   670,     0,   671,   672,   673,
     674,   675,     0,   226,   227,     0,     0,   677,   678,   228,
     679,   229,     0,   680,   681,   682,   683,   684,   685,   686,
       0,     0,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,  2413,   236,     0,   697,     0,   698,
     699,   700,   701,     0,     0,   702,     0,   238,   703,   704,
     705,   706,   707,   708,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   750,   709,   710,     0,     0,
     250,     0,    86,    87,    88,   726,    90,    91,    92,   727,
       0,   728,    95,     0,   251,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   729,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     730,   731,     0,     0,     0,   732,   733,     0,     0,     0,
       0,   734,     0,     0,     0,     0,     0,     0,     0,     0,
     735,     0,   736,     0,   737,   738,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,     0,     0,     0,     0,     0,     0,     0,   446,
     447,     0,   448,   449,   450,     0,   451,   452,   453,   134,
     135,     0,   137,   138,     0,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   740,   139,   461,     0,   462,   463,
     464,   465,   143,     0,     0,     0,   466,   467,   468,   469,
     470,     0,   471,   472,   741,     0,   473,   474,   475,   476,
     477,   478,     0,     0,   479,   480,     0,     0,     0,     0,
       0,     0,     0,     0,   482,   483,   484,   485,   743,   486,
     154,   155,   487,     0,   488,     0,   489,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,     0,     0,   499,
     500,   501,   502,   503,     0,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   163,   514,   515,
     516,   165,     0,   517,     0,   518,   519,   167,   520,     0,
     521,     0,   522,     0,     0,     0,   523,   524,   525,   526,
       0,   527,   171,     0,   172,   528,     0,   529,   530,   745,
     531,   532,     0,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   746,
     568,   569,   747,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   197,     0,   589,     0,
     200,   590,   591,   592,   593,   594,   595,   596,   597,   598,
       0,   599,   600,   201,   601,   202,   602,   603,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   204,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   632,   633,   634,   213,   635,   636,   637,   638,   639,
     640,   641,   748,   642,     0,   643,   644,   645,   646,   647,
       0,   649,   650,   218,   651,   652,     0,   653,   654,   221,
     655,     0,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   223,     0,   668,   669,     0,   670,
       0,   671,   672,   673,   674,   675,     0,   226,   227,     0,
       0,   677,   678,   228,   679,   229,     0,   680,   681,   682,
     683,   684,   685,   686,     0,     0,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,   749,   236,
       0,   697,     0,   698,   699,   700,   701,     0,     0,   702,
       0,     0,   703,   704,   705,   706,   707,   708,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   750,
     709,   710,     0,     0,     0,     0,    86,    87,    88,   726,
      90,    91,    92,   727,     0,   728,    95,     0,  1775,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   729,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   730,   731,     0,     0,     0,   732,
     733,     0,     0,     0,     0,   734,     0,     0,     0,     0,
       0,     0,     0,     0,   735,     0,   736,     0,   737,   738,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,     0,     0,     0,     0,
       0,     0,     0,   446,   447,     0,   448,   449,   450,     0,
     451,   452,   453,   134,   135,     0,   137,   138,     0,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   740,   139,
     461,     0,   462,   463,   464,   465,   143,     0,     0,     0,
     466,   467,   468,   469,   470,     0,   471,   472,   741,     0,
     473,   474,   475,   476,   477,   478,     0,     0,   479,   480,
       0,     0,     0,     0,     0,     0,     0,     0,   482,   483,
     484,   485,   743,   486,   154,   155,   487,     0,   488,     0,
     489,   490,   491,   492,   493,   494,     0,   495,   496,   497,
     498,     0,     0,   499,   500,   501,   502,   503,     0,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   163,   514,   515,   516,   165,     0,   517,     0,   518,
     519,   167,   520,     0,   521,     0,   522,     0,     0,     0,
     523,   524,   525,   526,     0,   527,   171,     0,   172,   528,
       0,   529,   530,   745,   531,   532,     0,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   746,   568,   569,   747,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     197,     0,   589,     0,   200,   590,   591,   592,   593,   594,
     595,   596,   597,   598,     0,   599,   600,   201,   601,   202,
     602,   603,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   204,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   632,   633,   634,   213,   635,
     636,   637,   638,   639,   640,   641,   748,   642,     0,   643,
     644,   645,   646,   647,     0,   649,   650,   218,   651,   652,
       0,   653,   654,   221,   655,     0,   656,   657,   658,   659,
     660,   661,   662,   663,   664,   665,   666,   667,   223,     0,
     668,   669,     0,   670,     0,   671,   672,   673,   674,   675,
       0,   226,   227,     0,     0,   677,   678,   228,   679,   229,
       0,   680,   681,   682,   683,   684,   685,   686,     0,     0,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,   749,   236,     0,   697,     0,   698,   699,   700,
     701,     0,     0,   702,     0,     0,   703,   704,   705,   706,
     707,   708,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   750,   709,   710,     0,     0,     0,     0,
      86,    87,    88,   726,    90,    91,    92,   727,     0,   728,
      95,     0,  3353,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   729,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   730,   731,
       0,     0,     0,   732,   733,     0,     0,     0,     0,   734,
       0,     0,     0,     0,     0,     0,     0,     0,   735,     0,
     736,     0,   737,   738,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
       0,     0,     0,     0,     0,     0,     0,   446,   447,     0,
     448,   449,   450,     0,   451,   452,   453,   134,   135,     0,
     137,   138,     0,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   740,   139,   461,     0,   462,   463,   464,   465,
     143,     0,     0,     0,   466,   467,   468,   469,   470,     0,
     471,   472,   741,     0,   473,   474,   475,   476,   477,   478,
       0,     0,   479,   480,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   743,   486,   154,   155,
     487,     0,   488,     0,   489,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,     0,   499,   500,   501,
     502,   503,     0,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   163,   514,   515,   516,   165,
       0,   517,     0,   518,   519,   167,   520,     0,   521,     0,
     522,     0,     0,     0,   523,   524,   525,   526,     0,   527,
     171,     0,   172,   528,     0,   529,   530,   745,   531,   532,
       0,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   746,   568,   569,
     747,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   197,     0,   589,     0,   200,   590,
     591,   592,   593,   594,   595,   596,   597,   598,     0,   599,
     600,   201,   601,   202,   602,   603,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   204,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   632,
     633,   634,   213,   635,   636,   637,   638,   639,   640,   641,
     748,   642,     0,   643,   644,   645,   646,   647,     0,   649,
     650,   218,   651,   652,     0,   653,   654,   221,   655,     0,
     656,   657,   658,   659,   660,   661,   662,   663,   664,   665,
     666,   667,   223,     0,   668,   669,     0,   670,     0,   671,
     672,   673,   674,   675,     0,   226,   227,     0,     0,   677,
     678,   228,   679,   229,     0,   680,   681,   682,   683,   684,
     685,   686,     0,     0,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,   749,   236,     0,   697,
       0,   698,   699,   700,   701,     0,     0,   702,     0,     0,
     703,   704,   705,   706,   707,   708,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   750,   709,   710,
       0,     0,     0,     0,    86,    87,    88,   726,    90,    91,
      92,   727,     0,   728,    95,     0,  4548,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   729,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   730,   731,     0,     0,     0,   732,   733,     0,
       0,     0,     0,   734,     0,     0,     0,     0,     0,     0,
       0,     0,   735,     0,   736,     0,   737,   738,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,     0,     0,     0,     0,     0,     0,
       0,   446,   447,     0,   448,   449,   450,     0,   451,   452,
     453,   134,   135,     0,   137,   138,     0,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   740,   139,   461,     0,
     462,   463,   464,   465,   143,     0,     0,     0,   466,   467,
     468,   469,   470,     0,   471,   472,   741,     0,   473,   474,
     475,   476,   477,   478,     0,     0,   479,   480,     0,     0,
       0,     0,     0,     0,     0,     0,   482,   483,   484,   485,
     743,   486,   154,   155,   487,     0,   488,     0,   489,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
       0,   499,   500,   501,   502,   503,     0,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   163,
     514,   515,   516,   165,     0,   517,     0,   518,   519,   167,
     520,     0,   521,     0,   522,     0,     0,     0,   523,   524,
     525,   526,     0,   527,   171,     0,   172,   528,     0,   529,
     530,   745,   531,   532,     0,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   746,   568,   569,   747,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   197,     0,
     589,     0,   200,   590,   591,   592,   593,   594,   595,   596,
     597,   598,     0,   599,   600,   201,   601,   202,   602,   603,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   204,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,     0,   632,   633,   634,   213,   635,   636,   637,
     638,   639,   640,   641,   748,   642,     0,   643,   644,   645,
     646,   647,     0,   649,   650,   218,   651,   652,     0,   653,
     654,   221,   655,     0,   656,   657,   658,   659,   660,   661,
     662,   663,   664,   665,   666,   667,   223,     0,   668,   669,
       0,   670,     0,   671,   672,   673,   674,   675,     0,   226,
     227,     0,     0,   677,   678,   228,   679,   229,     0,   680,
     681,   682,   683,   684,   685,   686,     0,     0,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
     749,   236,     0,   697,     0,   698,   699,   700,   701,     0,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   750,   709,   710,     0,     0,     0,   774,    86,    87,
      88,   726,    90,    91,    92,   727,     0,   728,    95,     0,
    5012,    98,    99,   100,   101,   102,   103,   775,   104,   105,
     729,   776,     0,   107,   108,   109,   110,   777,   778,   112,
     113,   114,     0,   115,   779,   780,   730,   731,     0,     0,
       0,   732,   733,     0,     0,     0,     0,   734,     0,     0,
       0,     0,     0,     0,     0,     0,   735,     0,   736,     0,
     737,   738,    35,   434,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,  1286,    45,     0,     0,
       0,     0,     0,  1287,  1288,  1289,   435,   436,   437,   438,
     439,   440,   441,   442,   781,   443,   444,   445,   782,   783,
     784,   785,   786,   787,   788,   446,   447,   789,   448,   449,
     450,   132,   451,   452,   453,     0,  1463,   136,  1464,  1465,
     790,   454,   455,   456,   457,   458,   791,   792,   459,   460,
    1466,  1467,   461,   794,   462,   463,   464,   465,     0,   795,
     144,   796,   466,   467,   468,   469,   470,   147,   471,   472,
     741,   798,   473,   474,   475,   476,   477,   478,   799,   150,
     479,   480,     0,   801,   802,   803,   151,   804,   805,   806,
     482,   483,   484,   485,   743,   486,  1468,  1469,   487,   807,
     488,   808,   489,   490,   491,   492,   493,   494,   809,   495,
     496,   497,   498,   810,   811,   499,   500,  1470,   502,   503,
     812,   504,   505,   506,   813,   507,   508,   509,   814,   510,
     511,   512,   513,     0,   514,   515,   516,     0,   815,   517,
     816,   518,   519,  1471,   520,   817,   521,   818,   522,   168,
     819,   169,   523,   524,   525,   526,   820,   527,     0,   821,
       0,   528,   822,   529,   530,   745,   531,   532,   173,   533,
     534,   535,   536,   823,   537,   538,   539,   540,   541,   542,
     824,   543,   175,     0,     0,   544,   545,   546,  1473,  1474,
     827,  1475,   828,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,   829,   830,   554,     0,   183,   555,   184,
     831,   556,   557,   558,   832,   833,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   746,   568,   569,   747,   570,
     571,   572,  1476,   190,  1477,   573,   574,   575,  4298,   834,
     576,   577,   194,   578,   835,     0,   579,  1478,   580,   581,
     582,   836,   583,   584,   837,   838,  4299,   586,   587,   839,
     840,   588,     0,   198,   589,   199,     0,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   841,   599,   600,     0,
     601,     0,   602,   603,   604,   842,   605,   606,   607,   608,
     609,   610,   611,   612,   613,  1479,   614,   615,   616,   617,
     843,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   844,   630,   631,   211,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   748,   642,
     845,   643,   644,   645,   646,   647,   846,   649,   650,  2626,
     651,   652,   220,   653,   654,  1481,   655,   847,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   665,   666,   667,
       0,   848,   668,   669,   849,   670,   225,   671,   672,   673,
     674,   675,   850,  1482,  1483,     0,   852,   677,   678,     0,
     679,     0,   853,   680,   681,   682,   683,   684,   685,   686,
       0,   855,   687,   688,   689,   690,   691,   856,   857,   692,
     693,   694,   695,   696,     0,  1484,   859,   697,   237,   698,
     699,   700,   701,   860,   861,   702,   862,   863,   703,   704,
     705,   706,   707,   708,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   750,   709,   710,     0,     0,
       0,  1292,  1293,  1294,     0,  4300,  4301,  1297,  1298,  1299,
    1300,   774,    86,    87,    88,   726,    90,    91,    92,   727,
       0,   728,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   775,   104,   105,   729,   776,     0,   107,   108,   109,
     110,   777,   778,   112,   113,   114,     0,   115,   779,   780,
     730,   731,     0,     0,     0,   732,   733,     0,     0,     0,
       0,   734,     0,     0,     0,     0,     0,     0,     0,     0,
     735,     0,   736,     0,   737,   738,    35,   434,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
    1286,    45,     0,     0,     0,     0,     0,  1287,  1288,  1289,
     435,   436,   437,   438,   439,   440,   441,   442,   781,   443,
     444,   445,   782,   783,   784,   785,   786,   787,   788,   446,
     447,   789,   448,   449,   450,   132,   451,   452,   453,     0,
    1463,   136,  1464,  1465,   790,   454,   455,   456,   457,   458,
     791,   792,   459,   460,  1466,  1467,   461,   794,   462,   463,
     464,   465,     0,   795,   144,   796,   466,   467,   468,   469,
     470,   147,   471,   472,   741,   798,   473,   474,   475,   476,
     477,   478,   799,   150,   479,   480,     0,   801,   802,   803,
     151,   804,   805,   806,   482,   483,   484,   485,   743,   486,
    1468,  1469,   487,   807,   488,   808,   489,   490,   491,   492,
     493,   494,   809,   495,   496,   497,   498,   810,   811,   499,
     500,  1470,   502,   503,   812,   504,   505,   506,   813,   507,
     508,   509,   814,   510,   511,   512,   513,     0,   514,   515,
     516,     0,   815,   517,   816,   518,   519,  1471,   520,   817,
     521,   818,   522,   168,   819,   169,   523,   524,   525,   526,
     820,   527,     0,   821,     0,   528,   822,   529,   530,   745,
     531,   532,   173,   533,   534,   535,   536,   823,   537,   538,
     539,   540,   541,   542,   824,   543,   175,     0,     0,   544,
     545,   546,  1473,  1474,   827,  1475,   828,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,   829,   830,   554,
       0,   183,   555,   184,   831,   556,   557,   558,   832,   833,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   746,
     568,   569,   747,   570,   571,   572,  1476,   190,  1477,   573,
     574,   575,  4741,   834,   576,   577,   194,   578,   835,     0,
     579,  1478,   580,   581,   582,   836,   583,   584,   837,   838,
    4299,   586,   587,   839,   840,   588,     0,   198,   589,   199,
       0,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     841,   599,   600,     0,   601,     0,   602,   603,   604,   842,
     605,   606,   607,   608,   609,   610,   611,   612,   613,  1479,
     614,   615,   616,   617,   843,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   844,   630,   631,
     211,   632,   633,   634,     0,   635,   636,   637,   638,   639,
     640,   641,   748,   642,   845,   643,   644,   645,   646,   647,
     846,   649,   650,  2626,   651,   652,   220,   653,   654,  1481,
     655,   847,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,     0,   848,   668,   669,   849,   670,
     225,   671,   672,   673,   674,   675,   850,  1482,  1483,     0,
     852,   677,   678,     0,   679,     0,   853,   680,   681,   682,
     683,   684,   685,   686,     0,   855,   687,   688,   689,   690,
     691,   856,   857,   692,   693,   694,   695,   696,     0,  1484,
     859,   697,   237,   698,   699,   700,   701,   860,   861,   702,
     862,   863,   703,   704,   705,   706,   707,   708,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   750,
     709,   710,     0,     0,     0,  1292,  1293,  1294,     0,  4300,
    4301,  1297,  1298,  1299,  1300,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1286,     0,     0,     0,     0,     0,     0,
    1287,  1288,  1289,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,  1290,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,  1291,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,     0,     0,     0,  1292,  1293,
    1294,     0,  1295,  1296,  1297,  1298,  1299,  1300,    86,    87,
      88,   726,    90,    91,    92,   727,     0,   728,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     729,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   730,   731,     0,     0,
       0,   732,   733,     0,     0,     0,     0,   734,     0,     0,
       0,     0,     0,     0,     0,     0,   735,     0,   736,     0,
     737,   738,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1286,     0,     0,     0,
       0,     0,     0,  1287,  1288,  1289,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,     0,     0,
       0,     0,     0,     0,     0,   446,   447,     0,   448,   449,
     450,     0,   451,   452,   453,   134,   135,     0,   137,   138,
       0,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     740,   139,   461,     0,   462,  1408,   464,   465,   143,     0,
       0,     0,   466,   467,   468,   469,   470,     0,   471,   472,
     741,     0,   473,   474,   475,   476,   477,   478,     0,     0,
     479,   480,     0,     0,     0,     0,     0,     0,     0,     0,
     482,   483,   484,   485,   743,   486,   154,   155,   487,     0,
     488,     0,   489,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,     0,   499,   500,   501,   502,   503,
       0,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   163,   514,   515,   516,   165,     0,  1409,
       0,   518,   519,   167,   520,     0,   521,     0,   522,     0,
       0,     0,   523,   524,   525,   526,     0,   527,   171,     0,
     172,   528,     0,   529,   530,   745,   531,   532,     0,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   746,   568,   569,   747,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   197,     0,   589,     0,   200,   590,   591,   592,
     593,   594,   595,   596,   597,   598,     0,   599,   600,   201,
     601,   202,   602,   603,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   204,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,     0,   632,   633,   634,
     213,   635,   636,   637,   638,   639,   640,   641,   748,   642,
       0,   643,   644,   645,   646,   647,     0,   649,   650,   218,
     651,   652,     0,   653,   654,   221,   655,     0,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   665,   666,   667,
     223,     0,   668,   669,     0,   670,     0,   671,   672,   673,
     674,   675,     0,   226,   227,     0,     0,   677,   678,   228,
     679,   229,     0,   680,   681,   682,   683,   684,   685,   686,
       0,     0,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,   749,   236,     0,   697,     0,   698,
     699,   700,   701,     0,     0,   702,     0,     0,   703,   704,
     705,   706,   707,   708,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   750,   709,   710,     0,     0,
       0,  1292,  1293,  1294,     0,  1295,  1296,  1297,  1298,  1299,
    1300,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1286,
       0,     0,     0,     0,     0,     0,  1287,  1288,  1289,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,  1515,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,  1516,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    1517,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,     0,     0,     0,  1292,  1293,  1294,     0,  1295,  1296,
    1297,  1298,  1299,  1300,    86,    87,    88,   726,    90,    91,
      92,   727,     0,   728,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   729,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   730,   731,     0,     0,     0,   732,   733,     0,
       0,     0,     0,   734,     0,     0,     0,     0,     0,     0,
       0,     0,   735,     0,   736,     0,   737,   738,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1286,     0,     0,     0,     0,     0,     0,  1287,
    1288,  1289,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,     0,     0,     0,     0,     0,     0,
       0,   446,   447,     0,   448,   449,   450,     0,   451,   452,
     453,   134,   135,     0,   137,   138,     0,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   740,   139,   461,     0,
     462,  2106,   464,   465,   143,     0,     0,     0,   466,   467,
     468,   469,   470,     0,   471,   472,   741,     0,   473,   474,
     475,   476,   477,   478,     0,     0,   479,   480,     0,     0,
       0,     0,     0,     0,     0,     0,   482,   483,   484,   485,
     743,   486,   154,   155,   487,     0,   488,     0,   489,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
       0,   499,   500,   501,   502,   503,     0,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   163,
     514,   515,   516,   165,     0,  2107,     0,   518,   519,   167,
     520,     0,   521,     0,   522,     0,     0,     0,   523,   524,
     525,   526,     0,   527,   171,     0,   172,   528,     0,   529,
     530,   745,   531,   532,     0,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   746,   568,   569,   747,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   197,     0,
     589,     0,   200,   590,   591,   592,   593,   594,   595,   596,
     597,   598,     0,   599,   600,   201,   601,   202,   602,   603,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   204,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,     0,   632,   633,   634,   213,   635,   636,   637,
     638,   639,   640,   641,   748,   642,     0,   643,   644,   645,
     646,   647,     0,   649,   650,   218,   651,   652,     0,   653,
     654,   221,   655,     0,   656,   657,   658,   659,   660,   661,
     662,   663,   664,   665,   666,   667,   223,     0,   668,   669,
       0,   670,     0,   671,   672,   673,   674,   675,     0,   226,
     227,     0,     0,   677,   678,   228,   679,   229,     0,   680,
     681,   682,   683,   684,   685,   686,     0,     0,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
     749,   236,     0,   697,     0,   698,   699,   700,   701,     0,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   750,   709,   710,     0,     0,     0,  1292,  1293,  1294,
       0,  1295,  1296,  1297,  1298,  1299,  1300,    86,    87,    88,
     726,    90,    91,    92,   727,     0,   728,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   729,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   730,   731,     0,     0,     0,
     732,   733,     0,     0,     0,     0,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   736,     0,   737,
     738,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1286,     0,     0,     0,     0,
       0,     0,  1287,  1288,  1289,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,     0,     0,     0,   446,   447,     0,   448,   449,   450,
       0,   451,   452,   453,   134,   135,     0,   137,   138,     0,
     454,   455,   456,   457,   458,     0,     0,   459,   460,   740,
     139,   461,     0,   462,   463,   464,   465,   143,     0,     0,
       0,   466,   467,   468,   469,   470,     0,   471,   472,   741,
       0,   473,   474,   475,   476,   477,   478,     0,     0,   479,
     480,     0,     0,     0,     0,     0,     0,     0,     0,   482,
     483,   484,   485,   743,   486,   154,   155,   487,     0,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,   501,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   163,   514,   515,   516,   165,     0,   517,     0,
     518,   519,   167,   520,     0,   521,     0,   522,     0,     0,
       0,   523,   524,   525,   526,     0,   527,   171,     0,   172,
     528,     0,   529,   530,   745,   531,   532,     0,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   746,   568,   569,   747,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   197,     0,   589,     0,   200,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,   201,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   204,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   632,   633,   634,   213,
     635,   636,   637,   638,   639,   640,   641,   748,   642,     0,
     643,   644,   645,   646,   647,     0,   649,   650,   218,   651,
     652,     0,   653,   654,   221,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,   223,
       0,   668,   669,     0,   670,     0,   671,   672,   673,   674,
     675,     0,   226,   227,     0,     0,   677,   678,   228,   679,
     229,     0,   680,   681,   682,   683,   684,   685,   686,     0,
       0,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,   749,   236,     0,   697,     0,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   750,   709,   710,     0,     0,     0,
    1292,  1293,  1294,     0,  1295,  1296,  1297,  1298,  1299,  1300,
      86,    87,    88,   726,    90,    91,    92,   727,     0,   728,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   729,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   730,   731,
       0,     0,     0,   732,   733,     0,     0,     0,     0,   734,
       0,     0,     0,     0,     0,     0,     0,     0,   735,     0,
     736,     0,   737,   738,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1286,     0,
       0,     0,     0,     0,     0,  1287,  1288,  1289,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
       0,     0,     0,     0,     0,     0,     0,   446,   447,     0,
     448,   449,   450,     0,   451,   452,   453,   134,   135,     0,
     137,   138,     0,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   740,   139,   461,     0,   462,  3454,   464,   465,
     143,     0,     0,     0,   466,   467,   468,   469,   470,     0,
     471,   472,   741,     0,   473,   474,   475,   476,   477,   478,
       0,     0,   479,   480,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   743,   486,   154,   155,
     487,     0,   488,     0,   489,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,     0,   499,   500,   501,
     502,   503,     0,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   163,   514,   515,   516,   165,
       0,  3455,     0,   518,   519,   167,   520,     0,   521,     0,
     522,     0,     0,     0,   523,   524,   525,   526,     0,   527,
     171,     0,   172,   528,     0,   529,   530,   745,   531,   532,
       0,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   746,   568,   569,
     747,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   197,     0,   589,     0,   200,   590,
     591,   592,   593,   594,   595,   596,   597,   598,     0,   599,
     600,   201,   601,   202,   602,   603,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   204,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   632,
     633,   634,   213,   635,   636,   637,   638,   639,   640,   641,
     748,   642,     0,   643,   644,   645,   646,   647,     0,   649,
     650,   218,   651,   652,     0,   653,   654,   221,   655,     0,
     656,   657,   658,   659,   660,   661,   662,   663,   664,   665,
     666,   667,   223,     0,   668,   669,     0,   670,     0,   671,
     672,   673,   674,   675,     0,   226,   227,     0,     0,   677,
     678,   228,   679,   229,     0,   680,   681,   682,   683,   684,
     685,   686,     0,     0,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,   749,   236,     0,   697,
       0,   698,   699,   700,   701,     0,     0,   702,     0,     0,
     703,   704,   705,   706,   707,   708,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   750,   709,   710,
       0,     0,     0,  1292,  1293,  1294,     0,  1295,  1296,  1297,
    1298,  1299,  1300,    86,    87,    88,   726,    90,    91,    92,
     727,     0,   728,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   729,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   730,   731,     0,     0,     0,   732,   733,     0,     0,
       0,     0,   734,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,   736,     0,   737,   738,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1286,     0,     0,     0,     0,     0,     0,  1287,  1288,
    1289,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,     0,     0,     0,
     446,   447,     0,   448,   449,   450,     0,   451,   452,   453,
     134,   135,     0,   137,   138,     0,   454,   455,   456,   457,
     458,     0,     0,   459,   460,   740,   139,   461,     0,   462,
     463,   464,   465,   143,     0,     0,     0,   466,   467,   468,
     469,   470,     0,   471,   472,   741,     0,   473,   474,   475,
     476,   477,   478,     0,     0,   479,   480,     0,     0,     0,
       0,     0,     0,     0,     0,   482,   483,   484,   485,   743,
     486,   154,   155,   487,     0,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,   501,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   163,   514,
     515,   516,   165,     0,   517,     0,   518,   519,   167,   520,
       0,   521,     0,   522,     0,     0,     0,   523,   524,   525,
     526,     0,   527,   171,     0,   172,   528,     0,   529,   530,
     745,   531,   532,     0,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     746,   568,   569,   747,   570,   571,   572,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,  5316,   586,   587,     0,     0,   588,   197,     0,   589,
       0,   200,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,   201,   601,   202,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     204,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,     0,   632,   633,   634,   213,   635,   636,   637,   638,
     639,   640,   641,   748,   642,     0,   643,   644,   645,   646,
     647,     0,   649,   650,   218,   651,   652,     0,   653,   654,
     221,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,   223,     0,   668,   669,     0,
     670,     0,   671,   672,   673,   674,   675,     0,   226,   227,
       0,     0,   677,   678,   228,   679,   229,     0,   680,   681,
     682,   683,   684,   685,   686,     0,     0,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,   749,
     236,     0,   697,     0,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     750,   709,   710,     0,     0,     0,  1292,  1293,  1294,     0,
    1295,  1296,  1297,  1298,  1299,  1300,   774,    86,    87,    88,
     726,    90,    91,    92,   727,     0,   728,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   775,   104,   105,   729,
     776,     0,   107,   108,   109,   110,   777,   778,   112,   113,
     114,     0,   115,   779,   780,   730,   731,     0,     0,     0,
     732,   733,     0,     0,     0,     0,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   736,     0,   737,
     738,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,   781,   443,   444,   445,   782,   783,   784,
     785,   786,   787,   788,   446,   447,   789,   448,   449,   450,
     132,   451,   452,   453,   134,   135,   136,   137,   138,   790,
     454,   455,   456,   457,   458,   791,   792,   459,   460,   793,
     139,   461,   794,   462,   463,   464,   465,   143,   795,   144,
     796,   466,   467,   468,   469,   470,   147,   471,   472,   797,
     798,   473,   474,   475,   476,   477,   478,   799,   150,   479,
     480,   800,   801,   802,   803,   151,   804,   805,   806,   482,
     483,   484,   485,   743,   486,   154,   155,   487,   807,   488,
     808,   489,   490,   491,   492,   493,   494,   809,   495,   496,
     497,   498,   810,   811,   499,   500,   501,   502,   503,   812,
     504,   505,   506,   813,   507,   508,   509,   814,   510,   511,
     512,   513,   163,   514,   515,   516,   165,   815,   517,   816,
     518,   519,   167,   520,   817,   521,   818,   522,   168,   819,
     169,   523,   524,   525,   526,   820,   527,   171,   821,   172,
     528,   822,   529,   530,   745,   531,   532,   173,   533,   534,
     535,   536,   823,   537,   538,   539,   540,   541,   542,   824,
     543,   175,   176,   825,   544,   545,   546,   826,   177,   827,
     178,   828,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,   829,   830,   554,   182,   183,   555,   184,   831,
     556,   557,   558,   832,   833,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   746,   568,   569,   747,   570,   571,
     572,   189,   190,   191,   573,   574,   575,   192,   834,   576,
     577,   194,   578,   835,   195,   579,   196,   580,   581,   582,
     836,   583,   584,   837,   838,   585,   586,   587,   839,   840,
     588,   197,   198,   589,   199,   200,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   841,   599,   600,   201,   601,
     202,   602,   603,   604,   842,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   204,   614,   615,   616,   617,   843,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   844,   630,   631,   211,   632,   633,   634,   213,
     635,   636,   637,   638,   639,   640,   641,   748,   642,   845,
     643,   644,   645,   646,   647,   846,   649,   650,   218,   651,
     652,   220,   653,   654,   221,   655,   847,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,   223,
     848,   668,   669,   849,   670,   225,   671,   672,   673,   674,
     675,   850,   226,   227,   851,   852,   677,   678,   228,   679,
     229,   853,   680,   681,   682,   683,   684,   685,   686,   854,
     855,   687,   688,   689,   690,   691,   856,   857,   692,   693,
     694,   695,   696,   858,   236,   859,   697,   237,   698,   699,
     700,   701,   860,   861,   702,   862,   863,   703,   704,   705,
     706,   707,   708,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   750,   709,   710,   774,    86,    87,
      88,   726,    90,    91,    92,   727,  2514,   728,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   775,   104,   105,
     729,   776,     0,   107,   108,   109,   110,   777,   778,   112,
     113,   114,     0,   115,   779,   780,   730,   731,     0,     0,
       0,   732,   733,     0,     0,     0,     0,   734,     0,     0,
       0,     0,     0,     0,     0,     0,   735,     0,   736,     0,
     737,   738,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,     0,     0,
       0,     0,     0,     0,     0,   446,   447,     0,   448,   449,
     450,   132,   451,   452,   453,     0,  1463,   136,  1464,  1465,
       0,   454,   455,   456,   457,   458,     0,     0,   459,   460,
    1466,  1467,   461,     0,   462,   463,   464,   465,     0,     0,
     144,     0,   466,   467,   468,   469,   470,   147,   471,   472,
     741,     0,   473,   474,   475,   476,   477,   478,     0,   150,
     479,   480,     0,     0,     0,     0,   151,     0,     0,     0,
     482,   483,   484,   485,   743,   486,  1468,  1469,   487,     0,
     488,     0,   489,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,     0,   499,   500,  1470,   502,   503,
       0,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,     0,   514,   515,   516,     0,     0,   517,
       0,   518,   519,  1471,   520,     0,   521,     0,   522,   168,
       0,   169,   523,   524,   525,   526,     0,   527,     0,     0,
       0,   528,     0,   529,   530,   745,   531,   532,   173,   533,
     534,   535,   536,  2622,   537,   538,   539,   540,   541,   542,
       0,   543,   175,  2623,     0,   544,   545,   546,  1473,  1474,
       0,  1475,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,     0,   183,   555,   184,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   746,   568,   569,   747,   570,
     571,   572,  1476,   190,  1477,   573,   574,   575,     0,     0,
     576,   577,   194,   578,     0,     0,   579,  1478,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
    2624,   588,  2625,   198,   589,   199,     0,   590,   591,   592,
     593,   594,   595,   596,   597,   598,     0,   599,   600,     0,
     601,     0,   602,   603,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,  1479,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   211,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   748,   642,
       0,   643,   644,   645,   646,   647,     0,   649,   650,  2626,
     651,   652,   220,   653,   654,  1481,   655,     0,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   665,   666,   667,
       0,     0,   668,   669,     0,   670,   225,   671,   672,   673,
     674,   675,     0,  1482,  1483,     0,     0,   677,   678,     0,
     679,     0,     0,   680,   681,   682,   683,   684,   685,   686,
       0,     0,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,  1484,  2627,   697,   237,   698,
     699,   700,   701,     0,     0,   702,     0,     0,   703,   704,
     705,   706,   707,   708,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   750,   709,   710,     0,    86,
      87,    88,   726,    90,    91,    92,   727,  2628,   728,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   729,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   730,   731,     0,
       0,     0,   732,   733,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,   736,
       0,   737,   738,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,     0,
       0,     0,     0,     0,     0,     0,   446,   447,     0,   448,
     449,   450,     0,   451,   452,   453,   134,   135,     0,   137,
     138,     0,   454,   455,   456,   457,   458,     0,     0,   459,
     460,   740,   139,   461,     0,   462,   463,   464,   465,   143,
       0,     0,     0,   466,   467,   468,   469,   470,     0,   471,
     472,   741,     0,   473,   474,   475,   476,   477,   478,     0,
       0,   479,   480,     0,     0,     0,     0,     0,     0,     0,
       0,   482,   483,   484,   485,   743,   486,   154,   155,   487,
       0,   488,     0,   489,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,     0,   499,   500,   501,   502,
     503,     0,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   163,   514,   515,   516,   165,     0,
     517,     0,   518,   519,   167,   520,     0,   521,     0,   522,
       0,     0,     0,   523,   524,   525,   526,     0,   527,   171,
       0,   172,   528,     0,   529,   530,   745,   531,   532,     0,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   746,   568,   569,   747,
     570,   571,   572,   189,     0,   191,   573,   574,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   197,     0,   589,     0,   200,   590,   591,
     592,   593,   594,   595,   596,   597,   598,     0,   599,   600,
     201,   601,   202,   602,   603,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   204,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,     0,   632,   633,
     634,   213,   635,   636,   637,   638,   639,   640,   641,   748,
     642,     0,   643,   644,   645,   646,   647,     0,   649,   650,
     218,   651,   652,     0,   653,   654,   221,   655,     0,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,   223,     0,   668,   669,     0,   670,     0,   671,   672,
     673,   674,   675,     0,   226,   227,     0,     0,   677,   678,
     228,   679,   229,     0,   680,   681,   682,   683,   684,   685,
     686,     0,     0,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,   749,   236,     0,   697,     0,
     698,   699,   700,   701,     0,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   750,   709,   710,     0,
      86,    87,    88,   726,    90,    91,    92,   727,  1166,   728,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   729,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   730,   731,
       0,     0,     0,   732,   733,     0,     0,     0,     0,   734,
       0,     0,     0,     0,     0,     0,     0,     0,   735,     0,
     736,     0,   737,   738,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
       0,     0,     0,     0,     0,     0,     0,   446,   447,     0,
     448,   449,   450,     0,   451,   452,   453,   134,   135,     0,
     137,   138,     0,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   740,   139,   461,     0,   462,   463,   464,   465,
     143,     0,     0,     0,   466,   467,   468,   469,   470,     0,
     471,   472,   741,     0,   473,   474,   475,   476,   477,   478,
       0,     0,   479,   480,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   743,   486,   154,   155,
     487,     0,   488,     0,   489,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,     0,   499,   500,   501,
     502,   503,     0,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   163,   514,   515,   516,   165,
       0,   517,     0,   518,   519,   167,   520,     0,   521,     0,
     522,     0,     0,     0,   523,   524,   525,   526,     0,   527,
     171,     0,   172,   528,     0,   529,   530,   745,   531,   532,
       0,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   746,   568,   569,
     747,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   197,     0,   589,     0,   200,   590,
     591,   592,   593,   594,   595,   596,   597,   598,     0,   599,
     600,   201,   601,   202,   602,   603,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   204,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   632,
     633,   634,   213,   635,   636,   637,   638,   639,   640,   641,
     748,   642,     0,   643,   644,   645,   646,   647,     0,   649,
     650,   218,   651,   652,     0,   653,   654,   221,   655,     0,
     656,   657,   658,   659,   660,   661,   662,   663,   664,   665,
     666,   667,   223,     0,   668,   669,     0,   670,     0,   671,
     672,   673,   674,   675,     0,   226,   227,     0,     0,   677,
     678,   228,   679,   229,     0,   680,   681,   682,   683,   684,
     685,   686,     0,     0,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,   749,   236,     0,   697,
       0,   698,   699,   700,   701,     0,     0,   702,     0,     0,
     703,   704,   705,   706,   707,   708,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   750,   709,   710,
       0,    86,    87,    88,   726,    90,    91,    92,   727,  5703,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,   435,
    1056,   437,   438,   439,   440,   441,   442,  1057,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,  1058,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,  1059,   167,   520,     0,   521,
       0,  1060,     0,  1061,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,  1062,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,  1063,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,  1064,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,  1065,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,  1066,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,     0,     0,     0,     0,     0,     0,     0,  1067,  1068,
      86,    87,    88,   726,    90,    91,    92,   727,     0,   728,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   729,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   730,   731,
       0,     0,     0,   732,   733,     0,     0,     0,     0,   734,
       0,     0,     0,     0,     0,     0,     0,     0,   735,     0,
     736,     0,   737,   738,    35,   434,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   435,  1056,
     437,   438,   439,   440,   441,   442,  1057,   443,   444,   445,
       0,     0,     0,     0,     0,     0,     0,   446,   447,     0,
     448,   449,   450,     0,  1090,   452,   453,   134,   135,     0,
     137,   138,     0,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   740,   139,   461,     0,   462,   463,   464,   465,
     143,     0,     0,     0,   466,   467,   468,   469,   470,     0,
     471,   472,   741,     0,   473,   474,   475,   476,   477,   478,
       0,     0,   479,   480,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   743,   486,   154,   155,
     487,     0,   488,     0,   489,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,     0,   499,   500,   501,
     502,   503,     0,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   163,   514,   515,   516,   165,
       0,   517,     0,   518,  1059,   167,   520,     0,   521,     0,
    1091,     0,  1061,     0,   523,   524,   525,   526,     0,   527,
     171,     0,   172,   528,     0,   529,   530,   745,   531,   532,
       0,   533,   534,   535,   536,  1062,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,  1063,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   746,   568,   569,
     747,   570,   571,   572,   189,     0,   191,   573,  1064,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   197,     0,   589,     0,   200,   590,
     591,   592,   593,   594,   595,   596,   597,   598,     0,   599,
     600,   201,   601,   202,   602,   603,   604,     0,  1065,   606,
     607,   608,   609,   610,   611,   612,   613,   204,   614,   615,
     616,   617,     0,   618,   619,   620,  1066,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   632,
     633,   634,   213,   635,   636,   637,   638,   639,   640,   641,
     748,   642,     0,   643,   644,   645,   646,   647,     0,   649,
     650,   218,   651,   652,     0,   653,   654,   221,   655,     0,
     656,   657,   658,   659,   660,   661,   662,   663,   664,   665,
     666,   667,   223,     0,   668,   669,     0,   670,     0,   671,
     672,   673,   674,   675,     0,   226,   227,     0,     0,   677,
     678,   228,   679,   229,     0,   680,   681,   682,   683,   684,
     685,   686,     0,     0,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,   749,   236,     0,   697,
       0,   698,   699,   700,   701,     0,     0,   702,     0,     0,
     703,   704,   705,   706,   707,   708,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   750,   709,   710,
       0,     0,     0,     0,     0,     0,     0,  1067,  1068,    86,
      87,    88,   726,    90,    91,    92,   727,     0,   728,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   729,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   730,   731,     0,
       0,     0,   732,   733,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,   736,
       0,   737,   738,    35,   434,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,  1568,   443,   444,   445,     0,
       0,     0,     0,     0,     0,     0,   446,   447,     0,   448,
     449,   450,     0,   451,   452,   453,   134,   135,     0,   137,
     138,     0,   454,   455,   456,   457,   458,     0,     0,   459,
     460,   740,   139,   461,     0,   462,   463,   464,   465,   143,
       0,     0,     0,   466,   467,   468,   469,   470,     0,   471,
     472,   741,     0,   473,   474,   475,   476,   477,   478,     0,
       0,   479,   480,     0,     0,     0,     0,     0,     0,     0,
       0,   482,   483,   484,   485,   743,   486,   154,   155,   487,
       0,   488,     0,   489,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,     0,   499,   500,   501,   502,
     503,     0,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   163,   514,   515,   516,   165,     0,
     517,     0,   518,   519,   167,   520,     0,   521,     0,   522,
       0,  1061,     0,   523,   524,   525,   526,     0,   527,   171,
       0,   172,   528,     0,   529,   530,   745,   531,   532,     0,
     533,   534,   535,   536,  1062,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   746,   568,   569,   747,
     570,   571,   572,   189,     0,   191,   573,   574,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   197,     0,   589,     0,   200,   590,   591,
     592,   593,   594,   595,   596,   597,   598,     0,   599,   600,
     201,   601,   202,   602,   603,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   204,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,     0,   632,   633,
     634,   213,   635,   636,   637,   638,   639,   640,   641,   748,
     642,     0,   643,   644,   645,   646,   647,     0,   649,   650,
     218,   651,   652,     0,   653,   654,   221,   655,     0,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,   223,     0,   668,   669,     0,   670,     0,   671,   672,
     673,   674,   675,     0,   226,   227,     0,     0,   677,   678,
     228,   679,   229,     0,   680,   681,   682,   683,   684,   685,
     686,     0,     0,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,   749,   236,     0,   697,     0,
     698,   699,   700,   701,     0,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   750,   709,   710,     0,
       0,     0,     0,     0,     0,     0,  1067,  1068,    86,    87,
      88,   726,    90,    91,    92,   727,     0,   728,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     729,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   730,   731,     0,     0,
       0,   732,   733,     0,     0,     0,     0,   734,     0,     0,
       0,     0,     0,     0,     0,     0,   735,     0,   736,     0,
     737,   738,    35,   434,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,   435,   436,   437,   438,
     439,   440,   441,   442,  1573,   443,   444,   445,     0,     0,
       0,     0,     0,     0,     0,   446,   447,     0,   448,   449,
     450,     0,   451,   452,   453,   134,   135,     0,   137,   138,
       0,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     740,   139,   461,     0,   462,   463,   464,   465,   143,     0,
       0,     0,   466,   467,   468,   469,   470,     0,   471,   472,
     741,     0,   473,   474,   475,   476,   477,   478,     0,     0,
     479,   480,     0,     0,     0,     0,     0,     0,     0,     0,
     482,   483,   484,   485,   743,   486,   154,   155,   487,     0,
     488,     0,   489,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,     0,   499,   500,   501,   502,   503,
       0,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   163,   514,   515,   516,   165,     0,   517,
       0,   518,   519,   167,   520,     0,   521,     0,   522,     0,
    1061,     0,   523,   524,   525,   526,     0,   527,   171,     0,
     172,   528,     0,   529,   530,   745,   531,   532,     0,   533,
     534,   535,   536,  1062,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   746,   568,   569,   747,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   197,     0,   589,     0,   200,   590,   591,   592,
     593,   594,   595,   596,   597,   598,     0,   599,   600,   201,
     601,   202,   602,   603,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   204,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,     0,   632,   633,   634,
     213,   635,   636,   637,   638,   639,   640,   641,   748,   642,
       0,   643,   644,   645,   646,   647,     0,   649,   650,   218,
     651,   652,     0,   653,   654,   221,   655,     0,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   665,   666,   667,
     223,     0,   668,   669,     0,   670,     0,   671,   672,   673,
     674,   675,     0,   226,   227,     0,     0,   677,   678,   228,
     679,   229,     0,   680,   681,   682,   683,   684,   685,   686,
       0,     0,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,   749,   236,     0,   697,     0,   698,
     699,   700,   701,     0,     0,   702,     0,     0,   703,   704,
     705,   706,   707,   708,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   750,   709,   710,     0,     0,
       0,     0,     0,     0,     0,  1067,  1068,    86,    87,    88,
     726,    90,    91,    92,   727,     0,   728,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   729,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   730,   731,     0,     0,     0,
     732,   733,     0,     0,     0,     0,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   736,     0,   737,
     738,    35,   434,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,     0,     0,     0,   446,   447,     0,   448,   449,   450,
       0,   451,   452,   453,   134,   135,     0,   137,   138,     0,
     454,   455,   456,   457,   458,     0,     0,   459,   460,   740,
     139,   461,     0,   462,   463,   464,   465,   143,     0,     0,
       0,   466,   467,   468,   469,   470,     0,   471,   472,   741,
       0,   473,   474,   475,   476,   477,   478,     0,     0,   479,
     480,     0,     0,     0,     0,     0,     0,     0,     0,   482,
     483,   484,   485,   743,   486,   154,   155,   487,   744,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,   501,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   163,   514,   515,   516,   165,     0,   517,     0,
     518,   519,   167,   520,     0,   521,     0,   522,     0,     0,
       0,   523,   524,   525,   526,     0,   527,   171,     0,   172,
     528,     0,   529,   530,   745,   531,   532,     0,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   746,   568,   569,   747,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   197,     0,   589,     0,   200,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,   201,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   204,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   632,   633,   634,   213,
     635,   636,   637,   638,   639,   640,   641,   748,   642,     0,
     643,   644,   645,   646,   647,     0,   649,   650,   218,   651,
     652,     0,   653,   654,   221,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,   223,
       0,   668,   669,     0,   670,     0,   671,   672,   673,   674,
     675,     0,   226,   227,  1746,     0,   677,   678,   228,   679,
     229,     0,   680,   681,   682,   683,   684,   685,   686,     0,
       0,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,   749,   236,     0,   697,     0,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   750,   709,   710,     0,     0,     0,
       0,  1136,  1747,    86,    87,    88,   726,    90,    91,    92,
     727,  1137,   728,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   729,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   730,   731,     0,     0,     0,   732,   733,     0,     0,
       0,     0,   734,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,   736,     0,   737,   738,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,     0,     0,     0,
     446,   447,     0,   448,   449,   450,     0,   451,   452,   453,
     134,   135,     0,   137,   138,     0,   454,   455,   456,   457,
     458,     0,     0,  1138,   460,  1109,   139,   461,     0,   462,
     463,   464,   465,   143,     0,     0,     0,   466,   467,   468,
     469,   470,     0,   471,   472,  1139,     0,  1140,   474,   475,
     476,   477,   478,     0,     0,   479,   480,     0,     0,     0,
       0,     0,     0,     0,     0,   482,   483,   484,   485,   743,
     486,   154,   155,   487,     0,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,   501,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   163,   514,
     515,   516,   165,     0,   517,     0,   518,   519,   167,   520,
       0,   521,     0,   522,     0,     0,     0,   523,   524,   525,
     526,     0,   527,   171,     0,   172,   528,     0,   529,   530,
     745,   531,   532,     0,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,  1141,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     746,   568,   569,   747,   570,   571,  1142,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   197,     0,   589,
       0,   200,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,   201,   601,   202,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     204,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,     0,  1143,   633,   634,   213,   635,   636,   637,  1144,
     639,   640,   641,   748,   642,     0,   643,   644,   645,   646,
    1145,     0,   649,   650,   218,   651,   652,     0,   653,   654,
     221,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,   223,     0,   668,   669,     0,
     670,     0,   671,   672,   673,   674,   675,     0,  1146,   227,
       0,     0,  1147,   678,   228,   679,   229,     0,   680,   681,
     682,   683,   684,   685,   686,     0,     0,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,  1113,
     236,     0,   697,     0,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,  1148,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     750,   709,   710,   774,    86,    87,    88,   726,    90,    91,
      92,   727,     0,   728,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   775,   104,   105,   729,   776,     0,   107,
     108,   109,   110,   777,   778,   112,   113,   114,     0,   115,
     779,   780,   730,   731,     0,     0,     0,   732,   733,     0,
       0,     0,     0,   734,     0,     0,     0,     0,     0,     0,
       0,     0,   735,     0,   736,     0,   737,   738,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,   435,   436,   437,   438,   439,   440,   441,   442,
     781,   443,   444,   445,   782,   783,   784,   785,   786,   787,
     788,   446,   447,   789,   448,   449,   450,   132,   451,   452,
     453,   134,   135,   136,   137,   138,   790,   454,   455,   456,
     457,   458,   791,   792,   459,   460,   793,   139,   461,   794,
     462,   463,   464,   465,   143,   795,   144,   796,   466,   467,
     468,   469,   470,   147,   471,   472,   797,   798,   473,   474,
     475,   476,   477,   478,   799,   150,   479,   480,   800,   801,
     802,   803,   151,   804,   805,   806,   482,   483,   484,   485,
     743,   486,   154,   155,   487,   807,   488,   808,   489,   490,
     491,   492,   493,   494,   809,   495,   496,   497,   498,   810,
     811,   499,   500,   501,   502,   503,   812,   504,   505,   506,
     813,   507,   508,   509,   814,   510,   511,   512,   513,   163,
     514,   515,   516,   165,   815,   517,   816,   518,   519,   167,
     520,   817,   521,   818,   522,   168,   819,   169,   523,   524,
     525,   526,   820,   527,   171,   821,   172,   528,   822,   529,
     530,   745,   531,   532,   173,   533,   534,   535,   536,   823,
     537,   538,   539,   540,   541,   542,   824,   543,   175,   176,
     825,   544,   545,   546,   826,   177,   827,   178,   828,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,   829,
     830,   554,   182,   183,   555,   184,   831,   556,   557,   558,
     832,   833,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   746,   568,   569,   747,   570,   571,   572,   189,   190,
     191,   573,   574,   575,   192,   834,   576,   577,   194,   578,
     835,   195,   579,   196,   580,   581,   582,   836,   583,   584,
     837,   838,   585,   586,   587,   839,   840,   588,   197,   198,
     589,   199,   200,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   841,   599,   600,   201,   601,   202,   602,   603,
     604,   842,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   204,   614,   615,   616,   617,   843,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   844,
     630,   631,   211,   632,   633,   634,   213,   635,   636,   637,
     638,   639,   640,   641,   748,   642,   845,   643,   644,   645,
     646,   647,   846,   649,   650,   218,   651,   652,   220,   653,
     654,   221,   655,   847,   656,   657,   658,   659,   660,   661,
     662,   663,   664,   665,   666,   667,   223,   848,   668,   669,
     849,   670,   225,   671,   672,   673,   674,   675,   850,   226,
     227,   851,   852,   677,   678,   228,   679,   229,   853,   680,
     681,   682,   683,   684,   685,   686,   854,   855,   687,   688,
     689,   690,   691,   856,   857,   692,   693,   694,   695,   696,
     858,   236,   859,   697,   237,   698,   699,   700,   701,   860,
     861,   702,   862,   863,   703,   704,   705,   706,   707,   708,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   750,   709,   710,   774,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   775,   104,   105,   729,   776,     0,
     107,   108,   109,   110,   777,   778,   112,   113,   114,     0,
     115,   779,   780,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,   781,   443,   444,   445,   782,   783,   784,   785,   786,
     787,   788,   446,   447,   789,   448,   449,   450,   132,   451,
     452,   453,   134,   135,   136,   137,   138,   790,   454,   455,
     456,   457,   458,   791,   792,   459,   460,   793,   139,   461,
     794,   462,   463,   464,   465,   143,   795,   144,   796,   466,
     467,   468,   469,   470,   147,   471,   472,   797,   798,   473,
     474,   475,   476,   477,   478,   799,   150,   479,   480,   800,
     801,   802,   803,   151,   804,   805,   806,   482,   483,   484,
     485,   743,   486,   154,   155,   487,   807,   488,   808,   489,
     490,   491,   492,   493,   494,   809,   495,   496,   497,   498,
     810,   811,   499,   500,   501,   502,   503,   812,   504,   505,
     506,   813,   507,   508,   509,   814,   510,   511,   512,   513,
     163,   514,   515,   516,   165,   815,   517,   816,   518,   519,
     167,   520,   817,   521,   818,   522,   168,   819,   169,   523,
     524,   525,   526,   820,   527,   171,   821,   172,   528,   822,
     529,   530,   745,   531,   532,   173,   533,   534,   535,   536,
     823,   537,   538,   539,   540,   541,   542,   824,   543,   175,
     176,   825,   544,   545,   546,   826,   177,   827,   178,   828,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
     829,   830,   554,   182,   183,   555,   184,   831,   556,   557,
     558,   832,   833,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
     190,   191,   573,   574,   575,   192,   834,   576,   577,   194,
     578,   835,   195,   579,   196,   580,   581,   582,   836,   583,
     584,   837,   838,   585,   586,   587,   839,   840,   588,   197,
     198,   589,   199,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   841,   599,   600,   201,   601,   202,   602,
     603,   604,   842,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,   843,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     844,   630,   631,   211,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,   845,   643,   644,
     645,   646,   647,   846,   649,   650,   218,   651,   652,   220,
     653,   654,   221,   655,   847,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,   848,   668,
     669,   849,   670,   225,   671,   672,   673,   674,   675,   850,
     226,   227,   851,   852,   677,   678,   228,   679,   229,   853,
     680,   681,   682,   683,   684,   685,   686,   854,   855,   687,
     688,   689,   690,   691,   856,   857,   692,   693,   694,   695,
     696,   858,   236,   859,   697,   237,   698,   699,   700,   701,
     860,   861,   702,   862,   863,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,   774,    86,    87,    88,   726,
      90,    91,    92,   727,     0,   728,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   775,   104,   105,   729,   776,
       0,   107,   108,   109,   110,   777,   778,   112,   113,   114,
       0,   115,   779,   780,   730,   731,     0,     0,     0,   732,
     733,     0,     0,     0,     0,   734,     0,     0,     0,     0,
       0,     0,     0,     0,   735,     0,   736,     0,   737,   738,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   435,   436,   437,   438,  3522,   440,
     441,   442,   781,   443,   444,   445,   782,   783,   784,   785,
     786,   787,   788,   446,   447,   789,   448,   449,   450,   132,
     451,   452,   453,   134,   135,   136,   137,   138,   790,   454,
     455,   456,   457,   458,   791,   792,   459,   460,   793,   139,
     461,   794,   462,   463,   464,   465,   143,   795,   144,   796,
     466,   467,   468,   469,   470,   147,   471,   472,   797,   798,
     473,   474,   475,   476,   477,   478,   799,   150,   479,   480,
     800,   801,   802,   803,   151,   804,   805,   806,   482,   483,
     484,   485,   743,   486,   154,   155,   487,   807,   488,   808,
     489,   490,   491,   492,   493,   494,   809,   495,   496,   497,
     498,   810,   811,   499,   500,   501,  3523,   503,   812,   504,
     505,   506,   813,   507,   508,   509,   814,   510,   511,   512,
     513,   163,   514,   515,   516,   165,   815,   517,   816,   518,
     519,   167,   520,   817,   521,   818,   522,   168,   819,   169,
     523,   524,   525,   526,   820,   527,   171,   821,   172,   528,
     822,   529,   530,   745,   531,   532,   173,   533,   534,   535,
     536,   823,   537,   538,   539,   540,   541,   542,   824,   543,
     175,   176,   825,   544,   545,   546,   826,   177,   827,   178,
     828,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,   829,   830,   554,   182,   183,   555,   184,   831,   556,
     557,   558,   832,   833,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   746,   568,   569,   747,   570,   571,   572,
     189,   190,   191,   573,   574,   575,   192,   834,   576,   577,
     194,   578,   835,   195,   579,   196,   580,   581,   582,   836,
     583,   584,   837,   838,   585,   586,   587,   839,   840,   588,
     197,   198,   589,   199,   200,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   841,   599,   600,   201,   601,   202,
     602,   603,   604,   842,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   204,   614,   615,   616,   617,   843,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   844,   630,   631,   211,   632,   633,   634,   213,   635,
     636,   637,   638,   639,   640,   641,   748,   642,   845,   643,
     644,   645,   646,   647,   846,  3524,   650,   218,   651,   652,
     220,   653,   654,   221,   655,   847,   656,   657,   658,   659,
     660,   661,   662,   663,   664,   665,   666,   667,   223,   848,
     668,   669,   849,   670,   225,   671,   672,   673,   674,   675,
     850,   226,   227,   851,   852,   677,   678,   228,   679,   229,
     853,   680,   681,   682,   683,   684,   685,   686,   854,   855,
     687,   688,   689,   690,   691,   856,   857,   692,   693,   694,
     695,   696,   858,   236,   859,   697,   237,   698,   699,   700,
     701,   860,   861,   702,   862,   863,   703,   704,   705,   706,
     707,   708,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   750,   709,   710,   774,    86,    87,    88,
     726,    90,    91,    92,   727,     0,   728,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   775,   104,   105,   729,
     776,     0,   107,   108,   109,   110,   777,   778,   112,   113,
     114,     0,   115,   779,   780,   730,   731,     0,     0,     0,
     732,   733,     0,     0,     0,     0,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   736,     0,   737,
     738,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,     0,     0,     0,   446,   447,     0,   448,   449,   450,
     132,   451,   452,   453,   134,   135,   136,   137,   138,     0,
     454,   455,   456,   457,   458,     0,  1644,   459,   460,   740,
     139,   461,     0,   462,   463,   464,   465,  1647,     0,  1648,
       0,   466,   467,   468,   469,   470,   147,   471,   472,   741,
       0,   473,   474,   475,   476,   477,   478,     0,   150,   479,
     480,     0,  1649,  1650,  1651,  1652,  1653,  1654,  1655,   482,
     483,   484,   485,   743,   486,   154,   155,   487,     0,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,   501,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   163,   514,   515,   516,  1660,     0,   517,     0,
     518,   519,   167,   520,     0,   521,     0,   522,   168,     0,
     169,   523,   524,   525,   526,     0,   527,  1663,     0,   172,
     528,     0,   529,   530,   745,   531,   532,   173,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,  1667,   183,   555,   184,     0,
     556,   557,   558,  1668,  1669,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   746,   568,   569,   747,   570,   571,
     572,   189,   190,   191,   573,   574,   575,   192,     0,   576,
     577,   194,   578,     0,  1674,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   197,   198,   589,   199,  1677,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,  1678,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   204,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   211,   632,   633,   634,   213,
     635,   636,   637,   638,   639,   640,   641,   748,   642,     0,
     643,   644,   645,   646,   647,  1681,   649,   650,   218,   651,
     652,   220,   653,   654,   221,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,  1683,
       0,   668,   669,     0,   670,   225,   671,   672,   673,   674,
     675,     0,   226,   227,     0,     0,   677,   678,  1686,   679,
    1687,     0,   680,   681,   682,   683,   684,   685,   686,     0,
       0,   687,   688,   689,   690,   691,  1690,     0,   692,   693,
     694,   695,   696,   749,   236,     0,   697,   237,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,   239,  1692,  1693,  1694,  1695,   244,  1696,
    1697,  1698,  1699,   249,   750,   709,   710,   774,    86,    87,
      88,   726,    90,    91,    92,   727,     0,   728,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   775,   104,   105,
     729,   776,     0,   107,   108,   109,   110,   777,   778,   112,
     113,   114,     0,   115,   779,   780,   730,   731,     0,     0,
       0,   732,   733,     0,     0,     0,     0,   734,     0,     0,
       0,     0,     0,     0,     0,     0,   735,     0,   736,     0,
     737,   738,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,     0,     0,
       0,     0,     0,     0,     0,   446,   447,     0,   448,   449,
     450,   132,   451,   452,   453,   134,   135,   136,   137,   138,
       0,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     740,   139,   461,     0,   462,   463,   464,   465,   143,     0,
     144,     0,   466,   467,   468,   469,   470,   147,   471,   472,
     741,     0,   473,   474,   475,   476,   477,   478,     0,   150,
     479,   480,     0,     0,     0,     0,   151,     0,     0,     0,
     482,   483,   484,   485,   743,   486,   154,   155,   487,     0,
     488,     0,   489,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,     0,   499,   500,   501,   502,   503,
       0,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   163,   514,   515,   516,   165,     0,   517,
       0,   518,   519,   167,   520,     0,   521,     0,   522,   168,
       0,   169,   523,   524,   525,   526,     0,   527,   171,     0,
     172,   528,     0,   529,   530,   745,   531,   532,   173,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,   182,   183,   555,   184,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   746,   568,   569,   747,   570,
     571,   572,   189,   190,   191,   573,   574,   575,   192,     0,
     576,   577,   194,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   197,   198,   589,   199,   200,   590,   591,   592,
     593,   594,   595,   596,   597,   598,     0,   599,   600,   201,
     601,   202,   602,   603,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   204,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   211,   632,   633,   634,
     213,   635,   636,   637,   638,   639,   640,   641,   748,   642,
       0,   643,   644,   645,   646,   647,     0,   649,   650,   218,
     651,   652,   220,   653,   654,   221,   655,     0,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   665,   666,   667,
     223,     0,   668,   669,     0,   670,   225,   671,   672,   673,
     674,   675,     0,   226,   227,     0,     0,   677,   678,   228,
     679,   229,     0,   680,   681,   682,   683,   684,   685,   686,
       0,     0,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,   749,   236,     0,   697,   237,   698,
     699,   700,   701,     0,     0,   702,     0,     0,   703,   704,
     705,   706,   707,   708,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   750,   709,   710,   774,    86,
      87,    88,   726,    90,    91,    92,   727,     0,   728,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   775,   104,
     105,   729,   776,     0,   107,   108,   109,   110,   777,   778,
     112,   113,   114,     0,   115,   779,   780,   730,   731,     0,
       0,     0,   732,   733,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,   736,
       0,   737,   738,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,     0,
       0,     0,     0,     0,     0,     0,   446,   447,     0,   448,
     449,   450,   132,   451,   452,   453,   134,   135,   136,   137,
     138,     0,   454,   455,   456,   457,   458,     0,     0,   459,
     460,   740,   139,   461,     0,   462,   463,   464,   465,   143,
       0,   144,     0,   466,   467,   468,   469,   470,   147,   471,
     472,   741,     0,   473,   474,   475,   476,   477,   478,     0,
     150,   479,   480,     0,     0,     0,     0,   151,     0,     0,
       0,   482,   483,   484,   485,   743,   486,   154,   155,   487,
       0,   488,     0,   489,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,     0,   499,   500,   501,   502,
     503,     0,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   163,   514,   515,   516,   165,     0,
     517,     0,   518,   519,   167,   520,     0,   521,     0,   522,
     168,     0,   169,   523,   524,   525,   526,     0,   527,   171,
       0,   172,   528,     0,   529,   530,   745,   531,  1455,   173,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,   182,   183,   555,
     184,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   746,   568,   569,   747,
     570,   571,   572,   189,   190,   191,   573,   574,   575,   192,
       0,   576,   577,   194,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   197,   198,   589,   199,   200,   590,   591,
     592,   593,   594,   595,   596,   597,   598,     0,   599,   600,
     201,   601,   202,   602,   603,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   204,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   211,   632,   633,
     634,   213,   635,   636,   637,   638,   639,   640,   641,   748,
     642,     0,   643,   644,   645,   646,   647,     0,   649,   650,
     218,   651,   652,   220,   653,   654,   221,   655,     0,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,   223,     0,   668,   669,     0,   670,   225,   671,   672,
     673,   674,   675,     0,   226,   227,     0,     0,   677,   678,
     228,   679,   229,     0,   680,   681,   682,   683,   684,   685,
     686,     0,     0,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,   749,   236,     0,   697,   237,
     698,   699,   700,   701,     0,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   750,   709,   710,   774,
      86,    87,    88,   726,    90,    91,    92,   727,     0,   728,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   775,
     104,   105,   729,   776,     0,   107,   108,   109,   110,   777,
     778,   112,   113,   114,     0,   115,   779,   780,   730,   731,
       0,     0,     0,   732,   733,     0,     0,     0,     0,   734,
       0,     0,     0,     0,     0,     0,     0,     0,   735,     0,
     736,     0,   737,   738,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
       0,     0,     0,     0,     0,     0,     0,   446,   447,     0,
     448,   449,   450,   132,   451,   452,   453,   134,   135,   136,
     137,   138,     0,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   740,   139,   461,     0,   462,   463,   464,   465,
     143,     0,   144,     0,   466,   467,   468,   469,   470,   147,
     471,   472,   741,     0,   473,   474,   475,   476,   477,   478,
       0,   150,   479,   480,     0,     0,     0,     0,   151,     0,
       0,     0,   482,   483,   484,   485,   743,   486,   154,   155,
     487,     0,   488,     0,   489,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,     0,   499,   500,   501,
     502,   503,     0,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   163,   514,   515,   516,   165,
       0,   517,     0,   518,   519,   167,   520,     0,   521,     0,
     522,   168,     0,   169,   523,   524,   525,   526,     0,   527,
     171,     0,   172,   528,     0,   529,   530,   745,   531,  1507,
     173,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,   542,     0,   543,   175,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,   179,   180,   548,   181,
     549,   550,   551,   552,   553,     0,     0,   554,   182,   183,
     555,   184,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   746,   568,   569,
     747,   570,   571,   572,   189,   190,   191,   573,   574,   575,
     192,     0,   576,   577,   194,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   197,   198,   589,   199,   200,   590,
     591,   592,   593,   594,   595,   596,   597,   598,     0,   599,
     600,   201,   601,   202,   602,   603,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   204,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   211,   632,
     633,   634,   213,   635,   636,   637,   638,   639,   640,   641,
     748,   642,     0,   643,   644,   645,   646,   647,     0,   649,
     650,   218,   651,   652,   220,   653,   654,   221,   655,     0,
     656,   657,   658,   659,   660,   661,   662,   663,   664,   665,
     666,   667,   223,     0,   668,   669,     0,   670,   225,   671,
     672,   673,   674,   675,     0,   226,   227,     0,     0,   677,
     678,   228,   679,   229,     0,   680,   681,   682,   683,   684,
     685,   686,     0,     0,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,   749,   236,     0,   697,
     237,   698,   699,   700,   701,     0,     0,   702,     0,     0,
     703,   704,   705,   706,   707,   708,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   750,   709,   710,
     774,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     775,   104,   105,   729,   776,     0,   107,   108,   109,   110,
     777,   778,   112,   113,   114,     0,   115,   779,   780,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,   132,   451,   452,   453,     0,  1463,
     136,  1464,  1465,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,  1466,  1467,   461,     0,   462,   463,   464,
     465,     0,     0,   144,     0,   466,   467,   468,   469,   470,
     147,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,   150,   479,   480,     0,     0,     0,     0,   151,
       0,     0,     0,   482,   483,   484,   485,   743,   486,  1468,
    1469,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
    1470,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,     0,   514,   515,   516,
       0,     0,   517,     0,   518,   519,  1471,   520,     0,   521,
       0,   522,   168,     0,   169,   523,   524,   525,   526,     0,
     527,     0,     0,     0,   528,     0,   529,   530,   745,   531,
     532,   173,   533,   534,   535,   536,  2622,   537,   538,   539,
     540,   541,   542,     0,   543,   175,  2623,     0,   544,   545,
     546,  1473,  1474,     0,  1475,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,     0,
     183,   555,   184,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,  1476,   190,  1477,   573,   574,
     575,     0,     0,   576,   577,   194,   578,     0,     0,   579,
    1478,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,  2625,   198,   589,   199,     0,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,     0,   601,     0,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,  1479,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   211,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,  2626,   651,   652,   220,   653,   654,  1481,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,     0,     0,   668,   669,     0,   670,   225,
     671,   672,   673,   674,   675,     0,  1482,  1483,     0,     0,
     677,   678,     0,   679,     0,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,  1484,  2627,
     697,   237,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   750,   709,
     710,   774,    86,    87,    88,   726,    90,    91,    92,   727,
       0,   728,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   775,   104,   105,   729,   776,     0,   107,   108,   109,
     110,   777,   778,   112,   113,   114,     0,   115,   779,   780,
     730,   731,     0,     0,     0,   732,   733,     0,     0,     0,
       0,   734,     0,     0,     0,     0,     0,     0,     0,     0,
     735,     0,   736,     0,   737,   738,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,     0,     0,     0,     0,     0,     0,     0,   446,
     447,     0,   448,   449,   450,   132,   451,   452,   453,     0,
    1463,   136,  1464,  1465,     0,   454,   455,   456,   457,   458,
       0,     0,   459,   460,  1466,  1467,   461,     0,   462,   463,
     464,   465,     0,     0,   144,     0,   466,   467,   468,   469,
     470,   147,   471,   472,   741,     0,   473,   474,   475,   476,
     477,   478,     0,   150,   479,   480,     0,     0,     0,     0,
     151,     0,     0,     0,   482,   483,   484,   485,   743,   486,
    1468,  1469,   487,     0,   488,     0,   489,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,     0,     0,   499,
     500,  1470,   502,   503,     0,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,     0,   514,   515,
     516,     0,     0,   517,     0,   518,   519,  1471,   520,     0,
     521,     0,   522,   168,     0,   169,   523,   524,   525,   526,
       0,   527,     0,     0,     0,   528,     0,   529,   530,   745,
     531,   532,   173,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,   542,     0,   543,   175,     0,     0,   544,
     545,   546,  1473,  1474,     0,  1475,     0,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,     0,     0,   554,
       0,   183,   555,   184,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   746,
     568,   569,   747,   570,   571,   572,  1476,   190,  1477,   573,
     574,   575,     0,     0,   576,   577,   194,   578,  2720,     0,
     579,  1478,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,     0,   198,   589,   199,
       0,   590,   591,   592,   593,   594,   595,   596,   597,   598,
       0,   599,   600,     0,   601,     0,   602,   603,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,  1479,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     211,   632,   633,   634,     0,   635,   636,   637,   638,   639,
     640,   641,   748,   642,     0,   643,   644,   645,   646,   647,
       0,   649,   650,  2626,   651,   652,   220,   653,   654,  1481,
     655,     0,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,     0,     0,   668,   669,  4401,   670,
     225,   671,   672,   673,   674,   675,     0,  1482,  1483,     0,
       0,   677,   678,     0,   679,     0,     0,   680,   681,   682,
     683,   684,   685,   686,     0,     0,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,  1484,
       0,   697,   237,   698,   699,   700,   701,     0,     0,   702,
       0,     0,   703,   704,   705,   706,   707,   708,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   750,
     709,   710,   774,    86,    87,    88,   726,    90,    91,    92,
     727,     0,   728,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   775,   104,   105,   729,   776,     0,   107,   108,
     109,   110,   777,   778,   112,   113,   114,     0,   115,   779,
     780,   730,   731,     0,     0,     0,   732,   733,     0,     0,
       0,     0,   734,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,   736,     0,   737,   738,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,     0,     0,     0,
     446,   447,     0,   448,   449,   450,   132,   451,   452,   453,
       0,  1463,   136,  1464,  1465,     0,   454,   455,   456,   457,
     458,     0,     0,   459,   460,  1466,  1467,   461,     0,   462,
     463,   464,   465,     0,     0,   144,     0,   466,   467,   468,
     469,   470,   147,   471,   472,   741,     0,   473,   474,   475,
     476,   477,   478,     0,   150,   479,   480,     0,     0,     0,
       0,   151,     0,     0,     0,   482,   483,   484,   485,   743,
     486,  1468,  1469,   487,     0,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,  1470,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,     0,   514,
     515,   516,     0,     0,   517,     0,   518,   519,  1471,   520,
       0,   521,     0,   522,   168,     0,   169,   523,   524,   525,
     526,     0,   527,     0,     0,     0,   528,     0,   529,   530,
     745,   531,   532,   173,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,   175,     0,     0,
     544,   545,   546,  1473,  1474,     0,  1475,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,     0,   183,   555,   184,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     746,   568,   569,   747,   570,   571,   572,  1476,   190,  1477,
     573,   574,   575,  2789,     0,   576,   577,   194,   578,     0,
       0,   579,  1478,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,     0,   198,   589,
     199,     0,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,     0,   601,     0,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
    1479,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   211,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   748,   642,     0,   643,   644,   645,   646,
     647,     0,   649,   650,  1480,   651,   652,   220,   653,   654,
    1481,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,     0,     0,   668,   669,     0,
     670,   225,   671,   672,   673,   674,   675,     0,  1482,  1483,
       0,     0,   677,   678,     0,   679,     0,     0,   680,   681,
     682,   683,   684,   685,   686,     0,     0,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
    1484,     0,   697,   237,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     750,   709,   710,   774,    86,    87,    88,   726,    90,    91,
      92,   727,     0,   728,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   775,   104,   105,   729,   776,     0,   107,
     108,   109,   110,   777,   778,   112,   113,   114,     0,   115,
     779,   780,   730,   731,     0,     0,     0,   732,   733,     0,
       0,     0,     0,   734,     0,     0,     0,     0,     0,     0,
       0,     0,   735,     0,   736,     0,   737,   738,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,     0,     0,     0,     0,     0,     0,
       0,   446,   447,     0,   448,   449,   450,   132,   451,   452,
     453,     0,  1463,   136,  1464,  1465,     0,   454,   455,   456,
     457,   458,     0,     0,   459,   460,  1466,  1467,   461,     0,
     462,   463,   464,   465,     0,     0,   144,     0,   466,   467,
     468,   469,   470,   147,   471,   472,   741,     0,   473,   474,
     475,   476,   477,   478,     0,   150,   479,   480,     0,     0,
       0,     0,   151,     0,     0,     0,   482,   483,   484,   485,
     743,   486,  1468,  1469,   487,     0,   488,     0,   489,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
       0,   499,   500,  1470,   502,   503,     0,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,     0,
     514,   515,   516,     0,     0,   517,     0,   518,   519,  1471,
     520,     0,   521,     0,   522,   168,     0,   169,   523,   524,
     525,   526,     0,   527,     0,     0,     0,   528,     0,   529,
     530,   745,   531,   532,   173,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,   542,     0,   543,   175,     0,
       0,   544,   545,   546,  1473,  1474,     0,  1475,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,     0,   183,   555,   184,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   746,   568,   569,   747,   570,   571,   572,  1476,   190,
    1477,   573,   574,   575,  4218,     0,   576,   577,   194,   578,
       0,     0,   579,  1478,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,     0,   198,
     589,   199,     0,   590,   591,   592,   593,   594,   595,   596,
     597,   598,     0,   599,   600,     0,   601,     0,   602,   603,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,  1479,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   211,   632,   633,   634,     0,   635,   636,   637,
     638,   639,   640,   641,   748,   642,     0,   643,   644,   645,
     646,   647,     0,   649,   650,  1480,   651,   652,   220,   653,
     654,  1481,   655,     0,   656,   657,   658,   659,   660,   661,
     662,   663,   664,   665,   666,   667,     0,     0,   668,   669,
       0,   670,   225,   671,   672,   673,   674,   675,     0,  1482,
    1483,     0,     0,   677,   678,     0,   679,     0,     0,   680,
     681,   682,   683,   684,   685,   686,     0,     0,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,  1484,     0,   697,   237,   698,   699,   700,   701,     0,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   750,   709,   710,   774,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   775,   104,   105,   729,   776,     0,
     107,   108,   109,   110,   777,   778,   112,   113,   114,     0,
     115,   779,   780,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,   132,   451,
     452,   453,     0,  1463,   136,  1464,  1465,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,  1466,  1467,   461,
       0,   462,   463,   464,   465,     0,     0,   144,     0,   466,
     467,   468,   469,   470,   147,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,   150,   479,   480,     0,
       0,     0,     0,   151,     0,     0,     0,   482,   483,   484,
     485,   743,   486,  1468,  1469,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,  1470,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
       0,   514,   515,   516,     0,     0,   517,     0,   518,   519,
    1471,   520,  5767,   521,     0,   522,   168,     0,   169,   523,
     524,   525,   526,     0,   527,     0,     0,     0,   528,     0,
     529,   530,   745,   531,   532,   173,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,   175,
       0,     0,   544,   545,   546,  1473,  1474,     0,  1475,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,     0,   183,   555,   184,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,  1476,
     190,  1477,   573,   574,   575,     0,     0,   576,   577,   194,
     578,     0,     0,   579,  1478,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,     0,
     198,   589,   199,     0,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,     0,   601,     0,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,  1479,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   211,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,  1480,   651,   652,   220,
     653,   654,  1481,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,     0,     0,   668,
     669,     0,   670,   225,   671,   672,   673,   674,   675,     0,
    1482,  1483,     0,     0,   677,   678,     0,   679,     0,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,  1484,     0,   697,   237,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   750,   709,   710,   774,    86,    87,    88,   726,
      90,    91,    92,   727,     0,   728,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   775,   104,   105,   729,   776,
       0,   107,   108,   109,   110,   777,   778,   112,   113,   114,
       0,   115,   779,   780,   730,   731,     0,     0,     0,   732,
     733,     0,     0,     0,     0,   734,     0,     0,     0,     0,
       0,     0,     0,     0,   735,     0,   736,     0,   737,   738,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,     0,     0,     0,     0,
       0,     0,     0,   446,   447,     0,   448,   449,   450,   132,
     451,   452,   453,     0,  1463,   136,  1464,  1465,     0,   454,
     455,   456,   457,   458,     0,     0,   459,   460,  1466,  1467,
     461,     0,   462,   463,   464,   465,     0,     0,   144,     0,
     466,   467,   468,   469,   470,   147,   471,   472,   741,     0,
     473,   474,   475,   476,   477,   478,     0,   150,   479,   480,
       0,     0,     0,     0,   151,     0,     0,     0,   482,   483,
     484,   485,   743,   486,  1468,  1469,   487,     0,   488,     0,
     489,   490,   491,   492,   493,   494,     0,   495,   496,   497,
     498,     0,     0,   499,   500,  1470,   502,   503,     0,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,     0,   514,   515,   516,     0,     0,   517,     0,   518,
     519,  1471,   520,     0,   521,     0,   522,   168,     0,   169,
     523,   524,   525,   526,     0,   527,     0,     0,     0,   528,
       0,   529,   530,   745,   531,  1472,   173,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,   542,     0,   543,
     175,     0,     0,   544,   545,   546,  1473,  1474,     0,  1475,
       0,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,     0,     0,   554,     0,   183,   555,   184,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   746,   568,   569,   747,   570,   571,   572,
    1476,   190,  1477,   573,   574,   575,     0,     0,   576,   577,
     194,   578,     0,     0,   579,  1478,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
       0,   198,   589,   199,     0,   590,   591,   592,   593,   594,
     595,   596,   597,   598,     0,   599,   600,     0,   601,     0,
     602,   603,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,  1479,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   211,   632,   633,   634,     0,   635,
     636,   637,   638,   639,   640,   641,   748,   642,     0,   643,
     644,   645,   646,   647,     0,   649,   650,  1480,   651,   652,
     220,   653,   654,  1481,   655,     0,   656,   657,   658,   659,
     660,   661,   662,   663,   664,   665,   666,   667,     0,     0,
     668,   669,     0,   670,   225,   671,   672,   673,   674,   675,
       0,  1482,  1483,     0,     0,   677,   678,     0,   679,     0,
       0,   680,   681,   682,   683,   684,   685,   686,     0,     0,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,  1484,     0,   697,   237,   698,   699,   700,
     701,     0,     0,   702,     0,     0,   703,   704,   705,   706,
     707,   708,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   750,   709,   710,   774,    86,    87,    88,
     726,    90,    91,    92,   727,     0,   728,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   775,   104,   105,   729,
     776,     0,   107,   108,   109,   110,   777,   778,   112,   113,
     114,     0,   115,   779,   780,   730,   731,     0,     0,     0,
     732,   733,     0,     0,     0,     0,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   736,     0,   737,
     738,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,     0,     0,     0,   446,   447,     0,   448,   449,   450,
     132,   451,   452,   453,     0,  1463,   136,  1464,  1465,     0,
     454,   455,   456,   457,   458,     0,     0,   459,   460,  1466,
    1467,   461,     0,   462,   463,   464,   465,     0,     0,   144,
       0,   466,   467,   468,   469,   470,   147,   471,   472,   741,
       0,   473,   474,   475,   476,   477,   478,     0,   150,   479,
     480,     0,     0,     0,     0,   151,     0,     0,     0,   482,
     483,   484,   485,   743,   486,  1468,  1469,   487,     0,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,  1470,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,     0,   514,   515,   516,     0,     0,   517,     0,
     518,   519,  1471,   520,     0,   521,     0,   522,   168,     0,
     169,   523,   524,   525,   526,     0,   527,     0,     0,     0,
     528,     0,   529,   530,   745,   531,  1529,   173,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,   175,     0,     0,   544,   545,   546,  1473,  1474,     0,
    1475,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,     0,   183,   555,   184,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   746,   568,   569,   747,   570,   571,
     572,  1476,   190,  1477,   573,   574,   575,     0,     0,   576,
     577,   194,   578,     0,     0,   579,  1478,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,     0,   198,   589,   199,     0,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,     0,   601,
       0,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,  1479,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   211,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   748,   642,     0,
     643,   644,   645,   646,   647,     0,   649,   650,  1480,   651,
     652,   220,   653,   654,  1481,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,     0,
       0,   668,   669,     0,   670,   225,   671,   672,   673,   674,
     675,     0,  1482,  1483,     0,     0,   677,   678,     0,   679,
       0,     0,   680,   681,   682,   683,   684,   685,   686,     0,
       0,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,  1484,     0,   697,   237,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   750,   709,   710,   774,    86,    87,
      88,   726,    90,    91,    92,   727,     0,   728,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   775,   104,   105,
     729,   776,     0,   107,   108,   109,   110,   777,   778,   112,
     113,   114,     0,   115,   779,   780,   730,   731,     0,     0,
       0,   732,   733,     0,     0,     0,     0,   734,     0,     0,
       0,     0,     0,     0,     0,     0,   735,     0,   736,     0,
     737,   738,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,     0,     0,
       0,     0,     0,     0,     0,   446,   447,     0,   448,   449,
     450,   132,   451,   452,   453,     0,  1463,   136,  1464,  1465,
       0,   454,   455,   456,   457,   458,     0,     0,   459,   460,
    1466,  1467,   461,     0,   462,   463,   464,   465,     0,     0,
     144,     0,   466,   467,   468,   469,   470,   147,   471,   472,
     741,     0,   473,   474,   475,   476,   477,   478,     0,   150,
     479,   480,     0,     0,     0,     0,   151,     0,     0,     0,
     482,   483,   484,   485,   743,   486,  1468,  1469,   487,     0,
     488,     0,   489,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,     0,   499,   500,  1470,   502,   503,
       0,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,     0,   514,   515,   516,     0,     0,   517,
       0,   518,   519,  1471,   520,     0,   521,     0,   522,   168,
       0,   169,   523,   524,   525,   526,     0,   527,     0,     0,
       0,   528,     0,   529,   530,   745,   531,   532,   173,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,   542,
       0,   543,   175,     0,     0,   544,   545,   546,  1473,  1474,
       0,  1475,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,     0,   183,   555,   184,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   746,   568,   569,   747,   570,
     571,   572,  1476,   190,  1477,   573,   574,   575,     0,     0,
     576,   577,   194,   578,     0,     0,   579,  1478,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,     0,   198,   589,   199,     0,   590,   591,   592,
     593,   594,   595,   596,   597,   598,     0,   599,   600,     0,
     601,     0,   602,   603,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,  1479,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   211,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   748,   642,
       0,   643,   644,   645,   646,   647,     0,   649,   650,  1480,
     651,   652,   220,   653,   654,  1481,   655,     0,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   665,   666,   667,
       0,     0,   668,   669,     0,   670,   225,   671,   672,   673,
     674,   675,     0,  1482,  1483,     0,     0,   677,   678,     0,
     679,     0,     0,   680,   681,   682,   683,   684,   685,   686,
       0,     0,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,  1484,     0,   697,   237,   698,
     699,   700,   701,     0,     0,   702,     0,     0,   703,   704,
     705,   706,   707,   708,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   750,   709,   710,   774,    86,
      87,    88,   726,    90,    91,    92,   727,     0,   728,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   775,   104,
     105,   729,   776,     0,   107,   108,   109,   110,   777,   778,
     112,   113,   114,     0,   115,   779,   780,   730,   731,     0,
       0,     0,   732,   733,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,   736,
       0,   737,   738,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,     0,
       0,     0,     0,     0,     0,     0,   446,   447,     0,   448,
     449,   450,   132,   451,   452,   453,     0,  1463,   136,  1464,
    1465,     0,   454,   455,   456,   457,   458,     0,     0,   459,
     460,  1466,  1467,   461,     0,   462,   463,   464,   465,     0,
       0,   144,     0,   466,   467,   468,   469,   470,   147,   471,
     472,   741,     0,   473,   474,   475,   476,   477,   478,     0,
     150,   479,   480,     0,     0,     0,     0,   151,     0,     0,
       0,   482,   483,   484,   485,   743,   486,  1468,  1469,   487,
       0,   488,     0,   489,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,     0,   499,   500,  1470,   502,
     503,     0,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,     0,   514,   515,   516,     0,     0,
     517,     0,   518,   519,  1471,   520,     0,   521,     0,   522,
     168,     0,   169,   523,   524,   525,   526,     0,   527,     0,
       0,     0,   528,     0,   529,   530,   745,   531,   532,   173,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
     542,     0,   543,   175,     0,     0,   544,   545,   546,  1473,
    1474,     0,  1475,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,     0,   183,   555,
     184,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   746,   568,   569,   747,
     570,   571,   572,  1476,   190,  1477,   573,   574,   575,     0,
       0,   576,   577,   194,   578,     0,     0,   579,  1478,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,     0,   198,   589,   199,     0,   590,   591,
     592,   593,   594,   595,   596,   597,   598,     0,   599,   600,
       0,   601,     0,   602,   603,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,  1479,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   211,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   748,
     642,     0,   643,   644,   645,   646,   647,     0,   649,   650,
    2626,   651,   652,   220,   653,   654,  1481,   655,     0,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,     0,     0,   668,   669,     0,   670,   225,   671,   672,
     673,   674,   675,     0,  1482,  1483,     0,     0,   677,   678,
       0,   679,     0,     0,   680,   681,   682,   683,   684,   685,
     686,     0,     0,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,  1484,     0,   697,   237,
     698,   699,   700,   701,     0,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   750,   709,   710,   774,
      86,    87,    88,   726,    90,    91,    92,   727,     0,   728,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   775,
     104,   105,   729,   776,     0,   107,   108,   109,   110,   777,
     778,   112,   113,   114,     0,   115,   779,   780,   730,   731,
       0,     0,     0,   732,   733,     0,     0,     0,     0,   734,
       0,     0,     0,     0,     0,     0,     0,     0,   735,     0,
     736,     0,   737,   738,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
       0,     0,     0,     0,     0,     0,     0,   446,   447,     0,
     448,   449,   450,   132,   451,   452,   453,     0,  1463,   136,
    1464,  1465,     0,   454,   455,   456,   457,   458,     0,     0,
     459,   460,  1466,  1467,   461,     0,   462,   463,   464,   465,
       0,     0,   144,     0,   466,   467,   468,   469,   470,   147,
     471,   472,   741,     0,   473,   474,   475,   476,   477,   478,
       0,   150,   479,   480,     0,     0,     0,     0,   151,     0,
       0,     0,   482,   483,   484,   485,   743,   486,  1468,  1469,
     487,     0,   488,     0,   489,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,     0,   499,   500,  1470,
     502,   503,     0,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,     0,   514,   515,   516,     0,
       0,   517,     0,   518,   519,  1471,   520,     0,   521,     0,
     522,   168,     0,   169,   523,   524,   525,   526,     0,   527,
       0,     0,     0,   528,     0,   529,   530,   745,   531,   532,
     173,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,   542,     0,   543,   175,     0,     0,   544,   545,   546,
    1473,  1474,     0,  1475,     0,   547,   179,   180,   548,   181,
     549,   550,   551,   552,   553,     0,     0,   554,     0,   183,
     555,   184,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   746,   568,   569,
     747,   570,   571,   572,  1476,   190,  1477,   573,   574,   575,
       0,     0,   576,   577,   194,   578,     0,     0,   579,  1478,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,     0,   198,   589,   199,     0,   590,
     591,   592,   593,   594,   595,   596,   597,   598,     0,   599,
     600,     0,   601,     0,   602,   603,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,  1479,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   211,   632,
     633,   634,     0,   635,   636,   637,   638,   639,   640,   641,
     748,   642,     0,   643,   644,   645,   646,   647,     0,   649,
     650,     0,   651,   652,   220,   653,   654,  1481,   655,     0,
     656,   657,   658,   659,   660,   661,   662,   663,   664,   665,
     666,   667,     0,     0,   668,   669,     0,   670,   225,   671,
     672,   673,   674,   675,     0,  1482,  1483,     0,     0,   677,
     678,     0,   679,     0,     0,   680,   681,   682,   683,   684,
     685,   686,     0,     0,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,  1484,     0,   697,
     237,   698,   699,   700,   701,     0,     0,   702,     0,     0,
     703,   704,   705,   706,   707,   708,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   750,   709,   710,
     774,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     775,   104,   105,   729,   776,     0,   107,   108,   109,   110,
     777,   778,   112,   113,   114,     0,   115,   779,   780,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,   132,   451,   452,   453,     0,     0,
     136,     0,     0,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,     0,     0,   461,     0,   462,   463,   464,
     465,     0,     0,   144,     0,   466,   467,   468,   469,   470,
     147,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,   150,   479,   480,     0,     0,     0,     0,   151,
       0,     0,     0,   482,   483,   484,   485,   743,   486,     0,
       0,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,     0,   514,   515,   516,
       0,     0,   517,     0,   518,   519,     0,   520,     0,   521,
       0,   522,   168,     0,   169,   523,   524,   525,   526,     0,
     527,     0,     0,     0,   528,     0,   529,   530,   745,   531,
     532,   173,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,   175,     0,     0,   544,   545,
     546,     0,     0,     0,     0,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,     0,
     183,   555,   184,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,     0,   190,     0,   573,   574,
     575,     0,     0,   576,   577,   194,   578,     0,     0,   579,
       0,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,     0,   198,   589,   199,     0,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,     0,   601,     0,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   211,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,     0,   651,   652,   220,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,     0,     0,   668,   669,     0,   670,   225,
     671,   672,   673,   674,   675,     0,     0,     0,     0,     0,
     677,   678,     0,   679,     0,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,     0,
     697,   237,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,   781,   443,   444,
     445,   782,   783,   784,   785,   786,   787,   788,   446,   447,
     789,   448,   449,   450,   132,   451,   452,   453,   134,   135,
     136,   137,   138,   790,   454,   455,   456,   457,   458,   791,
     792,   459,   460,     0,   139,   461,   794,   462,   463,   464,
     465,   143,   795,   144,   796,   466,   467,   468,   469,   470,
     147,   471,   472,   797,   798,   473,   474,   475,   476,   477,
     478,   799,   150,   479,   480,     0,   801,   802,   803,   151,
     804,   805,   806,   482,   483,   484,   485,     0,   486,   154,
     155,   487,   807,   488,   808,   489,   490,   491,   492,   493,
     494,   809,   495,   496,   497,   498,   810,   811,   499,   500,
     501,   502,   503,   812,   504,   505,   506,   813,   507,   508,
     509,   814,   510,   511,   512,   513,   163,   514,   515,   516,
     165,   815,   517,   816,   518,   519,   167,   520,   817,   521,
     818,   522,   168,   819,   169,   523,   524,   525,   526,   820,
     527,   171,   821,   172,   528,   822,   529,   530,     0,   531,
     532,   173,   533,   534,   535,   536,   823,   537,   538,   539,
     540,   541,   542,   824,   543,   175,   176,     0,   544,   545,
     546,     0,   177,   827,   178,   828,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,   829,   830,   554,   182,
     183,   555,   184,   831,   556,   557,   558,   832,   833,   559,
     560,   561,   562,   563,   564,   565,   566,   567,     0,   568,
     569,     0,   570,   571,   572,   189,   190,   191,   573,   574,
     575,   192,   834,   576,   577,   194,   578,   835,   195,   579,
     196,   580,   581,   582,   836,   583,   584,   837,   838,   585,
     586,   587,   839,   840,   588,   197,   198,   589,   199,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   841,
     599,   600,   201,   601,   202,   602,   603,   604,   842,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,   843,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   844,   630,   631,   211,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,     0,   642,   845,   643,   644,   645,   646,   647,   846,
     649,   650,   218,   651,   652,   220,   653,   654,   221,   655,
     847,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,   848,   668,   669,   849,   670,   225,
     671,   672,   673,   674,   675,   850,   226,   227,     0,   852,
     677,   678,   228,   679,   229,   853,   680,   681,   682,   683,
     684,   685,   686,     0,   855,   687,   688,   689,   690,   691,
     856,   857,   692,   693,   694,   695,   696,     0,   236,   859,
     697,   237,   698,   699,   700,   701,   860,   861,   702,   862,
     863,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,     0,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,  1228,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,  2662,   462,   463,   464,
     465,   143,     0,     0,  2739,   466,   467,   468,   469,   470,
       0,   471,   472,   741,  2663,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,  2740,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
    2665,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    2741,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,  2666,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,  2667,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,  2662,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,  2663,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,  2740,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
    2665,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,  3711,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,  2666,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,  2667,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,  1124,   441,   442,  1076,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,  1077,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,  1125,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,  1078,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,  1079,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,  1076,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,  1077,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,  3415,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,  1078,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,  1079,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,  2662,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,  2663,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,  2740,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
    2665,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,  2666,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,  2667,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,   739,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,   742,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,   744,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,  1076,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,  1077,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,  1078,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,  1079,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,   979,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,   980,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   981,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,  2333,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,  2334,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,  2335,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
    2336,   522,     0,     0,     0,  2337,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,  2338,  2339,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,  2340,   639,   640,
     641,   748,   642,     0,  2341,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,  2342,   670,     0,
    2343,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,  2344,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,  1077,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,  1078,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,  1079,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,  2322,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,  3275,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,  3276,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,  2601,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,  3277,   670,     0,
     671,  3278,   673,  3279,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,  3280,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,   766,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,   744,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,   923,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,  1321,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    1322,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,  1159,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,  1446,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   129,   130,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,  3503,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
    3504,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,  3516,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
    3517,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   985,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,  1038,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
    1094,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,  1159,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,  1281,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    1282,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,  1749,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    1935,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,  1159,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,  1988,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    1989,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,  2190,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,  2322,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,  2601,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,  4569,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,  4583,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,  1106,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,  1108,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,  1109,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,  1110,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,  1111,   227,     0,     0,
    1112,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,  1113,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,  1153,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,  1109,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,  1154,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,  1155,   227,     0,     0,
    1156,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,  1113,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,  1172,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    1306,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    1314,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    1331,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    1392,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    1398,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    1415,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    1418,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    1461,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    1523,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    1525,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    1535,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    1538,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    1541,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,  1760,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,  1138,   460,  1109,   139,  1761,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,  1142,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
    1143,   633,   634,   213,   635,   636,   637,  1144,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,  1753,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,  1146,   227,     0,     0,
    1147,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,  1113,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,  1148,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,  1885,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,  1108,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,  1109,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,  1113,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    2138,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    2175,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    2177,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    2250,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    2252,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    2254,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,  2370,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,  2567,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
       0,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    2991,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    2996,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    3426,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    3493,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    3506,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    3508,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
    3642,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,  3667,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,  1138,   460,  1109,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,  1142,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
    1143,   633,   634,   213,   635,   636,   637,  1144,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,  1753,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,  1146,   227,     0,     0,
    1147,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,  1113,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,  1148,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,  1109,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,  1113,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,  1138,   460,  1109,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,  1142,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
    1143,   633,   634,   213,   635,   636,   637,  1144,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,  1753,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
    2649,   672,   673,   674,   675,     0,  1146,   227,     0,     0,
    1147,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,  1113,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,  1148,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,  1138,   460,  1109,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,  1142,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
    1143,   633,   634,   213,   635,   636,   637,  2724,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,  2725,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,  1146,   227,     0,     0,
    2726,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,  1113,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,  1148,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,  1138,   460,  1109,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,  1142,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
    1143,   633,   634,   213,   635,   636,   637,  1144,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,  2725,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,  1146,   227,     0,     0,
    2726,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,  1113,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,  1148,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,     0,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,     0,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,     0,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,     0,     0,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114, -2728,   115,   116,   117,     0,
       0,     0,     0,     0,   120,   121,     0,     0,     0,     0,
     122,     0,     0,     0,     0,     0,     0,     0,     0,   123,
       0,   124,     0,   125,   126,    35,     0,   429,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   132,     0,     0,     0,   134,   135,
     136,   137,   138,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   139,     0,     0,     0,     0,     0,
       0,   143,     0,   144,     0,     0,     0,     0,     0,     0,
     147,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   154,
     155,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   161,     0,
       0,     0,     0,     0,     0,     0,   163,     0,     0,     0,
     165,     0,     0,     0,     0,     0,   167,     0,     0,     0,
       0,     0,   168,     0,   169,     0,     0,     0,     0,     0,
       0,   171,     0,   172,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   175,   176,     0,     0,     0,
       0,     0,   177,     0,   178,     0,     0,   179,   180,     0,
     181,     0,     0,     0,     0,     0,     0,     0,     0,   182,
     183,     0,   184,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   189,   190,   191,     0,     0,
       0,   192,     0,     0,     0,   194,     0,     0,   195,     0,
     196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,   198,     0,   199,   200,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   218,     0,     0,   220,     0,     0,   221,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,     0,     0,     0,     0,     0,   225,
       0,     0,     0,     0,     0,     0,   226,   227,     0,     0,
       0,     0,   228,     0,   229,     0,     0,     0,     0,     0,
       0,     0,     0,   232,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,     0,
       0,   237,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114, -2729,   115,   116,   117,     0,     0,     0,     0,
       0,   120,   121,     0,     0,     0,     0,   122,     0,     0,
       0,     0,     0,     0,     0,     0,   123,     0,   124,     0,
     125,   126,    35,     0,  1223,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   132,     0,     0,     0,   134,   135,   136,   137,   138,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   139,     0,     0,     0,     0,     0,     0,   143,     0,
     144,     0,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   150,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   154,   155,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   161,     0,     0,     0,     0,
       0,     0,     0,   163,     0,     0,     0,   165,     0,     0,
       0,     0,     0,   167,     0,     0,     0,     0,     0,   168,
       0,   169,     0,     0,     0,     0,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   175,   176,     0,     0,     0,     0,     0,   177,
       0,   178,     0,     0,   179,   180,     0,   181,     0,     0,
       0,     0,     0,     0,     0,     0,   182,   183,     0,   184,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   189,   190,   191,     0,     0,     0,   192,     0,
       0,     0,   194,     0,     0,   195,     0,   196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   201,
       0,   202,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,     0,     0,     0,
     213,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
       0,     0,   220,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,     0,     0,     0,   225,     0,     0,     0,
       0,     0,     0,   226,   227,     0,     0,     0,     0,   228,
       0,   229,     0,     0,     0,     0,     0,     0,     0,     0,
     232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,     0,     0,   237,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    86,    87,    88,     0,    90,
      91,    92,     0,     0,     0,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,     0,     0,     0,
     107,   108,   109,   110,     0,   111,   112,   113,   114,     0,
     115,   116,   117,     0,     0,     0,     0,     0,   120,   121,
       0,     0,     0,     0,   122,     0,     0,     0,     0,     0,
       0,     0,     0,   123,     0,   124,     0,   125,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   132,     0,
       0,     0,   134,   135,   136,   137,   138,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   139,     0,
       0,     0,     0,     0,     0,   143,     0,   144,     0,     0,
       0,     0,     0,     0,   147,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   150,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   161,     0,     0,     0,     0,     0,     0,     0,
     163,     0,     0,     0,   165,     0,     0,     0,     0,     0,
     167,     0,     0,     0,     0,     0,   168,     0,   169,     0,
       0,     0,     0,     0,     0,   171,     0,   172,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   175,
     176,     0,     0,     0,     0,     0,   177,     0,   178,     0,
       0,   179,   180,     0,   181,     0,     0,     0,     0,     0,
       0,     0,     0,   182,   183,     0,   184,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   189,
     190,   191,     0,     0,     0,   192,     0,     0,     0,   194,
       0,     0,   195,     0,   196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   197,
     198,     0,   199,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,     0,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   218,     0,     0,   220,
       0,     0,   221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,     0,     0,
       0,     0,     0,   225,     0,     0,     0,     0,     0,     0,
     226,   227,     0,     0,     0,     0,   228,     0,   229,     0,
       0,     0,     0,     0,     0,     0,     0,   232,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,     0,     0,   237,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,     0,   115,   116,   117,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   132,     0,     0,     0,   134,
     135,   136,   137,   138,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   139,     0,     0,     0,     0,
       0,     0,   143,     0,   144,     0,     0,     0,     0,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   150,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     154,   155,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   161,
       0,     0,     0,     0,     0,     0,     0,   163,     0,     0,
       0,   165,     0,     0,     0,     0,     0,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,     0,
       0,     0,   171,     0,   172,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   175,   176,     0,     0,
       0,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   183,     0,   184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   189,   190,   191,     0,
       0,     0,   192,     0,     0,     0,   194,     0,     0,   195,
       0,   196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,     0,     0,     0,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   218,     0,     0,   220,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,     0,     0,     0,     0,     0,
     225,     0,     0,     0,     0,     0,     0,   226,   227,     0,
       0,     0,     0,   228,     0,   229,     0,     0,     0,     0,
       0,     0,     0,     0,   232,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
       0,     0,   237,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    35,
     434,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,   132,   451,
     452,   453,   134,   135,   136,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,     0,   139,   461,
       0,   462,   463,   464,   465,   143,     0,   144,     0,   466,
     467,   468,   469,   470,   147,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,     0,   150,   479,   480,     0,
       0,     0,     0,   151,     0,     0,     0,   482,   483,   484,
     485,     0,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,  2298,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,   168,     0,   169,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,     0,   531,   532,   173,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,   182,   183,   555,   184,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,     0,   568,   569,     0,   570,   571,   572,   189,
     190,   191,   573,   574,   575,   192,     0,   576,   577,   194,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,  2299,     0,   585,   586,   587,     0,     0,   588,   197,
     198,   589,   199,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   211,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,     0,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,   220,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,   225,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,  2300,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,   236,     0,   697,   237,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    35,   709,   710,     0,     0,     0,     0,     0,
      41,    42,  1067,  1843,  5554,     0,     0,     0,     0,     0,
       0,  5555,     0,     0,     0,     0,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   129,   130,
       0,     0,     0,     0,     0,   446,   447,     0,   448,   449,
     450,   132,   451,   452,   453,   134,   135,   136,   137,   138,
       0,   454,   455,   456,   457,   458,     0,     0,   459,   460,
       0,   139,   461,     0,   462,   463,   464,   465,   143,     0,
     144,     0,   466,   467,   468,   469,   470,   147,   471,   472,
       0,     0,   473,   474,   475,   476,   477,   478,     0,   150,
     479,   480,     0,     0,     0,     0,   151,     0,     0,     0,
     482,   483,   484,   485,     0,   486,   154,   155,   487,     0,
     488,     0,   489,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,     0,   499,   500,   501,   502,   503,
       0,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   163,   514,   515,   516,   165,     0,   517,
       0,   518,   519,   167,   520,     0,   521,     0,   522,   168,
       0,   169,   523,   524,   525,   526,     0,   527,   171,     0,
     172,   528,     0,   529,   530,     0,   531,   532,   173,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,   182,   183,   555,   184,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,     0,   568,   569,     0,   570,
     571,   572,   189,   190,   191,   573,   574,   575,   192,     0,
     576,   577,   194,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   197,   198,   589,   199,   200,   590,   591,   592,
     593,   594,   595,   596,   597,   598,     0,   599,   600,   201,
     601,   202,   602,   603,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   204,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   211,   632,   633,   634,
     213,   635,   636,   637,   638,   639,   640,   641,     0,   642,
     216,   643,   644,   645,   646,   647,     0,   649,   650,   218,
     651,   652,   220,   653,   654,   221,   655,     0,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   665,   666,   667,
     223,     0,   668,   669,   224,   670,   225,   671,   672,   673,
     674,   675,     0,   226,   227,     0,     0,   677,   678,   228,
     679,   229,     0,   680,   681,   682,   683,   684,   685,   686,
       0,     0,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,   235,   236,     0,   697,   237,   698,
     699,   700,   701,     0,     0,   702,     0,   238,   703,   704,
     705,   706,   707,   708,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,     0,   709,   710,    35,   434,
     250,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,   251,     0,     0,     0,     0,     0,
       0,     0,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,     0,     0,     0,     0,     0,     0,
       0,   446,   447,     0,   448,   449,   450,   132,   451,   452,
     453,   134,   135,   136,   137,   138,     0,   454,   455,   456,
     457,   458,     0,     0,   459,   460,     0,   139,   461,     0,
     462,   463,   464,   465,   143,     0,   144,     0,   466,   467,
     468,   469,   470,   147,   471,   472,     0,     0,   473,   474,
     475,   476,   477,   478,     0,   150,   479,   480,     0,     0,
       0,     0,   151,     0,     0,     0,   482,   483,   484,   485,
       0,   486,   154,   155,   487,  2501,   488,     0,   489,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
       0,   499,   500,   501,   502,   503,     0,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   163,
     514,   515,   516,   165,  2298,   517,     0,   518,   519,   167,
     520,     0,   521,     0,   522,   168,     0,   169,   523,   524,
     525,   526,     0,   527,   171,     0,   172,   528,     0,   529,
     530,     0,   531,   532,   173,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,   182,   183,   555,   184,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,     0,   568,   569,     0,   570,   571,   572,   189,   190,
     191,   573,   574,   575,   192,     0,   576,   577,   194,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
    2299,     0,   585,   586,   587,     0,     0,   588,   197,   198,
     589,   199,   200,   590,   591,   592,   593,   594,   595,   596,
     597,   598,     0,   599,   600,   201,   601,   202,   602,   603,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   204,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   211,   632,   633,   634,   213,   635,   636,   637,
     638,   639,   640,   641,     0,   642,     0,   643,   644,   645,
     646,   647,     0,   649,   650,   218,   651,   652,   220,   653,
     654,   221,   655,     0,   656,   657,   658,   659,   660,   661,
     662,   663,   664,   665,   666,   667,   223,     0,   668,   669,
       0,   670,   225,   671,   672,   673,   674,   675,     0,   226,
     227,     0,     0,   677,   678,   228,   679,   229,  2300,   680,
     681,   682,   683,   684,   685,   686,     0,     0,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,   236,     0,   697,   237,   698,   699,   700,   701,     0,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,     0,   709,   710,     0,     0,     0,     0,     0,    35,
     434,  1067,  1843,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,   132,   451,
     452,   453,   134,   135,   136,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,     0,   139,   461,
       0,   462,   463,   464,   465,   143,     0,   144,     0,   466,
     467,   468,   469,   470,   147,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,     0,   150,   479,   480,     0,
       0,     0,     0,   151,     0,     0,     0,   482,   483,   484,
     485,     0,   486,   154,   155,   487,  2506,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,  2298,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,   168,     0,   169,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,     0,   531,   532,   173,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,   182,   183,   555,   184,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,     0,   568,   569,     0,   570,   571,   572,   189,
     190,   191,   573,   574,   575,   192,     0,   576,   577,   194,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,  2299,     0,   585,   586,   587,     0,     0,   588,   197,
     198,   589,   199,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   211,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,     0,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,   220,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,   225,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,  2300,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,   236,     0,   697,   237,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,     0,   709,   710,     0,     0,     0,     0,     0,
      35,   434,  1067,  1843,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,     0,     0,     0,     0,
       0,     0,     0,   446,   447,     0,   448,   449,   450,   132,
     451,   452,   453,   134,   135,   136,   137,   138,     0,   454,
     455,   456,   457,   458,     0,     0,   459,   460,     0,   139,
     461,     0,   462,   463,   464,   465,   143,     0,   144,     0,
     466,   467,   468,   469,   470,   147,   471,   472,     0,     0,
     473,   474,   475,   476,   477,   478,     0,   150,   479,   480,
       0,     0,     0,     0,   151,     0,     0,     0,   482,   483,
     484,   485,     0,   486,   154,   155,   487,     0,   488,     0,
     489,   490,   491,   492,   493,   494,     0,   495,   496,   497,
     498,     0,     0,   499,   500,   501,   502,   503,     0,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   163,   514,   515,   516,   165,  2298,   517,     0,   518,
     519,   167,   520,     0,   521,     0,   522,   168,     0,   169,
     523,   524,   525,   526,     0,   527,   171,     0,   172,   528,
       0,   529,   530,     0,   531,   532,   173,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,   542,     0,   543,
     175,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,     0,     0,   554,   182,   183,   555,   184,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,     0,   568,   569,     0,   570,   571,   572,
     189,   190,   191,   573,   574,   575,   192,     0,   576,   577,
     194,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,  2299,     0,   585,   586,   587,     0,     0,   588,
     197,   198,   589,   199,   200,   590,   591,   592,   593,   594,
     595,   596,   597,   598,     0,   599,   600,   201,   601,   202,
     602,   603,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   204,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   211,   632,   633,   634,   213,   635,
     636,   637,   638,   639,   640,   641,     0,   642,     0,   643,
     644,   645,   646,   647,     0,   649,   650,   218,   651,   652,
     220,   653,   654,   221,   655,     0,   656,   657,   658,   659,
     660,   661,   662,   663,   664,   665,   666,   667,   223,     0,
     668,   669,     0,   670,   225,   671,   672,   673,   674,   675,
       0,   226,   227,     0,     0,   677,   678,   228,   679,   229,
    2300,   680,   681,   682,   683,   684,   685,   686,     0,     0,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,   236,     0,   697,   237,   698,   699,   700,
     701,     0,     0,   702,     0,     0,   703,   704,   705,   706,
     707,   708,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,     0,   709,   710,     0,     0,     0,     0,
       0,    35,   434,  1067,  1843,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,     0,     0,     0,   446,   447,     0,   448,   449,   450,
     132,   451,   452,   453,   134,   135,   136,   137,   138,     0,
     454,   455,   456,   457,   458,     0,     0,   459,   460,     0,
     139,   461,     0,   462,   463,   464,   465,   143,     0,   144,
       0,   466,   467,   468,   469,   470,   147,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,     0,   150,   479,
     480,     0,     0,     0,     0,   151,     0,     0,     0,   482,
     483,   484,   485,     0,   486,   154,   155,   487,  3408,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,   501,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   163,   514,   515,   516,   165,  2298,   517,     0,
     518,   519,   167,   520,     0,   521,     0,   522,   168,     0,
     169,   523,   524,   525,   526,     0,   527,   171,     0,   172,
     528,     0,   529,   530,     0,   531,   532,   173,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,   182,   183,   555,   184,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,     0,   568,   569,     0,   570,   571,
     572,   189,   190,   191,   573,   574,   575,   192,     0,   576,
     577,   194,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,  2299,     0,   585,   586,   587,     0,     0,
     588,   197,   198,   589,   199,   200,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,   201,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   204,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   211,   632,   633,   634,   213,
     635,   636,   637,   638,   639,   640,   641,     0,   642,     0,
     643,   644,   645,   646,   647,     0,   649,   650,   218,   651,
     652,   220,   653,   654,   221,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,   223,
       0,   668,   669,     0,   670,   225,   671,   672,   673,   674,
     675,     0,   226,   227,     0,     0,   677,   678,   228,   679,
     229,  2300,   680,   681,   682,   683,   684,   685,   686,     0,
       0,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,   236,     0,   697,   237,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,     0,   709,   710,     0,     0,     0,
       0,     0,    35,   434,  1067,  1068,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,     0,     0,
       0,     0,     0,     0,     0,   446,   447,     0,   448,   449,
     450,   132,   451,   452,   453,   134,   135,   136,   137,   138,
       0,   454,   455,   456,   457,   458,     0,     0,   459,   460,
       0,   139,   461,     0,   462,   463,   464,   465,   143,     0,
     144,     0,   466,   467,   468,   469,   470,   147,   471,   472,
       0,     0,   473,   474,   475,   476,   477,   478,     0,   150,
     479,   480,     0,     0,     0,     0,   151,     0,     0,   481,
     482,   483,   484,   485,     0,   486,   154,   155,   487,     0,
     488,     0,   489,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,     0,   499,   500,   501,   502,   503,
       0,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   163,   514,   515,   516,   165,     0,   517,
       0,   518,   519,   167,   520,     0,   521,     0,   522,   168,
       0,   169,   523,   524,   525,   526,     0,   527,   171,     0,
     172,   528,     0,   529,   530,     0,   531,   532,   173,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,   182,   183,   555,   184,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,     0,   568,   569,     0,   570,
     571,   572,   189,   190,   191,   573,   574,   575,   192,     0,
     576,   577,   194,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   197,   198,   589,   199,   200,   590,   591,   592,
     593,   594,   595,   596,   597,   598,     0,   599,   600,   201,
     601,   202,   602,   603,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   204,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   211,   632,   633,   634,
     213,   635,   636,   637,   638,   639,   640,   641,     0,   642,
       0,   643,   644,   645,   646,   647,   648,   649,   650,   218,
     651,   652,   220,   653,   654,   221,   655,     0,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   665,   666,   667,
     223,     0,   668,   669,     0,   670,   225,   671,   672,   673,
     674,   675,     0,   226,   227,   676,     0,   677,   678,   228,
     679,   229,     0,   680,   681,   682,   683,   684,   685,   686,
       0,     0,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,   236,     0,   697,   237,   698,
     699,   700,   701,     0,     0,   702,     0,     0,   703,   704,
     705,   706,   707,   708,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,     0,   709,   710,    35,   434,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,     0,     0,     0,     0,     0,     0,
       0,   446,   447,     0,   448,   449,   450,   132,   451,   452,
     453,   134,   135,   136,   137,   138,     0,   454,   455,   456,
     457,   458,     0,     0,   459,   460,     0,   139,   461,     0,
     462,   463,   464,   465,   143,     0,   144,     0,   466,   467,
     468,   469,   470,   147,   471,   472,     0,     0,   473,   474,
     475,   476,   477,   478,     0,   150,   479,   480,     0,     0,
       0,     0,   151,     0,     0,   481,   482,   483,   484,   485,
       0,   486,   154,   155,   487,     0,   488,     0,   489,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
       0,   499,   500,   501,   502,   503,     0,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   163,
     514,   515,   516,   165,     0,   517,     0,   518,   519,   167,
     520,     0,   521,     0,   522,   168,     0,   169,   523,   524,
     525,   526,     0,   527,   171,     0,   172,   528,     0,   529,
     530,     0,   531,   532,   173,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,   182,   183,   555,   184,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,     0,   568,   569,     0,   570,   571,   572,   189,   190,
     191,   573,   574,   575,   192,     0,   576,   577,   194,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   197,   198,
     589,   199,   200,   590,   591,   592,   593,   594,   595,   596,
     597,   598,     0,   599,   600,   201,   601,   202,   602,   603,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   204,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   211,   632,   633,   634,   213,   635,   636,   637,
     638,   639,   640,   641,     0,   642,     0,   643,   644,   645,
     646,   647,   648,   649,   650,   218,   651,   652,   220,   653,
     654,   221,   655,     0,   656,   657,   658,   659,   660,   661,
     662,   663,   664,   665,   666,   667,   223,     0,   668,   669,
       0,   670,   225,   671,   672,   673,   674,   675,     0,   226,
     227,     0,     0,   677,   678,   228,   679,   229,     0,   680,
     681,   682,   683,   684,   685,   686,     0,     0,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,   236,     0,   697,   237,   698,   699,   700,   701,     0,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    35,   709,   710,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,     0,     0,     0,   446,   447,     0,   448,   449,   450,
     132,   451,   452,   453,   134,   135,   136,   137,   138,     0,
     454,   455,   456,   457,   458,     0,     0,   459,   460,     0,
     139,   461,     0,   462,   463,   464,   465,   143,     0,   144,
       0,   466,   467,   468,   469,   470,   147,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,     0,   150,   479,
     480,     0,     0,     0,     0,   151,     0,     0,     0,   482,
     483,   484,   485,     0,   486,   154,   155,   487,     0,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,   501,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   163,   514,   515,   516,   165,  2298,   517,     0,
     518,   519,   167,   520,     0,   521,     0,   522,   168,     0,
     169,   523,   524,   525,   526,     0,   527,   171,     0,   172,
     528,     0,   529,   530,     0,   531,   532,   173,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,   182,   183,   555,   184,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,     0,   568,   569,     0,   570,   571,
     572,   189,   190,   191,   573,   574,   575,   192,     0,   576,
     577,   194,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,  2299,     0,   585,   586,   587,     0,     0,
     588,   197,   198,   589,   199,   200,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,   201,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   204,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   211,   632,   633,   634,   213,
     635,   636,   637,   638,   639,   640,   641,     0,   642,     0,
     643,   644,   645,   646,   647,     0,   649,   650,   218,   651,
     652,   220,   653,   654,   221,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,   223,
       0,   668,   669,     0,   670,   225,   671,   672,   673,   674,
     675,     0,   226,   227,     0,     0,   677,   678,   228,   679,
     229,  2300,   680,   681,   682,   683,   684,   685,   686,     0,
       0,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,   236,     0,   697,   237,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    35,   709,   710,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
       0,     0,     0,     0,     0,     0,     0,   446,   447,     0,
     448,   449,   450,   132,   451,   452,   453,   134,   135,   136,
     137,   138,     0,   454,   455,   456,   457,   458,     0,     0,
     459,   460,     0,   139,   461,     0,   462,   463,   464,   465,
     143,     0,   144,     0,   466,   467,   468,   469,   470,   147,
     471,   472,     0,     0,   473,   474,   475,   476,   477,   478,
       0,   150,   479,   480,     0,     0,     0,     0,   151,     0,
       0,     0,   482,   483,   484,   485,     0,   486,   154,   155,
     487,  2486,   488,     0,   489,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,     0,   499,   500,   501,
     502,   503,     0,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   163,   514,   515,   516,   165,
       0,   517,     0,   518,   519,   167,   520,     0,   521,     0,
     522,   168,     0,   169,   523,   524,   525,   526,     0,   527,
     171,     0,   172,   528,     0,   529,   530,     0,   531,   532,
     173,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,   542,     0,   543,   175,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,   179,   180,   548,   181,
     549,   550,   551,   552,   553,     0,     0,   554,   182,   183,
     555,   184,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,     0,   568,   569,
       0,   570,   571,   572,   189,   190,   191,   573,   574,   575,
     192,     0,   576,   577,   194,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   197,   198,   589,   199,   200,   590,
     591,   592,   593,   594,   595,   596,   597,   598,     0,   599,
     600,   201,   601,   202,   602,   603,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   204,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   211,   632,
     633,   634,   213,   635,   636,   637,   638,   639,   640,   641,
       0,   642,     0,   643,   644,   645,   646,   647,     0,   649,
     650,   218,   651,   652,   220,   653,   654,   221,   655,     0,
     656,   657,   658,   659,   660,   661,   662,   663,   664,   665,
     666,   667,   223,     0,   668,   669,     0,   670,   225,   671,
     672,   673,   674,   675,     0,   226,   227,     0,     0,   677,
     678,   228,   679,   229,     0,   680,   681,   682,   683,   684,
     685,   686,     0,     0,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,   236,     0,   697,
     237,   698,   699,   700,   701,     0,     0,   702,     0,     0,
     703,   704,   705,   706,   707,   708,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    35,   709,   710,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,     0,     0,     0,
     446,   447,     0,   448,   449,   450,   132,   451,   452,   453,
     134,   135,   136,   137,   138,     0,   454,   455,   456,   457,
     458,     0,     0,   459,   460,     0,   139,   461,     0,   462,
     463,   464,   465,   143,     0,   144,     0,   466,   467,   468,
     469,   470,   147,   471,   472,     0,     0,   473,   474,   475,
     476,   477,   478,     0,   150,   479,   480,     0,     0,     0,
       0,   151,     0,     0,     0,   482,   483,   484,   485,     0,
     486,   154,   155,   487,     0,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,   501,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   163,   514,
     515,   516,   165,     0,   517,     0,   518,   519,   167,   520,
       0,   521,     0,   522,   168,     0,   169,   523,   524,   525,
     526,     0,   527,   171,     0,   172,   528,     0,   529,   530,
       0,   531,   532,   173,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,   182,   183,   555,   184,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
       0,   568,   569,     0,   570,   571,   572,   189,   190,   191,
     573,   574,   575,   192,     0,   576,   577,   194,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   197,   198,   589,
     199,   200,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,   201,   601,   202,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     204,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   211,   632,   633,   634,   213,   635,   636,   637,   638,
     639,   640,   641,     0,   642,     0,   643,   644,   645,   646,
     647,     0,   649,   650,   218,   651,   652,   220,   653,   654,
     221,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,   223,     0,   668,   669,     0,
     670,   225,   671,   672,   673,   674,   675,     0,   226,   227,
       0,     0,   677,   678,   228,   679,   229,     0,   680,   681,
     682,   683,   684,   685,   686,     0,     0,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
     236,     0,   697,   237,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      35,   709,   710,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,     0,     0,     0,     0,
       0,     0,     0,   446,   447,     0,   448,   449,   450,   132,
     451,   452,   453,   134,   135,   136,   137,   138,     0,   454,
     455,   456,   457,   458,     0,     0,   459,   460,     0,   139,
     461,     0,   462,   463,   464,   465,   143,     0,   144,     0,
     466,   467,   468,   469,   470,   147,   471,   472,     0,     0,
     473,   474,   475,   476,   477,   478,     0,   150,   479,   480,
       0,     0,     0,     0,   151,     0,     0,     0,   482,   483,
     484,   485,     0,   486,   154,   155,   487,     0,   488,     0,
     489,   490,   491,   492,   493,   494,     0,   495,   496,   497,
     498,     0,     0,   499,   500,   501,   502,   503,     0,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   163,   514,   515,   516,   165,     0,   517,     0,   518,
     519,   167,   520,     0,   521,     0,   522,   168,     0,   169,
     523,   524,   525,   526,     0,   527,   171,     0,   172,   528,
       0,   529,   530,     0,   531,  2274,   173,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,   542,     0,   543,
     175,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,     0,     0,   554,   182,   183,   555,   184,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,     0,   568,   569,     0,   570,   571,   572,
     189,   190,   191,   573,   574,   575,   192,     0,   576,   577,
     194,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     197,   198,   589,   199,   200,   590,   591,   592,   593,   594,
     595,   596,   597,   598,     0,   599,   600,   201,   601,   202,
     602,   603,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   204,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   211,   632,   633,   634,   213,   635,
     636,   637,   638,   639,   640,   641,     0,   642,     0,   643,
     644,   645,   646,   647,     0,   649,   650,   218,   651,   652,
     220,   653,   654,   221,   655,     0,   656,   657,   658,   659,
     660,   661,   662,   663,   664,   665,   666,   667,   223,     0,
     668,   669,     0,   670,   225,   671,   672,   673,   674,   675,
       0,   226,   227,     0,     0,   677,   678,   228,   679,   229,
       0,   680,   681,   682,   683,   684,   685,   686,     0,     0,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,   236,     0,   697,   237,   698,   699,   700,
     701,     0,     0,   702,     0,     0,   703,   704,   705,   706,
     707,   708,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    35,   709,   710,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,  1309,   443,   444,   445,     0,
       0,     0,     0,     0,     0,     0,   446,   447,     0,   448,
     449,   450,   132,   451,   452,   453,   134,   135,   136,   137,
     138,     0,   454,   455,   456,   457,   458,     0,     0,   459,
     460,     0,   139,   461,     0,   462,   463,   464,   465,   143,
       0,   144,     0,   466,   467,   468,   469,   470,   147,   471,
     472,     0,     0,   473,   474,   475,   476,   477,   478,     0,
     150,   479,   480,     0,     0,     0,     0,   151,     0,     0,
     481,   482,   483,   484,   485,     0,   486,   154,   155,   487,
       0,   488,     0,   489,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,     0,   499,   500,   501,   502,
     503,     0,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   163,   514,   515,   516,   165,     0,
     517,     0,   518,   519,   167,   520,     0,   521,     0,   522,
     168,     0,   169,   523,   524,   525,   526,     0,   527,   171,
       0,   172,   528,     0,   529,   530,     0,   531,   532,   173,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,   182,   183,   555,
     184,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,     0,   568,   569,     0,
     570,   571,   572,   189,   190,   191,   573,   574,   575,   192,
       0,   576,   577,   194,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   197,   198,   589,   199,   200,   590,   591,
     592,   593,   594,   595,   596,   597,   598,     0,   599,   600,
     201,   601,   202,   602,   603,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   204,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   211,   632,   633,
     634,   213,   635,   636,   637,   638,   639,   640,   641,     0,
     642,     0,   643,   644,   645,   646,   647,   648,   649,   650,
     218,   651,   652,   220,   653,   654,   221,   655,     0,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,   223,     0,   668,   669,     0,   670,   225,   671,   672,
     673,   674,   675,     0,   226,   227,     0,     0,   677,   678,
     228,   679,   229,     0,   680,   681,   682,   683,   684,   685,
     686,     0,     0,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,   236,     0,   697,   237,
     698,   699,   700,   701,     0,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    35,   709,   710,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,     0,     0,     0,     0,     0,     0,     0,   446,
     447,     0,   448,   449,   450,   132,   451,   452,   453,   134,
     135,   136,   137,   138,     0,   454,   455,   456,   457,   458,
       0,     0,   459,   460,     0,   139,   461,     0,   462,   463,
     464,   465,   143,     0,   144,     0,   466,   467,   468,   469,
     470,   147,   471,   472,     0,     0,   473,   474,   475,   476,
     477,   478,     0,   150,   479,   480,     0,     0,     0,     0,
     151,     0,     0,   481,   482,   483,   484,   485,     0,   486,
     154,   155,   487,     0,   488,     0,   489,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,     0,     0,   499,
     500,   501,   502,   503,     0,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   163,   514,   515,
     516,   165,     0,   517,     0,   518,   519,   167,   520,     0,
     521,     0,   522,   168,     0,   169,   523,   524,   525,   526,
       0,   527,   171,     0,   172,   528,     0,   529,   530,     0,
     531,   532,   173,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,   542,     0,   543,   175,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,     0,     0,   554,
     182,   183,   555,   184,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,     0,
     568,   569,     0,   570,   571,   572,   189,   190,   191,   573,
     574,   575,   192,     0,   576,   577,   194,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   197,   198,   589,   199,
     200,   590,   591,   592,   593,   594,   595,   596,   597,   598,
       0,   599,   600,   201,   601,   202,   602,   603,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   204,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     211,   632,   633,   634,   213,   635,   636,   637,   638,   639,
     640,   641,     0,   642,     0,   643,   644,   645,   646,   647,
     648,   649,   650,   218,   651,   652,   220,   653,   654,   221,
     655,     0,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   223,     0,   668,   669,     0,   670,
     225,   671,   672,   673,   674,   675,     0,   226,   227,     0,
       0,   677,   678,   228,   679,   229,     0,   680,   681,   682,
     683,   684,   685,   686,     0,     0,   687,   688,   689,   690,
     691,  2870,     0,   692,   693,   694,   695,   696,     0,   236,
       0,   697,   237,   698,   699,   700,   701,     0,     0,   702,
       0,     0,   703,   704,   705,   706,   707,   708,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    35,
     709,   710,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,   132,   451,
     452,   453,   134,   135,   136,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,     0,   139,   461,
       0,   462,   463,   464,   465,   143,     0,   144,     0,   466,
     467,   468,   469,   470,   147,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,     0,   150,   479,   480,     0,
       0,     0,     0,   151,     0,     0,   481,   482,   483,   484,
     485,     0,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,   168,     0,   169,   523,
     524,   525,   526,     0,   527,   171,  3846,   172,   528,     0,
     529,   530,     0,   531,   532,   173,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,   182,   183,   555,   184,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,     0,   568,   569,     0,   570,   571,   572,   189,
     190,   191,   573,   574,   575,   192,     0,   576,   577,   194,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
     198,   589,   199,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   211,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,     0,   642,     0,   643,   644,
     645,   646,   647,   648,   649,   650,   218,   651,   652,   220,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,   225,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,   236,     0,   697,   237,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    35,   709,   710,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,     0,     0,
       0,     0,     0,     0,     0,   446,   447,     0,   448,   449,
     450,   132,   451,   452,   453,   134,   135,   136,   137,   138,
       0,   454,   455,   456,   457,   458,     0,     0,   459,   460,
       0,   139,   461,     0,   462,   463,   464,   465,   143,     0,
     144,     0,   466,   467,   468,   469,   470,   147,   471,   472,
       0,     0,   473,   474,   475,   476,   477,   478,     0,   150,
     479,   480,     0,     0,     0,     0,   151,     0,     0,   481,
     482,   483,   484,   485,     0,   486,   154,   155,   487,     0,
     488,     0,   489,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,     0,   499,   500,   501,   502,   503,
       0,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   163,   514,   515,   516,   165,     0,   517,
       0,   518,   519,   167,   520,     0,   521,     0,   522,   168,
       0,   169,   523,   524,   525,   526,     0,   527,   171,     0,
     172,   528,     0,   529,   530,     0,   531,   532,   173,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,   182,   183,   555,   184,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,     0,   568,   569,     0,   570,
     571,   572,   189,   190,   191,   573,   574,   575,   192,     0,
     576,   577,   194,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   197,   198,   589,   199,   200,   590,   591,   592,
     593,   594,   595,   596,   597,   598,     0,   599,   600,   201,
     601,   202,   602,   603,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   204,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   211,   632,   633,   634,
     213,   635,   636,   637,   638,   639,   640,   641,     0,   642,
       0,   643,   644,   645,   646,   647,   648,   649,   650,   218,
     651,   652,   220,   653,   654,   221,   655,     0,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   665,   666,   667,
     223,     0,   668,   669,     0,   670,   225,   671,   672,   673,
     674,   675,     0,   226,   227,     0,     0,   677,   678,   228,
     679,   229,     0,   680,   681,   682,   683,   684,   685,   686,
       0,     0,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,   236,     0,   697,   237,   698,
     699,   700,   701,     0,     0,   702,     0,     0,   703,   704,
     705,   706,   707,   708,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    35,   709,   710,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,   132,   451,   452,   453,   134,   135,
     136,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,     0,   139,   461,     0,   462,   463,   464,
     465,   143,     0,   144,     0,   466,   467,   468,   469,   470,
     147,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,     0,   150,   479,   480,     0,     0,     0,     0,   151,
       0,     0,   481,   482,   483,   484,   485,     0,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,   168,     0,   169,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,     0,   531,
     532,   173,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,   182,
     183,   555,   184,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,  1328,   564,   565,   566,   567,     0,   568,
     569,     0,   570,   571,   572,   189,   190,   191,   573,   574,
     575,   192,     0,   576,   577,   194,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,   198,   589,   199,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   211,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,     0,   642,     0,   643,   644,   645,   646,   647,   648,
     649,   650,   218,   651,   652,   220,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,   225,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,   236,     0,
     697,   237,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    35,   709,
     710,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,     0,     0,     0,     0,     0,     0,
       0,   446,   447,     0,   448,   449,   450,   132,   451,   452,
     453,   134,   135,   136,   137,   138,     0,   454,   455,   456,
     457,   458,     0,     0,   459,   460,     0,   139,   461,     0,
     462,   463,   464,   465,   143,     0,   144,     0,   466,   467,
     468,   469,   470,   147,   471,   472,     0,     0,   473,   474,
     475,   476,   477,   478,     0,   150,   479,   480,     0,     0,
       0,     0,   151,     0,     0,   481,   482,   483,   484,   485,
       0,   486,   154,   155,   487,     0,   488,     0,   489,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
       0,   499,   500,   501,   502,   503,     0,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   163,
     514,   515,   516,   165,     0,   517,     0,   518,   519,   167,
     520,     0,   521,     0,   522,   168,     0,   169,   523,   524,
     525,   526,     0,   527,   171,     0,   172,   528,     0,   529,
     530,     0,   531,   532,   173,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,   182,   183,   555,   184,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,  1425,   564,   565,   566,
     567,     0,   568,   569,     0,   570,   571,   572,   189,   190,
     191,   573,   574,   575,   192,     0,   576,   577,   194,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   197,   198,
     589,   199,   200,   590,   591,   592,   593,   594,   595,   596,
     597,   598,     0,   599,   600,   201,   601,   202,   602,   603,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   204,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   211,   632,   633,   634,   213,   635,   636,   637,
     638,   639,   640,   641,     0,   642,     0,   643,   644,   645,
     646,   647,   648,   649,   650,   218,   651,   652,   220,   653,
     654,   221,   655,     0,   656,   657,   658,   659,   660,   661,
     662,   663,   664,   665,   666,   667,   223,     0,   668,   669,
       0,   670,   225,   671,   672,   673,   674,   675,     0,   226,
     227,     0,     0,   677,   678,   228,   679,   229,     0,   680,
     681,   682,   683,   684,   685,   686,     0,     0,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,   236,     0,   697,   237,   698,   699,   700,   701,     0,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    35,   709,   710,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,     0,     0,     0,   446,   447,     0,   448,   449,   450,
     132,   451,   452,   453,   134,   135,   136,   137,   138,     0,
     454,   455,   456,   457,   458,     0,     0,   459,   460,     0,
     139,   461,     0,   462,   463,   464,   465,   143,     0,   144,
       0,   466,   467,   468,   469,   470,   147,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,     0,   150,   479,
     480,     0,     0,     0,     0,   151,     0,     0,   481,   482,
     483,   484,   485,     0,   486,   154,   155,   487,     0,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,   501,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   163,   514,   515,   516,   165,     0,   517,     0,
     518,   519,   167,   520,     0,   521,     0,   522,   168,     0,
     169,   523,   524,   525,   526,     0,   527,   171,     0,   172,
     528,     0,   529,   530,     0,   531,  1510,   173,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,   182,   183,   555,   184,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,     0,   568,   569,     0,   570,   571,
     572,   189,   190,   191,   573,   574,   575,   192,     0,   576,
     577,   194,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   197,   198,   589,   199,   200,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,   201,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   204,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   211,   632,   633,   634,   213,
     635,   636,   637,   638,   639,   640,   641,     0,   642,     0,
     643,   644,   645,   646,   647,   648,   649,   650,   218,   651,
     652,   220,   653,   654,   221,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,   223,
       0,   668,   669,     0,   670,   225,   671,   672,   673,   674,
     675,     0,   226,   227,     0,     0,   677,   678,   228,   679,
     229,     0,   680,   681,   682,   683,   684,   685,   686,     0,
       0,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,   236,     0,   697,   237,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    35,   709,   710,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
       0,     0,     0,     0,     0,     0,     0,   446,   447,     0,
     448,   449,   450,   132,   451,   452,   453,   134,   135,   136,
     137,   138,     0,   454,   455,   456,   457,   458,     0,     0,
     459,   460,     0,   139,   461,     0,   462,   463,   464,   465,
     143,     0,   144,     0,   466,   467,   468,   469,   470,   147,
     471,   472,     0,     0,   473,   474,   475,   476,   477,   478,
       0,   150,   479,   480,     0,     0,     0,     0,   151,     0,
       0,   481,   482,   483,   484,   485,     0,   486,   154,   155,
     487,     0,   488,     0,   489,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,     0,   499,   500,   501,
     502,   503,     0,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   163,   514,   515,   516,   165,
       0,   517,     0,   518,   519,   167,   520,     0,   521,     0,
     522,   168,     0,   169,   523,   524,   525,   526,     0,   527,
     171,     0,   172,   528,     0,   529,   530,     0,   531,  1521,
     173,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,   542,     0,   543,   175,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,   179,   180,   548,   181,
     549,   550,   551,   552,   553,     0,     0,   554,   182,   183,
     555,   184,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,     0,   568,   569,
       0,   570,   571,   572,   189,   190,   191,   573,   574,   575,
     192,     0,   576,   577,   194,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   197,   198,   589,   199,   200,   590,
     591,   592,   593,   594,   595,   596,   597,   598,     0,   599,
     600,   201,   601,   202,   602,   603,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   204,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   211,   632,
     633,   634,   213,   635,   636,   637,   638,   639,   640,   641,
       0,   642,     0,   643,   644,   645,   646,   647,   648,   649,
     650,   218,   651,   652,   220,   653,   654,   221,   655,     0,
     656,   657,   658,   659,   660,   661,   662,   663,   664,   665,
     666,   667,   223,     0,   668,   669,     0,   670,   225,   671,
     672,   673,   674,   675,     0,   226,   227,     0,     0,   677,
     678,   228,   679,   229,     0,   680,   681,   682,   683,   684,
     685,   686,     0,     0,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,   236,     0,   697,
     237,   698,   699,   700,   701,     0,     0,   702,     0,     0,
     703,   704,   705,   706,   707,   708,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    35,   709,   710,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,     0,     0,     0,
     446,   447,     0,   448,   449,   450,   132,   451,   452,   453,
     134,   135,   136,   137,   138,     0,   454,   455,   456,   457,
     458,     0,     0,   459,   460,     0,   139,   461,     0,   462,
     463,   464,   465,   143,     0,   144,     0,   466,   467,   468,
     469,   470,   147,   471,   472,     0,     0,   473,   474,   475,
     476,   477,   478,     0,   150,   479,   480,     0,     0,     0,
       0,   151,     0,     0,   481,   482,   483,   484,   485,     0,
     486,   154,   155,   487,     0,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,   501,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   163,   514,
     515,   516,   165,     0,   517,     0,   518,   519,   167,   520,
       0,   521,     0,   522,   168,     0,   169,   523,   524,   525,
     526,     0,   527,   171,     0,   172,   528,     0,   529,   530,
       0,   531,  1531,   173,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,   182,   183,   555,   184,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,  1532,   564,   565,   566,   567,
       0,   568,   569,     0,   570,   571,   572,   189,   190,   191,
     573,   574,   575,   192,     0,   576,   577,   194,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   197,   198,   589,
     199,   200,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,   201,   601,   202,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     204,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   211,   632,   633,   634,   213,   635,   636,   637,   638,
     639,   640,   641,     0,   642,     0,   643,   644,   645,   646,
     647,   648,   649,   650,   218,   651,   652,   220,   653,   654,
     221,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,   223,     0,   668,   669,     0,
     670,   225,   671,   672,   673,   674,   675,     0,   226,   227,
       0,     0,   677,   678,   228,   679,   229,     0,   680,   681,
     682,   683,   684,   685,   686,     0,     0,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
     236,     0,   697,   237,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      35,   709,   710,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   129,   130,     0,     0,
       0,     0,     0,   446,   447,     0,   448,   449,   450,   132,
     451,   452,   453,   134,   135,   136,   137,   138,     0,   454,
     455,   456,   457,   458,     0,     0,   459,   460,     0,   139,
     461,     0,   462,   463,   464,   465,   143,     0,   144,     0,
     466,   467,   468,   469,   470,   147,   471,   472,     0,     0,
     473,   474,   475,   476,   477,   478,     0,   150,   479,   480,
       0,     0,     0,     0,   151,     0,     0,     0,   482,   483,
     484,   485,     0,   486,   154,   155,   487,     0,   488,     0,
     489,   490,   491,   492,   493,   494,     0,   495,   496,   497,
     498,     0,     0,   499,   500,   501,   502,   503,     0,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   163,   514,   515,   516,   165,     0,   517,     0,   518,
     519,   167,   520,     0,   521,     0,   522,   168,     0,   169,
     523,   524,   525,   526,     0,   527,   171,     0,   172,   528,
       0,   529,   530,     0,   531,   532,   173,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,   542,     0,   543,
     175,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,     0,     0,   554,   182,   183,   555,   184,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,     0,   568,   569,     0,   570,   571,   572,
     189,   190,   191,   573,   574,   575,   192,     0,   576,   577,
     194,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     197,   198,   589,   199,   200,   590,   591,   592,   593,   594,
     595,   596,   597,   598,     0,   599,   600,   201,   601,   202,
     602,   603,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   204,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   211,   632,   633,   634,   213,   635,
     636,   637,   638,   639,   640,   641,     0,   642,     0,   643,
     644,   645,   646,   647,     0,   649,   650,   218,   651,   652,
     220,   653,   654,   221,   655,     0,   656,   657,   658,   659,
     660,   661,   662,   663,   664,   665,   666,   667,   223,     0,
     668,   669,     0,   670,   225,   671,   672,   673,   674,   675,
       0,   226,   227,     0,     0,   677,   678,   228,   679,   229,
       0,   680,   681,   682,   683,   684,   685,   686,     0,     0,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,   236,     0,   697,   237,   698,   699,   700,
     701,     0,     0,   702,     0,     0,   703,   704,   705,   706,
     707,   708,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    35,   709,   710,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,     0,
       0,     0,     0,     0,     0,     0,   446,   447,     0,   448,
     449,   450,     0,   451,   452,   453,     0,     0,     0,     0,
       0,     0,   454,   455,   456,   457,   458,     0,     0,   459,
     460,     0,     0,   461,     0,   462,   463,   464,   465,     0,
       0,     0,     0,   466,   467,   468,   469,   470,     0,   471,
     472,     0,     0,   473,   474,   475,   476,   477,   478,     0,
       0,   479,   480,     0,     0,     0,     0,     0,     0,     0,
       0,   482,   483,   484,   485,     0,   486,     0,     0,   487,
       0,   488,     0,   489,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,     0,   499,   500,   501,   502,
     503,     0,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,     0,   514,   515,   516,     0,     0,
     517,     0,   518,   519,     0,   520,     0,   521,     0,   522,
       0,     0,     0,   523,   524,   525,   526,     0,   527,     0,
       0,     0,   528,     0,   529,   530,     0,   531,   532,     0,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
     542,     0,   543,     0,     0,     0,   544,   545,   546,     0,
       0,     0,     0,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,     0,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,     0,   568,   569,     0,
     570,   571,   572,     0,     0,     0,   573,   574,   575,     0,
       0,   576,   577,     0,   578,     0,     0,   579,     0,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,     0,     0,   589,     0,     0,   590,   591,
     592,   593,   594,   595,   596,   597,   598,     0,   599,   600,
       0,   601,     0,   602,   603,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,     0,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,     0,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,     0,
     642,     0,   643,   644,   645,   646,   647,     0,   649,   650,
       0,   651,   652,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,     0,     0,   668,   669,     0,   670,     0,   671,   672,
     673,   674,   675,     0,     0,     0,     0,     0,   677,   678,
       0,   679,     0,     0,   680,   681,   682,   683,   684,   685,
     686,     0,     0,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,     0,   697,     0,
     698,   699,   700,   701,     0,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   709,   710
};

static const yytype_int16 yycheck[] =
{
       2,    78,   900,   949,    78,   251,    78,   210,    78,   166,
     992,  1077,  1078,  1079,  1315,    96,   895,  1083,    78,  1592,
    1562,   397,   397,  1157,    84,   106,   381,  2030,  1330,   230,
    1189,   188,  1140,  1921,  1135,  1480,  2788,   152,  1513,    78,
    1266,  2839,  1340,  3131,   153,  1781,  1316,   149,   772,  1162,
    1958,  1483,  1171,  1965,  1163,  3299,   164,  2462,   992,  2288,
     141,   886,  1044,  1468,  1469,  1628,  1981,  2933,  3741,  2092,
      78,  3786,     2,  1478,  2946,   156,    78,  1965,  1147,   170,
    2171,  1498,    84,  2630,  2631,  2475,  3344,    89,  1032,   131,
    4058,  4389,   164,  1395,   203,   159,  3522,  1399,  3524,  3772,
    1801,  3107,  1404,  2860,   773,  1015,  2375,  3497,  3697,  3288,
    3691,    94,  1414,  1236,   116,   383,  3697,   369,  1028,   210,
    3470,  4111,  1236,  3353,  1426,  4655,   900,  1217,   896,   383,
    3286,  3287,  1043,  4163,  1970,  1027,   904,   224,  4111,  4393,
    4001,  4107,  1837,  1838,  1839,  2060,  2061,   209,   131,   917,
     152,  2225,  4379,  4338,  1410,  3972,  4007,   219,  1894,   161,
    4375,  1143,  2185,  2359,  4402,  1278,   217,   250,  1424,   152,
     153,  3326,  1315,  4388,  4996,   949,  3219,   166,   946,   162,
    1323,  2272,  4884,  1950,  2936,   953,  1555,  2469,  4838,  1332,
    5059,  1466,  1467,  4378,  1284,  3386,  1275,   965,  1546,   188,
    1899,  1575,  1477,  4881,  5078,  1186,  5012,   209,  5014,  1143,
    4077,  1832,  1833,  1186,  1330,   217,  5198,   219,  2054,  5211,
     203,  3935,  2396,    30,  1960,  2630,  1035,    10,    71,    21,
     232,  1344,    87,  4883,    14,  1231,  1232,  1011,    87,  4006,
      71,  4008,    14,  5117,   111,  5123,  5124,    71,    14,    80,
      89,  1656,  1657,  1685,    85,   979,  3708,   162,  1059,    71,
     125,    85,  1063,  1064,  1065,   118,  5354,   116,  5413,   132,
    1675,    98,  1073,    85,  1500,   147,  4464,  4465,   132,  4467,
    4468,  4469,   132,   239,   238,   149,   132,   132,    87,   149,
    3042,    71,  3044,    29,    74,    75,    76,    77,   147,    71,
      80,    81,    82,    83,   132,    85,    84,   166,   245,   102,
     115,   187,   389,   880,  3357,   389,   109,   389,   238,   389,
     238,  1387,   213,    74,    75,    76,    77,   166,  1912,   375,
      81,   361,    25,   102,   132,   114,   132,   397,    89,    90,
      74,    75,    76,    77,   132,   220,   180,    81,  3810,   188,
     389,    74,    75,    76,    77,   102,   238,   180,    81,   181,
      74,    75,    76,    77,   238,  5320,  5321,    81,   342,    98,
    1645,  1646,   432,    71,   187,    89,    90,   103,   149,   206,
     115,   389,    80,   280,  2891,   244,  2893,    85,   159,   102,
    2897,   386,   233,   238,   325,   397,  1671,   348,   118,  2906,
    2907,  2908,    74,    75,    76,    77,   187,   102,    22,    81,
    5753,   161,   102,  1137,   109,   218,    78,    89,    90,   109,
     505,  1555,   408,   192,   154,   189,   505,   238,   425,    25,
     432,   531,    71,   540,   342,  1554,    74,    75,    76,    77,
     547,   254,   264,    81,   544,   149,    85,     0,   149,   528,
     433,    89,    90,   187,   440,  5437,    96,    71,   159,   262,
     545,  5606,  5336,  1361,   415,    71,   149,  1765,    74,    75,
      76,    77,  1562,  5279,    80,    81,   208,   206,  1357,    85,
     259,  2182,   232,   342,    74,    75,    76,    77,   201,    78,
     381,    81,    78,    78,   399,    78,   542,  5199,    78,    89,
      90,  2575,   325,   498,   238,   274,   882,   882,    74,    75,
      76,    77,   542,   105,   327,    81,    74,    75,    76,    77,
     284,  1346,  5200,    81,    74,    75,    76,    77,   105,   186,
      78,    81,    74,    75,    76,    77,   272,   400,   238,    81,
    2614,    78,   401,  5886,  2618,    78,   400,  2131,   545,   275,
     400,   332,  1534,    78,   400,    74,    75,    76,    77,   490,
      78,   676,    81,   327,  1233,  1234,    78,   412,   542,   116,
     238,  2016,   400,   194,   192,    74,    75,    76,    77,   219,
    1562,   463,    81,   276,   159,  1704,   542,  1361,   422,   463,
     412,   545,  1705,  1727,    74,    75,    76,    77,   425,   463,
    1534,    81,   400,   463,   400,  5693,  1740,    78,   545,  4198,
    1520,    78,   400,    84,   161,   724,   725,  4198,   382,  1732,
      74,    75,    76,    77,   542,   545,   501,    81,   357,   451,
     452,  5613,    74,    75,    76,    77,  1770,  1771,   491,    81,
     545,  4222,   435,  5512,   449,   116,   505,   544,   491,   418,
    1632,   542,   497,  1564,   432,   531,   436,   484,  4873,    74,
      75,    76,    77,  5808,   436,   394,    81,  3419,   540,  5547,
     436,    87,   544,  1763,   676,   542,  4349,   542,  1768,  1769,
     276,  2417,   545,   538,   543,   232,  1253,   546,  1598,   538,
     161,   545,   463,   676,   486,   545,   425,   164,  1632,   545,
     116,   542,   533,   534,  1614,   452,  1825,   238,   491,   533,
     534,  4562,  4573,  5668,   449,   484,  4577,   545,  4535,  1629,
     542,   533,   534,  2025,  4114,  5427,  2028,   389,  2464,   463,
     542,   147,  2468,   540,   545,  1544,   535,   536,   537,   538,
     435,   724,   725,   463,   536,   435,   476,   545,  2004,   545,
    5732,  4939,  5744,   533,   534,  2328,    87,   545,  5436,   463,
     489,   232,   463,  4630,  1565,  4479,  2036,  1568,   408,   501,
    1571,   491,  1573,   132,   889,  1576,   219,   180,  1760,  1580,
     463,   545,   180,  5313,   251,   116,  1768,  1769,   428,   772,
    2046,   542,  2090,  1936,  4561,  1047,  4563,   531,  1044,    87,
     389,  2276,  5676,   389,   389,   397,   389,   505,   465,   389,
     544,    74,    75,    76,    77,  5689,   147,   540,    81,   542,
     397,   544,   882,   261,   939,   912,  1760,  2739,   542,   102,
     528,   408,  5814,   410,  1189,   533,   534,  2242,  1819,  5645,
     116,   389,  3389,  4022,  3391,   545,  1819,  1990,  1938,  4879,
     189,   508,   389,  1797,   931,  1851,   389,   931,  1948,   931,
    2335,   931,  3734,   927,   389,   486,   484,  2123,   249,  2344,
     542,   389,   981,  2709,   542,   145,   878,   389,  1957,   280,
     882,  3286,  3287,  3288,   886,   161,  1555,  1002,   463,  5871,
    2006,   468,   931,   895,   896,  2011,   280,  5147,   232,  1056,
     180,  1058,   904,  1060,   542,   280,   340,  5609,  4099,  1066,
    5784,  1179,  3302,   408,   240,   917,   383,  4369,  4308,   280,
    3672,  3673,   389,   141,  2293,  1179,   397,  2017,   534,  5607,
    2020,  2021,   934,  1090,  1091,  2309,  1044,  2285,  1040,  5589,
     192,  2315,   328,  2642,   946,  4295,  2221,  2222,  2784,  5818,
    5819,   953,   542,   495,   195,  2576,   232,  2578,  5608,   249,
    1041,   432,  2729,   965,  4426,  4427,  4428,  4429,  4430,   141,
     180,  1043,   132,   189,    14,   313,   542,  1058,    98,  1060,
    2983,   180,   463,   985,   542,   428,    14,   159,  3786,  1070,
     992,    37,   542,    39,   361,   997,   979,   110,   981,   217,
     542,  1003,  1089,  2420,  5189,  1007,  1008,   219,   507,  1090,
    1091,   542,   280,  1015,  2104,  3189,  3190,   235,   344,  5841,
    3194,  4994,   274,   542,   394,  1027,  1028,   507,   357,   528,
      98,  5733,  4075,  1035,   368,   325,   104,  5906,   280,   182,
    3472,   400,  1044,   542,    70,   217,   108,   542,   528,   452,
     531,  1997,    78,    79,   452,  1038,  5734,  3231,  3232,  1042,
      98,  1169,   542,   235,  4414,  5055,   104,  4222,  5041,  1058,
     340,  1060,  3354,   187,   187,    70,  1163,   125,   416,   337,
     106,   107,  5055,    78,    79,   486,   206,   156,   542,  1172,
    1141,  2999,   365,   463,  1145,  2214,   425,  1139,   484,   181,
     542,  1090,  1091,   361,  1164,  1035,  1193,   545,   542,   490,
     253,   486,    98,  2655,  2180,   238,   332,   533,   534,   535,
     536,   537,   538,    98,   325,   239,  3322,   542,   230,   198,
     178,  5381,  1134,  1135,   156,  5813,  4953,  5435,   206,  1141,
    5001,  1143,   348,  1145,  3691,  5006,  4997,   420,  5009,   488,
    3697,    70,   496,   394,  1137,   373,  1139,  2291,   220,    78,
      79,   545,  1164,   158,  3671,   325,   418,  1169,   206,  1171,
     313,  5398,   452,   316,     8,   542,   198,    11,    12,   442,
     443,  2626,   264,   456,   545,   458,  4901,  1274,    22,    23,
      24,  5445,    26,    27,   123,  4868,   343,    31,    32,    33,
     490,   373,  5429,   192,   535,   536,   537,   538,  5738,  5739,
    5448,   237,  5397,   239,   328,   210,   428,  1056,   486,  1058,
     206,  1060,   324,  1997,   166,   273,   116,  1066,  5443,  1231,
    1232,   206,   484,  2341,  2342,   348,  3783,   357,  5211,   158,
     400,  3315,   452,  5428,   486,   533,   534,   535,   536,   537,
     538,  1090,  1091,   452,   379,  2374,  2375,  1319,  1320,  4649,
    1268,   479,  2381,   102,  4690,   425,  1268,   241,  2387,  2388,
    2389,   161,   238,   416,   394,  3707,   249,   325,  2397,  2398,
     412,   327,   156,  2402,   542,   274,   233,  1217,   187,   357,
     359,   156,   211,   426,    71,   261,   235,    74,    75,    76,
      77,  2414,   244,    80,    81,   425,  1236,   479,    85,   304,
    5062,   238,    98,   152,   280,  2297,  5614,  1319,  1320,   357,
     182,   160,  1330,   524,   198,   280,   394,   256,  2220,   356,
     412,   878,   261,   198,   261,  2279,  3031,   359,  2248,   545,
     463,   238,   232,  5873,  1346,  5311,   180,   266,    25,   188,
    2260,  1353,   325,   280,  1284,  1357,   394,   425,    35,  2257,
     346,  2271,   357,   510,   261,   408,   414,  2246,   297,   451,
     452,   247,   486,   192,  1376,  1439,  2510,  2269,  1217,  2204,
     523,   156,   357,   280,   348,  2296,   239,   425,   457,  1391,
    2334,   253,  1231,  1232,  2338,   425,  2340,  1236,  4628,  2343,
     342,  5431,   166,  5155,   240,   240,   228,   878,   531,   542,
     542,   882,   398,   399,  5275,   254,  4595,   542,   531,   394,
     206,   544,  4601,   198,  5241,   216,   265,   540,   327,   542,
     543,   544,   545,  1435,  4590,   457,    70,    71,   342,   425,
    4238,   484,  5740,   192,   363,  1284,   420,  5745,  2394,   396,
     425,   313,  2560,  4459,   316,   274,   191,   206,  1704,   401,
     455,   138,   457,    71,   931,   187,    74,    75,    76,    77,
     496,   199,    80,    81,    82,    83,   298,    85,  1480,   453,
     244,   209,  2256,  2257,   318,   359,  1567,   278,  1569,   190,
    2613,  1572,  1564,  1574,   359,   484,  1577,  1578,  1579,  2613,
     452,   430,  5475,  2593,  5093,  1881,  1881,   360,   344,  1590,
    2811,   182,  5093,   412,  5812,   545,  5506,   490,  1520,   112,
     486,  5338,   133,  1604,   331,  1606,  5343,  5344,  4326,   405,
     141,   486,  1534,  5506,  2245,   369,  1804,  1805,   425,  1807,
    1792,  1543,  1544,   201,  1546,   203,   281,  5515,  5516,   100,
    1804,  1805,  1554,  1807,   416,   332,   257,   348,   477,   486,
    1562,  4359,  5314,   505,  3039,   238,   485,   405,   226,   488,
     121,  5323,   102,   546,  5872,   410,  1043,  1044,   431,  3487,
     546,   545,   253,   457,   359,   310,   249,  3590,   261,   486,
     307,   546,   457,   465,   452,  2738,  1598,   106,   107,   276,
    2856,   543,   878,   196,   546,   444,  5904,   280,   444,  5907,
    1612,  4368,  1614,  1543,  1544,  3316,  1546,  4022,  3887,   546,
    2394,   370,   189,   191,  2293,   432,  2337,  1629,  1611,   357,
    1632,   466,  1562,   355,  4892,   233,   540,   472,  5611,   473,
     544,  1643,   313,   337,   418,   316,   244,   485,   357,   546,
      71,  4198,   471,    74,    75,    76,    77,   166,   545,    80,
      81,   523,   325,   261,    85,   484,   394,   361,  2811,   327,
    1672,   201,   486,  2655,   332,  4222,   125,   186,   452,   337,
     542,  4433,   457,  4435,   542,   394,  2942,   478,  2797,  2798,
     301,   287,  2801,  1164,   357,   412,   418,   337,  1700,  1701,
    1702,  2844,  1704,   241,  1746,  1747,   486,  2963,  2964,  2965,
    2966,   220,  1179,   281,  1716,   182,   425,   284,   492,  2975,
     243,   361,  1724,  1562,   275,  2815,  5178,   243,   542,   178,
     452,   394,  2875,  2823,  1821,   486,  2826,  3828,   455,  5412,
    3914,  3915,  3916,  3917,   357,   416,  3920,  3921,  3922,  3923,
    3924,  3925,  3926,  3927,  3928,  3929,   533,   534,  1760,  5149,
     327,  1763,   542,  1746,  1747,   482,  1768,  1769,   542,   542,
     492,  5744,  1832,  1833,  3610,  4282,  1778,  1779,   301,  4286,
    4287,   394,  4289,   505,   348,   301,   253,   310,   505,    70,
     507,   542,   161,    74,    75,    76,    77,    78,    79,  2697,
      81,  5090,  3976,  3977,  1806,   403,   528,  1849,  1810,  1811,
    5778,   141,   470,   486,   390,   382,  2695,     5,   261,   356,
     542,  1881,   480,  1825,   273,   542,  2736,   490,  1888,  1831,
    1832,  1833,  2941,  1763,   203,   357,   189,    25,  1768,  1769,
     463,     2,  5131,   357,  5817,  4933,   313,    35,   542,  1851,
    3765,  3424,   523,  3768,   546,   216,   432,   187,   201,   286,
     203,   253,  4660,  2688,   463,   190,  1849,   434,   201,  1933,
     203,   542,   394,   546,  5224,   413,   325,   372,   190,  1881,
     394,   390,   420,   226,  2608,    98,  1888,   372,   425,  3306,
    1892,   104,    74,    75,    76,    77,  3015,  1899,   325,    81,
     159,   182,   542,   425,  5330,   546,  5621,  1909,    70,   418,
    1912,   332,   242,  1843,  1916,   453,    78,    79,  4670,  4671,
     228,   313,   545,  2697,  1763,   533,   534,  2993,   187,  1768,
    1769,   284,   257,   456,  5324,   458,   474,   298,  1868,  1869,
     456,   410,   458,   452,   158,   257,   545,  5620,  1950,   416,
     138,   394,   149,   545,   179,   398,  1958,   313,  5410,   482,
     316,  5049,   159,  5051,  2051,   414,   482,  2735,  2806,   545,
     465,  4837,   253,  5425,   327,   201,  5220,   203,    87,   543,
     465,   545,   425,   492,  4856,   199,   356,   496,   878,   332,
     298,  1993,  3397,   206,   337,   209,   505,   327,  2006,   468,
     286,   428,   332,  2011,   337,   166,  4872,   116,  1938,  3099,
    5462,   346,  1851,   508,  2016,   138,   139,   205,  1948,   528,
     542,  3003,   357,   508,   416,   187,   398,   188,   548,   382,
    4828,   339,   313,   542,   398,   316,  2874,  2805,   147,   325,
     463,    70,    71,   373,   230,    74,    75,    76,    77,    78,
      79,    80,    81,   425,   475,   425,    85,   484,   388,   394,
     416,   425,   505,    74,    75,    76,    77,   386,   327,  3003,
      81,   356,  3191,  2075,  3056,  2077,    74,    75,    76,    77,
     357,   386,   465,    81,  3203,   528,   311,  2017,   276,   314,
    2020,  2021,  4115,   502,  2209,  2097,   382,  1564,   505,  1938,
     419,   327,    40,  4901,   290,  2873,   216,  5457,   531,  1948,
    2112,   337,   533,   534,   419,   189,  3235,   394,   228,  2121,
     505,   544,  3056,   233,    87,   508,  2128,   470,  5518,  2131,
     307,  2133,   394,   452,  3293,   416,   545,   480,   545,  5591,
     425,   451,   428,   357,  4318,  2521,  2521,   452,   425,   479,
     332,  2153,  3096,   408,  3273,   410,   276,  2159,   187,   233,
     545,  3387,   497,   425,  2367,   327,  4169,    16,   278,  2171,
     332,   408,  1639,  3746,  2104,   485,   390,   105,  2017,   498,
     394,  2020,  2021,  3756,   147,  4590,  2188,   410,   298,  2297,
    4595,   886,  1659,   498,   268,   396,  4601,   399,   484,  2201,
     895,   129,  2204,  3473,  5877,  3907,  2208,    74,    75,    76,
      77,   425,  2214,   468,    81,   452,  4606,  3307,  2220,   233,
    3956,   228,  1689,   425,  2296,  2306,   233,  2308,  3498,   339,
    2232,  2312,  1779,  2314,  3936,  3304,  2317,  1704,   348,   934,
    2321,   255,   523,  2245,  2246,   468,  2248,  2249,   486,  4161,
     279,   325,  4167,   327,  4169,   357,  5054,   127,  2260,   233,
     382,  5505,  3141,  5061,  2351,  2104,  2268,  2269,   375,  2271,
    2272,   189,   301,   395,  5726,  2366,   146,   468,   455,  4370,
    5670,   255,  2359,  2285,   238,  2359,  2288,  2359,   390,  2359,
     160,   298,   394,   239,  4801,  2297,  4803,  4804,   507,   421,
    4807,  3247,   997,   238,   505,   482,  3869,   261,  1779,  2373,
    3135,  4147,  1007,   505,   307,    74,    75,    76,    77,   528,
    2359,   332,    81,   425,   270,  3307,   261,   528,   505,     2,
     507,  3474,   339,   542,   332,  2337,   528,  1804,  1805,   285,
    1807,   228,   212,   243,   545,   234,   233,   505,  4084,   295,
     268,    80,  1899,   545,  5806,  2285,    85,  1003,  2288,  3083,
    1831,  1832,  1833,   167,   336,   542,  4202,   307,   478,  4392,
     528,    50,  2374,  2375,  3806,  3807,   415,   266,  2380,  2381,
     381,  1027,  2539,   342,  2386,  2387,  2388,  2389,   347,    68,
     233,  2393,   507,  2395,  2396,  2397,  2398,  2399,  2400,  3701,
    2402,   301,  2404,  2405,  4633,  3548,  2408,   325,   409,   327,
    1881,   298,   255,   528,  5866,  2523,    89,  1888,  5170,   412,
    2422,  2423,  2424,  2425,  2426,  2427,  2151,   542,  1899,  2431,
     119,   357,   342,  2435,   507,   239,  2438,   347,  3694,  2441,
    2442,  2443,  2444,  2445,  2446,  2447,  2448,  2449,  2173,  2451,
     100,   140,   339,   394,  2657,   528,  2659,  2459,   404,  3441,
    2462,  2521,   455,     7,   159,   332,   270,  5857,   394,   288,
    3414,   121,   412,  3247,   498,    19,    20,   327,   240,   152,
     166,   285,   332,   357,   425,   158,   386,  4395,  4376,   482,
     323,   295,   394,    34,    38,  4900,   398,    41,  2655,   425,
     186,  3411,  3412,  1779,   533,   534,   312,  3441,   341,   271,
     216,   542,   505,   186,   507,   455,  2576,   321,  2578,  2521,
     394,  2523,   228,   425,  2526,   357,  2565,   233,    70,   288,
     380,   149,  5776,  2648,   220,    70,    78,    79,   342,  4112,
    4113,   159,   482,    78,    79,   468,  5093,  4692,   243,   542,
     327,   425,  3326,  4698,   537,  1831,   456,    99,   458,   542,
     540,   544,   394,   468,   544,   505,   398,   507,   355,   264,
     537,   456,   278,   458,  2576,   542,  2578,   544,  5822,  5667,
      84,  2128,   482,    87,   540,   328,   329,    91,    92,    93,
     546,   396,   298,   425,   179,  2597,   543,   415,   498,   546,
     404,  3691,   542,   505,   108,   338,   301,  3697,   310,   342,
     541,   307,   116,  2615,   545,  2617,   158,  2619,   162,   123,
     456,  2708,   458,  1899,  2626,  2608,   528,  5134,  2630,  2631,
     310,   418,   540,   339,   542,  2637,   544,   535,   536,   537,
    2642,  2643,   348,   147,   545,  2647,   545,   441,   549,   234,
     549,  1346,   347,  2655,  3773,   541,  3566,  2128,   202,   545,
     264,  3727,  1357,  2593,   543,   452,  5213,   546,   163,   211,
    3580,  2673,   545,   546,  2676,   418,  3202,  5921,  3204,  3205,
      84,   266,   486,  2613,   547,  2615,  2688,  2617,  2803,  2406,
    2692,  4096,  2409,  2695,   255,   533,   534,   535,   536,   537,
    2539,  4704,  2704,   541,   390,   492,   543,  1353,   545,   452,
    2797,  2798,    89,    90,  2801,  2717,   412,    71,   505,   261,
     542,  3703,   544,  3705,   266,   312,   311,  2729,    84,   314,
    1376,    87,   418,  2735,  2736,    91,    92,    93,    70,    71,
    1435,   528,  2744,   418,  3853,  1391,    78,    79,  4046,   492,
     408,   409,   256,    85,  2593,   542,   468,   261,  2597,   455,
     155,   456,   505,   458,  2766,  2767,   452,   129,  2770,  3703,
     498,  3705,   478,   468,  2613,  4949,  4688,   452,   282,   283,
     543,   505,   545,   507,   479,   528,   482,   482,  3878,  2791,
    3909,  2793,   125,   297,   540,   415,   542,  2799,   548,   542,
    3782,   408,   409,  2805,  2806,   288,   492,  2809,  3718,   505,
    3720,   507,   543,    85,   545,   399,  2655,   492,   543,   505,
     545,   363,   542,  5621,  3943,   542,   330,  2829,   342,  2296,
     505,   542,  2834,   544,   540,   168,  2838,   543,   544,  2841,
     344,   425,   528,   347,   412,  2947,   542,   545,  3782,  2851,
     167,   129,  2128,   528,  2941,  4591,   542,  4016,  4017,  4018,
     193,   498,  2864,   405,   545,   546,  4168,   542,   111,  3988,
     496,  2873,  2874,   543,  1035,   545,  5369,   210,  5371,   525,
    2427,   214,  5375,   119,  5377,  2815,   284,   130,  4624,  1779,
     307,   544,  2359,  2823,   342,  1056,  2826,  1058,  3842,  1060,
    4013,   234,   345,    70,   237,  1066,  1067,  1068,   450,    89,
      90,    78,    79,  4139,   345,  2917,  2918,  3691,   251,   233,
     463,   505,   239,  3697,   342,  2927,   430,  5420,   525,  1090,
    1091,   543,  2934,   545,   345,   477,   179,   533,   534,   535,
     536,   537,  2944,   485,   528,  3191,   488,   543,   116,   543,
     543,   545,   545,   270,   119,   543,  2427,   545,  3868,   525,
    1811,   545,   546,   284,   535,  2432,  1612,   543,   285,   545,
     237,   545,    74,    75,    76,    77,  2815,  2979,   295,    81,
     543,   543,   545,   545,  2823,   542,   129,  2826,   344,  3235,
    4292,   158,   543,   161,   545,   412,   543,  2999,   545,   332,
     505,  3003,   507,   676,   321,  4275,   543,   340,   545,  1899,
     543,   543,   545,  3015,    74,    75,    76,    77,   543,   238,
     263,    81,   526,   280,   542,   529,   530,   531,   535,   533,
     534,   535,   536,   537,   538,   546,   548,   307,   455,   543,
     543,   209,   545,   210,  5449,   276,   543,   380,   545,   217,
    2521,   219,   548,   543,  3056,   545,  1217,   543,   543,   545,
     545,   463,   463,   329,   232,   482,  5240,   307,   311,   463,
     543,   314,   545,   212,   543,  1236,   545,  3278,  3279,  3280,
    4525,   543,   325,   545,   456,   463,   458,   404,   505,   456,
     507,   458,   543,   542,   545,  2642,   111,   543,  2565,   545,
    3083,   129,  3348,  3105,   543,  2576,   545,  2578,  4198,   543,
     543,   545,   545,   356,   463,   543,   307,   545,   543,  3121,
     545,  3123,   543,  1284,   545,   542,   276,   282,   543,  3131,
     545,    84,  4222,  3135,    87,   463,  3138,   304,   543,  3141,
     545,   544,   412,    74,    75,    76,    77,   221,   509,  3151,
      81,  2427,   418,   543,   542,   545,   399,   394,   543,  3161,
     545,   542,   542,   116,  3166,   307,   505,   261,   507,  3099,
     123,  2642,   412,   529,   530,   531,   419,   533,   534,   535,
     536,   537,   538,   542,   544,   455,   452,  3189,  3190,  3191,
     357,   543,  3194,   545,   147,   543,   439,   545,   221,   261,
    3202,  3203,  3204,  3205,   342,   543,   307,   545,  3210,   543,
     394,   545,   482,  3215,  3216,   455,  3218,   543,  3220,   545,
     543,   412,   545,  2770,   342,   221,   492,   394,   261,  3231,
    3232,   398,   543,  3235,   545,   505,   221,   507,  2128,   505,
     233,   543,   482,   545,   111,  3322,  2793,  3249,  3322,  3251,
    3322,  3253,  3322,   342,   543,   928,   545,   394,   425,   111,
    3099,   214,   528,   130,   455,   505,   543,   507,   545,   221,
     412,  3273,   542,  4846,   296,   546,   542,   543,   130,   543,
     546,   545,  3284,  3322,  3286,  3287,  3288,   543,   455,   545,
     457,   482,   189,   342,  2841,  2766,   543,   486,   545,  2770,
     543,   312,   542,   256,  5478,  3307,  5194,   542,   261,  3311,
     468,   412,   179,   455,   505,   543,   507,   545,   336,   992,
     993,  3323,  2793,   543,   498,   545,  3328,   179,   180,   543,
     415,   545,  3334,   233,   543,   187,   545,   543,   505,   545,
     482,   543,  3344,   545,   297,   288,   543,  1993,   545,   543,
     543,   542,   545,   543,   455,   545,    84,  4447,   543,    87,
     545,   542,  1035,   505,   141,   507,  2642,   543,   327,   545,
    2841,    74,    75,    76,    77,   242,   111,  3307,    81,   327,
    2927,   482,  1543,  1544,  3386,  1546,   221,  3389,   116,  3391,
     242,   344,   509,  4512,  3396,   123,   263,   543,   542,   545,
     542,  1562,   342,   543,   505,   545,   507,   233,   327,  3411,
    3412,   263,   543,   119,   545,  3417,   543,   119,   545,   147,
     543,  1094,   545,   327,  4198,    74,    75,    76,    77,   543,
     473,   545,    81,  4343,  4344,   543,  3438,   545,   543,  3441,
     545,   542,   158,  3445,   311,   357,   155,   314,  4222,   233,
     543,  2097,   545,   498,   498,  1128,  2927,   547,   325,   311,
    3462,   543,   314,   545,   131,  1138,  2112,   376,  3307,  1142,
    1143,  1144,   543,   325,   545,   327,   543,   430,   545,   221,
     221,    74,    75,    76,    77,  3487,   214,  2133,    81,   356,
    2766,   543,   542,   545,  2770,   543,   221,   545,   165,  4443,
    4444,  4445,   221,   543,   356,   545,  2201,   495,   543,  2204,
     545,   543,   543,   545,   545,   542,   369,  2793,  4619,   110,
    3522,  3523,  3524,   543,   543,   545,   545,   543,   256,   545,
     542,   509,   399,   261,   543,   542,   545,  2427,   543,   543,
     545,   545,  2188,   221,  3546,  2396,   543,   399,   545,   221,
    2245,  2246,   419,  2404,  3556,   545,  3558,   224,  1231,  1232,
     221,   221,  2208,  1236,  3566,  2841,   543,   419,   545,   297,
     221,   221,   439,   526,  2220,   543,   233,   545,  3580,   221,
     533,   534,   535,   536,   537,   538,  2232,   439,  1183,   441,
    1185,   258,   444,  4578,   221,  4580,   221,   221,  3284,   221,
     542,   452,  1763,   342,   111,   296,  4696,  1768,  1769,   342,
     233,   280,   233,   542,   542,   542,   344,   233,   542,   542,
     542,   542,  2268,  2269,   542,   542,   293,   542,   542,  3984,
     506,   542,   542,   353,   542,   542,   542,  3639,   111,   542,
     542,   542,  2337,   542,   542,   170,   542,   542,   542,   542,
     542,  2927,   542,   542,   545,   296,  3658,   545,  3344,   111,
     327,   280,   282,  3210,  3666,  4611,   233,   233,   339,  3216,
    5844,   337,   425,   535,   276,  5849,   416,   316,  3793,   545,
    1841,   186,  1843,   485,   545,   531,    14,  3796,  3690,  3691,
     542,   358,   542,   463,  3696,  3697,   545,   542,   542,   463,
    1861,  3703,   430,  3705,   412,   463,  5709,  1868,  1869,   497,
     878,   463,   412,   544,   463,   463,  3718,   412,  3720,   298,
     463,  3760,   531,   159,  3191,   463,  3728,   463,   412,   221,
     342,   398,  3771,   400,   342,   402,  3982,   417,  3740,  3210,
     293,   463,   409,   332,   455,  3216,   463,   342,   463,   408,
     417,   485,  2642,   337,   342,  4001,   542,  3796,   425,   463,
     254,  3691,  3764,  4829,   463,   159,  3853,  3697,  3235,   542,
     437,  3773,   357,   545,   261,  4685,  2422,  1938,   445,   221,
    3782,  3783,   463,   181,   452,  3252,   463,  1948,   486,  3990,
    3991,  3992,  3993,   486,   452,   129,  3798,   129,   526,   463,
     463,  3268,   318,   346,   379,   533,   534,   535,   536,   537,
     538,   463,   412,  3796,   361,   463,   463,  3284,   463,   463,
     463,   455,   361,   463,  5366,   463,  3828,   463,  4772,  4773,
     463,  4775,   463,   500,   118,   118,   412,  4611,   545,   282,
     342,  5143,   282,   282,  3846,   141,   463,   509,   463,   463,
     282,   147,  3691,  4763,   342,  3322,  2017,  5016,  3697,  2020,
    2021,  1534,   342,   159,  5023,   342,  3868,   282,   282,  3871,
    1543,  1544,   282,  1546,   473,   505,  2766,  3344,   111,   221,
    2770,  3348,  5357,   463,  5359,   100,   111,  3889,   542,  1562,
    3892,   187,   342,   189,   221,   187,  3898,   327,   505,   486,
     221,  5035,  3904,  2793,  3906,   130,   221,  3909,   304,   337,
     327,  3913,  3914,  3915,  3916,  3917,   497,   111,  3920,  3921,
    3922,  3923,  3924,  3925,  3926,  3927,  3928,  3929,   327,   233,
     327,  3933,  3934,   542,  3210,  1608,  3938,   111,   288,   544,
    3216,  3943,   414,  2104,  4854,  3947,   242,  3949,  3878,  3951,
     542,  2841,   110,   461,   179,   461,   221,  3959,   540,  1632,
    3962,   221,  3964,   540,   463,   463,   486,   221,   486,   221,
    3972,  3973,   268,  1141,  3976,  3977,   221,  1145,    14,  3981,
    3982,   545,   336,   331,   463,    84,  3988,   238,    87,   501,
    5563,  5564,   542,  2688,   318,   318,  3998,    87,   461,  4001,
    2695,   545,   542,  5093,   542,   463,   247,   229,   238,   545,
     531,   465,  4014,  5555,   545,   543,   254,   116,  4020,  4021,
    4022,   547,   254,   542,   123,   278,   428,   286,   545,   343,
     545,   327,  2193,  1706,   111,   486,   332,  2927,   263,  3878,
     543,    34,  1715,   543,    10,   350,  2692,   129,   147,  4425,
    4425,  3522,  3523,  3524,  3284,   412,  1729,  2218,  2704,   543,
    5168,   542,   486,   286,   332,  4067,   286,  2228,   332,  2230,
     463,  4228,   463,   463,   542,  2236,   312,   373,   498,  2240,
     468,  4083,   415,   233,   288,   332,   311,  1760,   223,   314,
    1763,  1764,   388,   342,   119,  1768,  1769,  4099,  2744,   434,
     325,  5260,   223,   327,   296,   296,   296,   408,   463,  4111,
    5056,   340,   455,   394,  3344,   214,   342,   255,   545,   422,
     382,   342,   463,   463,  2285,   111,  5245,  2288,  5701,   282,
     486,   356,   288,   486,    96,   378,   264,   340,   221,   101,
    4142,   337,   531,   111,   531,   233,   498,   453,   235,  3696,
     337,  1319,  1320,   422,   221,   221,   542,   256,  5104,   542,
     379,   221,   261,   220,   337,   327,   505,  5286,   111,   288,
     342,   342,   327,   135,   399,   342,   536,   252,  1851,   252,
     233,   111,   543,   479,  5094,   543,   148,   525,   525,   540,
    4192,   316,   288,  3740,   419,  4197,  4198,  4199,   297,   543,
     233,   163,   342,   261,   422,   261,  5104,   543,    99,   261,
     509,   245,   543,   463,   439,   545,   545,   542,   238,  4221,
    4222,   315,  2383,  2384,  5103,  3696,   545,   505,    84,  2390,
    2391,    87,   342,   545,   129,   452,   336,   468,  4240,   288,
     498,   543,   204,   543,   238,   344,  3522,  3523,  3524,   543,
     543,  5793,  4254,   215,   543,  4257,   543,   543,  2419,   362,
     116,   543,   542,   238,   353,   542,  5145,   123,  4198,  3740,
     545,   543,  2918,   235,  5575,   463,  5366,   543,   240,   525,
     543,   542,  5056,   352,   484,   542,   542,   542,   502,   306,
     527,   147,  4222,  3760,   502,   543,   342,   492,   129,   342,
     345,   543,   546,   531,  3771,   545,   545,   342,   543,   264,
     221,   463,  3998,   272,  2475,  4001,  4318,   463,   531,  5093,
    3210,   463,   332,   509,  5268,   327,  3216,   463,   221,  3796,
    5104,   430,   542,   542,   346,  5279,   417,   221,  3189,  3190,
     221,  4343,  4344,  3194,   296,  4347,   417,  4386,   310,   417,
     264,  4353,   223,  5472,   531,   463,   486,   298,   214,  4198,
     545,  2034,   363,   363,   233,  4425,   483,  2040,  4370,   308,
    5489,  4301,   463,   308,   308,  5494,   221,  5496,  2539,   463,
    3231,  3232,   344,  4222,  5366,   463,   412,   463,   412,  4228,
     412,   463,   342,  4395,  4396,  4397,   412,   425,   463,   463,
     256,   463,  3949,  4442,   463,   261,   118,   282,   463,   463,
     282,   249,   463,   463,   376,   463,   282,  5361,   282,   543,
    3696,   543,   545,  4425,   233,  4111,   473,   526,   119,   396,
     180,   543,  2593,   233,   533,   534,   535,   536,   537,   538,
    3135,   297,   543,   545,  4647,   542,  3141,   111,  4450,   221,
     412,  5517,  2613,   340,  2615,   463,  2617,   419,   221,   342,
     422,   249,   233,   542,  3740,   486,   233,   541,   486,  4471,
     412,   345,   412,   422,   412,  3121,   219,   219,  3949,   282,
    4482,   282,   545,  2156,   282,  2158,   282,   282,   344,   282,
     452,   212,  3138,   238,  2655,    87,   540,   459,   353,   233,
     497,   238,   543,   545,   466,  3151,   543,   348,   238,   247,
    4512,   473,   543,   543,   543,  3982,   543,  4447,   502,   542,
    4522,  4523,   528,  4525,   343,   401,   545,  4529,  4530,   542,
     545,  3998,  4534,  4535,  4001,   542,   498,  4539,   543,   531,
    4542,  4543,  5486,  4700,   542,  4547,   545,   543,   157,   531,
     541,  4553,   473,   233,   491,   111,   288,   486,   486,   463,
     129,   272,   221,  4565,   542,   455,   242,   473,  5514,   417,
     412,  4573,   412,  5555,   430,  4577,   394,   463,   463,   543,
     543,    84,  4621,  4622,    87,   463,   463,   543,  4590,  3284,
     463,   542,   505,  4595,   129,   455,   390,   233,   492,  4601,
     223,   147,   180,   473,   282,   282,   267,   543,  4447,   282,
     282,  1779,  2285,   116,   463,  2288,   542,  4619,   286,   377,
     123,   509,   542,   545,   389,   543,   545,   153,   361,   455,
     545,  4633,  3522,  3523,  3524,   542,   473,   545,   463,   542,
      84,   543,   541,   422,   147,   244,   180,   238,  4650,  3344,
    4197,   282,  4199,   238,  2815,   129,   387,   503,   353,   503,
     285,   543,  2823,   542,   351,  2826,  4668,   285,   454,   129,
     526,   250,   337,  3949,  4221,   543,  4606,   533,   534,   535,
     536,   537,   538,  4685,   543,   463,   543,   545,  4690,   542,
     473,   543,   542,  4240,   349,   542,   238,   531,   505,   147,
     543,   266,   255,  4633,  4706,   332,   332,   543,   543,   531,
     129,   214,   545,  2386,   455,   545,   463,   141,   282,   463,
    4722,  4192,   221,   463,   240,  4727,  4197,    84,  4199,   542,
      87,  1899,  4734,   238,    91,    92,    93,   187,   111,   261,
    5514,  1909,   337,   542,   111,   235,   233,   486,  4750,   337,
    4221,   422,   422,   256,   505,   129,   505,   486,   261,   111,
     238,  4763,   342,   233,   345,   542,  4696,   269,  3998,  4240,
     543,  4001,   280,   238,   542,   387,    84,   491,   542,    89,
     438,   543,  1950,    91,    92,    93,   543,   361,   542,   542,
     285,  4793,   202,   159,   297,   504,   542,   342,   388,  3445,
     463,  5680,   111,   221,   233,   194,  3696,   543,   543,   463,
     111,  5793,   332,   254,   542,  4817,  3462,   542,   542,   542,
    2493,   309,   542,   542,   264,   377,   542,   180,   543,  4831,
     207,   111,   501,   422,   346,   543,   409,   409,   473,   436,
     436,   344,   543,   531,   129,    84,   129,   111,    87,   542,
    3740,   150,  4854,   542,   491,   545,   542,  4696,   543,   542,
      98,  4700,   543,   542,   254,   486,   104,  3028,  3029,   455,
     233,  5750,  5751,   455,   325,   542,   342,   116,   455,   117,
      81,  4111,   227,   543,   123,   509,   542,  4573,   220,   542,
    4892,  4577,   141,   345,   141,   202,   490,   505,  4900,   505,
    4902,    84,   387,   542,   261,   545,   111,   145,   147,  2077,
    3556,   425,  3558,   542,   238,   491,  4192,   455,   502,  4386,
     332,  4197,   385,  4199,  2597,   282,    84,   430,   207,    87,
     266,  4933,   542,    91,    92,    93,   342,   342,  3099,   422,
    2613,   111,  2615,   111,  2617,  4221,   377,  4949,   345,   345,
     108,  4953,   240,  5034,  4425,   542,  4958,   129,   240,   197,
    2128,   199,   545,   463,  4240,   408,   192,   542,   206,   484,
      81,   209,   543,  4975,  4976,  4442,   542,  4979,   408,   349,
     543,   543,  2655,   422,   395,   542,   545,   344,    97,   108,
     545,   542,  4994,  3639,   332,   542,   234,   220,   238,  5001,
     150,   463,   377,   436,  5006,   542,   240,  5009,  5010,   436,
     240,   505,   505,   389,  2078,  5017,  5018,   256,  2945,  1769,
    3666,  1311,   261,   526,  3307,  1320,  2779,  2844,   266,  4197,
     533,   534,   535,   536,   537,   538,   344,  3498,  5860,  5041,
    5286,  5043,  4171,  1319,  5691,  2869,  1280,  5049,  3687,  5051,
    4294,  2724,  5379,  5055,  5553,  5934,  5935,  5793,   297,  3949,
    4341,  5194,  4819,  3914,  3915,  3916,  3917,  3418,  5167,  3920,
    3921,  3922,  3923,  3924,  3925,  3926,  3927,  3928,  3929,  3088,
    5674,  5782,  5055,  5583,  5582,  5711,  5817,   325,  3422,   327,
    4387,  5093,  5094,  4372,  5523,  4332,  3947,  5027,  4192,   337,
    2930,  5103,  2930,  3523,  1316,   344,  4573,  3738,   346,  4357,
    4577,  4855,  2924,  5174,  5181,  3748,  5795,  5933,  3764,   357,
    5918,  3696,  5160,  2861,   282,  3976,  3977,  3690,  5724,  5106,
    5341,  5532,  2142,  5172,  5109,   188,  4450,  5139,  1599,  5310,
    1615,  3302,  2631,  5145,  3305,  4395,  3307,  3396,  2201,  5449,
    2256,  2362,  3798,  2363,  4621,  4622,   394,  2362,  1025,   397,
     398,   993,  1389,  5093,  3641,  4221,  3740,  4240,  5207,  5749,
    5909,  1158,   529,   530,   531,  2297,   533,   534,   535,   536,
     537,   538,  2523,  4374,  1916,  5037,   344,   425,  2524,  5666,
    4623,   430,  4081,  1557,  2867,  5197,  3071,  3323,  1796,  1740,
    2563,  1814,  1813,  3334,  3329,  4025,  4892,  5658,  5498,  5211,
    4604,  5213,  2562,  1816,  4001,  2888,  4562,  4579,  2891,  4690,
    2893,   529,   530,   531,  2897,   533,   534,   535,   536,   537,
     538,  5276,  3998,  2906,  2907,  2908,  5475,  5474,  5240,  5241,
    4082,  5243,  3998,  5245,  5766,  5913,  3892,  1821,  5847,  5648,
    5243,   489,  3951,  5661,  5093,  5025,  5662,  5641,  2456,  2427,
    3252,  3311,  3250,  5265,  2459,  3162,    78,  3913,   676,  5271,
    3004,  5632,    84,  5275,  3793,  1443,  1833,    89,  2597,  5281,
     398,  1037,  2195,  2573,  5286,    84,  1234,   526,    87,  2962,
    1827,  1611,  3938,  1254,   533,   534,   535,   536,   537,   538,
    2613,  1234,  4192,  3998,   116,  2605,  4001,  4197,  4994,  4199,
    3301,  2606,  4088,  4605,  1743,  5001,  4052,   116,  4089,   431,
    5006,  1831,  2995,  5009,   123,  2617,  3972,  3084,  5330,     2,
    3003,  4221,  2326,    -1,    -1,    -1,  5338,  1543,    -1,    -1,
      -1,  5343,  5344,  4573,    -1,    -1,  5348,  4577,   147,   161,
    4240,  1069,    -1,    -1,    -1,  5041,  3029,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5366,    -1,    -1,    -1,    -1,  5055,
      -1,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,    -1,    -1,  3056,    -1,    -1,    -1,  5426,    -1,    -1,
      -1,    -1,    -1,  5395,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4690,   214,  4111,    -1,    -1,    -1,
     232,    -1,    -1,  5353,  5354,  4892,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5366,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    84,  5449,  5450,    87,
      -1,    -1,    -1,    91,    92,    93,    -1,   256,  5460,    -1,
      -1,    -1,   261,    -1,  5503,    -1,    -1,  4318,    -1,    -1,
    5472,    -1,    -1,  5475,  2642,    -1,  5478,    -1,   116,    -1,
      -1,    -1,    -1,    -1,    -1,   123,    -1,  5489,    -1,    -1,
      -1,    -1,  5494,    -1,  5496,    -1,  5498,    -1,   297,    -1,
      -1,    -1,    -1,    -1,  5506,    -1,    -1,    -1,    -1,   147,
      -1,    -1,    -1,    -1,  5353,  5354,    -1,    -1,    -1,    -1,
      -1,    -1,  5524,    -1,    -1,  5211,    -1,  5366,    -1,    -1,
    3691,    -1,    -1,    -1,  5001,    -1,  3697,    -1,    -1,  5006,
      -1,    -1,  5009,    -1,    -1,   344,    -1,    -1,    -1,    -1,
      -1,  5553,    -1,  5555,    -1,    -1,    -1,    -1,    -1,    -1,
    3721,  2729,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5824,    -1,
      -1,    -1,    -1,    -1,    -1,   397,   896,    -1,    -1,  5275,
      -1,    -1,  5139,    -1,   904,    -1,    -1,    -1,  2766,    -1,
      -1,  5603,  2770,    -1,    -1,    -1,    -1,   917,    -1,  5611,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,
     432,  5460,    -1,   261,    -1,  2793,    -1,    -1,    -1,    -1,
      -1,   430,    -1,    -1,  3307,    -1,   946,    -1,  5640,  5641,
      -1,    -1,  3803,   953,   282,   283,  5648,  5649,    -1,  3810,
    5652,    -1,    -1,    -1,    -1,   965,  5658,    -1,    -1,   297,
      -1,    -1,  4892,    -1,    -1,  5667,    -1,    -1,  5139,    -1,
      -1,    -1,  5749,  2841,    -1,  5749,    -1,  5749,  5680,  5749,
      -1,    -1,    -1,    -1,    -1,    -1,  5725,    -1,    -1,    -1,
      -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4347,    -1,    -1,    -1,  5172,   344,    -1,    -1,    -1,
    5749,    -1,    84,    -1,  4565,    87,    -1,  3878,    -1,    91,
      92,    93,    84,    -1,    -1,    87,    -1,   526,  5730,    91,
      92,    93,    -1,  5735,   533,   534,   535,   536,   537,   538,
    5207,    -1,  5744,    -1,    -1,    -1,   108,  5824,  5750,  5751,
    5824,  5753,  5824,    -1,  5824,    -1,    -1,    -1,    -1,  2927,
    5762,  5691,    -1,  5693,  4994,    -1,  5768,    -1,  3441,    -1,
      -1,  5001,    -1,    -1,    -1,    -1,  5006,  5779,    -1,  5009,
      -1,    -1,    -1,    -1,    -1,  5824,    -1,    -1,    -1,  5475,
      -1,  5793,   430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4690,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5275,    -1,
      -1,  5041,    -1,    -1,    -1,  5817,    -1,    -1,    -1,  5286,
    5506,    -1,    -1,    -1,    -1,  5055,    -1,    -1,    -1,    -1,
      -1,    -1,  5909,    -1,    -1,  5909,    -1,  5909,    -1,  5909,
      -1,    -1,  5844,    -1,    -1,  5847,    -1,  5849,    -1,    -1,
      -1,    -1,  5691,    -1,  5693,  3528,    -1,    -1,    -1,  5330,
      -1,    -1,    -1,  5139,    -1,    -1,    -1,  5869,    -1,    -1,
    5909,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4573,    -1,
      -1,    -1,  4577,    -1,  5886,    -1,    -1,    -1,   526,  4535,
    5892,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,    -1,    -1,    -1,    -1,  3578,    -1,    -1,    -1,    -1,
     282,    -1,    -1,    -1,  5916,    -1,  5918,    -1,    -1,    -1,
     282,  1231,  1232,    -1,  4085,  5611,    -1,    -1,    -1,    -1,
    5860,  5933,  5934,  5935,    -1,    -1,    -1,    -1,    -1,  5869,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5426,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3640,    -1,    -1,
      -1,    -1,   344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5211,   344,    84,    -1,    -1,    87,    -1,  5918,    -1,
      91,    92,    93,    -1,    -1,    -1,    -1,    -1,  3671,    -1,
      -1,    -1,    -1,  5933,    -1,    -1,  5553,   108,    -1,    -1,
    3683,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3691,    -1,
      -1,  5860,  4668,    -1,  3697,    -1,    -1,    -1,    -1,    -1,
    3703,    -1,  3705,    -1,    -1,    -1,  5503,  4198,    -1,    -1,
      -1,    -1,  3210,    -1,    -1,  5275,    -1,    -1,  3216,    -1,
      -1,    -1,    -1,    -1,  5330,    -1,    -1,    -1,  5744,    -1,
    4706,  4222,    -1,    -1,    -1,    -1,   878,  4228,    -1,    -1,
     882,    -1,    -1,    -1,    -1,    -1,  3749,    -1,    -1,    -1,
      -1,  4727,  5553,   895,   896,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   904,    -1,    -1,    -1,    -1,    -1,  4949,    -1,
      -1,    -1,  5649,    -1,    -1,   917,    -1,  4958,  3781,  3782,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5817,    -1,    -1,   946,    -1,  4831,  3810,    -1,  4300,
    4301,   953,    -1,    -1,    -1,    -1,    -1,  4793,    -1,    -1,
      -1,    -1,    -1,   965,    -1,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,    -1,  5649,    84,
     992,   282,    87,    -1,    70,    -1,    91,    92,    93,    -1,
      -1,    -1,    78,    79,    -1,  1007,  1008,  4892,    84,    -1,
      -1,    87,    -1,  1015,    -1,    91,    92,    93,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1028,    -1,    -1,    -1,
      84,    -1,   108,    87,    -1,   111,    -1,    91,    92,    93,
     116,    -1,  1044,    84,    -1,    -1,    87,   123,    -1,    -1,
      91,    92,    93,   344,   108,  5475,    -1,    -1,    -1,  5139,
      -1,    -1,    -1,    -1,    -1,    -1,  4902,    -1,  5725,    -1,
     111,   147,    -1,    -1,    -1,  4426,  4427,  4428,  4429,  4430,
      -1,    -1,    -1,    -1,    -1,    -1,  5506,  5553,    -1,    -1,
      -1,    -1,  5749,    -1,    -1,  3958,  4447,    -1,    84,    -1,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,  4994,
      -1,    -1,    -1,    -1,    -1,    -1,  5001,  4953,    -1,    -1,
      -1,  5006,   108,    -1,  5009,  5010,    -1,    -1,    -1,    -1,
     116,    -1,  5869,    -1,    -1,    -1,    -1,   123,    -1,    -1,
      -1,  1143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5041,    -1,    -1,    -1,
      -1,   147,  1164,    -1,  3522,  3523,  3524,  5824,    -1,    -1,
    5055,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,  5918,    -1,  5649,    -1,   261,    -1,   282,    -1,    -1,
      -1,  5611,    -1,    -1,    -1,    -1,  5933,    -1,    -1,  5240,
      -1,    -1,    -1,    -1,    -1,    -1,   282,   283,  5869,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5103,    -1,
      -1,   297,    -1,    -1,  5265,    -1,    -1,    -1,   282,  1231,
    1232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   529,   530,
     531,   282,   533,   534,   535,   536,   537,   538,    -1,   344,
    5330,    -1,  5909,    -1,   330,  4606,    -1,  5918,    -1,    -1,
    5145,    -1,    -1,    78,    -1,    -1,    -1,    -1,   344,    84,
     256,   347,  5933,    -1,    89,   261,    -1,    -1,    -1,    -1,
      -1,    -1,  4633,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     344,    -1,    -1,    -1,    -1,    -1,   282,   283,    -1,    -1,
      -1,   116,    -1,   344,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5744,    -1,  5211,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4198,    -1,    -1,  3696,    -1,
      -1,    -1,    -1,    -1,   330,  4696,   161,    -1,    -1,  4700,
      -1,  1851,    -1,    -1,   430,  1357,    -1,    -1,   344,  4222,
      -1,   347,    -1,    -1,    -1,    -1,  4229,    -1,    -1,  4232,
      -1,  4234,    -1,    -1,  4725,  4726,    -1,    -1,    -1,  4730,
    4731,    -1,  3740,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5275,    -1,    -1,    -1,   209,    -1,    -1,  5817,    -1,    -1,
      -1,    -1,   217,  5869,   219,  5241,    -1,    -1,    -1,    -1,
      -1,  4274,    -1,    -1,    -1,    -1,    -1,   232,    -1,  4282,
      -1,    -1,    -1,  4286,  4287,    -1,  4289,    -1,    -1,    -1,
      -1,  4294,    -1,    -1,   529,   530,   531,  5478,   533,   534,
     535,   536,   537,   538,   430,  5281,    -1,    -1,    -1,    -1,
     526,    -1,  5918,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,    -1,    -1,    -1,    -1,  5933,    -1,    -1,
      -1,    -1,    -1,  5553,    -1,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,    -1,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,    -1,
      -1,    -1,  5338,    -1,    -1,    -1,   101,  5343,  5344,    -1,
    5395,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1520,    -1,
      -1,    98,    -1,    -1,    -1,    -1,    -1,   104,  4391,    -1,
      -1,    -1,  1534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,    -1,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,    -1,   149,    -1,    -1,    -1,    -1,   545,
    1562,    -1,    -1,  4426,  4427,  4428,  4429,  4430,   145,  5649,
      -1,    -1,    -1,    -1,    -1,  2075,    -1,    -1,    -1,    -1,
      -1,    -1,   397,    -1,    -1,    -1,   181,    -1,    -1,    -1,
    5475,  3949,    -1,    -1,    -1,    -1,  1598,    -1,    -1,    -1,
    4463,  4464,  4465,    -1,  4467,  4468,  4469,  5648,    -1,   204,
      -1,    -1,  1614,    -1,  5450,    -1,    -1,   432,    -1,    -1,
     215,  5506,   199,    -1,    -1,    -1,    -1,  1629,    -1,   206,
    1632,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     235,    84,    -1,    -1,    87,   240,    -1,    -1,    91,    92,
      93,    -1,    -1,  2153,    -1,    -1,    -1,   234,   111,  2159,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2171,    -1,   116,    -1,    -1,  5027,    -1,   131,    -1,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,
      -1,    -1,    -1,    -1,   289,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   165,    -1,    -1,   310,    -1,    -1,    -1,    -1,
      -1,  5762,    -1,    -1,    -1,    -1,  5611,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4603,    -1,  5093,  4606,  4607,    -1,    -1,    -1,   325,  2249,
     327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1760,    -1,
     337,    -1,    -1,    -1,    -1,    -1,  1768,  1769,    -1,   346,
    4633,   224,  2272,    -1,    -1,    -1,    -1,  1779,    -1,    -1,
     357,   376,    -1,    -1,   379,    -1,    -1,    -1,    -1,  5869,
      -1,    -1,    -1,    -1,    -1,  5680,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5844,    -1,   258,    -1,    -1,  5849,    -1,
     405,    -1,    -1,   256,    -1,    -1,  5652,   412,   261,    -1,
     397,   398,    -1,    -1,   419,    -1,    -1,    -1,    -1,  1831,
    1832,  1833,    -1,    -1,  4192,   288,    -1,    -1,  5918,  4197,
     293,  4199,    -1,    -1,    -1,  5730,    -1,    -1,   425,  1851,
      -1,    -1,   447,  5933,   297,    -1,    -1,   452,    -1,  5744,
     455,    84,    -1,  4221,    87,  5750,  5751,    -1,    91,    92,
      93,    -1,    -1,    -1,   327,    -1,    -1,    -1,   473,  1881,
      -1,    -1,  4240,    -1,    -1,   108,  1888,    -1,    -1,    -1,
      -1,    -1,    -1,   116,    -1,    -1,    -1,  1899,    -1,    -1,
     123,   344,    -1,   498,    -1,   358,    -1,    -1,    -1,    -1,
      -1,    -1,   489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,  4791,  4792,
      -1,    -1,  5817,    -1,    -1,    -1,    -1,    -1,  4801,    -1,
    4803,  4804,    -1,    84,  4807,   398,    87,    -1,    -1,   402,
      91,    92,    93,    -1,    -1,    -1,   409,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   417,    -1,    -1,   108,    -1,    -1,
      -1,    -1,   425,    -1,    -1,   116,    -1,    -1,    -1,    -1,
      -1,    -1,   123,    -1,   437,    -1,    -1,   430,    -1,    -1,
      -1,    -1,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4864,  5353,  5354,    -1,    -1,   147,    -1,    -1,    -1,
      -1,    -1,    -1,   466,    -1,  5366,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5916,    -1,   256,    -1,    -1,  4899,    -1,   261,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,    -1,  5934,
    5935,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,   282,
     283,    -1,    -1,   878,    -1,    -1,    -1,   882,    -1,    -1,
      -1,    -1,    -1,  2075,   297,    -1,  4939,    -1,    -1,    -1,
      -1,   896,    -1,   526,    -1,    -1,   529,   530,   531,   904,
     533,   534,   535,   536,   537,   538,    -1,  2597,    -1,    -1,
      -1,    -1,   917,    -1,    -1,    -1,    -1,   330,    -1,  5460,
      -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,  2619,
     261,   344,    -1,    -1,   347,    -1,  2128,    -1,    -1,    -1,
      -1,   946,    -1,    -1,    -1,    -1,    -1,  2637,   953,    -1,
      -1,   282,   283,  2643,    -1,    -1,    -1,  2647,    -1,    -1,
     965,  2153,    -1,    -1,    -1,    -1,   297,  2159,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2171,
      -1,    -1,    -1,  2673,    -1,    -1,    -1,   992,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,
      -1,    -1,    -1,  1008,    -1,    -1,    -1,    -1,    -1,    -1,
    1015,    -1,    -1,   344,    -1,    -1,   347,   430,    -1,    -1,
      -1,    -1,    -1,  1028,    -1,    -1,    -1,  2717,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1044,
    5093,    -1,    -1,    84,    -1,  2735,    87,    -1,    -1,    -1,
      91,    92,    93,  2245,  2246,    -1,  2248,  2249,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,  2260,    -1,
      -1,    -1,    -1,    -1,    -1,   116,    -1,  2767,    -1,  2271,
    2272,  5134,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,
      -1,  2791,    -1,    -1,    -1,  2297,   147,    -1,    -1,  2799,
      -1,    -1,    -1,   526,    -1,  2805,   529,   530,   531,  2809,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,
      -1,    -1,   545,    -1,    -1,    -1,  1141,    -1,  1143,  2829,
    1145,    -1,  4690,    98,  2834,  2337,    -1,    -1,  2838,   104,
    5691,    -1,  5693,    -1,   131,    -1,   111,    -1,    -1,  1164,
      -1,  2851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2864,   130,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2873,    -1,    -1,    -1,    -1,   165,    -1,
     145,    -1,    -1,    -1,    -1,   526,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,    -1,
      -1,    -1,   543,    -1,    -1,   256,    -1,    -1,   195,    -1,
     261,    -1,    -1,    -1,   179,    -1,  1231,  1232,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2427,    -1,    -1,    -1,    -1,
      -1,   282,   283,    -1,   199,    -1,    -1,   224,    -1,    -1,
      -1,   206,    -1,    -1,   209,    -1,   297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,   234,
      -1,   258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,
      -1,    -1,    -1,    -1,    -1,  1458,    -1,    -1,    -1,    -1,
    5353,  5354,    -1,   344,    -1,    -1,   347,    -1,   263,    -1,
      -1,   266,    -1,  5366,  1319,  1320,   293,  5370,    -1,  5860,
      -1,    -1,  1485,    -1,    -1,    -1,   216,  5380,  5869,  2521,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   228,    -1,
      -1,    -1,    -1,   233,    -1,  1508,    -1,    -1,   238,    -1,
     327,    -1,    -1,    -1,   244,  1518,   311,   247,    -1,   314,
     250,  1524,    -1,    -1,    -1,    -1,    -1,  1530,    -1,    -1,
     325,    -1,   327,  1536,    -1,    -1,  1539,  5918,    -1,    -1,
     357,   358,   337,    -1,  2576,    -1,  2578,    -1,   278,   430,
      -1,   346,  5933,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   356,   357,    -1,    -1,  2597,    -1,    -1,   298,    -1,
      -1,    -1,    -1,    -1,    -1,  3105,    -1,   394,    -1,    -1,
      -1,   398,    -1,    -1,    -1,   402,    89,  2619,    -1,    -1,
      -1,    -1,   409,  3123,    -1,    -1,    -1,    -1,    -1,   394,
     417,  3131,   397,   398,   399,  2637,    -1,    -1,   425,   339,
    2642,  2643,   342,   116,    -1,  2647,    -1,    -1,   348,    -1,
     437,    -1,    -1,  2655,   419,    -1,    -1,    -1,   445,    -1,
     425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2673,    -1,    -1,   439,   526,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,   161,    -1,
     541,    -1,  5555,  2695,    -1,    -1,  5559,    -1,  5561,    -1,
      -1,   401,  5565,  5566,    -1,  1520,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   500,    -1,  2717,    -1,    -1,    -1,  1534,
      -1,    -1,    -1,    -1,   489,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2735,  2736,    -1,   209,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   217,    -1,   219,  1562,    -1,    -1,
      -1,    -1,   452,    -1,    -1,    -1,    -1,    -1,    -1,   232,
      -1,    -1,    -1,    -1,  2766,  2767,    -1,    -1,  2770,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   478,    -1,
      -1,  5139,    -1,  1598,    -1,    -1,    -1,    -1,    -1,  2791,
      -1,  2793,    -1,    -1,    -1,    -1,    -1,  2799,    -1,  1614,
      -1,    -1,   502,  2805,   504,   505,    -1,  2809,    -1,    -1,
      -1,    -1,    -1,    -1,  1629,    -1,    -1,  1632,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2829,  5691,    -1,
    5693,    -1,  2834,    -1,    -1,    -1,  2838,     5,    -1,  2841,
     540,    -1,    -1,   543,   544,    -1,   546,    -1,    -1,  2851,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,
      -1,    -1,  2864,    -1,    -1,    -1,    -1,    35,    36,    -1,
      -1,  2873,    40,    -1,    42,    43,    -1,    -1,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2927,    -1,    -1,    -1,    -1,
    5793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3438,    -1,
      -1,    -1,    -1,    -1,    -1,  1760,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1768,  1769,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1779,    -1,    -1,    -1,    -1,    -1,
     138,    -1,  5330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5860,    -1,    -1,
      -1,  3003,    -1,    -1,    -1,    -1,  5869,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1831,  1832,  1833,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1851,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    84,   213,  3546,    87,   131,    -1,
      -1,    91,    92,    93,  3056,  5918,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   231,    -1,    -1,  1881,    -1,   108,    -1,
    5933,    -1,    -1,  1888,    -1,    -1,   116,    -1,    -1,    -1,
      -1,    -1,   165,   123,  1899,   253,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    98,  1909,    -1,    -1,    -1,    -1,   104,
      -1,    -1,    -1,  3105,    -1,    -1,    -1,   147,   276,    -1,
      -1,    -1,   117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3131,
      -1,    -1,    -1,    -1,    -1,  1950,    -1,    -1,    -1,  3141,
     145,   224,    -1,    -1,    -1,   313,    -1,    -1,   316,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3658,    -1,
      -1,    -1,    -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   258,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   197,    -1,   199,  5553,    -1,    -1,    -1,    -1,
      -1,   206,    -1,    -1,   209,   288,    -1,    -1,  3210,    -1,
     293,    -1,    -1,    -1,  3216,    -1,   256,   897,    -1,    -1,
      -1,   261,    -1,    -1,    -1,    -1,    -1,   907,    -1,   234,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   918,    -1,
      -1,    -1,   282,   283,   327,    -1,   926,    -1,   416,    -1,
      -1,    -1,   932,    -1,    -1,    -1,    -1,   297,    -1,    -1,
    2075,   266,  2077,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   358,    -1,    -1,  2251,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2259,    -1,    -1,    -1,
     330,  5649,    -1,    -1,   111,   463,    -1,    -1,    -1,    -1,
      -1,    -1,  2275,    -1,   344,  3307,    -1,   347,    -1,    -1,
     478,    -1,    -1,  2128,   131,   398,    -1,    -1,    -1,   402,
     325,    -1,   327,    -1,    -1,   493,   409,    -1,  3828,    -1,
      -1,    -1,   337,    -1,   417,    -1,    -1,    -1,  2153,    -1,
      -1,   346,   425,    -1,  2159,    -1,  3846,    -1,   165,    -1,
      -1,    -1,   357,    -1,   437,   523,  2171,    -1,    -1,    -1,
      -1,    -1,   445,   531,    -1,   533,   534,   535,   536,   537,
      -1,  3871,   540,   541,   542,   543,    -1,   545,   546,   547,
     548,   549,    -1,   466,    -1,    -1,    -1,    -1,    -1,   394,
     430,    -1,   397,   398,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   878,    -1,   224,    -1,  3411,
    3412,    -1,    -1,    -1,    -1,    -1,    -1,   500,    -1,    -1,
     425,   504,    -1,   896,  1104,    -1,    -1,    -1,    -1,    -1,
      -1,   904,    -1,  2248,  2249,    -1,  3438,    -1,    -1,  3441,
      -1,   258,    -1,    -1,   917,  2260,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2271,  2272,    -1,    -1,
    1140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   288,    -1,   946,    -1,    -1,   293,    -1,    -1,  1159,
     953,    -1,  2297,    -1,   489,    -1,   526,    -1,    -1,   529,
     530,   531,   965,   533,   534,   535,   536,   537,   538,    -1,
      -1,  1181,    -1,   543,    -1,    -1,    -1,    -1,    -1,    -1,
     327,  5869,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   992,
    3522,  3523,  3524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1008,    -1,    98,    -1,    -1,
      -1,   358,  1015,   104,  3546,    -1,    -1,  2520,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1028,    -1,    -1,    -1,    -1,
    5918,    -1,    -1,    -1,  3566,    -1,    -1,    -1,    -1,    -1,
      -1,  1044,    -1,    -1,    -1,  5933,    -1,    -1,  3580,    -1,
      -1,   398,    -1,    -1,   145,   402,    -1,    -1,    -1,    -1,
      -1,    -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,    -1,    -1,    -1,    -1,  1285,    -1,    -1,   425,    -1,
      -1,    -1,  2427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   445,    -1,
      -1,    -1,    -1,    -1,   195,    -1,    -1,    -1,   199,    -1,
      -1,    -1,  4142,    -1,    -1,   206,    -1,    -1,   209,   466,
      -1,    -1,    84,    -1,    -1,    87,  3658,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,  1141,    -1,
    1143,    -1,  1145,   234,    -1,    -1,   108,    -1,    -1,    -1,
      -1,    -1,    -1,   500,   116,    -1,    -1,   504,    -1,    -1,
      -1,   123,    -1,    -1,  3696,    -1,    -1,    -1,    -1,    -1,
      -1,  3703,    -1,  3705,    -1,   266,  2521,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   147,  3718,    -1,  3720,    -1,
      -1,  1401,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,  3740,    -1,
      -1,    98,    -1,    -1,    -1,    -1,    -1,   104,  1428,  1429,
    1430,    -1,   108,    -1,  4254,    -1,    -1,  4257,  1231,  1232,
     116,  2576,    84,  2578,   325,    87,   327,   123,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,   337,    -1,    -1,    -1,
    3782,    -1,  2597,    -1,    -1,   346,   108,    -1,   145,    -1,
      -1,   147,    -1,    -1,   116,    -1,   357,    -1,    -1,    -1,
      -1,   123,    -1,    -1,  2619,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2637,    -1,   256,   147,  3828,  2642,  2643,   261,
      -1,    -1,  2647,   394,    -1,    -1,   397,   398,   195,    -1,
    2655,    -1,   199,    -1,  3846,    -1,  1319,  1320,    -1,   206,
     282,   283,   209,  4353,    -1,    -1,    -1,    -1,  2673,    -1,
      -1,    -1,    -1,    -1,   425,   297,  3868,    -1,    -1,  3871,
    4370,    -1,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,
     256,    -1,  2717,    -1,    -1,   261,    -1,    -1,    -1,   266,
      -1,    -1,   344,    -1,  2729,   347,    -1,  1597,    -1,    -1,
    2735,  2736,    -1,    -1,    -1,    -1,   282,   283,   489,    -1,
      -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,   261,
      -1,   297,    -1,    -1,    -1,    -1,    -1,  3949,  1628,    -1,
    4450,  2766,  2767,    -1,    -1,  2770,    -1,    -1,    -1,    -1,
     282,   283,    -1,    -1,    -1,    -1,    -1,    -1,   325,    -1,
     327,    -1,    -1,    -1,   330,   297,  2791,    -1,  2793,    -1,
     337,    -1,    -1,    -1,  2799,    -1,    -1,    -1,   344,   346,
    2805,   347,    -1,    -1,  2809,    -1,    -1,    -1,   430,    -1,
     357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,
      -1,    -1,    -1,    -1,  2829,    -1,    -1,    -1,    -1,  2834,
      -1,    -1,   344,  2838,    -1,   347,  2841,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2851,   394,  3011,    -1,
     397,   398,    -1,    -1,    -1,  3018,    -1,  1520,    -1,  2864,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2873,    -1,
      -1,  1534,  3035,    -1,    -1,    -1,    -1,    -1,   425,    -1,
      -1,    -1,  3045,    -1,   430,    -1,  3049,    -1,    -1,  3052,
      -1,    -1,    -1,    -1,    -1,  3058,    -1,  3060,    -1,  1562,
    3063,    -1,    -1,    -1,   526,  1775,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,    -1,   430,    -1,
      -1,   543,  2927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1598,    -1,    -1,    -1,    -1,
      84,    -1,   489,    87,    -1,    -1,    -1,    91,    92,    93,
    4142,  1614,  1822,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   108,    -1,  1629,    -1,    -1,  1632,
    3133,    -1,   116,    -1,    -1,    -1,    -1,    -1,    -1,   123,
     526,    -1,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,    -1,    -1,    -1,    -1,   543,  3003,    -1,
    4192,    -1,    -1,   147,    -1,  4197,    -1,  4199,    -1,    -1,
      -1,    -1,    -1,    -1,   526,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,    -1,    -1,  4221,
      -1,   543,  4722,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4734,    -1,    -1,    -1,  4240,    -1,
      -1,  3056,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4254,    -1,    -1,  4257,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1964,    -1,    -1,  1760,    -1,    -1,
    3105,    -1,    -1,  1973,    -1,  1768,  1769,    -1,    -1,    -1,
      -1,    -1,   256,    -1,    -1,    -1,  1779,   261,  3123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3131,    -1,    -1,  1999,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,   283,
      -1,    -1,  2012,    -1,    -1,  2015,    -1,    -1,    -1,    -1,
      -1,  4343,  4344,   297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4353,    -1,    -1,    -1,    -1,    -1,    -1,  1831,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4370,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,  1851,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2066,    -1,    -1,    -1,
     344,    -1,    -1,   347,    -1,  3210,    -1,    -1,    -1,    -1,
    2080,  3216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2094,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4425,    -1,    -1,  1899,    -1,    -1,    -1,
      -1,    -1,    -1,  4933,    -1,    -1,  1909,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4450,    -1,
      -1,    -1,    -1,    -1,  3427,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    84,    -1,  2147,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,   430,  1950,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,
      -1,    -1,  3307,    -1,  2174,    -1,    -1,   116,    -1,    -1,
      -1,  2181,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    87,    -1,   147,    -1,
      91,    92,    93,    -1,  3507,    -1,  3509,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,  5049,
      -1,  5051,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,
      -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,    -1,    -1,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,    -1,   147,    -1,    -1,   543,
      -1,    -1,    -1,    -1,    -1,    -1,  3411,  3412,    -1,    -1,
      -1,    -1,  2075,    -1,  2077,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2294,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3438,    -1,    -1,  3441,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,
      -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2128,    -1,    -1,    -1,    -1,
      -1,  2341,  2342,   282,   283,  3638,    -1,    -1,    -1,    -1,
    3643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,
    2153,  2361,    -1,  4685,    -1,    -1,  2159,    -1,  4690,    -1,
      -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,  2171,    -1,
     261,    -1,    -1,    -1,    -1,    -1,    -1,  3522,  3523,  3524,
      -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4722,   282,   283,    -1,    -1,   344,    -1,    -1,   347,    -1,
      -1,  3546,  4734,    -1,    -1,    -1,   297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4763,    -1,    -1,    -1,  3580,    98,    -1,    -1,   330,
      -1,    -1,   104,    -1,    -1,  2248,  2249,    -1,  2458,    -1,
      -1,    -1,    -1,   344,    -1,    -1,   347,  2260,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2271,  2272,
      -1,    -1,    -1,    -1,  2484,    -1,    -1,    -1,    -1,    -1,
      -1,   430,    98,   145,    -1,    -1,    -1,    -1,   104,    -1,
      -1,    -1,    84,    -1,  2297,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2522,  3658,  2524,  3818,   108,  3820,    -1,  3822,
      -1,    98,  4854,    -1,   116,    -1,  3829,   104,    -1,   145,
      -1,   123,    -1,    -1,    -1,    -1,    -1,   199,    -1,   430,
      -1,    -1,    -1,    -1,   206,    -1,    -1,   209,    -1,    -1,
    2560,  3696,    -1,    -1,    -1,   147,    -1,    -1,  3703,    -1,
    3705,    -1,    -1,    -1,    -1,    -1,    -1,  3870,   145,    -1,
      -1,    -1,   234,  3718,    -1,  3720,    -1,   526,    -1,    -1,
     529,   530,   531,   199,   533,   534,   535,   536,   537,   538,
     206,    -1,    -1,   209,   543,  3740,    -1,    -1,    -1,    -1,
      -1,  4933,    -1,    -1,   266,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   234,    -1,
      -1,    -1,   199,    -1,  2427,    -1,    -1,    -1,    -1,   206,
      -1,    -1,   209,    -1,    -1,   526,    -1,  3782,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,    -1,
     266,    -1,   543,    -1,    -1,    -1,    -1,   234,    -1,    -1,
      -1,    -1,    -1,   325,   256,   327,    -1,    -1,    -1,   261,
      -1,    -1,    -1,    -1,    -1,   337,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3828,   346,    -1,    -1,    -1,    -1,   266,
     282,   283,    -1,    -1,    -1,   357,    -1,    -1,    -1,    -1,
      -1,  3846,    -1,    -1,    -1,   297,    -1,    -1,    -1,   325,
      -1,   327,    -1,    -1,    -1,    -1,    -1,  5049,    -1,  5051,
      -1,   337,    -1,  3868,    -1,    -1,  3871,    -1,    -1,    -1,
     346,    -1,   394,    -1,    -1,   397,   398,    -1,   330,    -1,
      -1,   357,    -1,    -1,    -1,    -1,    -1,    -1,   325,    -1,
     327,    -1,   344,  2763,    -1,   347,    -1,    -1,    -1,    -1,
     337,    -1,  5094,   425,    -1,    -1,    -1,    -1,    -1,   346,
      -1,  5103,  2782,    -1,    -1,    -1,    -1,    -1,   394,    -1,
     357,   397,   398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2597,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3949,    -1,    -1,  5139,    -1,   425,
      -1,    -1,    -1,  5145,    -1,    -1,  2619,   394,    -1,    -1,
     397,   398,    -1,    84,    -1,    -1,    87,   489,    -1,    -1,
      91,    92,    93,    -1,  2637,  2845,  2846,  5667,   430,  2642,
    2643,    -1,    -1,    -1,  2647,    -1,    -1,   108,   425,    -1,
      -1,    -1,  2655,    -1,    -1,   116,    -1,    -1,    -1,    -1,
      -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2673,    -1,    -1,   489,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   489,    -1,  2717,   108,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   116,    -1,    -1,  2729,    -1,  2938,    -1,
     123,    -1,  2735,  2736,   526,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,    -1,    -1,    -1,
      -1,   543,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2766,  2767,    -1,    -1,  2770,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,  2791,    -1,
    2793,    -1,    -1,    -1,    -1,   256,  2799,  4142,  5330,    -1,
     261,    -1,  2805,    -1,    -1,    -1,  2809,    -1,    -1,    -1,
     116,    -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,    -1,
      -1,   282,   283,    -1,    -1,    -1,  2829,    -1,    -1,    -1,
      -1,  2834,    -1,    -1,  5366,  2838,   297,    -1,  2841,    -1,
      -1,   147,    -1,    -1,    -1,    -1,    -1,  4192,  2851,    -1,
      -1,    -1,  4197,    -1,  4199,    -1,    -1,    -1,    -1,    -1,
      98,  2864,    -1,   256,    -1,    -1,   104,    -1,   261,   330,
    2873,    -1,    -1,    -1,    -1,    -1,  4221,    -1,    -1,    -1,
      -1,    -1,    -1,   344,    -1,    -1,   347,    -1,    -1,   282,
     283,    -1,    -1,    -1,    -1,  4240,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   297,    -1,    -1,   145,    -1,  4254,
      -1,    -1,  4257,    -1,    -1,  3125,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2927,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4437,    -1,    -1,   330,  4441,    -1,
      -1,    -1,    -1,    98,    -1,    -1,    -1,    -1,    -1,   104,
     256,   344,    -1,    -1,   347,   261,    -1,    -1,    -1,    -1,
      -1,   199,    -1,    -1,    -1,    -1,   887,   888,   206,   430,
     891,   209,    -1,    -1,    -1,    -1,   282,   283,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   909,    -1,
     145,   297,    -1,    -1,    -1,   916,   234,    -1,  4343,  4344,
    3003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4353,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   937,    -1,    -1,    -1,
     941,  5553,    -1,  5555,   330,  4370,    -1,    -1,   266,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,   344,    -1,
      -1,   962,    -1,    -1,   199,    -1,    -1,    -1,    -1,    -1,
      -1,   206,    -1,  3056,   209,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   526,    -1,  3277,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,   234,
    4425,    -1,   543,    -1,    -1,    -1,    -1,   325,    -1,   327,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   337,
      98,    -1,  3105,    -1,    -1,  4450,   104,    -1,   346,    -1,
      -1,   266,    -1,    -1,    -1,    -1,    -1,  5649,    -1,   357,
    3123,    -1,    84,    -1,   430,    87,    -1,    -1,  3131,    91,
      92,    93,    -1,   526,    -1,  5667,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,   108,   145,  5680,    -1,
     543,    -1,    -1,    -1,   116,    -1,   394,    -1,    94,   397,
     398,   123,    -1,  4666,    -1,    98,    -1,    -1,    -1,    -1,
     325,   104,   327,    -1,    -1,    -1,    -1,    -1,   111,    -1,
      -1,    -1,   337,    -1,    -1,   147,    -1,   425,    -1,    -1,
      -1,   346,    -1,    -1,    -1,   131,    -1,   130,    -1,    -1,
      -1,   199,   357,    -1,  4707,  4708,    -1,  3210,   206,    -1,
      -1,   209,   145,  3216,    -1,    -1,   152,    -1,  5750,  5751,
     526,    -1,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,    -1,   170,    -1,   234,    -1,    -1,   394,
      -1,    -1,   397,   398,    -1,    -1,   179,    -1,    -1,   185,
      -1,   489,    -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,
      -1,  5793,    -1,    -1,    -1,    -1,   199,    -1,   266,    -1,
     425,    -1,   208,   206,   210,    -1,   209,    -1,   214,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,
      -1,  4794,  4795,    -1,   256,    -1,    -1,   233,    -1,   261,
      -1,   234,    -1,    -1,  3307,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     282,   283,    -1,    -1,    -1,    -1,    -1,   325,    -1,   327,
     263,    -1,    -1,   266,   489,   297,    -1,  5869,    -1,   337,
    4685,    -1,    -1,    -1,    -1,  4690,    -1,    -1,   346,    -1,
      -1,    -1,    -1,    -1,  3564,    -1,    -1,    -1,    -1,   357,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,  1290,
    1291,    -1,    -1,    -1,    -1,    -1,    -1,  4722,   311,    -1,
      -1,   314,   344,    -1,    -1,   347,  5918,    -1,    -1,  4734,
      -1,    -1,   325,    -1,   327,    -1,   394,    -1,    -1,   397,
     398,  5933,  5934,  5935,   337,    -1,  4909,    -1,  3411,  3412,
      -1,    -1,    -1,   346,    -1,  4918,  4919,    -1,  4763,    -1,
      -1,    -1,    -1,   356,   357,    -1,    -1,   425,    -1,  4932,
      -1,    -1,    -1,    -1,    -1,  3438,    -1,    -1,  3441,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1379,    -1,
      -1,   394,    -1,    -1,   397,   398,   399,    -1,   430,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   419,  1408,  1409,    -1,
      -1,   489,   425,    -1,    -1,    -1,    -1,    -1,    -1,  3709,
    3710,  3711,    -1,    -1,    -1,    -1,   439,    -1,    -1,  4854,
      -1,  1432,  1433,    -1,    -1,    -1,  3726,    -1,    -1,  3522,
    3523,  3524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3747,    -1,    -1,
      -1,    -1,    -1,  3546,    -1,    -1,    -1,  3757,  3758,    -1,
      -1,    -1,  3762,    -1,    -1,    -1,   489,    -1,    -1,    -1,
      -1,    -1,    -1,  3566,   526,    -1,  3776,   529,   530,   531,
       5,   533,   534,   535,   536,   537,   538,  3580,    -1,    -1,
      -1,   543,    -1,    -1,    -1,    -1,    -1,    -1,  4933,    -1,
      25,    -1,    -1,    -1,  1515,  1516,    -1,    -1,    -1,    -1,
      35,    36,    -1,    -1,    -1,    -1,    -1,    42,    43,    -1,
      -1,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,  3658,    -1,    -1,    -1,  3869,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,  3696,    -1,    -1,    -1,    -1,    -1,    -1,
    3703,    -1,  3705,   138,  5049,   108,  5051,    -1,    -1,    -1,
      -1,    -1,    -1,   116,    -1,  3718,    -1,  3720,    -1,    -1,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5236,    -1,    -1,    -1,  3740,    -1,    -1,
     676,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,  5094,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,  3782,
      -1,    -1,    -1,    -1,    -1,  3995,  3996,  3997,    -1,    -1,
      -1,    -1,    -1,    -1,  5139,    -1,   231,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5312,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,    -1,
      -1,    -1,    -1,    -1,    -1,  3828,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      87,   276,    -1,  3846,    91,    92,    93,    -1,    -1,    -1,
      -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,   261,  5362,
      -1,   108,    -1,    -1,    -1,  3868,    -1,    -1,  3871,   116,
      -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,   313,   282,
     283,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   297,    -1,    -1,   332,    -1,    -1,
     147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,    -1,    -1,   347,    -1,  3949,    -1,    -1,    -1,
     886,   887,   888,   889,    -1,   891,    -1,    -1,    -1,   895,
      -1,   897,    -1,    -1,   900,    -1,    -1,    -1,    -1,    -1,
      -1,   907,    -1,   909,    -1,    -1,   912,    -1,    -1,    -1,
     916,   416,   918,    -1,    -1,  5330,    -1,    -1,    -1,    -1,
     926,    -1,    -1,    -1,    -1,    -1,   932,    -1,   934,    -1,
      -1,   937,    -1,   939,    -1,   941,    -1,    -1,    -1,   256,
      -1,    -1,    -1,   949,   261,    -1,    -1,    -1,   954,    -1,
      -1,  5366,    -1,    -1,    -1,    -1,   962,   430,   463,    -1,
      -1,    -1,    -1,    -1,    -1,   282,   283,    -1,    -1,    -1,
      -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,
     297,    -1,    -1,    -1,    -1,  1976,    -1,    -1,   493,    -1,
      -1,   997,    -1,    -1,    -1,    -1,  1002,    -1,    -1,    -1,
      -1,  1007,    -1,    -1,    -1,  1011,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,   523,    -1,
      -1,    -1,    -1,    -1,    -1,  1031,   531,   344,   533,   534,
     535,   536,   537,    -1,  4314,   540,   541,   542,    -1,    -1,
      -1,    -1,   547,   548,    -1,  4325,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   526,    -1,    -1,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,  4142,
     543,  2062,  2063,  2064,  2065,    -1,  4356,    -1,    -1,    -1,
      -1,    -1,    -1,  1089,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1104,    -1,
    1106,    -1,    -1,    -1,    -1,    -1,    -1,  4387,    -1,    -1,
      -1,    -1,    -1,   430,    -1,  2106,  2107,    -1,    -1,  4192,
      -1,    -1,    -1,    -1,  4197,    -1,  4199,    -1,  1134,  1135,
      -1,    -1,    -1,  1139,  1140,    -1,  2127,    -1,  5553,    -1,
    5555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4221,    -1,
      -1,    -1,    -1,  1159,    -1,    -1,    -1,  1163,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1171,    -1,  4240,    -1,    -1,
    2161,  2162,  2163,  2164,    -1,  1181,    -1,    -1,    -1,    -1,
      -1,  4254,    -1,    -1,  4257,    -1,    -1,  1193,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5777,    -1,    -1,    -1,    -1,   526,
      -1,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    84,  5649,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5667,    -1,    -1,    -1,    -1,   108,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,  1274,    -1,
    4343,  4344,   123,    -1,  4554,  4555,  4556,  4557,    -1,  1285,
    4353,    -1,    -1,    -1,  1290,  1291,  2277,    -1,    -1,    -1,
      -1,    -1,  2283,    -1,    -1,    -1,   147,  4370,    -1,    -1,
      84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,    -1,   123,
    1346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1357,    -1,    -1,    -1,  1361,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1379,    -1,    -1,    -1,  4450,  5793,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1401,    -1,    -1,    -1,    -1,
      -1,    -1,  1408,  1409,    -1,   256,    -1,    -1,    -1,    -1,
     261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1428,  1429,  1430,    -1,  1432,  1433,    -1,  1435,
      -1,   282,   283,    -1,  1440,    -1,    -1,    -1,    -1,  2430,
      -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5869,    -1,    -1,    -1,   166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   166,   256,    -1,    -1,    -1,    -1,   261,    -1,   330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   344,    -1,    -1,   347,    -1,   282,   283,
      -1,    -1,    -1,  5918,    -1,    -1,    -1,  1513,   216,  1515,
    1516,    -1,    -1,   297,    -1,    -1,    -1,    -1,  5933,    -1,
     228,   216,    -1,    -1,    -1,   233,    -1,    -1,    -1,    -1,
     238,    -1,    -1,   228,    -1,    -1,   244,    -1,   233,   247,
      -1,    -1,   250,   238,    -1,    -1,   330,    -1,  1554,   244,
      -1,    -1,   247,    -1,    -1,   250,    -1,    -1,    -1,    -1,
     344,    -1,    -1,   347,    -1,    -1,    -1,    -1,    -1,    -1,
     278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,
      -1,    -1,    -1,   278,    -1,    -1,  1592,  1593,    -1,    -1,
     298,  1597,    -1,  1599,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   298,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4685,    -1,    -1,    -1,    -1,  4690,    -1,  1625,
      -1,    -1,  1628,    -1,  4904,  1631,    -1,    -1,    -1,    -1,
      -1,   339,    -1,    -1,   342,    -1,    -1,  1643,    -1,    -1,
     348,    -1,    -1,    -1,   339,    -1,   430,   342,    -1,  4722,
      -1,    -1,    -1,   348,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4734,    -1,    -1,    -1,    -1,  1672,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,    -1,
    4763,    -1,   543,   401,  1700,  1701,  1702,    -1,  1704,  2690,
    2691,    -1,    -1,    -1,    -1,    -1,   401,    -1,  2699,    -1,
    2701,    -1,    -1,    -1,  2705,    -1,    -1,    -1,  1724,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,     9,
      -1,    -1,    -1,    13,    -1,    15,    -1,    17,    18,    -1,
    1746,  1747,   526,    -1,   452,   529,   530,   531,    28,   533,
     534,   535,   536,   537,   538,    -1,    -1,   452,    -1,   543,
      -1,    -1,    -1,    -1,    44,    45,    -1,    -1,    -1,  1775,
     478,    -1,  1778,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4854,    -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   502,    -1,   504,   505,    -1,    -1,
    1806,    -1,    -1,    -1,  1810,  1811,    -1,   502,    -1,   504,
     505,    -1,    -1,    -1,    94,  1821,  1822,  1823,    -1,  1825,
      -1,    -1,    -1,    -1,   104,    -1,   106,   107,    -1,    -1,
    2821,    -1,   540,  2824,    -1,   543,   544,    -1,   546,    -1,
      -1,    -1,   122,  1849,    -1,   540,    -1,    -1,   543,   544,
      -1,   546,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4933,    -1,   142,    -1,   144,   145,    -1,    -1,  5148,    -1,
      -1,   151,    -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5163,   164,    -1,   166,    -1,  5168,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2890,
      -1,   181,    -1,   183,    -1,    -1,   186,  2898,  2899,    -1,
    5190,    -1,    -1,    -1,  2905,    -1,    -1,    -1,    -1,    -1,
     200,    -1,   202,    -1,    -1,    -1,   206,    -1,  2919,    -1,
    5210,    -1,   212,    -1,    -1,    -1,    -1,    -1,    -1,  1945,
     220,    -1,   222,    -1,    -1,    -1,    -1,    -1,   228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1964,  1965,
      -1,    -1,    -1,    -1,   244,    -1,    -1,  1973,    -1,    -1,
    1976,    -1,    -1,    -1,    -1,    -1,  5049,    -1,  5051,    -1,
     260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1997,    -1,  1999,    -1,  2986,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2012,    -1,    -1,  2015,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,
     300,  5094,    -1,    -1,    -1,   305,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   317,    -1,    -1,
      -1,    -1,  5322,    -1,    -1,  2051,    -1,    -1,    -1,   329,
    3041,    -1,  3043,    -1,    -1,    -1,  2062,  2063,  2064,  2065,
    2066,    -1,    -1,    -1,    -1,    -1,  5139,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2080,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2092,    -1,  2094,    -1,
      -1,   371,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2106,  2107,    -1,    -1,   384,    -1,    -1,    -1,    -1,    -1,
     390,   391,    -1,   393,    -1,    -1,    -1,    -1,   398,    -1,
      -1,  2127,    -1,   403,  5197,    -1,   406,    -1,    -1,    -1,
      -1,   411,    -1,    -1,    -1,    -1,    -1,   417,   418,    -1,
      -1,  2147,    -1,    -1,    -1,   425,    -1,    -1,    -1,   429,
      -1,    -1,    -1,    -1,    -1,  2161,  2162,  2163,  2164,   439,
      -1,    -1,    -1,  3154,    -1,    -1,    -1,    -1,  2174,    -1,
      -1,    -1,   452,    -1,    -1,  2181,    -1,    -1,    -1,  2185,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   471,    -1,   473,    -1,  2201,    -1,    -1,  2204,    -1,
      -1,   481,    -1,  2209,    -1,    -1,    -1,   487,  2214,    -1,
      -1,    -1,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   505,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2245,
    2246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   528,    -1,
    2256,  2257,    -1,    -1,    -1,    -1,    -1,  5330,    -1,    -1,
      -1,    -1,   542,    -1,    -1,    -1,   546,    -1,    -1,    -1,
    2276,  2277,    -1,    -1,    -1,    -1,    -1,  2283,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2294,    -1,
      -1,    -1,    -1,  5366,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,    -1,  2328,    -1,    -1,    -1,    -1,    -1,    -1,  2335,
      -1,  2337,    -1,   108,    -1,  2341,  2342,    -1,  2344,    -1,
      -1,   116,    -1,    -1,    -1,  2351,    -1,    -1,   123,    -1,
      -1,    -1,    -1,    -1,    -1,  2361,    -1,    -1,    -1,    -1,
    2366,  2367,    -1,    -1,  2370,    -1,    -1,    -1,  2374,  2375,
      -1,    -1,   147,    -1,  2380,  2381,    -1,    -1,    -1,    -1,
      -1,  2387,  2388,  2389,    -1,    -1,    -1,  2393,  2394,  2395,
    2396,  2397,  2398,  2399,  2400,    -1,  2402,    -1,  2404,  2405,
      -1,    -1,  2408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2423,  2424,  2425,
    2426,    -1,    -1,    -1,  2430,  2431,    -1,    -1,    -1,  2435,
      -1,    -1,  2438,    -1,    -1,  2441,  2442,  2443,  2444,  2445,
    2446,  2447,  2448,  2449,    -1,  2451,    -1,    -1,    -1,    -1,
      -1,    -1,  2458,  2459,    -1,    -1,  2462,    -1,    -1,    -1,
    3451,    -1,  3453,  3454,  3455,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2484,    -1,
    5553,   256,  5555,    -1,    -1,    -1,   261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,   283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2522,    -1,  2524,    -1,
    2526,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2560,   330,    -1,    -1,    -1,    -1,
      -1,  2567,    -1,  2569,    -1,    -1,    -1,    -1,    -1,   344,
      -1,    -1,   347,    -1,    -1,    84,  5649,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5667,    -1,    -1,    -1,    -1,   108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,
      -1,    -1,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,
      -1,    -1,  2648,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2657,    -1,  2659,    -1,   430,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2676,    -1,    -1,    -1,    -1,    -1,  3667,    -1,    -1,    -1,
      -1,    -1,  2688,    -1,  2690,  2691,    -1,    -1,    -1,  2695,
      -1,  2697,    -1,  2699,    -1,  2701,    -1,    -1,    -1,  2705,
      -1,    -1,  2708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2739,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2747,    -1,    -1,    -1,    -1,    -1,   256,  2754,    -1,
      -1,   526,   261,    -1,   529,   530,   531,  2763,   533,   534,
     535,   536,   537,   538,    -1,    -1,    -1,    -1,   543,    -1,
      -1,    -1,    -1,   282,   283,    -1,  2782,    -1,    -1,    -1,
      -1,  2787,  2788,    -1,    -1,    -1,    -1,    -1,   297,    -1,
      -1,  2797,  2798,    -1,    -1,  2801,  5869,  2803,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2821,    -1,    -1,  2824,    -1,
      -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,   347,  2845,
    2846,  3832,    -1,    -1,    -1,  5918,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2860,    -1,  2862,  2863,    -1,    -1,
    5933,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2890,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2898,  2899,    -1,    -1,    -1,    -1,    -1,  2905,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2917,    -1,  2919,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   430,    -1,    -1,    -1,    -1,    -1,  2933,    -1,    -1,
    2936,    -1,  2938,    -1,    -1,  2941,    -1,    -1,    -1,  2945,
      -1,    -1,  2948,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,
    2976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,
    2986,    -1,  2988,    -1,    -1,    -1,    -1,   116,    -1,    -1,
      -1,    -1,    -1,    -1,   123,    -1,    -1,    -1,  3004,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3015,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,   147,    -1,
     529,   530,   531,  3029,   533,   534,   535,   536,   537,   538,
      -1,    -1,    -1,  3039,   543,  3041,  3042,  3043,  3044,    -1,
      -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    42,
      43,    -1,  3088,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,  3125,
     101,    -1,    85,    -1,    -1,    -1,    -1,   256,    -1,  3135,
      -1,    -1,   261,    -1,    -1,  3141,    -1,    -1,    -1,    -1,
      -1,  4132,  4133,  4134,  4135,    -1,    -1,    -1,  3154,    -1,
      -1,    -1,    -1,   282,   283,  3161,    -1,    -1,    -1,    -1,
    3166,    -1,    -1,    -1,    -1,    -1,    -1,   148,   297,    -1,
      -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,
      -1,    -1,   163,  3189,  3190,  3191,    -1,    -1,  3194,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3202,  3203,  3204,  3205,
     181,   330,    -1,    -1,    -1,    -1,   187,    -1,    -1,  3215,
      -1,    -1,  3218,    -1,  3220,   344,    -1,    -1,   347,    -1,
      -1,    -1,    -1,   204,    -1,  3231,  3232,    -1,    -1,  3235,
      -1,    -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,    -1,
      -1,  3247,   223,  3249,    -1,  3251,    -1,  3253,    -1,    -1,
     213,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,   240,
      -1,    -1,    -1,    -1,    -1,    -1,   247,  3273,   231,    -1,
      -1,  3277,    -1,    -1,    -1,    -1,    -1,    -1,  3284,    -1,
    3286,  3287,  3288,   264,    -1,    -1,    -1,    -1,    -1,    -1,
     253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   430,    -1,    -1,    -1,  3311,    -1,    -1,   289,    -1,
      -1,    -1,    -1,   276,    -1,    -1,    -1,  3323,    -1,  4310,
      -1,    -1,  3328,    -1,    -1,  4316,    -1,    -1,  3334,   310,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3344,    -1,
      -1,    -1,  3348,    -1,    -1,  3351,    -1,  3353,    -1,    -1,
     313,    -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   344,    -1,    -1,    -1,    -1,    -1,   332,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   366,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   376,    -1,   526,   379,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
      -1,  3417,    -1,  3419,   543,    -1,    -1,    -1,  3424,    -1,
      -1,    -1,    -1,    -1,   405,    -1,    -1,    -1,    -1,   410,
      -1,   412,    -1,    -1,    -1,    -1,    -1,    -1,   419,    -1,
      -1,   422,    -1,    -1,    -1,  3451,    -1,  3453,  3454,  3455,
      -1,    -1,    -1,   416,    -1,    -1,    -1,    -1,    -1,    -1,
     441,    -1,    -1,    -1,    -1,    -1,   447,    -1,    -1,    -1,
     451,   452,    -1,    -1,   455,    -1,    -1,    -1,   459,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   468,    -1,    -1,
      -1,    -1,   473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     463,    -1,    -1,    -1,   485,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   478,    -1,   498,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3564,    -1,
     523,    -1,    -1,    -1,    -1,    -1,     5,    -1,   531,    -1,
     533,   534,   535,   536,   537,    -1,    -1,   540,   541,   542,
     543,    -1,    -1,    -1,   547,    -1,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,    -1,
      -1,    -1,    -1,    42,    43,    -1,    -1,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3667,    -1,    -1,    -1,    -1,  3672,  3673,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
      -1,    -1,    -1,  3709,  3710,  3711,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3726,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3746,  3747,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3756,  3757,  3758,    -1,    -1,    -1,  3762,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3773,    -1,    -1,
    3776,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4774,    -1,    -1,    -1,  3793,    -1,    -1,
      -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,  4789,    -1,
      -1,    -1,    -1,    -1,  3810,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   253,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3832,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   276,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3853,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3869,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   313,    -1,    -1,   316,    -1,  4870,
      -1,    -1,    -1,  3889,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3898,   332,    -1,    -1,    -1,    -1,  3904,    -1,
    3906,    -1,    -1,  3909,    -1,    -1,    -1,    -1,  3914,  3915,
    3916,  3917,    -1,    -1,  3920,  3921,  3922,  3923,  3924,  3925,
    3926,  3927,  3928,  3929,    -1,    -1,    -1,  3933,  3934,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3943,    -1,    -1,
      -1,  3947,    -1,    -1,    -1,  3951,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3959,    -1,    -1,  3962,    -1,  3964,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3973,    -1,    -1,
    3976,  3977,    -1,    -1,    -1,  3981,  3982,   416,    -1,    -1,
    3986,    -1,  3988,    -1,    -1,    -1,    -1,    -1,    -1,  3995,
    3996,  3997,  3998,    -1,    -1,  4001,  4002,    -1,    -1,    -1,
    4006,  4007,  4008,    -1,    -1,    -1,    -1,    -1,  4014,    -1,
      -1,    -1,    -1,    -1,  4020,  4021,  4022,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   463,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   478,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,    -1,    -1,    -1,    -1,    -1,
      -1,  4067,    -1,    -1,    -1,    -1,  5057,  5058,  5059,    -1,
      -1,    -1,    -1,    -1,    -1,  4081,    -1,  4083,    -1,    -1,
      -1,    -1,    -1,    -1,   523,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   531,    -1,   533,   534,   535,   536,   537,    -1,
      -1,   540,   541,   542,   543,  4111,  4112,  4113,   547,  4115,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4132,  4133,  4134,  4135,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4161,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4179,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5209,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    35,
      36,    -1,    -1,    -1,    -1,    -1,    42,    43,    -1,    -1,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,  4271,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,   209,    -1,    -1,    85,
      -1,    -1,    -1,    -1,   217,    -1,   219,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   232,
      -1,    -1,    -1,    -1,  4310,    -1,    -1,    -1,  4314,    -1,
    4316,    -1,  4318,    -1,    -1,    -1,    -1,    -1,    -1,  4325,
      -1,    -1,    -1,    -1,    -1,  4331,    -1,    -1,    -1,    -1,
      -1,    -1,   138,    -1,    -1,  4341,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4368,    -1,    -1,    -1,    -1,  5358,    -1,  5360,
    4376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4387,    -1,    -1,    -1,    -1,  4392,    -1,    -1,    -1,
    4396,  4397,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4426,  4427,  4428,  4429,  4430,   231,    -1,  4433,    -1,  4435,
      84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,    -1,    -1,
      -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   116,    -1,    -1,  4471,    -1,    -1,    -1,   123,
     276,    -1,    -1,    -1,    -1,    -1,  4482,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4512,   313,    -1,    -1,
     316,    -1,    -1,    -1,    -1,    -1,  4522,  4523,    -1,    -1,
      -1,  5512,    -1,  4529,  4530,    -1,   332,    -1,  4534,    -1,
      -1,    -1,    -1,  4539,    -1,    -1,  4542,  4543,    -1,    -1,
      -1,  4547,  4548,    -1,    -1,    -1,    -1,  4553,  4554,  4555,
    4556,  4557,    -1,    -1,    -1,  4561,  4562,  4563,    -1,  4565,
    4566,    -1,    -1,  4569,    -1,    -1,    -1,  4573,    -1,    -1,
      -1,  4577,    -1,    -1,    -1,    -1,    -1,  4583,    -1,    -1,
      -1,    -1,    -1,    -1,  4590,    -1,    -1,    -1,    -1,  4595,
      -1,    -1,    -1,    -1,    -1,  4601,    -1,    -1,    -1,    -1,
      -1,    -1,   256,  5594,    -1,  4611,    -1,   261,    -1,    -1,
     416,    -1,    -1,  4619,    -1,    -1,    -1,  4623,    -1,    -1,
      -1,    -1,  4628,    -1,    -1,    -1,    -1,    -1,   282,   283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4647,    -1,   297,  4650,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,
      -1,    -1,    -1,    -1,  4670,  4671,    -1,    -1,    -1,    -1,
      -1,    -1,   478,    -1,    -1,    -1,   330,    -1,    -1,    -1,
      -1,    -1,  4688,    -1,    -1,    -1,    -1,   493,    -1,    -1,
     344,    -1,    -1,   347,    -1,  4701,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5694,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   531,    -1,   533,   534,   535,
     536,   537,    -1,    -1,   540,   541,   542,    -1,    -1,    -1,
      -1,   547,    -1,    -1,  4750,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4774,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   430,    -1,    -1,    -1,
      -1,    -1,    -1,  4789,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5786,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,  4817,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   108,  4831,    -1,  5818,  5819,    -1,
      -1,  4837,   116,    -1,    -1,    -1,    -1,    -1,    -1,   123,
    4846,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,
      -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   147,  4870,    -1,  4872,    -1,    -1,    -1,
     108,    -1,   526,    -1,   112,   529,   530,   531,   116,   533,
     534,   535,   536,   537,   538,   123,  4892,    -1,    -1,   543,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4904,    -1,
      -1,  4907,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,
      -1,    -1,    -1,    -1,    -1,  5906,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4949,    -1,   878,    -1,    -1,    -1,   233,
      -1,    -1,  4958,   886,   238,    -1,    -1,    -1,   196,    -1,
      -1,    -1,   895,    -1,    -1,    -1,    -1,    -1,    -1,  4975,
    4976,    -1,   256,  4979,    -1,    -1,    -1,   261,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4994,    -1,
      -1,  4997,    -1,    -1,    -1,  5001,    -1,    -1,   282,   283,
    5006,   934,    -1,  5009,  5010,    -1,  5012,    -1,  5014,    -1,
      -1,  5017,  5018,   297,    -1,    -1,    -1,    -1,   256,    -1,
      -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5041,    -1,  5043,    -1,    -1,
      -1,    -1,    -1,    -1,   282,   283,   330,    -1,    -1,  5055,
    5056,  5057,  5058,  5059,    -1,    -1,    -1,    -1,    -1,   297,
     344,    -1,    -1,   347,   997,    -1,    -1,    -1,    -1,    -1,
    1003,    -1,    -1,    -1,  1007,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   330,    -1,  1027,    -1,    -1,  5103,  5104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,   347,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5145,
      -1,    -1,  5148,    -1,    -1,    -1,   430,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5160,    -1,    -1,  5163,    -1,    -1,
      -1,    -1,  5168,    -1,  5170,    -1,    -1,    -1,    -1,    -1,
    5176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5190,    -1,    -1,    -1,  5194,    -1,
      -1,    -1,   430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1134,  1135,  5209,  5210,  5211,    -1,    -1,  1141,    -1,
      -1,    -1,  1145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5240,    -1,    -1,  5243,  1171,  5245,
      -1,    -1,   526,    -1,    -1,   529,   530,   531,   486,   533,
     534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,  5265,
      -1,    -1,    -1,    -1,    -1,  5271,    -1,    -1,    -1,  5275,
      -1,    -1,    -1,  5279,    -1,    -1,    -1,    -1,    -1,    -1,
    5286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,  5295,
      -1,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,  5348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5357,  5358,  5359,  5360,    -1,   108,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,
      -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1319,  1320,    -1,  5395,
      -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,  1346,    -1,    -1,    -1,    -1,    -1,    -1,
    1353,    -1,    -1,    -1,  1357,    -1,   108,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,
      -1,   123,    -1,  1376,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1391,    -1,
      -1,    -1,    -1,    -1,    -1,   147,  5472,    -1,    -1,  5475,
      -1,    -1,  5478,    -1,    -1,    -1,  5482,    -1,    -1,    -1,
      -1,    -1,    -1,  5489,    -1,    -1,    -1,    -1,  5494,    -1,
    5496,    -1,  5498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5506,    -1,  1435,    -1,   256,    -1,  5512,    -1,  5514,   261,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5524,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     282,   283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   297,    -1,  1480,    -1,    -1,
     232,    -1,    -1,    -1,    -1,    -1,    -1,  5563,  5564,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,   330,   261,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5594,    -1,
      -1,    -1,   344,  5599,    -1,   347,    -1,  5603,    -1,    -1,
     282,   283,    -1,    -1,    -1,  5611,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,   370,    -1,
      -1,  1554,    -1,    -1,    -1,    -1,  5632,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5640,  5641,    -1,    -1,    -1,  5645,
      -1,    -1,  5648,    -1,    -1,    -1,    -1,    -1,   330,    -1,
      -1,    -1,  5658,    -1,    -1,  5661,    -1,    -1,    -1,    -1,
    5666,    -1,   344,    -1,    -1,   347,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5680,    -1,    -1,    -1,   430,  1612,
      -1,    -1,    -1,    -1,    -1,    -1,   368,    -1,  5694,    84,
      -1,    -1,    87,    -1,   446,  5701,    91,    92,    93,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1643,    -1,    -1,   108,    -1,    -1,   111,    -1,    -1,    -1,
      -1,   116,    -1,    -1,  5730,    -1,    -1,    -1,   123,  5735,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5744,  1672,
      -1,    -1,    -1,    -1,  5750,  5751,    -1,  5753,   430,    -1,
      -1,    -1,   147,    -1,    -1,    -1,  5762,    -1,    -1,    -1,
    5766,    -1,    -1,    -1,    -1,    -1,    -1,  1700,  1701,  1702,
      -1,  1704,    -1,  5779,   526,    -1,    -1,   529,   530,   531,
    5786,   533,   534,   535,   536,   537,   538,    -1,    -1,    -1,
      -1,  1724,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5817,  5818,  5819,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5844,    -1,
      -1,    -1,    -1,  5849,   526,  1778,  1779,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,    -1,    -1,    -1,
      -1,   256,    -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,
      -1,    -1,    -1,  1806,    -1,    -1,    -1,  1810,  1811,    -1,
    5886,    -1,    -1,    -1,    -1,    -1,  5892,   282,   283,    -1,
      -1,    -1,  1825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5906,    -1,   297,    -1,    -1,    -1,    -1,  5913,    -1,    -1,
    5916,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,  5934,  5935,
      -1,    -1,    -1,    -1,    -1,   330,   108,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,   344,
      -1,   123,   347,    -1,    -1,    -1,    -1,    -1,    -1,  1892,
      -1,    -1,    -1,    -1,    -1,    -1,  1899,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   147,  1909,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    89,    -1,    -1,    -1,    -1,
      94,    -1,    96,    -1,    -1,    -1,    -1,  1950,    -1,    -1,
      -1,    -1,   106,    -1,    -1,  1958,    -1,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    87,   430,    -1,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,    -1,   131,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   108,    -1,   141,   111,    -1,
    1993,    -1,    -1,   116,    -1,    -1,    -1,    -1,   152,   153,
     123,    -1,   156,    -1,    -1,    -1,    -1,    -1,   162,    -1,
      -1,    -1,   166,  2016,   256,    -1,    -1,    -1,    -1,   261,
      -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   188,    -1,    -1,    -1,    -1,    -1,
     282,   283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   203,
      -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,
      -1,   526,    -1,    -1,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,  2077,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,   330,    -1,
      -1,    91,    92,    93,  2097,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   344,    -1,    84,   347,    -1,    87,   108,  2112,
      -1,    91,    92,    93,    -1,    -1,   116,    -1,  2121,    -1,
      -1,    -1,   364,   123,    -1,  2128,    -1,    -1,   108,    -1,
    2133,   111,    -1,   256,    -1,    -1,   116,    -1,   261,    -1,
      -1,    -1,    -1,   123,    -1,    -1,    -1,   147,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,
     283,    -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,
      -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2188,    -1,    -1,   430,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2201,    -1,
      -1,  2204,    -1,    -1,    -1,  2208,    -1,   330,    -1,    -1,
      -1,  2214,    -1,    -1,    -1,    -1,    -1,  2220,    -1,    -1,
      -1,   344,    -1,    -1,   347,    -1,    -1,    -1,    -1,  2232,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   238,    -1,
      -1,    -1,  2245,  2246,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,
      -1,   261,    -1,    -1,    -1,  2268,  2269,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,   433,
      -1,   261,   282,   283,   526,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,   297,    -1,    -1,
      -1,    -1,   282,   283,    -1,    -1,    -1,   430,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
     330,    -1,    -1,    -1,  2337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   108,   344,    -1,    -1,   347,    -1,    -1,
     330,   116,    -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,
      -1,    -1,    -1,    -1,   344,    -1,    -1,   347,    -1,    -1,
      -1,  2374,  2375,    -1,    -1,    -1,    -1,  2380,  2381,    -1,
      -1,    -1,   147,    -1,  2387,  2388,  2389,    -1,    -1,    -1,
    2393,    -1,  2395,  2396,  2397,  2398,  2399,  2400,    -1,  2402,
      -1,  2404,  2405,   526,    -1,  2408,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,  2422,
    2423,  2424,  2425,  2426,  2427,    -1,    -1,    -1,  2431,    -1,
     430,    -1,  2435,    -1,    -1,  2438,    -1,    -1,  2441,  2442,
    2443,  2444,  2445,  2446,  2447,  2448,  2449,    -1,  2451,    -1,
     430,    -1,    -1,    -1,    -1,    -1,  2459,    -1,    -1,  2462,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   256,    -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,   283,    -1,
      -1,    -1,   676,  2526,    -1,    -1,   526,    -1,    -1,   529,
     530,   531,   297,   533,   534,   535,   536,   537,   538,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,    -1,
      -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,
     724,   725,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,
      84,    -1,   347,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   108,    -1,    -1,   111,    84,    -1,
      -1,    87,   116,    -1,    -1,    91,    92,    93,   772,   123,
      -1,    -1,    -1,  2626,    -1,    -1,    -1,  2630,  2631,    -1,
      -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,  2642,
     116,    -1,    -1,   147,    -1,    -1,    -1,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   430,    -1,    -1,    -1,    -1,
      -1,   147,    -1,  2676,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2688,    -1,    -1,    -1,  2692,
      -1,    -1,  2695,    -1,    -1,   460,    -1,    -1,    -1,    -1,
      -1,  2704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2729,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,    -1,    -1,    -1,    -1,   261,    -1,    -1,
      -1,   526,    -1,  2766,   529,   530,   531,  2770,   533,   534,
     535,   536,   537,   538,    -1,    -1,    -1,    -1,   282,   283,
     256,    -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,
    2793,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   282,   283,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   297,    -1,    -1,   978,   979,   330,   981,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2841,    -1,
     344,    -1,    -1,   347,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,
      -1,   347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1038,    -1,    -1,  1041,  1042,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1056,    -1,  1058,    -1,  1060,    -1,    -1,    -1,
      -1,    -1,  1066,    -1,  2917,  2918,  1070,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2927,    -1,   430,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1090,  1091,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   430,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1137,    -1,  1139,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2999,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3015,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,    -1,    -1,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,    -1,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,  1217,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1231,  1232,    -1,
      -1,  1235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3121,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1284,    -1,  3135,    -1,    -1,  3138,    -1,    -1,  3141,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3151,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3161,    -1,
      -1,    -1,    -1,  3166,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3189,  3190,  3191,    -1,
      -1,  3194,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3202,
    3203,  3204,  3205,    -1,    -1,    -1,    -1,  3210,    -1,    -1,
      -1,    -1,  3215,  3216,    -1,  3218,    -1,  3220,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3231,  3232,
      -1,    -1,  3235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3249,    -1,  3251,    -1,
    3253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      96,    -1,    -1,    -1,    -1,   101,    -1,    -1,    -1,    -1,
    3273,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,
      -1,  3284,    -1,  3286,  3287,  3288,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3311,    -1,
      -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3323,    -1,    -1,   159,    -1,  3328,    -1,   163,    -1,    -1,
      -1,  3334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3344,    -1,    -1,    -1,   181,    -1,    -1,    -1,    -1,
      -1,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   215,
      -1,    -1,    -1,  3386,    -1,    -1,  3389,   223,  3391,    -1,
      -1,    -1,    -1,  3396,    -1,    -1,    -1,    -1,    -1,   235,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,  1562,    -1,
      -1,   247,    -1,  1567,  3417,  1569,    -1,    -1,  1572,   255,
    1574,    -1,    -1,  1577,  1578,  1579,    -1,    -1,   264,  1583,
      -1,    -1,    -1,    -1,    -1,    -1,  1590,    -1,    -1,    -1,
      -1,    -1,  3445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1604,    -1,  1606,    -1,    -1,    -1,    -1,  1611,    -1,  3462,
      -1,    -1,    -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   310,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3487,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,
      -1,   347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3522,
    3523,  3524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     366,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   379,    -1,    -1,    -1,    -1,    -1,    -1,
     386,    -1,    -1,  3556,    -1,  3558,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   405,
      -1,    -1,    -1,    -1,    -1,    -1,   412,    -1,    -1,    -1,
      -1,  1735,    -1,   419,    -1,    -1,   422,    -1,    -1,    -1,
      -1,    -1,  1746,  1747,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   441,    -1,    -1,    -1,  1763,
      -1,   447,    -1,    -1,  1768,  1769,   452,    -1,    -1,   455,
     456,    -1,   458,   459,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   468,    -1,    -1,    -1,  3639,   473,    -1,    -1,
      -1,    -1,    -1,   479,    -1,    -1,   482,    -1,    -1,   485,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   498,  3666,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3691,    -1,
      -1,    -1,    -1,  3696,  3697,  1849,    -1,  1851,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1861,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3740,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3764,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3773,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3783,    -1,    -1,    -1,  1938,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1948,  3798,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2017,    -1,    -1,  2020,  2021,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3889,    -1,    -1,  3892,
      -1,    -1,    -1,    -1,    -1,  3898,    -1,    -1,    -1,    -1,
      -1,  3904,    -1,  3906,    -1,    -1,  3909,    -1,    -1,    -1,
    3913,  3914,  3915,  3916,  3917,    -1,    -1,  3920,  3921,  3922,
    3923,  3924,  3925,  3926,  3927,  3928,  3929,    -1,    -1,    -1,
    3933,  3934,    -1,    -1,    -1,  3938,    -1,    -1,    -1,    -1,
    3943,    -1,    -1,    -1,  3947,    -1,  3949,    -1,  3951,    -1,
    2104,    -1,    -1,    -1,    -1,    -1,  3959,    -1,    -1,  3962,
      -1,  3964,    -1,    96,    -1,    -1,    -1,    -1,   101,  3972,
    3973,    -1,    -1,  3976,  3977,    -1,    -1,    -1,  3981,  3982,
     113,    -1,    -1,    -1,    -1,  3988,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3998,    -1,    -1,  4001,    -1,
      -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4014,    -1,    -1,    -1,   148,    -1,  4020,  4021,  4022,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4067,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4083,    -1,   215,    -1,   209,    -1,    -1,    -1,    -1,    -1,
     223,    -1,   217,    -1,   219,    -1,  4099,    -1,    -1,    -1,
      -1,    -1,   235,    -1,    -1,    -1,    -1,   240,  4111,    -1,
      -1,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2306,    -1,  2308,    -1,    -1,    -1,  2312,    -1,
    2314,    -1,    -1,  2317,    -1,    -1,    -1,  2321,    -1,    -1,
      -1,    -1,  2326,    -1,    -1,    -1,    -1,   310,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4192,
      -1,    -1,    -1,    -1,  4197,  4198,  4199,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,    -1,    -1,    -1,    -1,    -1,    -1,  4221,  4222,
      -1,    -1,    -1,   356,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   366,    -1,    -1,    -1,  4240,    -1,    -1,
      -1,    -1,    -1,   376,    -1,    -1,   379,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   405,    -1,    -1,    -1,    -1,   410,    -1,   412,
      -1,    -1,    -1,    -1,    -1,    -1,   419,    -1,    -1,   422,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2458,    -1,    -1,    -1,   441,    -1,
      -1,  2465,    -1,    -1,   447,  4318,    -1,    -1,    -1,   452,
      -1,  2475,   455,    96,    -1,    -1,   459,    -1,   101,    -1,
      -1,    -1,    -1,   466,    -1,   468,    -1,    -1,    -1,    -1,
     473,    -1,    -1,    -1,  4347,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,   498,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   148,   149,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2539,   159,    -1,    -1,    -1,
     163,    -1,  4395,  4396,  4397,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2593,
      -1,    -1,   215,  2597,    -1,    -1,    -1,    -1,    -1,  2603,
     223,  2605,    -1,    -1,  2608,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   235,    -1,    -1,    -1,    -1,   240,  4471,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4482,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4512,
      -1,    -1,    -1,    -1,    -1,    -1,   289,    -1,    -1,  4522,
    4523,    -1,  4525,    -1,    -1,    -1,  4529,  4530,    -1,    -1,
      -1,  4534,  4535,    -1,    -1,    -1,  4539,   310,    -1,  4542,
    4543,    -1,    -1,    -1,  4547,    -1,    -1,    -1,    -1,    -1,
    4553,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4565,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4573,   344,    -1,    -1,  4577,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4590,    -1,    -1,
      -1,    -1,  4595,   366,    -1,    -1,    -1,    -1,  4601,    -1,
      -1,    -1,    -1,   376,    -1,    -1,   379,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4619,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   405,    -1,    -1,    -1,    -1,   410,    -1,   412,
      -1,    -1,    -1,    -1,    -1,    -1,   419,  4650,    -1,   422,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2815,    -1,    -1,    -1,  4668,    -1,    -1,   441,  2823,
      -1,    -1,  2826,    -1,   447,    -1,    -1,    -1,    -1,   452,
      -1,    -1,   455,    -1,    -1,    -1,   459,  4690,    -1,    -1,
      -1,    -1,    -1,   466,    -1,   468,    -1,    -1,    -1,    -1,
     473,    -1,    -1,  4706,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4727,   498,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4750,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   886,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     895,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   934,
      -1,    -1,    -1,    -1,  4817,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4831,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   997,    -1,    -1,    -1,    -1,    -1,  1003,    -1,
      -1,    -1,  1007,    -1,    -1,    -1,    -1,    -1,    -1,  4892,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4900,    -1,  4902,
      -1,    -1,  1027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3083,
    3084,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3099,  4949,    -1,    -1,    -1,
    4953,    -1,    -1,    -1,    -1,  4958,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4975,  4976,    -1,    -1,  4979,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4994,    -1,    -1,    -1,    -1,    -1,    -1,  5001,    -1,
      -1,    -1,    -1,  5006,    -1,    -1,  5009,  5010,    -1,  1134,
    1135,    -1,    -1,    -1,  5017,  5018,  1141,    -1,    -1,    -1,
    1145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5041,    -1,
    5043,    -1,    -1,    -1,    -1,    -1,  1171,    -1,    -1,    -1,
      -1,    -1,  5055,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5093,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5139,    -1,    -1,    -1,
      -1,    -1,  5145,    -1,    -1,    -1,    -1,    -1,  3302,    -1,
      -1,    -1,    -1,  3307,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1319,  1320,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5211,    -1,
    5213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1346,    -1,    -1,    -1,    -1,    -1,    -1,  1353,    -1,
      -1,    -1,  1357,    -1,    -1,    -1,    -1,  5240,  5241,    -1,
    5243,    -1,  5245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5265,    -1,    -1,    -1,  1391,    -1,  5271,    -1,
      -1,    -1,  5275,    -1,    -1,    -1,    -1,    -1,  5281,    -1,
      -1,    -1,    -1,  5286,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1435,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5338,    -1,    -1,    -1,    -1,
    5343,  5344,    -1,    -1,    -1,  5348,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1480,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5395,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1554,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5449,  5450,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5472,
      -1,    -1,  5475,    -1,    -1,  5478,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5489,  1612,    -1,    -1,
      -1,  5494,    -1,  5496,    -1,  5498,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5506,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1643,    -1,
      -1,  5524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3691,    -1,    -1,
      -1,    -1,    -1,  3697,    -1,    -1,    -1,  1672,    -1,    -1,
    5553,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1700,  1701,  1702,    -1,  1704,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1724,
    5603,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5611,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5640,  5641,    -1,
      -1,    -1,  3796,    -1,    -1,  5648,  5649,    -1,    -1,  5652,
      -1,    -1,    -1,  1778,    -1,  5658,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5680,    -1,    -1,
      -1,  1806,    -1,    -1,    -1,  1810,  1811,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3878,    -1,    -1,  5730,    -1,    -1,
      -1,    -1,  5735,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5744,    -1,    -1,    -1,    -1,    -1,  5750,  5751,    -1,
    5753,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5762,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1892,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5779,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1909,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5817,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1950,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1958,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5844,    -1,    -1,    -1,    -1,  5849,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5869,    -1,  1993,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5886,    -1,    -1,    -1,    -1,    -1,  5892,
      -1,  2016,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5916,    -1,  5918,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5933,  5934,  5935,    -1,  4088,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2077,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2097,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2112,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2121,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2133,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4198,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2188,    -1,    -1,    -1,    -1,  4222,    -1,
      -1,    -1,    -1,    -1,  4228,    -1,  2201,    -1,    -1,  2204,
      -1,    -1,    -1,  2208,    -1,    -1,    -1,    -1,    -1,  2214,
      -1,    -1,    -1,    -1,    -1,  2220,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2232,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2245,  2246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2268,  2269,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2374,
    2375,    -1,    -1,    -1,    -1,  2380,  2381,    -1,    -1,    -1,
      -1,    -1,  2387,  2388,  2389,    -1,    -1,    -1,  2393,    -1,
    2395,  2396,  2397,  2398,  2399,  2400,    -1,  2402,    -1,  2404,
    2405,    -1,    -1,  2408,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4447,    -1,    -1,    -1,  2422,  2423,  2424,
    2425,  2426,    -1,    -1,    -1,    -1,  2431,    -1,    -1,    -1,
    2435,    -1,    -1,  2438,    -1,    -1,  2441,  2442,  2443,  2444,
    2445,  2446,  2447,  2448,  2449,    -1,  2451,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2459,    -1,    -1,  2462,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    -1,    41,    42,    43,    -1,    -1,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,  2526,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   119,    -1,    -1,    -1,   123,   124,   125,   126,
     127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,   146,
      -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,
      -1,  2626,    -1,    -1,    -1,  2630,  2631,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,   185,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4696,    -1,    -1,    -1,  4700,    -1,    -1,    -1,
      -1,  2676,    -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,
      -1,    -1,    -1,  2688,   221,    -1,    -1,  2692,   225,    -1,
    2695,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,  2704,
     237,    -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,   246,
      -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,
      -1,    -1,    -1,    -1,  2729,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   270,   271,    -1,    -1,    -1,    -1,  2744,
     277,    -1,   279,    -1,    -1,   282,   283,    -1,   285,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,
     297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   320,   321,   322,    -1,    -1,    -1,   326,
      -1,    -1,    -1,   330,    -1,    -1,   333,    -1,   335,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   350,   351,    -1,   353,   354,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     367,    -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   383,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,
      -1,   408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,    -1,    -1,   430,    -1,    -1,   433,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   448,  2917,  2918,    -1,    -1,    -1,   454,    -1,    -1,
      -1,    -1,    -1,    -1,   461,   462,    -1,    -1,    -1,    -1,
     467,    -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,   496,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2999,    -1,    -1,    -1,    -1,    -1,
    5034,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3015,    -1,   549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5093,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3121,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3135,    -1,    -1,  3138,    -1,    -1,  3141,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3151,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3161,    -1,    -1,    -1,
      -1,  3166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3189,  3190,  3191,    -1,    -1,  3194,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3202,  3203,  3204,
    3205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3215,    -1,    -1,  3218,    -1,  3220,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3231,  3232,    -1,    -1,
    3235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3249,    -1,  3251,    -1,  3253,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3273,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3284,
      -1,  3286,  3287,  3288,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3311,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3323,  5353,
    5354,    -1,    -1,  3328,    -1,    -1,    -1,    -1,    -1,  3334,
      -1,    -1,  5366,    -1,    -1,    -1,    -1,    -1,    -1,  3344,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3386,    -1,    -1,  3389,    -1,  3391,    -1,    -1,    -1,
      -1,  3396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5460,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   153,    -1,    -1,    -1,    -1,  3462,    -1,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   238,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   250,
      -1,  3556,    -1,  3558,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3639,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5691,    -1,  5693,
      -1,  3666,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3691,    -1,    -1,    -1,
      -1,    -1,  3697,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3764,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3773,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3783,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3798,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5860,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3889,    -1,    -1,  3892,    -1,    -1,
      -1,    -1,    -1,  3898,    -1,    -1,    -1,    -1,    -1,  3904,
      -1,  3906,    -1,    -1,  3909,    -1,    -1,    -1,  3913,  3914,
    3915,  3916,  3917,    -1,    -1,  3920,  3921,  3922,  3923,  3924,
    3925,  3926,  3927,  3928,  3929,    -1,    -1,    -1,  3933,  3934,
      -1,    -1,    -1,  3938,    -1,    -1,    -1,    -1,  3943,    -1,
      -1,    -1,  3947,    -1,    -1,    -1,  3951,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3959,    -1,    -1,  3962,    -1,  3964,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3972,  3973,    -1,
      -1,  3976,  3977,    -1,    -1,    -1,  3981,  3982,    -1,    -1,
      -1,    -1,    -1,  3988,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3998,    -1,    -1,  4001,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4014,
      -1,    -1,    -1,    -1,    -1,  4020,  4021,  4022,    -1,    -1,
      -1,    -1,    -1,   724,   725,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4067,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   772,    -1,    -1,    -1,    -1,    -1,    -1,  4083,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4099,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4111,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   893,  4198,    -1,    -1,    -1,    -1,    -1,    -1,
     901,    -1,   903,    -1,   905,   906,    -1,   908,    -1,   910,
      -1,    -1,   913,    -1,   915,    -1,    -1,  4222,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   935,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   943,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     951,   952,    -1,    -1,   955,   956,   957,    -1,    -1,    -1,
     961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   979,    -1,
     981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   998,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4318,    -1,    -1,    -1,    -1,    -1,    -1,
    1021,    -1,  1023,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1032,  1033,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1042,  4347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4395,  4396,  4397,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1137,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4471,    -1,    -1,    -1,
      -1,  1172,    -1,    -1,    -1,    -1,    -1,  4482,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4522,  4523,    -1,
    4525,    -1,    -1,    -1,  4529,  4530,    -1,    -1,    -1,  4534,
    4535,    -1,    -1,    -1,  4539,    -1,    -1,  4542,  4543,    -1,
      -1,    -1,  4547,  1244,    -1,  1246,    -1,    -1,  4553,  1250,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4565,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4573,    -1,
    1271,    -1,  4577,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4590,    -1,    -1,    -1,    -1,
    4595,    -1,    -1,    -1,    -1,    -1,  4601,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4619,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4650,    -1,    -1,    -1,  1350,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1362,    -1,  4668,  1365,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1375,    -1,    -1,    -1,    -1,  1380,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1388,    -1,    -1,
      -1,    -1,    -1,  1394,    -1,    -1,  1397,    -1,    -1,    -1,
      -1,  4706,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4727,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1436,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4750,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4793,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4817,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4831,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4892,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4900,    -1,  4902,    -1,    -1,
    1601,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4949,    -1,    -1,    -1,  4953,    -1,
      -1,    -1,    -1,  4958,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4975,  4976,    -1,    -1,  4979,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4994,
      -1,    -1,    -1,    -1,    -1,    -1,  5001,    -1,    -1,    -1,
      -1,  5006,    -1,    -1,  5009,  5010,    -1,    -1,    -1,    -1,
      -1,    -1,  5017,  5018,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5041,    -1,  5043,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5055,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5093,    -1,
      -1,    -1,    -1,    -1,    -1,  1796,  1797,    -1,  5103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1854,    -1,    -1,  1857,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1865,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1883,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5211,    -1,  5213,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1934,    -1,  5240,  5241,    -1,  5243,    -1,
    5245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5265,    -1,    -1,    -1,    -1,    -1,  5271,    -1,    -1,    -1,
    5275,    -1,    -1,    -1,    -1,    -1,  5281,    -1,    -1,    -1,
      -1,  5286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1998,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5338,    -1,    -1,    -1,    -1,  5343,  5344,
      -1,    -1,    -1,  5348,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5395,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2137,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5449,  5450,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5472,    -1,    -1,
    5475,    -1,    -1,  5478,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5489,    -1,    -1,    -1,    -1,  5494,
      -1,  5496,    -1,  5498,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5524,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2261,    -1,  2263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2279,  2280,
      -1,  2282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5603,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5611,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2334,    -1,  5640,  5641,  2338,    -1,  2340,
      -1,    -1,  2343,  5648,    -1,    -1,    -1,  5652,    -1,    -1,
      -1,    -1,    -1,  5658,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5680,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5730,    -1,    -1,    -1,    -1,
    5735,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5744,
      -1,    -1,    -1,    -1,    -1,  5750,  5751,    -1,  5753,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5762,    -1,    -1,
      -1,    -1,    -1,    -1,  2465,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5779,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5817,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   886,  5844,
      -1,    -1,    -1,    -1,  5849,    -1,    -1,   895,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5886,    -1,    -1,    -1,    -1,   934,  5892,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2608,    -1,    -1,
      -1,  5916,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2620,
    2621,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5934,
    5935,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2639,  2640,
      -1,    -1,    -1,  2644,  2645,    -1,    -1,    -1,  2649,   997,
      -1,    -1,    -1,    -1,    -1,  1003,    -1,    -1,    -1,  1007,
      -1,    -1,  2663,    -1,    -1,    -1,    -1,    -1,    -1,  2670,
      -1,    -1,    -1,  2674,  2675,    -1,    -1,  2678,  2679,  1027,
      -1,    -1,    -1,    -1,  2685,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2698,    -1,  2700,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2719,    -1,
      -1,    -1,    -1,  2724,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2737,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2746,    -1,  2748,    -1,    -1,
    2751,  2752,  2753,    -1,    -1,    -1,    -1,  2758,  2759,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2768,    -1,    -1,
      -1,    -1,  2773,    -1,    -1,    -1,    -1,  2778,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1134,  1135,    -1,    -1,
      -1,  2792,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2800,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2810,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2822,    -1,  1171,  2825,    -1,    -1,    -1,    -1,  2830,
      -1,    -1,    -1,    -1,  2835,  2836,    -1,    -1,    -1,  2840,
      -1,    -1,  2843,    -1,    -1,    -1,  2847,  2848,  2849,  2850,
      -1,  2852,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2865,  2866,    -1,  2868,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2876,  2877,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2928,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2956,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1346,    -1,
      -1,    -1,    -1,    -1,    -1,  1353,    -1,    -1,    -1,  1357,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1376,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1391,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,  3083,    31,    32,    33,    34,  1435,    -1,    37,
      38,    39,    -1,    41,    -1,  3096,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    70,    -1,    -1,  3126,    -1,    -1,    -1,    -1,
      78,    79,  1480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3155,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   119,    -1,    -1,    -1,   123,   124,   125,   126,   127,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,
     148,    -1,    -1,    -1,    -1,    -1,  1554,   155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   184,   185,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1612,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,   225,    -1,    -1,
      -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,   237,
      -1,   239,    -1,    -1,    -1,  1643,    -1,    -1,   246,    -1,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   270,   271,  1672,    -1,    -1,    -1,    -1,   277,
      -1,   279,    -1,    -1,   282,   283,    -1,   285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,   297,
      -1,    -1,  1700,  1701,  1702,    -1,  1704,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   320,   321,   322,    -1,  1724,    -1,   326,    -1,
      -1,    -1,   330,    -1,    -1,   333,    -1,   335,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   350,   351,    -1,   353,   354,    -1,    -1,    -1,
      -1,    -1,    -1,  3414,    -1,    -1,    -1,    -1,    -1,   367,
      -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1778,    -1,    -1,    -1,    -1,   383,    -1,    -1,  3439,    -1,
      -1,    -1,  3443,    -1,    -1,    -1,    -1,    -1,  3449,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,  1806,    -1,
     408,    -1,  1810,  1811,  3465,  3466,    -1,    -1,    -1,  3470,
      -1,    -1,    -1,    -1,  3475,  3476,  3477,  1825,  3479,   427,
      -1,    -1,   430,    -1,    -1,   433,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3500,
     448,    -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,  3510,
    3511,  3512,  3513,   461,   462,    -1,    -1,    -1,    -1,   467,
      -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1892,   493,  3547,    -1,   496,  3550,
    3551,  3552,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1993,    -1,    -1,    -1,    -1,
    3651,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3659,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2016,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3677,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3704,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2097,
      -1,    -1,    -1,  3754,    -1,    -1,    -1,    -1,  3759,    -1,
      -1,    -1,    -1,    -1,  2112,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2121,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2133,    -1,    -1,    -1,  3790,
      -1,    -1,    -1,    -1,    -1,  3796,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3825,    -1,  3827,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2188,  3842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2201,    -1,    -1,  2204,    -1,    -1,    -1,
    2208,    -1,    -1,    -1,    -1,    -1,  2214,    -1,    -1,    -1,
      -1,    -1,  2220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2232,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2245,  2246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2268,  2269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2337,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2374,  2375,    -1,    -1,
      -1,    -1,  2380,  2381,    -1,    -1,    -1,    -1,    -1,  2387,
    2388,  2389,    -1,    -1,    -1,  2393,    -1,  2395,  2396,  2397,
    2398,  2399,  2400,    -1,  2402,    -1,  2404,  2405,    -1,    -1,
    2408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2422,  2423,  2424,  2425,  2426,    -1,
      -1,    -1,    -1,  2431,    -1,    -1,    -1,  2435,    -1,    -1,
    2438,    -1,    -1,  2441,  2442,  2443,  2444,  2445,  2446,  2447,
    2448,  2449,    -1,  2451,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2459,    -1,    -1,  2462,    -1,    -1,  4118,    -1,  4120,
      -1,    -1,    -1,    -1,    -1,    -1,  4127,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4159,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4177,    -1,  2526,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4195,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4205,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4224,    -1,    -1,  1003,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4235,  4236,  4237,    -1,    -1,    -1,
      -1,    -1,  4243,  4244,  4245,  4246,    -1,    -1,  4249,  4250,
    1027,    -1,    -1,    -1,  4255,  4256,    -1,  4258,  4259,  4260,
    4261,  4262,  4263,    -1,  4265,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4273,    -1,    -1,  4276,  4277,    -1,  2626,    -1,
      -1,    -1,  2630,  2631,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4295,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4317,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2676,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2688,    -1,    -1,    -1,  2692,    -1,    -1,  2695,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2704,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2744,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4414,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4443,  4444,  4445,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4454,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2917,
    2918,    -1,    -1,    -1,    -1,    -1,  1353,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1376,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1391,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2999,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3015,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4676,    -1,    -1,    -1,  4680,
    4681,  4682,  4683,    -1,    -1,  4686,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1134,  1135,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1480,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4717,  4718,  4719,    -1,
    4721,    -1,  4723,  4724,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4735,  4736,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4764,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4772,  4773,  3121,  4775,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4787,  3135,    -1,    -1,
    3138,    -1,    -1,  3141,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3151,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3161,    -1,    -1,    -1,    -1,  3166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1612,    -1,    -1,    -1,    -1,
      -1,  3189,  3190,  3191,    -1,    -1,  3194,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3202,  3203,  3204,  3205,  4859,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3215,    -1,    -1,
    3218,    -1,  3220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3231,  3232,  4886,    -1,  3235,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3249,    -1,  3251,    -1,  3253,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4921,    -1,    -1,    -1,    -1,  3273,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3284,    -1,  3286,  3287,
    3288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3311,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3323,    -1,    -1,    -1,    -1,
    3328,    -1,    -1,    -1,    -1,    -1,  3334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3344,    -1,  4999,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5014,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3386,    -1,
      -1,  3389,    -1,  3391,    -1,    -1,    -1,    -1,  3396,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3417,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5095,    -1,    -1,  3445,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5113,    -1,  3462,  1892,    -1,  5118,  5119,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3487,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1958,    -1,    -1,    -1,    -1,  5187,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1643,    -1,    -1,    -1,    -1,  3556,    -1,
    3558,    -1,    -1,    -1,    -1,    -1,  1993,    -1,    -1,    -1,
      -1,    -1,    -1,  5224,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1672,  5234,    -1,    -1,    -1,    -1,    -1,  2016,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1700,  1701,  1702,    -1,  1704,    -1,    -1,  5268,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5279,    -1,
      -1,    -1,    -1,    -1,  1724,    -1,    -1,    -1,    -1,    -1,
      -1,  3639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5305,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3666,    -1,
    2097,    -1,    -1,    -1,    -1,  5326,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2112,  5337,    -1,  1778,    -1,
      -1,    -1,    -1,  3691,  2121,    -1,    -1,    -1,    -1,  3697,
      -1,    -1,    -1,    -1,    -1,    -1,  2133,  1003,    -1,    -1,
    5361,    -1,    -1,    -1,    -1,    -1,  1806,    -1,    -1,    -1,
    1810,  1811,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5399,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2188,    -1,    -1,    -1,    -1,  3764,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3773,    -1,    -1,    -1,    -1,
      -1,  2208,    -1,    -1,    -1,  3783,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2220,    -1,    -1,    -1,    -1,    -1,    -1,
    3798,    -1,    -1,    -1,    -1,  2232,  5457,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5486,    -1,    -1,    -1,    -1,
      -1,  2268,  2269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5536,    -1,    -1,    -1,    -1,
      -1,  3889,    -1,    -1,  3892,    -1,    -1,    -1,    -1,    -1,
    3898,    -1,    -1,    -1,    -1,    -1,  3904,    -1,  3906,    -1,
      -1,  3909,    -1,    -1,    -1,  3913,  3914,  3915,  3916,  3917,
      -1,    -1,  3920,  3921,  3922,  3923,  3924,  3925,  3926,  3927,
    3928,  3929,    -1,  5584,    -1,  3933,  3934,    -1,    -1,    -1,
    3938,    -1,    -1,    -1,    -1,  3943,    -1,  5598,    -1,  3947,
      -1,    -1,    -1,  3951,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3959,    -1,    -1,  3962,    -1,  3964,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3972,  3973,    -1,    -1,  3976,  3977,
      -1,    -1,    -1,  3981,  3982,    -1,    -1,    -1,    -1,    -1,
    3988,    -1,    -1,    -1,    -1,  2422,    -1,    -1,    -1,    -1,
    3998,    -1,    -1,  4001,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4014,    -1,    -1,    -1,
      -1,    -1,  4020,  4021,  4022,    -1,    -1,    -1,  5679,    -1,
      -1,    -1,    -1,    -1,    -1,  2462,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1353,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4067,
    5721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1376,    -1,    -1,    -1,    -1,  4083,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1391,    -1,    -1,    -1,    -1,
      -1,  4099,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4111,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5805,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1480,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2626,
    4198,    -1,    -1,  2630,  2631,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4222,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2692,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2704,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1003,    -1,    -1,  2393,    -1,  2395,    -1,    -1,  2398,  2399,
    2400,    -1,    -1,    -1,    -1,  2405,  1612,  2744,  2408,    -1,
    4318,    -1,    -1,    -1,  1027,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2423,  2424,  2425,  2426,    -1,    -1,    -1,
      -1,  2431,    -1,    -1,    -1,  2435,    -1,    -1,  2438,  4347,
      -1,  2441,  2442,  2443,  2444,  2445,  2446,  2447,  2448,  2449,
      -1,  2451,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2459,
      -1,    -1,  2462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4395,  4396,  4397,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1003,
      -1,    -1,    -1,    -1,    -1,    -1,  2526,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1027,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1763,    -1,    -1,
      -1,    -1,    -1,  4471,    -1,    -1,  1003,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4482,    -1,    -1,    -1,    -1,    -1,
      -1,  2918,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4522,  4523,    -1,  4525,    -1,    -1,
      -1,  4529,  4530,    -1,    -1,    -1,  4534,  4535,    -1,    -1,
      -1,  4539,    -1,    -1,  4542,  4543,    -1,    -1,    -1,  4547,
      -1,    -1,    -1,    -1,    -1,  4553,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4565,    -1,    -1,
      -1,    -1,  2999,    -1,    -1,  4573,    -1,    -1,    -1,  4577,
      -1,    -1,    -1,    -1,    -1,    -1,  2676,    -1,    -1,    -1,
      -1,    -1,  4590,    -1,    -1,    -1,  1892,  4595,    -1,    -1,
      -1,    -1,    -1,  4601,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4619,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1353,    -1,  4650,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4668,    -1,    -1,  1376,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1391,    -1,
      -1,    -1,    -1,    -1,  3121,    -1,    -1,  1993,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4706,    -1,
      -1,  3138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2016,    -1,    -1,    -1,  3151,    -1,    -1,    -1,    -1,  4727,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4750,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1480,    -1,  1353,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4793,    -1,    -1,    -1,    -1,
      -1,  2097,  1376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2112,  1391,    -1,  4817,
      -1,    -1,    -1,    -1,    -1,  2121,  1353,  2917,    -1,    -1,
      -1,    -1,    -1,  4831,    -1,    -1,    -1,  2133,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1376,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3286,
    3287,  3288,    -1,    -1,  1391,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2188,    -1,  4892,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4900,    -1,  4902,    -1,  1480,    -1,    -1,  1612,
      -1,    -1,  2208,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2220,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2232,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4949,    -1,  1480,    -1,  4953,    -1,    -1,    -1,  3386,
    4958,    -1,  3389,    -1,  3391,    -1,    -1,    -1,    -1,  3396,
      -1,    -1,  2268,  2269,    -1,    -1,    -1,  4975,  4976,    -1,
      -1,  4979,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4994,    -1,    -1,    -1,
      -1,    -1,    -1,  5001,    -1,    -1,    -1,    -1,  5006,    -1,
      -1,  5009,  5010,    -1,    -1,    -1,    -1,    -1,  3445,  5017,
    5018,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3462,    -1,    -1,  1612,    -1,
      -1,    -1,    -1,  5041,    -1,  5043,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5055,    -1,    -1,
    3487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3161,    -1,    -1,    -1,    -1,  3166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1612,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5093,    -1,    -1,    -1,    -1,
      -1,  3191,    -1,    -1,    -1,  5103,    -1,    -1,    -1,    -1,
      -1,    -1,  3202,    -1,  3204,  3205,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3215,  2422,    -1,  3218,  3556,
    3220,  3558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5145,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3249,
      -1,  3251,    -1,  3253,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1892,
      -1,    -1,    -1,    -1,    -1,    -1,  3286,  3287,  3288,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3639,  5211,    -1,  5213,    -1,    -1,    -1,    -1,
      -1,  3311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3323,    -1,    -1,    -1,    -1,  3328,  3666,
      -1,    -1,  5240,  5241,  3334,  5243,    -1,  5245,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1958,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3691,    -1,    -1,  5265,    -1,    -1,
    3697,    -1,    -1,  5271,    -1,    -1,    -1,  5275,    -1,    -1,
      -1,    -1,    -1,  5281,    -1,    -1,    -1,    -1,  5286,    -1,
    1993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2016,    -1,    -1,    -1,    -1,  1892,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3417,    -1,    -1,
    2626,    -1,    -1,    -1,  2630,  2631,    -1,  3764,    -1,    -1,
    5338,    -1,    -1,    -1,    -1,  5343,  5344,    -1,    -1,    -1,
    5348,    -1,    -1,    -1,    -1,    -1,  3783,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1892,    -1,    -1,    -1,    -1,
      -1,  3798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1958,    -1,  1003,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2097,    -1,  2692,  5395,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2704,  2112,
    1027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2121,  1993,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2133,  1958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2016,    -1,    -1,    -1,    -1,    -1,  2744,    -1,
      -1,  5449,  5450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3892,  1993,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5472,    -1,    -1,  5475,    -1,  1003,
    5478,    -1,    -1,    -1,    -1,  2188,  3913,    -1,    -1,  2016,
      -1,  5489,    -1,    -1,    -1,    -1,  5494,    -1,  5496,    -1,
    5498,    -1,    -1,  1027,    -1,  2208,    -1,    -1,  5506,    -1,
      -1,  3938,    -1,    -1,    -1,    -1,    -1,  2220,    -1,    -1,
      -1,    -1,    -1,  2097,    -1,    -1,  5524,    -1,    -1,  2232,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2112,    -1,
      -1,    -1,    -1,    -1,    -1,  3972,    -1,  2121,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2133,
      -1,    -1,    -1,    -1,    -1,  2268,  2269,    -1,    -1,    -1,
    2097,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2112,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2121,  4022,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5603,  2133,    -1,    -1,    -1,
      -1,    -1,    -1,  5611,  2188,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2918,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2208,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5640,  5641,    -1,    -1,  2220,    -1,    -1,    -1,
    5648,    -1,    -1,    -1,  5652,    -1,    -1,    -1,  2232,    -1,
    5658,  2188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4099,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2208,  5680,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2220,  2268,  2269,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2999,    -1,  2232,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2422,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5730,    -1,    -1,    -1,  1353,  5735,    -1,    -1,
      -1,  2268,  2269,    -1,    -1,    -1,  5744,    -1,    -1,    -1,
      -1,    -1,  5750,  5751,    -1,  5753,    -1,    -1,    -1,  1376,
      -1,    -1,    -1,    -1,  5762,    -1,    -1,    -1,    -1,    -1,
      -1,  4198,    -1,    -1,  1391,    -1,    -1,    -1,    -1,    -1,
      -1,  5779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4222,    -1,    -1,    -1,  3889,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3898,    -1,
      -1,    -1,    -1,    -1,  3904,    -1,  3906,    -1,    -1,  5817,
      -1,    -1,    -1,    -1,    -1,  3121,    -1,    -1,    -1,  1353,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3138,  3933,  3934,    -1,  5844,    -1,  2422,    -1,
      -1,  5849,  1376,    -1,    -1,  3151,    -1,    -1,    -1,    -1,
      -1,  3951,    -1,  1480,    -1,    -1,    -1,  1391,    -1,  3959,
      -1,    -1,  3962,    -1,  3964,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3973,    -1,    -1,    -1,    -1,  5886,    -1,
      -1,  3981,  3982,    -1,  5892,  2422,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5916,    -1,
    4347,    -1,    -1,  2626,  4014,    -1,    -1,  2630,  2631,    -1,
    4020,  4021,  4022,    -1,    -1,    -1,  5934,  5935,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1480,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4395,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4067,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2692,
      -1,    -1,    -1,  4083,    -1,  1612,    -1,    -1,    -1,    -1,
      -1,  2704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2626,    -1,    -1,    -1,  2630,  2631,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1612,    -1,
    3386,    -1,    -1,  3389,    -1,  3391,    -1,    -1,  4525,  2626,
    3396,    -1,    -1,  2630,  2631,    -1,    -1,    -1,  4535,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2692,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3445,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4590,    -1,  2692,  3462,    -1,  4595,    -1,
    2744,    -1,    -1,    -1,  4601,    -1,    -1,  2704,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2918,    -1,  2744,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4668,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3556,    -1,  3558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1892,    -1,    -1,    -1,  4706,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2999,    -1,    -1,    -1,
    4727,    -1,    -1,    -1,    -1,    -1,  4396,  4397,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1958,    -1,  3639,  2918,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4793,    -1,  1892,    -1,
    3666,    -1,    -1,    -1,    -1,    -1,  1993,    -1,    -1,    -1,
      -1,  4471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2918,  4482,    -1,    -1,  3691,    -1,    -1,    -1,  2016,
      -1,  3697,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3121,    -1,
      -1,    -1,    -1,    -1,    -1,  2999,    -1,    -1,    -1,    -1,
      -1,    -1,  4522,  4523,  1958,  3138,    -1,    -1,    -1,  4529,
    4530,    -1,    -1,    -1,  4534,    -1,    -1,    -1,  3151,  4539,
      -1,    -1,  4542,  4543,    -1,    -1,    -1,  4547,    -1,    -1,
      -1,  1003,    -1,  4553,    -1,    -1,    -1,    -1,  3764,  1993,
      -1,    -1,  2999,  4900,    -1,  4902,    -1,    -1,    -1,    -1,
    2097,    -1,    -1,    -1,    -1,  1027,    -1,  3783,    -1,    -1,
      -1,    -1,  2016,    -1,    -1,  2112,    -1,    -1,    -1,    -1,
    4590,    -1,  3798,    -1,  2121,  4595,    -1,    -1,    -1,    -1,
      -1,  4601,    -1,    -1,    -1,    -1,  2133,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4953,    -1,    -1,  4619,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3121,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4650,    -1,    -1,    -1,  3138,    -1,    -1,    -1,    -1,    -1,
      -1,  2188,    -1,  2097,    -1,    -1,    -1,  3151,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2112,    -1,
      -1,  2208,    -1,    -1,  3121,    -1,  3892,  2121,    -1,    -1,
      -1,    -1,    -1,  2220,    -1,    -1,    -1,    -1,    -1,  2133,
      -1,  3138,    -1,    -1,    -1,  2232,    -1,  3913,    -1,    -1,
      -1,    -1,    -1,    -1,  3151,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2268,  2269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4750,    -1,    -1,    -1,  2188,    -1,  5093,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3972,    -1,    -1,    -1,
      -1,    -1,    -1,  3386,  2208,    -1,  3389,    -1,  3391,    -1,
      -1,    -1,    -1,  3396,    -1,    -1,  2220,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2232,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4817,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3445,    -1,  2268,  2269,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3462,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3487,    -1,  5213,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4099,    -1,  2422,    -1,    -1,    -1,    -1,
      -1,  1353,  3386,    -1,  5241,  3389,    -1,  3391,    -1,    -1,
      -1,    -1,  3396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1376,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1391,
      -1,    -1,    -1,  3556,  5281,  3558,    -1,    -1,    -1,  3386,
      -1,    -1,  3389,    -1,  3391,    -1,    -1,    -1,    -1,  3396,
      -1,  3445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4975,  4976,    -1,  3462,  4979,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2422,    -1,
      -1,    -1,  4198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5338,    -1,  3487,    -1,    -1,  5343,  5344,  3445,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4222,  5017,  5018,    -1,
      -1,    -1,    -1,    -1,    -1,  3462,  3639,    -1,  1480,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5043,    -1,    -1,    -1,    -1,    -1,    -1,
    3487,    -1,    -1,  3666,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3556,    -1,  3558,    -1,    -1,    -1,  3691,    -1,
      -1,    -1,    -1,    -1,  3697,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2626,
      -1,    -1,    -1,  2630,  2631,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5449,  5450,    -1,    -1,    -1,    -1,    -1,  3556,
      -1,  3558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3764,    -1,    -1,    -1,  3639,    -1,    -1,    -1,    -1,
    1612,    -1,    -1,    -1,    -1,  2692,    -1,    -1,    -1,    -1,
    3783,    -1,    -1,    -1,    -1,    -1,    -1,  2704,    -1,    -1,
      -1,    -1,  3666,    -1,    -1,  3798,    -1,    -1,    -1,  4395,
      -1,    -1,  2626,    -1,    -1,    -1,  2630,  2631,    -1,    -1,
      -1,    -1,  3639,    -1,    -1,    -1,    -1,  3691,    -1,    -1,
      -1,    -1,    -1,  3697,    -1,    -1,    -1,  2744,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3666,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3691,    -1,    -1,    -1,  2692,    -1,
    3697,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2704,  5271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3892,
    3764,    -1,    -1,    -1,    -1,    -1,  5286,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3783,
    3913,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2744,    -1,    -1,    -1,  3798,  5652,    -1,    -1,    -1,  4525,
      -1,    -1,    -1,    -1,    -1,  3938,    -1,  3764,    -1,  4535,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3783,    -1,  5348,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3972,
      -1,  3798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2918,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3892,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3913,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3938,  3892,    -1,    -1,    -1,    -1,
      -1,    -1,  4668,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2999,    -1,    -1,    -1,  3913,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2918,    -1,  4099,    -1,  3972,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5498,    -1,
    4706,  3938,    -1,    -1,    -1,    -1,  1958,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4727,    -1,    -1,  5524,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3972,    -1,    -1,    -1,    -1,
      -1,  1993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2016,  2999,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4198,    -1,  4793,    -1,    -1,
      -1,    -1,    -1,    -1,  3121,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5603,    -1,    -1,    -1,    -1,    -1,  4222,
      -1,  3138,    -1,    -1,    -1,  4099,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3151,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5640,  5641,    -1,    -1,    -1,  2097,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5658,    -1,
    2112,    -1,  4099,    -1,    -1,    -1,    -1,    -1,    -1,  2121,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2133,    -1,    -1,    -1,    -1,    -1,  3121,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4902,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3138,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4198,    -1,    -1,  3151,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4347,  5735,  2188,    -1,  4222,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4953,    -1,    -1,
      -1,    -1,    -1,  5753,    -1,    -1,  2208,    -1,    -1,    -1,
      -1,  4198,    -1,    -1,    -1,    -1,    -1,    -1,  2220,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5779,
    2232,    -1,  4395,    -1,    -1,  4222,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1716,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2268,  2269,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3386,
      -1,    -1,  3389,  4347,  3391,    -1,    -1,    -1,    -1,  3396,
      -1,    -1,  1793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5886,  5093,    -1,    -1,
      -1,    -1,  5892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4347,  4395,  4525,    -1,    -1,    -1,    -1,    -1,  3445,    -1,
      -1,    -1,  4535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3462,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3386,    -1,    -1,  3389,    -1,  3391,  4395,    -1,
    3487,    -1,  3396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5213,    -1,    -1,
      -1,  3445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3462,  3556,
      -1,  3558,    -1,    -1,    -1,  5241,    -1,    -1,    -1,    -1,
      -1,  4525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4535,    -1,  3487,    -1,  4668,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5281,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4525,    -1,
      -1,    -1,    -1,  4706,    -1,    -1,    -1,    -1,  4535,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3639,    -1,  4727,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3556,    -1,  3558,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5338,    -1,    -1,    -1,    -1,  5343,  5344,  3666,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3691,    -1,    -1,    -1,    -1,    -1,
    3697,    -1,    -1,    -1,  2626,    -1,    -1,    -1,  2630,  2631,
    4793,    -1,    -1,    -1,  4668,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3639,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4706,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4668,  3666,    -1,    -1,    -1,    -1,  3764,    -1,    -1,
    2692,    -1,    -1,  4727,  5450,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2704,    -1,    -1,    -1,  3783,  3691,    -1,    -1,
      -1,    -1,    -1,  3697,    -1,    -1,    -1,    -1,    -1,  4706,
      -1,  3798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4902,
    4727,    -1,  2744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4793,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3764,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4953,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3783,
      -1,    -1,    -1,    -1,    -1,    -1,  4793,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3798,  3892,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3913,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3938,    -1,    -1,    -1,    -1,    -1,    -1,  4902,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3972,  5652,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2378,  3892,    -1,
      -1,    -1,    -1,    -1,    -1,  4902,  2918,    -1,    -1,  4953,
      -1,  2392,    -1,    -1,    -1,  2396,    -1,    -1,    -1,  3913,
    5093,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2410,
    2411,  2412,    -1,    -1,  2415,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3938,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4953,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2457,    -1,  3972,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2999,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4099,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5093,
      -1,    -1,    -1,    -1,  2535,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2547,    -1,  5241,  2550,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5093,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4099,    -1,    -1,  5281,  3121,
      -1,  4198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3138,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4222,    -1,    -1,    -1,  3151,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5338,    -1,    -1,    -1,  5213,
    5343,  5344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5241,    -1,    -1,
      -1,    -1,    -1,    -1,  4198,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5213,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4222,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5281,    -1,    -1,
      -1,    -1,    -1,    -1,  5241,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5450,    -1,    -1,
      -1,    -1,    -1,    -1,  5281,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5338,    -1,    -1,    -1,    -1,  5343,
    5344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4395,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5338,    -1,    -1,    -1,    -1,  5343,  5344,    -1,    -1,
      -1,    -1,    -1,  4347,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3386,    -1,    -1,  3389,    -1,  3391,
      -1,    -1,    -1,    -1,  3396,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4395,    -1,    -1,    -1,    -1,  5450,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3445,    -1,    -1,    -1,    -1,  4525,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4535,    -1,
    3462,    -1,    -1,  5450,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3487,    -1,    -1,    -1,  5652,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4535,    -1,    -1,  3556,    -1,  3558,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4668,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5652,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4706,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3639,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4727,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3666,  5652,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4668,    -1,    -1,    -1,    -1,  3691,
      -1,    -1,    -1,  3164,    -1,  3697,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3184,    -1,  3186,  4793,    -1,  3189,  3190,
      -1,  3192,  4706,  3194,    -1,    -1,    -1,  3198,    -1,    -1,
    3201,    -1,    -1,    -1,    -1,  3206,    -1,    -1,    -1,    -1,
      -1,  3212,    -1,  4727,    -1,    -1,  3217,    -1,    -1,    -1,
      -1,    -1,    -1,  3224,  3225,  3226,  3227,    -1,    -1,    -1,
    3231,  3232,  3764,  3234,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3246,    -1,  3248,    -1,    -1,
      -1,  3783,    -1,    -1,  3255,  3256,  3257,  3258,  3259,  3260,
    3261,  3262,  3263,  3264,    -1,    -1,  3798,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4793,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3292,    -1,    -1,    -1,  4902,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3320,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4953,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3913,    -1,    -1,    -1,    -1,    -1,    -1,  4902,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3938,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4953,
    3972,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5093,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4099,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5093,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5213,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5241,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4198,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5281,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4222,  3692,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5241,    -1,    -1,
      -1,  5338,    -1,    -1,    -1,    -1,  5343,  5344,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5281,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4347,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5338,    -1,    -1,    -1,    -1,  5343,
    5344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5450,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4395,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3888,    -1,    -1,
      -1,    -1,    -1,  3894,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3910,
    3911,    -1,    -1,  3914,  3915,  3916,  3917,    -1,    -1,  3920,
    3921,  3922,  3923,  3924,  3925,  3926,  3927,  3928,  3929,  3930,
      -1,    -1,    -1,    -1,    -1,    -1,  5450,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3952,    -1,    -1,  3955,    -1,  3957,    -1,    -1,  3960,
    3961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3975,  3976,  3977,  3978,    -1,  3980,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4525,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4535,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5652,    -1,    -1,    -1,  4050,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4061,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4108,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4668,    -1,  5652,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4706,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4727,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4318,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4953,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4472,    -1,    -1,    -1,  4476,  4477,  4478,    -1,    -1,
      -1,    -1,    -1,  4484,  4485,  4486,  4487,    -1,    -1,    -1,
      -1,  4492,  4493,  4494,  4495,  4496,  4497,  4498,  4499,  4500,
    4501,  4502,  4503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4528,    -1,    -1,
    4531,    -1,  4533,    -1,    -1,    -1,  4537,    -1,    -1,  4540,
    4541,    -1,    -1,  4544,  4545,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5093,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4592,    -1,    -1,    -1,    -1,    -1,    -1,  4599,  4600,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4618,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4631,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5241,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5281,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5338,    -1,    -1,    -1,
      -1,  5343,  5344,    -1,    -1,    -1,    -1,    -1,    -1,  4820,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4897,  4898,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5450,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4943,    -1,    -1,    -1,    -1,  4948,  4949,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4963,    -1,  4965,    -1,    -1,    -1,  4969,  4970,
    4971,    -1,    -1,  4974,    -1,    -1,  4977,  4978,    -1,    -1,
      -1,  4982,    -1,    -1,    -1,  4986,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5053,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5114,    -1,    -1,    -1,    -1,    -1,    -1,
    5652,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5150,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5239,  5240,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5255,  5256,  5257,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5265,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5293,  5294,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,  5309,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   104,    -1,
     106,   107,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     116,    -1,    -1,   119,    -1,    -1,   122,   123,   124,   125,
     126,   127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   139,    -1,    -1,   142,    -1,   144,   145,
     146,    -1,   148,    -1,    -1,   151,    -1,   153,    -1,   155,
      -1,    -1,    -1,  5464,    -1,    -1,    -1,    -1,   164,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,  5478,   174,    -1,
    5481,    -1,    -1,    -1,  5485,   181,    -1,   183,   184,   185,
     186,    -1,    -1,    -1,    -1,    -1,   192,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   200,    -1,   202,    -1,    -1,    -1,
     206,    -1,    -1,    -1,    -1,    -1,   212,   213,    -1,    -1,
      -1,    -1,    -1,    -1,   220,   221,   222,    -1,    -1,   225,
      -1,    -1,   228,    -1,  5535,   231,    -1,    -1,    -1,    -1,
      -1,   237,    -1,   239,    -1,    -1,    -1,    -1,   244,    -1,
     246,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,    -1,    -1,    -1,   260,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   270,   271,    -1,    -1,   274,    -1,
      -1,   277,    -1,   279,    -1,    -1,   282,   283,    -1,   285,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,
      -1,   297,    -1,   299,   300,    -1,    -1,    -1,    -1,   305,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   317,    -1,    -1,   320,   321,   322,    -1,    -1,    -1,
     326,    -1,    -1,   329,   330,    -1,    -1,   333,    -1,   335,
      -1,    -1,    -1,    -1,    -1,  5646,    -1,  5648,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   367,    -1,   369,    -1,   371,    -1,  5678,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   383,   384,    -1,
      -1,    -1,    -1,    -1,   390,   391,    -1,   393,    -1,    -1,
      -1,    -1,   398,    -1,    -1,    -1,    -1,   403,   404,    -1,
     406,    -1,   408,    -1,    -1,   411,    -1,    -1,    -1,    -1,
      -1,   417,   418,    -1,    -1,    -1,    -1,    -1,  5729,   425,
      -1,   427,    -1,   429,   430,    -1,    -1,   433,    -1,    -1,
      -1,    -1,    -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   448,    -1,    -1,  5756,   452,    -1,   454,    -1,
      -1,    -1,    -1,    -1,    -1,   461,   462,    -1,    -1,    -1,
      -1,   467,    -1,   469,    -1,   471,    -1,   473,    -1,    -1,
      -1,    -1,   478,    -1,    -1,   481,    -1,    -1,   484,    -1,
      -1,   487,    -1,    -1,    -1,    -1,   492,   493,    -1,    -1,
     496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   505,
      -1,    -1,    -1,    -1,  5815,    -1,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,    -1,    -1,    -1,
      -1,    -1,   528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5844,    -1,    -1,   542,    -1,  5849,    -1,
     546,    -1,    -1,    -1,    -1,  5856,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,  5888,    15,    16,
    5891,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,  5914,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,   548,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    -1,    41,    42,    43,    -1,    -1,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   119,    -1,    -1,    -1,   123,   124,   125,   126,
     127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,   146,
      -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,   185,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,   225,    -1,
      -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,
     237,    -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,   246,
      -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   270,   271,    -1,    -1,    -1,    -1,    -1,
     277,    -1,   279,    -1,    -1,   282,   283,    -1,   285,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,
     297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   320,   321,   322,    -1,    -1,    -1,   326,
      -1,    -1,    -1,   330,    -1,    -1,   333,    -1,   335,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   350,   351,    -1,   353,   354,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     367,    -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   383,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,
      -1,   408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,    -1,    -1,   430,    -1,    -1,   433,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   448,    -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,
      -1,    -1,    -1,    -1,   461,   462,    -1,    -1,    -1,    -1,
     467,    -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,   496,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,   549,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,   485,    -1,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,    -1,
      -1,    -1,    -1,    -1,    -1,   533,   534,   535,    -1,    -1,
      -1,    -1,    -1,    -1,   542,   543,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,    -1,   528,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,   543,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,   479,
     480,   481,   482,   483,   484,   485,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,    -1,    -1,    -1,
      -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   542,   543,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,   543,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,   479,   480,   481,
     482,   483,   484,   485,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,
      -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     542,   543,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,    -1,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,    -1,   222,
     223,   224,    -1,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,    -1,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,    -1,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,    -1,   328,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,    -1,   368,    -1,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,    -1,   468,    -1,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     523,   524,   525,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     543,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,    -1,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,    -1,   222,   223,   224,    -1,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
      -1,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,    -1,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,    -1,
     328,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,    -1,
     368,    -1,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,    -1,
     468,    -1,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   523,   524,   525,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   543,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,    -1,   528,    -1,    -1,    -1,    -1,
     533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,   292,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,
      -1,    -1,    -1,   540,   541,   542,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,   535,    -1,    -1,    -1,
      -1,    -1,    -1,   542,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   542,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   542,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   542,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,    -1,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,   528,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   542,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   542,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   542,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   542,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   542,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   542,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,   111,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   543,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    79,
      -1,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,
     120,   121,   122,   123,   124,    -1,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,    -1,   328,   329,
      -1,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,    -1,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,    -1,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,    -1,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,   541,   542,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,    -1,   120,   121,   122,   123,   124,    -1,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,    -1,   328,   329,    -1,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,    -1,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   542,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
     452,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,   528,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     542,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,   452,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
     528,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   542,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,    -1,   120,   121,   122,   123,
     124,    -1,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,    -1,   328,   329,    -1,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
      -1,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   542,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,
     120,   121,   122,   123,   124,    -1,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,    -1,   328,   329,
      -1,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,    -1,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,    -1,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,    -1,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   542,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,    -1,   120,   121,   122,   123,   124,    -1,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,    -1,   328,   329,    -1,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,    -1,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   542,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     542,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    -1,    -1,    84,    85,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,    -1,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,   247,
      -1,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,   464,   465,   466,    -1,
     468,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   523,   524,   525,    -1,    -1,
      -1,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    -1,    -1,
      84,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,    -1,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,    -1,   222,   223,
     224,    -1,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,   247,    -1,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
     464,   465,   466,    -1,   468,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,    -1,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,
     524,   525,    -1,    -1,    -1,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
      -1,   120,   121,   122,   123,   124,    -1,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,    -1,   328,
     329,    -1,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,    -1,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,    -1,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,    -1,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,    -1,   120,   121,   122,   123,   124,    -1,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,    -1,   328,   329,    -1,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,    -1,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,     5,     6,     7,
       8,     9,    10,    11,    12,    13,   535,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,    -1,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,    -1,   222,   223,   224,    -1,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
      -1,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,    -1,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,    -1,
     328,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,    -1,
     368,    -1,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,    -1,
     468,    -1,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   523,   524,   525,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,   535,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,   535,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,    -1,   120,   121,   122,   123,   124,    -1,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,    -1,   328,   329,    -1,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,    -1,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,   535,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,   238,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,    -1,   120,   121,   122,   123,   124,    -1,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,   238,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,    -1,   328,   329,    -1,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,    -1,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,   238,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
     238,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   533,   534,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
      -1,   120,   121,   122,   123,   124,    -1,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,    -1,   328,
     329,    -1,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,    -1,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,    -1,   455,   456,   457,   458,
     459,    -1,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,    -1,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
      -1,     4,   531,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,    -1,   222,   223,   224,
      -1,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,    -1,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,    -1,   328,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,    -1,   368,    -1,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,    -1,   468,    -1,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,
     525,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,    -1,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,    -1,   222,   223,
     224,    -1,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,    -1,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
      -1,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,    -1,   328,   329,   330,   331,   332,    -1,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,    -1,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,    -1,   368,    -1,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,    -1,   468,    -1,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,
     524,   525,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,    -1,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,    -1,   222,
     223,   224,    -1,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,    -1,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,    -1,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,    -1,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,    -1,   368,    -1,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,    -1,   468,    -1,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     523,   524,   525,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,    -1,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,    -1,
     222,   223,   224,    -1,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,    -1,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,    -1,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,    -1,   368,    -1,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   523,   524,   525,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
      -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,    -1,   328,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,    -1,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,    -1,   368,    -1,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   523,   524,   525,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,    -1,   328,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
      -1,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,    -1,   368,    -1,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,    -1,   468,    -1,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   523,   524,   525,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,    -1,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,    -1,   328,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,    -1,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,    -1,   368,
      -1,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,    -1,   468,
      -1,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   523,   524,   525,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,    -1,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,    -1,   222,   223,   224,    -1,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
      -1,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,    -1,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,    -1,
     328,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,    -1,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,    -1,
     368,    -1,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,    -1,
     468,    -1,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   523,   524,   525,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,    -1,   222,   223,   224,    -1,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,    -1,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,    -1,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
      -1,   328,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,    -1,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
      -1,   368,    -1,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
      -1,   468,    -1,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,    -1,   222,   223,   224,    -1,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,    -1,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,    -1,   328,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,    -1,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,    -1,   368,    -1,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,    -1,   468,    -1,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,    -1,    -1,
     125,    -1,    -1,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,    -1,    -1,   140,    -1,   142,   143,   144,
     145,    -1,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,    -1,
      -1,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,    -1,   222,   223,   224,
      -1,    -1,   227,    -1,   229,   230,    -1,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,    -1,    -1,   273,   274,
     275,    -1,    -1,    -1,    -1,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,    -1,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,   323,   324,
     325,    -1,    -1,   328,   329,   330,   331,    -1,    -1,   334,
      -1,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,    -1,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,    -1,   368,    -1,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,   428,   429,   430,   431,   432,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,    -1,    -1,    -1,    -1,
     465,   466,    -1,   468,    -1,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,    -1,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,    -1,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,    -1,    -1,   149,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,   166,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,   166,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,   170,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,   166,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,   452,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,   166,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,   452,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,   106,   107,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,   111,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,   111,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,   111,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
      -1,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,    -1,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    -1,
      -1,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,   123,   124,
     125,   126,   127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,
      -1,   146,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,
     155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,
     185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,
     225,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,
      -1,    -1,   237,    -1,   239,    -1,    -1,    -1,    -1,    -1,
      -1,   246,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,
      -1,    -1,   277,    -1,   279,    -1,    -1,   282,   283,    -1,
     285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,
     295,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   320,   321,   322,    -1,    -1,
      -1,   326,    -1,    -1,    -1,   330,    -1,    -1,   333,    -1,
     335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   367,    -1,   369,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   383,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,
      -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   427,    -1,    -1,   430,    -1,    -1,   433,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,   454,
      -1,    -1,    -1,    -1,    -1,    -1,   461,   462,    -1,    -1,
      -1,    -1,   467,    -1,   469,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,
      -1,   496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    -1,    -1,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   119,    -1,    -1,    -1,   123,   124,   125,   126,   127,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,
     148,    -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   184,   185,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,   225,    -1,    -1,
      -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,   237,
      -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   270,   271,    -1,    -1,    -1,    -1,    -1,   277,
      -1,   279,    -1,    -1,   282,   283,    -1,   285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,   297,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   320,   321,   322,    -1,    -1,    -1,   326,    -1,
      -1,    -1,   330,    -1,    -1,   333,    -1,   335,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   350,   351,    -1,   353,   354,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,
      -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,    -1,
     408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
      -1,    -1,   430,    -1,    -1,   433,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     448,    -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,
      -1,    -1,    -1,   461,   462,    -1,    -1,    -1,    -1,   467,
      -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,   496,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,     6,     7,     8,    -1,    10,
      11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,    -1,
      41,    42,    43,    -1,    -1,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    -1,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    -1,   123,   124,   125,   126,   127,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,
      -1,    -1,    -1,    -1,    -1,   146,    -1,   148,    -1,    -1,
      -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   184,   185,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     221,    -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,
     231,    -1,    -1,    -1,    -1,    -1,   237,    -1,   239,    -1,
      -1,    -1,    -1,    -1,    -1,   246,    -1,   248,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,
     271,    -1,    -1,    -1,    -1,    -1,   277,    -1,   279,    -1,
      -1,   282,   283,    -1,   285,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   294,   295,    -1,   297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,
     321,   322,    -1,    -1,    -1,   326,    -1,    -1,    -1,   330,
      -1,    -1,   333,    -1,   335,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   367,    -1,   369,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   404,    -1,    -1,    -1,   408,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,    -1,    -1,   430,
      -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,
      -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,    -1,    -1,
     461,   462,    -1,    -1,    -1,    -1,   467,    -1,   469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   478,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,    -1,    -1,   496,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    -1,    41,    42,    43,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,   123,
     124,   125,   126,   127,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,    -1,    -1,
      -1,    -1,   146,    -1,   148,    -1,    -1,    -1,    -1,    -1,
      -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     184,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,
      -1,   225,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,
      -1,    -1,    -1,   237,    -1,   239,    -1,    -1,    -1,    -1,
      -1,    -1,   246,    -1,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,
      -1,    -1,    -1,   277,    -1,   279,    -1,    -1,   282,   283,
      -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     294,   295,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   320,   321,   322,    -1,
      -1,    -1,   326,    -1,    -1,    -1,   330,    -1,    -1,   333,
      -1,   335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   350,   351,    -1,   353,
     354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   367,    -1,   369,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   383,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     404,    -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,    -1,    -1,   430,    -1,    -1,   433,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,
     454,    -1,    -1,    -1,    -1,    -1,    -1,   461,   462,    -1,
      -1,    -1,    -1,   467,    -1,   469,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,
      -1,    -1,   496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    70,   524,   525,    -1,    -1,    -1,    -1,    -1,
      78,    79,   533,   534,   535,    -1,    -1,    -1,    -1,    -1,
      -1,   542,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,   106,   107,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,    -1,   524,   525,    70,    71,
     528,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      -1,    -1,    -1,    85,   542,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    -1,   524,   525,    -1,    -1,    -1,    -1,    -1,    70,
      71,   533,   534,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    -1,   524,   525,    -1,    -1,    -1,    -1,    -1,
      70,    71,   533,   534,    74,    75,    76,    77,    78,    79,
      80,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,    -1,   524,   525,    -1,    -1,    -1,    -1,
      -1,    70,    71,   533,   534,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,    -1,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,    -1,   524,   525,    -1,    -1,    -1,
      -1,    -1,    70,    71,   533,   534,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,    -1,   524,   525,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    -1,    81,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    70,   524,   525,    -1,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,    -1,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,    70,   524,   525,    -1,    74,    75,
      76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,    -1,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,    70,   524,   525,
      -1,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      70,   524,   525,    -1,    74,    75,    76,    77,    78,    79,
      -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,    70,   524,   525,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,    -1,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,    70,   524,   525,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,   485,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    70,
     524,   525,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,   248,   249,    -1,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    70,   524,   525,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,    70,   524,   525,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,    -1,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,    70,   524,
     525,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    70,   524,   525,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,    -1,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,    70,   524,   525,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,    -1,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,    70,   524,   525,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      70,   524,   525,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,   106,   107,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,    70,   524,   525,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,    -1,    -1,    -1,    -1,
      -1,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,    -1,    -1,   140,    -1,   142,   143,   144,   145,    -1,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,    -1,   183,    -1,    -1,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,    -1,   222,   223,   224,    -1,    -1,
     227,    -1,   229,   230,    -1,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,    -1,
      -1,    -1,   249,    -1,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,    -1,    -1,   273,   274,   275,    -1,
      -1,    -1,    -1,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,    -1,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,    -1,    -1,    -1,   323,   324,   325,    -1,
      -1,   328,   329,    -1,   331,    -1,    -1,   334,    -1,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,    -1,    -1,   352,    -1,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
      -1,   368,    -1,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,   428,   429,    -1,   431,   432,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,    -1,    -1,    -1,    -1,   465,   466,
      -1,   468,    -1,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   551,  1200,     0,     5,    25,    35,    36,    40,    42,
      43,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    72,    74,    75,    76,
      77,    78,    79,    80,    81,    85,   138,   213,   231,   253,
     276,   313,   316,   332,   416,   463,   478,   493,   523,   531,
     533,   534,   535,   536,   537,   540,   541,   542,   543,   545,
     546,   547,   548,   549,  1190,  1201,  1229,  1231,  1322,  1332,
    1333,  1335,  1341,  1342,  1230,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    41,    42,    43,    44,    45,
      49,    50,    55,    64,    66,    68,    69,    94,   104,   106,
     107,   116,   119,   122,   123,   124,   125,   126,   127,   139,
     142,   144,   145,   146,   148,   151,   153,   155,   164,   166,
     167,   174,   181,   183,   184,   185,   186,   200,   202,   206,
     212,   213,   220,   221,   222,   225,   228,   231,   237,   239,
     244,   246,   248,   256,   260,   270,   271,   277,   279,   282,
     283,   285,   294,   295,   297,   299,   300,   305,   317,   320,
     321,   322,   326,   329,   330,   333,   335,   350,   351,   353,
     354,   367,   369,   371,   383,   384,   390,   391,   393,   398,
     403,   404,   406,   408,   411,   417,   418,   425,   427,   429,
     430,   433,   439,   448,   452,   454,   461,   462,   467,   469,
     471,   473,   478,   481,   487,   492,   493,   496,   505,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     528,   542,   552,   553,   559,   560,   562,   563,   564,   565,
     566,   567,   568,   570,   571,   575,   587,   592,   593,   596,
     597,   598,   618,   621,   622,   638,   681,   684,   687,   688,
     689,   697,   703,   705,   707,   708,   711,   714,   715,   719,
     728,   732,   733,   734,   735,   738,   740,   741,   742,   743,
     751,   752,   771,   775,   777,   778,   779,   789,   791,   798,
     799,   802,   803,   804,   805,   806,   814,   816,   820,   825,
     829,   830,   838,   839,   842,   847,   858,   885,   888,   889,
     890,   895,   898,   900,   902,   904,   905,   910,   911,   914,
     915,   916,   920,   921,   924,   925,   928,   929,   930,   937,
     939,   940,   941,   946,   948,   949,   955,   956,   957,   958,
     959,   960,   961,   963,   964,   966,   967,   969,   972,   973,
     978,   984,   987,   989,   998,  1000,  1005,  1010,  1014,  1015,
    1016,  1017,  1018,  1019,  1022,  1057,  1197,  1198,  1202,  1204,
    1205,  1222,  1223,  1224,  1225,  1236,  1238,  1242,  1243,  1244,
    1245,  1246,  1248,  1250,  1252,  1253,  1254,  1255,  1257,  1262,
    1263,  1267,  1268,  1277,  1279,  1280,  1281,  1284,  1289,  1292,
    1297,  1299,  1300,  1303,  1305,  1308,  1317,  1335,  1343,    72,
    1225,  1233,  1234,    14,    71,    94,    95,    96,    97,    98,
      99,   100,   101,   103,   104,   105,   113,   114,   116,   117,
     118,   120,   121,   122,   129,   130,   131,   132,   133,   136,
     137,   140,   142,   143,   144,   145,   150,   151,   152,   153,
     154,   156,   157,   160,   161,   162,   163,   164,   165,   168,
     169,   177,   178,   179,   180,   181,   183,   186,   188,   190,
     191,   192,   193,   194,   195,   197,   198,   199,   200,   203,
     204,   205,   206,   207,   209,   210,   211,   213,   214,   215,
     217,   218,   219,   220,   222,   223,   224,   227,   229,   230,
     232,   234,   236,   240,   241,   242,   243,   245,   249,   251,
     252,   254,   255,   257,   258,   259,   260,   262,   263,   264,
     265,   266,   267,   269,   273,   274,   275,   281,   284,   286,
     287,   288,   289,   290,   293,   296,   299,   300,   301,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   314,   315,
     317,   318,   319,   323,   324,   325,   328,   329,   331,   334,
     336,   337,   338,   340,   341,   344,   345,   346,   349,   352,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   365,
     366,   368,   370,   371,   372,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   384,   385,   386,   387,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     402,   403,   405,   406,   407,   409,   410,   411,   412,   413,
     414,   415,   417,   419,   420,   421,   422,   423,   424,   425,
     426,   428,   429,   431,   432,   434,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   450,   451,
     453,   455,   456,   457,   458,   459,   463,   465,   466,   468,
     471,   472,   473,   474,   475,   476,   477,   480,   481,   482,
     483,   484,   487,   488,   489,   490,   491,   495,   497,   498,
     499,   500,   503,   506,   507,   508,   509,   510,   511,   524,
     525,  1192,  1193,  1195,  1196,  1197,  1198,  1215,  1216,  1327,
    1329,  1333,  1335,    29,   272,  1278,     9,    13,    15,    28,
      44,    45,    49,    50,    55,    64,    66,    68,    69,   102,
     138,   158,   170,   182,   187,   253,   313,   316,   416,   492,
     523,  1183,  1196,  1197,  1217,  1264,  1265,  1307,  1308,  1309,
    1313,  1318,  1319,  1320,  1329,  1335,   102,  1011,  1182,  1217,
    1313,  1326,    14,  1011,     5,    25,    29,    35,    36,    42,
      43,   102,   106,   107,   108,   109,   110,   111,   112,   115,
     128,   134,   135,   138,   141,   147,   149,   158,   159,   166,
     170,   171,   172,   173,   175,   176,   177,   187,   189,   196,
     201,   202,   208,   212,   216,   226,   228,   233,   235,   238,
     244,   247,   250,   261,   268,   272,   276,   278,   280,   291,
     292,   298,   302,   303,   327,   332,   339,   342,   343,   347,
     348,   364,   373,   388,   401,   418,   424,   435,   449,   452,
     460,   463,   464,   470,   478,   479,   485,   486,   492,   494,
     501,   502,   504,   505,  1196,  1199,  1309,  1310,  1311,  1315,
    1316,  1317,  1318,  1320,    25,    35,   138,   276,  1304,    37,
      39,   327,  1237,   465,   508,   942,   101,   148,   163,   181,
     187,   204,   215,   223,   235,   240,   247,   264,   289,   310,
     344,   366,   376,   379,   405,   410,   412,   419,   422,   441,
     447,   451,   452,   455,   459,   468,   473,   485,   498,   704,
    1265,   186,   942,   102,  1011,   496,   974,   342,   372,   942,
     125,   542,   629,    96,   101,   113,   135,   148,   159,   181,
     187,   204,   215,   223,   235,   243,   247,   255,   301,   344,
     347,   366,   379,   405,   412,   422,   447,   455,   456,   458,
     459,   468,   473,   479,   482,   485,   639,   686,   790,   794,
     848,   859,  1183,  1206,  1207,  1208,  1217,  1333,  1335,    14,
     102,   371,  1182,  1217,  1221,   440,  1011,   102,   365,   420,
     456,   458,   288,   896,   897,  1333,    96,   101,   113,   135,
     148,   163,   181,   204,   215,   223,   235,   240,   247,   264,
     310,   344,   356,   366,   379,   405,   410,   412,   419,   422,
     441,   447,   452,   455,   459,   466,   468,   473,   485,   498,
     704,   807,   808,   809,   942,   548,  1247,  1311,   257,  1221,
     166,   186,   220,   496,   542,   684,   687,   973,   979,   987,
     989,   998,  1005,  1010,  1014,  1202,    95,   102,   120,   230,
     236,   238,   261,   290,   324,   374,   392,   533,   534,   826,
     827,  1011,  1190,  1191,  1327,  1329,   102,   166,   388,   418,
     831,   832,   833,  1313,   235,  1313,  1187,  1333,   452,  1025,
     120,   236,   826,  1313,   465,  1221,   356,   310,   181,   264,
     412,   451,   452,   542,   906,   907,   411,  1313,   102,   138,
     423,   461,   465,   492,   579,   588,   589,  1196,  1197,  1307,
    1312,  1318,  1320,  1335,    99,   244,   831,   832,   372,   942,
    1313,   287,   102,   201,  1027,  1028,     4,    14,   136,   158,
     160,   301,   319,   405,   412,   423,   461,   465,   511,   576,
     577,   578,   579,   102,   423,   461,   465,   579,   465,   343,
    1068,  1180,  1313,  1025,  1301,  1311,   535,  1313,   239,   542,
     975,   542,   386,  1020,  1021,  1182,  1020,  1015,  1016,  1019,
     546,   974,   216,   278,   348,   478,  1029,  1030,  1015,  1017,
    1018,   192,   274,   484,   545,   122,   552,  1245,  1248,  1244,
    1240,   546,  1249,  1251,     5,    25,    35,   138,   205,   276,
    1256,   182,   253,   313,   316,   416,   523,   542,  1111,  1112,
    1228,  1232,  1322,    72,  1225,  1182,  1217,  1336,   187,  1206,
      21,   486,   536,  1221,  1221,  1336,   486,  1269,  1270,  1271,
      25,   276,   276,  1315,     7,    19,    20,    38,    41,   162,
     202,  1306,  1306,    16,  1245,   875,  1188,  1198,  1307,  1310,
    1313,  1314,  1318,  1319,  1335,   811,  1313,   811,  1183,   375,
     811,   468,  1182,   180,   452,   863,  1188,  1198,  1313,  1192,
    1193,   102,   255,  1180,   336,   498,    84,    91,    92,    93,
     143,   227,   529,   530,   531,   533,   534,   535,   536,   537,
     538,   892,   894,  1144,  1145,  1313,   255,  1182,  1182,   102,
    1192,  1193,  1182,  1182,   255,  1180,  1182,   811,  1182,   398,
     425,   102,   255,  1068,  1182,   415,  1182,   811,   308,  1192,
    1193,   255,  1180,   288,    34,   189,   284,   327,   382,   943,
     944,   945,  1180,  1186,  1313,    96,   101,   135,   148,   149,
     159,   163,   181,   204,   215,   223,   235,   240,   264,   289,
     310,   344,   366,   379,   405,   410,   412,   419,   422,   441,
     447,   452,   455,   459,   466,   468,   473,   498,   704,   817,
     818,  1333,   986,   989,   998,  1005,  1014,  1180,   312,  1188,
    1182,   542,   255,   811,   468,  1183,   811,   468,   255,  1182,
     180,   452,   456,   458,  1192,   327,   456,   458,   143,   227,
     892,   396,  1182,  1182,  1192,   255,   572,  1313,   255,  1182,
    1182,  1182,   415,  1182,   811,   308,  1192,   386,   419,   452,
     498,   310,   441,   163,   264,   240,   410,   466,   472,   698,
      84,  1209,  1210,   547,  1329,  1336,   102,  1221,  1335,  1012,
     586,  1195,  1333,   897,   312,   255,   875,   876,  1182,   255,
     901,   255,  1183,   124,   126,   127,   138,   139,   184,   185,
     205,   231,   255,   276,   277,   279,   320,   322,   335,   383,
     427,   433,   461,   462,   493,   813,  1090,  1092,  1094,  1096,
    1098,  1100,  1101,  1102,  1104,  1105,  1106,  1108,  1109,  1307,
    1314,  1318,  1319,  1335,   468,   180,   452,   255,   862,   863,
     255,  1193,  1194,   155,   498,   143,   227,   255,   893,   894,
     129,   255,  1194,   255,  1182,   255,  1182,   415,   901,   255,
     813,   255,   308,  1194,   288,   255,   810,   811,   255,  1181,
    1182,   255,  1182,   542,   548,  1337,  1338,  1339,  1340,  1342,
    1247,    70,  1217,  1266,   542,   988,   639,  1011,   979,   973,
     980,   981,   982,  1195,   974,  1191,   827,   828,   102,   827,
    1011,  1191,   828,   102,   827,  1011,  1191,   828,   828,   828,
    1191,  1190,  1190,   280,   486,  1271,  1272,  1346,  1347,  1011,
     828,   375,   542,   542,   659,   659,   659,   342,   463,   545,
     659,   412,  1068,  1069,   827,  1011,   827,  1011,   545,   938,
    1333,   238,   542,   985,   129,   498,   496,   908,   909,  1180,
    1182,  1313,   119,   525,   284,   544,   345,   345,   342,   238,
    1333,   463,   233,   821,   342,    82,    83,    84,    86,   110,
     124,   126,   127,   134,   135,   138,   139,   146,   148,   171,
     172,   173,   174,   175,   176,   177,   184,   185,   187,   221,
     225,   226,   231,   246,   248,   277,   279,   294,   302,   303,
     320,   322,   327,   332,   333,   335,   344,   354,   367,   383,
     408,   424,   433,   448,   461,   462,   467,   469,   470,   479,
     485,   493,   513,   514,   515,   516,   518,   519,   520,   521,
     526,   533,   534,   535,   542,  1015,  1093,  1096,  1099,  1100,
    1101,  1103,  1104,  1105,  1108,  1109,  1113,  1115,  1116,  1117,
    1119,  1140,  1141,  1142,  1146,  1165,  1170,  1177,  1178,  1188,
    1189,  1190,  1313,  1325,  1327,  1329,  1330,  1331,  1332,  1333,
    1176,  1177,   463,   531,  1336,  1333,   463,   531,  1265,   102,
     594,  1179,  1180,   423,   576,   187,   585,  1333,   586,  1333,
     119,   140,   576,   525,   434,   944,   345,   238,   463,   531,
     119,   525,   284,  1346,   945,   542,  1180,   535,   540,   544,
    1171,  1173,  1069,  1317,   237,   239,   496,   970,   971,   973,
    1335,   237,   976,  1113,  1149,  1020,   545,   542,   977,   543,
     543,  1180,   102,   201,  1026,  1026,   129,  1026,   228,   233,
     298,   339,  1033,  1035,  1036,  1051,  1053,  1054,  1055,  1029,
    1030,   238,   280,  1068,  1070,   542,   546,  1239,   535,  1258,
    1259,  1261,   548,   548,    25,   276,   276,   463,   463,   463,
     463,   542,   463,   534,   695,  1191,  1226,  1332,   212,   111,
    1213,   129,  1216,  1216,   280,  1271,  1273,   280,  1271,  1272,
    1273,   491,  1282,  1283,  1329,    14,    83,   436,   533,   534,
    1190,  1274,  1275,  1276,  1325,  1327,  1331,  1332,  1333,  1334,
     276,   282,  1182,   463,  1182,     6,  1182,  1306,  1261,   357,
     394,   425,   542,   873,  1173,   357,   390,   394,   425,   544,
     812,   357,   394,   425,   158,   210,   304,   357,   394,   425,
     455,   457,   505,   587,   590,   950,   951,   952,   953,  1335,
     843,    98,   206,   357,   394,   425,   489,   602,  1182,    98,
     206,   425,   484,   569,   509,   255,  1068,   131,   165,   195,
     224,   258,   293,   327,   357,   358,   394,   402,   409,   417,
     425,   437,   445,   500,   587,   591,   878,   886,   542,   860,
    1173,   394,   569,   261,   221,    98,   104,   145,   195,   199,
     206,   209,   234,   266,   325,   327,   337,   346,   357,   394,
     397,   398,   425,   489,   599,   601,   722,   695,   102,   255,
    1180,   811,   811,   542,   891,   357,   425,   544,   221,   342,
      98,   206,   357,   394,   425,   261,   561,   394,   505,   528,
     554,   561,   342,   357,   394,   221,   111,   130,   179,   263,
     311,   314,   325,   356,   394,   399,   419,   425,   439,   599,
     692,   693,   357,   394,   497,   722,   730,   357,   394,   425,
     158,   199,   209,   357,   390,   394,   425,   589,   577,   579,
     261,   221,   117,   197,   394,   425,   599,   600,   357,   394,
     398,   425,   156,   198,   359,   457,   342,    98,   104,   206,
     357,   394,   425,   619,   620,   233,   394,   425,   554,   590,
     221,   394,   425,   599,  1182,   546,   296,   189,   343,   510,
     545,   943,   486,   968,   342,   312,   875,   542,  1182,  1090,
     468,   180,   452,   863,   336,   498,   143,   227,   894,  1182,
    1182,   415,   233,  1182,  1090,   288,   811,  1182,   543,   659,
    1182,   542,   784,   873,   141,  1090,   327,   238,   542,   780,
    1182,   554,   111,   962,  1182,   327,   554,   509,   255,  1180,
     554,   221,   811,   811,   780,   482,   639,   342,   233,   922,
     923,   554,   327,   119,   573,   327,   473,   729,   158,   357,
     706,   156,   198,   359,   457,   100,   121,   275,   753,   111,
     780,   233,   255,   554,   498,   255,  1180,   255,   682,  1180,
    1180,   498,   811,   811,   155,   849,  1188,  1182,   233,   704,
      73,  1211,  1313,   547,  1212,  1209,   125,   178,   273,   325,
     414,   221,   132,   400,   545,   603,   603,   221,   542,   221,
     495,  1107,  1107,  1107,   542,  1095,  1095,   369,   542,  1097,
     221,   138,   139,  1107,  1095,  1092,   507,   528,   542,  1110,
     542,  1110,   545,   603,   110,  1091,   542,   182,   316,   523,
     542,  1111,   812,  1095,   509,   221,   545,   603,   221,   545,
     255,   810,   255,   811,   255,   811,   221,   545,   603,  1194,
     221,   221,   603,   221,   156,   198,   359,   457,   233,   221,
     603,   221,   233,   255,   255,   586,   221,   545,   603,   221,
     545,   603,   221,   342,   543,  1338,  1339,  1337,   545,   549,
    1149,  1270,  1345,  1346,   452,  1012,   543,   545,   226,   342,
     470,   583,   586,   695,   983,   979,   828,  1011,   828,  1011,
    1347,  1348,   828,  1011,   828,  1011,  1348,   828,  1011,  1011,
    1011,   828,    14,   436,  1321,  1324,  1329,  1011,   542,   660,
     661,  1313,   660,   102,   181,   204,   235,   240,   288,   289,
     412,   419,   452,   455,   473,   834,  1179,  1194,   833,  1182,
     261,   545,  1001,  1011,  1011,  1333,  1266,  1090,  1152,   111,
    1194,   849,   543,   545,   296,  1313,   233,   233,   834,  1194,
     411,  1313,   586,   342,   542,   540,  1015,  1153,  1113,  1169,
     542,   542,   233,   542,   542,  1015,   542,   542,   542,   542,
     542,   542,  1113,   542,   542,   542,   542,   542,   542,   542,
     542,  1015,   542,   542,   542,   542,   542,   542,   542,   542,
    1113,  1113,  1113,   492,  1015,  1113,  1149,  1173,  1333,   542,
    1333,    84,    87,    91,    92,    93,   108,   111,   116,   123,
     147,   256,   261,   282,   283,   297,   330,   344,   347,   430,
     526,   529,   530,   531,   533,   534,   535,   536,   537,   538,
    1144,  1146,  1148,  1335,   506,  1128,   353,  1113,   280,   545,
    1023,  1346,   542,  1333,  1173,    22,  1328,  1329,  1174,  1023,
     338,   342,  1298,  1298,    10,   491,  1285,  1286,  1288,  1265,
    1265,   190,   257,   595,   545,   140,   187,   586,   111,   187,
     301,   584,   695,  1109,  1333,  1335,  1333,   161,   203,  1125,
     170,   187,   580,   581,   583,   695,   187,   580,  1346,  1346,
     296,  1180,  1113,  1172,   535,  1185,  1315,  1171,   162,   399,
     815,   282,   543,   545,   974,   543,   545,  1021,  1181,   111,
     977,  1017,  1017,  1031,  1032,  1113,  1017,   230,   324,  1042,
     286,   325,   382,   428,   484,   102,  1037,  1113,  1038,  1040,
    1113,  1115,  1051,  1052,  1036,  1035,  1033,  1034,   233,  1054,
     337,  1056,  1033,  1051,  1070,   990,  1180,   111,  1313,   425,
    1149,  1258,   535,   545,   546,  1316,  1235,  1238,  1235,   276,
     182,   253,   313,  1112,   313,  1112,  1112,   316,  1190,   313,
     316,   416,  1332,   545,  1227,   186,  1265,   485,  1214,  1216,
    1182,   436,  1190,  1287,  1329,   545,   531,  1182,    14,  1190,
    1332,  1190,  1332,   545,  1245,   542,  1182,   542,  1317,   463,
     463,   412,   261,   271,   348,   350,   427,   494,   535,   866,
     867,   868,   870,   872,   874,  1090,  1314,   463,   497,   463,
     412,  1185,   544,   463,   463,   412,   298,   463,   463,   455,
     576,   357,   950,   952,   531,   954,   233,   244,   261,   403,
     844,   845,   141,   159,   217,   235,   373,   479,   656,   657,
     159,   187,   327,   463,   159,   463,   187,   327,   412,   159,
     199,   209,   357,   394,   776,   412,   712,    96,   101,   135,
     148,   163,   204,   215,   235,   240,   310,   344,   412,   419,
     422,   452,   459,   466,   473,   498,   704,  1182,   221,   394,
     425,   599,   342,   695,   342,   417,   293,   463,  1313,   463,
     332,   695,   191,   281,   412,   423,   465,   578,   400,   425,
     878,   887,   543,   861,   866,   463,   485,   455,  1180,   149,
     217,   255,   646,   656,  1313,   149,   159,   912,   342,   342,
     408,   410,   468,   159,   912,   105,   397,   408,   410,   468,
     408,  1180,   234,   266,   337,   811,   542,   463,   463,   254,
     542,   607,   307,   455,   482,   505,   507,   607,   159,   545,
     357,   261,   221,   195,   394,   425,   599,   486,   486,   326,
    1090,   463,   412,   542,   892,  1182,  1180,   452,   452,   463,
     463,   452,   780,   181,   590,   463,   556,   590,  1180,   463,
     463,  1180,  1092,   695,   129,   694,   695,   695,   179,   311,
     314,   129,   463,   554,   318,   412,   554,   325,   693,   463,
     463,   332,  1333,   722,   463,   463,   412,  1333,   463,   379,
     463,   379,   780,   455,  1068,   361,   361,   159,   463,   912,
     412,   463,   463,   607,   607,   811,   811,   811,   811,  1180,
     118,   491,   118,   118,   463,   118,   463,   491,   412,   545,
     485,   739,  1193,   463,   556,  1180,   463,   412,   357,   394,
     382,   395,   421,   582,   943,  1186,  1313,  1180,   282,  1090,
     342,   282,   509,   282,   695,   811,   811,   282,   342,   342,
     156,   198,   359,   457,  1090,   342,   282,   282,   282,   463,
     505,   630,   473,   785,   786,  1335,   780,   542,   111,   221,
     811,   781,   782,  1315,   100,   950,  1090,   342,   221,   709,
    1182,   327,   361,   542,   555,   794,   486,   386,   498,  1180,
     102,   452,   505,   882,   555,   221,  1193,   166,   244,   574,
     638,   688,   752,   829,   847,   946,   221,  1333,   730,   731,
    1333,  1193,   304,   811,   811,   811,   811,   337,   192,   274,
     471,   484,   754,   755,   213,   381,   542,   739,   327,   555,
    1180,   327,   690,   692,   327,   111,   337,   361,   542,   659,
     659,   255,   685,  1180,   977,   233,   255,   850,  1186,   542,
     864,   111,  1090,   288,   544,  1190,  1212,   505,   507,  1013,
     414,   876,   875,  1090,  1183,   542,  1149,  1190,   813,  1107,
    1107,   110,  1091,   461,   461,  1190,  1190,  1090,   540,   540,
    1190,   463,   463,  1190,  1095,   862,   863,  1194,  1193,   221,
     603,   221,   486,   221,   486,   893,   894,   603,  1194,  1182,
    1182,  1090,   813,  1194,   739,   221,   221,   603,   810,   811,
    1181,  1182,  1182,   811,   543,   549,  1340,   543,  1346,  1270,
    1180,   178,   979,   981,  1011,  1011,  1348,  1011,  1011,  1348,
    1011,  1011,  1182,    14,   545,  1328,   660,   543,   545,   543,
     241,   420,   453,  1181,   810,   180,   422,   862,  1181,   336,
    1181,  1179,  1179,  1181,   810,   463,   505,   840,   216,   298,
     736,   737,    96,   219,   408,   428,  1002,  1068,   331,  1003,
     543,   545,   986,   463,  1180,   906,   907,   909,   832,   831,
     832,   238,   245,   841,  1313,   101,   149,   181,   204,   215,
     235,   240,   289,   310,   379,   405,   412,   419,   447,   452,
     455,   473,   498,   704,   822,   823,  1149,   541,  1149,  1153,
    1154,   501,  1166,  1167,  1113,  1149,   542,  1190,  1190,   182,
     253,   313,   316,   416,   523,  1155,  1156,  1333,  1335,  1149,
    1149,  1149,  1190,  1190,  1113,   892,  1113,  1157,   408,   533,
     534,   542,  1114,  1115,  1146,  1159,   543,  1149,  1113,  1149,
    1160,  1113,   128,   238,   292,   464,  1113,  1149,  1163,  1149,
     318,  1115,  1113,  1123,  1124,  1125,   318,  1113,  1125,   543,
     545,  1190,  1111,  1090,  1113,  1113,  1113,  1113,  1315,   461,
     115,   449,  1175,   811,  1113,   542,  1015,  1164,   201,   203,
     226,   327,   332,   337,   470,   480,  1113,   542,  1113,   463,
     123,   256,   261,   297,   430,  1113,  1113,  1113,  1113,  1113,
    1113,  1113,  1113,  1113,  1113,   102,   109,   435,  1143,   247,
     229,  1129,   408,   542,  1140,   243,   301,   452,   456,   458,
     482,  1024,  1180,  1178,   238,  1058,   102,   201,   494,   535,
     543,   868,  1113,  1150,  1151,  1314,  1182,  1329,  1171,  1058,
    1287,   545,   531,  1180,   465,   542,  1333,   545,  1346,   543,
     541,   547,   254,   254,   603,  1245,  1180,   971,   972,  1180,
    1113,   543,   542,   545,   112,   196,   486,   856,   542,  1039,
    1191,   428,   286,   343,   545,   408,   409,  1041,  1179,   331,
     432,  1004,  1052,  1034,   486,   999,   187,   355,   542,   991,
    1014,   111,  1313,   542,  1006,  1007,  1008,  1313,   543,   546,
    1259,  1091,   549,  1238,   549,   543,   695,   543,    34,  1215,
    1290,  1291,  1329,  1283,  1288,  1336,  1274,  1091,  1323,  1339,
    1323,  1091,  1193,  1182,  1182,   350,   129,  1314,   543,   868,
     870,   867,   870,  1314,   348,   543,   545,   812,  1193,  1182,
    1182,  1185,  1193,  1182,  1182,  1193,  1183,  1182,   187,   583,
    1191,   405,   485,   831,   412,   244,   831,   542,  1182,   486,
     851,   286,   286,   486,   542,   680,   255,  1182,   332,  1193,
    1182,  1182,  1113,   332,  1182,  1182,   105,   397,   463,   463,
    1182,   463,   713,   312,   875,   542,   811,   811,  1090,   468,
     180,   452,   863,   498,   143,   227,   894,  1182,   811,  1182,
     811,   415,   233,  1090,   811,   288,   249,   325,   357,   394,
     490,   716,   717,   718,  1068,   463,   912,   412,   332,   223,
     191,   281,  1193,  1182,   342,  1182,   543,   545,  1192,  1194,
    1182,   394,   599,   255,   646,   327,  1090,  1182,  1313,  1182,
     223,   296,  1182,   102,   485,  1182,   255,  1182,   255,  1313,
     410,   468,   410,   468,   296,  1182,   102,   485,  1182,   296,
     408,  1180,    98,   206,   425,   723,   724,   725,   726,  1315,
    1193,  1182,   187,   239,   328,   486,   606,   609,   610,  1315,
    1182,   340,   145,   340,  1182,   601,   463,   455,  1180,   342,
     463,   912,   412,  1184,  1313,  1184,   545,   543,   545,  1193,
    1182,   917,   918,  1315,   342,   394,   463,   747,  1069,  1069,
    1193,  1182,  1069,  1183,  1192,   158,   211,   266,   363,   477,
     485,   488,   557,  1335,   394,  1193,  1182,   394,   425,   599,
     692,   695,   811,  1182,   695,   811,  1182,   695,  1193,  1182,
    1193,  1182,  1182,  1193,   882,  1182,   926,   927,  1315,  1182,
     394,   425,   599,   600,  1180,  1180,  1182,  1182,  1182,  1182,
    1193,  1182,    98,   104,   206,   357,   394,   425,   357,   394,
     425,   780,   394,   425,   394,   425,   195,   394,  1082,  1313,
     790,  1313,   255,  1313,  1193,  1182,  1182,  1333,  1182,    98,
     620,   422,  1192,   394,   425,   599,  1182,  1182,   463,   463,
     154,   476,   382,   332,   819,  1333,   111,   204,   811,   819,
     819,   282,   486,   486,   819,   811,   811,   288,   811,   819,
     819,   819,   378,   624,   340,   238,   463,   623,   264,   543,
     545,   531,  1113,  1090,   811,   543,   545,   531,   754,   648,
    1315,  1182,   132,   238,   412,   497,   710,   717,   718,   221,
     337,   297,   640,   642,   644,   646,   653,   656,    99,   261,
     405,   450,   557,   558,   233,  1184,   498,  1180,   111,   748,
     453,  1069,   780,   572,  1313,   573,   347,   639,  1182,   235,
     379,  1333,   780,   780,   780,   780,   337,   342,   347,   542,
     780,  1080,  1081,  1082,   422,   221,   542,   221,   221,   220,
    1203,   811,   337,   640,  1313,   505,   507,   676,   505,   608,
     327,   111,   659,   342,  1333,   327,   342,   543,   865,   866,
     871,   111,   288,   402,   466,   504,   877,   878,   879,   342,
     288,   586,  1211,   536,   252,   252,   233,   603,   111,  1149,
     543,   543,   603,   540,   525,   525,   543,   543,  1190,   541,
     542,  1190,  1313,  1333,  1344,   543,   543,   603,   810,   811,
    1184,   811,  1184,   603,   603,   288,   603,   422,   233,   586,
     603,   603,   342,   603,  1013,  1336,  1324,   543,   661,   261,
     261,   261,   509,  1181,   695,   696,   247,   835,   836,  1193,
      99,   841,   463,   542,   238,   219,   428,   219,   428,   408,
     484,   315,  1090,  1193,   505,   683,  1180,  1182,   238,   342,
     835,   129,   603,   875,  1090,   468,   452,   863,   336,   498,
    1090,   288,   811,  1182,   543,   541,   541,   545,  1113,   208,
    1167,  1168,   111,   543,  1113,   543,   543,   543,   238,   543,
     543,   543,   543,   543,   545,   543,   364,  1158,   543,   542,
    1114,  1114,  1149,    87,    91,    92,    93,   261,   282,   344,
     529,   530,   531,   533,   534,   535,   536,   537,   538,  1146,
    1114,   543,   543,   233,   238,  1161,  1162,   543,   111,  1163,
    1149,  1163,  1163,   238,   543,   543,  1315,   362,  1127,   111,
     543,   545,  1113,  1315,   545,  1113,  1174,  1113,   543,   525,
    1114,  1114,   214,  1149,   238,   201,   203,   226,   332,   337,
     470,   480,   542,   214,   892,  1113,   449,  1175,  1113,  1164,
    1113,   463,   542,  1015,   542,   542,   352,  1133,   542,  1149,
     456,   458,   456,   458,  1180,  1025,  1025,  1025,   291,   409,
     522,   542,  1015,  1059,  1060,  1061,  1068,  1073,  1083,  1116,
    1118,  1119,  1188,  1313,   502,  1078,  1150,  1150,  1151,   543,
      89,    90,   545,  1029,  1030,  1078,     8,    11,    12,    22,
      23,    24,    26,    27,    31,    32,    33,   180,   318,   369,
     473,  1293,  1294,  1296,  1286,  1287,   944,  1190,  1111,   581,
    1113,  1172,  1091,   977,   986,  1032,   344,  1144,  1147,   527,
     857,  1113,  1041,   484,  1038,   306,  1059,   502,  1079,   492,
     451,   485,   992,   993,   994,  1313,   342,   995,  1313,  1008,
    1009,   545,  1058,   531,  1174,   547,  1241,   546,   545,   531,
      30,  1302,   543,   543,   546,   874,   812,   870,   870,   129,
     872,   537,  1194,  1194,   342,  1181,   345,   342,  1113,   657,
    1184,   542,   542,   542,   680,   264,   660,   769,   221,   603,
     463,  1193,  1182,   586,  1182,  1090,  1182,   509,   811,   811,
     811,   811,   156,   198,   359,   457,  1090,  1182,   699,  1182,
     249,   490,   463,   463,   699,   716,   722,   394,   425,   599,
    1182,  1182,  1182,   272,  1182,   332,   866,   356,   425,   463,
     327,   221,   346,   720,   769,    98,   206,   398,   399,   425,
     602,   611,   612,   722,   913,  1182,   417,   221,   603,   221,
     603,  1182,  1182,  1182,  1182,   417,   417,   296,   725,   726,
     725,   543,   545,   727,  1333,   264,   543,   545,   531,   544,
    1193,  1182,   394,   425,   599,   223,  1182,  1182,  1182,   357,
     394,   425,    98,   206,   357,   394,   425,  1090,   326,  1090,
     543,   545,   531,  1180,   463,  1194,   486,   744,   298,   363,
     332,  1333,   363,  1194,   483,   463,   463,   412,   390,   432,
     545,   356,   425,   159,   463,   912,   412,   233,   613,   463,
     463,   308,   308,   308,   463,   463,   412,   463,   463,   412,
     463,   412,   463,   412,   342,   463,   603,  1090,  1333,   425,
     913,   221,   603,   463,   463,  1182,   463,   412,  1193,  1182,
    1090,   811,   282,   819,  1184,  1184,   282,   282,  1182,   282,
     442,   443,   625,  1333,   624,   249,   786,  1335,   326,   344,
     533,   534,   695,   783,   870,  1147,  1199,  1333,   543,   543,
     238,   780,   782,   783,   342,   141,   147,   159,   187,   189,
     242,   268,   327,   332,   373,   388,   479,   649,   650,   652,
     220,   501,   554,   586,  1182,   586,   720,  1180,  1180,  1180,
     543,   545,  1194,   247,   405,  1194,  1190,   473,  1180,   659,
    1335,   233,   749,   119,   573,   396,   452,   729,   180,   926,
     608,   660,  1180,   755,   787,   788,  1333,   543,   545,  1182,
     233,   660,  1180,  1180,  1182,  1014,   542,   641,  1180,   543,
     340,   607,   340,   342,   677,   607,   111,   221,  1014,   608,
    1149,   463,   221,  1180,   543,   545,   187,   531,   880,  1333,
     586,   452,   869,   870,   233,   881,   879,   882,   192,   274,
     418,   484,   935,  1182,   249,  1207,  1014,  1221,  1090,   543,
    1190,  1110,  1110,   541,  1344,   542,   533,   534,   535,   536,
     537,   541,   603,   486,   603,   486,   603,  1182,  1182,   739,
     603,   811,   233,   412,   412,   412,  1181,   545,  1193,   505,
     545,   837,   345,  1069,   422,   219,   219,   180,   325,  1194,
     834,   603,  1193,   282,   282,   282,   695,   282,   282,   282,
    1153,   460,  1113,   212,  1090,   543,  1113,  1113,  1113,  1161,
     543,  1149,   545,  1090,  1114,  1114,  1114,  1114,   201,   203,
     327,   337,  1114,  1114,  1114,  1114,  1114,  1114,  1114,  1114,
    1114,  1114,  1113,  1113,  1162,  1161,  1090,   543,   543,   543,
    1149,   543,   545,   129,  1115,   543,  1315,  1124,   370,   446,
    1126,   543,   545,   497,  1120,   111,   543,  1333,  1113,   108,
     108,  1113,   543,  1113,   238,   542,  1152,  1113,   543,   214,
    1114,  1114,   214,   214,  1113,  1113,  1030,   502,   542,  1134,
    1313,   543,  1149,   545,  1025,  1025,  1025,  1025,  1180,  1180,
    1180,  1015,  1073,  1083,   238,   542,  1015,  1060,  1061,   111,
    1062,  1063,  1313,   545,   167,   239,   270,   285,   295,   321,
     404,  1065,  1063,   111,  1062,  1064,  1313,  1063,   528,  1077,
     542,  1173,  1113,   247,  1043,   545,  1029,  1029,  1029,  1113,
    1113,   494,  1151,   543,  1043,   545,   531,   543,   541,  1302,
     543,   542,   857,   230,   290,   543,   343,   170,  1113,   401,
     997,   491,   543,   545,  1174,   157,   997,   543,   545,  1007,
    1079,  1113,  1190,   531,  1260,  1291,  1296,   543,   537,   874,
     473,   241,   413,   420,   453,   474,   846,   233,   846,   543,
     542,   663,   664,   853,  1118,  1313,   660,   660,   769,  1186,
     543,   189,   268,   325,   327,   770,  1182,  1182,   111,  1182,
     486,   486,   811,   811,   811,   811,   288,   812,  1193,  1182,
     463,   912,   412,   463,   272,   129,   455,  1182,   221,   646,
     542,   648,   242,   254,   327,   607,   554,   180,   242,   327,
     441,   444,   607,   693,   425,   612,   473,  1182,  1313,   417,
     724,  1182,   610,   783,  1315,   356,   425,   463,   912,   412,
    1182,   463,   463,   463,   412,   240,   344,   444,   792,   793,
     240,   344,   800,   801,   463,   463,   412,   543,   543,   543,
     918,   326,   695,   870,   919,  1147,  1199,  1333,   394,  1182,
     542,   505,   745,  1191,  1333,  1333,  1333,  1182,  1182,  1182,
     882,   390,   927,   129,   455,  1182,  1182,  1182,  1182,   492,
    1182,  1182,   233,   233,   396,   233,   255,  1193,  1182,  1182,
    1193,  1182,  1182,  1182,  1182,  1182,  1182,   223,  1182,   147,
     604,   100,   121,   473,  1313,  1182,  1333,   722,  1182,  1182,
     543,   282,   819,   282,   282,   819,   819,   282,   819,   554,
     625,   699,   769,   505,   507,   811,  1180,   542,   811,  1182,
    1114,   105,   129,   651,   190,   257,   189,   332,   286,  1180,
     882,   377,   772,   773,  1313,   709,   361,   542,   641,   654,
     267,   670,   644,  1194,  1194,  1090,   542,   608,   102,   192,
     274,   418,   484,   750,   463,   746,  1193,  1180,   731,   509,
     882,   389,   756,   543,   545,  1082,   720,   739,   543,   690,
     337,   361,   542,   988,   683,   643,   645,   647,   656,  1313,
     361,   671,   672,   641,   670,   153,   455,   678,  1014,   685,
     683,   678,   238,  1333,  1186,   851,   871,  1113,  1113,   545,
     542,   877,   473,   545,   463,   542,   699,    84,  1218,   543,
     541,   543,  1245,  1344,  1344,  1344,  1344,  1344,  1184,  1184,
     603,   422,   603,  1181,  1181,  1181,   695,   244,   836,   543,
    1182,   180,   841,   238,   332,   824,  1333,   824,   824,   282,
     824,   824,   824,  1113,   543,   543,  1162,   543,  1113,   238,
     201,   203,   337,   542,   543,   512,  1122,  1149,   387,   129,
     503,   503,   543,  1113,   325,  1113,   545,  1121,  1092,  1113,
    1113,  1113,  1152,   543,  1113,   108,   108,  1113,  1113,   214,
     543,   543,  1113,  1135,  1313,   543,  1113,  1180,  1180,  1180,
    1180,  1063,  1064,  1063,   542,   517,  1115,   543,  1313,   542,
    1060,   285,   351,  1066,  1060,  1066,   285,  1065,  1066,   285,
     454,  1071,   542,  1313,   542,   349,  1150,   129,   250,  1050,
     543,   543,   543,  1151,  1333,  1050,  1294,   534,  1287,  1295,
    1332,  1333,  1333,   892,   337,  1177,  1014,   355,  1014,   994,
     342,   542,   996,   531,  1008,   997,  1340,   473,   543,   463,
     831,   238,   769,  1113,   543,   545,   505,   147,   854,   854,
     543,   543,   882,   190,   257,   266,   189,   488,   603,  1090,
    1184,  1184,  1182,  1182,  1182,  1182,  1182,  1194,  1182,   646,
     721,   725,   651,   255,   332,   695,   651,   332,  1191,  1313,
    1090,   603,   603,   531,   129,   455,  1182,  1182,  1182,  1182,
    1193,  1182,  1182,  1190,  1190,  1090,   545,  1190,  1190,   545,
    1193,  1182,  1182,   463,  1113,   141,  1194,  1182,   463,   463,
     238,   261,  1181,  1181,   811,  1181,   221,  1182,   811,  1333,
    1333,  1090,   603,   603,   282,   819,   819,   819,   819,   542,
     626,   627,   486,   631,   632,   240,   271,   240,   238,   768,
    1113,   327,   650,   187,   111,   882,   659,   486,   679,  1188,
     108,   220,   261,   337,   640,   613,   218,   262,   542,   422,
     486,   660,   111,  1194,   744,   573,   542,   235,  1182,   323,
     341,   757,   758,   759,   233,   762,  1333,   422,   608,   811,
     337,   640,   683,   543,   545,   505,   648,   129,   676,   613,
     671,   192,   206,   370,  1182,   505,   947,   111,  1059,   238,
     342,   542,  1333,   868,   883,   884,  1314,   882,  1090,   233,
    1180,   238,   463,   903,   269,   700,  1219,  1313,   603,   543,
     603,   603,  1182,   345,   280,   603,   835,   824,   543,  1114,
     238,   542,  1152,   542,   543,   545,   543,  1115,   387,   543,
     491,   438,   543,   543,   543,  1113,  1113,  1113,   543,   361,
    1136,   543,  1074,  1075,  1118,   542,  1127,  1062,   542,  1181,
    1060,   342,   486,  1067,  1060,   285,  1060,  1188,  1081,   542,
    1081,  1313,  1029,   169,   248,   407,   542,  1044,  1045,  1046,
    1047,  1048,  1049,  1113,  1113,   504,  1130,  1029,  1130,  1190,
    1332,   543,  1011,  1346,   992,   159,   852,   853,   202,  1113,
     835,   342,   835,   543,   882,   664,   344,   892,   811,   811,
     855,   855,   388,   882,   679,   543,   463,   425,  1003,   543,
     545,   111,   221,   604,   783,  1194,  1182,   463,   542,   863,
     892,   894,   793,   542,   542,   801,  1182,   543,   542,   425,
    1003,  1182,  1182,   542,   542,   505,   528,   965,   396,   965,
     965,   233,   604,   819,   633,   634,  1315,   125,   168,   193,
     210,   214,   234,   237,   251,   332,   340,   380,   628,   554,
     194,   863,   111,   899,   899,  1180,   769,   543,   254,   679,
     309,   662,   264,   542,   773,   377,   542,  1180,   543,   422,
     102,   152,   160,   188,   254,   265,   444,   655,   655,  1179,
    1182,  1184,   543,  1014,   745,   180,   720,   758,   408,   452,
     760,   207,   763,   501,   765,  1182,   111,   641,  1180,   543,
     645,   346,   673,  1196,  1335,   677,   671,   676,   409,   409,
     133,   141,   301,  1014,   811,  1180,   852,   870,   543,   545,
     473,  1078,   436,   436,   543,   699,   325,   490,   701,   702,
     531,  1220,  1182,   603,  1114,  1152,   543,  1123,  1149,   129,
     325,   524,   129,  1029,   543,   545,   111,  1076,   187,  1088,
    1089,  1114,   150,  1181,   543,  1113,   542,  1060,  1067,   542,
     543,  1081,   543,   543,   542,   426,   542,   543,   545,  1131,
    1132,  1313,   543,   491,  1182,   543,   545,   328,   484,   837,
     846,   603,   854,   679,   542,   856,   856,  1180,   679,   769,
    1182,   455,   725,   254,   486,   605,   425,  1003,  1182,  1152,
     233,   796,   796,  1152,  1152,  1113,   455,   332,   475,   614,
     616,   617,   695,  1333,   614,   615,   810,   811,   810,   811,
    1181,   603,   543,   545,   535,   542,   583,   635,   695,   962,
    1333,   962,   327,   332,   380,   962,   962,   626,  1333,   899,
     114,   259,   233,   325,   658,   542,   691,   239,   360,   431,
     342,   666,   667,   668,   455,   543,  1188,    81,   774,   641,
     670,  1182,   543,   720,   227,   795,   608,   947,   509,   962,
     408,   440,   764,   542,   220,   720,  1014,   671,   641,   670,
     648,   542,   678,   676,   677,   141,   345,   141,   683,   851,
     543,   877,   883,  1090,   202,   505,   505,   490,   699,  1190,
    1327,  1335,    84,   720,   543,   543,   543,   387,   491,  1149,
     381,   409,  1137,  1077,  1074,   542,  1114,   543,   545,   111,
    1084,  1085,  1313,   543,  1181,  1149,   543,  1149,   542,  1149,
    1045,   545,   111,  1014,  1078,   853,   425,   238,   855,   502,
     665,   892,   857,   857,   659,   769,  1182,   691,  1113,   455,
     543,   348,   415,   385,   797,   797,   543,   543,   543,  1182,
     543,   545,   543,   545,   965,   634,   583,   636,   637,  1333,
    1333,   332,   660,   535,   660,  1333,  1333,   207,   266,   692,
     192,   484,   342,   668,   342,   667,  1182,   542,   543,   545,
     613,   422,   720,   811,   111,   111,  1182,   761,  1313,  1113,
     377,   947,   676,   613,   671,   542,   674,   675,  1118,  1313,
     677,   678,   345,   345,   542,   608,   882,   103,   275,   936,
     240,   240,  1219,   123,   170,   475,  1113,  1138,  1139,  1138,
     543,  1081,   545,  1089,  1315,   543,   545,   233,  1090,   543,
     543,   543,  1044,   543,  1132,  1134,  1006,   835,   856,   542,
     769,   543,   662,  1003,  1182,   863,   129,  1003,   463,   617,
     614,   811,   543,   545,   660,   408,   543,   132,   325,   400,
     425,   669,   669,   543,    81,   422,  1182,   792,  1014,   720,
     543,  1188,   677,   671,   676,  1113,   543,   545,   854,   854,
     678,   852,   678,   328,   542,   931,   933,   937,   989,   998,
    1005,  1014,   863,   863,  1139,   408,   232,   368,   232,   368,
     543,  1115,  1085,   349,   187,   327,   332,  1086,  1087,  1335,
     395,  1072,   543,  1078,   603,   857,  1113,   666,  1003,   811,
     542,   637,   765,    97,   187,   332,  1182,   720,   947,   542,
     678,   676,   677,   543,   675,   855,   855,   543,  1078,   932,
     933,   934,  1015,  1016,   545,   545,   108,  1127,  1114,   332,
    1087,  1114,   542,   543,   769,   616,   220,   720,   766,   767,
    1190,  1315,  1332,  1333,   677,   678,   854,   608,   543,   546,
     463,   238,  1139,   150,  1113,   543,   377,   543,   545,   678,
     855,   678,   934,   436,   436,  1084,   543,  1188,   767,  1078,
     505,   505,   543,   542,   240,   240,   766,   863,   863,   543
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   550,   551,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     553,   554,   554,   554,   555,   555,   556,   556,   557,   557,
     557,   557,   557,   557,   557,   557,   557,   558,   558,   558,
     558,   558,   558,   559,   560,   561,   561,   562,   562,   563,
     564,   565,   565,   566,   566,   567,   568,   569,   569,   570,
     570,   571,   571,   571,   571,   572,   572,   573,   573,   574,
     574,   574,   574,   574,   574,   575,   575,   575,   576,   576,
     576,   577,   577,   577,   577,   578,   578,   578,   578,   578,
     578,   578,   578,   578,   578,   578,   579,   579,   580,   580,
     581,   581,   582,   582,   582,   582,   583,   583,   583,   583,
     584,   584,   584,   584,   584,   584,   584,   585,   585,   585,
     586,   586,   587,   588,   588,   588,   588,   589,   589,   590,
     590,   591,   591,   592,   592,   592,   592,   592,   593,   594,
     594,   595,   595,   596,   597,   597,   597,   597,   597,   598,
     598,   598,   598,   598,   598,   598,   598,   598,   598,   598,
     598,   598,   598,   598,   598,   598,   598,   599,   599,   600,
     600,   601,   601,   601,   601,   601,   601,   601,   601,   601,
     601,   601,   601,   601,   601,   601,   601,   601,   601,   601,
     601,   601,   601,   601,   601,   601,   601,   601,   601,   601,
     601,   601,   601,   601,   601,   601,   601,   601,   601,   601,
     601,   601,   601,   601,   601,   601,   601,   601,   601,   601,
     601,   601,   601,   601,   601,   601,   601,   602,   602,   603,
     603,   603,   604,   604,   605,   605,   606,   606,   606,   606,
     607,   608,   608,   609,   609,   610,   610,   610,   610,   611,
     611,   612,   612,   612,   612,   613,   613,   614,   614,   614,
     615,   615,   616,   616,   617,   617,   618,   619,   619,   620,
     620,   620,   620,   621,   621,   622,   622,   623,   623,   624,
     624,   625,   625,   625,   626,   626,   627,   627,   628,   628,
     628,   628,   628,   628,   628,   628,   628,   628,   628,   628,
     628,   628,   629,   629,   630,   630,   631,   631,   632,   632,
     633,   633,   634,   635,   635,   635,   635,   635,   636,   636,
     637,   638,   638,   638,   638,   638,   638,   639,   639,   639,
     639,   639,   639,   639,   639,   640,   640,   641,   641,   642,
     642,   643,   643,   644,   644,   644,   645,   645,   646,   647,
     647,   648,   648,   649,   649,   649,   649,   650,   650,   650,
     650,   650,   650,   650,   650,   651,   651,   652,   652,   652,
     652,   653,   654,   654,   654,   655,   655,   655,   655,   655,
     655,   655,   656,   656,   657,   657,   657,   657,   657,   657,
     657,   658,   658,   659,   659,   660,   660,   661,   662,   662,
     662,   662,   663,   663,   664,   664,   665,   665,   666,   666,
     666,   666,   666,   667,   668,   669,   669,   669,   669,   669,
     670,   670,   671,   671,   672,   673,   673,   674,   674,   675,
     675,   675,   676,   676,   676,   676,   677,   677,   677,   677,
     678,   678,   679,   679,   680,   681,   682,   683,   683,   683,
     684,   684,   685,   686,   686,   687,   688,   688,   689,   689,
     690,   690,   691,   691,   692,   692,   693,   693,   693,   693,
     693,   693,   693,   693,   693,   693,   693,   693,   693,   693,
     694,   694,   695,   695,   695,   696,   696,   697,   697,   698,
     698,   699,   699,   700,   700,   701,   701,   702,   702,   703,
     703,   704,   704,   705,   706,   706,   707,   707,   708,   708,
     709,   709,   710,   710,   710,   710,   711,   712,   712,   713,
     714,   714,   714,   714,   714,   714,   714,   714,   714,   714,
     714,   714,   714,   714,   714,   714,   714,   714,   714,   714,
     714,   714,   714,   714,   714,   714,   715,   716,   716,   716,
     716,   717,   717,   718,   718,   719,   719,   720,   720,   721,
     721,   722,   723,   723,   724,   724,   724,   724,   725,   726,
     727,   728,   728,   729,   729,   730,   730,   731,   731,   732,
     732,   732,   733,   733,   733,   733,   734,   734,   735,   736,
     736,   737,   737,   738,   738,   739,   739,   740,   740,   741,
     742,   743,   744,   744,   745,   745,   746,   746,   747,   747,
     748,   748,   749,   749,   750,   750,   750,   750,   750,   751,
     752,   752,   753,   753,   753,   754,   754,   755,   755,   755,
     755,   755,   756,   756,   757,   757,   758,   759,   759,   760,
     760,   761,   762,   762,   763,   763,   764,   764,   765,   765,
     766,   766,   766,   767,   767,   767,   767,   768,   768,   769,
     769,   770,   770,   770,   770,   770,   770,   771,   771,   772,
     772,   773,   774,   774,   775,   776,   776,   776,   776,   777,
     778,   779,   779,   779,   779,   779,   779,   779,   779,   779,
     779,   779,   779,   779,   779,   779,   779,   780,   781,   781,
     782,   782,   783,   783,   783,   783,   783,   783,   784,   785,
     785,   786,   787,   787,   788,   788,   789,   789,   789,   789,
     790,   790,   791,   792,   792,   793,   793,   793,   793,   793,
     794,   794,   795,   795,   796,   796,   796,   797,   797,   798,
     799,   799,   800,   800,   801,   801,   802,   802,   803,   803,
     804,   805,   806,   806,   806,   806,   806,   806,   806,   806,
     806,   806,   806,   806,   807,   807,   807,   807,   807,   807,
     807,   807,   807,   807,   807,   807,   807,   808,   808,   808,
     808,   808,   808,   808,   809,   809,   809,   810,   810,   811,
     811,   812,   812,   813,   813,   814,   815,   815,   815,   816,
     816,   816,   816,   816,   816,   816,   816,   816,   816,   816,
     816,   816,   816,   816,   816,   816,   817,   817,   817,   817,
     817,   817,   817,   817,   817,   817,   817,   817,   817,   817,
     818,   818,   818,   818,   818,   818,   818,   818,   818,   818,
     818,   818,   819,   819,   820,   820,   820,   820,   820,   820,
     820,   821,   821,   822,   822,   822,   822,   822,   822,   823,
     823,   823,   823,   823,   823,   823,   823,   824,   824,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     826,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   826,   826,   826,   827,   827,   828,   828,   829,   830,
     830,   831,   831,   831,   831,   831,   832,   832,   833,   833,
     833,   833,   834,   834,   834,   834,   834,   834,   834,   834,
     834,   834,   834,   834,   834,   834,   834,   834,   835,   835,
     836,   836,   837,   837,   838,   839,   839,   840,   840,   841,
     841,   842,   843,   843,   844,   844,   844,   845,   845,   845,
     846,   846,   846,   846,   846,   847,   847,   848,   848,   849,
     849,   850,   850,   851,   851,   852,   852,   853,   853,   853,
     854,   854,   855,   855,   856,   856,   856,   857,   857,   857,
     858,   858,   858,   859,   859,   860,   860,   861,   861,   862,
     862,   863,   863,   863,   863,   864,   864,   865,   865,   866,
     866,   866,   866,   866,   867,   867,   867,   867,   867,   868,
     869,   870,   870,   870,   871,   871,   871,   872,   873,   873,
     873,   873,   874,   874,   875,   876,   876,   877,   877,   878,
     878,   878,   878,   878,   878,   878,   878,   878,   878,   878,
     878,   878,   878,   878,   878,   879,   879,   879,   879,   879,
     880,   880,   881,   881,   882,   882,   883,   884,   884,   885,
     886,   886,   887,   887,   888,   888,   889,   889,   890,   890,
     891,   891,   891,   891,   892,   892,   893,   893,   894,   895,
     896,   896,   897,   897,   898,   898,   898,   899,   899,   899,
     900,   901,   901,   902,   903,   903,   903,   903,   904,   905,
     905,   905,   905,   906,   906,   907,   907,   907,   908,   908,
     909,   910,   910,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   912,   912,   913,   913,   914,   914,
     914,   914,   915,   915,   915,   915,   915,   915,   915,   915,
     915,   915,   915,   915,   915,   915,   915,   915,   915,   915,
     915,   915,   915,   915,   915,   915,   915,   916,   917,   917,
     918,   918,   919,   919,   919,   919,   919,   920,   920,   920,
     920,   920,   920,   920,   920,   920,   920,   920,   920,   920,
     920,   920,   920,   920,   920,   920,   920,   920,   920,   921,
     922,   922,   923,   923,   924,   924,   924,   924,   925,   926,
     926,   927,   928,   928,   928,   928,   928,   928,   928,   929,
     929,   930,   931,   931,   931,   932,   932,   933,   933,   933,
     933,   933,   934,   934,   935,   935,   935,   935,   936,   936,
     936,   937,   938,   938,   939,   940,   940,   941,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   941,   941,   941,
     941,   942,   942,   942,   943,   943,   943,   943,   943,   944,
     944,   944,   945,   945,   946,   946,   946,   946,   947,   947,
     947,   947,   948,   949,   950,   950,   951,   951,   952,   952,
     952,   953,   953,   953,   953,   953,   953,   953,   954,   954,
     955,   955,   955,   956,   957,   957,   958,   959,   959,   960,
     961,   961,   961,   961,   961,   961,   961,   962,   962,   963,
     964,   964,   964,   964,   964,   964,   965,   965,   966,   967,
     967,   967,   968,   968,   969,   969,   969,   969,   969,   970,
     970,   971,   971,   971,   971,   971,   972,   972,   973,   973,
     974,   974,   975,   975,   976,   976,   977,   977,   978,   978,
     978,   978,   979,   979,   979,   979,   979,   979,   979,   979,
     979,   980,   980,   981,   982,   982,   983,   983,   983,   984,
     984,   985,   985,   986,   986,   986,   986,   987,   987,   988,
     988,   989,   990,   990,   991,   991,   991,   991,   991,   992,
     992,   993,   993,   994,   995,   995,   995,   996,   996,   996,
     997,   997,   998,   999,   999,  1000,  1001,  1001,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1003,  1003,  1004,  1004,
    1004,  1005,  1006,  1006,  1007,  1007,  1008,  1009,  1009,  1010,
    1011,  1011,  1012,  1012,  1012,  1012,  1012,  1013,  1013,  1013,
    1014,  1014,  1015,  1015,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1017,  1017,  1018,  1018,  1018,  1018,  1018,  1018,
    1018,  1019,  1019,  1019,  1020,  1020,  1021,  1022,  1022,  1023,
    1023,  1023,  1024,  1024,  1024,  1024,  1024,  1024,  1024,  1024,
    1024,  1025,  1025,  1026,  1026,  1026,  1027,  1027,  1028,  1028,
    1029,  1029,  1030,  1031,  1031,  1032,  1032,  1033,  1033,  1033,
    1033,  1034,  1034,  1035,  1035,  1035,  1036,  1036,  1037,  1037,
    1038,  1039,  1039,  1039,  1040,  1041,  1041,  1042,  1042,  1043,
    1043,  1044,  1044,  1045,  1045,  1045,  1045,  1045,  1046,  1047,
    1048,  1049,  1050,  1050,  1051,  1051,  1052,  1052,  1053,  1053,
    1054,  1055,  1055,  1055,  1055,  1056,  1056,  1057,  1057,  1058,
    1058,  1059,  1059,  1060,  1060,  1060,  1060,  1060,  1060,  1060,
    1060,  1060,  1060,  1061,  1061,  1061,  1061,  1061,  1061,  1062,
    1062,  1062,  1062,  1063,  1063,  1064,  1064,  1064,  1064,  1064,
    1065,  1065,  1065,  1065,  1066,  1066,  1067,  1067,  1068,  1068,
    1068,  1068,  1069,  1069,  1070,  1070,  1070,  1071,  1072,  1072,
    1073,  1073,  1074,  1075,  1075,  1076,  1076,  1077,  1077,  1078,
    1078,  1079,  1079,  1079,  1080,  1080,  1081,  1081,  1082,  1083,
    1083,  1084,  1084,  1085,  1085,  1085,  1086,  1086,  1087,  1087,
    1087,  1087,  1088,  1088,  1089,  1089,  1090,  1090,  1090,  1090,
    1090,  1090,  1091,  1091,  1091,  1092,  1092,  1092,  1092,  1092,
    1092,  1092,  1093,  1093,  1093,  1093,  1094,  1094,  1095,  1095,
    1096,  1096,  1096,  1096,  1096,  1096,  1096,  1096,  1096,  1096,
    1096,  1097,  1097,  1098,  1098,  1099,  1099,  1100,  1101,  1102,
    1102,  1103,  1103,  1104,  1105,  1106,  1106,  1106,  1106,  1106,
    1106,  1107,  1107,  1108,  1108,  1108,  1108,  1109,  1110,  1110,
    1110,  1111,  1111,  1111,  1111,  1111,  1111,  1111,  1111,  1111,
    1111,  1111,  1111,  1111,  1111,  1112,  1112,  1113,  1113,  1113,
    1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,
    1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,
    1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,
    1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,
    1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,
    1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,
    1113,  1114,  1114,  1114,  1114,  1114,  1114,  1114,  1114,  1114,
    1114,  1114,  1114,  1114,  1114,  1114,  1114,  1114,  1114,  1114,
    1114,  1114,  1114,  1114,  1114,  1114,  1115,  1115,  1115,  1115,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,
    1116,  1116,  1116,  1116,  1116,  1116,  1116,  1117,  1117,  1118,
    1118,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1120,  1120,  1121,  1121,  1121,  1121,  1122,
    1123,  1123,  1124,  1124,  1125,  1125,  1126,  1126,  1126,  1127,
    1127,  1127,  1127,  1128,  1128,  1129,  1129,  1130,  1130,  1131,
    1131,  1132,  1133,  1133,  1133,  1134,  1135,  1135,  1136,  1136,
    1137,  1137,  1137,  1138,  1138,  1139,  1139,  1139,  1139,  1139,
    1140,  1140,  1140,  1141,  1141,  1142,  1143,  1143,  1143,  1144,
    1144,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1146,  1146,  1147,  1147,  1148,  1148,  1148,
    1148,  1148,  1148,  1149,  1149,  1150,  1150,  1151,  1151,  1151,
    1152,  1152,  1153,  1153,  1153,  1154,  1154,  1155,  1155,  1156,
    1156,  1156,  1156,  1156,  1156,  1156,  1156,  1157,  1157,  1158,
    1159,  1159,  1160,  1160,  1160,  1160,  1160,  1160,  1161,  1162,
    1163,  1163,  1163,  1164,  1164,  1165,  1166,  1166,  1167,  1168,
    1168,  1169,  1169,  1170,  1170,  1171,  1171,  1171,  1171,  1172,
    1172,  1173,  1173,  1174,  1174,  1175,  1175,  1176,  1176,  1177,
    1177,  1178,  1178,  1178,  1178,  1179,  1179,  1180,  1180,  1181,
    1181,  1182,  1183,  1184,  1185,  1186,  1187,  1188,  1188,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1190,  1191,  1191,  1191,  1191,  1192,
    1193,  1193,  1193,  1194,  1194,  1195,  1195,  1195,  1195,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,
    1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,
    1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,
    1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,
    1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1198,
    1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,
    1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,
    1198,  1198,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,
    1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,
    1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,
    1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,
    1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,
    1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,
    1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,
    1199,  1199,  1199,  1199,  1199,  1199,  1199,  1200,  1200,  1201,
    1201,  1201,  1201,  1201,  1201,  1201,  1201,  1203,  1202,  1204,
    1205,  1205,  1205,  1205,  1206,  1206,  1206,  1206,  1207,  1207,
    1208,  1209,  1210,  1210,  1211,  1211,  1211,  1212,  1212,  1213,
    1213,  1214,  1214,  1215,  1215,  1215,  1215,  1216,  1216,  1216,
    1217,  1218,  1218,  1219,  1219,  1220,  1220,  1220,  1220,  1221,
    1221,  1222,  1223,  1224,  1225,  1225,  1226,  1227,  1227,  1228,
    1228,  1228,  1228,  1228,  1230,  1229,  1231,  1232,  1233,  1233,
    1234,  1234,  1234,  1234,  1235,  1235,  1237,  1236,  1239,  1238,
    1240,  1238,  1238,  1241,  1241,  1242,  1242,  1242,  1243,  1243,
    1243,  1243,  1244,  1244,  1245,  1245,  1245,  1245,  1245,  1245,
    1246,  1246,  1246,  1247,  1249,  1248,  1250,  1251,  1250,  1252,
    1252,  1253,  1253,  1254,  1254,  1255,  1255,  1255,  1255,  1255,
    1255,  1255,  1255,  1255,  1256,  1256,  1256,  1256,  1256,  1256,
    1256,  1256,  1256,  1256,  1257,  1257,  1258,  1258,  1259,  1260,
    1260,  1261,  1261,  1261,  1262,  1263,  1264,  1264,  1264,  1264,
    1265,  1265,  1265,  1266,  1266,  1267,  1267,  1268,  1269,  1269,
    1270,  1270,  1271,  1271,  1272,  1272,  1273,  1274,  1274,  1275,
    1275,  1275,  1276,  1276,  1276,  1276,  1276,  1276,  1276,  1276,
    1276,  1277,  1277,  1277,  1277,  1277,  1278,  1278,  1279,  1280,
    1281,  1282,  1282,  1283,  1284,  1285,  1285,  1286,  1287,  1287,
    1288,  1289,  1290,  1290,  1291,  1292,  1293,  1293,  1294,  1295,
    1295,  1295,  1295,  1295,  1296,  1296,  1296,  1296,  1296,  1296,
    1296,  1296,  1296,  1296,  1296,  1296,  1296,  1296,  1296,  1297,
    1297,  1298,  1298,  1299,  1299,  1299,  1301,  1300,  1302,  1302,
    1304,  1303,  1305,  1305,  1305,  1306,  1306,  1306,  1306,  1306,
    1306,  1306,  1306,  1306,  1307,  1307,  1308,  1308,  1308,  1308,
    1308,  1308,  1308,  1308,  1308,  1308,  1308,  1308,  1308,  1308,
    1308,  1308,  1308,  1308,  1308,  1308,  1308,  1308,  1308,  1309,
    1309,  1309,  1309,  1309,  1309,  1310,  1310,  1310,  1310,  1310,
    1310,  1310,  1311,  1312,  1312,  1312,  1312,  1312,  1312,  1312,
    1312,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1314,  1314,
    1314,  1314,  1314,  1314,  1315,  1315,  1315,  1315,  1315,  1315,
    1315,  1315,  1315,  1315,  1315,  1316,  1316,  1316,  1316,  1316,
    1317,  1317,  1317,  1317,  1318,  1318,  1318,  1318,  1318,  1318,
    1318,  1319,  1319,  1319,  1320,  1320,  1320,  1320,  1320,  1320,
    1321,  1321,  1322,  1323,  1323,  1324,  1324,  1325,  1326,  1327,
    1328,  1328,  1328,  1329,  1330,  1331,  1332,  1333,  1333,  1333,
    1333,  1333,  1334,  1335,  1335,  1335,  1336,  1336,  1337,  1337,
    1337,  1338,  1338,  1339,  1339,  1340,  1340,  1341,  1341,  1341,
    1341,  1341,  1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,
    1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,
    1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,
    1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,
    1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,
    1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,  1343,  1343,
    1343,  1343,  1344,  1344,  1344,  1344,  1344,  1344,  1344,  1344,
    1344,  1344,  1345,  1345,  1345,  1345,  1345,  1346,  1346,  1347,
    1347,  1348,  1348
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       5,     1,     1,     0,     2,     0,     2,     0,     2,     2,
       3,     3,     1,     3,     3,     2,     1,     1,     2,     2,
       2,     3,     3,     5,     5,     0,     3,     5,     5,     5,
       4,     3,     5,     3,     5,     5,     6,     1,     1,     3,
       5,     6,     4,     9,     7,     1,     0,     2,     0,     1,
       1,     1,     1,     1,     1,     2,     3,     3,     2,     5,
       1,     3,     3,     3,     3,     1,     3,     3,     2,     2,
       2,     2,     3,     3,     3,     3,     1,     3,     1,     3,
       1,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     3,     5,     1,     1,     1,     1,     1,     0,
       1,     1,     2,     1,     2,     3,     2,     1,     1,     2,
       1,     2,     1,     3,     4,     5,     4,     2,     4,     1,
       1,     1,     1,     1,     2,     2,     2,     2,     2,     4,
       6,     4,     6,    10,    13,     4,     6,    10,    13,     4,
       6,     4,     6,     5,     7,    11,    14,     1,     3,     4,
       3,     2,     5,     3,     6,     4,     6,     6,     6,     5,
       5,     6,     9,     4,     5,     7,     6,     4,     8,     4,
       2,     4,     3,     6,     4,     3,     3,     3,     3,     2,
       2,     3,     4,     4,     3,     3,     3,     3,     3,     3,
       4,     4,     3,     2,     3,     2,     2,     3,     3,     2,
       2,     3,     4,     4,     4,     5,     1,     3,     2,     1,
       1,     0,     2,     0,     2,     0,     1,     1,     1,     3,
       3,     2,     0,     1,     3,     3,     1,     5,     3,     1,
       2,     1,     3,     2,     3,     6,    10,     1,     1,     1,
       1,     3,     1,     3,     1,     1,     4,     1,     3,     4,
       6,     4,     8,     2,     2,    11,     9,     1,     1,     1,
       0,     1,     1,     1,     1,     3,     2,     0,     1,     1,
       1,     3,     3,     1,     1,     3,     3,     3,     3,     4,
       3,     2,     1,     0,     2,     0,     3,     0,     1,     0,
       1,     3,     2,     1,     1,     1,     3,     0,     1,     3,
       1,    12,    15,    11,    14,    13,    16,     1,     1,     2,
       2,     2,     2,     1,     0,     1,     0,     3,     0,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     4,     2,
       4,     2,     0,     3,     1,     1,     2,     2,     1,     3,
       4,     5,     2,     5,     5,     1,     2,     1,     2,     2,
       2,     3,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     5,     7,     3,     8,     4,     9,
      11,     2,     0,     3,     0,     1,     3,     1,     2,     2,
       2,     0,     1,     3,     3,     6,     4,     0,     1,     1,
       2,     2,     0,     3,     3,     2,     1,     1,     2,     2,
       4,     0,     1,     0,     6,     1,     1,     1,     3,     3,
       3,     5,     2,     2,     2,     0,     3,     4,     4,     0,
       2,     0,     4,     0,     3,     9,     5,     2,     3,     0,
       8,    11,     4,     1,     0,     6,     5,     8,     4,     6,
       1,     0,     3,     0,     1,     2,     2,     2,     1,     2,
       3,     2,     2,     2,     2,     3,     3,     3,     1,     3,
       1,     0,     1,     2,     1,     1,     3,     6,    10,     1,
       0,     1,     2,     2,     0,     2,     2,     1,     0,     5,
       7,     1,     0,     7,     2,     0,     3,     5,     5,     8,
       2,     0,     2,     2,     2,     1,     5,     2,     0,     2,
       7,     6,    10,     6,     6,     6,     6,     7,     6,     9,
       9,     6,     7,     6,     8,     8,     8,     8,     6,     6,
       7,     7,     8,     6,     9,     6,     7,     2,     2,     2,
       2,     1,     2,     1,     0,     7,     6,     4,     0,     1,
       3,     4,     1,     3,     1,     2,     2,     2,     2,     1,
       1,    10,    13,     2,     0,     2,     2,     1,     0,     5,
       4,     4,    11,    14,    12,    15,     5,     7,    11,     2,
       1,     4,     0,     8,    11,     1,     1,     7,     9,     8,
      10,     8,     4,     0,     5,     0,     2,     0,     2,     0,
       2,     0,     2,     0,     1,     1,     1,     1,     1,     8,
      16,    20,     1,     1,     2,     1,     3,     1,     1,     1,
       3,     1,     2,     0,     1,     2,     4,     1,     1,     1,
       1,     1,     3,     0,     1,     0,     1,     1,     4,     0,
       1,     3,     0,     1,     1,     1,     1,     2,     0,     0,
       2,     2,     1,     2,     2,     2,     2,    11,    13,     1,
       3,     5,     1,     3,     5,     1,     2,     2,     1,     8,
       4,     5,     4,     4,     4,     3,     7,     8,     6,     6,
       6,     6,     6,     4,     7,     5,     8,     3,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       3,     3,     1,     0,     1,     3,     7,     9,     9,     8,
       3,     0,    13,     1,     3,     5,     5,     3,     6,     2,
       1,     0,     2,     0,     2,     4,     0,     1,     0,     6,
       8,     8,     1,     3,     5,     5,     7,     9,     7,     9,
       5,     6,     6,     4,     6,     4,     6,     8,     4,     6,
       4,     6,     5,     7,     1,     1,     1,     2,     1,     2,
       1,     1,     1,     3,     3,     3,     3,     2,     2,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       2,     2,     3,     1,     3,     5,     2,     2,     0,     6,
       6,     6,     6,     6,     6,     6,     8,     9,     8,     8,
       9,     8,     9,     9,     7,    10,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     2,     3,     3,     3,     3,
       2,     1,     2,     1,     3,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     8,     8,     8,     8,     8,     8,
       9,     2,     0,     1,     2,     1,     1,     1,     2,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     2,
       2,     3,     4,     5,     4,     5,     3,     4,     3,     4,
       1,     2,     3,     3,     3,     3,     4,     4,     3,     3,
       4,     4,     4,     4,     1,     1,     1,     0,     7,     7,
      10,     1,     1,     2,     4,     5,     1,     3,     2,     2,
       2,     2,     1,     2,     2,     4,     3,     2,     2,     2,
       2,     3,     2,     2,     2,     5,     5,     5,     1,     3,
       1,     2,     3,     0,     6,     6,     9,     3,     0,     3,
       0,     5,     2,     0,     3,     3,     3,     7,     7,    10,
       1,     1,     1,     1,     1,    14,    17,     1,     0,     1,
       0,     1,     0,     2,     0,     1,     3,     5,     5,     7,
       2,     0,     1,     0,     1,     1,     0,     2,     2,     0,
       9,    12,     7,     2,     0,     3,     2,     1,     3,     1,
       3,     2,     1,     1,     2,     3,     2,     1,     3,     3,
       3,     2,     2,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     4,     5,     1,     3,     3,     1,     3,     3,
       5,     6,     1,     3,     2,     1,     3,     1,     2,     4,
       5,     1,     1,     1,     1,     3,     3,     2,     2,     1,
       2,     2,     2,     1,     2,     2,     2,     2,     1,     1,
       1,     3,     3,     5,     2,     0,     2,     1,     3,     5,
       1,     2,     1,     0,     4,     6,     4,     6,     4,     6,
       3,     5,     5,     5,     1,     3,     1,     3,     2,     2,
       1,     2,     1,     2,    11,    10,    10,     2,     2,     0,
       9,     2,     0,    10,    11,    11,     5,     5,     8,     3,
       3,     6,     6,     1,     1,     1,     1,     1,     1,     3,
       1,     5,     5,     6,     6,     6,     6,     6,     8,     8,
       6,     6,     7,     9,     9,     8,    10,     6,     6,     6,
       6,     6,     8,     6,     8,     6,     8,     7,     9,     6,
       8,     7,     9,     8,    10,     9,    11,     8,    10,     9,
      11,     8,     8,     7,     6,     6,     6,     6,     8,     8,
       8,     8,     6,     9,     1,     0,     2,     0,     7,     9,
       8,     7,     6,     6,     6,     6,     6,     6,     6,     9,
       9,     6,     8,     6,     8,     8,     8,     8,     6,     8,
       6,     8,     7,     9,     7,     9,     6,     7,     1,     3,
       3,     3,     1,     1,     1,     1,     1,     6,     6,     6,
       6,     6,     6,     7,     7,     6,     9,     9,     6,     6,
       6,     6,     8,     8,     8,     6,     7,     6,     6,     5,
       1,     0,     3,     3,     5,     6,     6,     6,     8,     1,
       3,     1,     5,     5,     6,     8,     8,     4,     4,     4,
       6,    13,     1,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     1,     1,     1,     1,     1,
       0,     3,     2,     0,     2,     2,     2,     2,     3,     3,
       2,     2,     2,     2,     3,     2,     5,     4,     3,     3,
       3,     1,     1,     0,     3,     2,     2,     1,     2,     1,
       3,     2,     1,     0,     9,    11,    12,    14,     3,     4,
       4,     0,     2,     5,     1,     0,     1,     2,     3,     3,
       3,     1,     2,     1,     1,     1,     1,     1,     1,     0,
       5,     4,     6,     4,     3,     5,     5,     4,     4,     6,
       4,     6,     6,     5,     7,     9,     6,     1,     0,     6,
      11,    11,    11,    13,     9,    11,     1,     1,    10,     4,
       2,     5,     2,     0,     4,     5,     5,     4,     6,     1,
       3,     1,     1,     1,     1,     1,     2,     4,     1,     1,
       1,     0,     1,     0,     1,     0,     3,     0,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     2,     1,     1,     1,     1,     0,     5,
       4,     3,     0,     1,     1,     1,     1,     4,     9,     3,
       0,     7,     1,     3,     1,     4,     4,     7,     2,     1,
       1,     1,     3,     2,     8,     5,     0,     4,     3,     0,
       3,     0,     7,     2,     0,     5,     3,     0,     2,     2,
       2,     3,     1,     3,     1,     2,     1,     0,     1,     2,
       0,     8,     1,     3,     3,     5,     2,     1,     3,     7,
       1,     1,     0,     3,     2,     2,     2,     0,     2,     2,
       1,     1,     3,     3,     1,     2,     4,     4,     2,     3,
       5,     5,     1,     1,     9,     9,     1,     2,     4,     4,
       4,     2,     2,     3,     1,     3,     6,     1,     0,     2,
       1,     0,     3,     3,     4,     4,     4,     4,     3,     2,
       1,     1,     0,     1,     1,     0,     1,     5,     1,     0,
       1,     0,     3,     1,     3,     4,     3,     2,     2,     1,
       1,     1,     0,     2,     4,     5,     2,     3,     1,     1,
       1,     1,     3,     0,     1,     1,     1,     1,     1,     3,
       0,     1,     3,     1,     1,     1,     1,     1,     2,     4,
       4,     5,     2,     0,     1,     3,     1,     0,     1,     2,
       3,     2,     4,     2,     3,     2,     0,     4,     5,     2,
       0,     1,     3,     2,     3,     2,     3,     2,     3,     2,
       3,     1,     4,     3,     4,     5,     4,     5,     4,     5,
       2,     4,     1,     1,     0,     1,     4,     5,     4,     0,
       2,     2,     2,     1,     1,     0,     4,     2,     1,     2,
       2,     4,     1,     3,     1,     2,     3,     6,     4,     0,
       2,     6,     2,     1,     3,     4,     0,     2,     0,     2,
       0,     2,     4,     0,     1,     0,     1,     3,     3,     7,
      12,     1,     3,     2,     3,     3,     1,     2,     2,     2,
       2,     1,     1,     3,     3,     2,     2,     3,     5,     6,
       2,     3,     3,     4,     0,     1,     1,     1,     1,     1,
       2,     4,     1,     1,     1,     1,     2,     3,     3,     0,
       1,     1,     1,     1,     1,     2,     2,     2,     2,     2,
       1,     3,     0,     1,     1,     1,     1,     5,     2,     1,
       1,     1,     1,     4,     1,     2,     2,     1,     3,     3,
       2,     1,     0,     5,     2,     5,     2,     1,     3,     3,
       0,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     3,     3,     3,     0,     1,     4,     1,     3,     3,
       5,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     2,     3,     3,
       2,     2,     3,     5,     4,     6,     3,     5,     4,     6,
       4,     6,     5,     7,     3,     2,     4,     2,     3,     3,
       4,     3,     4,     3,     4,     5,     6,     6,     7,     6,
       7,     6,     7,     3,     4,     4,     6,     2,     3,     4,
       1,     1,     3,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       5,     6,     6,     7,     3,     4,     1,     1,     2,     4,
       1,     1,     1,     2,     2,     2,     2,     1,     1,     4,
       3,     5,     6,     8,     6,     6,     4,     4,     1,     1,
       1,     5,     1,     1,     4,     1,     4,     1,     4,     1,
       4,     1,     1,     1,     1,     1,     1,     6,     4,     4,
       4,     4,     6,     5,     5,     5,     4,     6,     4,     4,
       4,     4,     5,     7,     7,     9,     5,     4,     6,     5,
       7,     7,     7,     2,     3,     3,     3,     4,     0,     4,
       1,     3,     3,     1,     1,     1,     2,     2,     0,     2,
       4,     4,     6,     5,     0,     5,     0,     2,     0,     1,
       3,     3,     2,     2,     0,     6,     1,     0,     3,     0,
       2,     2,     0,     1,     4,     2,     2,     2,     2,     2,
       4,     3,     5,     4,     3,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     1,     4,     1,     4,     1,
       2,     1,     2,     1,     3,     1,     3,     1,     3,     3,
       1,     3,     3,     3,     2,     1,     3,     3,     0,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     3,     2,
       3,     0,     3,     3,     2,     2,     1,     0,     2,     2,
       3,     2,     1,     1,     3,     5,     1,     2,     4,     2,
       0,     1,     0,     1,     2,     2,     2,     3,     5,     1,
       0,     1,     2,     0,     2,     1,     0,     1,     0,     1,
       3,     3,     2,     1,     1,     1,     3,     1,     2,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     2,     6,     2,     3,     5,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     0,     2,     4,
       3,     2,     1,     1,     1,     1,     1,     0,     8,     2,
       5,     3,     2,     2,     3,     7,     1,     1,     1,     0,
       2,     2,     1,     0,     1,     3,     1,     2,     0,     2,
       0,     2,     0,     1,     3,     4,     3,     1,     1,     1,
       1,     2,     0,     2,     4,     0,     2,     2,     2,     1,
       1,     7,     3,     1,     1,     1,     1,     2,     0,     1,
       3,     3,     3,     3,     0,     4,     5,     5,     0,     1,
       1,     1,     2,     2,     1,     2,     0,     7,     0,     5,
       0,     4,     2,     2,     0,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     5,     2,     1,
       3,     2,     2,     3,     0,     5,     1,     0,     5,     2,
       2,     1,     1,     1,     2,     2,     3,     1,     2,     2,
       3,     3,     4,     2,     1,     2,     1,     1,     2,     2,
       3,     1,     1,     1,     1,     0,     1,     3,     5,     0,
       2,     0,     1,     2,     3,     2,     1,     1,     1,     0,
       1,     1,     1,     1,     1,     2,     2,     3,     0,     1,
       2,     1,     4,     3,     4,     3,     2,     1,     3,     1,
       1,     1,     1,     2,     2,     1,     2,     2,     1,     1,
       1,     4,     4,     4,     4,     4,     1,     0,     3,     3,
       4,     1,     3,     3,     4,     1,     3,     3,     1,     1,
       1,     6,     1,     3,     3,     6,     1,     3,     3,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       4,     1,     1,     4,     4,     3,     0,     7,     1,     0,
       0,     7,     3,     4,     3,     1,     1,     1,     2,     3,
       5,     2,     5,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     0,     1,     2,     1,     2,     1,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       3,     1,     2,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     3,
       2,     3,     1,     3,     3,     3,     3,     3,     3,     1,
       1,     4,     0,     2,     2,     1,     1,     2,     1,     1,
       1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1605 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32323 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1607 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32329 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1609 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32335 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1611 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32341 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1613 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32347 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1615 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32353 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1617 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32359 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1619 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32365 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1621 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32371 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1623 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32377 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1625 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32383 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1627 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32389 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1629 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32395 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1631 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32401 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1633 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32407 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1635 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32413 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1637 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32419 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1639 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32425 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1641 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32431 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1643 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32437 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1645 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32443 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1647 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32449 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1649 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32455 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1651 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32461 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1653 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32467 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1655 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32473 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1657 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32479 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1659 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32485 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1661 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32491 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1663 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32497 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1665 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32503 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1667 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32509 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1669 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32515 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1671 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32521 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1673 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32527 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1675 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 32549 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1693 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32555 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1695 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32561 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1697 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32567 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1699 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32573 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1701 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32579 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1703 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32585 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1705 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32591 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1707 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32597 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1709 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32603 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1711 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32609 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1713 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32615 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1715 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32621 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1717 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32627 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1719 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32633 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1721 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32639 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1723 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32645 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1725 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32651 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1727 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32657 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1729 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32663 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1731 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32669 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1733 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32675 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1735 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32681 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1737 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32687 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1739 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32693 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1741 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32699 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1743 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32705 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1745 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32711 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1747 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32717 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1749 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32723 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1751 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32729 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1753 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32735 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1755 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32741 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1757 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32747 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1759 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32753 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1761 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32759 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1763 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32765 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1765 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 32773 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1769 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 32779 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1771 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32785 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1773 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 32791 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1775 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 32797 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1777 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32803 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1779 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32809 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1781 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32815 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1783 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32821 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1785 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32827 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1787 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32833 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1789 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32839 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1791 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32845 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1793 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32851 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1795 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32857 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1797 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32863 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1799 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32869 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1801 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32875 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1803 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32881 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1805 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32887 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1807 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32893 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1809 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 32899 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1811 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32905 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1813 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 32911 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1815 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32917 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1817 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32923 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1819 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32929 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1821 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32935 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1823 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 32941 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1825 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32947 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1827 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32953 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1829 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32959 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1831 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32965 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1833 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32971 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1835 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 32982 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1842 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32988 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1844 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32994 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1846 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33000 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1848 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33006 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1850 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33012 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1852 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33018 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1854 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33024 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1856 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33030 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1858 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33036 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1860 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33042 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1862 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 33048 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1864 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33058 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1870 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33064 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1872 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33070 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1874 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 33076 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1876 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33082 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1878 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33088 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1880 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33094 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1882 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33100 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1884 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33106 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1886 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 33116 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1892 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33130 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1902 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 33138 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1906 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 33148 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1912 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 33156 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1916 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 33170 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1926 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33184 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1935 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 33190 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1937 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33208 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1951 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 33219 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1958 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 33229 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1964 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 33244 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1975 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33254 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1981 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33267 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1990 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 33278 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1997 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 33288 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 2003 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 33301 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 2012 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 33312 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 2019 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 33323 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 2026 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33329 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 2032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33337 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 2040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 33345 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 2044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 33353 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 2048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33360 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 2055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33368 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33375 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33383 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33390 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 33398 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 33406 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 33414 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2089 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 33423 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 33431 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 33439 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 33447 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 33455 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33463 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33471 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 33479 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 33487 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 33495 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 33503 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 33511 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33519 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33527 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33534 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 33542 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33550 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33558 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33566 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33574 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 33582 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 33590 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 33598 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 33606 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33614 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 33622 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 33630 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 33638 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 33646 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 33654 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33662 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33670 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2273 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33679 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2278 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33688 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33696 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33703 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33711 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33718 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33726 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33734 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33742 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33750 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33758 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33766 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 33774 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 33782 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 33790 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 33798 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 33806 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33814 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 33822 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33830 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 33838 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33846 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 33854 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 33862 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2394 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 33871 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 33879 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 33887 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 33895 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 33903 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 33911 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 33919 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 33927 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33935 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 33943 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33951 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33959 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33967 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2459 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 33981 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 33989 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 33997 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 34005 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 34013 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 34021 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 34029 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 34037 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34045 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34053 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34061 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34069 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 34077 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34085 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 34093 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 34101 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34109 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 34117 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34124 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34132 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34140 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 34148 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34156 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 34164 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 34172 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 34180 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34188 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34196 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 34204 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34212 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 34220 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34228 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 34236 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 34244 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 34252 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 34260 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2652 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 34269 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34277 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34285 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34293 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 34301 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 34309 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 34317 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 34325 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 34333 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 34341 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 34349 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 34357 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34365 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34373 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34381 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34389 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34397 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34405 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34413 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34421 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34429 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34437 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34445 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34453 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34461 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34469 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34477 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34485 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34493 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34501 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34509 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34517 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("attach partition"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34525 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("detach partition"),(yyvsp[0].str));
}
#line 34533 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 34541 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add if not exists"),(yyvsp[0].str));
}
#line 34549 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 34557 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column if not exists"),(yyvsp[0].str));
}
#line 34565 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34573 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 34581 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 34589 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 34597 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 34605 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 34613 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 34621 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("add generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 34629 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34637 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("drop identity"));
}
#line 34645 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("drop identity if exists"));
}
#line 34653 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34661 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34669 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34677 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34685 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 34693 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34701 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 34709 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34717 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34725 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 34733 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 34741 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 34749 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 34757 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set logged");
}
#line 34765 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 34773 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 34781 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 34789 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 34797 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 34805 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 34813 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 34821 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 34829 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 34837 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 34845 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 34853 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 34861 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 34869 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 34877 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 34885 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 3001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 34893 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 3005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 34901 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 3009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 34909 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 3013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 34917 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 3017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 34925 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 3021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 34933 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 3025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 34941 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 3029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 34949 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 34957 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 34965 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 34973 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34981 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 34989 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 34997 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 35005 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 35013 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35020 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 35028 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35035 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 35043 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35050 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 35058 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 35066 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 35074 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 35082 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35090 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 35098 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35105 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35113 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35121 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 35129 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35137 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 35145 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 35153 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35161 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35169 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 35177 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35185 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35193 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set generated"),(yyvsp[0].str));
}
#line 35201 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for values in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35209 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("for values from ("),(yyvsp[-5].str),mm_strdup(") to ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35217 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35225 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35233 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 35241 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35249 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35257 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35265 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35273 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 35281 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35289 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35297 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35305 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35313 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35321 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35329 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35337 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35345 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3309 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 35354 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 35362 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3322 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35374 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy ("),(yyvsp[-6].str),mm_strdup(") to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35382 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 35390 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 35398 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 35406 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35413 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35421 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 35429 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 35437 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35445 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35453 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35461 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35468 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 35476 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 35484 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 35492 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35500 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35508 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 35516 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 35524 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35532 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35540 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 35548 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 35556 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 35564 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 35572 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 35580 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 35588 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35595 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 35603 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35610 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 35618 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35625 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 35633 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35640 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35648 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35656 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35664 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35672 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35680 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 35688 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35696 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35703 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35711 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35719 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35727 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("table"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35735 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-13].str),mm_strdup("table if not exists"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35743 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35751 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35759 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table"),(yyvsp[-9].str),mm_strdup("partition of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35767 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-14].str),mm_strdup("table if not exists"),(yyvsp[-9].str),mm_strdup("partition of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35775 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 35783 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 35791 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 35799 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 35807 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 35815 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 35823 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 35831 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35838 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35846 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35853 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35861 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35868 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35876 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35884 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35892 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35900 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35908 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35916 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35924 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35932 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35940 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35948 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35956 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 35964 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35972 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35979 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35987 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35995 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36003 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 36011 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 36019 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 36027 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36035 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36043 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36051 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 36059 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 36067 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36075 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 36083 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by default");
}
#line 36091 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 36099 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 36107 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 36115 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 36123 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36131 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 36139 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 36147 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36154 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 36162 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 36170 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 36178 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 36186 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 36194 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 36202 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 36210 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36218 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36226 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36234 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36242 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36250 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36258 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36266 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36274 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36282 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 36290 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36297 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36305 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36312 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36320 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36328 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36336 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 36344 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3968 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 36353 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 36361 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36368 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36376 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36384 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 36392 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 4000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36400 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 4008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36408 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 4012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36415 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36423 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36431 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36439 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36447 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36454 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 36462 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 36470 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 36478 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 36486 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 36494 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 36502 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 36510 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36518 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36525 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36533 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36540 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("partition by"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36548 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36556 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36564 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36572 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36580 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36588 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36596 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36604 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 36612 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 36620 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 36628 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36635 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 36643 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 36651 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 36659 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36666 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 36674 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36681 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 36689 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36696 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 36704 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("statistics"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 36712 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36720 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 36728 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 36736 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36743 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36751 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36759 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36767 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 36775 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36782 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36790 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36798 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36806 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36814 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36822 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36830 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36837 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36845 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36852 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36860 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36868 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 36876 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 36884 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 36892 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 36900 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36908 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 36916 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 36924 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 36932 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 36940 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 36948 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence name"),(yyvsp[0].str));
}
#line 36956 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36964 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 36972 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36980 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 36988 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36995 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37003 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 37011 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37019 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37027 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37035 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 37043 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37051 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 37059 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37066 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37074 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37082 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 37090 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37097 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 37105 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 37113 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37121 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37128 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37136 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37144 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 37152 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37159 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37167 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 37175 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37182 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 37190 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 37198 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37206 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37214 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37222 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37229 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 37237 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 37245 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 37253 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 37261 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 37269 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37277 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37284 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 37292 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("access method"),(yyvsp[0].str));
}
#line 37300 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("aggregate"),(yyvsp[0].str));
}
#line 37308 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37316 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 37324 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 37332 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 37340 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 37348 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 37356 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("operator"),(yyvsp[0].str));
}
#line 37364 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 37372 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 37380 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 37388 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 37396 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 37404 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 37412 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 37420 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 37428 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 37436 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 37444 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 37452 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 37460 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 37468 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 37476 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 37484 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 37492 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 37500 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37508 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 37516 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 37524 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 37532 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 37540 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37548 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37556 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37564 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37571 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37579 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37587 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37595 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37602 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37610 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37618 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37626 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37634 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37642 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37650 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 37658 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 37666 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 37674 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37682 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37690 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37698 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37706 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server if not exists"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37714 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 37722 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37729 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 37737 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 37745 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37753 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37760 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37768 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37776 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37784 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37792 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37800 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37808 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37816 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37824 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37832 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37840 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 5000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit to");
}
#line 37848 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 37856 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37864 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37871 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37879 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping if not exists for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37887 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37895 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 37903 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 37911 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 37919 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37927 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create policy"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37935 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37943 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37951 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37958 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37966 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37973 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 37981 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37988 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 37996 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38003 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 38011 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38018 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 38026 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38033 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38041 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 38049 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 38057 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 38065 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 38073 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create access method"),(yyvsp[-4].str),mm_strdup("type index handler"),(yyvsp[0].str));
}
#line 38081 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create trigger"),(yyvsp[-13].str),(yyvsp[-12].str),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38089 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38097 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 38105 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 38113 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 38121 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38129 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 38137 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 38145 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 38153 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 38161 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 38169 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 38177 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("referencing"),(yyvsp[0].str));
}
#line 38185 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38192 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38200 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38208 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38216 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 38224 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 38232 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 38240 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 38248 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38256 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38264 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38271 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 38279 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38286 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 38294 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 38302 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38310 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38317 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38325 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38333 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38340 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38348 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38356 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38364 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38372 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 38380 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38387 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38394 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38402 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 38410 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 38418 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 38426 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 38434 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 38442 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 38450 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 38458 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 38466 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38474 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 38482 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38490 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 38498 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 38506 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38514 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 38522 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 38530 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 38538 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 38546 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5510 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38555 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5519 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38564 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38572 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38580 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38588 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38596 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 38604 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38612 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38620 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 38628 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38636 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38644 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38652 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38660 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38668 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38676 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 38684 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation if not exists"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 38692 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38700 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38708 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38716 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 38724 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38732 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38740 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38748 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38756 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38764 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38772 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 38780 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38788 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38796 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38804 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 38812 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38820 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38827 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38835 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38843 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38851 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 38859 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 38867 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[-5].str),mm_strdup("rename value"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 38875 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 38883 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38890 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 38898 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38906 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38914 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38922 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38930 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38938 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("function"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38946 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 38954 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 38962 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38969 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 38977 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38984 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 38992 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 39000 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39007 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5819 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 39016 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39023 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 39031 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 39039 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 39047 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39055 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39063 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39071 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39079 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39087 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39095 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39103 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39111 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39119 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39127 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39135 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39143 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39151 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39159 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("drop"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39167 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop"),(yyvsp[-6].str),mm_strdup("if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39175 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39183 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39191 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39199 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39207 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39215 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39223 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39231 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 39239 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 39247 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 39255 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 39263 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 39271 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 5991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 39279 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 5995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 39287 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 5999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 39295 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 39303 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 39311 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 39319 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 39327 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 39335 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 39343 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 39351 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 39359 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 39367 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 39375 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 39383 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 39391 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 39399 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 39407 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39415 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39423 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39431 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39439 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 39447 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 39455 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39463 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39471 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 39479 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 39487 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39494 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39502 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39510 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39518 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39526 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39534 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39542 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on operator"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39550 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39558 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39566 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on policy"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39574 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39582 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39590 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39598 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39606 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39614 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39622 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 39630 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 39638 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 39646 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 39654 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 39662 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39670 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 39678 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 39686 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 39694 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 39702 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 39710 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 39718 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 39726 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 39734 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 39742 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 39750 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 39758 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 39766 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 39774 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 39782 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 39790 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 39798 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 39806 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 39814 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 39822 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 39830 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 39838 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39846 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 39854 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39862 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39870 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39878 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39886 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39894 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39902 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39910 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 39918 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39925 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 39933 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 39941 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 39949 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39957 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 39965 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 39973 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 39981 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 39989 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 39997 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 40005 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 40013 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 40021 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 40029 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 40037 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40045 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 40053 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 40061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 40069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6458 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 40077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6462 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 40087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6468 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 40097 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6474 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 40107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6480 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 40117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6486 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 40127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6492 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 40137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6498 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 40147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6504 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 40157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6514 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 40172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6525 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6536 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6547 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6558 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6569 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40247 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6580 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6596 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6612 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6628 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6639 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40342 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6655 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6666 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6682 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40392 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 40400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 40408 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40416 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40455 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 40463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 40471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 40511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 40519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 40527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 40551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 40559 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 40567 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 40575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 40583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 40591 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 40599 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 40607 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 40615 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 40623 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 40631 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 40639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 40647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 40655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 40663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 40695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 40703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 40742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 40757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40787 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 40795 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 40803 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 40811 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 40843 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 40851 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 40859 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 40867 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 40875 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("index"),(yyvsp[-13].str),mm_strdup("if not exists"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40891 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 40899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 40914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 40944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 40999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 41029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 41037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 41052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 41060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 41099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 41122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 41202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 41266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 41274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 41282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 41290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 41298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 41330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 41338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 41354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 41362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7355 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 41371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 41379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41419 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41427 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41435 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 41467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 41475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 41483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 41491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 41499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 41507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 41515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 41523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 41531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 41539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 41547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 41555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 41563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 41571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("parallel"),(yyvsp[0].str));
}
#line 41587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 41595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 41603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 41611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 41619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41643 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 41651 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 41659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 41667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 41730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 41817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 41833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 41865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 41897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 41913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 41921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 41929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 41937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 41960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 41983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 41991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 41999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 42007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 42055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 42063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 42071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 42079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 42087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 42111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 42119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 42127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42175 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42183 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42191 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42199 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42207 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42215 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42223 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42247 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42255 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42263 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42455 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 42543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 42558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42565 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42573 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42581 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42589 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42597 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42685 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42773 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42781 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= none"));
}
#line 42829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 42837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42877 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create publication"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for table"),(yyvsp[0].str));
}
#line 43084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for all tables");
}
#line 43092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 43100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("add table"),(yyvsp[0].str));
}
#line 43108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("set table"),(yyvsp[0].str));
}
#line 43116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("drop table"),(yyvsp[0].str));
}
#line 43124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create subscription"),(yyvsp[-5].str),mm_strdup("connection"),(yyvsp[-3].str),mm_strdup("publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 43164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("connection"),(yyvsp[0].str));
}
#line 43172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("refresh publication"),(yyvsp[0].str));
}
#line 43180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter subscription"),(yyvsp[-5].str),mm_strdup("set publication"),(yyvsp[-2].str),mm_strdup("refresh"),(yyvsp[0].str));
}
#line 43188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-5].str),mm_strdup("set publication"),(yyvsp[-2].str),mm_strdup("skip refresh"));
}
#line 43196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("enable"));
}
#line 43204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("disable"));
}
#line 43212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 43244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 43268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 43339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 43347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 43355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 43363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 43371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 43379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 43402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 43417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 43425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 43433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 43441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 43457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 43465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 43473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 43481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 43489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 43497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 43505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 43513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 43521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 43529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 43537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 43545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 43553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 43561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 43576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 43584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 43592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 43600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 43608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8796 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8801 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 43689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 43697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 43705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 43720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 43783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 43799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 43807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 43815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 43823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 43831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 43839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 43847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 43862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 8935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 43878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 8943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 8951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 43894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 8955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 43902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 8963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter collation"),(yyvsp[-2].str),mm_strdup("refresh version"));
}
#line 43910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 8971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 43918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 8975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 43926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 8983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 8991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 8995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 43950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 8999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 43958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 43966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 43990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 43998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 44053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 44061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 44069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 44077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 44085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 44101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 44109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 44117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 44196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 44204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 44212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 44244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 44252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 44260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 44275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 44290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44312 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 44320 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44328 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 44336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44344 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44352 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44360 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44368 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44376 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44384 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44392 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44408 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44416 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44424 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44432 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44440 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44448 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9352 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 44489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9358 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 44499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9399 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 44552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44591 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 44599 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44607 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 44615 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44623 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-5].str),mm_strdup(") overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 44631 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 44639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 44647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 44655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 44695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 44718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 44733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 44756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 44779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 44794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 44802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 44810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 44818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 44826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 44834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 44842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 44850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 44858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 44873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 44881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 44920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 44928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9689 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 45005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9746 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 45025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 45040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 45048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 45056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 45064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9781 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 45075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 45083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 45091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45203 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45211 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 45235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 45267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 45275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 45283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9951 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 45331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9955 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45344 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45352 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45360 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45368 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45376 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 9980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45384 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 9984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45392 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 9988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 9992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 45408 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 9996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45416 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 10004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 45424 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 10008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 45447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45454 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 45462 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 45508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 10100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 10104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 10108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 10116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 45595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10131 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 45604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 45612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 45620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45683 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 45691 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 45699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 45707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 45715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 45723 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 45794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 45826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 45849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 45896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 45904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 45912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 45920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 45928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("values ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45943 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup(", ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 45959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10446 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10453 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 46084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 46108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 46116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 46132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 46210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 46218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 46226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 46234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 46242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 46265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 46281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 46289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46360 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46368 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46376 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46384 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46392 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46408 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 46423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 46438 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 46453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10733 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 46462 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmltable ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("xmltable ( xmlnamespaces ("),(yyvsp[-7].str),mm_strdup(") ,"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("for ordinality"));
}
#line 46564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 46596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 46604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 46612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 46644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10872 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 46650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10874 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 46656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 46680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 46688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10896 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 46702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10906 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 46716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10916 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 46726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 11001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 46853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 11005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 46861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 11009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 46869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 11013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 46877 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 11017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 46885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 11021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 46893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 11025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 46901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 11029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 46909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 11033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 46917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 11037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 46925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 11041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 46933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 11049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 11053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 11060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 11064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 11072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 11076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 11084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 11092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 46996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 11100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 11104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 11112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 11116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 11124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 11132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 11140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 47052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 11144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 47060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 11148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 47068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 11152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 47076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 11156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 47084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 11160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 47092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 11168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 47100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 11172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 11179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 11183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 47123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 11187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 11191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 47139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 11199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 47147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 11207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 47155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 11211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 47163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 11215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 11222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 47178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 47186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 47194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 47202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 47210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 47226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 47234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 47242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 47250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 47258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 47266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 47274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 47289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 47313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 47321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 47329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 47337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 47345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 47353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 47361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 47369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 47377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 47385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 47393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 47401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 47409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 47417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 47425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 47433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 47441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 47481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 47489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 47497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 47505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 47521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 47537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 47553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 47569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 47585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 47601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 47609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 47617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 47625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 47633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 47641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 47649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 47657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 47665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 47673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 47681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 47689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 47697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 47753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 47761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11533 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 47786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 47794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 47802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 47810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 47826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 47834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 47842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 47850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 47858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 47866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 47874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 47882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 47890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 47898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 47906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 47914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 47922 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 47930 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 47938 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 47970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 47978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 48002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 48010 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48018 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48026 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 48042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 48082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 48090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 48098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 48130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 48178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 48226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 48234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 48250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 48266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 48282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 48298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 48306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 48314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 48322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 48330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 48338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 48554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 48562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 48570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 48578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 48586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 11970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48593 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 11977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 11985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 11989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48617 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 11997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 48625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 12001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48633 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 12009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 48641 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 12013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 48649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 12021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 48657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 12025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 48665 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 12029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 12036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 48680 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 12040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 48688 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 12044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 48696 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 12048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 48704 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 12056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 12060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48719 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 12067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 12071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48734 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 12078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 48742 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 12082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 12089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 12093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 12101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 48773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 12109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 48781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 12113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 48789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 12117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 12124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 12132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 12136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48819 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 12143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 48827 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 12147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 12154 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 48843 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 12159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 48851 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 12163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 12170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 12174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 48874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 12182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 48882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 12186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 48890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 12190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 48898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 12194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 48906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 12198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 48914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 12206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 12210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 48930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 12214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 12222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 12226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 48954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 12234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 12242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 48970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 12246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 48978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 12250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 48986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 12258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 12262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 12270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 49010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 12274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 49018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 49026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 49034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 49042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 49050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 49058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 49066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 49074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<=");
}
#line 49082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">=");
}
#line 49090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<>");
}
#line 49098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 49154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 49162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 49170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 49178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 49226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 49234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 49258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 49266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 49274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 49298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 49321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 49329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 49337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 49345 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 49353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 49361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 49393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 49401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49408 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49424 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49432 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49448 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 49463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 49471 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 49479 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 49487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49495 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 49519 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49535 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 49543 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 49551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49558 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49566 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 49597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 49605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 49613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 49621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49659 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49667 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 49675 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49705 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49713 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 49721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49737 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 49745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49777 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49785 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49801 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49833 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49873 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49881 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 49897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49905 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 49913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49921 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49929 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 49937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 49945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 49953 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 49961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12920 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12921 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12927 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49979 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49987 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12936 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 50001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 50009 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50017 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 50033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 50041 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50049 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50065 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 13006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 50097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 13010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 50105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 13014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 50113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 13018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 50121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 13022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 50129 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 13026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 50137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 13030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 50145 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 13034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 50153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 13038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 50161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 13042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 50169 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 13046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 50177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 13050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 50185 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 13054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 50193 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 13058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 50201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 13062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attach");
}
#line 50209 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 13066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 50217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 13070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 50225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 13074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 50233 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 13078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 50241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 13082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 50249 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 13086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 50257 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 13090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 50265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 13094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 50273 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 13098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 50281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 13102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 50289 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 13106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 50297 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 13110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 50305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 13114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 50313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 13118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 50321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 13122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 50329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 13126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 50337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 13130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("columns");
}
#line 50345 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 13134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 50353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 13138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 50361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 13142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 50369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 13146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 50377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 13150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 50385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 13154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 50393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 13158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 50401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 13162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 50409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 13166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 50417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 13170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 50425 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 13174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 50433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 13178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 50441 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 13182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 50449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 13186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 50457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 13190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 50465 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 13194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 50473 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 13198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 50481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 13202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 50489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 13206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 50497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 13210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 50505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 13214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 50513 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 13218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 50521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 13222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 50529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 13226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 50537 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 13230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 50545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 13234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 50553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 13238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depends");
}
#line 50561 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 13242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("detach");
}
#line 50569 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 13246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 50577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 13250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 50585 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 13254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 50593 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 13258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 50601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 13262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 50609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 13266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 50617 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 13270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 50625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 13274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 50633 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 13278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 50641 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 13282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 50649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 13286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 50657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 13290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 50665 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 13294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 50673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 13298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 50681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 13302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 50689 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 13306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 50697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 13310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 50705 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 13314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 50713 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 13318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 50721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 13322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 50729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 13326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 50737 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 13330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 50745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 13334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 50753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 13338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 50761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 13342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 50769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 13346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 50777 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 13350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 50785 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 13354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 50793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 13358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 50801 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("generated");
}
#line 50809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 50817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 50825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 50833 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 50841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 50849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 50857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 50865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 50873 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 50881 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 50889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 50897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 50905 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 50913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 50921 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 50929 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 50937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 50945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 50953 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 50961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 50969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 50977 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 50985 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 50993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 51001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 51009 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 51017 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 51025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 51033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 51041 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 51049 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 51057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 51065 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 51073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 51081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 51089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 51097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 51105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 51113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 51121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 51129 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 51137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("method");
}
#line 51145 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 51153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 51161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 51169 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 51177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 51185 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 51193 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 51201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 51209 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 51217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 51225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 51233 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 51241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 51249 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 51257 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 51265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 51273 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 51281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 51289 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 51297 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 51305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 51313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 51321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overriding");
}
#line 51329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 51337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 51345 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parallel");
}
#line 51353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 51361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 51369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 51377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 51385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 51393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 51401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 51409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 51417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 51425 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 51433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 51441 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 51449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 51457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 51465 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 51473 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 51481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 51489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 51497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 51505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 51513 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 51521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 51529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 51537 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 51545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("referencing");
}
#line 51553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 51561 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 51569 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 51577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 51585 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 51593 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 51601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 51609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 51617 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 51625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 51633 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 51641 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 51649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 51657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 51665 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 51673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 51681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 51689 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 51697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 51705 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 51713 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 51721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 51729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 51737 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 51745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 51753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 51761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 51769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 51777 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 51785 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 51793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 51801 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 51809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 51817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 51825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 51833 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 51841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 51849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 51857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 51865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 51873 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 51881 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 51889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 51897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 51905 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 51913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 51921 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 51929 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 51937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 51945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 51953 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 51961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 51969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 51977 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 51985 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 51993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 52001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 52009 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 52017 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 52025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 52033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 52041 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 52049 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 13986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 52057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 13990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 52065 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 13994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 52073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 13998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 52081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 14002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 52089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 14006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 52097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 14010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 52105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 14014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 52113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 14018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 52121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 14022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 52129 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 14026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 52137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 14030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 52145 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 14034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 52153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 14038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 52161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 14042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 52169 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 14046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 52177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 14050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 52185 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 14054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 52193 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 14058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 52201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 14062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 52209 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 14066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 52217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 14070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 52225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 14074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 52233 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 14078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 52241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 14082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 52249 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 14086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 52257 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 14090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 52265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 14094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 52273 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 14102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 52281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 14106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 52289 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 14110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 52297 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 14114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 52305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 14118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 52313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 14122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 52321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 14126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 52329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 14130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 52337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 14134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 52345 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 14138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 52353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 14142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 52361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 14146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 52369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 14150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 52377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 14154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 52385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 14158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 52393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 14162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 52401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 14166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 52409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 14170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 52417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 52425 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 52433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 52441 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 52449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 52457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 52465 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 52473 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 52481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 52489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 52497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 52505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 52513 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 52521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 52529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 52537 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 52545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 52553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 52561 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 52569 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 52577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 52585 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 52593 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 52601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlnamespaces");
}
#line 52609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 52617 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 52625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 52633 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 52641 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmltable");
}
#line 52649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 52657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 52665 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 52673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 52681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 52689 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 52697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 52705 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 52713 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 52721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 52729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 52737 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 52745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 52753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 52761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 52769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 52777 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 52785 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 52793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 52801 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 52809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 52817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 52825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 52833 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 52841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 52849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 52857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 52865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 52873 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 52881 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 52889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 52897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 52905 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 52913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 52921 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 52929 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 52937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 52945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 52953 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 52961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 52969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 52977 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 52985 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 52993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 53001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 53009 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 53017 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 53025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 53033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 53041 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 53049 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 53057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 53065 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 53073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 53081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 53089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 53097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 53105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 53113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 53121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 53129 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 53137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 53145 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 53153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 53161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 53169 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 53177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 53185 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 53193 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 53201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 53209 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 53217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 53225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 53233 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 53241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 53249 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 53257 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 53265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 53273 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 53281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 53289 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 53297 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 53305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 53313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 53321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 53329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 53337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 53345 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 53353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 53361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 53369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 53377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 53385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 53393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 53401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 53409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 53417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 53425 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 14686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 53433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 14699 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 53439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 14702 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 53449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14708 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 53455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14709 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 53461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14710 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", base_yyout); }
#line 53467 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14712 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 53482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14724 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 53488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14725 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 53499 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14734 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 53513 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14749 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 53519 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14751 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 53525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14754 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 53531 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14756 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 53537 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14760 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 53553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14772 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 53573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14788 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 53581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14792 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 53594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 14802 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53600 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14803 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53606 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14807 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 53620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14819 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 53631 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 14827 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 14828 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53643 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14831 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14832 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 53655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14833 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14836 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 53667 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14837 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14840 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14841 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 53685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14844 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53691 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14845 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 53697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14849 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 53703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 14851 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 14853 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53715 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 14855 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 14859 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 53732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 14866 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 53743 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 14873 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 53761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 14889 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 53797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 14923 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 53811 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 14932 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 14936 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 53825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 14940 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 53839 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 14952 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 14954 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 53851 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 14956 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 53857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 14958 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 53863 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 14962 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 53881 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 14975 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53887 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 14983 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 53950 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 15044 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 53960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 15054 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53966 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 15055 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 15058 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 15060 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 15061 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53990 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 15064 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 15065 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 54002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 15066 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 54008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 15067 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 54014 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 15068 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 54020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 15075 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 54026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 15077 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 54036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 15084 "preproc.y" /* yacc.c:1646  */
    {}
#line 54042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 15086 "preproc.y" /* yacc.c:1646  */
    {}
#line 54048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 15088 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54054 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 15089 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 15092 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 15093 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54072 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 15094 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 54078 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 15095 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 54084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 15098 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 15099 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 54096 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 15103 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 54106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 15109 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 54118 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 15119 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 54132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 15129 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 54140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 15133 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 54154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 15143 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 54162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 15147 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 54170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 15152 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 54176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 15153 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54182 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 15157 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 54188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 15158 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 54194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 15159 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 54200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 15162 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 54206 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 15163 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 54212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 15164 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 54218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 15165 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 54224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 15168 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 54230 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 15169 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 54236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 15173 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 54248 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 15181 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 54269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 15198 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 54281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 15206 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 54308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 15229 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 54418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 15335 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 54454 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 15369 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 54460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 15371 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 54466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 15373 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 54472 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 15377 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 54478 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 15380 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 54489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 15387 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 54535 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 15430 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 15432 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 54551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 15438 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 54562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 15447 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 54572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 15453 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 54581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 15460 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 54590 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 15465 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 54598 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 15470 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 54604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 15471 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 54610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 15474 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 54616 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 15475 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 54622 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 15476 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 54628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 15477 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 54634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 15478 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 54640 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 15479 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 54646 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 15481 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 54658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 15489 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 54670 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 15496 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 54676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 15499 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 54682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 15500 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 54688 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 15501 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 54694 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 15502 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 54700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 15503 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 54706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 15505 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 54718 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 15513 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 54730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 15520 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 54736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 15521 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 54742 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 15522 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 54748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2796:
#line 15530 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2797:
#line 15532 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 54765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2798:
#line 15541 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 54854 "preproc.c" /* yacc.c:1646  */
    break;

  case 2799:
#line 15628 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2800:
#line 15630 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 54869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2801:
#line 15636 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54875 "preproc.c" /* yacc.c:1646  */
    break;

  case 2802:
#line 15637 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 54881 "preproc.c" /* yacc.c:1646  */
    break;

  case 2803:
#line 15638 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 54887 "preproc.c" /* yacc.c:1646  */
    break;

  case 2804:
#line 15645 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 54896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2805:
#line 15653 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54902 "preproc.c" /* yacc.c:1646  */
    break;

  case 2806:
#line 15656 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2807:
#line 15657 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 54914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2808:
#line 15658 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 54920 "preproc.c" /* yacc.c:1646  */
    break;

  case 2809:
#line 15659 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 54926 "preproc.c" /* yacc.c:1646  */
    break;

  case 2810:
#line 15662 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 54932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2811:
#line 15663 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 54938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2812:
#line 15664 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2813:
#line 15668 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54950 "preproc.c" /* yacc.c:1646  */
    break;

  case 2814:
#line 15670 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 54956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2815:
#line 15677 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2816:
#line 15678 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 54968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2817:
#line 15685 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 54978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2818:
#line 15692 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2819:
#line 15693 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54990 "preproc.c" /* yacc.c:1646  */
    break;

  case 2820:
#line 15696 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2821:
#line 15697 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2822:
#line 15701 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 55011 "preproc.c" /* yacc.c:1646  */
    break;

  case 2823:
#line 15706 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 55020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2824:
#line 15713 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 55029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2825:
#line 15718 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 55038 "preproc.c" /* yacc.c:1646  */
    break;

  case 2826:
#line 15725 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 55047 "preproc.c" /* yacc.c:1646  */
    break;

  case 2829:
#line 15734 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 55058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2830:
#line 15740 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2831:
#line 15741 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55070 "preproc.c" /* yacc.c:1646  */
    break;

  case 2832:
#line 15744 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2833:
#line 15745 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 55082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2834:
#line 15746 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 55088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2835:
#line 15747 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55094 "preproc.c" /* yacc.c:1646  */
    break;

  case 2836:
#line 15748 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 55100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2837:
#line 15749 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 55106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2838:
#line 15750 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2839:
#line 15751 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55118 "preproc.c" /* yacc.c:1646  */
    break;

  case 2840:
#line 15752 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2841:
#line 15759 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 55135 "preproc.c" /* yacc.c:1646  */
    break;

  case 2842:
#line 15766 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 55151 "preproc.c" /* yacc.c:1646  */
    break;

  case 2843:
#line 15778 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 55161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2844:
#line 15784 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 55172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2845:
#line 15791 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 55182 "preproc.c" /* yacc.c:1646  */
    break;

  case 2846:
#line 15798 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 55188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2847:
#line 15799 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2848:
#line 15812 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 55203 "preproc.c" /* yacc.c:1646  */
    break;

  case 2849:
#line 15823 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 55212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2850:
#line 15834 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 55218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2853:
#line 15842 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 55224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2854:
#line 15847 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 55230 "preproc.c" /* yacc.c:1646  */
    break;

  case 2857:
#line 15855 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 55238 "preproc.c" /* yacc.c:1646  */
    break;

  case 2858:
#line 15861 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 55250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2859:
#line 15869 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 55258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2860:
#line 15874 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 55264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2861:
#line 15882 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 55270 "preproc.c" /* yacc.c:1646  */
    break;

  case 2864:
#line 15889 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 55276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2865:
#line 15893 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 55282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2868:
#line 15901 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 55290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2869:
#line 15907 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 55302 "preproc.c" /* yacc.c:1646  */
    break;

  case 2870:
#line 15916 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 55310 "preproc.c" /* yacc.c:1646  */
    break;

  case 2871:
#line 15921 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 55323 "preproc.c" /* yacc.c:1646  */
    break;

  case 2872:
#line 15931 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 55336 "preproc.c" /* yacc.c:1646  */
    break;

  case 2873:
#line 15941 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 55350 "preproc.c" /* yacc.c:1646  */
    break;

  case 2874:
#line 15952 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 55356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2875:
#line 15953 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 55362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2876:
#line 15954 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 55368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2877:
#line 15955 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 55374 "preproc.c" /* yacc.c:1646  */
    break;

  case 2878:
#line 15956 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 55380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2879:
#line 15957 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 55386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2880:
#line 15958 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 55392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2881:
#line 15959 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 55398 "preproc.c" /* yacc.c:1646  */
    break;

  case 2882:
#line 15960 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 55404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2883:
#line 15961 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 55410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2884:
#line 15962 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 55416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2885:
#line 15963 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 55422 "preproc.c" /* yacc.c:1646  */
    break;

  case 2886:
#line 15964 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 55428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2887:
#line 15965 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 55434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2888:
#line 15966 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 55440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2889:
#line 15973 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55446 "preproc.c" /* yacc.c:1646  */
    break;

  case 2890:
#line 15974 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2891:
#line 15977 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 55458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2892:
#line 15978 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 55464 "preproc.c" /* yacc.c:1646  */
    break;

  case 2893:
#line 15985 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55470 "preproc.c" /* yacc.c:1646  */
    break;

  case 2894:
#line 15986 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2895:
#line 15987 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2896:
#line 15994 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 55492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2897:
#line 16000 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 55505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2898:
#line 16010 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 55511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2899:
#line 16011 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2900:
#line 16018 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 55527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2901:
#line 16024 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 55589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2902:
#line 16088 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 55599 "preproc.c" /* yacc.c:1646  */
    break;

  case 2903:
#line 16094 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 55609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2904:
#line 16100 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 55619 "preproc.c" /* yacc.c:1646  */
    break;

  case 2905:
#line 16108 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 55629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2906:
#line 16114 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 55639 "preproc.c" /* yacc.c:1646  */
    break;

  case 2907:
#line 16120 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 55649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2908:
#line 16126 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 55659 "preproc.c" /* yacc.c:1646  */
    break;

  case 2909:
#line 16132 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 55669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2910:
#line 16138 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 55679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2911:
#line 16144 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 55689 "preproc.c" /* yacc.c:1646  */
    break;

  case 2912:
#line 16150 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 55699 "preproc.c" /* yacc.c:1646  */
    break;

  case 2913:
#line 16156 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 55709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2914:
#line 16166 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55715 "preproc.c" /* yacc.c:1646  */
    break;

  case 2915:
#line 16167 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2916:
#line 16170 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 55727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2917:
#line 16171 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 55733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2918:
#line 16172 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 55739 "preproc.c" /* yacc.c:1646  */
    break;

  case 2919:
#line 16173 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 55745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2920:
#line 16174 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 55751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2921:
#line 16175 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 55757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2922:
#line 16176 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 55763 "preproc.c" /* yacc.c:1646  */
    break;

  case 2923:
#line 16177 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 55769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2924:
#line 16178 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 55775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2925:
#line 16179 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 55781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2926:
#line 16180 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 55787 "preproc.c" /* yacc.c:1646  */
    break;

  case 2927:
#line 16181 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 55793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2928:
#line 16182 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 55799 "preproc.c" /* yacc.c:1646  */
    break;

  case 2929:
#line 16183 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 55805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2930:
#line 16184 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 55811 "preproc.c" /* yacc.c:1646  */
    break;

  case 2931:
#line 16185 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 55817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2932:
#line 16186 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 55823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2933:
#line 16187 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 55829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2934:
#line 16188 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 55835 "preproc.c" /* yacc.c:1646  */
    break;

  case 2935:
#line 16189 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 55841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2936:
#line 16190 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 55847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2937:
#line 16191 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 55853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2938:
#line 16192 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 55859 "preproc.c" /* yacc.c:1646  */
    break;

  case 2939:
#line 16195 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 55865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2940:
#line 16196 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 55871 "preproc.c" /* yacc.c:1646  */
    break;

  case 2941:
#line 16197 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 55877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2942:
#line 16198 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 55883 "preproc.c" /* yacc.c:1646  */
    break;

  case 2943:
#line 16199 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 55889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2944:
#line 16200 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 55895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2945:
#line 16204 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 55901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2946:
#line 16205 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 55907 "preproc.c" /* yacc.c:1646  */
    break;

  case 2947:
#line 16206 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 55913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2948:
#line 16207 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 55919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2949:
#line 16208 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 55925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2950:
#line 16209 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 55931 "preproc.c" /* yacc.c:1646  */
    break;

  case 2951:
#line 16210 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 55937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2952:
#line 16213 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2953:
#line 16216 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2954:
#line 16217 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55955 "preproc.c" /* yacc.c:1646  */
    break;

  case 2955:
#line 16218 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2956:
#line 16219 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2957:
#line 16220 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2958:
#line 16221 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55979 "preproc.c" /* yacc.c:1646  */
    break;

  case 2959:
#line 16222 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 55985 "preproc.c" /* yacc.c:1646  */
    break;

  case 2960:
#line 16223 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 55991 "preproc.c" /* yacc.c:1646  */
    break;

  case 2961:
#line 16236 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2962:
#line 16237 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56003 "preproc.c" /* yacc.c:1646  */
    break;

  case 2963:
#line 16238 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56009 "preproc.c" /* yacc.c:1646  */
    break;

  case 2964:
#line 16239 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56015 "preproc.c" /* yacc.c:1646  */
    break;

  case 2965:
#line 16240 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2966:
#line 16241 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 56027 "preproc.c" /* yacc.c:1646  */
    break;

  case 2967:
#line 16242 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 56033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2968:
#line 16247 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2969:
#line 16248 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2970:
#line 16249 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56051 "preproc.c" /* yacc.c:1646  */
    break;

  case 2971:
#line 16250 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2972:
#line 16251 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2973:
#line 16252 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2974:
#line 16258 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56075 "preproc.c" /* yacc.c:1646  */
    break;

  case 2975:
#line 16259 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2976:
#line 16260 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 56087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2977:
#line 16261 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 56093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2978:
#line 16262 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 56099 "preproc.c" /* yacc.c:1646  */
    break;

  case 2979:
#line 16263 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 56105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2980:
#line 16264 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 56111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2981:
#line 16265 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 56117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2982:
#line 16266 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 56123 "preproc.c" /* yacc.c:1646  */
    break;

  case 2983:
#line 16267 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56129 "preproc.c" /* yacc.c:1646  */
    break;

  case 2984:
#line 16268 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56135 "preproc.c" /* yacc.c:1646  */
    break;

  case 2985:
#line 16271 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2986:
#line 16272 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56147 "preproc.c" /* yacc.c:1646  */
    break;

  case 2987:
#line 16273 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2988:
#line 16274 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56159 "preproc.c" /* yacc.c:1646  */
    break;

  case 2989:
#line 16275 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 56165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2990:
#line 16278 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56171 "preproc.c" /* yacc.c:1646  */
    break;

  case 2991:
#line 16279 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2992:
#line 16280 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2993:
#line 16281 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2994:
#line 16284 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 56195 "preproc.c" /* yacc.c:1646  */
    break;

  case 2995:
#line 16285 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 56201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2996:
#line 16286 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 56207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2997:
#line 16287 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 56213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2998:
#line 16288 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 56219 "preproc.c" /* yacc.c:1646  */
    break;

  case 2999:
#line 16289 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 56225 "preproc.c" /* yacc.c:1646  */
    break;

  case 3000:
#line 16290 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 56231 "preproc.c" /* yacc.c:1646  */
    break;

  case 3001:
#line 16307 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56237 "preproc.c" /* yacc.c:1646  */
    break;

  case 3002:
#line 16308 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56243 "preproc.c" /* yacc.c:1646  */
    break;

  case 3003:
#line 16309 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 56249 "preproc.c" /* yacc.c:1646  */
    break;

  case 3004:
#line 16312 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 56255 "preproc.c" /* yacc.c:1646  */
    break;

  case 3005:
#line 16313 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 56261 "preproc.c" /* yacc.c:1646  */
    break;

  case 3006:
#line 16314 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 56267 "preproc.c" /* yacc.c:1646  */
    break;

  case 3007:
#line 16315 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 56273 "preproc.c" /* yacc.c:1646  */
    break;

  case 3008:
#line 16316 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 56279 "preproc.c" /* yacc.c:1646  */
    break;

  case 3009:
#line 16317 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 56285 "preproc.c" /* yacc.c:1646  */
    break;

  case 3012:
#line 16324 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 56294 "preproc.c" /* yacc.c:1646  */
    break;

  case 3013:
#line 16330 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56300 "preproc.c" /* yacc.c:1646  */
    break;

  case 3014:
#line 16331 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56306 "preproc.c" /* yacc.c:1646  */
    break;

  case 3015:
#line 16335 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 56312 "preproc.c" /* yacc.c:1646  */
    break;

  case 3016:
#line 16337 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 56318 "preproc.c" /* yacc.c:1646  */
    break;

  case 3017:
#line 16342 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 56330 "preproc.c" /* yacc.c:1646  */
    break;

  case 3018:
#line 16352 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 56343 "preproc.c" /* yacc.c:1646  */
    break;

  case 3019:
#line 16363 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 56352 "preproc.c" /* yacc.c:1646  */
    break;

  case 3020:
#line 16369 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 56358 "preproc.c" /* yacc.c:1646  */
    break;

  case 3021:
#line 16370 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 56364 "preproc.c" /* yacc.c:1646  */
    break;

  case 3022:
#line 16371 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 56370 "preproc.c" /* yacc.c:1646  */
    break;

  case 3023:
#line 16375 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 56405 "preproc.c" /* yacc.c:1646  */
    break;

  case 3024:
#line 16407 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56411 "preproc.c" /* yacc.c:1646  */
    break;

  case 3025:
#line 16409 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56417 "preproc.c" /* yacc.c:1646  */
    break;

  case 3026:
#line 16411 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56423 "preproc.c" /* yacc.c:1646  */
    break;

  case 3027:
#line 16415 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 56437 "preproc.c" /* yacc.c:1646  */
    break;

  case 3028:
#line 16425 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 56451 "preproc.c" /* yacc.c:1646  */
    break;

  case 3029:
#line 16435 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 56465 "preproc.c" /* yacc.c:1646  */
    break;

  case 3030:
#line 16444 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56471 "preproc.c" /* yacc.c:1646  */
    break;

  case 3031:
#line 16445 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56477 "preproc.c" /* yacc.c:1646  */
    break;

  case 3032:
#line 16448 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56483 "preproc.c" /* yacc.c:1646  */
    break;

  case 3033:
#line 16450 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56489 "preproc.c" /* yacc.c:1646  */
    break;

  case 3034:
#line 16451 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 56495 "preproc.c" /* yacc.c:1646  */
    break;

  case 3035:
#line 16452 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56501 "preproc.c" /* yacc.c:1646  */
    break;

  case 3036:
#line 16456 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 56507 "preproc.c" /* yacc.c:1646  */
    break;

  case 3037:
#line 16458 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 56513 "preproc.c" /* yacc.c:1646  */
    break;

  case 3038:
#line 16465 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56519 "preproc.c" /* yacc.c:1646  */
    break;

  case 3039:
#line 16466 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 56525 "preproc.c" /* yacc.c:1646  */
    break;

  case 3040:
#line 16468 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 56531 "preproc.c" /* yacc.c:1646  */
    break;

  case 3041:
#line 16471 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56537 "preproc.c" /* yacc.c:1646  */
    break;

  case 3042:
#line 16473 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 56543 "preproc.c" /* yacc.c:1646  */
    break;

  case 3043:
#line 16476 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56549 "preproc.c" /* yacc.c:1646  */
    break;

  case 3044:
#line 16477 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 56555 "preproc.c" /* yacc.c:1646  */
    break;

  case 3045:
#line 16480 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56561 "preproc.c" /* yacc.c:1646  */
    break;

  case 3046:
#line 16481 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 56567 "preproc.c" /* yacc.c:1646  */
    break;

  case 3047:
#line 16484 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56573 "preproc.c" /* yacc.c:1646  */
    break;

  case 3048:
#line 16485 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 56579 "preproc.c" /* yacc.c:1646  */
    break;

  case 3049:
#line 16486 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 56585 "preproc.c" /* yacc.c:1646  */
    break;

  case 3050:
#line 16487 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 56591 "preproc.c" /* yacc.c:1646  */
    break;

  case 3051:
#line 16488 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 56597 "preproc.c" /* yacc.c:1646  */
    break;

  case 3052:
#line 16491 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56603 "preproc.c" /* yacc.c:1646  */
    break;

  case 3053:
#line 16492 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56609 "preproc.c" /* yacc.c:1646  */
    break;

  case 3054:
#line 16493 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56615 "preproc.c" /* yacc.c:1646  */
    break;

  case 3055:
#line 16494 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56621 "preproc.c" /* yacc.c:1646  */
    break;

  case 3056:
#line 16495 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 56627 "preproc.c" /* yacc.c:1646  */
    break;

  case 3057:
#line 16496 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 56633 "preproc.c" /* yacc.c:1646  */
    break;

  case 3058:
#line 16497 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 56639 "preproc.c" /* yacc.c:1646  */
    break;

  case 3059:
#line 16498 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 56645 "preproc.c" /* yacc.c:1646  */
    break;

  case 3060:
#line 16499 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 56651 "preproc.c" /* yacc.c:1646  */
    break;

  case 3061:
#line 16500 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 56657 "preproc.c" /* yacc.c:1646  */
    break;

  case 3062:
#line 16501 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 56663 "preproc.c" /* yacc.c:1646  */
    break;

  case 3063:
#line 16502 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 56669 "preproc.c" /* yacc.c:1646  */
    break;

  case 3064:
#line 16503 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56675 "preproc.c" /* yacc.c:1646  */
    break;

  case 3065:
#line 16504 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 56681 "preproc.c" /* yacc.c:1646  */
    break;

  case 3066:
#line 16505 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 56687 "preproc.c" /* yacc.c:1646  */
    break;

  case 3067:
#line 16506 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 56693 "preproc.c" /* yacc.c:1646  */
    break;

  case 3068:
#line 16507 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 56699 "preproc.c" /* yacc.c:1646  */
    break;

  case 3069:
#line 16508 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 56705 "preproc.c" /* yacc.c:1646  */
    break;

  case 3070:
#line 16509 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 56711 "preproc.c" /* yacc.c:1646  */
    break;

  case 3071:
#line 16510 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 56717 "preproc.c" /* yacc.c:1646  */
    break;

  case 3072:
#line 16511 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 56723 "preproc.c" /* yacc.c:1646  */
    break;

  case 3073:
#line 16512 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 56729 "preproc.c" /* yacc.c:1646  */
    break;

  case 3074:
#line 16513 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 56735 "preproc.c" /* yacc.c:1646  */
    break;

  case 3075:
#line 16514 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 56741 "preproc.c" /* yacc.c:1646  */
    break;

  case 3076:
#line 16515 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 56747 "preproc.c" /* yacc.c:1646  */
    break;

  case 3077:
#line 16516 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 56753 "preproc.c" /* yacc.c:1646  */
    break;

  case 3078:
#line 16517 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 56759 "preproc.c" /* yacc.c:1646  */
    break;

  case 3079:
#line 16518 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 56765 "preproc.c" /* yacc.c:1646  */
    break;

  case 3080:
#line 16519 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 56771 "preproc.c" /* yacc.c:1646  */
    break;

  case 3081:
#line 16520 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 56777 "preproc.c" /* yacc.c:1646  */
    break;

  case 3082:
#line 16521 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 56783 "preproc.c" /* yacc.c:1646  */
    break;

  case 3083:
#line 16522 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 56789 "preproc.c" /* yacc.c:1646  */
    break;

  case 3084:
#line 16523 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 56795 "preproc.c" /* yacc.c:1646  */
    break;

  case 3085:
#line 16524 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 56801 "preproc.c" /* yacc.c:1646  */
    break;

  case 3086:
#line 16525 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 56807 "preproc.c" /* yacc.c:1646  */
    break;

  case 3087:
#line 16526 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 56813 "preproc.c" /* yacc.c:1646  */
    break;

  case 3088:
#line 16527 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 56819 "preproc.c" /* yacc.c:1646  */
    break;

  case 3089:
#line 16528 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 56825 "preproc.c" /* yacc.c:1646  */
    break;

  case 3090:
#line 16529 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 56831 "preproc.c" /* yacc.c:1646  */
    break;

  case 3091:
#line 16530 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 56837 "preproc.c" /* yacc.c:1646  */
    break;

  case 3092:
#line 16531 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 56843 "preproc.c" /* yacc.c:1646  */
    break;

  case 3093:
#line 16532 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 56849 "preproc.c" /* yacc.c:1646  */
    break;

  case 3094:
#line 16533 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 56855 "preproc.c" /* yacc.c:1646  */
    break;

  case 3095:
#line 16534 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 56861 "preproc.c" /* yacc.c:1646  */
    break;

  case 3096:
#line 16535 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 56867 "preproc.c" /* yacc.c:1646  */
    break;

  case 3097:
#line 16536 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 56873 "preproc.c" /* yacc.c:1646  */
    break;

  case 3098:
#line 16537 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 56879 "preproc.c" /* yacc.c:1646  */
    break;

  case 3099:
#line 16538 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 56885 "preproc.c" /* yacc.c:1646  */
    break;

  case 3100:
#line 16539 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 56891 "preproc.c" /* yacc.c:1646  */
    break;

  case 3101:
#line 16540 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 56897 "preproc.c" /* yacc.c:1646  */
    break;

  case 3102:
#line 16541 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 56903 "preproc.c" /* yacc.c:1646  */
    break;

  case 3103:
#line 16542 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 56909 "preproc.c" /* yacc.c:1646  */
    break;

  case 3104:
#line 16543 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 56915 "preproc.c" /* yacc.c:1646  */
    break;

  case 3105:
#line 16544 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 56921 "preproc.c" /* yacc.c:1646  */
    break;

  case 3106:
#line 16545 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 56927 "preproc.c" /* yacc.c:1646  */
    break;

  case 3107:
#line 16546 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 56933 "preproc.c" /* yacc.c:1646  */
    break;

  case 3108:
#line 16549 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56939 "preproc.c" /* yacc.c:1646  */
    break;

  case 3109:
#line 16550 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56945 "preproc.c" /* yacc.c:1646  */
    break;

  case 3110:
#line 16551 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 56951 "preproc.c" /* yacc.c:1646  */
    break;

  case 3111:
#line 16552 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 56957 "preproc.c" /* yacc.c:1646  */
    break;

  case 3112:
#line 16555 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56963 "preproc.c" /* yacc.c:1646  */
    break;

  case 3113:
#line 16556 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 56969 "preproc.c" /* yacc.c:1646  */
    break;

  case 3114:
#line 16557 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 56975 "preproc.c" /* yacc.c:1646  */
    break;

  case 3115:
#line 16558 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 56981 "preproc.c" /* yacc.c:1646  */
    break;

  case 3116:
#line 16559 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 56987 "preproc.c" /* yacc.c:1646  */
    break;

  case 3117:
#line 16560 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 56993 "preproc.c" /* yacc.c:1646  */
    break;

  case 3118:
#line 16561 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 56999 "preproc.c" /* yacc.c:1646  */
    break;

  case 3119:
#line 16562 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57005 "preproc.c" /* yacc.c:1646  */
    break;

  case 3120:
#line 16563 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57011 "preproc.c" /* yacc.c:1646  */
    break;

  case 3121:
#line 16564 "preproc.y" /* yacc.c:1646  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 57021 "preproc.c" /* yacc.c:1646  */
    break;

  case 3122:
#line 16571 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57027 "preproc.c" /* yacc.c:1646  */
    break;

  case 3123:
#line 16572 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57033 "preproc.c" /* yacc.c:1646  */
    break;

  case 3124:
#line 16573 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57039 "preproc.c" /* yacc.c:1646  */
    break;

  case 3125:
#line 16574 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57045 "preproc.c" /* yacc.c:1646  */
    break;

  case 3126:
#line 16575 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57051 "preproc.c" /* yacc.c:1646  */
    break;

  case 3127:
#line 16578 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57057 "preproc.c" /* yacc.c:1646  */
    break;

  case 3128:
#line 16579 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57063 "preproc.c" /* yacc.c:1646  */
    break;

  case 3129:
#line 16582 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57069 "preproc.c" /* yacc.c:1646  */
    break;

  case 3130:
#line 16584 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 57082 "preproc.c" /* yacc.c:1646  */
    break;

  case 3131:
#line 16594 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57088 "preproc.c" /* yacc.c:1646  */
    break;

  case 3132:
#line 16595 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57094 "preproc.c" /* yacc.c:1646  */
    break;


#line 57098 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 16598 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
